
clear all;
clc;

verzeichnis='data\';
verzeichnis2='figures\';


years=50;        % maximum planning horizon
year_vec= 1:years;

for ii=1:years

%% LOAD DATA

load([verzeichnis,'pers_payoff_GAP_graph']);
load([verzeichnis,'pers_payoff_flex_graph']);
loadMat('calib_GM_monetary_nash_graph.csv');
maxi=sqrt(length(tarr));

for jj=1:maxi;    % starts the loop for country two

for kk=1:maxi; 

    payoff_flex(jj,kk)=sum(payoff_flex_loop(jj,kk,1:ii*4));
    payoff_star_flex(jj,kk)=sum(payoff_star_flex_loop(jj,kk,1:ii*4));
    payoff_GAP(jj,kk)=sum(payoff_GAP_loop(jj,kk,1:ii*4));
    payoff_star_GAP(jj,kk)=sum(payoff_star_GAP_loop(jj,kk,1:ii*4));
    
end
end

% NEQ for GAP case

J=payoff_GAP;
I=payoff_star_GAP;

ISIZE=size(I);
n=ISIZE(1);
m=ISIZE(2);



for i=1:n
   IR(i)=max(J(i,:));
   for j=1:m
      if J(i,j) >= IR(i)
         IRI(i,j)=1;
      else
         IRI(i,j)=0;
      end
   end
end


for i=1:m
   JC(i)=max(I(:,i));
   for j=1:n
     if I(j,i) >= JC(i)
         JCI(j,i)=1;
      else
         JCI(j,i)=0;
      end
  end
end

NEQ=IRI.*JCI;

[NEQ1,NEQ2]=find(NEQ);

loadMat('calib_GM_monetary_nash_graph.csv');
maxi=sqrt(length(tarr));
tarstar_nash_GAP(ii)=tarstar(NEQ1(1)*maxi);
tar_nash_GAP(ii)=tarr(NEQ2(1));

% NEQ for flex price case

J=payoff_flex;
I=payoff_star_flex;

ISIZE=size(I);
n=ISIZE(1);
m=ISIZE(2);



for i=1:n
   IR(i)=max(J(i,:));
   for j=1:m
      if J(i,j) >= IR(i)
         IRI(i,j)=1;
      else
         IRI(i,j)=0;
      end
   end
end


for i=1:m
   JC(i)=max(I(:,i));
   for j=1:n
     if I(j,i) >= JC(i)
         JCI(j,i)=1;
      else
         JCI(j,i)=0;
      end
  end
end

NEQ=IRI.*JCI;

[NEQ1,NEQ2]=find(NEQ);

loadMat('calib_GM_monetary_nash_graph.csv');
maxi=sqrt(length(tarr));
tarstar_nash_flex(ii)=tarstar(NEQ1(1)*maxi);
tar_nash_flex(ii)=tarr(NEQ2(1));

end


figure(109);
plot(year_vec,tar_nash_GAP, 'k-',year_vec,tar_nash_flex, 'k--','LineWidth',2.5)
ylabel('Tariff')
xlabel('Years')
legend('rigid prices','flexible prices','Location','SouthEast');
saveas(gcf,[verzeichnis2,'tar_Nash_years_both'],'eps')
saveas(gcf,[verzeichnis2,'tar_Nash_years_both'],'pdf')
save(['result_graph'],'year_vec', 'tar_nash_GAP', 'tar_nash_flex');

