(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[   8611337,     170184]
NotebookOptionsPosition[   8451193,     166614]
NotebookOutlinePosition[   8451539,     166629]
CellTagsIndexPosition[   8451496,     166626]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["parameters", "Subsection",
 CellChangeTimes->{{3.619197530463784*^9, 3.6191975338801904`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"delta", "=", "0.025"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"sigma", "=", "2"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"beta", "=", ".99"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"eta", "=", "0.0025"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"newphi", "=", "1"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"kappa", "=", "0.3278"}], ";"}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"theta", "=", "3.8"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"phi", "=", "theta"}], ";"}], "\n", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"fixed", " ", "costs"}], " ", "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"fe", "=", "1"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"fx", "=", 
   RowBox[{".235", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"beta", 
        RowBox[{"(", 
         RowBox[{"1", "-", "delta"}], ")"}]}]}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{"beta", 
       RowBox[{"(", 
        RowBox[{"1", "-", "delta"}], ")"}]}], ")"}]}], " ", "fe"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"fx", "=", 
    RowBox[{".109", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"beta", 
         RowBox[{"(", 
          RowBox[{"1", "-", "delta"}], ")"}]}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"beta", 
        RowBox[{"(", 
         RowBox[{"1", "-", "delta"}], ")"}]}], ")"}]}], " ", "fe"}]}], ";"}], 
  "\n", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Pareto", "-", "Distribution", "-", "Parameters"}], " ", 
   "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"k", "=", "1"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"kp", "=", "3.4"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"gamma", "=", 
   RowBox[{"kp", "-", "theta", "+", "1"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"A", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"kp", "/", "gamma"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"1", "/", 
        RowBox[{"(", 
         RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}], "*", "k"}]}], ";"}], 
  "\n", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Trade", " ", "Costs"}], " ", "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"tau", "=", "1.3"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"taustar", "=", "1.3"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6191973033509865`*^9, 3.6191973817099237`*^9}, 
   3.619197421240393*^9, {3.6191974663320723`*^9, 3.6191975456426115`*^9}, {
   3.619238081964215*^9, 3.6192380907637177`*^9}, {3.6215439937315893`*^9, 
   3.621544030483691*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Steady state symmetric", "Subsection",
 CellChangeTimes->{{3.619197552803024*^9, 3.619197557093031*^9}, {
  3.67367925829217*^9, 3.673679259579299*^9}}],

Cell["\<\
NEW calibrate tau and fx and choose tar in accordance with data\
\>", "Text",
 CellChangeTimes->{{3.673605035730955*^9, 3.6736050754209237`*^9}}],

Cell[BoxData[{
 RowBox[{"tau", "=."}], "\[IndentingNewLine]", 
 RowBox[{"taustar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"fx", "=."}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tar", "=", "1.02"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarstar", "=", "tar"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tradeshare", "=", "0.3"}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"http", ":"}], "//", 
    RowBox[{
     RowBox[{
      RowBox[{"data", ".", "worldbank", ".", "org"}], "/", "indicator"}], "/", 
     RowBox[{"NE", ".", "TRD", ".", "GNFS", ".", "ZS"}]}]}], " ", "*)"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Xshare", "=", "0.21"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6736050796513467`*^9, 3.673605089965378*^9}, {
  3.6736051589452753`*^9, 3.6736051611364946`*^9}, {3.673605498842304*^9, 
  3.673605502224966*^9}, {3.673605600586129*^9, 3.6736056008101068`*^9}, {
  3.6736056402351637`*^9, 3.6736056428669004`*^9}, {3.6736063851318955`*^9, 
  3.6736064046918516`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"MUD", "=", 
   RowBox[{"phi", "/", 
    RowBox[{"(", 
     RowBox[{"phi", "-", "1"}], ")"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"MUX", "=", 
   RowBox[{"phi", "/", 
    RowBox[{"(", 
     RowBox[{"phi", "-", "1"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAI", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAID", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAIX", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Z", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Q", "=", "1"}], ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.6191968580590043`*^9, 3.6191969578043795`*^9}, {
  3.6191970052128625`*^9, 3.6191970085512686`*^9}, {3.61919787517759*^9, 
  3.6191978772367935`*^9}, {3.621529256141286*^9, 3.621529262010622*^9}, {
  3.6736054818140078`*^9, 3.6736054820919795`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Xstar", ":=", "X"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Mstar", ":=", "M"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPXstar", ":=", "VPX"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ystar", ":=", "Y"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YXstar", ":=", "YX"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6191977478657665`*^9, 3.6191978056326675`*^9}, {
  3.67360562217397*^9, 3.673605630667121*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"eqns", "=", 
  RowBox[{"{", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"1", "==", 
     RowBox[{
      RowBox[{
       RowBox[{"M", "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", "phi"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
       RowBox[{"VPD", "^", 
        RowBox[{"(", 
         RowBox[{"1", "-", "phi"}], ")"}]}]}], "+", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Xstar", "*", "Mstar"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", "phi"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
       RowBox[{"VPXstar", "^", 
        RowBox[{"(", 
         RowBox[{"1", "-", "phi"}], ")"}]}]}]}]}], ",", "\n", 
    RowBox[{
     RowBox[{
      RowBox[{"VPX", "^", 
       RowBox[{"(", 
        RowBox[{"-", "phi"}], ")"}]}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"X", "*", "M"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"theta", "-", "phi"}], ")"}], "/", 
         RowBox[{"(", 
          RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Ystar"}], 
     "\[Equal]", 
     RowBox[{
      RowBox[{"1", "/", "tau"}], 
      RowBox[{"(", 
       RowBox[{"theta", "-", "1"}], ")"}], "*", 
      RowBox[{"kp", "/", "gamma"}], "*", "B", "*", "fx"}]}], ",", "\n", 
    RowBox[{"LEMP", "==", 
     RowBox[{
      RowBox[{"M", "*", 
       RowBox[{"YD", "/", 
        RowBox[{"(", 
         RowBox[{"Z", "*", "A"}], ")"}]}]}], "+", 
      RowBox[{"M", "*", "X", "*", 
       RowBox[{"YX", "/", 
        RowBox[{"(", 
         RowBox[{"Z", "*", "B"}], ")"}]}], "*", "tau"}], "+", 
      RowBox[{"Me", "*", 
       RowBox[{"fe", "/", "Z"}]}], "+", 
      RowBox[{"M", "*", "X", "*", 
       RowBox[{"fx", "/", "Z"}]}]}]}], ",", "\n", 
    RowBox[{"1", "==", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "delta"}], ")"}], "beta", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"X", "*", 
           RowBox[{"fx", "/", "fe"}]}]}], ")"}], "+", 
        RowBox[{
         RowBox[{"1", "/", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"theta", "-", "1"}], ")"}], "*", "fe", "  ", "A"}], 
           ")"}]}], "*", 
         RowBox[{"(", 
          RowBox[{"YD", "+", 
           RowBox[{"X", "*", "Q", "*", 
            RowBox[{"VPX", "/", "VPD"}], " ", "*", 
            RowBox[{"1", "/", "tar"}], "*", 
            RowBox[{"MUD", "/", "MUX"}], "*", "YX"}]}], ")"}]}]}], ")"}]}]}], 
    ",", "\n", 
    RowBox[{"LEMP", "\[Equal]", "1"}], ",", "\n", 
    RowBox[{"M", "\[Equal]", 
     RowBox[{
      RowBox[{"M", "*", 
       RowBox[{"(", 
        RowBox[{"1", "-", "delta"}], ")"}]}], "+", 
      RowBox[{"Me", "*", 
       RowBox[{"(", 
        RowBox[{"1", "-", "delta"}], ")"}]}]}]}], ",", "\n", 
    RowBox[{"B", "==", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"kp", "/", "gamma"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"1", "/", 
         RowBox[{"(", 
          RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}], "*", "PSI"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"X", "==", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"k", "/", "PSI"}], ")"}], "^", "kp"}]}], ",", "\n", 
    RowBox[{"VPD", "==", 
     RowBox[{"MUD", "*", 
      RowBox[{
       RowBox[{"W", "/", "A"}], "/", "Z"}]}]}], ",", "\n", 
    RowBox[{"VPX", "==", 
     RowBox[{"MUX", "*", "tau", "*", 
      RowBox[{"tar", "/", "Q"}], "*", 
      RowBox[{
       RowBox[{"W", "/", "B"}], "/", "Z"}]}]}], ",", "\n", 
    RowBox[{"YD", "==", 
     RowBox[{
      RowBox[{"VPD", "^", 
       RowBox[{"(", 
        RowBox[{"-", "phi"}], ")"}]}], "*", 
      RowBox[{"M", "^", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"theta", "-", "phi"}], ")"}], "/", 
         RowBox[{"(", 
          RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Y"}]}], ",", 
    "\n", 
    RowBox[{"YX", "==", 
     RowBox[{
      RowBox[{"VPX", "^", 
       RowBox[{"(", 
        RowBox[{"-", "phi"}], ")"}]}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"M", "*", "X"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"theta", "-", "phi"}], ")"}], "/", 
         RowBox[{"(", 
          RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Ystar"}]}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"Y", "==", 
     RowBox[{"R", "+", 
      RowBox[{
       RowBox[{"nu", "/", "2"}], "*", 
       RowBox[{"PAID", "^", "2"}], "*", "YD", "*", 
       RowBox[{"M", "^", 
        RowBox[{"(", 
         RowBox[{"theta", "/", 
          RowBox[{"(", 
           RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}], "+", 
      RowBox[{
       RowBox[{"nu", "/", "2"}], "*", 
       RowBox[{"PAIX", "^", "2"}], "*", "YX", "*", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"M", "*", "X"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"theta", "/", 
          RowBox[{"(", 
           RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}]}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"X", "\[Equal]", "Xshare"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"Q", "*", "M", "*", "X", "*", "VPX", "*", 
       RowBox[{"YX", "/", "tarstar"}]}], "+", 
      RowBox[{"Mstar", "*", "Xstar", "*", "VPXstar", "*", 
       RowBox[{"YXstar", "/", "tar"}]}]}], "\[Equal]", 
     RowBox[{"tradeshare", " ", "R"}]}]}], " ", "\[IndentingNewLine]", 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.6191965168288054`*^9, 3.6191965621312847`*^9}, {
   3.6191966415930243`*^9, 3.6191967832256727`*^9}, {3.619196835454565*^9, 
   3.6191968622242117`*^9}, {3.6191969648243914`*^9, 
   3.6191970844286013`*^9}, {3.6191971810711713`*^9, 3.6191972373784704`*^9}, 
   3.619197487033308*^9, 3.6191975694950533`*^9, {3.6191976202419424`*^9, 
   3.619197622800347*^9}, {3.619197668102826*^9, 3.6191976845140553`*^9}, {
   3.6191981985973577`*^9, 3.61919820537097*^9}, {3.619198339297205*^9, 
   3.619198359670841*^9}, 3.619198797953611*^9, {3.620542289594885*^9, 
   3.620542294201148*^9}, 3.620543078229992*^9, 3.620546844721423*^9, 
   3.620548211634606*^9, 3.620548783694326*^9, {3.6205488231705837`*^9, 
   3.6205488233055916`*^9}, 3.620551333617173*^9, {3.620552204713997*^9, 
   3.62055220494501*^9}, {3.620552834447016*^9, 3.6205528355760803`*^9}, {
   3.6215068584817333`*^9, 3.621506859914815*^9}, {3.6215074006937456`*^9, 
   3.621507400750749*^9}, {3.6215074622992697`*^9, 3.6215074723048415`*^9}, {
   3.621507619504261*^9, 3.6215076199332857`*^9}, {3.6736051814995303`*^9, 
   3.6736051891322937`*^9}, {3.673605223229703*^9, 3.6736052363570156`*^9}, {
   3.6736052666790476`*^9, 3.673605302097589*^9}, 3.6736053896982203`*^9, {
   3.6736056046037273`*^9, 3.673605635047683*^9}, {3.6736063723496175`*^9, 
   3.6736064115435367`*^9}, {3.6737587517813463`*^9, 3.673758753656876*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"1", "\[Equal]", 
    RowBox[{
     FractionBox[
      SuperscriptBox["M", "1.`"], 
      SuperscriptBox["VPD", "2.8`"]], "+", 
     FractionBox[
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"M", " ", "X"}], ")"}], "1.`"], 
      SuperscriptBox["VPX", "2.8`"]]}]}], ",", 
   RowBox[{
    FractionBox[
     RowBox[{"1.`", " ", "Y"}], 
     SuperscriptBox["VPX", "3.8`"]], "\[Equal]", 
    FractionBox[
     RowBox[{"15.866666666666664`", " ", "B", " ", "fx"}], "tau"]}], ",", 
   RowBox[{"LEMP", "\[Equal]", 
    RowBox[{"Me", "+", 
     RowBox[{"fx", " ", "M", " ", "X"}], "+", 
     RowBox[{"0.5382132742020225`", " ", "M", " ", "YD"}], "+", 
     FractionBox[
      RowBox[{"M", " ", "tau", " ", "X", " ", "YX"}], "B"]}]}], ",", 
   RowBox[{"1", "\[Equal]", 
    RowBox[{"0.9652499999999999`", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"fx", " ", "X"}], "+", 
       RowBox[{"0.1922190265007223`", " ", 
        RowBox[{"(", 
         RowBox[{"YD", "+", 
          FractionBox[
           RowBox[{"0.9803921568627451`", " ", "VPX", " ", "X", " ", "YX"}], 
           "VPD"]}], ")"}]}]}], ")"}]}]}], ",", 
   RowBox[{"LEMP", "\[Equal]", "1"}], ",", 
   RowBox[{"M", "\[Equal]", 
    RowBox[{
     RowBox[{"0.975`", " ", "M"}], "+", 
     RowBox[{"0.975`", " ", "Me"}]}]}], ",", 
   RowBox[{"B", "\[Equal]", 
    RowBox[{"1.8579995104777782`", " ", "PSI"}]}], ",", 
   RowBox[{"X", "\[Equal]", 
    SuperscriptBox[
     RowBox[{"(", 
      FractionBox["1", "PSI"], ")"}], "3.4`"]}], ",", 
   RowBox[{"VPD", "\[Equal]", 
    RowBox[{"0.7304323007027448`", " ", "W"}]}], ",", 
   RowBox[{"VPX", "\[Equal]", 
    FractionBox[
     RowBox[{"1.3842857142857143`", " ", "tau", " ", "W"}], "B"]}], ",", 
   RowBox[{"YD", "\[Equal]", 
    FractionBox[
     RowBox[{"1.`", " ", "Y"}], 
     SuperscriptBox["VPD", "3.8`"]]}], ",", 
   RowBox[{"YX", "\[Equal]", 
    FractionBox[
     RowBox[{"1.`", " ", "Y"}], 
     SuperscriptBox["VPX", "3.8`"]]}], ",", 
   RowBox[{"Y", "\[Equal]", "R"}], ",", 
   RowBox[{"X", "\[Equal]", "0.21`"}], ",", 
   RowBox[{
    RowBox[{
    "1.9607843137254901`", " ", "M", " ", "VPX", " ", "X", " ", "YX"}], 
    "\[Equal]", 
    RowBox[{"0.3`", " ", "R"}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.6191975635202427`*^9, {3.619197677806043*^9, 3.6191976869788594`*^9}, 
   3.619197758941786*^9, 3.6191978082534723`*^9, {3.6191978799823985`*^9, 
   3.61919788640961*^9}, 3.619198209052576*^9, 3.6191983713864613`*^9, 
   3.6191985007106886`*^9, {3.619198761886348*^9, 3.619198768469559*^9}, 
   3.619198798936413*^9, 3.619200046699803*^9, 3.619238115258119*^9, 
   3.6202322550836535`*^9, 3.6202343107122283`*^9, 3.6202345638997097`*^9, 
   3.62057748157673*^9, 3.621529219339181*^9, 3.621529265134801*^9, 
   3.621530372108116*^9, 3.6215368922605677`*^9, 3.621545206490955*^9, 
   3.6215474956708884`*^9, 3.6736054305701323`*^9, {3.673605487179471*^9, 
   3.673605505024686*^9}, 3.6736056527412863`*^9, 3.673605738487286*^9, 
   3.6736064178581676`*^9, 3.6736069745028267`*^9, 3.6736702928876867`*^9, 
   3.673671197068095*^9, 3.6736763493360133`*^9, 3.673680775681894*^9, 
   3.6737550079675617`*^9, 3.673755137222049*^9, 3.67375578813643*^9, 
   3.673758279813096*^9, 3.673758771369648*^9, 3.6737602674871297`*^9, {
   3.673857497975432*^9, 3.6738575218171997`*^9}, 3.673860968151295*^9, 
   3.6745577106290264`*^9, 3.6745588182704363`*^9, 3.6836072910199747`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sol", "=", 
  RowBox[{"FindRoot", "[", 
   RowBox[{"eqns", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"M", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"X", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"R", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"VPD", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"VPX", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Y", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"B", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"YD", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"YX", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Me", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"W", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"LEMP", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"PSI", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"fx", ",", "0.004"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"tau", ",", "1.5"}], "}"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6191978141034827`*^9, 3.619197843166334*^9}, {
  3.619197917921665*^9, 3.6191979245204763`*^9}, {3.619198817406845*^9, 
  3.6191988188264475`*^9}, {3.6736053942927604`*^9, 3.673605424486741*^9}, {
  3.6736057408782864`*^9, 3.673605750862286*^9}, {3.673606420118394*^9, 
  3.673606422941676*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"M", "\[Rule]", "7.681956608076942`"}], ",", 
   RowBox[{"X", "\[Rule]", "0.21`"}], ",", 
   RowBox[{"R", "\[Rule]", "3.2581992918539107`"}], ",", 
   RowBox[{"VPD", "\[Rule]", "2.1978389780404926`"}], ",", 
   RowBox[{"VPX", "\[Rule]", "2.3193006012612543`"}], ",", 
   RowBox[{"Y", "\[Rule]", "3.2581992918539107`"}], ",", 
   RowBox[{"B", "\[Rule]", "2.940308243349815`"}], ",", 
   RowBox[{"YD", "\[Rule]", "0.16345316499482904`"}], ",", 
   RowBox[{"YX", "\[Rule]", "0.1332357867506875`"}], ",", 
   RowBox[{"Me", "\[Rule]", "0.19697324636094743`"}], ",", 
   RowBox[{"W", "\[Rule]", "3.008956443911317`"}], ",", 
   RowBox[{"LEMP", "\[Rule]", "1.`"}], ",", 
   RowBox[{"PSI", "\[Rule]", "1.582512926816501`"}], ",", 
   RowBox[{"fx", "\[Rule]", "0.00467574259925312`"}], ",", 
   RowBox[{"tau", "\[Rule]", "1.6372246089877627`"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.619197695418474*^9, {3.6191978151018844`*^9, 3.6191978439931355`*^9}, {
   3.6191978822756023`*^9, 3.6191978880632124`*^9}, 3.6191979279836826`*^9, 
   3.6191982107685795`*^9, 3.6191983733676653`*^9, 3.619198806798826*^9, 
   3.6191990570544662`*^9, 3.619200047791805*^9, 3.619238116368182*^9, 
   3.62023225555168*^9, 3.62023431074223*^9, 3.620234563925711*^9, 
   3.620577481902748*^9, 3.621529219808208*^9, 3.621529266540881*^9, 
   3.621530372143118*^9, 3.621536892289569*^9, 3.621545206508956*^9, 
   3.6215474956888895`*^9, {3.6736054259885907`*^9, 3.6736054322679625`*^9}, {
   3.67360548928726*^9, 3.6736055069844904`*^9}, 3.673605656325286*^9, {
   3.673605745973286*^9, 3.6736057514452863`*^9}, 3.6736064236607485`*^9, 
   3.673606974519829*^9, 3.6736702929276905`*^9, 3.6736711970900974`*^9, 
   3.6736763493610134`*^9, 3.673680775697895*^9, 3.6737550079875593`*^9, 
   3.673755137237047*^9, 3.673755788151428*^9, 3.673758279825597*^9, 
   3.6737587713921485`*^9, 3.6737602676671324`*^9, {3.673857497991435*^9, 
   3.673857521833203*^9}, 3.6738609681652966`*^9, 3.674557710681527*^9, 
   3.6745588182879114`*^9, 3.683607291046974*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Msol", "=", 
   RowBox[{"M", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Xsol", "=", 
   RowBox[{"X", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rsol", "=", 
   RowBox[{"R", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPDsol", "=", 
   RowBox[{"VPD", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPXsol", "=", 
   RowBox[{"VPX", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ysol", "=", 
   RowBox[{"Y", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Bsol", "=", 
   RowBox[{"B", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YDsol", "=", 
   RowBox[{"YD", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YXsol", "=", 
   RowBox[{"YX", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Mesol", "=", 
   RowBox[{"Me", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Wsol", "=", 
   RowBox[{"W", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LEMPsol", "=", 
   RowBox[{"LEMP", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PSIsol", "=", 
   RowBox[{"PSI", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fxsol", "=", 
   RowBox[{"fx", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tausol", "=", 
   RowBox[{"tau", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"taustarsol", "=", "tau"}], ";"}]}], "Input",
 CellChangeTimes->{{3.619198874284545*^9, 3.619199047226449*^9}, {
  3.619199543739721*^9, 3.619199546734926*^9}, {3.6736064476141434`*^9, 
  3.6736064612945113`*^9}, {3.6736763315450134`*^9, 3.6736763390320134`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Steady state, asymmetric", "Subsection",
 CellChangeTimes->{{3.619197552803024*^9, 3.619197557093031*^9}, {
   3.673670296993097*^9, 3.6736703046628637`*^9}, 3.674557723101718*^9, {
   3.6967577058208685`*^9, 3.6967577059788847`*^9}}],

Cell[BoxData[{
 RowBox[{"tau", "=."}], "\[IndentingNewLine]", 
 RowBox[{"taustar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"fx", "=."}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tar", "=", "1.014"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarstar", "=", "1.02"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tradeshare", "=", "0.3"}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"http", ":"}], "//", 
    RowBox[{
     RowBox[{
      RowBox[{"data", ".", "worldbank", ".", "org"}], "/", "indicator"}], "/", 
     RowBox[{"NE", ".", "TRD", ".", "GNFS", ".", "ZS"}]}]}], " ", "*)"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tradeshareEU", "=", "tradeshare"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Xshare", "=", "0.21"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"XshareEU", "=", "0.18"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6736050796513467`*^9, 3.673605089965378*^9}, {
  3.6736051589452753`*^9, 3.6736051611364946`*^9}, {3.673605498842304*^9, 
  3.673605502224966*^9}, {3.673605600586129*^9, 3.6736056008101068`*^9}, {
  3.6736056402351637`*^9, 3.6736056428669004`*^9}, {3.6736063851318955`*^9, 
  3.6736064046918516`*^9}, {3.673670320876485*^9, 3.6736703289592934`*^9}, {
  3.6736703626246595`*^9, 3.6736703872491217`*^9}, {3.67367052255165*^9, 
  3.6736705236077557`*^9}, {3.673671126530042*^9, 3.6736711290582952`*^9}, {
  3.674558029718429*^9, 3.674558051396262*^9}, {3.683607273914974*^9, 
  3.6836072756759744`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"MUD", "=", 
   RowBox[{"phi", "/", 
    RowBox[{"(", 
     RowBox[{"phi", "-", "1"}], ")"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"MUX", "=", 
   RowBox[{"phi", "/", 
    RowBox[{"(", 
     RowBox[{"phi", "-", "1"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAI", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAID", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAIX", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Z", "=", "1"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MUDstar", "=", "MUD"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MUXstar", "=", "MUX"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAIDstar", "=", "PAID"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAIXstar", "=", "PAIX"}], ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.6191968580590043`*^9, 3.6191969578043795`*^9}, {
  3.6191970052128625`*^9, 3.6191970085512686`*^9}, {3.61919787517759*^9, 
  3.6191978772367935`*^9}, {3.621529256141286*^9, 3.621529262010622*^9}, {
  3.6736054818140078`*^9, 3.6736054820919795`*^9}, {3.673670806284021*^9, 
  3.673670808996292*^9}}],

Cell[BoxData[{
 RowBox[{"Q", "=."}], "\[IndentingNewLine]", 
 RowBox[{"Xstar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"Mstar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"VPXstar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"Ystar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"YXstar", "=."}]}], "Input",
 CellChangeTimes->{{3.67367069095949*^9, 3.673670723288722*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqnsas", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"1", "==", 
      RowBox[{
       RowBox[{
        RowBox[{"M", "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "phi"}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
        RowBox[{"VPD", "^", 
         RowBox[{"(", 
          RowBox[{"1", "-", "phi"}], ")"}]}]}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Xstar", "*", "Mstar"}], ")"}], "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "phi"}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
        RowBox[{"VPXstar", "^", 
         RowBox[{"(", 
          RowBox[{"1", "-", "phi"}], ")"}]}]}]}]}], ",", "\n", 
     RowBox[{
      RowBox[{
       RowBox[{"VPX", "^", 
        RowBox[{"(", 
         RowBox[{"-", "phi"}], ")"}]}], "*", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"X", "*", "M"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"theta", "-", "phi"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Ystar"}], "==", 
      RowBox[{
       RowBox[{"1", "/", "taustar"}], 
       RowBox[{"(", 
        RowBox[{"theta", "-", "1"}], ")"}], "*", 
       RowBox[{"kp", "/", "gamma"}], "*", "B", "*", "fx"}]}], ",", "\n", 
     RowBox[{"LEMP", "==", 
      RowBox[{
       RowBox[{"M", "*", 
        RowBox[{"YD", "/", 
         RowBox[{"(", 
          RowBox[{"Z", "*", "A"}], ")"}]}]}], "+", 
       RowBox[{"M", "*", "X", "*", 
        RowBox[{"YX", "/", 
         RowBox[{"(", 
          RowBox[{"Z", "*", "B"}], ")"}]}], "*", "taustar"}], "+", 
       RowBox[{"Me", "*", 
        RowBox[{"fe", "/", "Z"}]}], "+", 
       RowBox[{"M", "*", "X", "*", 
        RowBox[{"fx", "/", "Z"}]}]}]}], ",", "\n", 
     RowBox[{"1", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "delta"}], ")"}], "beta", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"X", "*", 
            RowBox[{"fx", "/", "fe"}]}]}], ")"}], "+", 
         RowBox[{
          RowBox[{"1", "/", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"theta", "-", "1"}], ")"}], "*", "fe", "  ", "A"}], 
            ")"}]}], "*", 
          RowBox[{"(", 
           RowBox[{"YD", "+", 
            RowBox[{"X", "*", "Q", "*", 
             RowBox[{"VPX", "/", "VPD"}], " ", "*", 
             RowBox[{"1", "/", "tarstar"}], "*", 
             RowBox[{"MUD", "/", "MUX"}], "*", "YX"}]}], ")"}]}]}], ")"}]}]}],
      ",", "\n", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
        RowBox[{"LEMP", "^", "newphi"}], "==", 
        RowBox[{
         RowBox[{"R", "^", 
          RowBox[{"(", 
           RowBox[{"-", "sigma"}], ")"}]}], "*", "W"}]}], ","}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"LEMP", "\[Equal]", "1"}], ",", "\n", 
     RowBox[{"M", "\[Equal]", 
      RowBox[{
       RowBox[{"M", "*", 
        RowBox[{"(", 
         RowBox[{"1", "-", "delta"}], ")"}]}], "+", 
       RowBox[{"Me", "*", 
        RowBox[{"(", 
         RowBox[{"1", "-", "delta"}], ")"}]}]}]}], ",", "\n", 
     RowBox[{"B", "==", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"kp", "/", "gamma"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"1", "/", 
          RowBox[{"(", 
           RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}], "*", "PSI"}]}], ",",
      "\[IndentingNewLine]", 
     RowBox[{"X", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", "/", "PSI"}], ")"}], "^", "kp"}]}], ",", "\n", 
     RowBox[{"VPD", "==", 
      RowBox[{"MUD", "*", 
       RowBox[{
        RowBox[{"W", "/", "A"}], "/", "Z"}]}]}], ",", "\n", 
     RowBox[{"VPX", "==", 
      RowBox[{"MUX", "*", "taustar", " ", 
       RowBox[{"tarstar", "/", "Q"}], "*", 
       RowBox[{
        RowBox[{"W", "/", "B"}], "/", "Z"}]}]}], ",", "\n", 
     RowBox[{"YD", "==", 
      RowBox[{
       RowBox[{"VPD", "^", 
        RowBox[{"(", 
         RowBox[{"-", "phi"}], ")"}]}], "*", 
       RowBox[{"M", "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"theta", "-", "phi"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Y"}]}], ",", 
     "\n", 
     RowBox[{"YX", "==", 
      RowBox[{
       RowBox[{"VPX", "^", 
        RowBox[{"(", 
         RowBox[{"-", "phi"}], ")"}]}], "*", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"M", "*", "X"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"theta", "-", "phi"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Ystar"}]}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"Y", "==", 
      RowBox[{"R", "+", 
       RowBox[{
        RowBox[{"nu", "/", "2"}], "*", 
        RowBox[{"PAID", "^", "2"}], "*", "YD", "*", 
        RowBox[{"M", "^", 
         RowBox[{"(", 
          RowBox[{"theta", "/", 
           RowBox[{"(", 
            RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}], "+", 
       RowBox[{
        RowBox[{"nu", "/", "2"}], "*", 
        RowBox[{"PAIX", "^", "2"}], "*", "YX", "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"M", "*", "X"}], ")"}], "^", 
         RowBox[{"(", 
          RowBox[{"theta", "/", 
           RowBox[{"(", 
            RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}]}]}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"1", "==", 
      RowBox[{
       RowBox[{
        RowBox[{"Mstar", "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "phi"}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
        RowBox[{"VPDstar", "^", 
         RowBox[{"(", 
          RowBox[{"1", "-", "phi"}], ")"}]}]}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"X", "*", "M"}], ")"}], "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "phi"}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
        RowBox[{"VPX", "^", 
         RowBox[{"(", 
          RowBox[{"1", "-", "phi"}], ")"}]}]}]}]}], ",", "\n", 
     RowBox[{
      RowBox[{
       RowBox[{"VPXstar", "^", 
        RowBox[{"(", 
         RowBox[{"-", "phi"}], ")"}]}], "*", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Xstar", "*", "Mstar"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"theta", "-", "phi"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Y"}], "==", 
      RowBox[{
       RowBox[{"1", "/", "tau"}], 
       RowBox[{"(", 
        RowBox[{"theta", "-", "1"}], ")"}], 
       RowBox[{"kp", "/", "gamma"}], "*", "Bstar", "*", "fxstar"}]}], ",", 
     "\n", 
     RowBox[{"LEMPstar", "==", 
      RowBox[{
       RowBox[{"Mstar", "*", 
        RowBox[{"YDstar", "/", 
         RowBox[{"(", 
          RowBox[{"Z", "*", "A"}], ")"}]}]}], "+", 
       RowBox[{"Mstar", "*", "Xstar", "*", 
        RowBox[{"YXstar", "/", 
         RowBox[{"(", 
          RowBox[{"Z", "*", "Bstar"}], ")"}]}], "*", "tau"}], "+", 
       RowBox[{"Mestar", "*", 
        RowBox[{"fe", "/", "Z"}]}], "+", 
       RowBox[{"Mstar", "*", "Xstar", "*", 
        RowBox[{"fxstar", "/", "Z"}]}]}]}], ",", "\n", 
     RowBox[{"1", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "delta"}], ")"}], "beta", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"Xstar", "*", 
            RowBox[{"fxstar", "/", "fe"}]}]}], ")"}], "+", 
         RowBox[{
          RowBox[{"1", "/", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"theta", "-", "1"}], ")"}], "*", "fe", " ", "A"}], 
            ")"}]}], "*", 
          RowBox[{"(", 
           RowBox[{"YDstar", "+", 
            RowBox[{
             RowBox[{"Xstar", "/", "Q"}], "*", 
             RowBox[{"VPXstar", "/", "VPDstar"}], " ", "*", 
             RowBox[{"1", "/", "tar"}], "*", 
             RowBox[{"MUDstar", "/", "MUXstar"}], "*", "YXstar"}]}], 
           ")"}]}]}], ")"}]}]}], ",", "\n", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
        RowBox[{"LEMPstar", "^", "newphi"}], "==", 
        RowBox[{
         RowBox[{"Rstar", "^", 
          RowBox[{"(", 
           RowBox[{"-", "sigma"}], ")"}]}], "*", "Wstar"}]}], ","}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"LEMPstar", "\[Equal]", "1"}], ",", "\n", 
     RowBox[{"Mstar", "==", 
      RowBox[{
       RowBox[{"Mstar", "*", 
        RowBox[{"(", 
         RowBox[{"1", "-", "delta"}], ")"}]}], "+", 
       RowBox[{"Mestar", "*", 
        RowBox[{"(", 
         RowBox[{"1", "-", "delta"}], ")"}]}]}]}], ",", "\n", 
     RowBox[{"Bstar", "==", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"kp", "/", "gamma"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"1", "/", 
          RowBox[{"(", 
           RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}], "*", "PSIstar"}]}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"Xstar", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", "/", "PSIstar"}], ")"}], "^", "kp"}]}], ",", "\n", 
     RowBox[{"VPDstar", "==", 
      RowBox[{"MUD", "*", 
       RowBox[{
        RowBox[{"Wstar", "/", "A"}], "/", "Z"}]}]}], ",", "\n", 
     RowBox[{"VPXstar", "==", 
      RowBox[{"MUX", "*", "tau", "*", "tar", "*", "Q", "*", 
       RowBox[{
        RowBox[{"Wstar", "/", "Bstar"}], "/", "Z"}]}]}], ",", "\n", 
     RowBox[{"YDstar", "==", 
      RowBox[{
       RowBox[{"VPDstar", "^", 
        RowBox[{"(", 
         RowBox[{"-", "phi"}], ")"}]}], "*", 
       RowBox[{"Mstar", "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"theta", "-", "phi"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Ystar"}]}], 
     ",", "\n", 
     RowBox[{"YXstar", "==", 
      RowBox[{
       RowBox[{"VPXstar", "^", 
        RowBox[{"(", 
         RowBox[{"-", "phi"}], ")"}]}], "*", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Mstar", "*", "Xstar"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"theta", "-", "phi"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Y"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Ystar", "==", 
      RowBox[{"Rstar", "+", 
       RowBox[{
        RowBox[{"nu", "/", "2"}], "*", 
        RowBox[{"PAIDstar", "^", "2"}], "*", "YDstar", "*", 
        RowBox[{"Mstar", "^", 
         RowBox[{"(", 
          RowBox[{"theta", "/", 
           RowBox[{"(", 
            RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}], "+", 
       RowBox[{
        RowBox[{"nu", "/", "2"}], "*", 
        RowBox[{"PAIXstar", "^", "2"}], "*", "YXstar", "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Mstar", "*", "Xstar"}], ")"}], "^", 
         RowBox[{"(", 
          RowBox[{"theta", "/", 
           RowBox[{"(", 
            RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}]}]}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"-", "Q"}], "*", "M", "*", "X", "*", "VPX", "*", 
        RowBox[{"YX", "/", "tarstar"}]}], "+", 
       RowBox[{"Mstar", "*", "Xstar", "*", "VPXstar", "*", 
        RowBox[{"YXstar", "/", "tar"}]}]}], "\[Equal]", "0"}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"X", "\[Equal]", "Xshare"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"Q", "*", "M", "*", "X", "*", "VPX", "*", 
        RowBox[{"YX", "/", "tarstar"}]}], "+", 
       RowBox[{"Mstar", "*", "Xstar", "*", "VPXstar", "*", 
        RowBox[{"YXstar", "/", "tar"}]}]}], "\[Equal]", 
      RowBox[{"tradeshare", " ", "R"}]}], " ", ",", "\[IndentingNewLine]", 
     RowBox[{"fxstar", "\[Equal]", "fx"}], ",", "\[IndentingNewLine]", 
     RowBox[{"taustar", "\[Equal]", "tau"}]}], "\[IndentingNewLine]", "}"}]}],
   ";"}]], "Input",
 CellChangeTimes->{{3.673670439061302*^9, 3.673670439619358*^9}, {
   3.6736705413925343`*^9, 3.6736706227716713`*^9}, 3.6736708689632883`*^9, {
   3.6736710632967196`*^9, 3.6736710634727373`*^9}, 3.6736711655759463`*^9, {
   3.6736724100493546`*^9, 3.6736724244702377`*^9}, {3.673672928422223*^9, 
   3.67367293239462*^9}, {3.673672969025283*^9, 3.6736729989552755`*^9}, {
   3.674558105787098*^9, 3.67455810854214*^9}, {3.6745581920209217`*^9, 
   3.6745581984835215`*^9}, {3.674558232859049*^9, 3.674558234799079*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sol", "=", 
  RowBox[{"FindRoot", "[", 
   RowBox[{"eqnsas", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"M", ",", "Msol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"X", ",", "Xsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"R", ",", "Rsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"VPD", ",", "VPDsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"VPX", ",", "VPXsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Y", ",", "Ysol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"B", ",", "Bsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"YD", ",", "YDsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"YX", ",", "YXsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Me", ",", "Mesol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"W", ",", "Wsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"LEMP", ",", "LEMPsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"PSI", ",", "PSIsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Mstar", ",", "Msol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Xstar", ",", "Xsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Rstar", ",", "Rsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"VPDstar", ",", "VPDsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"VPXstar", ",", "VPXsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Ystar", ",", "Ysol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Bstar", ",", "Bsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"YDstar", ",", "YDsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"YXstar", ",", "YXsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Mestar", ",", "Mesol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Wstar", ",", "Wsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"LEMPstar", ",", "LEMPsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"PSIstar", ",", "PSIsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Q", ",", ".91"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"fx", ",", "0.005"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"tau", ",", "1.5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"fxstar", ",", "0.006"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"taustar", ",", "1.5"}], "}"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6736710789202814`*^9, 3.6736711052179112`*^9}, 
   3.6736712768109503`*^9, {3.6736721646618595`*^9, 3.673672204663859*^9}, {
   3.673672235418435*^9, 3.6736723318957267`*^9}, {3.674558876088245*^9, 
   3.674558877635002*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"M", "\[Rule]", "7.682160612686277`"}], ",", 
   RowBox[{"X", "\[Rule]", "0.21`"}], ",", 
   RowBox[{"R", "\[Rule]", "3.254063523199477`"}], ",", 
   RowBox[{"VPD", "\[Rule]", "2.197026356716459`"}], ",", 
   RowBox[{"VPX", "\[Rule]", "2.322758666053245`"}], ",", 
   RowBox[{"Y", "\[Rule]", "3.254063523199477`"}], ",", 
   RowBox[{"B", "\[Rule]", "2.940308243349815`"}], ",", 
   RowBox[{"YD", "\[Rule]", "0.16347525071465208`"}], ",", 
   RowBox[{"YX", "\[Rule]", "0.13245358151108774`"}], ",", 
   RowBox[{"Me", "\[Rule]", "0.19697847724836626`"}], ",", 
   RowBox[{"W", "\[Rule]", "3.007843922842284`"}], ",", 
   RowBox[{"LEMP", "\[Rule]", "1.`"}], ",", 
   RowBox[{"PSI", "\[Rule]", "1.582512926816501`"}], ",", 
   RowBox[{"Mstar", "\[Rule]", "7.682895086497947`"}], ",", 
   RowBox[{"Xstar", "\[Rule]", "0.20929897035265962`"}], ",", 
   RowBox[{"Rstar", "\[Rule]", "3.2574611475238315`"}], ",", 
   RowBox[{"VPDstar", "\[Rule]", "2.1973486192053007`"}], ",", 
   RowBox[{"VPXstar", "\[Rule]", "2.3215199579134413`"}], ",", 
   RowBox[{"Ystar", "\[Rule]", "3.2574611475238315`"}], ",", 
   RowBox[{"Bstar", "\[Rule]", "2.9432013904175003`"}], ",", 
   RowBox[{"YDstar", "\[Rule]", "0.16355475578764067`"}], ",", 
   RowBox[{"YXstar", "\[Rule]", "0.1325839105988016`"}], ",", 
   RowBox[{"Mestar", "\[Rule]", "0.19699730991020392`"}], ",", 
   RowBox[{"Wstar", "\[Rule]", "3.008285117034452`"}], ",", 
   RowBox[{"LEMPstar", "\[Rule]", "1.`"}], ",", 
   RowBox[{"PSIstar", "\[Rule]", "1.5840700569725479`"}], ",", 
   RowBox[{"Q", "\[Rule]", "1.003106361933458`"}], ",", 
   RowBox[{"fx", "\[Rule]", "0.004671410665004089`"}], ",", 
   RowBox[{"tau", "\[Rule]", "1.6453674496705017`"}], ",", 
   RowBox[{"fxstar", "\[Rule]", "0.004671410665004089`"}], ",", 
   RowBox[{"taustar", "\[Rule]", "1.6453674496705017`"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.673671277052951*^9, 3.6736713753339505`*^9, {3.6736714123279505`*^9, 
   3.6736714487659507`*^9}, {3.6736721654399366`*^9, 3.67367233216178*^9}, {
   3.6736724664726367`*^9, 3.67367248689472*^9}, 3.6736729028116617`*^9, 
   3.6736729340587864`*^9, 3.673673001128493*^9, 3.67367467455122*^9, 
   3.6745580761041417`*^9, 3.6745581103396673`*^9, 3.6745582050911226`*^9, 
   3.6745582363991036`*^9, 3.674558821326152*^9, 3.674558884444232*^9, 
   3.6836072495569744`*^9, 3.6836072926959743`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Msol", "=", 
   RowBox[{"M", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Xsol", "=", 
   RowBox[{"X", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rsol", "=", 
   RowBox[{"R", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPDsol", "=", 
   RowBox[{"VPD", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPXsol", "=", 
   RowBox[{"VPX", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ysol", "=", 
   RowBox[{"Y", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Bsol", "=", 
   RowBox[{"B", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YDsol", "=", 
   RowBox[{"YD", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YXsol", "=", 
   RowBox[{"YX", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Mesol", "=", 
   RowBox[{"Me", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Wsol", "=", 
   RowBox[{"W", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LEMPsol", "=", 
   RowBox[{"LEMP", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PSIsol", "=", 
   RowBox[{"PSI", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fxsol", "=", 
   RowBox[{"fx", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tausol", "=", 
   RowBox[{"tau", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"taustarsol", "=", "tau"}], ";"}]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Calibration", "Subsection",
 CellChangeTimes->{{3.6191994410179405`*^9, 3.6191994423439426`*^9}}],

Cell[CellGroupData[{

Cell["generate starting values", "Subsubsection",
 CellChangeTimes->{{3.673755530302374*^9, 3.6737555337244635`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Xstar", ":=", "X"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Mstar", ":=", "M"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPXstar", ":=", "VPX"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ystar", ":=", "Y"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YXstar", ":=", "YX"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Q", "=", "1"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6191977478657665`*^9, 3.6191978056326675`*^9}, {
  3.67360562217397*^9, 3.673605630667121*^9}, {3.674559021118597*^9, 
  3.674559028465069*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"tau", "=", "tausol"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"taustar", "=", "tausol"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fx", "=", "fxsol"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6736763647370133`*^9, 3.6736763792460136`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"tarmin", "=", "1.155"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarstarmin", "=", "tarmin"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarmax", "=", "1.13"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarstarmax", "=", "tarmax"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarstep", "=", "0.0025"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6737555636308737`*^9, 3.6737555636758685`*^9}, {
   3.6737603572710085`*^9, 3.673760368233677*^9}, {3.6737604070492735`*^9, 
   3.67376040744928*^9}, {3.6737612471212034`*^9, 3.6737612718300953`*^9}, {
   3.6737617614863496`*^9, 3.67376176937919*^9}, {3.6737619630269003`*^9, 
   3.673761972052622*^9}, {3.6738574786195617`*^9, 3.6738574888446064`*^9}, {
   3.673857908632369*^9, 3.67385792844135*^9}, {3.673858689025401*^9, 
   3.6738586930178003`*^9}, {3.67385872352185*^9, 3.6738587330268*^9}, {
   3.6738590155040455`*^9, 3.673859028464341*^9}, {3.6738596870008554`*^9, 
   3.673859691975856*^9}, {3.673860006532143*^9, 3.6738600122127113`*^9}, {
   3.673860805423024*^9, 3.673860807527234*^9}, {3.673860944940974*^9, 
   3.6738609466931496`*^9}, {3.674558771371187*^9, 3.674558779584672*^9}, 
   3.674559801992643*^9, {3.6745600486641426`*^9, 3.674560062739143*^9}, {
   3.6745602336392574`*^9, 3.6745602363043633`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqns", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"1", "==", 
      RowBox[{
       RowBox[{
        RowBox[{"M", "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "phi"}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
        RowBox[{"VPD", "^", 
         RowBox[{"(", 
          RowBox[{"1", "-", "phi"}], ")"}]}]}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Xstar", "*", "Mstar"}], ")"}], "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "phi"}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
        RowBox[{"VPXstar", "^", 
         RowBox[{"(", 
          RowBox[{"1", "-", "phi"}], ")"}]}]}]}]}], ",", "\n", 
     RowBox[{
      RowBox[{
       RowBox[{"VPX", "^", 
        RowBox[{"(", 
         RowBox[{"-", "phi"}], ")"}]}], "*", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"X", "*", "M"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"theta", "-", "phi"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Ystar"}], 
      "\[Equal]", 
      RowBox[{
       RowBox[{"1", "/", "tau"}], 
       RowBox[{"(", 
        RowBox[{"theta", "-", "1"}], ")"}], "*", 
       RowBox[{"kp", "/", "gamma"}], "*", "B", "*", "fx"}]}], ",", "\n", 
     RowBox[{"LEMP", "==", 
      RowBox[{
       RowBox[{"M", "*", 
        RowBox[{"YD", "/", 
         RowBox[{"(", 
          RowBox[{"Z", "*", "A"}], ")"}]}]}], "+", 
       RowBox[{"M", "*", "X", "*", 
        RowBox[{"YX", "/", 
         RowBox[{"(", 
          RowBox[{"Z", "*", "B"}], ")"}]}], "*", "tau"}], "+", 
       RowBox[{"Me", "*", 
        RowBox[{"fe", "/", "Z"}]}], "+", 
       RowBox[{"M", "*", "X", "*", 
        RowBox[{"fx", "/", "Z"}]}]}]}], ",", "\n", 
     RowBox[{"1", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "delta"}], ")"}], "beta", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"X", "*", 
            RowBox[{"fx", "/", "fe"}]}]}], ")"}], "+", 
         RowBox[{
          RowBox[{"1", "/", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"theta", "-", "1"}], ")"}], "*", "fe", "  ", "A"}], 
            ")"}]}], "*", 
          RowBox[{"(", 
           RowBox[{"YD", "+", 
            RowBox[{"X", "*", "Q", "*", 
             RowBox[{"VPX", "/", "VPD"}], " ", "*", 
             RowBox[{"1", "/", "tarmin"}], "*", 
             RowBox[{"MUD", "/", "MUX"}], "*", "YX"}]}], ")"}]}]}], ")"}]}]}],
      ",", "\n", 
     RowBox[{"LEMP", "\[Equal]", "1"}], ",", "\n", 
     RowBox[{"M", "\[Equal]", 
      RowBox[{
       RowBox[{"M", "*", 
        RowBox[{"(", 
         RowBox[{"1", "-", "delta"}], ")"}]}], "+", 
       RowBox[{"Me", "*", 
        RowBox[{"(", 
         RowBox[{"1", "-", "delta"}], ")"}]}]}]}], ",", "\n", 
     RowBox[{"B", "==", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"kp", "/", "gamma"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"1", "/", 
          RowBox[{"(", 
           RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}], "*", "PSI"}]}], ",",
      "\[IndentingNewLine]", 
     RowBox[{"X", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", "/", "PSI"}], ")"}], "^", "kp"}]}], ",", "\n", 
     RowBox[{"VPD", "==", 
      RowBox[{"MUD", "*", 
       RowBox[{
        RowBox[{"W", "/", "A"}], "/", "Z"}]}]}], ",", "\n", 
     RowBox[{"VPX", "==", 
      RowBox[{"MUX", "*", "tau", "*", 
       RowBox[{"tarmin", "/", "Q"}], "*", 
       RowBox[{
        RowBox[{"W", "/", "B"}], "/", "Z"}]}]}], ",", "\n", 
     RowBox[{"YD", "==", 
      RowBox[{
       RowBox[{"VPD", "^", 
        RowBox[{"(", 
         RowBox[{"-", "phi"}], ")"}]}], "*", 
       RowBox[{"M", "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"theta", "-", "phi"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Y"}]}], ",", 
     "\n", 
     RowBox[{"YX", "==", 
      RowBox[{
       RowBox[{"VPX", "^", 
        RowBox[{"(", 
         RowBox[{"-", "phi"}], ")"}]}], "*", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"M", "*", "X"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"theta", "-", "phi"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Ystar"}]}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"Y", "==", 
      RowBox[{"R", "+", 
       RowBox[{
        RowBox[{"nu", "/", "2"}], "*", 
        RowBox[{"PAID", "^", "2"}], "*", "YD", "*", 
        RowBox[{"M", "^", 
         RowBox[{"(", 
          RowBox[{"theta", "/", 
           RowBox[{"(", 
            RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}], "+", 
       RowBox[{
        RowBox[{"nu", "/", "2"}], "*", 
        RowBox[{"PAIX", "^", "2"}], "*", "YX", "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"M", "*", "X"}], ")"}], "^", 
         RowBox[{"(", 
          RowBox[{"theta", "/", 
           RowBox[{"(", 
            RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}]}]}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6191965168288054`*^9, 3.6191965621312847`*^9}, {
   3.6191966415930243`*^9, 3.6191967832256727`*^9}, {3.619196835454565*^9, 
   3.6191968622242117`*^9}, {3.6191969648243914`*^9, 
   3.6191970844286013`*^9}, {3.6191971810711713`*^9, 3.6191972373784704`*^9}, 
   3.619197487033308*^9, 3.6191975694950533`*^9, {3.6191976202419424`*^9, 
   3.619197622800347*^9}, {3.619197668102826*^9, 3.6191976845140553`*^9}, {
   3.6191981985973577`*^9, 3.61919820537097*^9}, {3.619198339297205*^9, 
   3.619198359670841*^9}, 3.619198797953611*^9, {3.620542289594885*^9, 
   3.620542294201148*^9}, 3.620543078229992*^9, 3.620546844721423*^9, 
   3.620548211634606*^9, 3.620548783694326*^9, {3.6205488231705837`*^9, 
   3.6205488233055916`*^9}, 3.620551333617173*^9, {3.620552204713997*^9, 
   3.62055220494501*^9}, {3.620552834447016*^9, 3.6205528355760803`*^9}, {
   3.6215068584817333`*^9, 3.621506859914815*^9}, {3.6215074006937456`*^9, 
   3.621507400750749*^9}, {3.6215074622992697`*^9, 3.6215074723048415`*^9}, {
   3.621507619504261*^9, 3.6215076199332857`*^9}, {3.6736051814995303`*^9, 
   3.6736051891322937`*^9}, {3.673605223229703*^9, 3.6736052363570156`*^9}, {
   3.6736052666790476`*^9, 3.673605302097589*^9}, 3.6736053896982203`*^9, {
   3.6736056046037273`*^9, 3.673605635047683*^9}, {3.6736063723496175`*^9, 
   3.6736064115435367`*^9}, {3.673755641029085*^9, 3.673755649670548*^9}, {
   3.673755729848426*^9, 3.6737557427643757`*^9}, {3.6737588189128785`*^9, 
   3.673758822732937*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sol", "=", 
  RowBox[{"FindRoot", "[", 
   RowBox[{"eqns", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"M", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"X", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"R", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"VPD", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"VPX", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Y", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"B", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"YD", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"YX", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Me", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"W", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"LEMP", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"PSI", ",", "1"}], "}"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6191978141034827`*^9, 3.619197843166334*^9}, {
   3.619197917921665*^9, 3.6191979245204763`*^9}, {3.619198817406845*^9, 
   3.6191988188264475`*^9}, {3.6736053942927604`*^9, 3.673605424486741*^9}, {
   3.6736057408782864`*^9, 3.673605750862286*^9}, {3.673606420118394*^9, 
   3.673606422941676*^9}, 3.6737556626189938`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"M", "\[Rule]", "7.772343663517788`"}], ",", 
   RowBox[{"X", "\[Rule]", "0.12491404052612363`"}], ",", 
   RowBox[{"R", "\[Rule]", "3.2434040852141615`"}], ",", 
   RowBox[{"VPD", "\[Rule]", "2.162248444578781`"}], ",", 
   RowBox[{"VPX", "\[Rule]", "2.228680983291942`"}], ",", 
   RowBox[{"Y", "\[Rule]", "3.2434040852141615`"}], ",", 
   RowBox[{"B", "\[Rule]", "3.425690843552254`"}], ",", 
   RowBox[{"YD", "\[Rule]", "0.17312500724621377`"}], ",", 
   RowBox[{"YX", "\[Rule]", "0.15431886177392606`"}], ",", 
   RowBox[{"Me", "\[Rule]", "0.19929086316712294`"}], ",", 
   RowBox[{"W", "\[Rule]", "2.9602311432537878`"}], ",", 
   RowBox[{"LEMP", "\[Rule]", "1.`"}], ",", 
   RowBox[{"PSI", "\[Rule]", "1.8437522853121473`"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.619197695418474*^9, {3.6191978151018844`*^9, 3.6191978439931355`*^9}, {
   3.6191978822756023`*^9, 3.6191978880632124`*^9}, 3.6191979279836826`*^9, 
   3.6191982107685795`*^9, 3.6191983733676653`*^9, 3.619198806798826*^9, 
   3.6191990570544662`*^9, 3.619200047791805*^9, 3.619238116368182*^9, 
   3.62023225555168*^9, 3.62023431074223*^9, 3.620234563925711*^9, 
   3.620577481902748*^9, 3.621529219808208*^9, 3.621529266540881*^9, 
   3.621530372143118*^9, 3.621536892289569*^9, 3.621545206508956*^9, 
   3.6215474956888895`*^9, {3.6736054259885907`*^9, 3.6736054322679625`*^9}, {
   3.67360548928726*^9, 3.6736055069844904`*^9}, 3.673605656325286*^9, {
   3.673605745973286*^9, 3.6736057514452863`*^9}, 3.6736064236607485`*^9, 
   3.673606974519829*^9, 3.6736702929276905`*^9, 3.6736711970900974`*^9, 
   3.6736763493610134`*^9, 3.673680775697895*^9, 3.6737550079875593`*^9, 
   3.673755137237047*^9, 3.6737557447216406`*^9, 3.673755804741937*^9, 
   3.6737582875782156`*^9, 3.6737588276380124`*^9, 3.673760275269749*^9, 
   3.6737603742262692`*^9, 3.673760410419325*^9, 3.6738575279754305`*^9, 
   3.6738609549339733`*^9, 3.673860985379018*^9, 3.674558789026435*^9, 
   3.6745588967483234`*^9, 3.6745589806555285`*^9, 3.67455903183595*^9, 
   3.674560066651643*^9, 3.6836073079449744`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Msol", "=", 
   RowBox[{"M", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Xsol", "=", 
   RowBox[{"X", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rsol", "=", 
   RowBox[{"R", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPDsol", "=", 
   RowBox[{"VPD", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPXsol", "=", 
   RowBox[{"VPX", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ysol", "=", 
   RowBox[{"Y", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Bsol", "=", 
   RowBox[{"B", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YDsol", "=", 
   RowBox[{"YD", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YXsol", "=", 
   RowBox[{"YX", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Mesol", "=", 
   RowBox[{"Me", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Wsol", "=", 
   RowBox[{"W", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LEMPsol", "=", 
   RowBox[{"LEMP", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PSIsol", "=", 
   RowBox[{"PSI", "/.", "sol"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.619198874284545*^9, 3.619199047226449*^9}, {
  3.619199543739721*^9, 3.619199546734926*^9}, {3.6736064476141434`*^9, 
  3.6736064612945113`*^9}, {3.6736763315450134`*^9, 3.6736763390320134`*^9}, {
  3.673756076978135*^9, 3.6737560827057233`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["loop", "Subsubsection",
 CellChangeTimes->{{3.6191994410179405`*^9, 3.6191994423439426`*^9}, {
   3.673760063985503*^9, 3.673760066120536*^9}, 3.673760278787303*^9, 
   3.673760378111329*^9}],

Cell[BoxData[{
 RowBox[{"Q", "=."}], "\[IndentingNewLine]", 
 RowBox[{"Xstar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"Mstar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"VPXstar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"Ystar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"YXstar", "=."}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tar", "=."}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MUDstar", "=", "MUD"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MUXstar", "=", "MUX"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAIDstar", "=", "PAID"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAIXstar", "=", "PAIX"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6202337306140485`*^9, 3.620233773423497*^9}, {
  3.621529281428733*^9, 3.6215292829778214`*^9}, {3.673760143519225*^9, 
  3.6737601467042737`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"tarmin", "=", "1.155"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarstarmin", "=", "tarmin"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarmax", "=", "1.3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarstarmax", "=", "tarmax"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarstep", "=", "0.0025"}], ";"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQBmIQLWdQ8lUx/rXj9gWlYFpqzQofFSDtUcXuB6KXTX4Y
BKIbEt6B6WcPHu8G0SoTfu0D0boT9P+A6GAlnb8gOu5OgqgqkBZZ3ygGoosv
X94RDKRZ2KV3geg4mynvQHSXPN9HEC12QSEgBEhfmrgATP/fVBAContuLwgF
0SqKHypA9KPbfVUgmon9wRkQbWZVfxZEB7Jf/AKiO861fQXRWZ1rI0JB/rj/
AUyXychlgWgPvTAwnSRy3mtVAtAc85XeIHrDm9rVIHqOndEaEK2nY3kSRF+a
8w5MW705fR9E93GzPwDRANzylNU=
  "]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"i", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"j", "=", "1"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ivec", "=", 
    RowBox[{"{", "\"\<i\>\"", "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tauvec", "=", 
   RowBox[{"{", "\"\<icebergSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarvec", "=", 
   RowBox[{"{", "\"\<tarr\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fxvec", "=", 
   RowBox[{"{", "\"\<fxSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fevec", "=", 
   RowBox[{"{", "\"\<feSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Mvec", "=", 
   RowBox[{"{", "\"\<MSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Xvec", "=", 
   RowBox[{"{", "\"\<XSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rvec", "=", 
   RowBox[{"{", "\"\<RSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPDvec", "=", 
   RowBox[{"{", "\"\<VPDSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPXvec", "=", 
   RowBox[{"{", "\"\<VPXSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Yvec", "=", 
   RowBox[{"{", "\"\<YSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Bvec", "=", 
   RowBox[{"{", "\"\<BSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YDvec", "=", 
   RowBox[{"{", "\"\<YDSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YXvec", "=", 
   RowBox[{"{", "\"\<YXSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Mevec", "=", 
   RowBox[{"{", "\"\<MeSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Wvec", "=", 
   RowBox[{"{", "\"\<wageSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LEMPvec", "=", 
   RowBox[{"{", "\"\<employmentSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PSIvec", "=", 
    RowBox[{"{", "\"\<psiSS\>\"", "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"taustarvec", "=", 
   RowBox[{"{", "\"\<icebergstarSS\>\"", "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarstarvec", "=", 
   RowBox[{"{", "\"\<tarstar\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fxstarvec", "=", 
   RowBox[{"{", "\"\<fxstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"festarvec", "=", 
   RowBox[{"{", "\"\<festarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Mstarvec", "=", 
   RowBox[{"{", "\"\<MstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Xstarvec", "=", 
   RowBox[{"{", "\"\<XstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rstarvec", "=", 
   RowBox[{"{", "\"\<RstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPDstarvec", "=", 
   RowBox[{"{", "\"\<VPDstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPXstarvec", "=", 
   RowBox[{"{", "\"\<VPXstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ystarvec", "=", 
   RowBox[{"{", "\"\<YstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Bstarvec", "=", 
   RowBox[{"{", "\"\<BstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YDstarvec", "=", 
   RowBox[{"{", "\"\<YDstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YXstarvec", "=", 
   RowBox[{"{", "\"\<YXstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Mestarvec", "=", 
   RowBox[{"{", "\"\<MestarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Wstarvec", "=", 
   RowBox[{"{", "\"\<wagestarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LEMPstarvec", "=", 
   RowBox[{"{", "\"\<employmentstarSS\>\"", "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PSIstarvec", "=", 
    RowBox[{"{", "\"\<psistarSS\>\"", "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Qvec", " ", "=", 
    RowBox[{"{", "\"\<QSS\>\"", "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"payoffmat", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"payoffstarmat", "=", 
    RowBox[{"{", "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"payoffvec", "=", 
     RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"payoffstarvec", "=", 
     RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Do", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"eqnsloop", "=", 
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"1", "==", 
            RowBox[{
             RowBox[{
              RowBox[{"M", "^", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "-", "phi"}], ")"}], "/", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
              RowBox[{"VPD", "^", 
               RowBox[{"(", 
                RowBox[{"1", "-", "phi"}], ")"}]}]}], "+", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"Xstar", "*", "Mstar"}], ")"}], "^", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "-", "phi"}], ")"}], "/", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
              RowBox[{"VPXstar", "^", 
               RowBox[{"(", 
                RowBox[{"1", "-", "phi"}], ")"}]}]}]}]}], ",", "\n", 
           RowBox[{
            RowBox[{
             RowBox[{"VPX", "^", 
              RowBox[{"(", 
               RowBox[{"-", "phi"}], ")"}]}], "*", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"X", "*", "M"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"theta", "-", "phi"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
             "Ystar"}], "==", 
            RowBox[{
             RowBox[{"1", "/", "taustar"}], 
             RowBox[{"(", 
              RowBox[{"theta", "-", "1"}], ")"}], "*", 
             RowBox[{"kp", "/", "gamma"}], "*", "B", "*", "fx"}]}], ",", "\n", 
           RowBox[{"LEMP", "==", 
            RowBox[{
             RowBox[{"M", "*", 
              RowBox[{"YD", "/", 
               RowBox[{"(", 
                RowBox[{"Z", "*", "A"}], ")"}]}]}], "+", 
             RowBox[{"M", "*", "X", "*", 
              RowBox[{"YX", "/", 
               RowBox[{"(", 
                RowBox[{"Z", "*", "B"}], ")"}]}], "*", "taustar"}], "+", 
             RowBox[{"Me", "*", 
              RowBox[{"fe", "/", "Z"}]}], "+", 
             RowBox[{"M", "*", "X", "*", 
              RowBox[{"fx", "/", "Z"}]}]}]}], ",", "\n", 
           RowBox[{"1", "==", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "-", "delta"}], ")"}], "beta", "*", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "-", 
                 RowBox[{"X", "*", 
                  RowBox[{"fx", "/", "fe"}]}]}], ")"}], "+", 
               RowBox[{
                RowBox[{"1", "/", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"theta", "-", "1"}], ")"}], "*", "fe", "  ", 
                   "A"}], ")"}]}], "*", 
                RowBox[{"(", 
                 RowBox[{"YD", "+", 
                  RowBox[{"X", "*", "Q", "*", 
                   RowBox[{"VPX", "/", "VPD"}], " ", "*", 
                   RowBox[{"1", "/", "tarstar"}], "*", 
                   RowBox[{"MUD", "/", "MUX"}], "*", "YX"}]}], ")"}]}]}], 
              ")"}]}]}], ",", "\n", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{
              RowBox[{"LEMP", "^", "newphi"}], "==", 
              RowBox[{
               RowBox[{"R", "^", 
                RowBox[{"(", 
                 RowBox[{"-", "sigma"}], ")"}]}], "*", "W"}]}], ","}], "*)"}],
            "\[IndentingNewLine]", 
           RowBox[{"LEMP", "\[Equal]", "1"}], ",", "\n", 
           RowBox[{"M", "\[Equal]", 
            RowBox[{
             RowBox[{"M", "*", 
              RowBox[{"(", 
               RowBox[{"1", "-", "delta"}], ")"}]}], "+", 
             RowBox[{"Me", "*", 
              RowBox[{"(", 
               RowBox[{"1", "-", "delta"}], ")"}]}]}]}], ",", "\n", 
           RowBox[{"B", "==", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"kp", "/", "gamma"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{"1", "/", 
                RowBox[{"(", 
                 RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}], "*", 
             "PSI"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"X", "==", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"k", "/", "PSI"}], ")"}], "^", "kp"}]}], ",", "\n", 
           RowBox[{"VPD", "==", 
            RowBox[{"MUD", "*", 
             RowBox[{
              RowBox[{"W", "/", "A"}], "/", "Z"}]}]}], ",", "\n", 
           RowBox[{"VPX", "==", 
            RowBox[{"MUX", "*", "taustar", " ", 
             RowBox[{"tarstar", "/", "Q"}], "*", 
             RowBox[{
              RowBox[{"W", "/", "B"}], "/", "Z"}]}]}], ",", "\n", 
           RowBox[{"YD", "==", 
            RowBox[{
             RowBox[{"VPD", "^", 
              RowBox[{"(", 
               RowBox[{"-", "phi"}], ")"}]}], "*", 
             RowBox[{"M", "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"theta", "-", "phi"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Y"}]}], 
           ",", "\n", 
           RowBox[{"YX", "==", 
            RowBox[{
             RowBox[{"VPX", "^", 
              RowBox[{"(", 
               RowBox[{"-", "phi"}], ")"}]}], "*", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"M", "*", "X"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"theta", "-", "phi"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
             "Ystar"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"Y", "==", 
            RowBox[{"R", "+", 
             RowBox[{
              RowBox[{"nu", "/", "2"}], "*", 
              RowBox[{"PAID", "^", "2"}], "*", "YD", "*", 
              RowBox[{"M", "^", 
               RowBox[{"(", 
                RowBox[{"theta", "/", 
                 RowBox[{"(", 
                  RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}], "+", 
             RowBox[{
              RowBox[{"nu", "/", "2"}], "*", 
              RowBox[{"PAIX", "^", "2"}], "*", "YX", "*", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"M", "*", "X"}], ")"}], "^", 
               RowBox[{"(", 
                RowBox[{"theta", "/", 
                 RowBox[{"(", 
                  RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}]}]}], ",", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"1", "==", 
            RowBox[{
             RowBox[{
              RowBox[{"Mstar", "^", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "-", "phi"}], ")"}], "/", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
              RowBox[{"VPDstar", "^", 
               RowBox[{"(", 
                RowBox[{"1", "-", "phi"}], ")"}]}]}], "+", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"X", "*", "M"}], ")"}], "^", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "-", "phi"}], ")"}], "/", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
              RowBox[{"VPX", "^", 
               RowBox[{"(", 
                RowBox[{"1", "-", "phi"}], ")"}]}]}]}]}], ",", "\n", 
           RowBox[{
            RowBox[{
             RowBox[{"VPXstar", "^", 
              RowBox[{"(", 
               RowBox[{"-", "phi"}], ")"}]}], "*", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"Xstar", "*", "Mstar"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"theta", "-", "phi"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Y"}], "==", 
            RowBox[{
             RowBox[{"1", "/", "tau"}], 
             RowBox[{"(", 
              RowBox[{"theta", "-", "1"}], ")"}], 
             RowBox[{"kp", "/", "gamma"}], "*", "Bstar", "*", "fx"}]}], ",", 
           "\n", 
           RowBox[{"LEMPstar", "==", 
            RowBox[{
             RowBox[{"Mstar", "*", 
              RowBox[{"YDstar", "/", 
               RowBox[{"(", 
                RowBox[{"Z", "*", "A"}], ")"}]}]}], "+", 
             RowBox[{"Mstar", "*", "Xstar", "*", 
              RowBox[{"YXstar", "/", 
               RowBox[{"(", 
                RowBox[{"Z", "*", "Bstar"}], ")"}]}], "*", "tau"}], "+", 
             RowBox[{"Mestar", "*", 
              RowBox[{"fe", "/", "Z"}]}], "+", 
             RowBox[{"Mstar", "*", "Xstar", "*", 
              RowBox[{"fx", "/", "Z"}]}]}]}], ",", "\n", 
           RowBox[{"1", "==", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "-", "delta"}], ")"}], "beta", "*", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "-", 
                 RowBox[{"Xstar", "*", 
                  RowBox[{"fx", "/", "fe"}]}]}], ")"}], "+", 
               RowBox[{
                RowBox[{"1", "/", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"theta", "-", "1"}], ")"}], "*", "fe", " ", "A"}],
                   ")"}]}], "*", 
                RowBox[{"(", 
                 RowBox[{"YDstar", "+", 
                  RowBox[{
                   RowBox[{"Xstar", "/", "Q"}], "*", 
                   RowBox[{"VPXstar", "/", "VPDstar"}], " ", "*", 
                   RowBox[{"1", "/", "tar"}], "*", 
                   RowBox[{"MUDstar", "/", "MUXstar"}], "*", "YXstar"}]}], 
                 ")"}]}]}], ")"}]}]}], ",", "\n", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{
              RowBox[{"LEMPstar", "^", "newphi"}], "==", 
              RowBox[{
               RowBox[{"Rstar", "^", 
                RowBox[{"(", 
                 RowBox[{"-", "sigma"}], ")"}]}], "*", "Wstar"}]}], ","}], 
            "*)"}], "\[IndentingNewLine]", 
           RowBox[{"LEMPstar", "\[Equal]", "1"}], ",", "\n", 
           RowBox[{"Mstar", "==", 
            RowBox[{
             RowBox[{"Mstar", "*", 
              RowBox[{"(", 
               RowBox[{"1", "-", "delta"}], ")"}]}], "+", 
             RowBox[{"Mestar", "*", 
              RowBox[{"(", 
               RowBox[{"1", "-", "delta"}], ")"}]}]}]}], ",", "\n", 
           RowBox[{"Bstar", "==", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"kp", "/", "gamma"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{"1", "/", 
                RowBox[{"(", 
                 RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}], "*", 
             "PSIstar"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"Xstar", "==", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"k", "/", "PSIstar"}], ")"}], "^", "kp"}]}], ",", "\n", 
           RowBox[{"VPDstar", "==", 
            RowBox[{"MUD", "*", 
             RowBox[{
              RowBox[{"Wstar", "/", "A"}], "/", "Z"}]}]}], ",", "\n", 
           RowBox[{"VPXstar", "==", 
            RowBox[{"MUX", "*", "tau", "*", "tar", "*", "Q", "*", 
             RowBox[{
              RowBox[{"Wstar", "/", "Bstar"}], "/", "Z"}]}]}], ",", "\n", 
           RowBox[{"YDstar", "==", 
            RowBox[{
             RowBox[{"VPDstar", "^", 
              RowBox[{"(", 
               RowBox[{"-", "phi"}], ")"}]}], "*", 
             RowBox[{"Mstar", "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"theta", "-", "phi"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
             "Ystar"}]}], ",", "\n", 
           RowBox[{"YXstar", "==", 
            RowBox[{
             RowBox[{"VPXstar", "^", 
              RowBox[{"(", 
               RowBox[{"-", "phi"}], ")"}]}], "*", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"Mstar", "*", "Xstar"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"theta", "-", "phi"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Y"}]}], 
           ",", "\[IndentingNewLine]", 
           RowBox[{"Ystar", "==", 
            RowBox[{"Rstar", "+", 
             RowBox[{
              RowBox[{"nu", "/", "2"}], "*", 
              RowBox[{"PAIDstar", "^", "2"}], "*", "YDstar", "*", 
              RowBox[{"Mstar", "^", 
               RowBox[{"(", 
                RowBox[{"theta", "/", 
                 RowBox[{"(", 
                  RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}], "+", 
             RowBox[{
              RowBox[{"nu", "/", "2"}], "*", 
              RowBox[{"PAIXstar", "^", "2"}], "*", "YXstar", "*", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"Mstar", "*", "Xstar"}], ")"}], "^", 
               RowBox[{"(", 
                RowBox[{"theta", "/", 
                 RowBox[{"(", 
                  RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}]}]}], ",", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Q", "*", "M", "*", "X", "*", "VPX", "*", 
             RowBox[{"YX", "/", "tarstar"}]}], "==", 
            RowBox[{"Mstar", "*", "Xstar", "*", "VPXstar", "*", 
             RowBox[{"YXstar", "/", "tar"}]}]}]}], "\[IndentingNewLine]", 
          "}"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"solloop", "=", 
         RowBox[{"FindRoot", "[", 
          RowBox[{"eqnsloop", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"M", ",", "Msol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"X", ",", "Xsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"R", ",", "Rsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"VPD", ",", "VPDsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"VPX", ",", "VPXsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Y", ",", "Ysol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"B", ",", "Bsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"YD", ",", "YDsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"YX", ",", "YXsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Me", ",", "Mesol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"W", ",", "Wsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"LEMP", ",", "LEMPsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"PSI", ",", "PSIsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Mstar", ",", "Msol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Xstar", ",", "Xsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Rstar", ",", "Rsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"VPDstar", ",", "VPDsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"VPXstar", ",", "VPXsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Ystar", ",", "Ysol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Bstar", ",", "Bsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"YDstar", ",", "YDsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"YXstar", ",", "YXsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Mestar", ",", "Mesol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Wstar", ",", "Wsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"LEMPstar", ",", "LEMPsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"PSIstar", ",", "PSIsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Q", ",", "1"}], "}"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"Msol", "=", 
         RowBox[{"M", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Xsol", "=", 
         RowBox[{"X", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Rsol", "=", 
         RowBox[{"R", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"VPDsol", "=", 
         RowBox[{"VPD", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"VPXsol", "=", 
         RowBox[{"VPX", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Ysol", "=", 
         RowBox[{"Y", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Bsol", "=", 
         RowBox[{"B", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"YDsol", "=", 
         RowBox[{"YD", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"YXsol", "=", 
         RowBox[{"YX", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Mesol", "=", 
         RowBox[{"Me", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Wsol", "=", 
         RowBox[{"W", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"LEMPsol", "=", 
         RowBox[{"LEMP", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"PSIsol", "=", 
         RowBox[{"PSI", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"Mstarsol", "=", 
         RowBox[{"Mstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Xstarsol", "=", 
         RowBox[{"Xstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Rstarsol", "=", 
         RowBox[{"Rstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"VPDstarsol", "=", 
         RowBox[{"VPDstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"VPXstarsol", "=", 
         RowBox[{"VPXstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Ystarsol", "=", 
         RowBox[{"Ystar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Bstarsol", "=", 
         RowBox[{"Bstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"YDstarsol", "=", 
         RowBox[{"YDstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"YXstarsol", "=", 
         RowBox[{"YXstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Mestarsol", "=", 
         RowBox[{"Mestar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Wstarsol", "=", 
         RowBox[{"Wstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"LEMPstarsol", "=", 
         RowBox[{"LEMPstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"PSIstarsol", "=", 
         RowBox[{"PSIstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"Qsol", "=", 
         RowBox[{"Q", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"ivec", ",", "i"}], "]"}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"tauvec", ",", "tau"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"tarvec", ",", "tar"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"fxvec", ",", "fx"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"fevec", ",", "fe"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Mvec", ",", "Msol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Xvec", ",", "Xsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Rvec", ",", "Rsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"VPDvec", ",", "VPDsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"VPXvec", ",", "VPXsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Yvec", ",", "Ysol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Bvec", ",", "Bsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"YDvec", ",", "YDsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"YXvec", ",", "YXsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Mevec", ",", "Mesol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Wvec", ",", "Wsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"LEMPvec", ",", "LEMPsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"PSIvec", ",", "PSIsol"}], "]"}], ";", "\[IndentingNewLine]",
         "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"taustarvec", ",", "taustar"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"tarstarvec", ",", "tarstar"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"fxstarvec", ",", "fx"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"festarvec", ",", "fe"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Mstarvec", ",", "Mstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Xstarvec", ",", "Xstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Rstarvec", ",", "Rstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"VPDstarvec", ",", "VPDstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"VPXstarvec", ",", "VPXstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Ystarvec", ",", "Ystarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Bstarvec", ",", "Bstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"YDstarvec", ",", "YDstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"YXstarvec", ",", "YXstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Mestarvec", ",", "Mestarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Wstarvec", ",", "Wstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"LEMPstarvec", ",", "LEMPstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"PSIstarvec", ",", "PSIstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Qvec", ",", "Qsol"}], "]"}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"payoffvec", ",", "Rsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"payoffstarvec", ",", "Rstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"Print", "[", 
         RowBox[{
         "\"\<i:  \>\"", ",", "i", ",", "\"\<   tar:  \>\"", ",", "tar", ",", 
          "\"\<   tarstar:  \>\"", ",", "tarstar", ",", " ", 
          "\"\<   R:  \>\"", ",", "Rsol", ",", "\"\<   Bstar:  \>\"", ",", 
          "Bstarsol", ",", "\"\<   Xstar:  \>\"", ",", "Xstarsol", ",", 
          "\"\<   check:  \>\"", ",", 
          RowBox[{
           RowBox[{"k", "^", "c"}], " ", 
           RowBox[{"Bstarsol", "^", 
            RowBox[{"(", 
             RowBox[{"-", "c"}], ")"}]}], 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"c", "/", "gamma"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"c", "/", 
              RowBox[{"(", 
               RowBox[{"epselonstar", "-", "1"}], ")"}]}], ")"}]}]}]}], "]"}],
         ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"i", "=", 
         RowBox[{"i", "+", "1"}]}], ";"}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"tar", ",", "tarmin", ",", "tarmax", ",", "tarstep"}], 
        "}"}]}], "]"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"payoffmat", ",", "payoffvec"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"AppendTo", "[", 
     RowBox[{"payoffstarmat", ",", "payoffstarvec"}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"j", "=", 
     RowBox[{"j", "+", "1"}]}], ";"}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"tarstar", ",", "tarstarmin", ",", "tarstarmax", ",", "tarstep"}],
     "}"}]}], "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.6191965168288054`*^9, 3.6191965621312847`*^9}, {
   3.6191966415930243`*^9, 3.6191967832256727`*^9}, {3.619196835454565*^9, 
   3.6191968622242117`*^9}, {3.6191969648243914`*^9, 
   3.6191970844286013`*^9}, {3.6191971810711713`*^9, 3.6191972373784704`*^9}, 
   3.619197487033308*^9, 3.6191975694950533`*^9, {3.6191976202419424`*^9, 
   3.619197622800347*^9}, {3.619197668102826*^9, 3.6191976845140553`*^9}, {
   3.6191981985973577`*^9, 3.61919820537097*^9}, {3.619198339297205*^9, 
   3.619198359670841*^9}, 3.619198797953611*^9, {3.619199455089165*^9, 
   3.6191995288460946`*^9}, {3.619199573356172*^9, 3.6191996258734636`*^9}, {
   3.6191996735315475`*^9, 3.619199730705648*^9}, {3.619199761125701*^9, 
   3.6191999114631653`*^9}, {3.619199971492071*^9, 3.619200042269395*^9}, {
   3.6192381211584563`*^9, 3.619238174356499*^9}, {3.6192383350676913`*^9, 
   3.6192383819023705`*^9}, {3.6192410255115757`*^9, 3.619241031738932*^9}, {
   3.6202319594957466`*^9, 3.620231961003833*^9}, {3.6202320622996264`*^9, 
   3.6202320635536985`*^9}, {3.6202321085952744`*^9, 
   3.6202321388450046`*^9}, {3.620232221274719*^9, 3.620232227722088*^9}, {
   3.6202325980302687`*^9, 3.62023265487952*^9}, {3.620232767578966*^9, 
   3.620232831315612*^9}, {3.620232942812989*^9, 3.6202330186483264`*^9}, {
   3.620233118865059*^9, 3.620233236137766*^9}, {3.6202332681025944`*^9, 
   3.62023342432753*^9}, {3.6202336756179028`*^9, 3.6202336776830215`*^9}, {
   3.6202337670981355`*^9, 3.6202337781637683`*^9}, 3.6202340392176995`*^9, 
   3.620234094767877*^9, {3.620234505106347*^9, 3.620234508500541*^9}, {
   3.6202345526540666`*^9, 3.6202345543971663`*^9}, {3.6202345897901907`*^9, 
   3.6202346547879086`*^9}, {3.6202347013805733`*^9, 
   3.6202347055138097`*^9}, {3.620234759399892*^9, 3.6202347641651645`*^9}, {
   3.6202348031523943`*^9, 3.620234806209569*^9}, {3.620234837786375*^9, 
   3.620234965735694*^9}, {3.6202349981695485`*^9, 3.620235001282727*^9}, {
   3.620235033262556*^9, 3.620235058825018*^9}, {3.620235169738362*^9, 
   3.6202351955418377`*^9}, {3.620235353596878*^9, 3.620235356383037*^9}, {
   3.6202354139023275`*^9, 3.6202354203206944`*^9}, {3.6202356597233877`*^9, 
   3.620235676172328*^9}, {3.620235720801881*^9, 3.620235720889886*^9}, {
   3.620542305383788*^9, 3.6205423104110756`*^9}, {3.6205423712545557`*^9, 
   3.6205423780079412`*^9}, 3.6205430887035913`*^9, {3.6205431552073946`*^9, 
   3.6205431695762167`*^9}, {3.6205468280554695`*^9, 3.620546836154933*^9}, {
   3.620548217195924*^9, 3.620548220143093*^9}, {3.6205485683590097`*^9, 
   3.620548593578452*^9}, {3.6205486525518255`*^9, 3.620548672782982*^9}, {
   3.620548831708072*^9, 3.620548839484517*^9}, {3.6205511884338694`*^9, 
   3.6205511892259145`*^9}, {3.620551235085538*^9, 3.6205513130859985`*^9}, {
   3.6205521933383465`*^9, 3.620552196829546*^9}, {3.620552843395528*^9, 
   3.62055285391813*^9}, {3.6205772954610844`*^9, 3.6205772993913093`*^9}, {
   3.620577377503777*^9, 3.620577381496005*^9}, {3.620577424325455*^9, 
   3.6205774669748945`*^9}, {3.620578426939171*^9, 3.620578429665327*^9}, {
   3.620578541178705*^9, 3.620578578222824*^9}, {3.620578681344722*^9, 
   3.620578707136197*^9}, 3.621506873651601*^9, {3.6215070174848275`*^9, 
   3.621507023980199*^9}, {3.6215070583341637`*^9, 3.621507067121667*^9}, {
   3.6215195075519557`*^9, 3.6215195158654313`*^9}, {3.6215303441155148`*^9, 
   3.621530353929076*^9}, {3.621530407725153*^9, 3.6215304133084726`*^9}, 
   3.621536801544379*^9, {3.6215368571675606`*^9, 3.621536864060955*^9}, {
   3.621537024513132*^9, 3.6215370287583747`*^9}, {3.62153707342793*^9, 
   3.62153709318906*^9}, {3.6215374457192235`*^9, 3.621537448222367*^9}, {
   3.6215374901527653`*^9, 3.6215374908368044`*^9}, {3.62153756157285*^9, 
   3.621537582923071*^9}, {3.6215475027332926`*^9, 3.621547509739693*^9}, {
   3.6215763985688143`*^9, 3.621576439029128*^9}, 3.621577523791173*^9, {
   3.6215780129901533`*^9, 3.6215780575677032`*^9}, {3.621579477401913*^9, 
   3.62157947996706*^9}, {3.621579606477296*^9, 3.621579629670623*^9}, {
   3.6215829479054146`*^9, 3.621582951807638*^9}, {3.6215831128448486`*^9, 
   3.6215831444686575`*^9}, {3.621583862142706*^9, 3.621583862476725*^9}, {
   3.6215842970495815`*^9, 3.621584297094584*^9}, {3.6215855504982743`*^9, 
   3.6215855634920177`*^9}, {3.621586136710804*^9, 3.621586139668973*^9}, {
   3.621586655954503*^9, 3.6215866804409037`*^9}, {3.6215874892591653`*^9, 
   3.621587490074212*^9}, {3.6216035157982388`*^9, 3.621603517814354*^9}, {
   3.6216036041272907`*^9, 3.621603606820444*^9}, {3.621616881666811*^9, 
   3.6216168855824175`*^9}, {3.621616927936492*^9, 3.6216169494645295`*^9}, {
   3.6216169960774117`*^9, 3.6216170028790236`*^9}, 3.6216188484302645`*^9, {
   3.621670817363742*^9, 3.6216708193998585`*^9}, {3.6216807967345295`*^9, 
   3.6216808029928875`*^9}, {3.621680849790564*^9, 3.6216808660254927`*^9}, {
   3.6216810122978587`*^9, 3.6216810128518906`*^9}, {3.621742414648652*^9, 
   3.621742415218685*^9}, 3.621742461411327*^9, {3.621833525976879*^9, 
   3.621833528596029*^9}, {3.6219275306952734`*^9, 3.6219275349855194`*^9}, {
   3.621927607487666*^9, 3.621927610337829*^9}, 3.6224378418199887`*^9, {
   3.622437964156986*^9, 3.62243797330851*^9}, 3.622438061666563*^9, 
   3.622443411054531*^9, {3.6224568139981356`*^9, 3.6224568150951977`*^9}, {
   3.6224568573336143`*^9, 3.6224568578636446`*^9}, 3.622485427170541*^9, 
   3.6224855055110216`*^9, {3.622485547143403*^9, 3.6224855472274075`*^9}, {
   3.622485706947543*^9, 3.622485707222559*^9}, {3.6224859898007216`*^9, 
   3.62248599047676*^9}, 3.624880962492976*^9, {3.6249565699689026`*^9, 
   3.624956571376983*^9}, {3.624956649528453*^9, 3.624956649959478*^9}, {
   3.624965363432197*^9, 3.6249653647425995`*^9}, {3.6737601374391317`*^9, 
   3.673760138106642*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2434040852141615`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.425690843552254`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12491404052612363`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.425690843552254`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1, "   tar:  ", 1.155, "   tarstar:  ", 1.155, "   R:  ", 
   3.2434040852141615`, "   Bstar:  ", 3.425690843552254, "   Xstar:  ", 
   0.12491404052612363`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.425690843552254^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321005401*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243614885395955`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4296507378360146`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12442434960684332`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4296507378360146`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2, "   tar:  ", 1.1575, "   tarstar:  ", 1.155, "   R:  ", 
   3.243614885395955, "   Bstar:  ", 3.4296507378360146`, "   Xstar:  ", 
   0.12442434960684332`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4296507378360146`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073210104017`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243821180241713`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4336087392046015`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1239373724467619`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4336087392046015`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3, "   tar:  ", 1.16, "   tarstar:  ", 1.155, "   R:  ", 
   3.243821180241713, "   Bstar:  ", 3.4336087392046015`, "   Xstar:  ", 
   0.1239373724467619, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4336087392046015`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073210194025`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2440230234948615`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.437564845386799`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12345309038485941`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.437564845386799`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 4, "   tar:  ", 1.1625, "   tarstar:  ", 1.155, "   R:  ", 
   3.2440230234948615`, "   Bstar:  ", 3.437564845386799, "   Xstar:  ", 
   0.12345309038485941`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.437564845386799^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321027403*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "5", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.244220468264131`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4415190541756386`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12297148490542074`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4415190541756386`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 5, "   tar:  ", 1.165, "   tarstar:  ", 1.155, "   R:  ", 
   3.244220468264131, "   Bstar:  ", 3.4415190541756386`, "   Xstar:  ", 
   0.12297148490542074`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4415190541756386`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321042405*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "6", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2444135670313625`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4454713634275067`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12249253763688603`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4454713634275067`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 6, "   tar:  ", 1.1675, "   tarstar:  ", 1.155, "   R:  ", 
   3.2444135670313625`, "   Bstar:  ", 3.4454713634275067`, "   Xstar:  ", 
   0.12249253763688603`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4454713634275067`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073210464053`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "7", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2446023716592327`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4494217710613`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12201623035070129`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4494217710613`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 7, "   tar:  ", 1.17, "   tarstar:  ", 1.155, "   R:  ", 
   3.2446023716592327`, "   Bstar:  ", 3.4494217710613, "   Xstar:  ", 
   0.12201623035070129`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4494217710613^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073210584064`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "8", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2447869333988484`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4533702750575683`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12154254496018135`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4533702750575683`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 8, "   tar:  ", 1.1725, "   tarstar:  ", 1.155, "   R:  ", 
   3.2447869333988484`, "   Bstar:  ", 3.4533702750575683`, "   Xstar:  ", 
   0.12154254496018135`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4533702750575683`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321066407*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "9", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2449673028972614`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.457316873457689`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12107146351937606`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.457316873457689`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 9, "   tar:  ", 1.175, "   tarstar:  ", 1.155, "   R:  ", 
   3.2449673028972614`, "   Bstar:  ", 3.457316873457689, "   Xstar:  ", 
   0.12107146351937606`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.457316873457689^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073210764084`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "10", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.245143530204888`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4612615643630376`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.120602968221947`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4612615643630376`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 10, "   tar:  ", 1.1775, "   tarstar:  ", 1.155, "   R:  ", 
   3.245143530204888, "   Bstar:  ", 3.4612615643630376`, "   Xstar:  ", 
   0.120602968221947, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4612615643630376`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321086409*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "11", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.245315664782847`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.465204345934146`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12013704140005267`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.465204345934146`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 11, "   tar:  ", 1.18, "   tarstar:  ", 1.155, "   R:  ", 
   3.245315664782847, "   Bstar:  ", 3.465204345934146, "   Xstar:  ", 
   0.12013704140005267`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.465204345934146^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732109441*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "12", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2454837555101697`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4691452163899346`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11967366552323473`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4691452163899346`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 12, "   tar:  ", 1.1825, "   tarstar:  ", 1.155, "   R:  ", 
   3.2454837555101697`, "   Bstar:  ", 3.4691452163899346`, "   Xstar:  ", 
   0.11967366552323473`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4691452163899346`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073211094117`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "13", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2456478506909563`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.473084174006908`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11921282319731678`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.473084174006908`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 13, "   tar:  ", 1.185, "   tarstar:  ", 1.155, "   R:  ", 
   3.2456478506909563`, "   Bstar:  ", 3.473084174006908, "   Xstar:  ", 
   0.11921282319731678`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.473084174006908^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073211194124`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "14", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.245807998061427`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.477021217118338`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11875449716331316`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.477021217118338`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 14, "   tar:  ", 1.1875, "   tarstar:  ", 1.155, "   R:  ", 
   3.245807998061427, "   Bstar:  ", 3.477021217118338, "   Xstar:  ", 
   0.11875449716331316`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.477021217118338^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073211274133`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "15", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2459642447968724`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4809563441135496`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11829867029633415`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4809563441135496`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 15, "   tar:  ", 1.19, "   tarstar:  ", 1.155, "   R:  ", 
   3.2459642447968724`, "   Bstar:  ", 3.4809563441135496`, "   Xstar:  ", 
   0.11829867029633415`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4809563441135496`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073211364145`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "16", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2461166375185386`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.484889553437102`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11784532560451218`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.484889553437102`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 16, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.155, 
   "   R:  ", 3.2461166375185386`, "   Bstar:  ", 3.484889553437102, 
   "   Xstar:  ", 0.11784532560451218`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.484889553437102^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321144415*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "17", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2462652223004036`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4888208435880594`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11739444622792591`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4888208435880594`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 17, "   tar:  ", 1.195, "   tarstar:  ", 1.155, "   R:  ", 
   3.2462652223004036`, "   Bstar:  ", 3.4888208435880594`, "   Xstar:  ", 
   0.11739444622792591`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4888208435880594`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073211534157`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "18", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2464100446758897`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4927502131192774`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1169460154375315`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4927502131192774`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 18, "   tar:  ", 1.1975, "   tarstar:  ", 1.155, "   R:  ", 
   3.2464100446758897`, "   Bstar:  ", 3.4927502131192774`, "   Xstar:  ", 
   0.1169460154375315, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4927502131192774`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073211604166`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "19", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.246551149644465`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.496677660636603`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11650001663411157`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.496677660636603`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 19, "   tar:  ", 1.2, "   tarstar:  ", 1.155, "   R:  ", 
   3.246551149644465, "   Bstar:  ", 3.496677660636603, "   Xstar:  ", 
   0.11650001663411157`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.496677660636603^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073211694174`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "20", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.246688581678185`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5006031847981927`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11605643334721974`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5006031847981927`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 20, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.155, 
   "   R:  ", 3.246688581678185, "   Bstar:  ", 3.5006031847981927`, 
   "   Xstar:  ", 0.11605643334721974`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5006031847981927`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321174418*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "21", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.246822384728138`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.504526784313816`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11561524923413498`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.504526784313816`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 21, "   tar:  ", 1.205, "   tarstar:  ", 1.155, "   R:  ", 
   3.246822384728138, "   Bstar:  ", 3.504526784313816, "   Xstar:  ", 
   0.11561524923413498`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.504526784313816^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073211804185`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "22", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2469526022308184`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.508448457944096`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1151764480788317`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.508448457944096`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 22, "   tar:  ", 1.2075, "   tarstar:  ", 1.155, "   R:  ", 
   3.2469526022308184`, "   Bstar:  ", 3.508448457944096, "   Xstar:  ", 
   0.1151764480788317, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.508448457944096^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073211904197`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "23", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2470792771144`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.51236820449988`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11474001379094302`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.51236820449988`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 23, "   tar:  ", 1.21, "   tarstar:  ", 1.155, "   R:  ", 
   3.2470792771144, "   Bstar:  ", 3.51236820449988, "   Xstar:  ", 
   0.11474001379094302`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.51236820449988^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732119442*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "24", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2472024518049576`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5162860228414745`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11430593040474878`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5162860228414745`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 24, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.155, 
   "   R:  ", 3.2472024518049576`, "   Bstar:  ", 3.5162860228414745`, 
   "   Xstar:  ", 0.11430593040474878`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5162860228414745`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321206421*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "25", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.247322168232592`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.520201911878057`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11387418207815075`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.520201911878057`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 25, "   tar:  ", 1.215, "   tarstar:  ", 1.155, "   R:  ", 
   3.247322168232592, "   Bstar:  ", 3.520201911878057, "   Xstar:  ", 
   0.11387418207815075`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.520201911878057^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073212104216`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "26", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.247438467837473`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5241158705669315`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1134447530916745`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5241158705669315`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 26, "   tar:  ", 1.2175, "   tarstar:  ", 1.155, "   R:  ", 
   3.247438467837473, "   Bstar:  ", 3.5241158705669315`, "   Xstar:  ", 
   0.1134447530916745, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5241158705669315`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073212154217`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "27", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.247551391575825`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.528027897912894`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11301762784746693`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.528027897912894`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 27, "   tar:  ", 1.22, "   tarstar:  ", 1.155, "   R:  ", 
   3.247551391575825, "   Bstar:  ", 3.528027897912894, "   Xstar:  ", 
   0.11301762784746693`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.528027897912894^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321227423*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "28", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2476609799258136`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.531937992967611`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.112592790868301`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.531937992967611`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 28, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.155, 
   "   R:  ", 3.2476609799258136`, "   Bstar:  ", 3.531937992967611, 
   "   Xstar:  ", 0.112592790868301, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.531937992967611^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321242425*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "29", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2477672728933875`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5358461548289313`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11217022679659511`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5358461548289313`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 29, "   tar:  ", 1.225, "   tarstar:  ", 1.155, "   R:  ", 
   3.2477672728933875`, "   Bstar:  ", 3.5358461548289313`, "   Xstar:  ", 
   0.11217022679659511`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5358461548289313`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321255426*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "30", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.247870310018005`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5397523826402844`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11174992039343269`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5397523826402844`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 30, "   tar:  ", 1.2275, "   tarstar:  ", 1.155, "   R:  ", 
   3.247870310018005, "   Bstar:  ", 3.5397523826402844`, "   Xstar:  ", 
   0.11174992039343269`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5397523826402844`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321261427*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "31", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.247970130378336`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5436566755900243`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11133185653759421`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5436566755900243`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 31, "   tar:  ", 1.23, "   tarstar:  ", 1.155, "   R:  ", 
   3.247970130378336, "   Bstar:  ", 3.5436566755900243`, "   Xstar:  ", 
   0.11133185653759421`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5436566755900243`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321274428*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "32", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2480667725978454`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5475590329108515`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11091602022458984`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5475590329108515`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 32, "   tar:  ", 1.2325, "   tarstar:  ", 1.155, "   R:  ", 
   3.2480667725978454`, "   Bstar:  ", 3.5475590329108515`, "   Xstar:  ", 
   0.11091602022458984`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5475590329108515`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321278428*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "33", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.248160274850345`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5514594538791635`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11050239656570798`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5514594538791635`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 33, "   tar:  ", 1.235, "   tarstar:  ", 1.155, "   R:  ", 
   3.248160274850345, "   Bstar:  ", 3.5514594538791635`, "   Xstar:  ", 
   0.11050239656570798`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5514594538791635`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073212884293`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "34", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.248250674865451`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5553579378144895`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11009097078706195`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5553579378144895`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 34, "   tar:  ", 1.2375, "   tarstar:  ", 1.155, "   R:  ", 
   3.248250674865451, "   Bstar:  ", 3.5553579378144895`, "   Xstar:  ", 
   0.11009097078706195`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5553579378144895`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732129543*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "35", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.248338009933977`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5592544840788416`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10968172822865448`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5592544840788416`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 35, "   tar:  ", 1.24, "   tarstar:  ", 1.155, "   R:  ", 
   3.248338009933977, "   Bstar:  ", 3.5592544840788416`, "   Xstar:  ", 
   0.10968172822865448`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5592544840788416`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073213084316`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "36", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2484223169132673`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.563149092076213`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10927465434343385`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.563149092076213`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 36, "   tar:  ", 1.2425, "   tarstar:  ", 1.155, "   R:  ", 
   3.2484223169132673`, "   Bstar:  ", 3.563149092076213, "   Xstar:  ", 
   0.10927465434343385`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.563149092076213^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321312432*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "37", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2485036322324485`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5670417612519048`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10886973469637662`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5670417612519048`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 37, "   tar:  ", 1.245, "   tarstar:  ", 1.155, "   R:  ", 
   3.2485036322324485`, "   Bstar:  ", 3.5670417612519048`, "   Xstar:  ", 
   0.10886973469637662`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5670417612519048`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321327433*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "38", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2485819918976317`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5709324910920337`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10846695496355875`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5709324910920337`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 38, "   tar:  ", 1.2475, "   tarstar:  ", 1.155, "   R:  ", 
   3.2485819918976317`, "   Bstar:  ", 3.5709324910920337`, "   Xstar:  ", 
   0.10846695496355875`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5709324910920337`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321338434*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "39", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.248657431497034`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.574821281122915`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.108066300931248`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.574821281122915`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 39, "   tar:  ", 1.25, "   tarstar:  ", 1.155, "   R:  ", 
   3.248657431497034, "   Bstar:  ", 3.574821281122915, "   Xstar:  ", 
   0.108066300931248, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.574821281122915^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073213444347`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "40", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2487299862060417`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5787081309105453`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10766775849499337`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5787081309105453`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 40, "   tar:  ", 1.2525, "   tarstar:  ", 1.155, "   R:  ", 
   3.2487299862060417`, "   Bstar:  ", 3.5787081309105453`, "   Xstar:  ", 
   0.10766775849499337`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5787081309105453`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321352436*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "41", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.248799690792216`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.582593040060017`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10727131365872952`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.582593040060017`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 41, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.155, 
   "   R:  ", 3.248799690792216, "   Bstar:  ", 3.582593040060017, 
   "   Xstar:  ", 0.10727131365872952`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.582593040060017^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073213594365`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "42", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2488665796202127`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.586476008215012`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1068769525338809`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.586476008215012`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 42, "   tar:  ", 1.2575, "   tarstar:  ", 1.155, "   R:  ", 
   3.2488665796202127`, "   Bstar:  ", 3.586476008215012, "   Xstar:  ", 
   0.1068769525338809, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.586476008215012^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073213684373`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "43", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.248930686656676`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.590357035057243`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10648466133847839`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.590357035057243`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 43, "   tar:  ", 1.26, "   tarstar:  ", 1.155, "   R:  ", 
   3.248930686656676, "   Bstar:  ", 3.590357035057243, "   Xstar:  ", 
   0.10648466133847839`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.590357035057243^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321373438*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "44", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.248992045475032`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5942361203059128`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10609442639628273`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5942361203059128`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 44, "   tar:  ", 1.2625, "   tarstar:  ", 1.155, "   R:  ", 
   3.248992045475032, "   Bstar:  ", 3.5942361203059128`, "   Xstar:  ", 
   0.10609442639628273`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5942361203059128`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073213774385`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "45", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2490506892602498`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5981132637172415`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10570623413590713`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5981132637172415`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 45, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.155, 
   "   R:  ", 3.2490506892602498`, "   Bstar:  ", 3.5981132637172415`, 
   "   Xstar:  ", 0.10570623413590713`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5981132637172415`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073213824387`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "46", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.249106650813528`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.601988465083903`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10532007108995804`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.601988465083903`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 46, "   tar:  ", 1.2675, "   tarstar:  ", 1.155, "   R:  ", 
   3.249106650813528, "   Bstar:  ", 3.601988465083903, "   Xstar:  ", 
   0.10532007108995804`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.601988465083903^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073213874393`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "47", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.249159962556925`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.605861724234551`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10493592389417351`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.605861724234551`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 47, "   tar:  ", 1.27, "   tarstar:  ", 1.155, "   R:  ", 
   3.249159962556925, "   Bstar:  ", 3.605861724234551, "   Xstar:  ", 
   0.10493592389417351`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.605861724234551^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073213934402`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "48", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.249210656537941`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6097330410333024`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10455377928657378`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6097330410333024`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 48, "   tar:  ", 1.2725, "   tarstar:  ", 1.155, "   R:  ", 
   3.249210656537941, "   Bstar:  ", 3.6097330410333024`, "   Xstar:  ", 
   0.10455377928657378`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6097330410333024`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073213994403`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "49", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.249258764434023`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.613602415379228`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10417362410661785`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.613602415379228`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 49, "   tar:  ", 1.275, "   tarstar:  ", 1.155, "   R:  ", 
   3.249258764434023, "   Bstar:  ", 3.613602415379228, "   Xstar:  ", 
   0.10417362410661785`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.613602415379228^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321406441*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "50", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2493043175570224`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.617469847205905`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10379544529436208`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.617469847205905`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 50, "   tar:  ", 1.2775, "   tarstar:  ", 1.155, "   R:  ", 
   3.2493043175570224`, "   Bstar:  ", 3.617469847205905, "   Xstar:  ", 
   0.10379544529436208`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.617469847205905^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321411442*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.249347346857608`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6213353364808913`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10341922988963313`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6213353364808913`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 51, "   tar:  ", 1.28, "   tarstar:  ", 1.155, "   R:  ", 
   3.249347346857608, "   Bstar:  ", 3.6213353364808913`, "   Xstar:  ", 
   0.10341922988963313`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6213353364808913`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321421443*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "52", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2493878829296032`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6251988832052824`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10304496503120077`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6251988832052824`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 52, "   tar:  ", 1.2825, "   tarstar:  ", 1.155, "   R:  ", 
   3.2493878829296032`, "   Bstar:  ", 3.6251988832052824`, "   Xstar:  ", 
   0.10304496503120077`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6251988832052824`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321425443*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "53", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2494259560142806`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.629060487413231`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10267263795596061`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.629060487413231`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 53, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.155, 
   "   R:  ", 3.2494259560142806`, "   Bstar:  ", 3.629060487413231, 
   "   Xstar:  ", 0.10267263795596061`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.629060487413231^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321434444*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "54", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2494615960045983`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6329201491714582`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10230223599812563`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6329201491714582`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 54, "   tar:  ", 1.2875, "   tarstar:  ", 1.155, "   R:  ", 
   3.2494615960045983`, "   Bstar:  ", 3.6329201491714582`, "   Xstar:  ", 
   0.10230223599812563`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6329201491714582`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073214394445`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "55", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2494948324493897`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6367778685788554`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10193374658841568`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6367778685788554`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 55, "   tar:  ", 1.29, "   tarstar:  ", 1.155, "   R:  ", 
   3.2494948324493897`, "   Bstar:  ", 3.6367778685788554`, "   Xstar:  ", 
   0.10193374658841568`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6367778685788554`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321445445*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "56", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2495256945574895`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6406336457659707`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10156715725326511`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6406336457659707`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 56, "   tar:  ", 1.2925, "   tarstar:  ", 1.155, "   R:  ", 
   3.2495256945574895`, "   Bstar:  ", 3.6406336457659707`, "   Xstar:  ", 
   0.10156715725326511`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6406336457659707`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073214504457`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "57", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2495542112018097`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.644487480894584`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10120245561402906`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.644487480894584`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 57, "   tar:  ", 1.295, "   tarstar:  ", 1.155, "   R:  ", 
   3.2495542112018097`, "   Bstar:  ", 3.644487480894584, "   Xstar:  ", 
   0.10120245561402906`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.644487480894584^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073214554462`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "58", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2495804109233832`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6483393741573154`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10083962938619376`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6483393741573154`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 58, "   tar:  ", 1.2975, "   tarstar:  ", 1.155, "   R:  ", 
   3.2495804109233832`, "   Bstar:  ", 3.6483393741573154`, "   Xstar:  ", 
   0.10083962938619376`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6483393741573154`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073214604464`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "59", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.155`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2496043219353172`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6521893257770888`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1004786663786068`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6521893257770888`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 59, "   tar:  ", 1.3, "   tarstar:  ", 1.155, "   R:  ", 
   3.2496043219353172`, "   Bstar:  ", 3.6521893257770888`, "   Xstar:  ", 
   0.1004786663786068, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6521893257770888`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321466447*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "60", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242820147336601`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4308828981645494`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12427248434330723`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4308828981645494`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 60, "   tar:  ", 1.155, "   tarstar:  ", 1.1575, "   R:  ", 
   3.242820147336601, "   Bstar:  ", 3.4308828981645494`, "   Xstar:  ", 
   0.12427248434330723`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4308828981645494`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073214704475`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "61", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243030007625762`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.434850783330003`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12378506473514449`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.434850783330003`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 61, "   tar:  ", 1.1575, "   tarstar:  ", 1.1575, "   R:  ", 
   3.243030007625762, "   Bstar:  ", 3.434850783330003, "   Xstar:  ", 
   0.12378506473514449`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.434850783330003^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073214754477`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "62", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2432353793237763`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4388167651707433`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12330034833581555`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4388167651707433`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 62, "   tar:  ", 1.16, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2432353793237763`, "   Bstar:  ", 3.4388167651707433`, "   Xstar:  ", 
   0.12330034833581555`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4388167651707433`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321481449*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "63", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2434363160078648`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.44278084145792`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12281831653590657`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.44278084145792`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 63, "   tar:  ", 1.1625, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2434363160078648`, "   Bstar:  ", 3.44278084145792, "   Xstar:  ", 
   0.12281831653590657`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.44278084145792^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321487449*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "64", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243632870622003`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.446743010026684`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12233895087116897`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.446743010026684`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 64, "   tar:  ", 1.165, "   tarstar:  ", 1.1575, "   R:  ", 
   3.243632870622003, "   Bstar:  ", 3.446743010026684, "   Xstar:  ", 
   0.12233895087116897`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.446743010026684^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073214914494`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "65", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243825095484713`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4507032687753054`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12186223302136398`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4507032687753054`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 65, "   tar:  ", 1.1675, "   tarstar:  ", 1.1575, "   R:  ", 
   3.243825095484713, "   Bstar:  ", 3.4507032687753054`, "   Xstar:  ", 
   0.12186223302136398`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4507032687753054`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073214964504`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "66", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.244013042296763`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4546616156643526`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12138814480910931`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4546616156643526`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 66, "   tar:  ", 1.17, "   tarstar:  ", 1.1575, "   R:  ", 
   3.244013042296763, "   Bstar:  ", 3.4546616156643526`, "   Xstar:  ", 
   0.12138814480910931`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4546616156643526`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321502451*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "67", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2441967621487735`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.458618048715812`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12091666819874176`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.458618048715812`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 67, "   tar:  ", 1.1725, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2441967621487735`, "   Bstar:  ", 3.458618048715812, "   Xstar:  ", 
   0.12091666819874176`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.458618048715812^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073215084515`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "68", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.24437630552872`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4625725660122937`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12044778529517781`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4625725660122937`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 68, "   tar:  ", 1.175, "   tarstar:  ", 1.1575, "   R:  ", 
   3.24437630552872, "   Bstar:  ", 3.4625725660122937`, "   Xstar:  ", 
   0.12044778529517781`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4625725660122937`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321512452*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "69", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2445517223293416`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.466525165696144`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11998147834279406`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.466525165696144`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 69, "   tar:  ", 1.1775, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2445517223293416`, "   Bstar:  ", 3.466525165696144, "   Xstar:  ", 
   0.11998147834279406`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.466525165696144^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321515452*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "70", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.244723061855453`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4704758459686773`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11951772972430255`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4704758459686773`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 70, "   tar:  ", 1.18, "   tarstar:  ", 1.1575, "   R:  ", 
   3.244723061855453, "   Bstar:  ", 3.4704758459686773`, "   Xstar:  ", 
   0.11951772972430255`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4704758459686773`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321519452*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "71", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2448903728311778`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.474424605089379`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11905652195963781`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.474424605089379`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 71, "   tar:  ", 1.1825, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2448903728311778`, "   Bstar:  ", 3.474424605089379, "   Xstar:  ", 
   0.11905652195963781`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.474424605089379^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321524453*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "72", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2450537034070694`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4783714413750757`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11859783770485705`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4783714413750757`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 72, "   tar:  ", 1.185, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2450537034070694`, "   Bstar:  ", 3.4783714413750757`, "   Xstar:  ", 
   0.11859783770485705`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4783714413750757`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073215294533`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "73", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2452131011671606`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4823163531991552`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1181416597510416`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4823163531991552`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 73, "   tar:  ", 1.1875, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2452131011671606`, "   Bstar:  ", 3.4823163531991552`, "   Xstar:  ", 
   0.1181416597510416, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4823163531991552`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321533454*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "74", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.245368613135911`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4862593389908425`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11768797102320276`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4862593389908425`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 74, "   tar:  ", 1.19, "   tarstar:  ", 1.1575, "   R:  ", 
   3.245368613135911, "   Bstar:  ", 3.4862593389908425`, "   Xstar:  ", 
   0.11768797102320276`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4862593389908425`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073215374546`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "75", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2455202857850773`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.490200397234385`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11723675457920493`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.490200397234385`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 75, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.1575, 
   "   R:  ", 3.2455202857850773`, "   Bstar:  ", 3.490200397234385, 
   "   Xstar:  ", 0.11723675457920493`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.490200397234385^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073215424547`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "76", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.245668165040478`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4941395264683197`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11678799360868893`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4941395264683197`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 76, "   tar:  ", 1.195, "   tarstar:  ", 1.1575, "   R:  ", 
   3.245668165040478, "   Bstar:  ", 3.4941395264683197`, "   Xstar:  ", 
   0.11678799360868893`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4941395264683197`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321548455*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "77", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.245812296288698`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.498076725284725`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11634167143200469`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.498076725284725`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 77, "   tar:  ", 1.1975, "   tarstar:  ", 1.1575, "   R:  ", 
   3.245812296288698, "   Bstar:  ", 3.498076725284725, "   Xstar:  ", 
   0.11634167143200469`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.498076725284725^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073215544558`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "78", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2459527243836868`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.502011992328518`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11589777149914865`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.502011992328518`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 78, "   tar:  ", 1.2, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2459527243836868`, "   Bstar:  ", 3.502011992328518, "   Xstar:  ", 
   0.11589777149914865`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.502011992328518^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073215594563`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "79", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.246089493653286`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.505945326296677`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11545627738871657`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.505945326296677`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 79, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.1575, 
   "   R:  ", 3.246089493653286, "   Bstar:  ", 3.505945326296677, 
   "   Xstar:  ", 0.11545627738871657`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.505945326296677^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073215654573`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "80", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2462226479056637`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.509876725937581`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11501717280685352`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.509876725937581`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 80, "   tar:  ", 1.205, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2462226479056637`, "   Bstar:  ", 3.509876725937581, "   Xstar:  ", 
   0.11501717280685352`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.509876725937581^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073215694575`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "81", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2463522304356793`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5138061900502753`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11458044158621847`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5138061900502753`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 81, "   tar:  ", 1.2075, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2463522304356793`, "   Bstar:  ", 3.5138061900502753`, "   Xstar:  ", 
   0.11458044158621847`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5138061900502753`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321574458*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "82", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2464782840311512`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.517733717483782`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11414606768495442`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.517733717483782`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 82, "   tar:  ", 1.21, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2464782840311512`, "   Bstar:  ", 3.517733717483782, "   Xstar:  ", 
   0.11414606768495442`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.517733717483782^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073215784583`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "83", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2466008509790707`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5216593071364284`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11371403518566316`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5216593071364284`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 83, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.1575, 
   "   R:  ", 3.2466008509790707`, "   Bstar:  ", 3.5216593071364284`, 
   "   Xstar:  ", 0.11371403518566316`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5216593071364284`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073215824585`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "84", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2467199730716993`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.525582957955155`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11328432829439232`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.525582957955155`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 84, "   tar:  ", 1.215, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2467199730716993`, "   Bstar:  ", 3.525582957955155, "   Xstar:  ", 
   0.11328432829439232`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.525582957955155^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321586459*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "85", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2468356916126355`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5295046689348495`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11285693133962652`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5295046689348495`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 85, "   tar:  ", 1.2175, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2468356916126355`, "   Bstar:  ", 3.5295046689348495`, "   Xstar:  ", 
   0.11285693133962652`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5295046689348495`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732159046*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "86", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2469480474227534`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.533424439117694`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1124318287712859`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.533424439117694`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 86, "   tar:  ", 1.22, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2469480474227534`, "   Bstar:  ", 3.533424439117694, "   Xstar:  ", 
   0.1124318287712859, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.533424439117694^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073215964603`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "87", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2470570808461185`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5373422675925172`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11200900515973294`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5373422675925172`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 87, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.1575, 
   "   R:  ", 3.2470570808461185`, "   Bstar:  ", 3.5373422675925172`, 
   "   Xstar:  ", 0.11200900515973294`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5373422675925172`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321602461*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "88", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.247162831755784`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5412581534941396`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11158844519478747`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5412581534941396`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 88, "   tar:  ", 1.225, "   tarstar:  ", 1.1575, "   R:  ", 
   3.247162831755784, "   Bstar:  ", 3.5412581534941396`, "   Xstar:  ", 
   0.11158844519478747`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5412581534941396`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321607461*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "89", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2472653395595357`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5451720960027577`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11117013368474611`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5451720960027577`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 89, "   tar:  ", 1.2275, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2472653395595357`, "   Bstar:  ", 3.5451720960027577`, "   Xstar:  ", 
   0.11117013368474611`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5451720960027577`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321612462*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "90", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2473646432055654`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5490840943433`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1107540555554128`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5490840943433`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 90, "   tar:  ", 1.23, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2473646432055654`, "   Bstar:  ", 3.5490840943433, "   Xstar:  ", 
   0.1107540555554128, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5490840943433^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321617462*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "91", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.247460781188064`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.552994147784829`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11034019584913274`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.552994147784829`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 91, "   tar:  ", 1.2325, "   tarstar:  ", 1.1575, "   R:  ", 
   3.247460781188064, "   Bstar:  ", 3.552994147784829, "   Xstar:  ", 
   0.11034019584913274`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.552994147784829^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073216224627`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "92", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2475537915527433`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5569022556399243`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10992853972383608`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5569022556399243`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 92, "   tar:  ", 1.235, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2475537915527433`, "   Bstar:  ", 3.5569022556399243`, "   Xstar:  ", 
   0.10992853972383608`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5569022556399243`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073216274633`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "93", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2476437119023`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5608084172640755`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10951907245208928`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5608084172640755`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 93, "   tar:  ", 1.2375, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2476437119023, "   Bstar:  ", 3.5608084172640755`, "   Xstar:  ", 
   0.10951907245208928`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5608084172640755`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073216324635`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "94", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.247730579401796`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5647126320550955`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1091117794201514`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5647126320550955`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 94, "   tar:  ", 1.24, "   tarstar:  ", 1.1575, "   R:  ", 
   3.247730579401796, "   Bstar:  ", 3.5647126320550955`, "   Xstar:  ", 
   0.1091117794201514, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5647126320550955`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073216374645`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "95", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2478144307839782`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5686148994525313`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10870664612703944`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5686148994525313`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 95, "   tar:  ", 1.2425, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2478144307839782`, "   Bstar:  ", 3.5686148994525313`, "   Xstar:  ", 
   0.10870664612703944`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5686148994525313`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073216424646`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "96", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.247895302354522`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5725152189371134`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10830365818359763`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5725152189371134`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 96, "   tar:  ", 1.245, "   tarstar:  ", 1.1575, "   R:  ", 
   3.247895302354522, "   Bstar:  ", 3.5725152189371134`, "   Xstar:  ", 
   0.10830365818359763`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5725152189371134`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073216494656`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "97", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2479732299972297`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.576413590030119`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10790280131158274`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.576413590030119`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 97, "   tar:  ", 1.2475, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2479732299972297`, "   Bstar:  ", 3.576413590030119, "   Xstar:  ", 
   0.10790280131158274`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.576413590030119^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073216544657`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "98", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2480482491791403`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5803100122929017`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1075040613427409`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5803100122929017`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 98, "   tar:  ", 1.25, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2480482491791403`, "   Bstar:  ", 3.5803100122929017`, "   Xstar:  ", 
   0.1075040613427409, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5803100122929017`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073216584663`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "99", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.248120394955578`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.584204485326253`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10710742421790939`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.584204485326253`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 99, "   tar:  ", 1.2525, "   tarstar:  ", 1.1575, "   R:  ", 
   3.248120394955578, "   Bstar:  ", 3.584204485326253, "   Xstar:  ", 
   0.10710742421790939`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.584204485326253^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321664467*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "100", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2481897019751567`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5880970087699047`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10671287598611127`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5880970087699047`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 100, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.1575, 
   "   R:  ", 3.2481897019751567`, "   Bstar:  ", 3.5880970087699047`, 
   "   Xstar:  ", 0.10671287598611127`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5880970087699047`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073216684675`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "101", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2482562044846888`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5919875823019702`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10632040280366466`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5919875823019702`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 101, "   tar:  ", 1.2575, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2482562044846888`, "   Bstar:  ", 3.5919875823019702`, "   Xstar:  ", 
   0.10632040280366466`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5919875823019702`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321673468*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "102", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.248319936334067`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5958762056384135`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1059299909332962`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5958762056384135`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 102, "   tar:  ", 1.26, "   tarstar:  ", 1.1575, "   R:  ", 
   3.248319936334067, "   Bstar:  ", 3.5958762056384135`, "   Xstar:  ", 
   0.1059299909332962, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5958762056384135`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073216784687`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "103", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2483809309810523`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.599762878532505`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10554162674326428`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.599762878532505`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 103, "   tar:  ", 1.2625, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2483809309810523`, "   Bstar:  ", 3.599762878532505, "   Xstar:  ", 
   0.10554162674326428`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.599762878532505^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321682469*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "104", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2484392214960245`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6036476007743503`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10515529670648194`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6036476007743503`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 104, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.1575, 
   "   R:  ", 3.2484392214960245`, "   Bstar:  ", 3.6036476007743503`, 
   "   Xstar:  ", 0.10515529670648194`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6036476007743503`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073216884694`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "105", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2484948405666585`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6075303721903165`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10477098739965758`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6075303721903165`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 105, "   tar:  ", 1.2675, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2484948405666585`, "   Bstar:  ", 3.6075303721903165`, "   Xstar:  ", 
   0.10477098739965758`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6075303721903165`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732169347*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "106", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2485478205025555`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6114111926425636`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10438868550243337`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6114111926425636`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 106, "   tar:  ", 1.27, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2485478205025555`, "   Bstar:  ", 3.6114111926425636`, "   Xstar:  ", 
   0.10438868550243337`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6114111926425636`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732169847*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "107", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2485981932397956`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6152900620285435`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10400837779653338`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6152900620285435`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 107, "   tar:  ", 1.2725, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2485981932397956`, "   Bstar:  ", 3.6152900620285435`, "   Xstar:  ", 
   0.10400837779653338`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6152900620285435`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073217034707`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "108", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2486459903454534`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6191669802804878`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10363005116492105`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6191669802804878`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 108, "   tar:  ", 1.275, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2486459903454534`, "   Bstar:  ", 3.6191669802804878`, "   Xstar:  ", 
   0.10363005116492105`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6191669802804878`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073217064714`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "109", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.248691243022045`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6230419473649222`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10325369259096082`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6230419473649222`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 109, "   tar:  ", 1.2775, "   tarstar:  ", 1.1575, "   R:  ", 
   3.248691243022045, "   Bstar:  ", 3.6230419473649222`, "   Xstar:  ", 
   0.10325369259096082`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6230419473649222`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073217094717`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "110", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2487339821119225`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.626914963282212`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10287928915758451`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.626914963282212`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 110, "   tar:  ", 1.28, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2487339821119225`, "   Bstar:  ", 3.626914963282212, "   Xstar:  ", 
   0.10287928915758451`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.626914963282212^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321714472*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "111", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2487742381016096`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.630786028066063`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1025068280464693`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.630786028066063`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 111, "   tar:  ", 1.2825, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2487742381016096`, "   Bstar:  ", 3.630786028066063, "   Xstar:  ", 
   0.1025068280464693, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.630786028066063^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073217184725`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "112", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2488120411260875`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.634655141783052`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10213629653721938`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.634655141783052`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 112, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.1575, 
   "   R:  ", 3.2488120411260875`, "   Bstar:  ", 3.634655141783052, 
   "   Xstar:  ", 0.10213629653721938`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.634655141783052^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073217214727`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "113", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.248847420973013`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6385223045321786`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10176768200655387`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6385223045321786`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 113, "   tar:  ", 1.2875, "   tarstar:  ", 1.1575, "   R:  ", 
   3.248847420973013, "   Bstar:  ", 3.6385223045321786`, "   Xstar:  ", 
   0.10176768200655387`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6385223045321786`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073217254734`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "114", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2488804070869226`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6423875164444066`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10140097192750182`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6423875164444066`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 114, "   tar:  ", 1.29, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2488804070869226`, "   Bstar:  ", 3.6423875164444066`, "   Xstar:  ", 
   0.10140097192750182`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6423875164444066`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073217304735`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "115", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.248911028573323`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6462507776822033`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1010361538686051`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6462507776822033`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 115, "   tar:  ", 1.2925, "   tarstar:  ", 1.1575, "   R:  ", 
   3.248911028573323, "   Bstar:  ", 3.6462507776822033`, "   Xstar:  ", 
   0.1010361538686051, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6462507776822033`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321735474*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "116", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.24893931420278`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6501120884390916`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10067321549312706`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6501120884390916`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 116, "   tar:  ", 1.295, "   tarstar:  ", 1.1575, "   R:  ", 
   3.24893931420278, "   Bstar:  ", 3.6501120884390916`, "   Xstar:  ", 
   0.10067321549312706`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6501120884390916`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321741475*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "117", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.248965292414933`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.653971448939243`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10031214455826416`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.653971448939243`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 117, "   tar:  ", 1.2975, "   tarstar:  ", 1.1575, "   R:  ", 
   3.248965292414933, "   Bstar:  ", 3.653971448939243, "   Xstar:  ", 
   0.10031214455826416`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.653971448939243^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321747475*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "118", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2489889913224754`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6578288594369965`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09995292891437153`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6578288594369965`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 118, "   tar:  ", 1.3, "   tarstar:  ", 1.1575, "   R:  ", 
   3.2489889913224754`, "   Bstar:  ", 3.6578288594369965`, "   Xstar:  ", 
   0.09995292891437153, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6578288594369965`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073217514753`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], ":", 
  " ", "\<\"The line search decreased the step size to within tolerance \
specified by AccuracyGoal and PrecisionGoal but was unable to find a \
sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(\\*RowBox[{\\\"MachinePrecision\\\"}]\\)\[NoBreak] digits of \
working precision to meet these tolerances. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/lstol\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6745602788735666`*^9, 3.683607321908491*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "119", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242239629235559`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4360736176080073`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12363534921211712`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4360736176080073`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 119, "   tar:  ", 1.155, "   tarstar:  ", 1.16, "   R:  ", 
   3.242239629235559, "   Bstar:  ", 3.4360736176080073`, "   Xstar:  ", 
   0.12363534921211712`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4360736176080073`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321913492*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "120", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.24244855591768`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4400494860621005`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12315018755233083`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4400494860621005`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 120, "   tar:  ", 1.1575, "   tarstar:  ", 1.16, "   R:  ", 
   3.24244855591768, "   Bstar:  ", 3.4400494860621005`, "   Xstar:  ", 
   0.12315018755233083`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4400494860621005`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073219184923`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "121", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242653010667996`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4440234407980275`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1226677185940284`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4440234407980275`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 121, "   tar:  ", 1.16, "   tarstar:  ", 1.16, "   R:  ", 
   3.242653010667996, "   Bstar:  ", 3.4440234407980275`, "   Xstar:  ", 
   0.1226677185940284, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4440234407980275`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321929494*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "122", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2428530468981047`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4479954796292507`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12218792377940248`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4479954796292507`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 122, "   tar:  ", 1.1625, "   tarstar:  ", 1.16, "   R:  ", 
   3.2428530468981047`, "   Bstar:  ", 3.4479954796292507`, "   Xstar:  ", 
   0.12218792377940248`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4479954796292507`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321934494*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "123", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243048717387795`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.45196560043298`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12171078469566718`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.45196560043298`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 123, "   tar:  ", 1.165, "   tarstar:  ", 1.16, "   R:  ", 
   3.243048717387795, "   Bstar:  ", 3.45196560043298, "   Xstar:  ", 
   0.12171078469566718`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.45196560043298^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321939494*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "124", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243240074292841`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4559338011493894`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12123628307388948`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4559338011493894`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 124, "   tar:  ", 1.1675, "   tarstar:  ", 1.16, "   R:  ", 
   3.243240074292841, "   Bstar:  ", 3.4559338011493894`, "   Xstar:  ", 
   0.12123628307388948`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4559338011493894`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321945495*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "125", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243427169152692`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4599000797806645`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12076440078784867`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4599000797806645`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 125, "   tar:  ", 1.17, "   tarstar:  ", 1.16, "   R:  ", 
   3.243427169152692, "   Bstar:  ", 3.4599000797806645`, "   Xstar:  ", 
   0.12076440078784867`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4599000797806645`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073219514956`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "126", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243610052898052`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.463864434390209`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1202951198528864`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.463864434390209`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 126, "   tar:  ", 1.1725, "   tarstar:  ", 1.16, "   R:  ", 
   3.243610052898052, "   Bstar:  ", 3.463864434390209, "   Xstar:  ", 
   0.1202951198528864, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.463864434390209^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321958496*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "127", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2437887758583943`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.467826863101808`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11982842242476971`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.467826863101808`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 127, "   tar:  ", 1.175, "   tarstar:  ", 1.16, "   R:  ", 
   3.2437887758583943`, "   Bstar:  ", 3.467826863101808, "   Xstar:  ", 
   0.11982842242476971`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.467826863101808^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321964497*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "128", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243963387769343`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4717873640987773`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11936429079856523`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4717873640987773`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 128, "   tar:  ", 1.1775, "   tarstar:  ", 1.16, "   R:  ", 
   3.243963387769343, "   Bstar:  ", 3.4717873640987773`, "   Xstar:  ", 
   0.11936429079856523`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4717873640987773`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073219694977`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "129", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2441339377799947`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4757459356231934`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11890270740751253`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4757459356231934`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 129, "   tar:  ", 1.18, "   tarstar:  ", 1.16, "   R:  ", 
   3.2441339377799947`, "   Bstar:  ", 3.4757459356231934`, "   Xstar:  ", 
   0.11890270740751253`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4757459356231934`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321975498*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "130", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.244300474460129`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4797025759750286`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11844365482191717`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4797025759750286`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 130, "   tar:  ", 1.1825, "   tarstar:  ", 1.16, "   R:  ", 
   3.244300474460129, "   Bstar:  ", 3.4797025759750286`, "   Xstar:  ", 
   0.11844365482191717`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4797025759750286`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607321982499*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "131", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.244463045807321`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4836572835114232`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11798711574803661`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4836572835114232`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 131, "   tar:  ", 1.185, "   tarstar:  ", 1.16, "   R:  ", 
   3.244463045807321, "   Bstar:  ", 3.4836572835114232`, "   Xstar:  ", 
   0.11798711574803661`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4836572835114232`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073219884996`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "132", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.244621699253987`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.487610056645866`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11753307302698514`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.487610056645866`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 132, "   tar:  ", 1.1875, "   tarstar:  ", 1.16, "   R:  ", 
   3.244621699253987, "   Bstar:  ", 3.487610056645866, "   Xstar:  ", 
   0.11753307302698514`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.487610056645866^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073219955*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "133", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2447764816743216`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4915608938474225`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11708150963364262`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4915608938474225`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 133, "   tar:  ", 1.19, "   tarstar:  ", 1.16, "   R:  ", 
   3.2447764816743216`, "   Bstar:  ", 3.4915608938474225`, "   Xstar:  ", 
   0.11708150963364262`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4915608938474225`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073220005007`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "134", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.16`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2449274393911507`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.495509793639995`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11663240867556773`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.495509793639995`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 134, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.16, 
   "   R:  ", 3.2449274393911507`, "   Bstar:  ", 3.495509793639995, 
   "   Xstar:  ", 0.11663240867556773`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.495509793639995^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073220055013`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "135", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2450746181827017`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4994567546015523`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11618575339192341`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4994567546015523`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 135, "   tar:  ", 1.195, "   tarstar:  ", 1.16, "   R:  ", 
   3.2450746181827017`, "   Bstar:  ", 3.4994567546015523`, "   Xstar:  ", 
   0.11618575339192341`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4994567546015523`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322010502*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "136", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.245218063289286`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5034017753634084`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11574152715240615`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5034017753634084`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 136, "   tar:  ", 1.1975, "   tarstar:  ", 1.16, "   R:  ", 
   3.245218063289286, "   Bstar:  ", 3.5034017753634084`, "   Xstar:  ", 
   0.11574152715240615`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5034017753634084`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322015502*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "137", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.245357819419896`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5073448546094563`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11529971345618732`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5073448546094563`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 137, "   tar:  ", 1.2, "   tarstar:  ", 1.16, "   R:  ", 
   3.245357819419896, "   Bstar:  ", 3.5073448546094563`, "   Xstar:  ", 
   0.11529971345618732`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5073448546094563`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073220215025`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "138", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.16`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2454939307587134`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.51128599107549`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11486029593085492`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.51128599107549`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 138, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.16, 
   "   R:  ", 3.2454939307587134`, "   Bstar:  ", 3.51128599107549, 
   "   Xstar:  ", 0.11486029593085492`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.51128599107549^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322025503*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "139", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2456264409715443`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5152251835484547`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11442325833137078`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5152251835484547`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 139, "   tar:  ", 1.205, "   tarstar:  ", 1.16, "   R:  ", 
   3.2456264409715443`, "   Bstar:  ", 3.5152251835484547`, "   Xstar:  ", 
   0.11442325833137078`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5152251835484547`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073220315037`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "140", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2457553932121694`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5191624308657783`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11398858453902781`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5191624308657783`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 140, "   tar:  ", 1.2075, "   tarstar:  ", 1.16, "   R:  ", 
   3.2457553932121694`, "   Bstar:  ", 3.5191624308657783`, "   Xstar:  ", 
   0.11398858453902781`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5191624308657783`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073220365043`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "141", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2458808301286064`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5230977319146493`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11355625856042137`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5230977319146493`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 141, "   tar:  ", 1.21, "   tarstar:  ", 1.16, "   R:  ", 
   3.2458808301286064`, "   Bstar:  ", 3.5230977319146493`, "   Xstar:  ", 
   0.11355625856042137`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5230977319146493`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322042505*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "142", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.16`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2460027938693066`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.527031085631338`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11312626452642437`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.527031085631338`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 142, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.16, 
   "   R:  ", 3.2460027938693066`, "   Bstar:  ", 3.527031085631338, 
   "   Xstar:  ", 0.11312626452642437`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.527031085631338^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073220475054`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "143", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.246121326089255`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.530962491000532`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11269858669116961`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.530962491000532`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 143, "   tar:  ", 1.215, "   tarstar:  ", 1.16, "   R:  ", 
   3.246121326089255, "   Bstar:  ", 3.530962491000532, "   Xstar:  ", 
   0.11269858669116961`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.530962491000532^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322053506*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "144", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.246236467956014`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.534891947054673`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11227320943103991`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.534891947054673`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 144, "   tar:  ", 1.2175, "   tarstar:  ", 1.16, "   R:  ", 
   3.246236467956014, "   Bstar:  ", 3.534891947054673, "   Xstar:  ", 
   0.11227320943103991`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.534891947054673^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073220585065`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "145", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2463482601556684`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5388194528732657`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1118501172436698`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5388194528732657`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 145, "   tar:  ", 1.22, "   tarstar:  ", 1.16, "   R:  ", 
   3.2463482601556684`, "   Bstar:  ", 3.5388194528732657`, "   Xstar:  ", 
   0.1118501172436698, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5388194528732657`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322064507*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "146", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.16`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.246456742898712`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5427450075822917`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11142929474694444`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5427450075822917`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 146, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.16, 
   "   R:  ", 3.246456742898712, "   Bstar:  ", 3.5427450075822917`, 
   "   Xstar:  ", 0.11142929474694444`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5427450075822917`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073220695076`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "147", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.246561955925852`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5466686103534872`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.111010726678021`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5466686103534872`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 147, "   tar:  ", 1.225, "   tarstar:  ", 1.16, "   R:  ", 
   3.246561955925852, "   Bstar:  ", 3.5466686103534872`, "   Xstar:  ", 
   0.111010726678021, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5466686103534872`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322075508*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "148", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2466639385137377`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.550590260403784`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11059439789234124`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.550590260403784`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 148, "   tar:  ", 1.2275, "   tarstar:  ", 1.16, "   R:  ", 
   3.2466639385137377`, "   Bstar:  ", 3.550590260403784, "   Xstar:  ", 
   0.11059439789234124`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.550590260403784^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073220815086`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "149", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2467627294806265`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.554509956994647`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11018029336266333`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.554509956994647`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 149, "   tar:  ", 1.23, "   tarstar:  ", 1.16, "   R:  ", 
   3.2467627294806265`, "   Bstar:  ", 3.554509956994647, "   Xstar:  ", 
   0.11018029336266333`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.554509956994647^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322087509*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "150", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.246858367191962`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.558427699431463`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10976839817809618`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.558427699431463`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 150, "   tar:  ", 1.2325, "   tarstar:  ", 1.16, "   R:  ", 
   3.246858367191962, "   Bstar:  ", 3.558427699431463, "   Xstar:  ", 
   0.10976839817809618`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.558427699431463^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073220925097`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "151", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.246950889565898`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.562343487062946`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10935869754314038`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.562343487062946`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 151, "   tar:  ", 1.235, "   tarstar:  ", 1.16, "   R:  ", 
   3.246950889565898, "   Bstar:  ", 3.562343487062946, "   Xstar:  ", 
   0.10935869754314038`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.562343487062946^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073220985107`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "152", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2470403340787373`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5662573192805165`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10895117677673946`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5662573192805165`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 152, "   tar:  ", 1.2375, "   tarstar:  ", 1.16, "   R:  ", 
   3.2470403340787373`, "   Bstar:  ", 3.5662573192805165`, "   Xstar:  ", 
   0.10895117677673946`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5662573192805165`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073221045113`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "153", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.247126737770317`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5701691955177313`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10854582131133522`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5701691955177313`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 153, "   tar:  ", 1.24, "   tarstar:  ", 1.16, "   R:  ", 
   3.247126737770317, "   Bstar:  ", 3.5701691955177313`, "   Xstar:  ", 
   0.10854582131133522`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5701691955177313`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322110512*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "154", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2472101372493136`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5740791152496856`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10814261669193223`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5740791152496856`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 154, "   tar:  ", 1.2425, "   tarstar:  ", 1.16, "   R:  ", 
   3.2472101372493136`, "   Bstar:  ", 3.5740791152496856`, "   Xstar:  ", 
   0.10814261669193223`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5740791152496856`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073221165123`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "155", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.247290568698483`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5779870779924536`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10774154857516804`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5779870779924536`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 155, "   tar:  ", 1.245, "   tarstar:  ", 1.16, "   R:  ", 
   3.247290568698483, "   Bstar:  ", 3.5779870779924536`, "   Xstar:  ", 
   0.10774154857516804`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5779870779924536`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322122513*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "156", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2473680678798327`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5818930833024845`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10734260272839442`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5818930833024845`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 156, "   tar:  ", 1.2475, "   tarstar:  ", 1.16, "   R:  ", 
   3.2473680678798327`, "   Bstar:  ", 3.5818930833024845`, "   Xstar:  ", 
   0.10734260272839442`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5818930833024845`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073221295137`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "157", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.24744267013974`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5857971307760805`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1069457650287591`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5857971307760805`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 157, "   tar:  ", 1.25, "   tarstar:  ", 1.16, "   R:  ", 
   3.24744267013974, "   Bstar:  ", 3.5857971307760805`, "   Xstar:  ", 
   0.1069457650287591, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5857971307760805`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073221355143`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "158", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2475144104139932`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5896992200488165`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10655102146230118`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5896992200488165`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 158, "   tar:  ", 1.2525, "   tarstar:  ", 1.16, "   R:  ", 
   3.2475144104139932`, "   Bstar:  ", 3.5896992200488165`, "   Xstar:  ", 
   0.10655102146230118`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5896992200488165`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322141515*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "159", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.16`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.247583323232765`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.593599350795014`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10615835812304837`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.593599350795014`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 159, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.16, 
   "   R:  ", 3.247583323232765, "   Bstar:  ", 3.593599350795014, 
   "   Xstar:  ", 0.10615835812304837`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.593599350795014^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073221505156`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "160", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2476494427255456`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.59749752272718`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10576776121212607`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.59749752272718`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 160, "   tar:  ", 1.2575, "   tarstar:  ", 1.16, "   R:  ", 
   3.2476494427255456`, "   Bstar:  ", 3.59749752272718, "   Xstar:  ", 
   0.10576776121212607`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.59749752272718^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322156516*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "161", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2477128026259763`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.60139373559549`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10537921703686914`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.60139373559549`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 161, "   tar:  ", 1.26, "   tarstar:  ", 1.16, "   R:  ", 
   3.2477128026259763`, "   Bstar:  ", 3.60139373559549, "   Xstar:  ", 
   0.10537921703686914`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.60139373559549^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073221625166`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "162", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2477734362766646`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6052879891872416`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10499271200994512`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6052879891872416`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 162, "   tar:  ", 1.2625, "   tarstar:  ", 1.16, "   R:  ", 
   3.2477734362766646`, "   Bstar:  ", 3.6052879891872416`, "   Xstar:  ", 
   0.10499271200994512`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6052879891872416`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322168517*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "163", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.16`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.247831376633903`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6091802833263795`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10460823264847735`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6091802833263795`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 163, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.16, 
   "   R:  ", 3.247831376633903, "   Bstar:  ", 3.6091802833263795`, 
   "   Xstar:  ", 0.10460823264847735`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6091802833263795`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322173518*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "164", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.247886656272351`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.613070617872928`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10422576557318494`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.613070617872928`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 164, "   tar:  ", 1.2675, "   tarstar:  ", 1.16, "   R:  ", 
   3.247886656272351, "   Bstar:  ", 3.613070617872928, "   Xstar:  ", 
   0.10422576557318494`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.613070617872928^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073221795187`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "165", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.247939307389638`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6169589927225068`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10384529750752182`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6169589927225068`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 165, "   tar:  ", 1.27, "   tarstar:  ", 1.16, "   R:  ", 
   3.247939307389638, "   Bstar:  ", 3.6169589927225068`, "   Xstar:  ", 
   0.10384529750752182`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6169589927225068`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322184519*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "166", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2479893618109372`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6208454078058683`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10346681527682237`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6208454078058683`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 166, "   tar:  ", 1.2725, "   tarstar:  ", 1.16, "   R:  ", 
   3.2479893618109372`, "   Bstar:  ", 3.6208454078058683`, "   Xstar:  ", 
   0.10346681527682237`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6208454078058683`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073221905193`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "167", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.248036850993442`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6247298630883447`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1030903058074615`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6247298630883447`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 167, "   tar:  ", 1.275, "   tarstar:  ", 1.16, "   R:  ", 
   3.248036850993442, "   Bstar:  ", 3.6247298630883447`, "   Xstar:  ", 
   0.1030903058074615, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6247298630883447`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732219652*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "168", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2480818060308176`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.628612358569392`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10271575612601411`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.628612358569392`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 168, "   tar:  ", 1.2775, "   tarstar:  ", 1.16, "   R:  ", 
   3.2480818060308176`, "   Bstar:  ", 3.628612358569392, "   Xstar:  ", 
   0.10271575612601411`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.628612358569392^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322202521*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "169", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.248124257657591`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.632492894282127`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10234315335842172`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.632492894282127`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 169, "   tar:  ", 1.28, "   tarstar:  ", 1.16, "   R:  ", 
   3.248124257657591, "   Bstar:  ", 3.632492894282127, "   Xstar:  ", 
   0.10234315335842172`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.632492894282127^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073222075214`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "170", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2481642362534755`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6363714702928283`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10197248472917103`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6363714702928283`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 170, "   tar:  ", 1.2825, "   tarstar:  ", 1.16, "   R:  ", 
   3.2481642362534755`, "   Bstar:  ", 3.6363714702928283`, "   Xstar:  ", 
   0.10197248472917103`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6363714702928283`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322214522*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "171", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.16`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.248201771847637`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.640248086700461`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10160373756047568`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.640248086700461`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 171, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.16, 
   "   R:  ", 3.248201771847637, "   Bstar:  ", 3.640248086700461, 
   "   Xstar:  ", 0.10160373756047568`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.640248086700461^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073222195225`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "172", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.248236894122929`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6441227436362533`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10123689927146201`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6441227436362533`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 172, "   tar:  ", 1.2875, "   tarstar:  ", 1.16, "   R:  ", 
   3.248236894122929, "   Bstar:  ", 3.6441227436362533`, "   Xstar:  ", 
   0.10123689927146201`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6441227436362533`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322225523*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "173", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2482696324200506`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.647995441263198`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10087195737736808`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.647995441263198`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 173, "   tar:  ", 1.29, "   tarstar:  ", 1.16, "   R:  ", 
   3.2482696324200506`, "   Bstar:  ", 3.647995441263198, "   Xstar:  ", 
   0.10087195737736808`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.647995441263198^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073222305236`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "174", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2483000157416675`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.651866179775641`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1005088994887418`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.651866179775641`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 174, "   tar:  ", 1.2925, "   tarstar:  ", 1.16, "   R:  ", 
   3.2483000157416675`, "   Bstar:  ", 3.651866179775641, "   Xstar:  ", 
   0.1005088994887418, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.651866179775641^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322236524*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "175", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2483280727564674`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.655734959398798`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10014771331065317`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.655734959398798`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 175, "   tar:  ", 1.295, "   tarstar:  ", 1.16, "   R:  ", 
   3.2483280727564674`, "   Bstar:  ", 3.655734959398798, "   Xstar:  ", 
   0.10014771331065317`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.655734959398798^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322242525*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "176", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2483538318031777`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6596017803883623`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09978838664190454`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6596017803883623`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 176, "   tar:  ", 1.2975, "   tarstar:  ", 1.16, "   R:  ", 
   3.2483538318031777`, "   Bstar:  ", 3.6596017803883623`, "   Xstar:  ", 
   0.09978838664190454, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6596017803883623`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073222485256`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "177", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.16`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2483773208945252`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6634666430300364`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0994309073742555`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6634666430300364`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 177, "   tar:  ", 1.3, "   tarstar:  ", 1.16, "   R:  ", 
   3.2483773208945252`, "   Bstar:  ", 3.6634666430300364`, "   Xstar:  ", 
   0.0994309073742555, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6634666430300364`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073222535257`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "178", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241662505467285`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.441262999004156`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12300259761235993`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.441262999004156`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 178, "   tar:  ", 1.155, "   tarstar:  ", 1.1625, "   R:  ", 
   3.241662505467285, "   Bstar:  ", 3.441262999004156, "   Xstar:  ", 
   0.12300259761235993`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.441262999004156^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073222595263`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "179", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.24187050477233`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.445246843185088`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12251968062585596`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.445246843185088`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 179, "   tar:  ", 1.1575, "   tarstar:  ", 1.1625, "   R:  ", 
   3.24187050477233, "   Bstar:  ", 3.445246843185088, "   Xstar:  ", 
   0.12251968062585596`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.445246843185088^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073222645273`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "180", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2420740487198736`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.449228763270418`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1220394458764469`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.449228763270418`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 180, "   tar:  ", 1.16, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2420740487198736`, "   Bstar:  ", 3.449228763270418, "   Xstar:  ", 
   0.1220394458764469, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.449228763270418^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322270528*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "181", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242273190556469`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.453208757115893`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12156187485792451`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.453208757115893`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 181, "   tar:  ", 1.1625, "   tarstar:  ", 1.1625, "   R:  ", 
   3.242273190556469, "   Bstar:  ", 3.453208757115893, "   Xstar:  ", 
   0.12156187485792451`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.453208757115893^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073222765284`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "182", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242467982898299`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.45718682264081`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12108694920894936`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.45718682264081`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 182, "   tar:  ", 1.165, "   tarstar:  ", 1.1625, "   R:  ", 
   3.242467982898299, "   Bstar:  ", 3.45718682264081, "   Xstar:  ", 
   0.12108694920894936`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.45718682264081^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073222815285`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "183", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242658477738969`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4611629578271352`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12061465071189091`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4611629578271352`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 183, "   tar:  ", 1.1675, "   tarstar:  ", 1.1625, "   R:  ", 
   3.242658477738969, "   Bstar:  ", 3.4611629578271352`, "   Xstar:  ", 
   0.12061465071189091`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4611629578271352`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322287529*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "184", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242844726457171`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4651371607186907`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12014496129166843`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4651371607186907`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 184, "   tar:  ", 1.17, "   tarstar:  ", 1.1625, "   R:  ", 
   3.242844726457171, "   Bstar:  ", 3.4651371607186907`, "   Xstar:  ", 
   0.12014496129166843`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4651371607186907`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732229353*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "185", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243026779824275`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4691094294202447`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11967786301461172`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4691094294202447`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 185, "   tar:  ", 1.1725, "   tarstar:  ", 1.1625, "   R:  ", 
   3.243026779824275, "   Bstar:  ", 3.4691094294202447`, "   Xstar:  ", 
   0.11967786301461172`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4691094294202447`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073222985306`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "186", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243204688011819`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4730797620967406`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1192133380873151`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4730797620967406`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 186, "   tar:  ", 1.175, "   tarstar:  ", 1.1625, "   R:  ", 
   3.243204688011819, "   Bstar:  ", 3.4730797620967406`, "   Xstar:  ", 
   0.1192133380873151, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4730797620967406`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073223035307`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "187", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2433785005988915`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4770481569724354`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11875136885551046`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4770481569724354`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 187, "   tar:  ", 1.1775, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2433785005988915`, "   Bstar:  ", 3.4770481569724354`, "   Xstar:  ", 
   0.11875136885551046`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4770481569724354`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073223095317`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "188", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243548266579438`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.481014612330089`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11829193780294298`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.481014612330089`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 188, "   tar:  ", 1.18, "   tarstar:  ", 1.1625, "   R:  ", 
   3.243548266579438, "   Bstar:  ", 3.481014612330089, "   Xstar:  ", 
   0.11829193780294298`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.481014612330089^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073223145323`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "189", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2437140343694586`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4849791265101957`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11783502755025116`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4849791265101957`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 189, "   tar:  ", 1.1825, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2437140343694586`, "   Bstar:  ", 3.4849791265101957`, "   Xstar:  ", 
   0.11783502755025116`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4849791265101957`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073223215327`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "190", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2438758518141215`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4889416979101324`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11738062085386532`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4889416979101324`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 190, "   tar:  ", 1.185, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2438758518141215`, "   Bstar:  ", 3.4889416979101324`, "   Xstar:  ", 
   0.11738062085386532`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4889416979101324`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073223295336`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "191", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2440337661947964`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.492902324983457`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11692870060489695`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.492902324983457`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 191, "   tar:  ", 1.1875, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2440337661947964`, "   Bstar:  ", 3.492902324983457, "   Xstar:  ", 
   0.11692870060489695`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.492902324983457^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073223345337`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "192", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.244187824235971`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.496861006239071`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11647924982805363`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.496861006239071`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 192, "   tar:  ", 1.19, "   tarstar:  ", 1.1625, "   R:  ", 
   3.244187824235971, "   Bstar:  ", 3.496861006239071, "   Xstar:  ", 
   0.11647924982805363`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.496861006239071^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073223405347`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "193", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.244338072112114`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.500817740240465`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11603225168055159`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.500817740240465`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 193, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.1625, 
   "   R:  ", 3.244338072112114, "   Bstar:  ", 3.500817740240465, 
   "   Xstar:  ", 0.11603225168055159`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.500817740240465^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073223455353`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "194", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.244484555454417`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5047725256050284`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11558768945103115`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5047725256050284`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 194, "   tar:  ", 1.195, "   tarstar:  ", 1.1625, "   R:  ", 
   3.244484555454417, "   Bstar:  ", 3.5047725256050284`, "   Xstar:  ", 
   0.11558768945103115`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5047725256050284`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073223505354`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "195", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2446273193574795`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5087253610032425`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11514554655849323`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5087253610032425`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 195, "   tar:  ", 1.1975, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2446273193574795`, "   Bstar:  ", 3.5087253610032425`, "   Xstar:  ", 
   0.11514554655849323`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5087253610032425`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322356536*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "196", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.244766408385892`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5126762451579814`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11470580655123304`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5126762451579814`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 196, "   tar:  ", 1.2, "   tarstar:  ", 1.1625, "   R:  ", 
   3.244766408385892, "   Bstar:  ", 3.5126762451579814`, "   Xstar:  ", 
   0.11470580655123304`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5126762451579814`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322363537*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "197", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2449018665807388`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5166251768437906`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11426845310578389`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5166251768437906`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 197, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.1625, 
   "   R:  ", 3.2449018665807388`, "   Bstar:  ", 3.5166251768437906`, 
   "   Xstar:  ", 0.11426845310578389`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5166251768437906`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073223715377`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "198", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2450337374660188`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5205721548861724`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11383347002587012`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5205721548861724`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 198, "   tar:  ", 1.205, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2450337374660188`, "   Bstar:  ", 3.5205721548861724`, "   Xstar:  ", 
   0.11383347002587012`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5205721548861724`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073223775387`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "199", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2451620640549868`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.524517178160873`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11340084124136739`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.524517178160873`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 199, "   tar:  ", 1.2075, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2451620640549868`, "   Bstar:  ", 3.524517178160873, "   Xstar:  ", 
   0.11340084124136739`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.524517178160873^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073223835387`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "200", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2452868888564126`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5284602455932013`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1129705508072684`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5284602455932013`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 200, "   tar:  ", 1.21, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2452868888564126`, "   Bstar:  ", 3.5284602455932013`, "   Xstar:  ", 
   0.1129705508072684, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5284602455932013`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073223885393`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "201", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.245408253880758`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.532401356157372`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11254258290265506`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.532401356157372`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 201, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.1625, 
   "   R:  ", 3.245408253880758, "   Bstar:  ", 3.532401356157372, 
   "   Xstar:  ", 0.11254258290265506`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.532401356157372^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732239454*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "202", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2455262006462786`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5363405088757642`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11211692182968738`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5363405088757642`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 202, "   tar:  ", 1.215, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2455262006462786`, "   Bstar:  ", 3.5363405088757642`, "   Xstar:  ", 
   0.11211692182968738`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5363405088757642`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073223985405`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "203", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2456407701850467`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.540277702818323`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11169355201258557`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.540277702818323`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 203, "   tar:  ", 1.2175, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2456407701850467`, "   Bstar:  ", 3.540277702818323, "   Xstar:  ", 
   0.11169355201258557`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.540277702818323^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073224025407`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "204", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2457520030488998`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5442129371018725`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11127245799663102`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5442129371018725`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 204, "   tar:  ", 1.22, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2457520030488998`, "   Bstar:  ", 3.5442129371018725`, "   Xstar:  ", 
   0.11127245799663102`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5442129371018725`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073224075413`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "205", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2458599393153023`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5481462108894553`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11085362444717134`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5481462108894553`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 205, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.1625, 
   "   R:  ", 3.2458599393153023`, "   Bstar:  ", 3.5481462108894553`, 
   "   Xstar:  ", 0.11085362444717134`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5481462108894553`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322414542*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "206", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.245964618593161`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5520775233897326`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1104370361486284`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5520775233897326`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 206, "   tar:  ", 1.225, "   tarstar:  ", 1.1625, "   R:  ", 
   3.245964618593161, "   Bstar:  ", 3.5520775233897326`, "   Xstar:  ", 
   0.1104370361486284, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5520775233897326`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073224225426`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "207", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2460660800285233`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.556006873856326`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11002267800352081`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.556006873856326`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 207, "   tar:  ", 1.2275, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2460660800285233`, "   Bstar:  ", 3.556006873856326, "   Xstar:  ", 
   0.11002267800352081`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.556006873856326^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073224315434`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "208", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2461643623102447`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5599342615871725`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1096105350314922`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5599342615871725`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 208, "   tar:  ", 1.23, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2461643623102447`, "   Bstar:  ", 3.5599342615871725`, "   Xstar:  ", 
   0.1096105350314922, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5599342615871725`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073224405446`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "209", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.246259503675561`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5638596859239593`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1092005923683408`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5638596859239593`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 209, "   tar:  ", 1.2325, "   tarstar:  ", 1.1625, "   R:  ", 
   3.246259503675561, "   Bstar:  ", 3.5638596859239593`, "   Xstar:  ", 
   0.1092005923683408, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5638596859239593`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322447545*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "210", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2463515419155917`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5677831462514975`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10879283526506288`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5677831462514975`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 210, "   tar:  ", 1.235, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2463515419155917`, "   Bstar:  ", 3.5677831462514975`, "   Xstar:  ", 
   0.10879283526506288`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5677831462514975`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322453546*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "211", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.246440514380781`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.571704641997096`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10838724908690357`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.571704641997096`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 211, "   tar:  ", 1.2375, "   tarstar:  ", 1.1625, "   R:  ", 
   3.246440514380781, "   Bstar:  ", 3.571704641997096, "   Xstar:  ", 
   0.10838724908690357`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.571704641997096^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322459546*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "212", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2465264579862674`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.575624172630016`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1079838193124096`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.575624172630016`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 212, "   tar:  ", 1.24, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2465264579862674`, "   Bstar:  ", 3.575624172630016, "   Xstar:  ", 
   0.1079838193124096, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.575624172630016^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322465547*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "213", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2466094092171804`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.579541737660868`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10758253153249336`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.579541737660868`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 213, "   tar:  ", 1.2425, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2466094092171804`, "   Bstar:  ", 3.579541737660868, "   Xstar:  ", 
   0.10758253153249336`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.579541737660868^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073224715476`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "214", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.246689404133871`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.583457336641018`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10718337144950593`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.583457336641018`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 214, "   tar:  ", 1.245, "   tarstar:  ", 1.1625, "   R:  ", 
   3.246689404133871, "   Bstar:  ", 3.583457336641018, "   Xstar:  ", 
   0.10718337144950593`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.583457336641018^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322476548*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "215", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.246766478377083`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5873709691620403`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10678632487631297`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5873709691620403`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 215, "   tar:  ", 1.2475, "   tarstar:  ", 1.1625, "   R:  ", 
   3.246766478377083, "   Bstar:  ", 3.5873709691620403`, "   Xstar:  ", 
   0.10678632487631297`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5873709691620403`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073224825487`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "216", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2468406671730503`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5912826348551743`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10639137773537741`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5912826348551743`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 216, "   tar:  ", 1.25, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2468406671730503`, "   Bstar:  ", 3.5912826348551743`, "   Xstar:  ", 
   0.10639137773537741`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5912826348551743`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322488549*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "217", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.246912005338525`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5951923333907154`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1059985160578575`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5951923333907154`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 217, "   tar:  ", 1.2525, "   tarstar:  ", 1.1625, "   R:  ", 
   3.246912005338525, "   Bstar:  ", 3.5951923333907154`, "   Xstar:  ", 
   0.1059985160578575, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5951923333907154`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073224945498`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "218", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2469805272857717`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.599100064477536`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10560772598269902`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.599100064477536`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 218, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.1625, 
   "   R:  ", 3.2469805272857717`, "   Bstar:  ", 3.599100064477536, 
   "   Xstar:  ", 0.10560772598269902`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.599100064477536^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073225005503`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "219", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2470462670274456`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6030058278625003`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10521899375574671`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6030058278625003`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 219, "   tar:  ", 1.2575, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2470462670274456`, "   Bstar:  ", 3.6030058278625003`, "   Xstar:  ", 
   0.10521899375574671`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6030058278625003`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073225065513`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "220", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2471092581814625`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.606909623329953`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10483230572885509`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.606909623329953`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 220, "   tar:  ", 1.26, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2471092581814625`, "   Bstar:  ", 3.606909623329953, "   Xstar:  ", 
   0.10483230572885509`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.606909623329953^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322512552*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "221", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2471695339757707`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.610811450701181`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10444764835901063`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.610811450701181`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 221, "   tar:  ", 1.2625, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2471695339757707`, "   Bstar:  ", 3.610811450701181, "   Xstar:  ", 
   0.10444764835901063`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.610811450701181^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073225185523`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "222", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.247227127253084`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6147113098339076`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10406500820745719`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6147113098339076`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 222, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.1625, 
   "   R:  ", 3.247227127253084, "   Bstar:  ", 3.6147113098339076`, 
   "   Xstar:  ", 0.10406500820745719`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6147113098339076`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073225245533`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "223", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2472820704755416`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6186092006217807`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10368437193883163`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6186092006217807`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 223, "   tar:  ", 1.2675, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2472820704755416`, "   Bstar:  ", 3.6186092006217807`, "   Xstar:  ", 
   0.10368437193883163`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6186092006217807`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322535554*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "224", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.247334395729308`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6225051229938634`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10330572632030395`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6225051229938634`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 224, "   tar:  ", 1.27, "   tarstar:  ", 1.1625, "   R:  ", 
   3.247334395729308, "   Bstar:  ", 3.6225051229938634`, "   Xstar:  ", 
   0.10330572632030395`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6225051229938634`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073225415545`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "225", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.247384134729131`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6263990769141405`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10292905822072647`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6263990769141405`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 225, "   tar:  ", 1.2725, "   tarstar:  ", 1.1625, "   R:  ", 
   3.247384134729131, "   Bstar:  ", 3.6263990769141405`, "   Xstar:  ", 
   0.10292905822072647`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6263990769141405`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322547555*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "226", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2474313188228168`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.63029106238101`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1025543546097892`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.63029106238101`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 226, "   tar:  ", 1.275, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2474313188228168`, "   Bstar:  ", 3.63029106238101, "   Xstar:  ", 
   0.1025543546097892, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.63029106238101^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322553556*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "227", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2474759789956784`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6341810794268223`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10218160255718002`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6341810794268223`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 227, "   tar:  ", 1.2775, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2474759789956784`, "   Bstar:  ", 3.6341810794268223`, "   Xstar:  ", 
   0.10218160255718002`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6341810794268223`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073225585566`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "228", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.247518145874904`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6380691281173974`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10181078923175357`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6380691281173974`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 228, "   tar:  ", 1.28, "   tarstar:  ", 1.1625, "   R:  ", 
   3.247518145874904, "   Bstar:  ", 3.6380691281173974`, "   Xstar:  ", 
   0.10181078923175357`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6380691281173974`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322564557*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "229", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2475578497338686`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.641955208551544`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10144190190070686`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.641955208551544`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 229, "   tar:  ", 1.2825, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2475578497338686`, "   Bstar:  ", 3.641955208551544, "   Xstar:  ", 
   0.10144190190070686`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.641955208551544^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073225705576`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "230", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.247595120496421`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6458393208605773`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10107492792876317`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6458393208605773`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 230, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.1625, 
   "   R:  ", 3.247595120496421, "   Bstar:  ", 3.6458393208605773`, 
   "   Xstar:  ", 0.10107492792876317`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6458393208605773`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073225755577`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "231", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2476299877410733`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.649721465207891`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1007098547773574`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.649721465207891`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 231, "   tar:  ", 1.2875, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2476299877410733`, "   Bstar:  ", 3.649721465207891, "   Xstar:  ", 
   0.1007098547773574, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.649721465207891^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073225815587`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "232", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2476624807051793`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.653601641788498`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10034667000383173`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.653601641788498`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 232, "   tar:  ", 1.29, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2476624807051793`, "   Bstar:  ", 3.653601641788498, "   Xstar:  ", 
   0.10034667000383173`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.653601641788498^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322587559*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "233", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2476926282890255`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.657479850828561`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09998536126063977`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.657479850828561`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 233, "   tar:  ", 1.2925, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2476926282890255`, "   Bstar:  ", 3.657479850828561, "   Xstar:  ", 
   0.09998536126063977, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.657479850828561^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732259356*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "234", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.247720459059899`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.661356092584954`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09962591629455417`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.661356092584954`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 234, "   tar:  ", 1.295, "   tarstar:  ", 1.1625, "   R:  ", 
   3.247720459059899, "   Bstar:  ", 3.661356092584954, "   Xstar:  ", 
   0.09962591629455417, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.661356092584954^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073225995607`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "235", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2477460012560804`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6652303673448428`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09926832294587977`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6652303673448428`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 235, "   tar:  ", 1.2975, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2477460012560804`, "   Bstar:  ", 3.6652303673448428`, "   Xstar:  ", 
   0.09926832294587977, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6652303673448428`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322604561*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "236", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2477692827908027`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.669102675425251`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09891256914767574`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.669102675425251`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 236, "   tar:  ", 1.3, "   tarstar:  ", 1.1625, "   R:  ", 
   3.2477692827908027`, "   Bstar:  ", 3.669102675425251, "   Xstar:  ", 
   0.09891256914767574, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.669102675425251^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073226105614`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "237", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2410887508109183`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4464510395297183`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12237419239463417`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4464510395297183`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 237, "   tar:  ", 1.155, "   tarstar:  ", 1.165, "   R:  ", 
   3.2410887508109183`, "   Bstar:  ", 3.4464510395297183`, "   Xstar:  ", 
   0.12237419239463417`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4464510395297183`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322616562*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "238", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.24129582891382`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4504428519067325`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12189350689344176`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4504428519067325`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 238, "   tar:  ", 1.1575, "   tarstar:  ", 1.165, "   R:  ", 
   3.24129582891382, "   Bstar:  ", 3.4504428519067325`, "   Xstar:  ", 
   0.12189350689344176`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4504428519067325`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322622563*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "239", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241498468148999`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4544327298267086`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12141549320785175`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4544327298267086`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 239, "   tar:  ", 1.16, "   tarstar:  ", 1.165, "   R:  ", 
   3.241498468148999, "   Bstar:  ", 3.4544327298267086`, "   Xstar:  ", 
   0.12141549320785175`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4544327298267086`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073226285634`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "240", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2416967215985437`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.458420671187673`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12094013288324268`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.458420671187673`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 240, "   tar:  ", 1.1625, "   tarstar:  ", 1.165, "   R:  ", 
   3.2416967215985437`, "   Bstar:  ", 3.458420671187673, "   Xstar:  ", 
   0.12094013288324268`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.458420671187673^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322635564*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "241", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2418906417156106`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4624066739509214`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12046740760971542`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4624066739509214`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 241, "   tar:  ", 1.165, "   tarstar:  ", 1.165, "   R:  ", 
   3.2418906417156106`, "   Bstar:  ", 3.4624066739509214`, "   Xstar:  ", 
   0.12046740760971542`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4624066739509214`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322640565*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "242", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2420802803321944`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4663907361402395`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11999729922091933`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4663907361402395`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 242, "   tar:  ", 1.1675, "   tarstar:  ", 1.165, "   R:  ", 
   3.2420802803321944`, "   Bstar:  ", 3.4663907361402395`, "   Xstar:  ", 
   0.11999729922091933`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4663907361402395`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073226465654`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "243", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2422656886668184`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4703728558410063`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11952978969290028`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4703728558410063`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 243, "   tar:  ", 1.17, "   tarstar:  ", 1.165, "   R:  ", 
   3.2422656886668184`, "   Bstar:  ", 3.4703728558410063`, "   Xstar:  ", 
   0.11952978969290028`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4703728558410063`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322652566*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "244", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242446917332087`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4743530311993607`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11906486114295056`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4743530311993607`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 244, "   tar:  ", 1.1725, "   tarstar:  ", 1.165, "   R:  ", 
   3.242446917332087, "   Bstar:  ", 3.4743530311993607`, "   Xstar:  ", 
   0.11906486114295056`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4743530311993607`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073226585665`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "245", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242624016342176`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4783312604213608`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11860249582846862`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4783312604213608`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 245, "   tar:  ", 1.175, "   tarstar:  ", 1.165, "   R:  ", 
   3.242624016342176, "   Bstar:  ", 3.4783312604213608`, "   Xstar:  ", 
   0.11860249582846862`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4783312604213608`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322664567*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "246", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242797035120206`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.482307541772154`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11814267614582605`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.482307541772154`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 246, "   tar:  ", 1.1775, "   tarstar:  ", 1.165, "   R:  ", 
   3.242797035120206, "   Bstar:  ", 3.482307541772154, "   Xstar:  ", 
   0.11814267614582605`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.482307541772154^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073226705675`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "247", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2429660225055383`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4862818735751944`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11768538462923873`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4862818735751944`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 247, "   tar:  ", 1.18, "   tarstar:  ", 1.165, "   R:  ", 
   3.2429660225055383`, "   Bstar:  ", 3.4862818735751944`, "   Xstar:  ", 
   0.11768538462923873`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4862818735751944`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322676568*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "248", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243131026760967`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4902542542114072`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11723060394965244`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4902542542114072`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 248, "   tar:  ", 1.1825, "   tarstar:  ", 1.165, "   R:  ", 
   3.243131026760967, "   Bstar:  ", 3.4902542542114072`, "   Xstar:  ", 
   0.11723060394965244`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4902542542114072`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073226805687`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "249", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2432920955798226`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4942246821184315`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11677831691362797`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4942246821184315`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 249, "   tar:  ", 1.185, "   tarstar:  ", 1.165, "   R:  ", 
   3.2432920955798226`, "   Bstar:  ", 3.4942246821184315`, "   Xstar:  ", 
   0.11677831691362797`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4942246821184315`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073226855693`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "250", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243449276092983`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4981931557898145`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11632850646224178`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4981931557898145`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 250, "   tar:  ", 1.1875, "   tarstar:  ", 1.165, "   R:  ", 
   3.243449276092983, "   Bstar:  ", 3.4981931557898145`, "   Xstar:  ", 
   0.11632850646224178`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4981931557898145`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732269057*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "251", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243602614875804`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5021596737742597`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11588115566998865`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5021596737742597`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 251, "   tar:  ", 1.19, "   tarstar:  ", 1.165, "   R:  ", 
   3.243602614875804, "   Bstar:  ", 3.5021596737742597`, "   Xstar:  ", 
   0.11588115566998865`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5021596737742597`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732269457*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "252", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.24375215795495`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.506124234674852`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1154362477436951`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.506124234674852`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 252, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.165, 
   "   R:  ", 3.24375215795495, "   Bstar:  ", 3.506124234674852, 
   "   Xstar:  ", 0.1154362477436951, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.506124234674852^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073226985703`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "253", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243897950815145`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.510086837148323`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11499376602143863`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.510086837148323`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 253, "   tar:  ", 1.195, "   tarstar:  ", 1.165, "   R:  ", 
   3.243897950815145, "   Bstar:  ", 3.510086837148323, "   Xstar:  ", 
   0.11499376602143863`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.510086837148323^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322702571*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "254", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.244040038405831`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.514047479904321`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1145536939714737`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.514047479904321`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 254, "   tar:  ", 1.1975, "   tarstar:  ", 1.165, "   R:  ", 
   3.244040038405831, "   Bstar:  ", 3.514047479904321, "   Xstar:  ", 
   0.1145536939714737, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.514047479904321^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073227085714`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "255", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2441784651477583`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5180061617046383`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11411601519117213`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5180061617046383`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 255, "   tar:  ", 1.2, "   tarstar:  ", 1.165, "   R:  ", 
   3.2441784651477583`, "   Bstar:  ", 3.5180061617046383`, "   Xstar:  ", 
   0.11411601519117213`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5180061617046383`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322714572*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "256", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2443132749394654`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5219628813625503`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11368071340595964`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5219628813625503`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 256, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.165, 
   "   R:  ", 3.2443132749394654`, "   Bstar:  ", 3.5219628813625503`, 
   "   Xstar:  ", 0.11368071340595964`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5219628813625503`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073227205725`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "257", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2444445111636995`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.525917637742059`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11324777246827099`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.525917637742059`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 257, "   tar:  ", 1.205, "   tarstar:  ", 1.165, "   R:  ", 
   3.2444445111636995`, "   Bstar:  ", 3.525917637742059, "   Xstar:  ", 
   0.11324777246827099`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.525917637742059^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073227255735`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "258", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2445722166937427`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5298704297572128`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11281717635650654`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5298704297572128`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 258, "   tar:  ", 1.2075, "   tarstar:  ", 1.165, "   R:  ", 
   3.2445722166937427`, "   Bstar:  ", 3.5298704297572128`, "   Xstar:  ", 
   0.11281717635650654`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5298704297572128`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073227315736`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "259", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.244696433899666`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.533821256371425`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11238890917399598`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.533821256371425`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 259, "   tar:  ", 1.21, "   tarstar:  ", 1.165, "   R:  ", 
   3.244696433899666, "   Bstar:  ", 3.533821256371425, "   Xstar:  ", 
   0.11238890917399598`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.533821256371425^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322736574*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "260", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.244817204654492`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5377701165967643`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11196295514797565`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5377701165967643`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 260, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.165, 
   "   R:  ", 3.244817204654492, "   Bstar:  ", 3.5377701165967643`, 
   "   Xstar:  ", 0.11196295514797565`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5377701165967643`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322744575*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "261", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2449345703402903`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5417170094932975`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11153929862856694`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5417170094932975`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 261, "   tar:  ", 1.215, "   tarstar:  ", 1.165, "   R:  ", 
   3.2449345703402903`, "   Bstar:  ", 3.5417170094932975`, "   Xstar:  ", 
   0.11153929862856694`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5417170094932975`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322752576*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "262", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.245048571854191`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.545661934168436`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11111792408776366`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.545661934168436`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 262, "   tar:  ", 1.2175, "   tarstar:  ", 1.165, "   R:  ", 
   3.245048571854191, "   Bstar:  ", 3.545661934168436, "   Xstar:  ", 
   0.11111792408776366`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.545661934168436^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073227595763`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "263", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.245159249614322`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.549604889776267`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11069881611842979`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.549604889776267`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 263, "   tar:  ", 1.22, "   tarstar:  ", 1.165, "   R:  ", 
   3.245159249614322, "   Bstar:  ", 3.549604889776267, "   Xstar:  ", 
   0.11069881611842979`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.549604889776267^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322767577*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "264", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.24526664356567`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.553545875516882`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11028195943330506`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.553545875516882`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 264, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.165, 
   "   R:  ", 3.24526664356567, "   Bstar:  ", 3.553545875516882, 
   "   Xstar:  ", 0.11028195943330506`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.553545875516882^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322774578*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "265", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2453707931858644`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5574848906358074`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10986733886400889`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5574848906358074`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 265, "   tar:  ", 1.225, "   tarstar:  ", 1.165, "   R:  ", 
   3.2453707931858644`, "   Bstar:  ", 3.5574848906358074`, "   Xstar:  ", 
   0.10986733886400889`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5574848906358074`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073227805786`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "266", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2454717374908926`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.561421934423293`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10945493936006745`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.561421934423293`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 266, "   tar:  ", 1.2275, "   tarstar:  ", 1.165, "   R:  ", 
   3.2454717374908926`, "   Bstar:  ", 3.561421934423293, "   Xstar:  ", 
   0.10945493936006745`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.561421934423293^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322786579*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "267", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2455695150407466`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5653570062137625`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10904474598793162`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5653570062137625`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 267, "   tar:  ", 1.23, "   tarstar:  ", 1.165, "   R:  ", 
   3.2455695150407466`, "   Bstar:  ", 3.5653570062137625`, "   Xstar:  ", 
   0.10904474598793162`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5653570062137625`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073227915792`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "268", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.245664163944978`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5692901053851336`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10863674393001765`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5692901053851336`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 268, "   tar:  ", 1.2325, "   tarstar:  ", 1.165, "   R:  ", 
   3.245664163944978, "   Bstar:  ", 3.5692901053851336`, "   Xstar:  ", 
   0.10863674393001765`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5692901053851336`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073227965803`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "269", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2457557218682083`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.573221231358267`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10823091848374175`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.573221231358267`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 269, "   tar:  ", 1.235, "   tarstar:  ", 1.165, "   R:  ", 
   3.2457557218682083`, "   Bstar:  ", 3.573221231358267, "   Xstar:  ", 
   0.10823091848374175`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.573221231358267^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322802581*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "270", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.245844226035549`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.577150383596352`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10782725506057025`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.577150383596352`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 270, "   tar:  ", 1.2375, "   tarstar:  ", 1.165, "   R:  ", 
   3.245844226035549, "   Bstar:  ", 3.577150383596352, "   Xstar:  ", 
   0.10782725506057025`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.577150383596352^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322807581*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "271", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.245929713237964`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5810775616042863`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10742573918507774`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5810775616042863`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 271, "   tar:  ", 1.24, "   tarstar:  ", 1.165, "   R:  ", 
   3.245929713237964, "   Bstar:  ", 3.5810775616042863`, "   Xstar:  ", 
   0.10742573918507774`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5810775616042863`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322813582*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "272", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2460122198375556`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5850027649281473`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10702635649400473`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5850027649281473`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 272, "   tar:  ", 1.2425, "   tarstar:  ", 1.165, "   R:  ", 
   3.2460122198375556`, "   Bstar:  ", 3.5850027649281473`, "   Xstar:  ", 
   0.10702635649400473`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5850027649281473`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073228185825`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "273", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2460917817727966`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5889259931545867`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10662909273533046`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5889259931545867`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 273, "   tar:  ", 1.245, "   tarstar:  ", 1.165, "   R:  ", 
   3.2460917817727966`, "   Bstar:  ", 3.5889259931545867`, "   Xstar:  ", 
   0.10662909273533046`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5889259931545867`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322824583*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "274", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.246168434563677`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.592847245910249`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10623393376735199`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.592847245910249`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 274, "   tar:  ", 1.2475, "   tarstar:  ", 1.165, "   R:  ", 
   3.246168434563677, "   Bstar:  ", 3.592847245910249, "   Xstar:  ", 
   0.10623393376735199`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.592847245910249^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073228305836`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "275", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.246242213316803`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.596766522861245`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10584086555776484`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.596766522861245`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 275, "   tar:  ", 1.25, "   tarstar:  ", 1.165, "   R:  ", 
   3.246242213316803, "   Bstar:  ", 3.596766522861245, "   Xstar:  ", 
   0.10584086555776484`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.596766522861245^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322836584*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "276", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.246313152730416`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6006838237125782`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10544987418275716`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6006838237125782`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 276, "   tar:  ", 1.2525, "   tarstar:  ", 1.165, "   R:  ", 
   3.246313152730416, "   Bstar:  ", 3.6006838237125782`, "   Xstar:  ", 
   0.10544987418275716`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6006838237125782`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322843585*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "277", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2463812870993594`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.604599148207629`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10506094582610576`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.604599148207629`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 277, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.165, 
   "   R:  ", 3.2463812870993594`, "   Bstar:  ", 3.604599148207629, 
   "   Xstar:  ", 0.10506094582610576`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.604599148207629^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322850586*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "278", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2464466503199847`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.608512496127573`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1046740667782861`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.608512496127573`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 278, "   tar:  ", 1.2575, "   tarstar:  ", 1.165, "   R:  ", 
   3.2464466503199847`, "   Bstar:  ", 3.608512496127573, "   Xstar:  ", 
   0.1046740667782861, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.608512496127573^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073228575864`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "279", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.246509275894973`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.612423867290869`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10428922343558347`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.612423867290869`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 279, "   tar:  ", 1.26, "   tarstar:  ", 1.165, "   R:  ", 
   3.246509275894973, "   Bstar:  ", 3.612423867290869, "   Xstar:  ", 
   0.10428922343558347`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.612423867290869^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322863587*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "280", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.246569196938128`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6163332615527652`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10390640229921029`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6163332615527652`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 280, "   tar:  ", 1.2625, "   tarstar:  ", 1.165, "   R:  ", 
   3.246569196938128, "   Bstar:  ", 3.6163332615527652`, "   Xstar:  ", 
   0.10390640229921029`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6163332615527652`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322869588*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "281", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2466264461790755`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6202406788047363`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10352558997443778`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6202406788047363`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 281, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.165, 
   "   R:  ", 3.2466264461790755`, "   Bstar:  ", 3.6202406788047363`, 
   "   Xstar:  ", 0.10352558997443778`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6202406788047363`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322876588*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "282", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2466810559679327`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.624146118973999`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10314677316972745`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.624146118973999`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 282, "   tar:  ", 1.2675, "   tarstar:  ", 1.165, "   R:  ", 
   3.2466810559679327`, "   Bstar:  ", 3.624146118973999, "   Xstar:  ", 
   0.10314677316972745`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.624146118973999^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322881589*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "283", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2467330582798986`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.628049582022997`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1027699386958729`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.628049582022997`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 283, "   tar:  ", 1.27, "   tarstar:  ", 1.165, "   R:  ", 
   3.2467330582798986`, "   Bstar:  ", 3.628049582022997, "   Xstar:  ", 
   0.1027699386958729, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.628049582022997^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073228885894`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "284", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.246782484719782`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6319510679489317`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10239507346514584`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6319510679489317`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 284, "   tar:  ", 1.2725, "   tarstar:  ", 1.165, "   R:  ", 
   3.246782484719782, "   Bstar:  ", 3.6319510679489317`, "   Xstar:  ", 
   0.10239507346514584`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6319510679489317`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732289459*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "285", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.246829366526505`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.635850576783219`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10202216449045537`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.635850576783219`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 285, "   tar:  ", 1.275, "   tarstar:  ", 1.165, "   R:  ", 
   3.246829366526505, "   Bstar:  ", 3.635850576783219, "   Xstar:  ", 
   0.10202216449045537`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.635850576783219^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322900591*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "286", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.246873734577505`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.63974810859106`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10165119888450456`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.63974810859106`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 286, "   tar:  ", 1.2775, "   tarstar:  ", 1.165, "   R:  ", 
   3.246873734577505, "   Bstar:  ", 3.63974810859106, "   Xstar:  ", 
   0.10165119888450456`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.63974810859106^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322907591*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "287", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.246915619393112`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.64364366347093`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10128216385896245`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.64364366347093`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 287, "   tar:  ", 1.28, "   tarstar:  ", 1.165, "   R:  ", 
   3.246915619393112, "   Bstar:  ", 3.64364366347093, "   Xstar:  ", 
   0.10128216385896245`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.64364366347093^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073229135923`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "288", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2469550511408585`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.647537241554125`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10091504672363699`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.647537241554125`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 288, "   tar:  ", 1.2825, "   tarstar:  ", 1.165, "   R:  ", 
   3.2469550511408585`, "   Bstar:  ", 3.647537241554125, "   Xstar:  ", 
   0.10091504672363699`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.647537241554125^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073229215927`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "289", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.246992059639741`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.65142884300427`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10054983488565984`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.65142884300427`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 289, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.165, 
   "   R:  ", 3.246992059639741, "   Bstar:  ", 3.65142884300427, 
   "   Xstar:  ", 0.10054983488565984`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.65142884300427^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073229285936`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "290", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.247026674364422`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6553184680169153`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10018651584866972`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6553184680169153`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 290, "   tar:  ", 1.2875, "   tarstar:  ", 1.165, "   R:  ", 
   3.247026674364422, "   Bstar:  ", 3.6553184680169153`, "   Xstar:  ", 
   0.10018651584866972`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6553184680169153`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073229335938`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "291", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2470589244493704`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.659206116818999`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09982507721201567`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.659206116818999`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 291, "   tar:  ", 1.29, "   tarstar:  ", 1.165, "   R:  ", 
   3.2470589244493704`, "   Bstar:  ", 3.659206116818999, "   Xstar:  ", 
   0.09982507721201567, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.659206116818999^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073229395943`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "292", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2470888386929775`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.663091789668474`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09946550666995167`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.663091789668474`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 292, "   tar:  ", 1.2925, "   tarstar:  ", 1.165, "   R:  ", 
   3.2470888386929775`, "   Bstar:  ", 3.663091789668474, "   Xstar:  ", 
   0.09946550666995167, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.663091789668474^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073229445953`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "293", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2471164455615873`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6669754868538442`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09910779201084759`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6669754868538442`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 293, "   tar:  ", 1.295, "   tarstar:  ", 1.165, "   R:  ", 
   3.2471164455615873`, "   Bstar:  ", 3.6669754868538442`, "   Xstar:  ", 
   0.09910779201084759, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6669754868538442`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322950596*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "294", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2471417731935084`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6708572086937044`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09875192111640621`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6708572086937044`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 294, "   tar:  ", 1.2975, "   tarstar:  ", 1.165, "   R:  ", 
   3.2471417731935084`, "   Bstar:  ", 3.6708572086937044`, "   Xstar:  ", 
   0.09875192111640621, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6708572086937044`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322958596*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "295", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.165`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.247164849402934`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.674736955536332`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09839788196088242`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.674736955536332`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 295, "   tar:  ", 1.3, "   tarstar:  ", 1.165, "   R:  ", 
   3.247164849402934, "   Bstar:  ", 3.674736955536332, "   Xstar:  ", 
   0.09839788196088242, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.674736955536332^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073229645967`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "296", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2405183402663345`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4516377364158597`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12175009677625472`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4516377364158597`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 296, "   tar:  ", 1.155, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2405183402663345`, "   Bstar:  ", 3.4516377364158597`, "   Xstar:  ", 
   0.12175009677625472`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4516377364158597`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073229705973`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "297", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240724503287589`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4556375094891023`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12127162965899539`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4556375094891023`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 297, "   tar:  ", 1.1575, "   tarstar:  ", 1.1675, "   R:  ", 
   3.240724503287589, "   Bstar:  ", 3.4556375094891023`, "   Xstar:  ", 
   0.12127162965899539`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4556375094891023`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607322977598*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "298", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240926243846893`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.459635337759837`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12079582397867732`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.459635337759837`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 298, "   tar:  ", 1.16, "   tarstar:  ", 1.1675, "   R:  ", 
   3.240926243846893, "   Bstar:  ", 3.459635337759837, "   Xstar:  ", 
   0.12079582397867732`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.459635337759837^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073229835987`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "299", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2411236148624356`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.463631219168307`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12032266133225666`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.463631219168307`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 299, "   tar:  ", 1.1625, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2411236148624356`, "   Bstar:  ", 3.463631219168307, "   Xstar:  ", 
   0.12032266133225666`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.463631219168307^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073229905996`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "300", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241316668624913`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4676251517178356`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1198521234612521`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4676251517178356`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 300, "   tar:  ", 1.165, "   tarstar:  ", 1.1675, "   R:  ", 
   3.241316668624913, "   Bstar:  ", 3.4676251517178356`, "   Xstar:  ", 
   0.1198521234612521, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4676251517178356`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073229966*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "301", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241505456805305`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4716171334739636`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11938419225057789`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4716171334739636`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 301, "   tar:  ", 1.1675, "   tarstar:  ", 1.1675, "   R:  ", 
   3.241505456805305, "   Bstar:  ", 3.4716171334739636`, "   Xstar:  ", 
   0.11938419225057789`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4716171334739636`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073230026007`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "302", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2416900304625247`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.475607162563618`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11891884972738237`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.475607162563618`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 302, "   tar:  ", 1.17, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2416900304625247`, "   Bstar:  ", 3.475607162563618, "   Xstar:  ", 
   0.11891884972738237`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.475607162563618^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323008601*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "303", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241870440050983`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.479595237174244`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11845607805989951`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.479595237174244`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 303, "   tar:  ", 1.1725, "   tarstar:  ", 1.1675, "   R:  ", 
   3.241870440050983, "   Bstar:  ", 3.479595237174244, "   Xstar:  ", 
   0.11845607805989951`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.479595237174244^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073230146017`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "304", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242046735428063`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4835813555529933`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11799585955630326`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4835813555529933`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 304, "   tar:  ", 1.175, "   tarstar:  ", 1.1675, "   R:  ", 
   3.242046735428063, "   Bstar:  ", 3.4835813555529933`, "   Xstar:  ", 
   0.11799585955630326`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4835813555529933`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073230206027`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "305", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2422189658614933`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.487565516005886`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1175381766635734`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.487565516005886`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 305, "   tar:  ", 1.1775, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2422189658614933`, "   Bstar:  ", 3.487565516005886, "   Xstar:  ", 
   0.1175381766635734, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.487565516005886^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323026603*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "306", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2423871800366184`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4915477168970153`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11708301196636646`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4915477168970153`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 306, "   tar:  ", 1.18, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2423871800366184`, "   Bstar:  ", 3.4915477168970153`, "   Xstar:  ", 
   0.11708301196636646`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4915477168970153`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073230326037`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "307", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.24255142606359`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.495527956647736`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11663034818589596`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.495527956647736`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 307, "   tar:  ", 1.1825, "   tarstar:  ", 1.1675, "   R:  ", 
   3.24255142606359, "   Bstar:  ", 3.495527956647736, "   Xstar:  ", 
   0.11663034818589596`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.495527956647736^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073230386047`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "308", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2427117514844594`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.499506233735867`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11618016817882174`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.499506233735867`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 308, "   tar:  ", 1.185, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2427117514844594`, "   Bstar:  ", 3.499506233735867, "   Xstar:  ", 
   0.11618016817882174`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.499506233735867^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323046605*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "309", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2428682032801923`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5034825466949657`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11573245493613818`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5034825466949657`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 309, "   tar:  ", 1.1875, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2428682032801923`, "   Bstar:  ", 3.5034825466949657`, "   Xstar:  ", 
   0.11573245493613818`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5034825466949657`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073230526056`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "310", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2430208278775634`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5074568941134623`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11528719158208907`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5074568941134623`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 310, "   tar:  ", 1.19, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2430208278775634`, "   Bstar:  ", 3.5074568941134623`, "   Xstar:  ", 
   0.11528719158208907`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5074568941134623`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073230596066`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "311", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2431696711559965`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.511429274634014`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11484436137306503`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.511429274634014`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 311, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.1675, 
   "   R:  ", 3.2431696711559965`, "   Bstar:  ", 3.511429274634014, 
   "   Xstar:  ", 0.11484436137306503`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.511429274634014^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073230666075`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "312", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243314778454308`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.515399686952672`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11440394769653162`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.515399686952672`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 312, "   tar:  ", 1.195, "   tarstar:  ", 1.1675, "   R:  ", 
   3.243314778454308, "   Bstar:  ", 3.515399686952672, "   Xstar:  ", 
   0.11440394769653162`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.515399686952672^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323072608*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "313", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243456194577343`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5193681298181767`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11396593406995158`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5193681298181767`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 313, "   tar:  ", 1.1975, "   tarstar:  ", 1.1675, "   R:  ", 
   3.243456194577343, "   Bstar:  ", 3.5193681298181767`, "   Xstar:  ", 
   0.11396593406995158`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5193681298181767`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073230786085`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "314", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243593963802565`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.52333460203125`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11353030413971668`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.52333460203125`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 314, "   tar:  ", 1.2, "   tarstar:  ", 1.1675, "   R:  ", 
   3.243593963802565, "   Bstar:  ", 3.52333460203125, "   Xstar:  ", 
   0.11353030413971668`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.52333460203125^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073230856094`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "315", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2437281298865237`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.527299102443822`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11309704168009464`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.527299102443822`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 315, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.1675, 
   "   R:  ", 3.2437281298865237`, "   Bstar:  ", 3.527299102443822, 
   "   Xstar:  ", 0.11309704168009464`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.527299102443822^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732309161*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "316", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2438587360712603`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.531261629958385`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.112666130592172`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.531261629958385`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 316, "   tar:  ", 1.205, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2438587360712603`, "   Bstar:  ", 3.531261629958385, "   Xstar:  ", 
   0.112666130592172, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.531261629958385^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073230976105`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "317", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2439858250906424`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5352221835272415`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11223755490281638`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5352221835272415`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 317, "   tar:  ", 1.2075, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2439858250906424`, "   Bstar:  ", 3.5352221835272415`, "   Xstar:  ", 
   0.11223755490281638`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5352221835272415`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323103611*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "318", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2441094391765857`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5391807621518585`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11181129876363599`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5391807621518585`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 318, "   tar:  ", 1.21, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2441094391765857`, "   Bstar:  ", 3.5391807621518585`, "   Xstar:  ", 
   0.11181129876363599`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5391807621518585`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323110612*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "319", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2442296200652225`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.543137364882146`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1113873464499566`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.543137364882146`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 319, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.1675, 
   "   R:  ", 3.2442296200652225`, "   Bstar:  ", 3.543137364882146, 
   "   Xstar:  ", 0.1113873464499566, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.543137364882146^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323115612*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "320", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2443464090029814`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.547091990815808`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11096568235979823`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.547091990815808`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 320, "   tar:  ", 1.215, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2443464090029814`, "   Bstar:  ", 3.547091990815808, "   Xstar:  ", 
   0.11096568235979823`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.547091990815808^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073231216125`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "321", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2444598467525934`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5510446390976784`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11054629101286301`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5510446390976784`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 321, "   tar:  ", 1.2175, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2444598467525934`, "   Bstar:  ", 3.5510446390976784`, "   Xstar:  ", 
   0.11054629101286301`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5510446390976784`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073231286135`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "322", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2445699735990168`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.554995308919063`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1101291570495302`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.554995308919063`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 322, "   tar:  ", 1.22, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2445699735990168`, "   Bstar:  ", 3.554995308919063, "   Xstar:  ", 
   0.1101291570495302, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.554995308919063^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323135614*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "323", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2446768293552934`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5589439995170964`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10971426522985875`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5589439995170964`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 323, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.1675, 
   "   R:  ", 3.2446768293552934`, "   Bstar:  ", 3.5589439995170964`, 
   "   Xstar:  ", 0.10971426522985875`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5589439995170964`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323141615*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "324", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.244780453368325`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5628907101740865`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10930160043259889`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5628907101740865`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 324, "   tar:  ", 1.225, "   tarstar:  ", 1.1675, "   R:  ", 
   3.244780453368325, "   Bstar:  ", 3.5628907101740865`, "   Xstar:  ", 
   0.10930160043259889`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5628907101740865`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073231476154`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "325", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2448808845245662`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.566835440216925`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10889114765420586`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.566835440216925`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 325, "   tar:  ", 1.2275, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2448808845245662`, "   Bstar:  ", 3.566835440216925, "   Xstar:  ", 
   0.10889114765420586`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.566835440216925^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073231546164`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "326", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2449781612556734`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.570778189016425`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10848289200786923`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.570778189016425`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 326, "   tar:  ", 1.23, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2449781612556734`, "   Bstar:  ", 3.570778189016425, "   Xstar:  ", 
   0.10848289200786923`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.570778189016425^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323161617*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "327", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.245072321544051`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.574718955986736`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10807681872254249`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.574718955986736`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 327, "   tar:  ", 1.2325, "   tarstar:  ", 1.1675, "   R:  ", 
   3.245072321544051, "   Bstar:  ", 3.574718955986736, "   Xstar:  ", 
   0.10807681872254249`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.574718955986736^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073231666174`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "328", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2451634029283434`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.578657740584727`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10767291314198431`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.578657740584727`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 328, "   tar:  ", 1.235, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2451634029283434`, "   Bstar:  ", 3.578657740584727, "   Xstar:  ", 
   0.10767291314198431`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.578657740584727^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073231736183`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "329", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.245251442508855`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5825945423093954`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10727116072380591`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5825945423093954`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 329, "   tar:  ", 1.2375, "   tarstar:  ", 1.1675, "   R:  ", 
   3.245251442508855, "   Bstar:  ", 3.5825945423093954`, "   Xstar:  ", 
   0.10727116072380591`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5825945423093954`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073231796184`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "330", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2453364769529`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5865293607012636`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10687154703852618`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5865293607012636`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 330, "   tar:  ", 1.24, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2453364769529, "   Bstar:  ", 3.5865293607012636`, "   Xstar:  ", 
   0.10687154703852618`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5865293607012636`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073231856194`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "331", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2454185425000808`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5904621953418343`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10647405776863147`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5904621953418343`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 331, "   tar:  ", 1.2425, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2454185425000808`, "   Bstar:  ", 3.5904621953418343`, "   Xstar:  ", 
   0.10647405776863147`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5904621953418343`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732319162*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "332", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.245497674967501`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.59439304585298`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10607867870764784`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.59439304585298`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 332, "   tar:  ", 1.245, "   tarstar:  ", 1.1675, "   R:  ", 
   3.245497674967501, "   Bstar:  ", 3.59439304585298, "   Xstar:  ", 
   0.10607867870764784`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.59439304585298^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073231986203`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "333", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2455739097549143`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5983219118963947`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10568539575921636`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5983219118963947`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 333, "   tar:  ", 1.2475, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2455739097549143`, "   Bstar:  ", 3.5983219118963947`, "   Xstar:  ", 
   0.10568539575921636`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5983219118963947`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073232046213`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "334", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2456472818498168`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6022487931730294`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10529419493617805`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6022487931730294`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 334, "   tar:  ", 1.25, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2456472818498168`, "   Bstar:  ", 3.6022487931730294`, "   Xstar:  ", 
   0.10529419493617805`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6022487931730294`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323210622*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "335", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2457178258324397`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6061736894225462`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1049050623596641`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6061736894225462`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 335, "   tar:  ", 1.2525, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2457178258324397`, "   Bstar:  ", 3.6061736894225462`, "   Xstar:  ", 
   0.1049050623596641, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6061736894225462`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073232166224`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "336", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2457855758807317`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6100966004227706`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10451798425819514`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6100966004227706`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 336, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.1675, 
   "   R:  ", 3.2457855758807317`, "   Bstar:  ", 3.6100966004227706`, 
   "   Xstar:  ", 0.10451798425819514`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6100966004227706`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323223623*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "337", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.245850565775228`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6140175259891594`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10413294696678582`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6140175259891594`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 337, "   tar:  ", 1.2575, "   tarstar:  ", 1.1675, "   R:  ", 
   3.245850565775228, "   Bstar:  ", 3.6140175259891594`, "   Xstar:  ", 
   0.10413294696678582`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6140175259891594`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323229624*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "338", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2459128289038897`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.617936465974277`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10374993692605769`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.617936465974277`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 338, "   tar:  ", 1.26, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2459128289038897`, "   Bstar:  ", 3.617936465974277, "   Xstar:  ", 
   0.10374993692605769`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.617936465974277^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073232366242`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "339", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2459723982668676`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.621853420267243`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10336894068136136`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.621853420267243`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 339, "   tar:  ", 1.2625, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2459723982668676`, "   Bstar:  ", 3.621853420267243, "   Xstar:  ", 
   0.10336894068136136`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.621853420267243^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073232426248`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "340", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2460293064812085`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.625768388793261`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10298994488189935`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.625768388793261`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 340, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.1675, 
   "   R:  ", 3.2460293064812085`, "   Bstar:  ", 3.625768388793261, 
   "   Xstar:  ", 0.10298994488189935`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.625768388793261^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073232486258`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "341", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2460835857854984`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.629681371513079`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10261293627986245`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.629681371513079`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 341, "   tar:  ", 1.2675, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2460835857854984`, "   Bstar:  ", 3.629681371513079, "   Xstar:  ", 
   0.10261293627986245`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.629681371513079^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073232546263`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "342", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2461352680444544`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6335923684224833`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10223790172957183`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6335923684224833`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 342, "   tar:  ", 1.27, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2461352680444544`, "   Bstar:  ", 3.6335923684224833`, "   Xstar:  ", 
   0.10223790172957183`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6335923684224833`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323260627*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "343", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2461843847534575`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6375013795518374`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10186482818662267`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6375013795518374`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 343, "   tar:  ", 1.2725, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2461843847534575`, "   Bstar:  ", 3.6375013795518374`, "   Xstar:  ", 
   0.10186482818662267`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6375013795518374`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323264627*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "344", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2462309670430147`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6414084049655364`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10149370270704454`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6414084049655364`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 344, "   tar:  ", 1.275, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2462309670430147`, "   Bstar:  ", 3.6414084049655364`, "   Xstar:  ", 
   0.10149370270704454`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6414084049655364`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073232706275`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "345", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2462750456831784`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.645313444761589`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.101124512446457`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.645313444761589`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 345, "   tar:  ", 1.2775, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2462750456831784`, "   Bstar:  ", 3.645313444761589, "   Xstar:  ", 
   0.101124512446457, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.645313444761589^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073232746277`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "346", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2463166510879087`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6492164990710987`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10075724465924189`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6492164990710987`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 346, "   tar:  ", 1.28, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2463166510879087`, "   Bstar:  ", 3.6492164990710987`, "   Xstar:  ", 
   0.10075724465924189`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6492164990710987`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073232796288`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "347", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2463558133193726`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6531175680577834`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10039188669771941`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6531175680577834`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 347, "   tar:  ", 1.2825, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2463558133193726`, "   Bstar:  ", 3.6531175680577834`, "   Xstar:  ", 
   0.10039188669771941`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6531175680577834`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073232856293`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "348", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2463925620921925`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6570166519175715`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10002842601132442`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6570166519175715`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 348, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.1675, 
   "   R:  ", 3.2463925620921925`, "   Bstar:  ", 3.6570166519175715`, 
   "   Xstar:  ", 0.10002842601132442`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6570166519175715`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073232926297`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "349", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.246426926777647`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6609137508780525`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0996668501458039`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6609137508780525`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 349, "   tar:  ", 1.2875, "   tarstar:  ", 1.1675, "   R:  ", 
   3.246426926777647, "   Bstar:  ", 3.6609137508780525`, "   Xstar:  ", 
   0.0996668501458039, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6609137508780525`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073232986307`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "350", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.246458936407802`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6648088651981334`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09930714674240189`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6648088651981334`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 350, "   tar:  ", 1.29, "   tarstar:  ", 1.1675, "   R:  ", 
   3.246458936407802, "   Bstar:  ", 3.6648088651981334`, "   Xstar:  ", 
   0.09930714674240189, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6648088651981334`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323305631*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "351", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2464886196796217`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.668701995167472`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09894930353707257`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.668701995167472`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 351, "   tar:  ", 1.2925, "   tarstar:  ", 1.1675, "   R:  ", 
   3.2464886196796217`, "   Bstar:  ", 3.668701995167472, "   Xstar:  ", 
   0.09894930353707257, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.668701995167472^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073233106318`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "352", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.246516004958975`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6725931411061494`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09859330835967892`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6725931411061494`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 352, "   tar:  ", 1.295, "   tarstar:  ", 1.1675, "   R:  ", 
   3.246516004958975, "   Bstar:  ", 3.6725931411061494`, "   Xstar:  ", 
   0.09859330835967892, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6725931411061494`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073233166323`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "353", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.246541120284652`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.676482303364172`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09823914913321308`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.676482303364172`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 353, "   tar:  ", 1.2975, "   tarstar:  ", 1.1675, "   R:  ", 
   3.246541120284652, "   Bstar:  ", 3.676482303364172, "   Xstar:  ", 
   0.09823914913321308, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.676482303364172^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323321633*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "354", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.246563993372284`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6803694823210193`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09788681387302031`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6803694823210193`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 354, "   tar:  ", 1.3, "   tarstar:  ", 1.1675, "   R:  ", 
   3.246563993372284, "   Bstar:  ", 3.6803694823210193`, "   Xstar:  ", 
   0.09788681387302031, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6803694823210193`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073233266335`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "355", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2399512490519973`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4568230869475287`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12113027433721574`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4568230869475287`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 355, "   tar:  ", 1.155, "   tarstar:  ", 1.17, "   R:  ", 
   3.2399512490519973`, "   Bstar:  ", 3.4568230869475287`, "   Xstar:  ", 
   0.12113027433721574`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4568230869475287`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073233316336`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "356", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2401565030582646`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4608308132478327`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12065401258858187`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4608308132478327`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 356, "   tar:  ", 1.1575, "   tarstar:  ", 1.17, "   R:  ", 
   3.2401565030582646`, "   Bstar:  ", 3.4608308132478327`, "   Xstar:  ", 
   0.12065401258858187`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4608308132478327`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323336634*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "357", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2403573509248385`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.464836584416105`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12018040194098972`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.464836584416105`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 357, "   tar:  ", 1.16, "   tarstar:  ", 1.17, "   R:  ", 
   3.2403573509248385`, "   Bstar:  ", 3.464836584416105, "   Xstar:  ", 
   0.12018040194098972`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.464836584416105^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323342635*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "358", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2405538454065894`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.468840398434777`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11970942404295712`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.468840398434777`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 358, "   tar:  ", 1.1625, "   tarstar:  ", 1.17, "   R:  ", 
   3.2405538454065894`, "   Bstar:  ", 3.468840398434777, "   Xstar:  ", 
   0.11970942404295712`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.468840398434777^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073233496356`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "359", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240746038632336`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4728422533491417`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.119241060687405`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4728422533491417`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 359, "   tar:  ", 1.165, "   tarstar:  ", 1.17, "   R:  ", 
   3.240746038632336, "   Bstar:  ", 3.4728422533491417`, "   Xstar:  ", 
   0.119241060687405, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4728422533491417`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073233556356`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "360", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240933982112598`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4768421472664777`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11877529381048949`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4768421472664777`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 360, "   tar:  ", 1.1675, "   tarstar:  ", 1.17, "   R:  ", 
   3.240933982112598, "   Bstar:  ", 3.4768421472664777`, "   Xstar:  ", 
   0.11877529381048949`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4768421472664777`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073233626366`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "361", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2411177267472575`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4808400783552123`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11831210549043872`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4808400783552123`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 361, "   tar:  ", 1.17, "   tarstar:  ", 1.17, "   R:  ", 
   3.2411177267472575`, "   Bstar:  ", 3.4808400783552123`, "   Xstar:  ", 
   0.11831210549043872`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4808400783552123`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323368637*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "362", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2412973228331086`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.484836044844097`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11785147794639726`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.484836044844097`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 362, "   tar:  ", 1.1725, "   tarstar:  ", 1.17, "   R:  ", 
   3.2412973228331086`, "   Bstar:  ", 3.484836044844097, "   Xstar:  ", 
   0.11785147794639726`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.484836044844097^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323373638*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "363", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241472820071307`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.48883004502133`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11739339353728624`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.48883004502133`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 363, "   tar:  ", 1.175, "   tarstar:  ", 1.17, "   R:  ", 
   3.241472820071307, "   Bstar:  ", 3.48883004502133, "   Xstar:  ", 
   0.11739339353728624`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.48883004502133^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073233776383`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "364", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241644267574753`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.492822077233768`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11693783476066155`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.492822077233768`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 364, "   tar:  ", 1.1775, "   tarstar:  ", 1.17, "   R:  ", 
   3.241644267574753, "   Bstar:  ", 3.492822077233768, "   Xstar:  ", 
   0.11693783476066155`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.492822077233768^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323382639*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "365", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2418117138753444`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4968121398861025`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11648478425158573`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4968121398861025`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 365, "   tar:  ", 1.18, "   tarstar:  ", 1.17, "   R:  ", 
   3.2418117138753444`, "   Bstar:  ", 3.4968121398861025`, "   Xstar:  ", 
   0.11648478425158573`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4968121398861025`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073233886395`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "366", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2419752069311563`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5008002314400812`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11603422478150292`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5008002314400812`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 366, "   tar:  ", 1.1825, "   tarstar:  ", 1.17, "   R:  ", 
   3.2419752069311563`, "   Bstar:  ", 3.5008002314400812`, "   Xstar:  ", 
   0.11603422478150292`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5008002314400812`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732339264*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "367", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2421347941335337`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.504786350413693`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11558613925712838`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.504786350413693`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 367, "   tar:  ", 1.185, "   tarstar:  ", 1.17, "   R:  ", 
   3.2421347941335337`, "   Bstar:  ", 3.504786350413693, "   Xstar:  ", 
   0.11558613925712838`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.504786350413693^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073233986406`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "368", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2422905223140757`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.50877049538043`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11514051071933687`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.50877049538043`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 368, "   tar:  ", 1.1875, "   tarstar:  ", 1.17, "   R:  ", 
   3.2422905223140757`, "   Bstar:  ", 3.50877049538043, "   Xstar:  ", 
   0.11514051071933687`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.50877049538043^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073234036407`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "369", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242442437751547`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.512752664968471`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11469732234206953`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.512752664968471`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 369, "   tar:  ", 1.19, "   tarstar:  ", 1.17, "   R:  ", 
   3.242442437751547, "   Bstar:  ", 3.512752664968471, "   Xstar:  ", 
   0.11469732234206953`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.512752664968471^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073234086413`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "370", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.17`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2425905861786957`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5167328578599633`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11425655743123887`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5167328578599633`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 370, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.17, 
   "   R:  ", 3.2425905861786957`, "   Bstar:  ", 3.5167328578599633`, 
   "   Xstar:  ", 0.11425655743123887`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5167328578599633`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073234146423`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "371", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242735012788978`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5207110727902364`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11381819942364944`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5207110727902364`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 371, "   tar:  ", 1.195, "   tarstar:  ", 1.17, "   R:  ", 
   3.242735012788978, "   Bstar:  ", 3.5207110727902364`, "   Xstar:  ", 
   0.11381819942364944`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5207110727902364`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073234196424`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "372", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2428757622432065`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5246873085471377`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11338223188591479`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5246873085471377`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 372, "   tar:  ", 1.1975, "   tarstar:  ", 1.17, "   R:  ", 
   3.2428757622432065`, "   Bstar:  ", 3.5246873085471377`, "   Xstar:  ", 
   0.11338223188591479`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5246873085471377`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323425643*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "373", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243012878676103`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.528661563970226`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11294863851339822`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.528661563970226`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 373, "   tar:  ", 1.2, "   tarstar:  ", 1.17, "   R:  ", 
   3.243012878676103, "   Bstar:  ", 3.528661563970226, "   Xstar:  ", 
   0.11294863851339822`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.528661563970226^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073234316435`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "374", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.17`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.243146405702786`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5326338379500952`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11251740312914905`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5326338379500952`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 374, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.17, 
   "   R:  ", 3.243146405702786, "   Bstar:  ", 3.5326338379500952`, 
   "   Xstar:  ", 0.11251740312914905`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5326338379500952`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073234376445`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "375", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2432763864251526`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5366041294276527`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11208850968285095`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5366041294276527`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 375, "   tar:  ", 1.205, "   tarstar:  ", 1.17, "   R:  ", 
   3.2432763864251526`, "   Bstar:  ", 3.5366041294276527`, "   Xstar:  ", 
   0.11208850968285095`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5366041294276527`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323444645*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "376", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2434028634381886`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5405724373934473`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11166194224977558`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5405724373934473`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 376, "   tar:  ", 1.2075, "   tarstar:  ", 1.17, "   R:  ", 
   3.2434028634381886`, "   Bstar:  ", 3.5405724373934473`, "   Xstar:  ", 
   0.11166194224977558`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5405724373934473`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073234496455`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "377", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2435258788362105`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5445387608869408`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1112376850297496`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5445387608869408`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 377, "   tar:  ", 1.21, "   tarstar:  ", 1.17, "   R:  ", 
   3.2435258788362105`, "   Bstar:  ", 3.5445387608869408`, "   Xstar:  ", 
   0.1112376850297496, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5445387608869408`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323456646*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "378", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.17`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.243645474219001`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5485030989958455`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1108157223461242`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5485030989958455`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 378, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.17, 
   "   R:  ", 3.243645474219001, "   Bstar:  ", 3.5485030989958455`, 
   "   Xstar:  ", 0.1108157223461242, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5485030989958455`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323463647*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "379", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243761690697892`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5524654508554763`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11039603864475059`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5524654508554763`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 379, "   tar:  ", 1.215, "   tarstar:  ", 1.17, "   R:  ", 
   3.243761690697892, "   Bstar:  ", 3.5524654508554763`, "   Xstar:  ", 
   0.11039603864475059`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5524654508554763`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323470648*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "380", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243874568901757`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5564258156480526`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10997861849297112`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5564258156480526`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 380, "   tar:  ", 1.2175, "   tarstar:  ", 1.17, "   R:  ", 
   3.243874568901757, "   Bstar:  ", 3.5564258156480526`, "   Xstar:  ", 
   0.10997861849297112`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5564258156480526`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073234766483`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "381", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243984148982928`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.560384192602061`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10956344657861092`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.560384192602061`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 381, "   tar:  ", 1.22, "   tarstar:  ", 1.17, "   R:  ", 
   3.243984148982928, "   Bstar:  ", 3.560384192602061, "   Xstar:  ", 
   0.10956344657861092`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.560384192602061^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323482649*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "382", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.17`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.244090470623034`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.564340580991609`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10915050770897962`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.564340580991609`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 382, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.17, 
   "   R:  ", 3.244090470623034, "   Bstar:  ", 3.564340580991609, 
   "   Xstar:  ", 0.10915050770897962`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.564340580991609^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732348965*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "383", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2441935730387796`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5682949801358`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10873978680987983`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5682949801358`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 383, "   tar:  ", 1.225, "   tarstar:  ", 1.17, "   R:  ", 
   3.2441935730387796`, "   Bstar:  ", 3.5682949801358, "   Xstar:  ", 
   0.10873978680987983`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5682949801358^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732349665*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "384", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.244293494987625`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5722473893980786`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10833126892462618`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5722473893980786`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 384, "   tar:  ", 1.2275, "   tarstar:  ", 1.17, "   R:  ", 
   3.244293494987625, "   Bstar:  ", 3.5722473893980786`, "   Xstar:  ", 
   0.10833126892462618`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5722473893980786`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073235036507`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "385", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2443902747734215`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5761978081856425`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10792493921306677`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5761978081856425`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 385, "   tar:  ", 1.23, "   tarstar:  ", 1.17, "   R:  ", 
   3.2443902747734215`, "   Bstar:  ", 3.5761978081856425`, "   Xstar:  ", 
   0.10792493921306677`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5761978081856425`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073235106516`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "386", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2444839502519507`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5801462359488134`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10752078295061655`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5801462359488134`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 386, "   tar:  ", 1.2325, "   tarstar:  ", 1.17, "   R:  ", 
   3.2444839502519507`, "   Bstar:  ", 3.5801462359488134`, "   Xstar:  ", 
   0.10752078295061655`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5801462359488134`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323516652*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "387", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2445745588364114`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.584092672180425`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10711878552729774`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.584092672180425`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 387, "   tar:  ", 1.235, "   tarstar:  ", 1.17, "   R:  ", 
   3.2445745588364114`, "   Bstar:  ", 3.584092672180425, "   Xstar:  ", 
   0.10711878552729774`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.584092672180425^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073235226526`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "388", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.244662137502823`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.588037116415256`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10671893244678338`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.588037116415256`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 388, "   tar:  ", 1.2375, "   tarstar:  ", 1.17, "   R:  ", 
   3.244662137502823, "   Bstar:  ", 3.588037116415256, "   Xstar:  ", 
   0.10671893244678338`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.588037116415256^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073235296535`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "389", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2447467227953677`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.59197956822941`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10632120932545532`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.59197956822941`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 389, "   tar:  ", 1.24, "   tarstar:  ", 1.17, "   R:  ", 
   3.2447467227953677`, "   Bstar:  ", 3.59197956822941, "   Xstar:  ", 
   0.10632120932545532`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.59197956822941^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073235366545`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "390", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.244828350831662`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5959200272397664`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1059256018914621`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5959200272397664`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 390, "   tar:  ", 1.2425, "   tarstar:  ", 1.17, "   R:  ", 
   3.244828350831662, "   Bstar:  ", 3.5959200272397664`, "   Xstar:  ", 
   0.1059256018914621, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5959200272397664`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073235416546`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "391", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2449070573079632`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5998584931033952`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10553209598378967`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5998584931033952`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 391, "   tar:  ", 1.245, "   tarstar:  ", 1.17, "   R:  ", 
   3.2449070573079632`, "   Bstar:  ", 3.5998584931033952`, "   Xstar:  ", 
   0.10553209598378967`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5998584931033952`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323546655*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "392", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2449828775043064`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6037949655169768`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10514067755133917`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6037949655169768`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 392, "   tar:  ", 1.2475, "   tarstar:  ", 1.17, "   R:  ", 
   3.2449828775043064`, "   Bstar:  ", 3.6037949655169768`, "   Xstar:  ", 
   0.10514067755133917`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6037949655169768`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323553656*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "393", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2450558462895724`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.607729444216276`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10475133265200715`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.607729444216276`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 393, "   tar:  ", 1.25, "   tarstar:  ", 1.17, "   R:  ", 
   3.2450558462895724`, "   Bstar:  ", 3.607729444216276, "   Xstar:  ", 
   0.10475133265200715`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.607729444216276^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073235576563`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "394", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.245125998126513`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6116619289755527`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10436404745178085`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6116619289755527`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 394, "   tar:  ", 1.2525, "   tarstar:  ", 1.17, "   R:  ", 
   3.245125998126513, "   Bstar:  ", 3.6116619289755527`, "   Xstar:  ", 
   0.10436404745178085`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6116619289755527`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323561657*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "395", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.17`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.245193367076671`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6155924196070703`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1039788082238308`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6155924196070703`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 395, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.17, 
   "   R:  ", 3.245193367076671, "   Bstar:  ", 3.6155924196070703`, 
   "   Xstar:  ", 0.1039788082238308, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6155924196070703`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323565657*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "396", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2452579868052815`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6195209159605053`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10359560134762147`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6195209159605053`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 396, "   tar:  ", 1.2575, "   tarstar:  ", 1.17, "   R:  ", 
   3.2452579868052815`, "   Bstar:  ", 3.6195209159605053`, "   Xstar:  ", 
   0.10359560134762147`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6195209159605053`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073235716577`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "397", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2453198905860763`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6234474179224647`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10321441330801961`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6234474179224647`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 397, "   tar:  ", 1.26, "   tarstar:  ", 1.17, "   R:  ", 
   3.2453198905860763`, "   Bstar:  ", 3.6234474179224647`, "   Xstar:  ", 
   0.10321441330801961`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6234474179224647`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073235766582`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "398", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2453791113060615`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6273719254159453`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10283523069441557`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6273719254159453`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 398, "   tar:  ", 1.2625, "   tarstar:  ", 1.17, "   R:  ", 
   3.2453791113060615`, "   Bstar:  ", 3.6273719254159453`, "   Xstar:  ", 
   0.10283523069441557`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6273719254159453`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073235836587`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "399", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.17`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2454356814701883`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6312944383998036`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10245804019985119`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6312944383998036`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 399, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.17, 
   "   R:  ", 3.2454356814701883`, "   Bstar:  ", 3.6312944383998036`, 
   "   Xstar:  ", 0.10245804019985119`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6312944383998036`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073235886593`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "400", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.24548963320602`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.635214956868278`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10208282862015096`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.635214956868278`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 400, "   tar:  ", 1.2675, "   tarstar:  ", 1.17, "   R:  ", 
   3.24548963320602, "   Bstar:  ", 3.635214956868278, "   Xstar:  ", 
   0.10208282862015096`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.635214956868278^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732359466*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "401", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2455409982682792`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.639133480850473`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10170958285306403`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.639133480850473`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 401, "   tar:  ", 1.27, "   tarstar:  ", 1.17, "   R:  ", 
   3.2455409982682792`, "   Bstar:  ", 3.639133480850473, "   Xstar:  ", 
   0.10170958285306403`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.639133480850473^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073235986605`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "402", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2455898080433974`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6430500104098402`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10133828989741409`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6430500104098402`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 402, "   tar:  ", 1.2725, "   tarstar:  ", 1.17, "   R:  ", 
   3.2455898080433974`, "   Bstar:  ", 3.6430500104098402`, "   Xstar:  ", 
   0.10133828989741409`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6430500104098402`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073236036606`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "403", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2456360935539625`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6469645456437525`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10096893685224821`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6469645456437525`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 403, "   tar:  ", 1.275, "   tarstar:  ", 1.17, "   R:  ", 
   3.2456360935539625`, "   Bstar:  ", 3.6469645456437525`, "   Xstar:  ", 
   0.10096893685224821`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6469645456437525`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073236096616`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "404", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2456798854631206`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.650877086682964`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1006015109160042`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.650877086682964`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 404, "   tar:  ", 1.2775, "   tarstar:  ", 1.17, "   R:  ", 
   3.2456798854631206`, "   Bstar:  ", 3.650877086682964, "   Xstar:  ", 
   0.1006015109160042, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.650877086682964^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323616662*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "405", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.245721214078945`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.654787633691139`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10023599938567804`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.654787633691139`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 405, "   tar:  ", 1.28, "   tarstar:  ", 1.17, "   R:  ", 
   3.245721214078945, "   Bstar:  ", 3.654787633691139, "   Xstar:  ", 
   0.10023599938567804`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.654787633691139^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073236226625`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "406", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.24576010935871`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6586961868644265`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09987238965599511`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6586961868644265`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 406, "   tar:  ", 1.2825, "   tarstar:  ", 1.17, "   R:  ", 
   3.24576010935871, "   Bstar:  ", 3.6586961868644265`, "   Xstar:  ", 
   0.09987238965599511, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6586961868644265`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073236296635`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "407", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.17`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2457966009131427`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.662602746430957`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09951066921859651`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.662602746430957`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 407, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.17, 
   "   R:  ", 3.2457966009131427`, "   Bstar:  ", 3.662602746430957, 
   "   Xstar:  ", 0.09951066921859651, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.662602746430957^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073236366644`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "408", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2458307180106116`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.666507312650383`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0991508256612273`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.666507312650383`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 408, "   tar:  ", 1.2875, "   tarstar:  ", 1.17, "   R:  ", 
   3.2458307180106116`, "   Bstar:  ", 3.666507312650383, "   Xstar:  ", 
   0.0991508256612273, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.666507312650383^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323642665*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "409", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.245862489581254`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6704098858134655`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09879284666692889`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6704098858134655`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 409, "   tar:  ", 1.29, "   tarstar:  ", 1.17, "   R:  ", 
   3.245862489581254, "   Bstar:  ", 3.6704098858134655`, "   Xstar:  ", 
   0.09879284666692889, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6704098858134655`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323649666*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "410", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.245891944221057`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6743104662415855`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09843672001324477`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6743104662415855`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 410, "   tar:  ", 1.2925, "   tarstar:  ", 1.17, "   R:  ", 
   3.245891944221057, "   Bstar:  ", 3.6743104662415855`, "   Xstar:  ", 
   0.09843672001324477, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6743104662415855`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073236556664`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "411", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.245919110195896`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.678209054286333`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09808243357142718`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.678209054286333`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 411, "   tar:  ", 1.295, "   tarstar:  ", 1.17, "   R:  ", 
   3.245919110195896, "   Bstar:  ", 3.678209054286333, "   Xstar:  ", 
   0.09808243357142718, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.678209054286333^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323662667*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "412", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.245944015445497`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6821056503290563`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09772997530565343`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6821056503290563`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 412, "   tar:  ", 1.2975, "   tarstar:  ", 1.17, "   R:  ", 
   3.245944015445497, "   Bstar:  ", 3.6821056503290563`, "   Xstar:  ", 
   0.09772997530565343, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6821056503290563`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073236686673`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "413", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.17`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2459666875873854`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.686000254780452`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09737933327224638`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.686000254780452`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 413, "   tar:  ", 1.3, "   tarstar:  ", 1.17, "   R:  ", 
   3.2459666875873854`, "   Bstar:  ", 3.686000254780452, "   Xstar:  ", 
   0.09737933327224638, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.686000254780452^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073236746683`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "414", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2393874526028505`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.462007088462741`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12051468901620757`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.462007088462741`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 414, "   tar:  ", 1.155, "   tarstar:  ", 1.1725, "   R:  ", 
   3.2393874526028505`, "   Bstar:  ", 3.462007088462741, "   Xstar:  ", 
   0.12051468901620757`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.462007088462741^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073236816688`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "415", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239591803607526`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4660227605514873`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.12004061970643297`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4660227605514873`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 415, "   tar:  ", 1.1575, "   tarstar:  ", 1.1725, "   R:  ", 
   3.239591803607526, "   Bstar:  ", 3.4660227605514873`, "   Xstar:  ", 
   0.12004061970643297`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4660227605514873`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073236876693`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "416", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239791764711763`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.470036467194578`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1195691912044925`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.470036467194578`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 416, "   tar:  ", 1.16, "   tarstar:  ", 1.1725, "   R:  ", 
   3.239791764711763, "   Bstar:  ", 3.470036467194578, "   Xstar:  ", 
   0.1195691912044925, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.470036467194578^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073236936703`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "417", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2399873885076795`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.474048206416614`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1191003852104462`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.474048206416614`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 417, "   tar:  ", 1.1625, "   tarstar:  ", 1.1725, "   R:  ", 
   3.2399873885076795`, "   Bstar:  ", 3.474048206416614, "   Xstar:  ", 
   0.1191003852104462, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.474048206416614^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073236986704`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "418", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240178726962787`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4780579763047994`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11863418356859844`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4780579763047994`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 418, "   tar:  ", 1.165, "   tarstar:  ", 1.1725, "   R:  ", 
   3.240178726962787, "   Bstar:  ", 3.4780579763047994`, "   Xstar:  ", 
   0.11863418356859844`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4780579763047994`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073237036705`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "419", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2403658314277277`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4820657750081425`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11817056826632015`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4820657750081425`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 419, "   tar:  ", 1.1675, "   tarstar:  ", 1.1725, "   R:  ", 
   3.2403658314277277`, "   Bstar:  ", 3.4820657750081425`, "   Xstar:  ", 
   0.11817056826632015`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4820657750081425`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073237096715`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "420", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240548752643919`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4860716007365515`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11770952143289053`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4860716007365515`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 420, "   tar:  ", 1.17, "   tarstar:  ", 1.1725, "   R:  ", 
   3.240548752643919, "   Bstar:  ", 3.4860716007365515`, "   Xstar:  ", 
   0.11770952143289053`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4860716007365515`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323714672*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "421", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240727540751099`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4900754517600148`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1172510253383394`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4900754517600148`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 421, "   tar:  ", 1.1725, "   tarstar:  ", 1.1725, "   R:  ", 
   3.240727540751099, "   Bstar:  ", 3.4900754517600148`, "   Xstar:  ", 
   0.1172510253383394, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4900754517600148`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323719672*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "422", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2409022452947767`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4940773264077523`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11679506239230149`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4940773264077523`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 422, "   tar:  ", 1.175, "   tarstar:  ", 1.1725, "   R:  ", 
   3.2409022452947767`, "   Bstar:  ", 3.4940773264077523`, "   Xstar:  ", 
   0.11679506239230149`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4940773264077523`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323726673*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "423", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2410729152335875`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.498077223067435`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11634161514287204`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.498077223067435`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 423, "   tar:  ", 1.1775, "   tarstar:  ", 1.1725, "   R:  ", 
   3.2410729152335875`, "   Bstar:  ", 3.498077223067435, "   Xstar:  ", 
   0.11634161514287204`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.498077223067435^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073237326736`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "424", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241239598946545`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.502075140184316`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1158906662754821`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.502075140184316`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 424, "   tar:  ", 1.18, "   tarstar:  ", 1.1725, "   R:  ", 
   3.241239598946545, "   Bstar:  ", 3.502075140184316, "   Xstar:  ", 
   0.1158906662754821, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.502075140184316^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323738674*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "425", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2414023442402145`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.506071076260513`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11544219861176516`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.506071076260513`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 425, "   tar:  ", 1.1825, "   tarstar:  ", 1.1725, "   R:  ", 
   3.2414023442402145`, "   Bstar:  ", 3.506071076260513, "   Xstar:  ", 
   0.11544219861176516`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.506071076260513^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323745675*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "426", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2415611983557953`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5100650298541343`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11499619510845092`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5100650298541343`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 426, "   tar:  ", 1.185, "   tarstar:  ", 1.1725, "   R:  ", 
   3.2415611983557953`, "   Bstar:  ", 3.5100650298541343`, "   Xstar:  ", 
   0.11499619510845092`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5100650298541343`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323753676*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "427", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2417162079760877`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.514056999578571`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11455263885624936`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.514056999578571`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 427, "   tar:  ", 1.1875, "   tarstar:  ", 1.1725, "   R:  ", 
   3.2417162079760877`, "   Bstar:  ", 3.514056999578571, "   Xstar:  ", 
   0.11455263885624936`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.514056999578571^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073237606764`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "428", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241867419232403`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.518046984101712`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11411151307875207`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.518046984101712`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 428, "   tar:  ", 1.19, "   tarstar:  ", 1.1725, "   R:  ", 
   3.241867419232403, "   Bstar:  ", 3.518046984101712, "   Xstar:  ", 
   0.11411151307875207`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.518046984101712^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073237676773`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "429", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2420148777113655`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.522034982145152`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1136728011313443`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.522034982145152`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 429, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.1725, 
   "   R:  ", 3.2420148777113655`, "   Bstar:  ", 3.522034982145152, 
   "   Xstar:  ", 0.1136728011313443, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.522034982145152^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323773678*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "430", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2421586284616386`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.526020992483509`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11323648650011264`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.526020992483509`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 430, "   tar:  ", 1.195, "   tarstar:  ", 1.1725, "   R:  ", 
   3.2421586284616386`, "   Bstar:  ", 3.526020992483509, "   Xstar:  ", 
   0.11323648650011264`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.526020992483509^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073237796783`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "431", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242298716000545`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5300050139436383`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11280255280077409`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5300050139436383`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 431, "   tar:  ", 1.1975, "   tarstar:  ", 1.1725, "   R:  ", 
   3.242298716000545, "   Bstar:  ", 3.5300050139436383`, "   Xstar:  ", 
   0.11280255280077409`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5300050139436383`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073237866793`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "432", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242435184320633`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.533987045403945`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11237098377760275`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.533987045403945`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 432, "   tar:  ", 1.2, "   tarstar:  ", 1.1725, "   R:  ", 
   3.242435184320633, "   Bstar:  ", 3.533987045403945, "   Xstar:  ", 
   0.11237098377760275`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.533987045403945^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732379268*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "433", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.242568076896131`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.537967085793609`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11194176330237483`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.537967085793609`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 433, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.1725, 
   "   R:  ", 3.242568076896131, "   Bstar:  ", 3.537967085793609, 
   "   Xstar:  ", 0.11194176330237483`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.537967085793609^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073237996807`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "434", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2426974366893386`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.541945134091956`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11151487537330705`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.541945134091956`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 434, "   tar:  ", 1.205, "   tarstar:  ", 1.1725, "   R:  ", 
   3.2426974366893386`, "   Bstar:  ", 3.541945134091956, "   Xstar:  ", 
   0.11151487537330705`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.541945134091956^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323805681*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "435", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2428233061569163`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5459211893277134`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11109030411401573`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5459211893277134`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 435, "   tar:  ", 1.2075, "   tarstar:  ", 1.1725, "   R:  ", 
   3.2428233061569163`, "   Bstar:  ", 3.5459211893277134`, "   Xstar:  ", 
   0.11109030411401573`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5459211893277134`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323812682*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "436", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2429457272561186`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.549895250578308`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1106680337724809`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.549895250578308`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 436, "   tar:  ", 1.21, "   tarstar:  ", 1.1725, "   R:  ", 
   3.2429457272561186`, "   Bstar:  ", 3.549895250578308, "   Xstar:  ", 
   0.1106680337724809, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.549895250578308^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323819682*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "437", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.243064741450929`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5538673169692436`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11024804872001003`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5538673169692436`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 437, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.1725, 
   "   R:  ", 3.243064741450929, "   Bstar:  ", 3.5538673169692436`, 
   "   Xstar:  ", 0.11024804872001003`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5538673169692436`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323825683*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "438", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243180389718124`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5578373876733687`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10983033345022213`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5578373876733687`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 438, "   tar:  ", 1.215, "   tarstar:  ", 1.1725, "   R:  ", 
   3.243180389718124, "   Bstar:  ", 3.5578373876733687`, "   Xstar:  ", 
   0.10983033345022213`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5578373876733687`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073238316836`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "439", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2432927125532536`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5618054619102573`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10941487257802879`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5618054619102573`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 439, "   tar:  ", 1.2175, "   tarstar:  ", 1.1725, "   R:  ", 
   3.2432927125532536`, "   Bstar:  ", 3.5618054619102573`, "   Xstar:  ", 
   0.10941487257802879`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5618054619102573`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323838684*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "440", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243401749976561`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.56577153894555`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1090016508386281`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.56577153894555`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 440, "   tar:  ", 1.22, "   tarstar:  ", 1.1725, "   R:  ", 
   3.243401749976561, "   Bstar:  ", 3.56577153894555, "   Xstar:  ", 
   0.1090016508386281, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.56577153894555^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323844685*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "441", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2435075415388024`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.569735618090287`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10859065308650752`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.569735618090287`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 441, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.1725, 
   "   R:  ", 3.2435075415388024`, "   Bstar:  ", 3.569735618090287, 
   "   Xstar:  ", 0.10859065308650752`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.569735618090287^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073238516855`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "442", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243610126327016`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.573697698700313`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10818186429444857`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.573697698700313`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 442, "   tar:  ", 1.225, "   tarstar:  ", 1.1725, "   R:  ", 
   3.243610126327016, "   Bstar:  ", 3.573697698700313, "   Xstar:  ", 
   0.10818186429444857`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.573697698700313^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323857686*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "443", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243709542970196`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5776577801756004`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10777526955254739`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5776577801756004`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 443, "   tar:  ", 1.2275, "   tarstar:  ", 1.1725, "   R:  ", 
   3.243709542970196, "   Bstar:  ", 3.5776577801756004`, "   Xstar:  ", 
   0.10777526955254739`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5776577801756004`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323862687*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "444", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2438058296449173`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.581615861959678`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10737085406723386`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.581615861959678`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 444, "   tar:  ", 1.23, "   tarstar:  ", 1.1725, "   R:  ", 
   3.2438058296449173`, "   Bstar:  ", 3.581615861959678, "   Xstar:  ", 
   0.10737085406723386`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.581615861959678^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073238696876`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "445", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2438990240808705`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.585571943539004`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10696860316030445`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.585571943539004`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 445, "   tar:  ", 1.2325, "   tarstar:  ", 1.1725, "   R:  ", 
   3.2438990240808705`, "   Bstar:  ", 3.585571943539004, "   Xstar:  ", 
   0.10696860316030445`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.585571943539004^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323875688*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "446", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2439891635663263`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.589526024442347`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1065685022679624`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.589526024442347`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 446, "   tar:  ", 1.235, "   tarstar:  ", 1.1725, "   R:  ", 
   3.2439891635663263`, "   Bstar:  ", 3.589526024442347, "   Xstar:  ", 
   0.1065685022679624, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.589526024442347^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323881689*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "447", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2440762849535387`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.593478104240216`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10617053693986168`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.593478104240216`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 447, "   tar:  ", 1.2375, "   tarstar:  ", 1.1725, "   R:  ", 
   3.2440762849535387`, "   Bstar:  ", 3.593478104240216, "   Xstar:  ", 
   0.10617053693986168`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.593478104240216^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073238886895`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "448", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.244160424664081`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5974281825442653`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10577469283816138`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5974281825442653`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 448, "   tar:  ", 1.24, "   tarstar:  ", 1.1725, "   R:  ", 
   3.244160424664081, "   Bstar:  ", 3.5974281825442653`, "   Xstar:  ", 
   0.10577469283816138`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5974281825442653`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732389569*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "449", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.244241618694104`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6013762590067033`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10538095573658807`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6013762590067033`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 449, "   tar:  ", 1.2425, "   tarstar:  ", 1.1725, "   R:  ", 
   3.244241618694104, "   Bstar:  ", 3.6013762590067033`, "   Xstar:  ", 
   0.10538095573658807`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6013762590067033`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323902691*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "450", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2443199026195257`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6053223333197546`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10498931151950094`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6053223333197546`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 450, "   tar:  ", 1.245, "   tarstar:  ", 1.1725, "   R:  ", 
   3.2443199026195257`, "   Bstar:  ", 3.6053223333197546`, "   Xstar:  ", 
   0.10498931151950094`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6053223333197546`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073239086914`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "451", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.244395311601177`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6092664052150365`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10459974618097369`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6092664052150365`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 451, "   tar:  ", 1.2475, "   tarstar:  ", 1.1725, "   R:  ", 
   3.244395311601177, "   Bstar:  ", 3.6092664052150365`, "   Xstar:  ", 
   0.10459974618097369`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6092664052150365`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073239156923`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "452", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2444678803898426`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.613208474463096`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10421224582386861`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.613208474463096`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 452, "   tar:  ", 1.25, "   tarstar:  ", 1.1725, "   R:  ", 
   3.2444678803898426`, "   Bstar:  ", 3.613208474463096, "   Xstar:  ", 
   0.10421224582386861`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.613208474463096^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323921693*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "453", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.24453764333128`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6171485408727535`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10382679665893767`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6171485408727535`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 453, "   tar:  ", 1.2525, "   tarstar:  ", 1.1725, "   R:  ", 
   3.24453764333128, "   Bstar:  ", 3.6171485408727535`, "   Xstar:  ", 
   0.10382679665893767`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6171485408727535`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073239286933`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "454", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.24460463437115`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6210866042906544`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10344338500391102`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6210866042906544`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 454, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.1725, 
   "   R:  ", 3.24460463437115, "   Bstar:  ", 3.6210866042906544`, 
   "   Xstar:  ", 0.10344338500391102`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6210866042906544`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073239356937`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "455", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2446688870598757`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.625022664600679`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10306199728260741`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.625022664600679`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 455, "   tar:  ", 1.2575, "   tarstar:  ", 1.1725, "   R:  ", 
   3.2446688870598757`, "   Bstar:  ", 3.625022664600679, "   Xstar:  ", 
   0.10306199728260741`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.625022664600679^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073239416947`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "456", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.244730434557474`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.62895672172342`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10268262002404645`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.62895672172342`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 456, "   tar:  ", 1.26, "   tarstar:  ", 1.1725, "   R:  ", 
   3.244730434557474, "   Bstar:  ", 3.62895672172342, "   Xstar:  ", 
   0.10268262002404645`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.62895672172342^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073239476953`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "457", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.244789309638285`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6328887756156845`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10230523986156517`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6328887756156845`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 457, "   tar:  ", 1.2625, "   tarstar:  ", 1.1725, "   R:  ", 
   3.244789309638285, "   Bstar:  ", 3.6328887756156845`, "   Xstar:  ", 
   0.10230523986156517`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6328887756156845`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073239546957`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "458", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2448455446956768`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6368188262699808`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10192984353194474`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6368188262699808`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 458, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.1725, 
   "   R:  ", 3.2448455446956768`, "   Bstar:  ", 3.6368188262699808`, 
   "   Xstar:  ", 0.10192984353194474`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6368188262699808`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607323966697*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "459", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.244899171746664`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6407468737139723`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10155641787454799`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6407468737139723`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 459, "   tar:  ", 1.2675, "   tarstar:  ", 1.1725, "   R:  ", 
   3.244899171746664, "   Bstar:  ", 3.6407468737139723`, "   Xstar:  ", 
   0.10155641787454799`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6407468737139723`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073239736977`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "460", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.244950222436475`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.644672918010031`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1011849498304547`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.644672918010031`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 460, "   tar:  ", 1.27, "   tarstar:  ", 1.1725, "   R:  ", 
   3.244950222436475, "   Bstar:  ", 3.644672918010031, "   Xstar:  ", 
   0.1011849498304547, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.644672918010031^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073239806986`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "461", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2449987280430745`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6485969592546974`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10081542644161373`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6485969592546974`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 461, "   tar:  ", 1.2725, "   tarstar:  ", 1.1725, "   R:  ", 
   3.2449987280430745`, "   Bstar:  ", 3.6485969592546974`, "   Xstar:  ", 
   0.10081542644161373`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6485969592546974`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073239876995`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "462", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2450447194816148`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.652518997578225`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10044783484999457`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.652518997578225`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 462, "   tar:  ", 1.275, "   tarstar:  ", 1.1725, "   R:  ", 
   3.2450447194816148`, "   Bstar:  ", 3.652518997578225, "   Xstar:  ", 
   0.10044783484999457`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.652518997578225^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073239947*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "463", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2450882273088224`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.656439033144087`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1000821622967503`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.656439033144087`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 463, "   tar:  ", 1.2775, "   tarstar:  ", 1.1725, "   R:  ", 
   3.2450882273088224`, "   Bstar:  ", 3.656439033144087, "   Xstar:  ", 
   0.1000821622967503, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.656439033144087^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073239997005`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "464", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2451292817273494`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.660357066148505`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09971839612138533`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.660357066148505`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 464, "   tar:  ", 1.28, "   tarstar:  ", 1.1725, "   R:  ", 
   3.2451292817273494`, "   Bstar:  ", 3.660357066148505, "   Xstar:  ", 
   0.09971839612138533, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.660357066148505^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073240037007`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "465", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.245167912590062`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6642730968199624`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09935652376093268`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6642730968199624`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 465, "   tar:  ", 1.2825, "   tarstar:  ", 1.1725, "   R:  ", 
   3.245167912590062, "   Bstar:  ", 3.6642730968199624`, "   Xstar:  ", 
   0.09935652376093268, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6642730968199624`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324007701*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "466", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.245204149404266`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6681871254187803`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09899653274913253`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6681871254187803`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 466, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.1725, 
   "   R:  ", 3.245204149404266, "   Bstar:  ", 3.6681871254187803`, 
   "   Xstar:  ", 0.09899653274913253, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6681871254187803`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324012702*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "467", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2452380213358887`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6720991522366164`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09863841071562493`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6720991522366164`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 467, "   tar:  ", 1.2875, "   tarstar:  ", 1.1725, "   R:  ", 
   3.2452380213358887`, "   Bstar:  ", 3.6720991522366164`, "   Xstar:  ", 
   0.09863841071562493, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6720991522366164`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324017702*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "468", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2452695572135966`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6760091775960646`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09828214538514128`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6760091775960646`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 468, "   tar:  ", 1.29, "   tarstar:  ", 1.1725, "   R:  ", 
   3.2452695572135966`, "   Bstar:  ", 3.6760091775960646`, "   Xstar:  ", 
   0.09828214538514128, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6760091775960646`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073240227027`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "469", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.245298785532885`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.679917201850151`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09792772457671146`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.679917201850151`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 469, "   tar:  ", 1.2925, "   tarstar:  ", 1.1725, "   R:  ", 
   3.245298785532885, "   Bstar:  ", 3.679917201850151, "   Xstar:  ", 
   0.09792772457671146, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.679917201850151^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073240277033`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "470", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2453257344600765`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6838232253819627`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09757513620286719`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6838232253819627`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 470, "   tar:  ", 1.295, "   tarstar:  ", 1.1725, "   R:  ", 
   3.2453257344600765`, "   Bstar:  ", 3.6838232253819627`, "   Xstar:  ", 
   0.09757513620286719, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6838232253819627`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324031704*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "471", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.245350431836309`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.687727248604145`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09722436826886345`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.687727248604145`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 471, "   tar:  ", 1.2975, "   tarstar:  ", 1.1725, "   R:  ", 
   3.245350431836309, "   Bstar:  ", 3.687727248604145, "   Xstar:  ", 
   0.09722436826886345, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.687727248604145^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324036704*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "472", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.245372905181448`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6916292719585386`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09687540887189497`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6916292719585386`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 472, "   tar:  ", 1.3, "   tarstar:  ", 1.1725, "   R:  ", 
   3.245372905181448, "   Bstar:  ", 3.6916292719585386`, "   Xstar:  ", 
   0.09687540887189497, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6916292719585386`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324041705*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "473", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2388269265682212`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.467189738351888`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11990330510667951`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.467189738351888`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 473, "   tar:  ", 1.155, "   tarstar:  ", 1.175, "   R:  ", 
   3.2388269265682212`, "   Bstar:  ", 3.467189738351888, "   Xstar:  ", 
   0.11990330510667951`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.467189738351888^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073240467052`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "474", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239030380532014`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.471213348820836`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1194314153910144`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.471213348820836`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 474, "   tar:  ", 1.1575, "   tarstar:  ", 1.175, "   R:  ", 
   3.239030380532014, "   Bstar:  ", 3.471213348820836, "   Xstar:  ", 
   0.1194314153910144, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.471213348820836^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324052706*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "475", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2392294607521146`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4752349835463634`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11896215623259544`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4752349835463634`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 475, "   tar:  ", 1.16, "   tarstar:  ", 1.175, "   R:  ", 
   3.2392294607521146`, "   Bstar:  ", 3.4752349835463634`, "   Xstar:  ", 
   0.11896215623259544`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4752349835463634`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073240587063`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "476", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239424219658467`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.479254640595206`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11849550938300328`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.479254640595206`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 476, "   tar:  ", 1.1625, "   tarstar:  ", 1.175, "   R:  ", 
   3.239424219658467, "   Bstar:  ", 3.479254640595206, "   Xstar:  ", 
   0.11849550938300328`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.479254640595206^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324065707*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "477", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2396147090578435`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.48327231809649`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.118031456737897`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.48327231809649`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 477, "   tar:  ", 1.165, "   tarstar:  ", 1.175, "   R:  ", 
   3.2396147090578435`, "   Bstar:  ", 3.48327231809649, "   Xstar:  ", 
   0.118031456737897, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.48327231809649^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324072708*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "478", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2398009801415726`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4872880142408778`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11756998033584008`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4872880142408778`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 478, "   tar:  ", 1.1675, "   tarstar:  ", 1.175, "   R:  ", 
   3.2398009801415726`, "   Bstar:  ", 3.4872880142408778`, "   Xstar:  ", 
   0.11756998033584008`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4872880142408778`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073240787086`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "479", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239983083493184`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4913017272797364`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11711106235713181`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4913017272797364`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 479, "   tar:  ", 1.17, "   tarstar:  ", 1.175, "   R:  ", 
   3.239983083493184, "   Bstar:  ", 3.4913017272797364`, "   Xstar:  ", 
   0.11711106235713181`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4913017272797364`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324085709*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "480", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2401610690959326`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4953134555242547`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11665468512265482`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4953134555242547`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 480, "   tar:  ", 1.1725, "   tarstar:  ", 1.175, "   R:  ", 
   3.2401610690959326`, "   Bstar:  ", 3.4953134555242547`, "   Xstar:  ", 
   0.11665468512265482`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4953134555242547`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073240917096`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "481", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240334986340239`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4993231973446632`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1162008310927197`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4993231973446632`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 481, "   tar:  ", 1.175, "   tarstar:  ", 1.175, "   R:  ", 
   3.240334986340239, "   Bstar:  ", 3.4993231973446632`, "   Xstar:  ", 
   0.1162008310927197, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4993231973446632`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732409871*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "482", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.24050488403104`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.503330951169377`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11574948286592764`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.503330951169377`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 482, "   tar:  ", 1.1775, "   tarstar:  ", 1.175, "   R:  ", 
   3.24050488403104, "   Bstar:  ", 3.503330951169377, "   Xstar:  ", 
   0.11574948286592764`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.503330951169377^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324105711*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "483", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2406708103950357`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5073367154842146`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11530062317803383`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5073367154842146`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 483, "   tar:  ", 1.18, "   tarstar:  ", 1.175, "   R:  ", 
   3.2406708103950357`, "   Bstar:  ", 3.5073367154842146`, "   Xstar:  ", 
   0.11530062317803383`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5073367154842146`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324112712*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "484", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2408328130878443`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.511340488831581`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11485423490082333`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.511340488831581`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 484, "   tar:  ", 1.1825, "   tarstar:  ", 1.175, "   R:  ", 
   3.2408328130878443`, "   Bstar:  ", 3.511340488831581, "   Xstar:  ", 
   0.11485423490082333`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.511340488831581^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073241187124`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "485", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240990939201073`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5153422698097088`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11441030104099119`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5153422698097088`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 485, "   tar:  ", 1.185, "   tarstar:  ", 1.175, "   R:  ", 
   3.240990939201073, "   Bstar:  ", 3.5153422698097088`, "   Xstar:  ", 
   0.11441030104099119`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5153422698097088`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073241257133`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "486", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241145235269291`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5193420570718543`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11396880473903456`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5193420570718543`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 486, "   tar:  ", 1.1875, "   tarstar:  ", 1.175, "   R:  ", 
   3.241145235269291, "   Bstar:  ", 3.5193420570718543`, "   Xstar:  ", 
   0.11396880473903456`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5193420570718543`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324132714*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "487", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2412957472769133`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.523339849325544`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1135297292681502`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.523339849325544`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 487, "   tar:  ", 1.19, "   tarstar:  ", 1.175, "   R:  ", 
   3.2412957472769133`, "   Bstar:  ", 3.523339849325544, "   Xstar:  ", 
   0.1135297292681502, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.523339849325544^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073241387143`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "488", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.241442520664998`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.527335645331843`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11309305803313738`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.527335645331843`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 488, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.175, 
   "   R:  ", 3.241442520664998, "   Bstar:  ", 3.527335645331843, 
   "   Xstar:  ", 0.11309305803313738`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.527335645331843^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324145715*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "489", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241585600337967`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5313294439045455`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11265877456931911`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5313294439045455`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 489, "   tar:  ", 1.195, "   tarstar:  ", 1.175, "   R:  ", 
   3.241585600337967, "   Bstar:  ", 3.5313294439045455`, "   Xstar:  ", 
   0.11265877456931911`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5313294439045455`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073241517153`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "490", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241725030670212`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.535321243909541`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11222686254145264`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.535321243909541`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 490, "   tar:  ", 1.1975, "   tarstar:  ", 1.175, "   R:  ", 
   3.241725030670212, "   Bstar:  ", 3.535321243909541, "   Xstar:  ", 
   0.11222686254145264`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.535321243909541^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073241567163`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "491", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2418608555126562`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.53931104426399`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11179730574267015`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.53931104426399`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 491, "   tar:  ", 1.2, "   tarstar:  ", 1.175, "   R:  ", 
   3.2418608555126562`, "   Bstar:  ", 3.53931104426399, "   Xstar:  ", 
   0.11179730574267015`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.53931104426399^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324162717*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "492", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.241993118199187`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5432988439356885`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11137008809340732`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5432988439356885`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 492, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.175, 
   "   R:  ", 3.241993118199187, "   Bstar:  ", 3.5432988439356885`, 
   "   Xstar:  ", 0.11137008809340732`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5432988439356885`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073241687174`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "493", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242121861553055`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.547284641942283`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11094519364035779`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.547284641942283`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 493, "   tar:  ", 1.205, "   tarstar:  ", 1.175, "   R:  ", 
   3.242121861553055, "   Bstar:  ", 3.547284641942283, "   Xstar:  ", 
   0.11094519364035779`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.547284641942283^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324172718*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "494", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242247127893141`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.551268437350659`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11052260655541657`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.551268437350659`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 494, "   tar:  ", 1.2075, "   tarstar:  ", 1.175, "   R:  ", 
   3.242247127893141, "   Bstar:  ", 3.551268437350659, "   Xstar:  ", 
   0.11052260655541657`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.551268437350659^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073241787186`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "495", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2423689590401854`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.55525022927619`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11010231113464872`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.55525022927619`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 495, "   tar:  ", 1.21, "   tarstar:  ", 1.175, "   R:  ", 
   3.2423689590401854`, "   Bstar:  ", 3.55525022927619, "   Xstar:  ", 
   0.11010231113464872`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.55525022927619^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324184719*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "496", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2424873963229084`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5592300168820987`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10968429179725353`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5592300168820987`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 496, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.175, 
   "   R:  ", 3.2424873963229084`, "   Bstar:  ", 3.5592300168820987`, 
   "   Xstar:  ", 0.10968429179725353`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5592300168820987`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073241927195`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "497", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2426024805840674`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5632077993787385`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10926853308454663`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5632077993787385`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 497, "   tar:  ", 1.215, "   tarstar:  ", 1.175, "   R:  ", 
   3.2426024805840674`, "   Bstar:  ", 3.5632077993787385`, "   Xstar:  ", 
   0.10926853308454663`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5632077993787385`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073241997204`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "498", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2427142521864396`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5671835760230293`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10885501965893458`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5671835760230293`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 498, "   tar:  ", 1.2175, "   tarstar:  ", 1.175, "   R:  ", 
   3.2427142521864396`, "   Bstar:  ", 3.5671835760230293`, "   Xstar:  ", 
   0.10885501965893458`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5671835760230293`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324207721*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "499", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2428227510187053`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5711573461176833`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10844373630291942`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5711573461176833`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 499, "   tar:  ", 1.22, "   tarstar:  ", 1.175, "   R:  ", 
   3.2428227510187053`, "   Bstar:  ", 3.5711573461176833`, "   Xstar:  ", 
   0.10844373630291942`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5711573461176833`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073242187223`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "500", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.242928016501283`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5751291090106525`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10803466791808965`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5751291090106525`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 500, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.175, 
   "   R:  ", 3.242928016501283, "   Bstar:  ", 3.5751291090106525`, 
   "   Xstar:  ", 0.10803466791808965`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5751291090106525`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073242257233`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "501", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2430300875920732`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.579098864094482`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10762779952412911`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.579098864094482`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 501, "   tar:  ", 1.225, "   tarstar:  ", 1.175, "   R:  ", 
   3.2430300875920732`, "   Bstar:  ", 3.579098864094482, "   Xstar:  ", 
   0.10762779952412911`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.579098864094482^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073242327237`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "502", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243129002792142`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.583066610805641`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10722311625783641`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.583066610805641`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 502, "   tar:  ", 1.2275, "   tarstar:  ", 1.175, "   R:  ", 
   3.243129002792142, "   Bstar:  ", 3.583066610805641, "   Xstar:  ", 
   0.10722311625783641`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.583066610805641^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073242407246`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "503", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2432248001513058`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5870323486239433`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10682060337214419`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5870323486239433`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 503, "   tar:  ", 1.23, "   tarstar:  ", 1.175, "   R:  ", 
   3.2432248001513058`, "   Bstar:  ", 3.5870323486239433`, "   Xstar:  ", 
   0.10682060337214419`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5870323486239433`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324246725*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "504", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243317517273689`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5909960770719342`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10642024623514994`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5909960770719342`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 504, "   tar:  ", 1.2325, "   tarstar:  ", 1.175, "   R:  ", 
   3.243317517273689, "   Bstar:  ", 3.5909960770719342`, "   Xstar:  ", 
   0.10642024623514994`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5909960770719342`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324253726*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "505", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243407191323155`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.594957795714286`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10602203032915464`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.594957795714286`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 505, "   tar:  ", 1.235, "   tarstar:  ", 1.175, "   R:  ", 
   3.243407191323155, "   Bstar:  ", 3.594957795714286, "   Xstar:  ", 
   0.10602203032915464`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.594957795714286^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073242597265`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "506", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2434938590287183`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5989175041571944`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10562594124970916`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5989175041571944`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 506, "   tar:  ", 1.2375, "   tarstar:  ", 1.175, "   R:  ", 
   3.2434938590287183`, "   Bstar:  ", 3.5989175041571944`, "   Xstar:  ", 
   0.10562594124970916`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5989175041571944`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324267727*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "507", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2435775566898566`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6028752020478154`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10523196470466524`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6028752020478154`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 507, "   tar:  ", 1.24, "   tarstar:  ", 1.175, "   R:  ", 
   3.2435775566898566`, "   Bstar:  ", 3.6028752020478154`, "   Xstar:  ", 
   0.10523196470466524`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6028752020478154`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324274728*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "508", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243658320181768`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6068308890736502`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10484008651323999`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6068308890736502`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 508, "   tar:  ", 1.2425, "   tarstar:  ", 1.175, "   R:  ", 
   3.243658320181768, "   Bstar:  ", 3.6068308890736502`, "   Xstar:  ", 
   0.10484008651323999`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6068308890736502`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073242817287`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "509", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.24373618496055`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6107845649620383`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10445029260507768`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6107845649620383`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 509, "   tar:  ", 1.245, "   tarstar:  ", 1.175, "   R:  ", 
   3.24373618496055, "   Bstar:  ", 3.6107845649620383`, "   Xstar:  ", 
   0.10445029260507768`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6107845649620383`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073242887297`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "510", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2438111860683274`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6147362294795147`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10406256901933311`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6147362294795147`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 510, "   tar:  ", 1.2475, "   tarstar:  ", 1.175, "   R:  ", 
   3.2438111860683274`, "   Bstar:  ", 3.6147362294795147`, "   Xstar:  ", 
   0.10406256901933311`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6147362294795147`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732429473*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "511", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243883358138305`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.618685882431328`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10367690190374718`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.618685882431328`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 511, "   tar:  ", 1.25, "   tarstar:  ", 1.175, "   R:  ", 
   3.243883358138305, "   Bstar:  ", 3.618685882431328, "   Xstar:  ", 
   0.10367690190374718`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.618685882431328^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324301731*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "512", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2439527353997564`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6226335236608462`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10329327751374197`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6226335236608462`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 512, "   tar:  ", 1.2525, "   tarstar:  ", 1.175, "   R:  ", 
   3.2439527353997564`, "   Bstar:  ", 3.6226335236608462`, "   Xstar:  ", 
   0.10329327751374197`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6226335236608462`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324308731*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "513", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2440193516829425`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6265791530490312`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10291168221151659`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6265791530490312`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 513, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.175, 
   "   R:  ", 3.2440193516829425`, "   Bstar:  ", 3.6265791530490312`, 
   "   Xstar:  ", 0.10291168221151659`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6265791530490312`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324315732*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "514", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2440832404239974`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6305227705139336`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1025321024651491`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6305227705139336`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 514, "   tar:  ", 1.2575, "   tarstar:  ", 1.175, "   R:  ", 
   3.2440832404239974`, "   Bstar:  ", 3.6305227705139336`, "   Xstar:  ", 
   0.1025321024651491, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6305227705139336`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073243217325`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "515", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2441444346697015`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6344643760100954`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10215452484771595`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6344643760100954`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 515, "   tar:  ", 1.26, "   tarstar:  ", 1.175, "   R:  ", 
   3.2441444346697015`, "   Bstar:  ", 3.6344643760100954`, "   Xstar:  ", 
   0.10215452484771595`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6344643760100954`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073243287334`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "516", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2442029670822397`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.638403969528102`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10177893603640341`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.638403969528102`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 516, "   tar:  ", 1.2625, "   tarstar:  ", 1.175, "   R:  ", 
   3.2442029670822397`, "   Bstar:  ", 3.638403969528102, "   Xstar:  ", 
   0.10177893603640341`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.638403969528102^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324335734*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "517", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.244258869943874`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6423415510940447`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1014053228116375`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6423415510940447`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 517, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.175, 
   "   R:  ", 3.244258869943874, "   Bstar:  ", 3.6423415510940447`, 
   "   Xstar:  ", 0.1014053228116375, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6423415510940447`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324342735*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "518", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2443121751615673`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.646277120768989`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1010336720562186`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.646277120768989`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 518, "   tar:  ", 1.2675, "   tarstar:  ", 1.175, "   R:  ", 
   3.2443121751615673`, "   Bstar:  ", 3.646277120768989, "   Xstar:  ", 
   0.1010336720562186, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.646277120768989^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073243517356`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "519", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2443629142715418`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6502106786485378`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10066397075445746`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6502106786485378`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 519, "   tar:  ", 1.27, "   tarstar:  ", 1.175, "   R:  ", 
   3.2443629142715418`, "   Bstar:  ", 3.6502106786485378`, "   Xstar:  ", 
   0.10066397075445746`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6502106786485378`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324356736*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "520", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2444111184437787`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6541422248622517`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10029620599133002`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6541422248622517`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 520, "   tar:  ", 1.2725, "   tarstar:  ", 1.175, "   R:  ", 
   3.2444111184437787`, "   Bstar:  ", 3.6541422248622517`, "   Xstar:  ", 
   0.10029620599133002`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6541422248622517`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324361737*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "521", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.244456818486472`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.65807175957324`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0999303649516252`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.65807175957324`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 521, "   tar:  ", 1.275, "   tarstar:  ", 1.175, "   R:  ", 
   3.244456818486472, "   Bstar:  ", 3.65807175957324, "   Xstar:  ", 
   0.0999303649516252, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.65807175957324^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073243677373`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "522", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2445000448504073`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6619992829776637`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09956643491910809`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6619992829776637`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 522, "   tar:  ", 1.2775, "   tarstar:  ", 1.175, "   R:  ", 
   3.2445000448504073`, "   Bstar:  ", 3.6619992829776637`, "   Xstar:  ", 
   0.09956643491910809, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6619992829776637`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324372738*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "523", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2445408276333`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6659247953042153`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0992044032756925`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6659247953042153`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 523, "   tar:  ", 1.28, "   tarstar:  ", 1.175, "   R:  ", 
   3.2445408276333, "   Bstar:  ", 3.6659247953042153`, "   Xstar:  ", 
   0.0992044032756925, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6659247953042153`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073243787384`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "524", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2445791965840765`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.669848296813723`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0988442575006102`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.669848296813723`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 524, "   tar:  ", 1.2825, "   tarstar:  ", 1.175, "   R:  ", 
   3.2445791965840765`, "   Bstar:  ", 3.669848296813723, "   Xstar:  ", 
   0.0988442575006102, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.669848296813723^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073243837385`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "525", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.24461518110709`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6737697877986237`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09848598516959865`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6737697877986237`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 525, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.175, 
   "   R:  ", 3.24461518110709, "   Bstar:  ", 3.6737697877986237`, 
   "   Xstar:  ", 0.09848598516959865, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6737697877986237`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073243897395`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "526", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2446488102662943`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6776892685825406`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0981295739540871`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6776892685825406`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 526, "   tar:  ", 1.2875, "   tarstar:  ", 1.175, "   R:  ", 
   3.2446488102662943`, "   Bstar:  ", 3.6776892685825406`, "   Xstar:  ", 
   0.0981295739540871, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6776892685825406`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732439474*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "527", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2446801127893594`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.681606739519856`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09777501162039064`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.681606739519856`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 527, "   tar:  ", 1.29, "   tarstar:  ", 1.175, "   R:  ", 
   3.2446801127893594`, "   Bstar:  ", 3.681606739519856, "   Xstar:  ", 
   0.09777501162039064, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.681606739519856^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324401741*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "528", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2447091170717366`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6855222009952175`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09742228602891678`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6855222009952175`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 528, "   tar:  ", 1.2925, "   tarstar:  ", 1.175, "   R:  ", 
   3.2447091170717366`, "   Bstar:  ", 3.6855222009952175`, "   Xstar:  ", 
   0.09742228602891678, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6855222009952175`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073244087415`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "529", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.24473585118067`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6894356534231325`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.097071385133372`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6894356534231325`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 529, "   tar:  ", 1.295, "   tarstar:  ", 1.175, "   R:  ", 
   3.24473585118067, "   Bstar:  ", 3.6894356534231325`, "   Xstar:  ", 
   0.097071385133372, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6894356534231325`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324415742*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "530", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.244760342859157`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6933470972475417`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09672229697997684`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6933470972475417`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 530, "   tar:  ", 1.2975, "   tarstar:  ", 1.175, "   R:  ", 
   3.244760342859157, "   Bstar:  ", 3.6933470972475417`, "   Xstar:  ", 
   0.09672229697997684, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6933470972475417`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324422743*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "531", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.244782619529864`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6972565329413536`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09637500970669156`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6972565329413536`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 531, "   tar:  ", 1.3, "   tarstar:  ", 1.175, "   R:  ", 
   3.244782619529864, "   Bstar:  ", 3.6972565329413536`, "   Xstar:  ", 
   0.09637500970669156, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6972565329413536`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324429744*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "532", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2382696468097403`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.472371034057087`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11929608725294423`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.472371034057087`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 532, "   tar:  ", 1.155, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2382696468097403`, "   Bstar:  ", 3.472371034057087, "   Xstar:  ", 
   0.11929608725294423`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.472371034057087^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324436744*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "533", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238472209641244`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.47640257552818`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11882636437113456`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.47640257552818`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 533, "   tar:  ", 1.1575, "   tarstar:  ", 1.1775, "   R:  ", 
   3.238472209641244, "   Bstar:  ", 3.47640257552818, "   Xstar:  ", 
   0.11882636437113456`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.47640257552818^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073244437447`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "534", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238670414803791`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.480432130973938`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11835926183852324`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.480432130973938`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 534, "   tar:  ", 1.16, "   tarstar:  ", 1.1775, "   R:  ", 
   3.238670414803791, "   Bstar:  ", 3.480432130973938, "   Xstar:  ", 
   0.11835926183852324`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.480432130973938^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073244497457`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "535", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238864314565717`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.48445969850318`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11789476145818961`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.48445969850318`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 535, "   tar:  ", 1.1625, "   tarstar:  ", 1.1775, "   R:  ", 
   3.238864314565717, "   Bstar:  ", 3.48445969850318, "   Xstar:  ", 
   0.11789476145818961`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.48445969850318^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324456746*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "536", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239053960573633`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.488485276286908`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11743284517712224`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.488485276286908`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 536, "   tar:  ", 1.165, "   tarstar:  ", 1.1775, "   R:  ", 
   3.239053960573633, "   Bstar:  ", 3.488485276286908, "   Xstar:  ", 
   0.11743284517712224`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.488485276286908^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324463747*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "537", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2392394038601253`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.492508862557439`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11697349508504323`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.492508862557439`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 537, "   tar:  ", 1.1675, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2392394038601253`, "   Bstar:  ", 3.492508862557439, "   Xstar:  ", 
   0.11697349508504323`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.492508862557439^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324470748*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "538", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2394206948514035`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.49653045560754`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11651669341324257`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.49653045560754`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 538, "   tar:  ", 1.17, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2394206948514035`, "   Bstar:  ", 3.49653045560754, "   Xstar:  ", 
   0.11651669341324257`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.49653045560754^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073244787483`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "539", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239597883374797`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.50055005378959`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11606242253341803`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.50055005378959`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 539, "   tar:  ", 1.1725, "   tarstar:  ", 1.1775, "   R:  ", 
   3.239597883374797, "   Bstar:  ", 3.50055005378959, "   Xstar:  ", 
   0.11606242253341803`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.50055005378959^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324484749*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "540", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239771018666215`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.504567655514782`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1156106649565201`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.504567655514782`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 540, "   tar:  ", 1.175, "   tarstar:  ", 1.1775, "   R:  ", 
   3.239771018666215, "   Bstar:  ", 3.504567655514782, "   Xstar:  ", 
   0.1156106649565201, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.504567655514782^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073244887495`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "541", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239940149377459`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5085832592522452`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11516140333161498`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5085832592522452`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 541, "   tar:  ", 1.1775, "   tarstar:  ", 1.1775, "   R:  ", 
   3.239940149377459, "   Bstar:  ", 3.5085832592522452`, "   Xstar:  ", 
   0.11516140333161498`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5085832592522452`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732449475*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "542", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2401053235834736`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5125968635283114`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11471462044474125`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5125968635283114`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 542, "   tar:  ", 1.18, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2401053235834736`, "   Bstar:  ", 3.5125968635283114`, "   Xstar:  ", 
   0.11471462044474125`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5125968635283114`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732449975*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "543", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2402665887894977`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.516608466925678`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11427029921778631`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.516608466925678`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 543, "   tar:  ", 1.1825, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2402665887894977`, "   Bstar:  ", 3.516608466925678, "   Xstar:  ", 
   0.11427029921778631`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.516608466925678^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324503751*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "544", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240423991938108`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.520618068082621`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11382842270736773`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.520618068082621`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 544, "   tar:  ", 1.185, "   tarstar:  ", 1.1775, "   R:  ", 
   3.240423991938108, "   Bstar:  ", 3.520618068082621, "   Xstar:  ", 
   0.11382842270736773`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.520618068082621^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073245097513`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "545", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2405775794161933`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.52462566569224`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11338897410371904`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.52462566569224`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 545, "   tar:  ", 1.1875, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2405775794161933`, "   Bstar:  ", 3.52462566569224, "   Xstar:  ", 
   0.11338897410371904`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.52462566569224^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324514752*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "546", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2407273970618338`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5286312585016835`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11295193672958749`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5286312585016835`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 546, "   tar:  ", 1.19, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2407273970618338`, "   Bstar:  ", 3.5286312585016835`, "   Xstar:  ", 
   0.11295193672958749`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5286312585016835`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324520753*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "547", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2408734901710785`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5326348453113994`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11251729403913822`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5326348453113994`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 547, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.1775, 
   "   R:  ", 3.2408734901710785`, "   Bstar:  ", 3.5326348453113994`, 
   "   Xstar:  ", 0.11251729403913822`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5326348453113994`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073245267534`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "548", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241015903504658`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5366364249743945`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11208502961686621`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5366364249743945`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 548, "   tar:  ", 1.195, "   tarstar:  ", 1.1775, "   R:  ", 
   3.241015903504658, "   Bstar:  ", 3.5366364249743945`, "   Xstar:  ", 
   0.11208502961686621`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5366364249743945`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073245337543`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "549", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.24115468129459`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5406359963954914`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1116551271765175`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5406359963954914`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 549, "   tar:  ", 1.1975, "   tarstar:  ", 1.1775, "   R:  ", 
   3.24115468129459, "   Bstar:  ", 3.5406359963954914`, "   Xstar:  ", 
   0.1116551271765175, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5406359963954914`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073245397544`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "550", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241289867250714`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5446335585306206`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11122757056001628`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5446335585306206`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 550, "   tar:  ", 1.2, "   tarstar:  ", 1.1775, "   R:  ", 
   3.241289867250714, "   Bstar:  ", 3.5446335585306206`, "   Xstar:  ", 
   0.11122757056001628`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5446335585306206`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073245477552`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "551", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.241421504567136`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.548629110386088`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11080234373640298`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.548629110386088`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 551, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.1775, 
   "   R:  ", 3.241421504567136, "   Bstar:  ", 3.548629110386088, 
   "   Xstar:  ", 0.11080234373640298`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.548629110386088^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324554756*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "552", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2415496359285947`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.552622651017894`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11037943080077585`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.552622651017894`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 552, "   tar:  ", 1.205, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2415496359285947`, "   Bstar:  ", 3.552622651017894, "   Xstar:  ", 
   0.11037943080077585`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.552622651017894^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324561757*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "553", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2416743035167404`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.556614179531005`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10995881597324679`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.556614179531005`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 553, "   tar:  ", 1.2075, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2416743035167404`, "   Bstar:  ", 3.556614179531005, "   Xstar:  ", 
   0.10995881597324679`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.556614179531005^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073245697575`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "554", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2417955490163366`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5606036950787048`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10954048359789716`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5606036950787048`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 554, "   tar:  ", 1.21, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2417955490163366`, "   Bstar:  ", 3.5606036950787048`, "   Xstar:  ", 
   0.10954048359789716`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5606036950787048`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073245767584`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "555", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2419134136213854`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.564591196861889`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10912441814174924`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.564591196861889`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 555, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.1775, 
   "   R:  ", 3.2419134136213854`, "   Bstar:  ", 3.564591196861889, 
   "   Xstar:  ", 0.10912441814174924`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.564591196861889^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324583759*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "556", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242027938041168`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.568576684128422`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10871060419373905`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.568576684128422`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 556, "   tar:  ", 1.215, "   tarstar:  ", 1.1775, "   R:  ", 
   3.242027938041168, "   Bstar:  ", 3.568576684128422, "   Xstar:  ", 
   0.10871060419373905`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.568576684128422^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073245917597`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "557", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2421391625062093`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5725601561724636`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10829902646370143`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5725601561724636`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 557, "   tar:  ", 1.2175, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2421391625062093`, "   Bstar:  ", 3.5725601561724636`, "   Xstar:  ", 
   0.10829902646370143`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5725601561724636`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732459776*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "558", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2422471267741715`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.576541612333808`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10788966978136226`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.576541612333808`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 558, "   tar:  ", 1.22, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2422471267741715`, "   Bstar:  ", 3.576541612333808, "   Xstar:  ", 
   0.10788966978136226`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.576541612333808^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073246057615`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "559", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2423518701356637`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5805210519972768`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10748251909533466`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5805210519972768`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 559, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.1775, 
   "   R:  ", 3.2423518701356637`, "   Bstar:  ", 3.5805210519972768`, 
   "   Xstar:  ", 0.10748251909533466`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5805210519972768`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073246127615`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "560", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2424534314199818`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.584498474592038`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10707755947213038`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.584498474592038`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 560, "   tar:  ", 1.225, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2424534314199818`, "   Bstar:  ", 3.584498474592038, "   Xstar:  ", 
   0.10707755947213038`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.584498474592038^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324620763*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "561", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2425518490007814`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.58847387959104`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10667477609516857`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.58847387959104`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 561, "   tar:  ", 1.2275, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2425518490007814`, "   Bstar:  ", 3.58847387959104, "   Xstar:  ", 
   0.10667477609516857`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.58847387959104^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324628763*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "562", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242647160801658`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.592447266510344`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10627415426380281`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.592447266510344`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 562, "   tar:  ", 1.23, "   tarstar:  ", 1.1775, "   R:  ", 
   3.242647160801658, "   Bstar:  ", 3.592447266510344, "   Xstar:  ", 
   0.10627415426380281`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.592447266510344^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073246367645`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "563", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242739404301679`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.596418634908551`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10587567939234818`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.596418634908551`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 563, "   tar:  ", 1.2325, "   tarstar:  ", 1.1775, "   R:  ", 
   3.242739404301679, "   Bstar:  ", 3.596418634908551, "   Xstar:  ", 
   0.10587567939234818`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.596418634908551^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073246457653`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "564", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2428286165408324`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.600387984386168`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10547933700912171`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.600387984386168`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 564, "   tar:  ", 1.235, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2428286165408324`, "   Bstar:  ", 3.600387984386168, "   Xstar:  ", 
   0.10547933700912171`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.600387984386168^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073246577663`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "565", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2429148341254046`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6043553145850624`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10508511275548321`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6043553145850624`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 565, "   tar:  ", 1.2375, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2429148341254046`, "   Bstar:  ", 3.6043553145850624`, "   Xstar:  ", 
   0.10508511275548321`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6043553145850624`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073246647673`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "566", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242998093233294`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.608320625187831`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1046929923848921`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.608320625187831`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 566, "   tar:  ", 1.24, "   tarstar:  ", 1.1775, "   R:  ", 
   3.242998093233294, "   Bstar:  ", 3.608320625187831, "   Xstar:  ", 
   0.1046929923848921, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.608320625187831^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073246697674`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "567", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2430784296192567`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.612283915917247`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10430296176196577`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.612283915917247`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 567, "   tar:  ", 1.2425, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2430784296192567`, "   Bstar:  ", 3.612283915917247, "   Xstar:  ", 
   0.10430296176196577`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.612283915917247^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324674768*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "568", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2431558786200796`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.616245186535698`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1039150068615464`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.616245186535698`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 568, "   tar:  ", 1.245, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2431558786200796`, "   Bstar:  ", 3.616245186535698, "   Xstar:  ", 
   0.1039150068615464, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.616245186535698^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324681769*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "569", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243230475159696`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.620204436844614`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10352911376777729`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.620204436844614`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 569, "   tar:  ", 1.2475, "   tarstar:  ", 1.1775, "   R:  ", 
   3.243230475159696, "   Bstar:  ", 3.620204436844614, "   Xstar:  ", 
   0.10352911376777729`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.620204436844614^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073246867695`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "570", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.24330225375423`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6241616666838987`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1031452686731864`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6241616666838987`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 570, "   tar:  ", 1.25, "   tarstar:  ", 1.1775, "   R:  ", 
   3.24330225375423, "   Bstar:  ", 3.6241616666838987`, "   Xstar:  ", 
   0.1031452686731864, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6241616666838987`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732469277*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "571", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2433712485169686`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.628116875931424`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10276345787777309`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.628116875931424`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 571, "   tar:  ", 1.2525, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2433712485169686`, "   Bstar:  ", 3.628116875931424, "   Xstar:  ", 
   0.10276345787777309`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.628116875931424^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073246997705`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "572", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2434374931632926`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6320700645024413`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10238366778810952`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6320700645024413`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 572, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.1775, 
   "   R:  ", 3.2434374931632926`, "   Bstar:  ", 3.6320700645024413`, 
   "   Xstar:  ", 0.10238366778810952`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6320700645024413`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324706771*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "573", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2435010210155206`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6360212323490955`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10200588491644097`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6360212323490955`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 573, "   tar:  ", 1.2575, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2435010210155206`, "   Bstar:  ", 3.6360212323490955`, "   Xstar:  ", 
   0.10200588491644097`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6360212323490955`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324714772*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "574", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2435618650077056`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6399703794598643`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10163009587980132`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6399703794598643`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 574, "   tar:  ", 1.26, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2435618650077056`, "   Bstar:  ", 3.6399703794598643`, "   Xstar:  ", 
   0.10163009587980132`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6399703794598643`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324721773*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "575", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2436200576903653`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.643917505859058`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1012562873991299`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.643917505859058`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 575, "   tar:  ", 1.2625, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2436200576903653`, "   Bstar:  ", 3.643917505859058, "   Xstar:  ", 
   0.1012562873991299, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.643917505859058^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073247297735`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "576", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2436756312351513`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.647862611606312`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10088444629839798`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.647862611606312`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 576, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.1775, 
   "   R:  ", 3.2436756312351513`, "   Bstar:  ", 3.647862611606312, 
   "   Xstar:  ", 0.10088444629839798`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.647862611606312^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073247367744`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "577", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2437286174394595`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.651805696796053`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10051455950374467`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.651805696796053`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 577, "   tar:  ", 1.2675, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2437286174394595`, "   Bstar:  ", 3.651805696796053, "   Xstar:  ", 
   0.10051455950374467`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.651805696796053^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324744775*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "578", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243779047730982`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6557467615570505`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10014661404261262`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6557467615570505`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 578, "   tar:  ", 1.27, "   tarstar:  ", 1.1775, "   R:  ", 
   3.243779047730982, "   Bstar:  ", 3.6557467615570505`, "   Xstar:  ", 
   0.10014661404261262`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6557467615570505`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073247517757`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "579", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2438269531722104`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6596858060518747`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0997805970429005`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6596858060518747`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 579, "   tar:  ", 1.2725, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2438269531722104`, "   Bstar:  ", 3.6596858060518747`, "   Xstar:  ", 
   0.0997805970429005, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6596858060518747`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324759776*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "580", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2438723644648535`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6636228304764438`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09941649573211471`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6636228304764438`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 580, "   tar:  ", 1.275, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2438723644648535`, "   Bstar:  ", 3.6636228304764438`, "   Xstar:  ", 
   0.09941649573211471, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6636228304764438`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073247677774`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "581", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2439153119542357`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6675578350595273`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09905429743653255`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6675578350595273`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 581, "   tar:  ", 1.2775, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2439153119542357`, "   Bstar:  ", 3.6675578350595273`, "   Xstar:  ", 
   0.09905429743653255, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6675578350595273`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324774778*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "582", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243955825633608`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6714908200622993`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0986939895803683`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6714908200622993`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 582, "   tar:  ", 1.28, "   tarstar:  ", 1.1775, "   R:  ", 
   3.243955825633608, "   Bstar:  ", 3.6714908200622993`, "   Xstar:  ", 
   0.0986939895803683, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6714908200622993`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073247827787`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "583", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2439939351484273`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.675421785777834`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09833555968495247`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.675421785777834`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 583, "   tar:  ", 1.2825, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2439939351484273`, "   Bstar:  ", 3.675421785777834, "   Xstar:  ", 
   0.09833555968495247, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.675421785777834^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073247897797`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "584", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2440296698005633`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.679350732530685`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09797899536791012`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.679350732530685`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 584, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.1775, 
   "   R:  ", 3.2440296698005633`, "   Bstar:  ", 3.679350732530685, 
   "   Xstar:  ", 0.09797899536791012, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.679350732530685^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732479478*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "585", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.244063058552464`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6832776606763833`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09762428434235478`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6832776606763833`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 585, "   tar:  ", 1.2875, "   tarstar:  ", 1.1775, "   R:  ", 
   3.244063058552464, "   Bstar:  ", 3.6832776606763833`, "   Xstar:  ", 
   0.09762428434235478, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6832776606763833`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073248017807`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "586", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2440941300312605`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6872025706010603`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09727141441607758`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6872025706010603`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 586, "   tar:  ", 1.29, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2440941300312605`, "   Bstar:  ", 3.6872025706010603`, "   Xstar:  ", 
   0.09727141441607758, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6872025706010603`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324807781*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "587", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.244122912532833`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.691125462720921`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09692037349075765`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.691125462720921`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 587, "   tar:  ", 1.2925, "   tarstar:  ", 1.1775, "   R:  ", 
   3.244122912532833, "   Bstar:  ", 3.691125462720921, "   Xstar:  ", 
   0.09692037349075765, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.691125462720921^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073248137817`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "588", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.24414943402579`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.695046337481884`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09657114956116464`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.695046337481884`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 588, "   tar:  ", 1.295, "   tarstar:  ", 1.1775, "   R:  ", 
   3.24414943402579, "   Bstar:  ", 3.695046337481884, "   Xstar:  ", 
   0.09657114956116464, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.695046337481884^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073248197823`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "589", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2441737221554536`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6989651953590963`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09622373071437934`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6989651953590963`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 589, "   tar:  ", 1.2975, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2441737221554536`, "   Bstar:  ", 3.6989651953590963`, "   Xstar:  ", 
   0.09622373071437934, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6989651953590963`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073248257833`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "590", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2441958042477403`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.702882036856531`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09587810512901442`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.702882036856531`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 590, "   tar:  ", 1.3, "   tarstar:  ", 1.1775, "   R:  ", 
   3.2441958042477403`, "   Bstar:  ", 3.702882036856531, "   Xstar:  ", 
   0.09587810512901442, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.702882036856531^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324830784*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "591", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237715589399293`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.477550973071522`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1186930004463302`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.477550973071522`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 591, "   tar:  ", 1.155, "   tarstar:  ", 1.18, "   R:  ", 
   3.237715589399293, "   Bstar:  ", 3.477550973071522, "   Xstar:  ", 
   0.1186930004463302, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.477550973071522^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324835784*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "592", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2379172669555447`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.481590438196732`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11822543172209332`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.481590438196732`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 592, "   tar:  ", 1.1575, "   tarstar:  ", 1.18, "   R:  ", 
   3.2379172669555447`, "   Bstar:  ", 3.481590438196732, "   Xstar:  ", 
   0.11822543172209332`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.481590438196732^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073248397846`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "593", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2381146028360503`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.485627907030481`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11776047318147177`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.485627907030481`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 593, "   tar:  ", 1.16, "   tarstar:  ", 1.18, "   R:  ", 
   3.2381146028360503`, "   Bstar:  ", 3.485627907030481, "   Xstar:  ", 
   0.11776047318147177`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.485627907030481^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073248447847`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "594", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2383076491481195`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.489663377723666`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11729810667901353`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.489663377723666`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 594, "   tar:  ", 1.1625, "   tarstar:  ", 1.18, "   R:  ", 
   3.2383076491481195`, "   Bstar:  ", 3.489663377723666, "   Xstar:  ", 
   0.11729810667901353`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.489663377723666^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324849786*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "595", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238496457378768`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4936968484891313`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11683831421300654`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4936968484891313`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 595, "   tar:  ", 1.165, "   tarstar:  ", 1.18, "   R:  ", 
   3.238496457378768, "   Bstar:  ", 3.4936968484891313`, "   Xstar:  ", 
   0.11683831421300654`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4936968484891313`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073248567863`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "596", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2386810784024087`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4977283176008043`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11638107792430114`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4977283176008043`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 596, "   tar:  ", 1.1675, "   tarstar:  ", 1.18, "   R:  ", 
   3.2386810784024087`, "   Bstar:  ", 3.4977283176008043`, "   Xstar:  ", 
   0.11638107792430114`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4977283176008043`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324864787*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "597", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238861562488489`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5017577833927978`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11592638009514486`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5017577833927978`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 597, "   tar:  ", 1.17, "   tarstar:  ", 1.18, "   R:  ", 
   3.238861562488489, "   Bstar:  ", 3.5017577833927978`, "   Xstar:  ", 
   0.11592638009514486`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5017577833927978`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073248717875`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "598", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2390379593089977`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5057852442586857`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1154742031480087`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5057852442586857`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 598, "   tar:  ", 1.1725, "   tarstar:  ", 1.18, "   R:  ", 
   3.2390379593089977`, "   Bstar:  ", 3.5057852442586857`, "   Xstar:  ", 
   0.1154742031480087, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5057852442586857`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073248787885`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "599", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2392103179458833`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.509810698650539`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11502452964444845`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.509810698650539`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 599, "   tar:  ", 1.175, "   tarstar:  ", 1.18, "   R:  ", 
   3.2392103179458833`, "   Bstar:  ", 3.509810698650539, "   Xstar:  ", 
   0.11502452964444845`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.509810698650539^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073248867893`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "600", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.23937868689838`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5138341450782162`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11457734228394723`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5138341450782162`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 600, "   tar:  ", 1.1775, "   tarstar:  ", 1.18, "   R:  ", 
   3.23937868689838, "   Bstar:  ", 3.5138341450782162`, "   Xstar:  ", 
   0.11457734228394723`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5138341450782162`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073248937902`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "601", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239543114090244`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5178555821085125`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11413262390278359`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5178555821085125`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 601, "   tar:  ", 1.18, "   tarstar:  ", 1.18, "   R:  ", 
   3.239543114090244, "   Bstar:  ", 3.5178555821085125`, "   Xstar:  ", 
   0.11413262390278359`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5178555821085125`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073249007907`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "602", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2397036468768827`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5218750083643595`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11369035747290245`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5218750083643595`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 602, "   tar:  ", 1.1825, "   tarstar:  ", 1.18, "   R:  ", 
   3.2397036468768827`, "   Bstar:  ", 3.5218750083643595`, "   Xstar:  ", 
   0.11369035747290245`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5218750083643595`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073249087915`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "603", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.23986033205241`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.525892422524055`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11325052610079256`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.525892422524055`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 603, "   tar:  ", 1.185, "   tarstar:  ", 1.18, "   R:  ", 
   3.23986033205241, "   Bstar:  ", 3.525892422524055, "   Xstar:  ", 
   0.11325052610079256`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.525892422524055^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324916792*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "604", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2400132158565964`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.529907823320517`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11281311302637057`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.529907823320517`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 604, "   tar:  ", 1.1875, "   tarstar:  ", 1.18, "   R:  ", 
   3.2400132158565964`, "   Bstar:  ", 3.529907823320517, "   Xstar:  ", 
   0.11281311302637057`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.529907823320517^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324923793*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "605", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2401623439817353`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.533921209540462`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11237810162188204`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.533921209540462`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 605, "   tar:  ", 1.19, "   tarstar:  ", 1.18, "   R:  ", 
   3.2401623439817353`, "   Bstar:  ", 3.533921209540462, "   Xstar:  ", 
   0.11237810162188204`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.533921209540462^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073249317937`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "606", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.18`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2403077615794222`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.537932580023715`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11194547539079847`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.537932580023715`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 606, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.18, 
   "   R:  ", 3.2403077615794222`, "   Bstar:  ", 3.537932580023715, 
   "   Xstar:  ", 0.11194547539079847`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.537932580023715^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324938794*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "607", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2404495132672526`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.541941933662403`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.111515217966734`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.541941933662403`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 607, "   tar:  ", 1.195, "   tarstar:  ", 1.18, "   R:  ", 
   3.2404495132672526`, "   Bstar:  ", 3.541941933662403, "   Xstar:  ", 
   0.111515217966734, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.541941933662403^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073249467955`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "608", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240587643135413`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5459492694002885`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11108731311235857`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5459492694002885`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 608, "   tar:  ", 1.1975, "   tarstar:  ", 1.18, "   R:  ", 
   3.240587643135413, "   Bstar:  ", 3.5459492694002885`, "   Xstar:  ", 
   0.11108731311235857`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5459492694002885`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607324954796*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "609", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2407221947532157`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5499545862320203`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11066174471832757`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5499545862320203`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 609, "   tar:  ", 1.2, "   tarstar:  ", 1.18, "   R:  ", 
   3.2407221947532157`, "   Bstar:  ", 3.5499545862320203`, "   Xstar:  ", 
   0.11066174471832757`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5499545862320203`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073249627967`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "610", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.18`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.240853211175525`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.553957883202383`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11023849680222068`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.553957883202383`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 610, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.18, 
   "   R:  ", 3.240853211175525, "   Bstar:  ", 3.553957883202383, 
   "   Xstar:  ", 0.11023849680222068`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.553957883202383^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073249707975`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "611", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240980734949116`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5579591594056628`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1098175535074779`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5579591594056628`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 611, "   tar:  ", 1.205, "   tarstar:  ", 1.18, "   R:  ", 
   3.240980734949116, "   Bstar:  ", 3.5579591594056628`, "   Xstar:  ", 
   0.1098175535074779, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5579591594056628`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073249787984`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "612", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2411048081189517`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.561958413984901`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10939889910235621`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.561958413984901`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 612, "   tar:  ", 1.2075, "   tarstar:  ", 1.18, "   R:  ", 
   3.2411048081189517`, "   Bstar:  ", 3.561958413984901, "   Xstar:  ", 
   0.10939889910235621`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.561958413984901^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073249867992`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "613", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.24122547223436`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5659556461312456`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10898251797888464`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5659556461312456`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 613, "   tar:  ", 1.21, "   tarstar:  ", 1.18, "   R:  ", 
   3.24122547223436, "   Bstar:  ", 3.5659556461312456`, "   Xstar:  ", 
   0.10898251797888464`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5659556461312456`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073249948*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "614", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.18`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.241342768355158`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5699508550832335`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10856839465183558`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5699508550832335`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 614, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.18, 
   "   R:  ", 3.241342768355158, "   Bstar:  ", 3.5699508550832335`, 
   "   Xstar:  ", 0.10856839465183558`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5699508550832335`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073250018005`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "615", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241456737057691`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5739440401261655`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10815651375769562`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5739440401261655`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 615, "   tar:  ", 1.215, "   tarstar:  ", 1.18, "   R:  ", 
   3.241456737057691, "   Bstar:  ", 3.5739440401261655`, "   Xstar:  ", 
   0.10815651375769562`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5739440401261655`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325006801*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "616", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2415674184407663`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5779352005914435`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10774686005364846`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5779352005914435`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 616, "   tar:  ", 1.2175, "   tarstar:  ", 1.18, "   R:  ", 
   3.2415674184407663`, "   Bstar:  ", 3.5779352005914435`, "   Xstar:  ", 
   0.10774686005364846`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5779352005914435`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325012802*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "617", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241674852131559`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5819243358558737`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10733941841657048`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5819243358558737`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 617, "   tar:  ", 1.22, "   tarstar:  ", 1.18, "   R:  ", 
   3.241674852131559, "   Bstar:  ", 3.5819243358558737`, "   Xstar:  ", 
   0.10733941841657048`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5819243358558737`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073250178022`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "618", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.18`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.241779077291399`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5859114453411096`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10693417384202074`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5859114453411096`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 618, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.18, 
   "   R:  ", 3.241779077291399, "   Bstar:  ", 3.5859114453411096`, 
   "   Xstar:  ", 0.10693417384202074`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5859114453411096`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325022803*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "619", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241880132621504`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.589896528512932`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10653111144325582`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.589896528512932`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 619, "   tar:  ", 1.225, "   tarstar:  ", 1.18, "   R:  ", 
   3.241880132621504, "   Bstar:  ", 3.589896528512932, "   Xstar:  ", 
   0.10653111144325582`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.589896528512932^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073250278034`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "620", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2419780563686467`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.593879584880696`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10613021645023725`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.593879584880696`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 620, "   tar:  ", 1.2275, "   tarstar:  ", 1.18, "   R:  ", 
   3.2419780563686467`, "   Bstar:  ", 3.593879584880696, "   Xstar:  ", 
   0.10613021645023725`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.593879584880696^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325035804*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "621", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2420728863307176`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5978606139966893`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10573147420865497`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5978606139966893`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 621, "   tar:  ", 1.23, "   tarstar:  ", 1.18, "   R:  ", 
   3.2420728863307176`, "   Bstar:  ", 3.5978606139966893`, "   Xstar:  ", 
   0.10573147420865497`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5978606139966893`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073250428047`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "622", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242164659862259`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.601839615455501`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10533487017895994`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.601839615455501`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 622, "   tar:  ", 1.2325, "   tarstar:  ", 1.18, "   R:  ", 
   3.242164659862259, "   Bstar:  ", 3.601839615455501, "   Xstar:  ", 
   0.10533487017895994`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.601839615455501^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073250508056`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "623", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2422534138798915`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.605816588893468`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10494038993539602`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.605816588893468`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 623, "   tar:  ", 1.235, "   tarstar:  ", 1.18, "   R:  ", 
   3.2422534138798915`, "   Bstar:  ", 3.605816588893468, "   Xstar:  ", 
   0.10494038993539602`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.605816588893468^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073250578065`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "624", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2423391848676912`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6097915339880458`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10454801916504886`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6097915339880458`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 624, "   tar:  ", 1.2375, "   tarstar:  ", 1.18, "   R:  ", 
   3.2423391848676912`, "   Bstar:  ", 3.6097915339880458`, "   Xstar:  ", 
   0.10454801916504886`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6097915339880458`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073250658073`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "625", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2424220088824907`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.613764450457268`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10415774366689365`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.613764450457268`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 625, "   tar:  ", 1.24, "   tarstar:  ", 1.18, "   R:  ", 
   3.2424220088824907`, "   Bstar:  ", 3.613764450457268, "   Xstar:  ", 
   0.10415774366689365`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.613764450457268^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325071808*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "626", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2425019215591173`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6177353380591275`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10376954935085968`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6177353380591275`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 626, "   tar:  ", 1.2425, "   tarstar:  ", 1.18, "   R:  ", 
   3.2425019215591173`, "   Bstar:  ", 3.6177353380591275`, "   Xstar:  ", 
   0.10376954935085968`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6177353380591275`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073250778084`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "627", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242578958115555`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6217041965910175`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10338342223689613`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6217041965910175`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 627, "   tar:  ", 1.245, "   tarstar:  ", 1.18, "   R:  ", 
   3.242578958115555, "   Bstar:  ", 3.6217041965910175`, "   Xstar:  ", 
   0.10338342223689613`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6217041965910175`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325083809*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "628", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2426531533580505`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.625671025889199`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10299934845404461`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.625671025889199`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 628, "   tar:  ", 1.2475, "   tarstar:  ", 1.18, "   R:  ", 
   3.2426531533580505`, "   Bstar:  ", 3.625671025889199, "   Xstar:  ", 
   0.10299934845404461`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.625671025889199^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073250928097`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "629", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242724541686147`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.629635825828225`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10261731423952387`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.629635825828225`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 629, "   tar:  ", 1.25, "   tarstar:  ", 1.18, "   R:  ", 
   3.242724541686147, "   Bstar:  ", 3.629635825828225, "   Xstar:  ", 
   0.10261731423952387`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.629635825828225^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073251008105`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "630", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2427931570976556`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.633598596320399`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10223730593781853`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.633598596320399`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 630, "   tar:  ", 1.2525, "   tarstar:  ", 1.18, "   R:  ", 
   3.2427931570976556`, "   Bstar:  ", 3.633598596320399, "   Xstar:  ", 
   0.10223730593781853`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.633598596320399^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325107811*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "631", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.18`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2428590331935636`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6375593373152317`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10185930999977733`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6375593373152317`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 631, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.18, 
   "   R:  ", 3.2428590331935636`, "   Bstar:  ", 3.6375593373152317`, 
   "   Xstar:  ", 0.10185930999977733`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6375593373152317`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073251158123`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "632", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.24292220318288`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.641518048798937`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1014833129817145`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.641518048798937`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 632, "   tar:  ", 1.2575, "   tarstar:  ", 1.18, "   R:  ", 
   3.24292220318288, "   Bstar:  ", 3.641518048798937, "   Xstar:  ", 
   0.1014833129817145, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.641518048798937^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073251238127`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "633", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2429826998874165`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6454747307938584`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10110930154452616`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6454747307938584`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 633, "   tar:  ", 1.26, "   tarstar:  ", 1.18, "   R:  ", 
   3.2429826998874165`, "   Bstar:  ", 3.6454747307938584`, "   Xstar:  ", 
   0.10110930154452616`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6454747307938584`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073251318135`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "634", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2430405557465147`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6494293833580023`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10073726245280497`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6494293833580023`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 634, "   tar:  ", 1.2625, "   tarstar:  ", 1.18, "   R:  ", 
   3.2430405557465147`, "   Bstar:  ", 3.6494293833580023`, "   Xstar:  ", 
   0.10073726245280497`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6494293833580023`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073251398144`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "635", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.18`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2430958028217036`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.653382006584492`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10036718257396912`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.653382006584492`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 635, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.18, 
   "   R:  ", 3.2430958028217036`, "   Bstar:  ", 3.653382006584492, 
   "   Xstar:  ", 0.10036718257396912`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.653382006584492^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073251498156`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "636", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2431484728012987`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.657332600601101`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09999904887739255`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.657332600601101`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 636, "   tar:  ", 1.2675, "   tarstar:  ", 1.18, "   R:  ", 
   3.2431484728012987`, "   Bstar:  ", 3.657332600601101, "   Xstar:  ", 
   0.09999904887739255, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.657332600601101^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073251588163`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "637", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243198597004951`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6612811655696946`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09963284843355136`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6612811655696946`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 637, "   tar:  ", 1.27, "   tarstar:  ", 1.18, "   R:  ", 
   3.243198597004951, "   Bstar:  ", 3.6612811655696946`, "   Xstar:  ", 
   0.09963284843355136, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6612811655696946`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073251688175`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "638", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243246206388124`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6652277016858177`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0992685684131636`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6652277016858177`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 638, "   tar:  ", 1.2725, "   tarstar:  ", 1.18, "   R:  ", 
   3.243246206388124, "   Bstar:  ", 3.6652277016858177`, "   Xstar:  ", 
   0.0992685684131636, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6652277016858177`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325176818*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "639", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243291331546539`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.66917220917816`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09890619608634935`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.66917220917816`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 639, "   tar:  ", 1.275, "   tarstar:  ", 1.18, "   R:  ", 
   3.243291331546539, "   Bstar:  ", 3.66917220917816, "   Xstar:  ", 
   0.09890619608634935, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.66917220917816^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325184819*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "640", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243334002720518`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.673114688308064`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09854571882179307`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.673114688308064`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 640, "   tar:  ", 1.2775, "   tarstar:  ", 1.18, "   R:  ", 
   3.243334002720518, "   Bstar:  ", 3.673114688308064, "   Xstar:  ", 
   0.09854571882179307, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.673114688308064^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732519482*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "641", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2433742497993303`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.677055139369114`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09818712408590712`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.677055139369114`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 641, "   tar:  ", 1.28, "   tarstar:  ", 1.18, "   R:  ", 
   3.2433742497993303`, "   Bstar:  ", 3.677055139369114, "   Xstar:  ", 
   0.09818712408590712, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.677055139369114^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073252038207`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "642", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243412102325426`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6809935626866213`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09783039944201195`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6809935626866213`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 642, "   tar:  ", 1.2825, "   tarstar:  ", 1.18, "   R:  ", 
   3.243412102325426, "   Bstar:  ", 3.6809935626866213`, "   Xstar:  ", 
   0.09783039944201195, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6809935626866213`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325212822*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "643", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.18`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2434475894986634`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6849299586171775`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09747553254951696`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6849299586171775`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 643, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.18, 
   "   R:  ", 3.2434475894986634`, "   Bstar:  ", 3.6849299586171775`, 
   "   Xstar:  ", 0.09747553254951696, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6849299586171775`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073252208223`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "644", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243480740180442`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.688864327548203`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09712251116311012`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.688864327548203`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 644, "   tar:  ", 1.2875, "   tarstar:  ", 1.18, "   R:  ", 
   3.243480740180442, "   Bstar:  ", 3.688864327548203, "   Xstar:  ", 
   0.09712251116311012, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.688864327548203^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073252278233`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "645", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2435115828978254`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6927966698975316`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09677132313195118`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6927966698975316`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 645, "   tar:  ", 1.29, "   tarstar:  ", 1.18, "   R:  ", 
   3.2435115828978254`, "   Bstar:  ", 3.6927966698975316`, "   Xstar:  ", 
   0.09677132313195118, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6927966698975316`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325236824*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "646", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243540145847562`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.69672698611288`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09642195639888206`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.69672698611288`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 646, "   tar:  ", 1.2925, "   tarstar:  ", 1.18, "   R:  ", 
   3.243540145847562, "   Bstar:  ", 3.69672698611288, "   Xstar:  ", 
   0.09642195639888206, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.69672698611288^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073252458253`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "647", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2435664569001026`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.70065527667153`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09607439899962676`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.70065527667153`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 647, "   tar:  ", 1.295, "   tarstar:  ", 1.18, "   R:  ", 
   3.2435664569001026`, "   Bstar:  ", 3.70065527667153, "   Xstar:  ", 
   0.09607439899962676, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.70065527667153^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325254826*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "648", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2435905436035304`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.704581542079799`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09572863906201577`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.704581542079799`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 648, "   tar:  ", 1.2975, "   tarstar:  ", 1.18, "   R:  ", 
   3.2435905436035304`, "   Bstar:  ", 3.704581542079799, "   Xstar:  ", 
   0.09572863906201577, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.704581542079799^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325262827*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "649", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.18`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.24361243318747`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.708505782872682`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09538466480520323`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.708505782872682`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 649, "   tar:  ", 1.3, "   tarstar:  ", 1.18, "   R:  ", 
   3.24361243318747, "   Bstar:  ", 3.708505782872682, "   Xstar:  ", 
   0.09538466480520323, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.708505782872682^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073252708273`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "650", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2371647306169873`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4827295529387463`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11809401002138435`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4827295529387463`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 650, "   tar:  ", 1.155, "   tarstar:  ", 1.1825, "   R:  ", 
   3.2371647306169873`, "   Bstar:  ", 3.4827295529387463`, "   Xstar:  ", 
   0.11809401002138435`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4827295529387463`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073252788286`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "651", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237365528704015`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4867769343999084`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1176285828618873`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4867769343999084`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 651, "   tar:  ", 1.1575, "   tarstar:  ", 1.1825, "   R:  ", 
   3.237365528704015, "   Bstar:  ", 3.4867769343999084`, "   Xstar:  ", 
   0.1176285828618873, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4867769343999084`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325286829*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "652", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2375620010274804`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4908223093192623`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11716575576280311`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4908223093192623`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 652, "   tar:  ", 1.16, "   tarstar:  ", 1.1825, "   R:  ", 
   3.2375620010274804`, "   Bstar:  ", 3.4908223093192623`, "   Xstar:  ", 
   0.11716575576280311`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4908223093192623`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073252948303`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "653", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2377541995342405`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.494865675889726`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11670551063012168`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.494865675889726`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 653, "   tar:  ", 1.1625, "   tarstar:  ", 1.1825, "   R:  ", 
   3.2377541995342405`, "   Bstar:  ", 3.494865675889726, "   Xstar:  ", 
   0.11670551063012168`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.494865675889726^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325304831*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "654", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2379421755522704`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4989070323659694`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11624782951339614`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4989070323659694`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 654, "   tar:  ", 1.165, "   tarstar:  ", 1.1825, "   R:  ", 
   3.2379421755522704`, "   Bstar:  ", 3.4989070323659694`, "   Xstar:  ", 
   0.11624782951339614`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4989070323659694`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073253138323`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "655", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2381259797983892`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.50294637706347`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11579269460457281`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.50294637706347`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 655, "   tar:  ", 1.1675, "   tarstar:  ", 1.1825, "   R:  ", 
   3.2381259797983892`, "   Bstar:  ", 3.50294637706347, "   Xstar:  ", 
   0.11579269460457281`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.50294637706347^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325322833*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "656", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238305662385856`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5069837083577284`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1153400882368109`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5069837083577284`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 656, "   tar:  ", 1.17, "   tarstar:  ", 1.1825, "   R:  ", 
   3.238305662385856, "   Bstar:  ", 3.5069837083577284`, "   Xstar:  ", 
   0.1153400882368109, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5069837083577284`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325331834*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "657", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2384812728318653`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5110190246833715`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11488999288332664`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5110190246833715`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 657, "   tar:  ", 1.1725, "   tarstar:  ", 1.1825, "   R:  ", 
   3.2384812728318653`, "   Bstar:  ", 3.5110190246833715`, "   Xstar:  ", 
   0.11488999288332664`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5110190246833715`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325341835*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "658", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238652860064979`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5150523245334164`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11444239115622697`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5150523245334164`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 658, "   tar:  ", 1.175, "   tarstar:  ", 1.1825, "   R:  ", 
   3.238652860064979, "   Bstar:  ", 3.5150523245334164`, "   Xstar:  ", 
   0.11444239115622697`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5150523245334164`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325350836*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "659", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238820472432427`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5190836064583477`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11399726580537448`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5190836064583477`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 659, "   tar:  ", 1.1775, "   tarstar:  ", 1.1825, "   R:  ", 
   3.238820472432427, "   Bstar:  ", 3.5190836064583477`, "   Xstar:  ", 
   0.11399726580537448`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5190836064583477`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073253608365`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "660", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2389841577073324`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.523112869065391`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11355459971724008`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.523112869065391`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 660, "   tar:  ", 1.18, "   tarstar:  ", 1.1825, "   R:  ", 
   3.2389841577073324`, "   Bstar:  ", 3.523112869065391, "   Xstar:  ", 
   0.11355459971724008`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.523112869065391^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073253708377`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "661", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239143963095842`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.527140111017708`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11311437591377295`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.527140111017708`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 661, "   tar:  ", 1.1825, "   tarstar:  ", 1.1825, "   R:  ", 
   3.239143963095842, "   Bstar:  ", 3.527140111017708, "   Xstar:  ", 
   0.11311437591377295`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.527140111017708^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325381839*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "662", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2392999352441523`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5311653310335753`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11267657755128199`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5311653310335753`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 662, "   tar:  ", 1.185, "   tarstar:  ", 1.1825, "   R:  ", 
   3.2392999352441523`, "   Bstar:  ", 3.5311653310335753`, "   Xstar:  ", 
   0.11267657755128199`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5311653310335753`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073253908396`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "663", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239452120245474`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5351885278856723`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11224118791931491`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5351885278856723`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 663, "   tar:  ", 1.1875, "   tarstar:  ", 1.1825, "   R:  ", 
   3.239452120245474, "   Bstar:  ", 3.5351885278856723`, "   Xstar:  ", 
   0.11224118791931491`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5351885278856723`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073253998404`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "664", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2396005636468717`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.539209700400264`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11180819043955773`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.539209700400264`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 664, "   tar:  ", 1.19, "   tarstar:  ", 1.1825, "   R:  ", 
   3.2396005636468717`, "   Bstar:  ", 3.539209700400264, "   Xstar:  ", 
   0.11180819043955773`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.539209700400264^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325408841*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "665", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2397453104560396`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.543228847456491`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11137756866473189`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.543228847456491`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 665, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.1825, 
   "   R:  ", 3.2397453104560396`, "   Bstar:  ", 3.543228847456491, 
   "   Xstar:  ", 0.11137756866473189`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.543228847456491^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325415842*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "666", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2398864051479843`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.547245967985597`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11094930627750722`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.547245967985597`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 666, "   tar:  ", 1.195, "   tarstar:  ", 1.1825, "   R:  ", 
   3.2398864051479843`, "   Bstar:  ", 3.547245967985597, "   Xstar:  ", 
   0.11094930627750722`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.547245967985597^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325423843*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "667", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2400238916716173`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5512610609702295`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11052338708941689`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5512610609702295`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 667, "   tar:  ", 1.1975, "   tarstar:  ", 1.1825, "   R:  ", 
   3.2400238916716173`, "   Bstar:  ", 3.5512610609702295`, "   Xstar:  ", 
   0.11052338708941689`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5512610609702295`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073254308434`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "668", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2401578134562645`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.555274125443702`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11009979503978426`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.555274125443702`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 668, "   tar:  ", 1.2, "   tarstar:  ", 1.1825, "   R:  ", 
   3.2401578134562645`, "   Bstar:  ", 3.555274125443702, "   Xstar:  ", 
   0.11009979503978426`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.555274125443702^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325436844*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "669", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2402882134180953`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.559285160489261`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10967851419466013`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.559285160489261`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 669, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.1825, 
   "   R:  ", 3.2402882134180953`, "   Bstar:  ", 3.559285160489261, 
   "   Xstar:  ", 0.10967851419466013`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.559285160489261^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325445845*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "670", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240415133966468`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.563294165239449`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10925952874575696`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.563294165239449`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 670, "   tar:  ", 1.205, "   tarstar:  ", 1.1825, "   R:  ", 
   3.240415133966468, "   Bstar:  ", 3.563294165239449, "   Xstar:  ", 
   0.10925952874575696`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.563294165239449^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073254528456`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "671", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2405386170101913`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5673011388753175`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10884282300940966`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5673011388753175`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 671, "   tar:  ", 1.2075, "   tarstar:  ", 1.1825, "   R:  ", 
   3.2405386170101913`, "   Bstar:  ", 3.5673011388753175`, "   Xstar:  ", 
   0.10884282300940966`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5673011388753175`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325461847*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "672", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2406587039637014`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.571306080625846`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10842838142552214`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.571306080625846`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 672, "   tar:  ", 1.21, "   tarstar:  ", 1.1825, "   R:  ", 
   3.2406587039637014`, "   Bstar:  ", 3.571306080625846, "   Xstar:  ", 
   0.10842838142552214`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.571306080625846^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073254718475`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "673", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.240775435753172`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.575308989767169`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1080161885565443`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.575308989767169`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 673, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.1825, 
   "   R:  ", 3.240775435753172, "   Bstar:  ", 3.575308989767169, 
   "   Xstar:  ", 0.1080161885565443, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.575308989767169^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073254798484`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "674", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240888852822533`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5793098656220055`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10760622908643572`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5793098656220055`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 674, "   tar:  ", 1.215, "   tarstar:  ", 1.1825, "   R:  ", 
   3.240888852822533, "   Bstar:  ", 3.5793098656220055`, "   Xstar:  ", 
   0.10760622908643572`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5793098656220055`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073254888496`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "675", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240998995139422`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.58330870755893`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10719848781965535`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.58330870755893`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 675, "   tar:  ", 1.2175, "   tarstar:  ", 1.1825, "   R:  ", 
   3.240998995139422, "   Bstar:  ", 3.58330870755893, "   Xstar:  ", 
   0.10719848781965535`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.58330870755893^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732549685*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "676", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241105902201047`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.587305514991757`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1067929496801478`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.587305514991757`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 676, "   tar:  ", 1.22, "   tarstar:  ", 1.1825, "   R:  ", 
   3.241105902201047, "   Bstar:  ", 3.587305514991757, "   Xstar:  ", 
   0.1067929496801478, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.587305514991757^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325503851*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "677", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2412096130399877`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5913002873788873`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10638959971034273`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5913002873788873`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 677, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.1825, 
   "   R:  ", 3.2412096130399877`, "   Bstar:  ", 3.5913002873788873`, 
   "   Xstar:  ", 0.10638959971034273`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5913002873788873`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073255118513`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "678", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241310166229916`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5952930242227032`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1059884230701573`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5952930242227032`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 678, "   tar:  ", 1.225, "   tarstar:  ", 1.1825, "   R:  ", 
   3.241310166229916, "   Bstar:  ", 3.5952930242227032`, "   Xstar:  ", 
   0.1059884230701573, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5952930242227032`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073255218525`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "679", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241407599891234`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.599283725068932`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10558940503601166`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.599283725068932`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 679, "   tar:  ", 1.2275, "   tarstar:  ", 1.1825, "   R:  ", 
   3.241407599891234, "   Bstar:  ", 3.599283725068932, "   Xstar:  ", 
   0.10558940503601166`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.599283725068932^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325529854*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "680", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2415019516966623`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.603272389506005`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.105192530999852`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.603272389506005`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 680, "   tar:  ", 1.23, "   tarstar:  ", 1.1825, "   R:  ", 
   3.2415019516966623`, "   Bstar:  ", 3.603272389506005, "   Xstar:  ", 
   0.105192530999852, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.603272389506005^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073255388546`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "681", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241593258876723`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6072590171645103`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10479778646817406`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6072590171645103`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 681, "   tar:  ", 1.2325, "   tarstar:  ", 1.1825, "   R:  ", 
   3.241593258876723, "   Bstar:  ", 3.6072590171645103`, "   Xstar:  ", 
   0.10479778646817406`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6072590171645103`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073255478554`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "682", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241681558225192`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6112436077165335`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10440515706106554`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6112436077165335`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 682, "   tar:  ", 1.235, "   tarstar:  ", 1.1825, "   R:  ", 
   3.241681558225192, "   Bstar:  ", 3.6112436077165335`, "   Xstar:  ", 
   0.10440515706106554`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6112436077165335`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073255558558`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "683", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2417668861044495`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6152261608751166`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1040146285112457`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6152261608751166`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 683, "   tar:  ", 1.2375, "   tarstar:  ", 1.1825, "   R:  ", 
   3.2417668861044495`, "   Bstar:  ", 3.6152261608751166`, "   Xstar:  ", 
   0.1040146285112457, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6152261608751166`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325565857*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "684", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241849278450777`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.619206676393646`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10362618666311992`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.619206676393646`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 684, "   tar:  ", 1.24, "   tarstar:  ", 1.1825, "   R:  ", 
   3.241849278450777, "   Bstar:  ", 3.619206676393646, "   Xstar:  ", 
   0.10362618666311992`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.619206676393646^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073255768585`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "685", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241928770779572`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.623185154065304`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10323981747183691`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.623185154065304`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 685, "   tar:  ", 1.2425, "   tarstar:  ", 1.1825, "   R:  ", 
   3.241928770779572, "   Bstar:  ", 3.623185154065304, "   Xstar:  ", 
   0.10323981747183691`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.623185154065304^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325586859*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "686", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2420053981905284`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.627161593722461`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10285550700235949`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.627161593722461`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 686, "   tar:  ", 1.245, "   tarstar:  ", 1.1825, "   R:  ", 
   3.2420053981905284`, "   Bstar:  ", 3.627161593722461, "   Xstar:  ", 
   0.10285550700235949`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.627161593722461^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732559686*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "687", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242079195372707`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.631135995236169`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10247324142853431`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.631135995236169`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 687, "   tar:  ", 1.2475, "   tarstar:  ", 1.1825, "   R:  ", 
   3.242079195372707, "   Bstar:  ", 3.631135995236169, "   Xstar:  ", 
   0.10247324142853431`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.631135995236169^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325605861*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "688", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242150196609575`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6351083585155624`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1020930070321784`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6351083585155624`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 688, "   tar:  ", 1.25, "   tarstar:  ", 1.1825, "   R:  ", 
   3.242150196609575, "   Bstar:  ", 3.6351083585155624`, "   Xstar:  ", 
   0.1020930070321784, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6351083585155624`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325614862*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "689", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2422184357839607`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6390786835073694`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10171479020216302`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6390786835073694`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 689, "   tar:  ", 1.2525, "   tarstar:  ", 1.1825, "   R:  ", 
   3.2422184357839607`, "   Bstar:  ", 3.6390786835073694`, "   Xstar:  ", 
   0.10171479020216302`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6390786835073694`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325621863*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "690", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.242283946382958`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.643046970195288`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10133857743351939`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.643046970195288`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 690, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.1825, 
   "   R:  ", 3.242283946382958, "   Bstar:  ", 3.643046970195288, 
   "   Xstar:  ", 0.10133857743351939`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.643046970195288^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073256288633`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "691", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2423467615027595`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6470132185995645`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1009643553265322`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6470132185995645`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 691, "   tar:  ", 1.2575, "   tarstar:  ", 1.1825, "   R:  ", 
   3.2423467615027595`, "   Bstar:  ", 3.6470132185995645`, "   Xstar:  ", 
   0.1009643553265322, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6470132185995645`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325634864*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "692", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2424069138534297`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6509774287763705`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10059211058586096`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6509774287763705`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 692, "   tar:  ", 1.26, "   tarstar:  ", 1.1825, "   R:  ", 
   3.2424069138534297`, "   Bstar:  ", 3.6509774287763705`, "   Xstar:  ", 
   0.10059211058586096`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6509774287763705`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073256398644`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "693", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242464435763619`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6549396008173667`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10022183001965118`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6549396008173667`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 693, "   tar:  ", 1.2625, "   tarstar:  ", 1.1825, "   R:  ", 
   3.242464435763619, "   Bstar:  ", 3.6549396008173667`, "   Xstar:  ", 
   0.10022183001965118`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6549396008173667`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073256458654`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "694", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.242519359185217`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6588997348491406`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09985350053866572`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6588997348491406`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 694, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.1825, 
   "   R:  ", 3.242519359185217, "   Bstar:  ", 3.6588997348491406`, 
   "   Xstar:  ", 0.09985350053866572, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6588997348491406`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325654866*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "695", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242571715697946`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.662857831032716`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09948710915541702`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.662857831032716`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 695, "   tar:  ", 1.2675, "   tarstar:  ", 1.1825, "   R:  ", 
   3.242571715697946, "   Bstar:  ", 3.662857831032716, "   Xstar:  ", 
   0.09948710915541702, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.662857831032716^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325663867*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "696", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.24262153651389`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6668138895630737`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09912264298330548`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6668138895630737`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 696, "   tar:  ", 1.27, "   tarstar:  ", 1.1825, "   R:  ", 
   3.24262153651389, "   Bstar:  ", 3.6668138895630737`, "   Xstar:  ", 
   0.09912264298330548, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6668138895630737`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325673868*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "697", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242668852481979`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.670767910668645`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09876008923576993`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.670767910668645`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 697, "   tar:  ", 1.2725, "   tarstar:  ", 1.1825, "   R:  ", 
   3.242668852481979, "   Bstar:  ", 3.670767910668645, "   Xstar:  ", 
   0.09876008923576993, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.670767910668645^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325682869*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "698", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2427136940923966`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.674719894610852`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0983994352254389`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.674719894610852`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 698, "   tar:  ", 1.275, "   tarstar:  ", 1.1825, "   R:  ", 
   3.2427136940923966`, "   Bstar:  ", 3.674719894610852, "   Xstar:  ", 
   0.0983994352254389, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.674719894610852^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073256908693`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "699", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2427560914809597`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6786698416835946`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09804066836329682`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6786698416835946`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 699, "   tar:  ", 1.2775, "   tarstar:  ", 1.1825, "   R:  ", 
   3.2427560914809597`, "   Bstar:  ", 3.6786698416835946`, "   Xstar:  ", 
   0.09804066836329682, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6786698416835946`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073256988707`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "700", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2427960744334046`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6826177522128027`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09768377615784994`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6826177522128027`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 700, "   tar:  ", 1.28, "   tarstar:  ", 1.1825, "   R:  ", 
   3.2427960744334046`, "   Bstar:  ", 3.6826177522128027`, "   Xstar:  ", 
   0.09768377615784994, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6826177522128027`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325706871*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "701", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2428336723896596`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6865636265559907`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09732874621430095`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6865636265559907`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 701, "   tar:  ", 1.2825, "   tarstar:  ", 1.1825, "   R:  ", 
   3.2428336723896596`, "   Bstar:  ", 3.6865636265559907`, "   Xstar:  ", 
   0.09732874621430095, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6865636265559907`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325715872*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "702", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2428689144480187`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6905074651017427`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09697556623373658`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6905074651017427`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 702, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.1825, 
   "   R:  ", 3.2428689144480187`, "   Bstar:  ", 3.6905074651017427`, 
   "   Xstar:  ", 0.09697556623373658, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6905074651017427`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325725873*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "703", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.24290182936931`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6944492682693295`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09662422401231062`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6944492682693295`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 703, "   tar:  ", 1.2875, "   tarstar:  ", 1.1825, "   R:  ", 
   3.24290182936931, "   Bstar:  ", 3.6944492682693295`, "   Xstar:  ", 
   0.09662422401231062, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6944492682693295`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325734874*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "704", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242932445580975`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6983890365082077`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09627470744044563`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6983890365082077`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 704, "   tar:  ", 1.29, "   tarstar:  ", 1.1825, "   R:  ", 
   3.242932445580975, "   Bstar:  ", 3.6983890365082077`, "   Xstar:  ", 
   0.09627470744044563, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6983890365082077`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325744875*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "705", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2429607911811003`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.702326770297623`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09592700450203194`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.702326770297623`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 705, "   tar:  ", 1.2925, "   tarstar:  ", 1.1825, "   R:  ", 
   3.2429607911811003`, "   Bstar:  ", 3.702326770297623, "   Xstar:  ", 
   0.09592700450203194, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.702326770297623^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073257538757`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "706", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2429868939424185`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7062624701461253`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0955811032736418`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7062624701461253`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 706, "   tar:  ", 1.295, "   tarstar:  ", 1.1825, "   R:  ", 
   3.2429868939424185`, "   Bstar:  ", 3.7062624701461253`, "   Xstar:  ", 
   0.0955811032736418, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7062624701461253`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325763877*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "707", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2430107813162383`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.710196136591188`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09523699192374219`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.710196136591188`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 707, "   tar:  ", 1.2975, "   tarstar:  ", 1.1825, "   R:  ", 
   3.2430107813162383`, "   Bstar:  ", 3.710196136591188, "   Xstar:  ", 
   0.09523699192374219, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.710196136591188^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073257728777`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "708", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.243032480436327`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7141277701987736`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09489465871191842`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7141277701987736`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 708, "   tar:  ", 1.3, "   tarstar:  ", 1.1825, "   R:  ", 
   3.243032480436327, "   Bstar:  ", 3.7141277701987736`, "   Xstar:  ", 
   0.09489465871191842, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7141277701987736`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325782879*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "709", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2366170469491364`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.487906771252082`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11749908165210927`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.487906771252082`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 709, "   tar:  ", 1.155, "   tarstar:  ", 1.185, "   R:  ", 
   3.2366170469491364`, "   Bstar:  ", 3.487906771252082, "   Xstar:  ", 
   0.11749908165210927`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.487906771252082^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732579288*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "710", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2368169713225106`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4919620617607197`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11703578354745002`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4919620617607197`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 710, "   tar:  ", 1.1575, "   tarstar:  ", 1.185, "   R:  ", 
   3.2368169713225106`, "   Bstar:  ", 3.4919620617607197`, "   Xstar:  ", 
   0.11703578354745002`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4919620617607197`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325801881*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "711", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237012585763969`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4960153354929324`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1165750754222989`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4960153354929324`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 711, "   tar:  ", 1.16, "   tarstar:  ", 1.185, "   R:  ", 
   3.237012585763969, "   Bstar:  ", 3.4960153354929324`, "   Xstar:  ", 
   0.1165750754222989, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4960153354929324`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073258088813`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "712", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237203942060474`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5000665906836455`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11611693923405364`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5000665906836455`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 712, "   tar:  ", 1.1625, "   tarstar:  ", 1.185, "   R:  ", 
   3.237203942060474, "   Bstar:  ", 3.5000665906836455`, "   Xstar:  ", 
   0.11611693923405364`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5000665906836455`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073258148823`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "713", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2373910913815434`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5041158256292926`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11566135708350196`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5041158256292926`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 713, "   tar:  ", 1.165, "   tarstar:  ", 1.185, "   R:  ", 
   3.2373910913815434`, "   Bstar:  ", 3.5041158256292926`, "   Xstar:  ", 
   0.11566135708350196`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5041158256292926`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325823883*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "714", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.23757408428696`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.508163038686894`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11520831121364486`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.508163038686894`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 714, "   tar:  ", 1.1675, "   tarstar:  ", 1.185, "   R:  ", 
   3.23757408428696, "   Bstar:  ", 3.508163038686894, "   Xstar:  ", 
   0.11520831121364486`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.508163038686894^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073258298836`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "715", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237752970734352`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5122082282732556`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11475778400851884`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5122082282732556`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 715, "   tar:  ", 1.17, "   tarstar:  ", 1.185, "   R:  ", 
   3.237752970734352, "   Bstar:  ", 3.5122082282732556`, "   Xstar:  ", 
   0.11475778400851884`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5122082282732556`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073258378844`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "716", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2379278000867013`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5162513928641075`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11430975799203309`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5162513928641075`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 716, "   tar:  ", 1.1725, "   tarstar:  ", 1.185, "   R:  ", 
   3.2379278000867013`, "   Bstar:  ", 3.5162513928641075`, "   Xstar:  ", 
   0.11430975799203309`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5162513928641075`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073258438845`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "717", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238098621119735`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.520292530993274`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11386421582681235`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.520292530993274`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 717, "   tar:  ", 1.175, "   tarstar:  ", 1.185, "   R:  ", 
   3.238098621119735, "   Bstar:  ", 3.520292530993274, "   Xstar:  ", 
   0.11386421582681235`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.520292530993274^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073258508854`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "718", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2382654820292442`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5243316412518992`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11342114031304408`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5243316412518992`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 718, "   tar:  ", 1.1775, "   tarstar:  ", 1.185, "   R:  ", 
   3.2382654820292442`, "   Bstar:  ", 3.5243316412518992`, "   Xstar:  ", 
   0.11342114031304408`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5243316412518992`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073258588867`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "719", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238428430438274`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.528368722287601`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11298051438734187`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.528368722287601`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 719, "   tar:  ", 1.18, "   tarstar:  ", 1.185, "   R:  ", 
   3.238428430438274, "   Bstar:  ", 3.528368722287601, "   Xstar:  ", 
   0.11298051438734187`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.528368722287601^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073258688874`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "720", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238587513404265`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.532403772803706`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11254232112161026`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.532403772803706`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 720, "   tar:  ", 1.1825, "   tarstar:  ", 1.185, "   R:  ", 
   3.238587513404265, "   Bstar:  ", 3.532403772803706, "   Xstar:  ", 
   0.11254232112161026`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.532403772803706^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073258798885`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "721", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238742777426067`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5364367915584527`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1121065437219224`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5364367915584527`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 721, "   tar:  ", 1.185, "   tarstar:  ", 1.185, "   R:  ", 
   3.238742777426067, "   Bstar:  ", 3.5364367915584527`, "   Xstar:  ", 
   0.1121065437219224, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5364367915584527`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073258898897`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "722", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238894268450873`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5404677773642317`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11167316552740211`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5404677773642317`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 722, "   tar:  ", 1.1875, "   tarstar:  ", 1.185, "   R:  ", 
   3.238894268450873, "   Bstar:  ", 3.5404677773642317`, "   Xstar:  ", 
   0.11167316552740211`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5404677773642317`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073258998904`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "723", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239042031881078`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5444967290868257`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11124217000911663`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5444967290868257`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 723, "   tar:  ", 1.19, "   tarstar:  ", 1.185, "   R:  ", 
   3.239042031881078, "   Bstar:  ", 3.5444967290868257`, "   Xstar:  ", 
   0.11124217000911663`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5444967290868257`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073259088917`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "724", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.23918611258102`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5485236456446545`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11081354076897698`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5485236456446545`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 724, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.185, 
   "   R:  ", 3.23918611258102, "   Bstar:  ", 3.5485236456446545`, 
   "   Xstar:  ", 0.11081354076897698`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5485236456446545`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325916892*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "725", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2393265548836756`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5525485260080423`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11038726153864604`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5525485260080423`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 725, "   tar:  ", 1.195, "   tarstar:  ", 1.185, "   R:  ", 
   3.2393265548836756`, "   Bstar:  ", 3.5525485260080423`, "   Xstar:  ", 
   0.11038726153864604`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5525485260080423`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073259258933`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "726", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2394634025972167`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5565713691984735`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10996331617845655`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5565713691984735`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 726, "   tar:  ", 1.1975, "   tarstar:  ", 1.185, "   R:  ", 
   3.2394634025972167`, "   Bstar:  ", 3.5565713691984735`, "   Xstar:  ", 
   0.10996331617845655`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5565713691984735`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325933894*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "727", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239596699011535`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5605921742878883`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1095416886763339`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5605921742878883`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 727, "   tar:  ", 1.2, "   tarstar:  ", 1.185, "   R:  ", 
   3.239596699011535, "   Bstar:  ", 3.5605921742878883`, "   Xstar:  ", 
   0.1095416886763339, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5605921742878883`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325943895*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "728", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.239726486904651`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.564610940397984`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1091223631467287`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.564610940397984`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 728, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.185, 
   "   R:  ", 3.239726486904651, "   Bstar:  ", 3.564610940397984, 
   "   Xstar:  ", 0.1091223631467287, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.564610940397984^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325952896*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "729", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2398528085490406`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5686276666994634`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10870532382956193`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5686276666994634`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 729, "   tar:  ", 1.205, "   tarstar:  ", 1.185, "   R:  ", 
   3.2398528085490406`, "   Bstar:  ", 3.5686276666994634`, "   Xstar:  ", 
   0.10870532382956193`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5686276666994634`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325961897*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "730", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239975705717902`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5726423524114073`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10829055508916831`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5726423524114073`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 730, "   tar:  ", 1.2075, "   tarstar:  ", 1.185, "   R:  ", 
   3.239975705717902, "   Bstar:  ", 3.5726423524114073`, "   Xstar:  ", 
   0.10829055508916831`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5726423524114073`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073259708977`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "731", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2400952196913178`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5766549968005434`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10787804141325798`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5766549968005434`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 731, "   tar:  ", 1.21, "   tarstar:  ", 1.185, "   R:  ", 
   3.2400952196913178`, "   Bstar:  ", 3.5766549968005434`, "   Xstar:  ", 
   0.10787804141325798`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5766549968005434`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607325978898*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "732", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2402113912623465`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5806655991806107`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1074677674118781`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5806655991806107`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 732, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.185, 
   "   R:  ", 3.2402113912623465`, "   Bstar:  ", 3.5806655991806107`, 
   "   Xstar:  ", 0.1074677674118781, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5806655991806107`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073259878993`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "733", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2403242607430465`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5846741589116604`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10705971781638948`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5846741589116604`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 733, "   tar:  ", 1.215, "   tarstar:  ", 1.185, "   R:  ", 
   3.2403242607430465`, "   Bstar:  ", 3.5846741589116604`, "   Xstar:  ", 
   0.10705971781638948`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5846741589116604`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073260009003`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "734", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240433867970405`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5886806753994143`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10665387747844599`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5886806753994143`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 734, "   tar:  ", 1.2175, "   tarstar:  ", 1.185, "   R:  ", 
   3.240433867970405, "   Bstar:  ", 3.5886806753994143`, "   Xstar:  ", 
   0.10665387747844599`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5886806753994143`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326011902*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "735", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2405402523121993`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.592685148094651`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10625023136898107`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.592685148094651`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 735, "   tar:  ", 1.22, "   tarstar:  ", 1.185, "   R:  ", 
   3.2405402523121993`, "   Bstar:  ", 3.592685148094651, "   Xstar:  ", 
   0.10625023136898107`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.592685148094651^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326019902*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "736", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2406434526727836`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.596687576492505`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1058487645772105`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.596687576492505`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 736, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.185, 
   "   R:  ", 3.2406434526727836`, "   Bstar:  ", 3.596687576492505, 
   "   Xstar:  ", 0.1058487645772105, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.596687576492505^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073260289035`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "737", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240743507498804`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6006879601318977`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10544946230963143`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6006879601318977`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 737, "   tar:  ", 1.225, "   tarstar:  ", 1.185, "   R:  ", 
   3.240743507498804, "   Bstar:  ", 3.6006879601318977`, "   Xstar:  ", 
   0.10544946230963143`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6006879601318977`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326034904*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "738", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2408404547848204`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6046862985948644`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1050523098890405`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6046862985948644`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 738, "   tar:  ", 1.2275, "   tarstar:  ", 1.185, "   R:  ", 
   3.2408404547848204`, "   Bstar:  ", 3.6046862985948644`, "   Xstar:  ", 
   0.1050523098890405, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6046862985948644`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073260419044`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "739", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2409343320788886`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6086825915059846`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10465729275354972`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6086825915059846`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 739, "   tar:  ", 1.23, "   tarstar:  ", 1.185, "   R:  ", 
   3.2409343320788886`, "   Bstar:  ", 3.6086825915059846`, "   Xstar:  ", 
   0.10465729275354972`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6086825915059846`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073260489054`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "740", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2410251764880433`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.612676838531772`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10426439645561558`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.612676838531772`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 740, "   tar:  ", 1.2325, "   tarstar:  ", 1.185, "   R:  ", 
   3.2410251764880433`, "   Bstar:  ", 3.612676838531772, "   Xstar:  ", 
   0.10426439645561558`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.612676838531772^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326056906*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "741", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241113024683723`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.61666903938003`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1038736066610801`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.61666903938003`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 741, "   tar:  ", 1.235, "   tarstar:  ", 1.185, "   R:  ", 
   3.241113024683723, "   Bstar:  ", 3.61666903938003, "   Xstar:  ", 
   0.1038736066610801, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.61666903938003^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326066907*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "742", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2411979129071216`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.620659193799341`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1034849091482065`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.620659193799341`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 742, "   tar:  ", 1.2375, "   tarstar:  ", 1.185, "   R:  ", 
   3.2411979129071216`, "   Bstar:  ", 3.620659193799341, "   Xstar:  ", 
   0.1034849091482065, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.620659193799341^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073260729074`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "743", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2412798769744757`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6246473015784177`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10309828980673802`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6246473015784177`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 743, "   tar:  ", 1.24, "   tarstar:  ", 1.185, "   R:  ", 
   3.2412798769744757`, "   Bstar:  ", 3.6246473015784177`, "   Xstar:  ", 
   0.10309828980673802`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6246473015784177`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073260799084`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "744", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241358952282273`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.628633362545559`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10271373463695353`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.628633362545559`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 744, "   tar:  ", 1.2425, "   tarstar:  ", 1.185, "   R:  ", 
   3.241358952282273, "   Bstar:  ", 3.628633362545559, "   Xstar:  ", 
   0.10271373463695353`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.628633362545559^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073260899096`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "745", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241435173812411`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.632617376568107`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10233122974873245`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.632617376568107`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 745, "   tar:  ", 1.245, "   tarstar:  ", 1.185, "   R:  ", 
   3.241435173812411, "   Bstar:  ", 3.632617376568107, "   Xstar:  ", 
   0.10233122974873245`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.632617376568107^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073260999107`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "746", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2415085761372704`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.63659934355184`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.101950761360634`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.63659934355184`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 746, "   tar:  ", 1.2475, "   tarstar:  ", 1.185, "   R:  ", 
   3.2415085761372704`, "   Bstar:  ", 3.63659934355184, "   Xstar:  ", 
   0.101950761360634, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.63659934355184^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326109912*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "747", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241579193424741`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6405792634404426`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10157231579897644`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6405792634404426`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 747, "   tar:  ", 1.25, "   tarstar:  ", 1.185, "   R:  ", 
   3.241579193424741, "   Bstar:  ", 3.6405792634404426`, "   Xstar:  ", 
   0.10157231579897644`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6405792634404426`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326116912*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "748", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2416470594431654`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.644557136214995`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.101195879496924`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.644557136214995`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 748, "   tar:  ", 1.2525, "   tarstar:  ", 1.185, "   R:  ", 
   3.2416470594431654`, "   Bstar:  ", 3.644557136214995, "   Xstar:  ", 
   0.101195879496924, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.644557136214995^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326126913*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "749", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.241712207566235`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6485329618933844`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1008214389935881`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6485329618933844`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 749, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.185, 
   "   R:  ", 3.241712207566235, "   Bstar:  ", 3.6485329618933844`, 
   "   Xstar:  ", 0.1008214389935881, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6485329618933844`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326135914*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "750", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241774670777821`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.652506740529823`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10044898093312732`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.652506740529823`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 750, "   tar:  ", 1.2575, "   tarstar:  ", 1.185, "   R:  ", 
   3.241774670777821, "   Bstar:  ", 3.652506740529823, "   Xstar:  ", 
   0.10044898093312732`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.652506740529823^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073261469154`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "751", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241834481676725`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6564784722142667`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10007849206386459`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6564784722142667`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 751, "   tar:  ", 1.26, "   tarstar:  ", 1.185, "   R:  ", 
   3.241834481676725, "   Bstar:  ", 3.6564784722142667`, "   Xstar:  ", 
   0.10007849206386459`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6564784722142667`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326154916*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "752", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2418916724813984`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.660448157071997`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09970995923739683`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.660448157071997`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 752, "   tar:  ", 1.2625, "   tarstar:  ", 1.185, "   R:  ", 
   3.2418916724813984`, "   Bstar:  ", 3.660448157071997, "   Xstar:  ", 
   0.09970995923739683, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.660448157071997^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326164917*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "753", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.241946275034574`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.664415795262991`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0993433694077325`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.664415795262991`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 753, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.185, 
   "   R:  ", 3.241946275034574, "   Bstar:  ", 3.664415795262991, 
   "   Xstar:  ", 0.0993433694077325, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.664415795262991^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326174918*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "754", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241998320807858`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6683813869815305`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09897870963041479`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6683813869815305`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 754, "   tar:  ", 1.2675, "   tarstar:  ", 1.185, "   R:  ", 
   3.241998320807858, "   Bstar:  ", 3.6683813869815305`, "   Xstar:  ", 
   0.09897870963041479, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6683813869815305`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073261849194`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "755", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2420478409062494`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6723449324556334`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09861596706166903`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6723449324556334`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 755, "   tar:  ", 1.27, "   tarstar:  ", 1.185, "   R:  ", 
   3.2420478409062494`, "   Bstar:  ", 3.6723449324556334`, "   Xstar:  ", 
   0.09861596706166903, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6723449324556334`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732619492*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "756", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2420948660726148`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6763064319465983`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09825512895754715`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6763064319465983`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 756, "   tar:  ", 1.2725, "   tarstar:  ", 1.185, "   R:  ", 
   3.2420948660726148`, "   Bstar:  ", 3.6763064319465983`, "   Xstar:  ", 
   0.09825512895754715, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6763064319465983`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326203921*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "757", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242139426692086`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6802658857485153`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09789618267308348`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6802658857485153`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 757, "   tar:  ", 1.275, "   tarstar:  ", 1.185, "   R:  ", 
   3.242139426692086, "   Bstar:  ", 3.6802658857485153`, "   Xstar:  ", 
   0.09789618267308348, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6802658857485153`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326213922*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "758", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2421815527964264`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.684223294187793`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09753911566145644`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.684223294187793`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 758, "   tar:  ", 1.2775, "   tarstar:  ", 1.185, "   R:  ", 
   3.2421815527964264`, "   Bstar:  ", 3.684223294187793, "   Xstar:  ", 
   0.09753911566145644, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.684223294187793^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073262239227`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "759", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2422212740683247`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6881786576226925`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09718391547315693`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6881786576226925`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 759, "   tar:  ", 1.28, "   tarstar:  ", 1.185, "   R:  ", 
   3.2422212740683247`, "   Bstar:  ", 3.6881786576226925`, "   Xstar:  ", 
   0.09718391547315693, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6881786576226925`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073262349243`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "760", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2422586198456336`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6921319764428544`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09683056975516552`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6921319764428544`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 760, "   tar:  ", 1.2825, "   tarstar:  ", 1.185, "   R:  ", 
   3.2422586198456336`, "   Bstar:  ", 3.6921319764428544`, "   Xstar:  ", 
   0.09683056975516552, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6921319764428544`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073262429247`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "761", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2422936191255673`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.696083251068846`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0964790662501345`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.696083251068846`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 761, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.185, 
   "   R:  ", 3.2422936191255673`, "   Bstar:  ", 3.696083251068846, 
   "   Xstar:  ", 0.0964790662501345, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.696083251068846^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326252926*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "762", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242326300568826`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.700032481951705`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09612939279557853`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.700032481951705`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 762, "   tar:  ", 1.2875, "   tarstar:  ", 1.185, "   R:  ", 
   3.242326300568826, "   Bstar:  ", 3.700032481951705, "   Xstar:  ", 
   0.09612939279557853, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.700032481951705^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326262927*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "763", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2423566925036873`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.703979669572526`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09578153732306798`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.703979669572526`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 763, "   tar:  ", 1.29, "   tarstar:  ", 1.185, "   R:  ", 
   3.2423566925036873`, "   Bstar:  ", 3.703979669572526, "   Xstar:  ", 
   0.09578153732306798, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.703979669572526^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073262699275`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "764", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242384822930033`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.707924814441966`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09543548785743747`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.707924814441966`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 764, "   tar:  ", 1.2925, "   tarstar:  ", 1.185, "   R:  ", 
   3.242384822930033, "   Bstar:  ", 3.707924814441966, "   Xstar:  ", 
   0.09543548785743747, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.707924814441966^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326276928*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "765", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.242410719523332`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7118679170998647`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09509123251599157`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7118679170998647`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 765, "   tar:  ", 1.295, "   tarstar:  ", 1.185, "   R:  ", 
   3.242410719523332, "   Bstar:  ", 3.7118679170998647`, "   Xstar:  ", 
   0.09509123251599157, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7118679170998647`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326283929*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "766", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2424344096385567`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.71580897811478`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09474875950772432`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.71580897811478`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 766, "   tar:  ", 1.2975, "   tarstar:  ", 1.185, "   R:  ", 
   3.2424344096385567`, "   Bstar:  ", 3.71580897811478, "   Xstar:  ", 
   0.09474875950772432, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.71580897811478^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732629093*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "767", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.185`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2424559203140784`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7197479980835912`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0944080571325407`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7197479980835912`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 767, "   tar:  ", 1.3, "   tarstar:  ", 1.185, "   R:  ", 
   3.2424559203140784`, "   Bstar:  ", 3.7197479980835912`, "   Xstar:  ", 
   0.0944080571325407, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7197479980835912`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732629893*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "768", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236072515086264`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.493082625653965`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11690818134825166`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.493082625653965`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 768, "   tar:  ", 1.155, "   tarstar:  ", 1.1875, "   R:  ", 
   3.236072515086264, "   Bstar:  ", 3.493082625653965, "   Xstar:  ", 
   0.11690818134825166`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.493082625653965^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073263099318`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "769", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2362715714516397`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.497145817951123`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11644699987093858`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.497145817951123`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 769, "   tar:  ", 1.1575, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2362715714516397`, "   Bstar:  ", 3.497145817951123, "   Xstar:  ", 
   0.11644699987093858`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.497145817951123^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073263199325`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "770", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2364663336366872`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.501206983252943`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11598839833444102`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.501206983252943`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 770, "   tar:  ", 1.16, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2364663336366872`, "   Bstar:  ", 3.501206983252943, "   Xstar:  ", 
   0.11598839833444102`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.501206983252943^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073263309336`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "771", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2366568532690447`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.505266119836323`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1155323587475298`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.505266119836323`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 771, "   tar:  ", 1.1625, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2366568532690447`, "   Bstar:  ", 3.505266119836323, "   Xstar:  ", 
   0.1155323587475298, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.505266119836323^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073263419347`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "772", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236843181360339`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5093232260394154`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1150788632621895`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5093232260394154`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 772, "   tar:  ", 1.165, "   tarstar:  ", 1.1875, "   R:  ", 
   3.236843181360339, "   Bstar:  ", 3.5093232260394154`, "   Xstar:  ", 
   0.1150788632621895, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5093232260394154`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326350936*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "773", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2370253683138803`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5133783002607673`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11462789417243528`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5133783002607673`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 773, "   tar:  ", 1.1675, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2370253683138803`, "   Bstar:  ", 3.5133783002607673`, "   Xstar:  ", 
   0.11462789417243528`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5133783002607673`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073263589363`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "774", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237203463932238`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.517431340958453`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11417943391313841`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.517431340958453`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 774, "   tar:  ", 1.17, "   tarstar:  ", 1.1875, "   R:  ", 
   3.237203463932238, "   Bstar:  ", 3.517431340958453, "   Xstar:  ", 
   0.11417943391313841`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.517431340958453^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073263689375`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "775", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2373775174247323`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.521482346649234`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11373346505886002`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.521482346649234`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 775, "   tar:  ", 1.1725, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2373775174247323`, "   Bstar:  ", 3.521482346649234, "   Xstar:  ", 
   0.11373346505886002`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.521482346649234^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326379938*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "776", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2375475774148272`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5255313159077675`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11328997032268909`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5255313159077675`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 776, "   tar:  ", 1.175, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2375475774148272`, "   Bstar:  ", 3.5255313159077675`, "   Xstar:  ", 
   0.11328997032268909`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5255313159077675`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073263899393`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "777", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2377136919474268`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.529578247365772`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11284893255509304`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.529578247365772`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 777, "   tar:  ", 1.1775, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2377136919474268`, "   Bstar:  ", 3.529578247365772, "   Xstar:  ", 
   0.11284893255509304`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.529578247365772^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073263999405`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "778", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2378759084960627`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5336231397112434`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11241033474277444`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5336231397112434`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 778, "   tar:  ", 1.18, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2378759084960627`, "   Bstar:  ", 3.5336231397112434`, "   Xstar:  ", 
   0.11241033474277444`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5336231397112434`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073264099417`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "779", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238034273970029`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.537665991687619`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11197416000754101`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.537665991687619`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 779, "   tar:  ", 1.1825, "   tarstar:  ", 1.1875, "   R:  ", 
   3.238034273970029, "   Bstar:  ", 3.537665991687619, "   Xstar:  ", 
   0.11197416000754101`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.537665991687619^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326422943*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "780", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.23818883472137`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.541706802093062`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11154039160517357`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.541706802093062`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 780, "   tar:  ", 1.185, "   tarstar:  ", 1.1875, "   R:  ", 
   3.23818883472137, "   Bstar:  ", 3.541706802093062, "   Xstar:  ", 
   0.11154039160517357`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.541706802093062^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326435944*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "781", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238339636551828`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5457455697796596`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11110901292431141`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5457455697796596`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 781, "   tar:  ", 1.1875, "   tarstar:  ", 1.1875, "   R:  ", 
   3.238339636551828, "   Bstar:  ", 3.5457455697796596`, "   Xstar:  ", 
   0.11110901292431141`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5457455697796596`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326448945*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "782", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2384867247196705`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5497822936526657`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11068000748534353`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5497822936526657`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 782, "   tar:  ", 1.19, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2384867247196705`, "   Bstar:  ", 3.5497822936526657`, "   Xstar:  ", 
   0.11068000748534353`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5497822936526657`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326458946*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "783", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.238630143946438`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5538169726697344`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11025335893930895`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5538169726697344`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 783, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.1875, 
   "   R:  ", 3.238630143946438, "   Bstar:  ", 3.5538169726697344`, 
   "   Xstar:  ", 0.11025335893930895`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5538169726697344`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326472948*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "784", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2387699384236144`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.557849605840222`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10982905106679998`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.557849605840222`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 784, "   tar:  ", 1.195, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2387699384236144`, "   Bstar:  ", 3.557849605840222, "   Xstar:  ", 
   0.10982905106679998`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.557849605840222^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073264879494`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "785", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2389061518191875`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5618801922244354`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10940706777688038`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5618801922244354`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 785, "   tar:  ", 1.1975, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2389061518191875`, "   Bstar:  ", 3.5618801922244354`, "   Xstar:  ", 
   0.10940706777688038`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5618801922244354`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732649695*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "786", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239038827284156`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5659087309329056`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10898739310600886`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5659087309329056`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 786, "   tar:  ", 1.2, "   tarstar:  ", 1.1875, "   R:  ", 
   3.239038827284156, "   Bstar:  ", 3.5659087309329056`, "   Xstar:  ", 
   0.10898739310600886`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5659087309329056`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073265079513`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "787", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2391680074589275`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.569935221125692`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10857001121697095`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.569935221125692`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 787, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.1875, 
   "   R:  ", 3.2391680074589275`, "   Bstar:  ", 3.569935221125692, 
   "   Xstar:  ", 0.10857001121697095`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.569935221125692^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073265209527`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "788", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239293734479641`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5739596620116765`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10815490639781841`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5739596620116765`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 788, "   tar:  ", 1.205, "   tarstar:  ", 1.1875, "   R:  ", 
   3.239293734479641, "   Bstar:  ", 3.5739596620116765`, "   Xstar:  ", 
   0.10815490639781841`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5739596620116765`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073265309534`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "789", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2394160499844205`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5779820528478923`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10774206306081618`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5779820528478923`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 789, "   tar:  ", 1.2075, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2394160499844205`, "   Bstar:  ", 3.5779820528478923`, "   Xstar:  ", 
   0.10774206306081618`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5779820528478923`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073265409546`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "790", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2395349951195263`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.582002392938809`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10733146574140195`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.582002392938809`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 790, "   tar:  ", 1.21, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2395349951195263`, "   Bstar:  ", 3.582002392938809, "   Xstar:  ", 
   0.10733146574140195`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.582002392938809^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326554956*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "791", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2396506105454432`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.586020681635688`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10692309909714742`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.586020681635688`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 791, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.1875, 
   "   R:  ", 3.2396506105454432`, "   Bstar:  ", 3.586020681635688, 
   "   Xstar:  ", 0.10692309909714742`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.586020681635688^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326567957*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], ":", 
  " ", "\<\"The line search decreased the step size to within tolerance \
specified by AccuracyGoal and PrecisionGoal but was unable to find a \
sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(\\*RowBox[{\\\"MachinePrecision\\\"}]\\)\[NoBreak] digits of \
working precision to meet these tolerances. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/lstol\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6745602788735666`*^9, 3.683607326576958*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "792", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2397629364428835`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.590036918335884`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10651694790673473`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.590036918335884`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 792, "   tar:  ", 1.215, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2397629364428835`, "   Bstar:  ", 3.590036918335884, "   Xstar:  ", 
   0.10651694790673473`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.590036918335884^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073265879593`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "793", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2398720125187133`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.594051102482269`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10611299706892864`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.594051102482269`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 793, "   tar:  ", 1.2175, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2398720125187133`, "   Bstar:  ", 3.594051102482269, "   Xstar:  ", 
   0.10611299706892864`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.594051102482269^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073265999603`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "794", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2399778780118083`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.598063233562496`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10571123160157501`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.598063233562496`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 794, "   tar:  ", 1.22, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2399778780118083`, "   Bstar:  ", 3.598063233562496, "   Xstar:  ", 
   0.10571123160157501`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.598063233562496^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326615962*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "795", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2400805716988215`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.602073311108409`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10531163664059041`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.602073311108409`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 795, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.1875, 
   "   R:  ", 3.2400805716988215`, "   Bstar:  ", 3.602073311108409, 
   "   Xstar:  ", 0.10531163664059041`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.602073311108409^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073266319637`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "796", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240180131899887`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.606081334695404`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10491419743897014`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.606081334695404`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 796, "   tar:  ", 1.225, "   tarstar:  ", 1.1875, "   R:  ", 
   3.240180131899887, "   Bstar:  ", 3.606081334695404, "   Xstar:  ", 
   0.10491419743897014`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.606081334695404^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073266519656`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "797", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.24027659648425`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6100873039418286`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10451889936579678`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6100873039418286`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 797, "   tar:  ", 1.2275, "   tarstar:  ", 1.1875, "   R:  ", 
   3.24027659648425, "   Bstar:  ", 3.6100873039418286`, "   Xstar:  ", 
   0.10451889936579678`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6100873039418286`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326665967*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "798", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240370002875821`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.614091218508341`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1041257279052636`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.614091218508341`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 798, "   tar:  ", 1.23, "   tarstar:  ", 1.1875, "   R:  ", 
   3.240370002875821, "   Bstar:  ", 3.614091218508341, "   Xstar:  ", 
   0.1041257279052636, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.614091218508341^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073266809683`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "799", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2404603880586555`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6180930780973317`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10373466865570015`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6180930780973317`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 799, "   tar:  ", 1.2325, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2404603880586555`, "   Bstar:  ", 3.6180930780973317`, "   Xstar:  ", 
   0.10373466865570015`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6180930780973317`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073267009706`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "800", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2405477885823704`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.622092882452312`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10334570732860951`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.622092882452312`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 800, "   tar:  ", 1.235, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2405477885823704`, "   Bstar:  ", 3.622092882452312, "   Xstar:  ", 
   0.10334570732860951`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.622092882452312^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073267129717`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "801", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2406322405674857`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6260906313573225`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10295882974771219`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6260906313573225`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 801, "   tar:  ", 1.2375, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2406322405674857`, "   Bstar:  ", 3.6260906313573225`, "   Xstar:  ", 
   0.10295882974771219`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6260906313573225`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326727973*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "802", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240713779710696`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6300863246363813`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1025740218479941`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6300863246363813`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 802, "   tar:  ", 1.24, "   tarstar:  ", 1.1875, "   R:  ", 
   3.240713779710696, "   Bstar:  ", 3.6300863246363813`, "   Xstar:  ", 
   0.1025740218479941, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6300863246363813`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326744975*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "803", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240792441290083`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6340799621528785`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10219126967476952`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6340799621528785`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 803, "   tar:  ", 1.2425, "   tarstar:  ", 1.1875, "   R:  ", 
   3.240792441290083, "   Bstar:  ", 3.6340799621528785`, "   Xstar:  ", 
   0.10219126967476952`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6340799621528785`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073267589765`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "804", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2408682601702523`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.638071543809049`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10181055938274326`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.638071543809049`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 804, "   tar:  ", 1.245, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2408682601702523`, "   Bstar:  ", 3.638071543809049, "   Xstar:  ", 
   0.10181055938274326`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.638071543809049^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326773978*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "805", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2409412708074052`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6420610695453615`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10143187723509033`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6420610695453615`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 805, "   tar:  ", 1.2475, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2409412708074052`, "   Bstar:  ", 3.6420610695453615`, "   Xstar:  ", 
   0.10143187723509033`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6420610695453615`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732679198*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "806", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2410115072543486`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6460485393400375`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10105520960253093`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6460485393400375`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 806, "   tar:  ", 1.25, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2410115072543486`, "   Bstar:  ", 3.6460485393400375`, "   Xstar:  ", 
   0.10105520960253093`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6460485393400375`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073268109818`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "807", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2410790031654377`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.650033953208445`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10068054296242593`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.650033953208445`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 807, "   tar:  ", 1.2525, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2410790031654377`, "   Bstar:  ", 3.650033953208445, "   Xstar:  ", 
   0.10068054296242593`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.650033953208445^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326825983*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "808", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2411437918014547`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.65401731120262`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10030786389786792`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.65401731120262`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 808, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.1875, 
   "   R:  ", 3.2411437918014547`, "   Bstar:  ", 3.65401731120262, 
   "   Xstar:  ", 0.10030786389786792`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.65401731120262^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073268419847`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "809", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2412059060344305`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.657998613410689`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09993715909679024`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.657998613410689`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 809, "   tar:  ", 1.2575, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2412059060344305`, "   Bstar:  ", 3.657998613410689, "   Xstar:  ", 
   0.09993715909679024, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.657998613410689^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073268579865`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "810", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241265378352401`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6619778599563793`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0995684153510753`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6619778599563793`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 810, "   tar:  ", 1.26, "   tarstar:  ", 1.1875, "   R:  ", 
   3.241265378352401, "   Bstar:  ", 3.6619778599563793`, "   Xstar:  ", 
   0.0995684153510753, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6619778599563793`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073268719873`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "811", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2413222408640943`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.665955050998505`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09920161955567379`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.665955050998505`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 811, "   tar:  ", 1.2625, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2413222408640943`, "   Bstar:  ", 3.665955050998505, "   Xstar:  ", 
   0.09920161955567379, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.665955050998505^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326885989*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "812", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2413765253035725`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6699301867304435`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0988367587077319`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6699301867304435`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 812, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.1875, 
   "   R:  ", 3.2413765253035725`, "   Bstar:  ", 3.6699301867304435`, 
   "   Xstar:  ", 0.0988367587077319, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6699301867304435`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732689799*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "813", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2414282630348037`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.67390326737964`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09847381990572479`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.67390326737964`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 813, "   tar:  ", 1.2675, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2414282630348037`, "   Bstar:  ", 3.67390326737964, "   Xstar:  ", 
   0.09847381990572479, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.67390326737964^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326906991*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "814", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2414774850561807`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6778742932071227`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09811279034859618`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6778742932071227`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 814, "   tar:  ", 1.27, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2414774850561807`, "   Bstar:  ", 3.6778742932071227`, "   Xstar:  ", 
   0.09811279034859618, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6778742932071227`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073269179926`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "815", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2415242220049696`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6818432645070245`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09775365733490536`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6818432645070245`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 815, "   tar:  ", 1.2725, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2415242220049696`, "   Bstar:  ", 3.6818432645070245`, "   Xstar:  ", 
   0.09775365733490536, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6818432645070245`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073269299936`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "816", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241568504161733`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.685810181606071`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0973964082619851`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.685810181606071`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 816, "   tar:  ", 1.275, "   tarstar:  ", 1.1875, "   R:  ", 
   3.241568504161733, "   Bstar:  ", 3.685810181606071, "   Xstar:  ", 
   0.0973964082619851, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.685810181606071^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073269399943`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "817", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2416103614546494`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6897750448631195`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09704103062510237`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6897750448631195`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 817, "   tar:  ", 1.2775, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2416103614546494`, "   Bstar:  ", 3.6897750448631195`, "   Xstar:  ", 
   0.09704103062510237, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6897750448631195`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607326955996*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "818", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2416498234638143`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6937378546687025`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09668751201662659`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6937378546687025`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 818, "   tar:  ", 1.28, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2416498234638143`, "   Bstar:  ", 3.6937378546687025`, "   Xstar:  ", 
   0.09668751201662659, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6937378546687025`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073269729977`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "819", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2416869194254794`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6976986114445682`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09633584012520527`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6976986114445682`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 819, "   tar:  ", 1.2825, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2416869194254794`, "   Bstar:  ", 3.6976986114445682`, "   Xstar:  ", 
   0.09633584012520527, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6976986114445682`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732699*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "820", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2417216782362286`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.701657315643205`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09598600273494932`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.701657315643205`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 820, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.1875, 
   "   R:  ", 3.2417216782362286`, "   Bstar:  ", 3.701657315643205, 
   "   Xstar:  ", 0.09598600273494932, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.701657315643205^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073270100017`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "821", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241754128457096`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7056139677474063`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0956379877246211`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7056139677474063`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 821, "   tar:  ", 1.2875, "   tarstar:  ", 1.1875, "   R:  ", 
   3.241754128457096, "   Bstar:  ", 3.7056139677474063`, "   Xstar:  ", 
   0.0956379877246211, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7056139677474063`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327025003*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "822", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2417842983176546`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7095685682698147`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09529178306683282`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7095685682698147`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 822, "   tar:  ", 1.29, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2417842983176546`, "   Bstar:  ", 3.7095685682698147`, "   Xstar:  ", 
   0.09529178306683282, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7095685682698147`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073270400047`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "823", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2418122157200284`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.713521117752493`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09494737682724931`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.713521117752493`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 823, "   tar:  ", 1.2925, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2418122157200284`, "   Bstar:  ", 3.713521117752493, "   Xstar:  ", 
   0.09494737682724931, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.713521117752493^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073270580063`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "824", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2418379082428666`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7174716167665123`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09460475716379656`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7174716167665123`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 824, "   tar:  ", 1.295, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2418379082428666`, "   Bstar:  ", 3.7174716167665123`, "   Xstar:  ", 
   0.09460475716379656, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7174716167665123`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327076008*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "825", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241861403145265`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7214200659114693`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09426391232588384`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7214200659114693`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 825, "   tar:  ", 1.2975, "   tarstar:  ", 1.1875, "   R:  ", 
   3.241861403145265, "   Bstar:  ", 3.7214200659114693`, "   Xstar:  ", 
   0.09426391232588384, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7214200659114693`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073270900097`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "826", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2418827273706277`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7253664658151133`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09392483065362356`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7253664658151133`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 826, "   tar:  ", 1.3, "   tarstar:  ", 1.1875, "   R:  ", 
   3.2418827273706277`, "   Bstar:  ", 3.7253664658151133`, "   Xstar:  ", 
   0.09392483065362356, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7253664658151133`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327105011*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "827", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235531111921146`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.4982571138352943`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11632127545163415`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.4982571138352943`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 827, "   tar:  ", 1.155, "   tarstar:  ", 1.19, "   R:  ", 
   3.235531111921146, "   Bstar:  ", 3.4982571138352943`, "   Xstar:  ", 
   0.11632127545163415`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.4982571138352943`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073271200123`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "828", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2357293059347843`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.502328200691395`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11586219825606743`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.502328200691395`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 828, "   tar:  ", 1.1575, "   tarstar:  ", 1.19, "   R:  ", 
   3.2357293059347843`, "   Bstar:  ", 3.502328200691395, "   Xstar:  ", 
   0.11586219825606743`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.502328200691395^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073271330137`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "829", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2359232214401112`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5063972503488974`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11540569100474862`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5063972503488974`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 829, "   tar:  ", 1.16, "   tarstar:  ", 1.19, "   R:  ", 
   3.2359232214401112`, "   Bstar:  ", 3.5063972503488974`, "   Xstar:  ", 
   0.11540569100474862`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5063972503488974`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327145015*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "830", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2361129099060046`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5104642611266432`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11495173575778352`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5104642611266432`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 830, "   tar:  ", 1.1625, "   tarstar:  ", 1.19, "   R:  ", 
   3.2361129099060046`, "   Bstar:  ", 3.5104642611266432`, "   Xstar:  ", 
   0.11495173575778352`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5104642611266432`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327153016*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "831", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2362984221867652`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5145292314044974`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11450031471831155`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5145292314044974`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 831, "   tar:  ", 1.165, "   tarstar:  ", 1.19, "   R:  ", 
   3.2362984221867652`, "   Bstar:  ", 3.5145292314044974`, "   Xstar:  ", 
   0.11450031471831155`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5145292314044974`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327160016*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "832", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236479808529792`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.518592159622467`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11405141023132204`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.518592159622467`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 832, "   tar:  ", 1.1675, "   tarstar:  ", 1.19, "   R:  ", 
   3.236479808529792, "   Bstar:  ", 3.518592159622467, "   Xstar:  ", 
   0.11405141023132204`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.518592159622467^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073271660175`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "833", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2366571185831603`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5226530442798616`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1136050047824766`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5226530442798616`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 833, "   tar:  ", 1.17, "   tarstar:  ", 1.19, "   R:  ", 
   3.2366571185831603`, "   Bstar:  ", 3.5226530442798616`, "   Xstar:  ", 
   0.1136050047824766, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5226530442798616`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073271750183`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "834", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236830401403095`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.526711883934464`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11316108099693865`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.526711883934464`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 834, "   tar:  ", 1.1725, "   tarstar:  ", 1.19, "   R:  ", 
   3.236830401403095, "   Bstar:  ", 3.526711883934464, "   Xstar:  ", 
   0.11316108099693865`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.526711883934464^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073271820188`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "835", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2369997054613497`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5307686772016997`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11271962163821414`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5307686772016997`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 835, "   tar:  ", 1.175, "   tarstar:  ", 1.19, "   R:  ", 
   3.2369997054613497`, "   Bstar:  ", 3.5307686772016997`, "   Xstar:  ", 
   0.11271962163821414`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5307686772016997`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327189019*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "836", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237165078652504`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.534823422753848`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11228060960699701`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.534823422753848`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 836, "   tar:  ", 1.1775, "   tarstar:  ", 1.19, "   R:  ", 
   3.237165078652504, "   Bstar:  ", 3.534823422753848, "   Xstar:  ", 
   0.11228060960699701`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.534823422753848^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732719602*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "837", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237326568301135`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5388761193192027`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11184402794002889`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5388761193192027`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 837, "   tar:  ", 1.18, "   tarstar:  ", 1.19, "   R:  ", 
   3.237326568301135, "   Bstar:  ", 3.5388761193192027`, "   Xstar:  ", 
   0.11184402794002889`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5388761193192027`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327205021*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "838", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237484221168936`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5429267656813344`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11140985980895823`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5429267656813344`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 838, "   tar:  ", 1.1825, "   tarstar:  ", 1.19, "   R:  ", 
   3.237484221168936, "   Bstar:  ", 3.5429267656813344`, "   Xstar:  ", 
   0.11140985980895823`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5429267656813344`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073272110214`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "839", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237638083461715`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.54697536067827`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11097808851921773`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.54697536067827`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 839, "   tar:  ", 1.185, "   tarstar:  ", 1.19, "   R:  ", 
   3.237638083461715, "   Bstar:  ", 3.54697536067827, "   Xstar:  ", 
   0.11097808851921773`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.54697536067827^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327220022*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "840", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2377882008363033`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.551021903201748`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11054869750890278`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.551021903201748`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 840, "   tar:  ", 1.1875, "   tarstar:  ", 1.19, "   R:  ", 
   3.2377882008363033`, "   Bstar:  ", 3.551021903201748, "   Xstar:  ", 
   0.11054869750890278`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.551021903201748^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073272280235`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "841", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237934618407396`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5550663921964296`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1101216703476642`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5550663921964296`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 841, "   tar:  ", 1.19, "   tarstar:  ", 1.19, "   R:  ", 
   3.237934618407396, "   Bstar:  ", 3.5550663921964296`, "   Xstar:  ", 
   0.1101216703476642, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5550663921964296`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073272370243`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "842", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.19`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.238077380754282`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5591088266592177`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10969699073559905`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5591088266592177`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 842, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.19, 
   "   R:  ", 3.238077380754282, "   Bstar:  ", 3.5591088266592177`, 
   "   Xstar:  ", 0.10969699073559905`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5591088266592177`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327248025*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "843", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2382165319274976`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5631492056384406`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10927464250216509`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5631492056384406`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 843, "   tar:  ", 1.195, "   tarstar:  ", 1.19, "   R:  ", 
   3.2382165319274976`, "   Bstar:  ", 3.5631492056384406`, "   Xstar:  ", 
   0.10927464250216509`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5631492056384406`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073272600265`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "844", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2383521154553923`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5671875282331764`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10885460960508996`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5671875282331764`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 844, "   tar:  ", 1.1975, "   tarstar:  ", 1.19, "   R:  ", 
   3.2383521154553923`, "   Bstar:  ", 3.5671875282331764`, "   Xstar:  ", 
   0.10885460960508996`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5671875282331764`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073272690277`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "845", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2384841743506145`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5712237935925053`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1084368761292963`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5712237935925053`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 845, "   tar:  ", 1.2, "   tarstar:  ", 1.19, "   R:  ", 
   3.2384841743506145`, "   Bstar:  ", 3.5712237935925053`, "   Xstar:  ", 
   0.1084368761292963, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5712237935925053`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073272780285`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "846", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.19`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2386127511164977`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5752580009148383`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10802142628582952`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5752580009148383`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 846, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.19, 
   "   R:  ", 3.2386127511164977`, "   Bstar:  ", 3.5752580009148383`, 
   "   Xstar:  ", 0.10802142628582952`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5752580009148383`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327286029*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "847", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238737887753385`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.579290149447181`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10760824441080018`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.579290149447181`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 847, "   tar:  ", 1.205, "   tarstar:  ", 1.19, "   R:  ", 
   3.238737887753385, "   Bstar:  ", 3.579290149447181, "   Xstar:  ", 
   0.10760824441080018`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.579290149447181^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732729603*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "848", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.23885962576486`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5833202384844607`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10719731496433027`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5833202384844607`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 848, "   tar:  ", 1.2075, "   tarstar:  ", 1.19, "   R:  ", 
   3.23885962576486, "   Bstar:  ", 3.5833202384844607`, "   Xstar:  ", 
   0.10719731496433027`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5833202384844607`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327306031*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "849", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238978006163896`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.587348267368874`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10678862252950515`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.587348267368874`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 849, "   tar:  ", 1.21, "   tarstar:  ", 1.19, "   R:  ", 
   3.238978006163896, "   Bstar:  ", 3.587348267368874, "   Xstar:  ", 
   0.10678862252950515`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.587348267368874^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327314032*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "850", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.19`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2390930694789333`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.591374235489142`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1063821518113452`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.591374235489142`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 850, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.19, 
   "   R:  ", 3.2390930694789333`, "   Bstar:  ", 3.591374235489142, 
   "   Xstar:  ", 0.1063821518113452, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.591374235489142^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327325033*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "851", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239204855759866`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.595398142279924`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10597788763576951`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.595398142279924`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 851, "   tar:  ", 1.215, "   tarstar:  ", 1.19, "   R:  ", 
   3.239204855759866, "   Bstar:  ", 3.595398142279924, "   Xstar:  ", 
   0.10597788763576951`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.595398142279924^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327335034*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "852", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2393134045839713`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5994199872211383`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10557581494857862`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5994199872211383`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 852, "   tar:  ", 1.2175, "   tarstar:  ", 1.19, "   R:  ", 
   3.2393134045839713`, "   Bstar:  ", 3.5994199872211383`, "   Xstar:  ", 
   0.10557581494857862`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5994199872211383`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073273430347`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "853", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2394187550617444`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6034397698373186`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10517591881444197`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6034397698373186`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 853, "   tar:  ", 1.22, "   tarstar:  ", 1.19, "   R:  ", 
   3.2394187550617444`, "   Bstar:  ", 3.6034397698373186`, "   Xstar:  ", 
   0.10517591881444197`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6034397698373186`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073273510356`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "854", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.19`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2395209458426573`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.607457489696957`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10477818441589591`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.607457489696957`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 854, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.19, 
   "   R:  ", 3.2395209458426573`, "   Bstar:  ", 3.607457489696957, 
   "   Xstar:  ", 0.10477818441589591`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.607457489696957^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073273600364`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "855", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239620015120861`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.61147314641191`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10438259705234408`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.61147314641191`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 855, "   tar:  ", 1.225, "   tarstar:  ", 1.19, "   R:  ", 
   3.239620015120861, "   Bstar:  ", 3.61147314641191, "   Xstar:  ", 
   0.10438259705234408`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.61147314641191^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073273690376`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "856", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2397160006407963`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.615486739636756`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10398914213907197`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.615486739636756`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 856, "   tar:  ", 1.2275, "   tarstar:  ", 1.19, "   R:  ", 
   3.2397160006407963`, "   Bstar:  ", 3.615486739636756, "   Xstar:  ", 
   0.10398914213907197`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.615486739636756^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073273790383`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "857", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2398089397027476`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.619498269068214`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10359780520626331`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.619498269068214`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 857, "   tar:  ", 1.23, "   tarstar:  ", 1.19, "   R:  ", 
   3.2398089397027476`, "   Bstar:  ", 3.619498269068214, "   Xstar:  ", 
   0.10359780520626331`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.619498269068214^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327388039*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "858", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2398988691683006`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6235077344445163`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10320857189802986`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6235077344445163`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 858, "   tar:  ", 1.2325, "   tarstar:  ", 1.19, "   R:  ", 
   3.2398988691683006`, "   Bstar:  ", 3.6235077344445163`, "   Xstar:  ", 
   0.10320857189802986`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6235077344445163`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732739604*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "859", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.23998582546576`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.627515135544803`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10282142797144816`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.627515135544803`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 859, "   tar:  ", 1.235, "   tarstar:  ", 1.19, "   R:  ", 
   3.23998582546576, "   Bstar:  ", 3.627515135544803, "   Xstar:  ", 
   0.10282142797144816`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.627515135544803^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327403041*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "860", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2400698445954808`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6315204721885816`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10243635929559844`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6315204721885816`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 860, "   tar:  ", 1.2375, "   tarstar:  ", 1.19, "   R:  ", 
   3.2400698445954808`, "   Bstar:  ", 3.6315204721885816`, "   Xstar:  ", 
   0.10243635929559844`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6315204721885816`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327410042*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "861", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2401509621351283`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.635523744235095`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10205335185061981`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.635523744235095`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 861, "   tar:  ", 1.24, "   tarstar:  ", 1.19, "   R:  ", 
   3.2401509621351283`, "   Bstar:  ", 3.635523744235095, "   Xstar:  ", 
   0.10205335185061981`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.635523744235095^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073274170423`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "862", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240229213244872`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6395249515827937`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10167239172676551`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6395249515827937`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 862, "   tar:  ", 1.2425, "   tarstar:  ", 1.19, "   R:  ", 
   3.240229213244872, "   Bstar:  ", 3.6395249515827937`, "   Xstar:  ", 
   0.10167239172676551`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6395249515827937`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073274260435`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "863", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2403046326725296`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.64352409416876`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10129346512347027`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.64352409416876`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 863, "   tar:  ", 1.245, "   tarstar:  ", 1.19, "   R:  ", 
   3.2403046326725296`, "   Bstar:  ", 3.64352409416876, "   Xstar:  ", 
   0.10129346512347027`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.64352409416876^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327434044*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "864", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.24037725475862`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6475211719681417`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10091655834842503`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6475211719681417`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 864, "   tar:  ", 1.2475, "   tarstar:  ", 1.19, "   R:  ", 
   3.24037725475862, "   Bstar:  ", 3.6475211719681417`, "   Xstar:  ", 
   0.10091655834842503`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6475211719681417`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073274430447`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "865", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2404471134413635`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6515161849935986`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10054165781665905`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6515161849935986`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 865, "   tar:  ", 1.25, "   tarstar:  ", 1.19, "   R:  ", 
   3.2404471134413635`, "   Bstar:  ", 3.6515161849935986`, "   Xstar:  ", 
   0.10054165781665905`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6515161849935986`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073274500456`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "866", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2405142422616198`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6555091332947867`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10016875004962664`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6555091332947867`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 866, "   tar:  ", 1.2525, "   tarstar:  ", 1.19, "   R:  ", 
   3.2405142422616198`, "   Bstar:  ", 3.6555091332947867`, "   Xstar:  ", 
   0.10016875004962664`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6555091332947867`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073274590464`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "867", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.19`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.240578674367748`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6595000169578187`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09979782167430416`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6595000169578187`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 867, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.19, 
   "   R:  ", 3.240578674367748, "   Bstar:  ", 3.6595000169578187`, 
   "   Xstar:  ", 0.09979782167430416, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6595000169578187`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327470048*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "868", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240640442520439`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6634888361047215`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09942885942229591`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6634888361047215`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 868, "   tar:  ", 1.2575, "   tarstar:  ", 1.19, "   R:  ", 
   3.240640442520439, "   Bstar:  ", 3.6634888361047215`, "   Xstar:  ", 
   0.09942885942229591, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6634888361047215`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073274790487`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "869", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240699579097431`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.667475590892927`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09906185012894403`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.667475590892927`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 869, "   tar:  ", 1.26, "   tarstar:  ", 1.19, "   R:  ", 
   3.240699579097431, "   Bstar:  ", 3.667475590892927, "   Xstar:  ", 
   0.09906185012894403, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.667475590892927^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073274900494`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "870", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240756116098221`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6714602815147503`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09869678073244872`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6714602815147503`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 870, "   tar:  ", 1.2625, "   tarstar:  ", 1.19, "   R:  ", 
   3.240756116098221, "   Bstar:  ", 3.6714602815147503`, "   Xstar:  ", 
   0.09869678073244872, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6714602815147503`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073274980507`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "871", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.19`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2408100851486776`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6754429081969096`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09833363827299203`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6754429081969096`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 871, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.19, 
   "   R:  ", 3.2408100851486776`, "   Bstar:  ", 3.6754429081969096`, 
   "   Xstar:  ", 0.09833363827299203, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6754429081969096`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327508051*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "872", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2408615175056066`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6794234712000007`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09797240989187339`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6794234712000007`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 872, "   tar:  ", 1.2675, "   tarstar:  ", 1.19, "   R:  ", 
   3.2408615175056066`, "   Bstar:  ", 3.6794234712000007`, "   Xstar:  ", 
   0.09797240989187339, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6794234712000007`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073275160522`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "873", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2409104440612677`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6834019708180183`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09761308283064961`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6834019708180183`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 873, "   tar:  ", 1.27, "   tarstar:  ", 1.19, "   R:  ", 
   3.2409104440612677`, "   Bstar:  ", 3.6834019708180183`, "   Xstar:  ", 
   0.09761308283064961, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6834019708180183`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073275260534`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "874", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2409568953478076`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.687378407377838`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0972556444302852`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.687378407377838`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 874, "   tar:  ", 1.2725, "   tarstar:  ", 1.19, "   R:  ", 
   3.2409568953478076`, "   Bstar:  ", 3.687378407377838, "   Xstar:  ", 
   0.0972556444302852, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.687378407377838^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073275360537`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "875", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2410009015416708`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6913527812388103`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09690008213030146`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6913527812388103`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 875, "   tar:  ", 1.275, "   tarstar:  ", 1.19, "   R:  ", 
   3.2410009015416708`, "   Bstar:  ", 3.6913527812388103`, "   Xstar:  ", 
   0.09690008213030146, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6913527812388103`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073275460553`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "876", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241042492467929`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.695325092792194`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09654638346794649`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.695325092792194`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 876, "   tar:  ", 1.2775, "   tarstar:  ", 1.19, "   R:  ", 
   3.241042492467929, "   Bstar:  ", 3.695325092792194, "   Xstar:  ", 
   0.09654638346794649, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.695325092792194^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327555056*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "877", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2410816976045482`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6992953424607653`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09619453607735812`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6992953424607653`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 877, "   tar:  ", 1.28, "   tarstar:  ", 1.19, "   R:  ", 
   3.2410816976045482`, "   Bstar:  ", 3.6992953424607653`, "   Xstar:  ", 
   0.09619453607735812, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6992953424607653`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327564057*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "878", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241118546086636`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7032635306983273`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09584452768874284`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7032635306983273`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 878, "   tar:  ", 1.2825, "   tarstar:  ", 1.19, "   R:  ", 
   3.241118546086636, "   Bstar:  ", 3.7032635306983273`, "   Xstar:  ", 
   0.09584452768874284, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7032635306983273`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327576058*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "879", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.19`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.241153066710603`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7072296579892314`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09549634612756112`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7072296579892314`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 879, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.19, 
   "   R:  ", 3.241153066710603, "   Bstar:  ", 3.7072296579892314`, 
   "   Xstar:  ", 0.09549634612756112, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7072296579892314`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327583059*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "880", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2411852879382756`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.711193724847986`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09514997931371258`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.711193724847986`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 880, "   tar:  ", 1.2875, "   tarstar:  ", 1.19, "   R:  ", 
   3.2411852879382756`, "   Bstar:  ", 3.711193724847986, "   Xstar:  ", 
   0.09514997931371258, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.711193724847986^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732759406*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "881", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2412152379009735`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7151557318187565`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09480541526073846`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7151557318187565`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 881, "   tar:  ", 1.29, "   tarstar:  ", 1.19, "   R:  ", 
   3.2412152379009735`, "   Bstar:  ", 3.7151557318187565`, "   Xstar:  ", 
   0.09480541526073846, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7151557318187565`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073276030607`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "882", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2412429444035107`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7191156794749625`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09446264207502215`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7191156794749625`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 882, "   tar:  ", 1.2925, "   tarstar:  ", 1.19, "   R:  ", 
   3.2412429444035107`, "   Bstar:  ", 3.7191156794749625`, "   Xstar:  ", 
   0.09446264207502215, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7191156794749625`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327613062*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "883", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.241268434928168`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.72307356841883`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0941216479550021`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.72307356841883`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 883, "   tar:  ", 1.295, "   tarstar:  ", 1.19, "   R:  ", 
   3.241268434928168, "   Bstar:  ", 3.72307356841883, "   Xstar:  ", 
   0.0941216479550021, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.72307356841883^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073276220627`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "884", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2412917366385985`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7270293992809798`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09378242119038722`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7270293992809798`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 884, "   tar:  ", 1.2975, "   tarstar:  ", 1.19, "   R:  ", 
   3.2412917366385985`, "   Bstar:  ", 3.7270293992809798`, "   Xstar:  ", 
   0.09378242119038722, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7270293992809798`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073276290636`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "885", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.19`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2413128763836903`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.730983172720008`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09344495016138207`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.730983172720008`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 885, "   tar:  ", 1.3, "   tarstar:  ", 1.19, "   R:  ", 
   3.2413128763836903`, "   Bstar:  ", 3.730983172720008, "   Xstar:  ", 
   0.09344495016138207, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.730983172720008^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327636064*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "886", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.234992814546835`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.503430233534864`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11573833063252281`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.503430233534864`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 886, "   tar:  ", 1.155, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.234992814546835, "   Bstar:  ", 3.503430233534864, 
   "   Xstar:  ", 0.11573833063252281`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.503430233534864^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073276430645`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "887", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2351901518161448`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.507509207749504`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11528134545448185`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.507509207749504`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 887, "   tar:  ", 1.1575, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2351901518161448`, "   Bstar:  ", 3.507509207749504, 
   "   Xstar:  ", 0.11528134545448185`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.507509207749504^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327651066*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "888", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2353832261700615`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.51158613457792`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1148269202661538`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.51158613457792`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 888, "   tar:  ", 1.16, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2353832261700615`, "   Bstar:  ", 3.51158613457792, 
   "   Xstar:  ", 0.1148269202661538, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.51158613457792^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073276610665`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "889", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2355720889192683`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5156610123808725`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1143750371789389`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5156610123808725`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 889, "   tar:  ", 1.1625, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2355720889192683`, "   Bstar:  ", 3.5156610123808725`, 
   "   Xstar:  ", 0.1143750371789389, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5156610123808725`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073276690674`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "890", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2357567907613034`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5197338395798816`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11392567844709134`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5197338395798816`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 890, "   tar:  ", 1.165, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2357567907613034`, "   Bstar:  ", 3.5197338395798816`, 
   "   Xstar:  ", 0.11392567844709134`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5197338395798816`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327678068*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "891", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2359373817882258`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.523804614656387`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11347882646652954`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.523804614656387`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 891, "   tar:  ", 1.1675, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2359373817882258`, "   Bstar:  ", 3.523804614656387, 
   "   Xstar:  ", 0.11347882646652954`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.523804614656387^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073276880693`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "892", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2361139114941726`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5278733361509045`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11303446377365665`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5278733361509045`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 892, "   tar:  ", 1.17, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2361139114941726`, "   Bstar:  ", 3.5278733361509045`, 
   "   Xstar:  ", 0.11303446377365665`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5278733361509045`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073276950703`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "893", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.236286428782835`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.531940002662186`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11259257304419133`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.531940002662186`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 893, "   tar:  ", 1.1725, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.236286428782835, "   Bstar:  ", 3.531940002662186, 
   "   Xstar:  ", 0.11259257304419133`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.531940002662186^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073277030706`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "894", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.236454981974813`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5360046128464053`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11215313709200331`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5360046128464053`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 894, "   tar:  ", 1.175, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.236454981974813, "   Bstar:  ", 3.5360046128464053`, 
   "   Xstar:  ", 0.11215313709200331`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5360046128464053`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073277110715`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "895", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2366196188149203`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5400671654163447`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11171613886796068`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5400671654163447`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 895, "   tar:  ", 1.1775, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2366196188149203`, "   Bstar:  ", 3.5400671654163447`, 
   "   Xstar:  ", 0.11171613886796068`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5400671654163447`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073277180724`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "896", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.236780386479338`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.544127659140616`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11128156145878212`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.544127659140616`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 896, "   tar:  ", 1.18, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.236780386479338, "   Bstar:  ", 3.544127659140616, 
   "   Xstar:  ", 0.11128156145878212`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.544127659140616^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073277260733`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "897", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.236937331582713`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5481860928428124`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11084938808590655`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5481860928428124`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 897, "   tar:  ", 1.1825, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.236937331582713, "   Bstar:  ", 3.5481860928428124`, 
   "   Xstar:  ", 0.11084938808590655`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5481860928428124`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327735074*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "898", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2370905001851598`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.552242465400809`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11041960210435557`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.552242465400809`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 898, "   tar:  ", 1.185, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2370905001851598`, "   Bstar:  ", 3.552242465400809, 
   "   Xstar:  ", 0.11041960210435557`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.552242465400809^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327745075*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "899", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2372399377991594`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5562967757459587`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.109992187001618`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5562967757459587`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 899, "   tar:  ", 1.1875, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2372399377991594`, "   Bstar:  ", 3.5562967757459587`, 
   "   Xstar:  ", 0.109992187001618, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5562967757459587`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327755076*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "900", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.237385689396377`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.56034902286234`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10956712639653705`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.56034902286234`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 900, "   tar:  ", 1.19, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.237385689396377, "   Bstar:  ", 3.56034902286234, 
   "   Xstar:  ", 0.10956712639653705`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.56034902286234^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327765077*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "901", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1925000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237527799414397`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.564399205785987`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10914440403821009`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.564399205785987`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 901, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 
   1.1925000000000001`, "   R:  ", 3.237527799414397, "   Bstar:  ", 
   3.564399205785987, "   Xstar:  ", 0.10914440403821009`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.564399205785987^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327775078*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "902", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2376663117633573`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5684473236041976`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10872400380488821`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5684473236041976`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 902, "   tar:  ", 1.195, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2376663117633573`, "   Bstar:  ", 3.5684473236041976`, 
   "   Xstar:  ", 0.10872400380488821`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5684473236041976`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073277840786`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "903", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.23780126983251`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5724933754547874`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10830590970289214`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5724933754547874`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 903, "   tar:  ", 1.1975, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.23780126983251, "   Bstar:  ", 3.5724933754547874`, 
   "   Xstar:  ", 0.10830590970289214`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5724933754547874`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732779408*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "904", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2379327164966885`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5765373605253408`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10789010586553714`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5765373605253408`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 904, "   tar:  ", 1.2, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2379327164966885`, "   Bstar:  ", 3.5765373605253408`, 
   "   Xstar:  ", 0.10789010586553714`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5765373605253408`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073278030806`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "905", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1925000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2380606941226997`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.580579278052579`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10747657655205531`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.580579278052579`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 905, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 
   1.1925000000000001`, "   R:  ", 3.2380606941226997`, "   Bstar:  ", 
   3.580579278052579, "   Xstar:  ", 0.10747657655205531`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.580579278052579^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073278130817`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "906", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2381852445756185`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.584619127321592`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10706530614654072`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.584619127321592`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 906, "   tar:  ", 1.205, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2381852445756185`, "   Bstar:  ", 3.584619127321592, 
   "   Xstar:  ", 0.10706530614654072`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.584619127321592^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327827083*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "907", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.238306409225027`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.588656907665169`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10665627915689427`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.588656907665169`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 907, "   tar:  ", 1.2075, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.238306409225027, "   Bstar:  ", 3.588656907665169, 
   "   Xstar:  ", 0.10665627915689427`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.588656907665169^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327836084*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "908", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2384242289511436`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5926926184631656`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10624948021377369`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5926926184631656`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 908, "   tar:  ", 1.21, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2384242289511436`, "   Bstar:  ", 3.5926926184631656`, 
   "   Xstar:  ", 0.10624948021377369`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5926926184631656`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073278480854`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "909", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1925000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2385387441508895`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.596726259141755`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10584489406956424`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.596726259141755`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 909, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 
   1.1925000000000001`, "   R:  ", 3.2385387441508895`, "   Bstar:  ", 
   3.596726259141755, "   Xstar:  ", 0.10584489406956424`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.596726259141755^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073278580866`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "910", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2386499947438785`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6007578291728524`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10544250559734142`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6007578291728524`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 910, "   tar:  ", 1.215, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2386499947438785`, "   Bstar:  ", 3.6007578291728524`, 
   "   Xstar:  ", 0.10544250559734142`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6007578291728524`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073278670874`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "911", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2387580201783144`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6047873280733764`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1050422997898584`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6047873280733764`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 911, "   tar:  ", 1.2175, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2387580201783144`, "   Bstar:  ", 3.6047873280733764`, 
   "   Xstar:  ", 0.1050422997898584, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6047873280733764`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073278770885`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "912", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2388628594368365`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6088147554046843`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10464426175852572`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6088147554046843`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 912, "   tar:  ", 1.22, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2388628594368365`, "   Bstar:  ", 3.6088147554046843`, 
   "   Xstar:  ", 0.10464426175852572`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6088147554046843`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073278860893`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "913", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1925000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2389645510422604`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6128401107718964`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10424837673241072`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6128401107718964`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 913, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 
   1.1925000000000001`, "   R:  ", 3.2389645510422604`, "   Bstar:  ", 
   3.6128401107718964`, "   Xstar:  ", 0.10424837673241072`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6128401107718964`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732789709*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "914", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2390631330632678`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.616863393823273`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10385463005724008`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.616863393823273`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 914, "   tar:  ", 1.225, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2390631330632678`, "   Bstar:  ", 3.616863393823273, 
   "   Xstar:  ", 0.10385463005724008`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.616863393823273^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327907091*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "915", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2391586431200157`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6208846042496106`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1034630071944106`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6208846042496106`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 915, "   tar:  ", 1.2275, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2391586431200157`, "   Bstar:  ", 3.6208846042496106`, 
   "   Xstar:  ", 0.1034630071944106, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6208846042496106`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327916092*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "916", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2392511183896673`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6249037417836116`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10307349372000935`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6249037417836116`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 916, "   tar:  ", 1.23, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2392511183896673`, "   Bstar:  ", 3.6249037417836116`, 
   "   Xstar:  ", 0.10307349372000935`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6249037417836116`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073279250927`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "917", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2393405956118557`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.628920806199315`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10268607532383865`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.628920806199315`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 917, "   tar:  ", 1.2325, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2393405956118557`, "   Bstar:  ", 3.628920806199315, 
   "   Xstar:  ", 0.10268607532383865`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.628920806199315^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073279360943`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "918", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.239427111094087`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6329357973114687`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10230073780845411`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6329357973114687`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 918, "   tar:  ", 1.235, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.239427111094087, "   Bstar:  ", 3.6329357973114687`, 
   "   Xstar:  ", 0.10230073780845411`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6329357973114687`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327945095*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "919", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.239510700717047`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6369487149749733`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10191746708820447`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6369487149749733`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 919, "   tar:  ", 1.2375, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.239510700717047, "   Bstar:  ", 3.6369487149749733`, 
   "   Xstar:  ", 0.10191746708820447`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6369487149749733`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073279550962`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "920", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2395913999398767`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6409595590842896`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1015362491882841`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6409595590842896`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 920, "   tar:  ", 1.24, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2395913999398767`, "   Bstar:  ", 3.6409595590842896`, 
   "   Xstar:  ", 0.1015362491882841, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6409595590842896`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327964097*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "921", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2396692438053423`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6449683295728614`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1011570702437916`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6449683295728614`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 921, "   tar:  ", 1.2425, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2396692438053423`, "   Bstar:  ", 3.6449683295728614`, 
   "   Xstar:  ", 0.1011570702437916, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6449683295728614`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327974098*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "922", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2397442669449683`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.648975026412587`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10077991649879325`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.648975026412587`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 922, "   tar:  ", 1.245, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2397442669449683`, "   Bstar:  ", 3.648975026412587, 
   "   Xstar:  ", 0.10077991649879325`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.648975026412587^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607327983099*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "923", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.239816503584083`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.652979649613221`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10040477430540054`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.652979649613221`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 923, "   tar:  ", 1.2475, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.239816503584083, "   Bstar:  ", 3.652979649613221, 
   "   Xstar:  ", 0.10040477430540054`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.652979649613221^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073279921*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "924", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2398859875468156`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.656982199221858`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10003163012284894`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.656982199221858`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 924, "   tar:  ", 1.25, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2398859875468156`, "   Bstar:  ", 3.656982199221858, 
   "   Xstar:  ", 0.10003163012284894`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.656982199221858^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073280011005`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "925", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2399527522610185`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.660982675322396`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09966047051658611`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.660982675322396`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 925, "   tar:  ", 1.2525, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2399527522610185`, "   Bstar:  ", 3.660982675322396, 
   "   Xstar:  ", 0.09966047051658611, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.660982675322396^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073280091014`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "926", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1925000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240016830763124`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.664981078034962`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09929128215737301`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.664981078034962`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 926, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 
   1.1925000000000001`, "   R:  ", 3.240016830763124, "   Bstar:  ", 
   3.664981078034962, "   Xstar:  ", 0.09929128215737301, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.664981078034962^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328019102*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "927", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.240078255702954`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6689774075154364`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09892405182038284`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6689774075154364`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 927, "   tar:  ", 1.2575, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.240078255702954, "   Bstar:  ", 3.6689774075154364`, 
   "   Xstar:  ", 0.09892405182038284, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6689774075154364`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328028103*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "928", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2401370593484464`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6729716639549306`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0985587663843132`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6729716639549306`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 928, "   tar:  ", 1.26, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2401370593484464`, "   Bstar:  ", 3.6729716639549306`, 
   "   Xstar:  ", 0.0985587663843132, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6729716639549306`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328038104*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "929", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.24019327359034`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6769638475792212`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09819541283050941`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6769638475792212`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 929, "   tar:  ", 1.2625, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.24019327359034, "   Bstar:  ", 3.6769638475792212`, 
   "   Xstar:  ", 0.09819541283050941, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6769638475792212`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073280471053`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "930", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1925000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240246929946788`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6809539586483018`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09783397824208631`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6809539586483018`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 930, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 
   1.1925000000000001`, "   R:  ", 3.240246929946788, "   Bstar:  ", 
   3.6809539586483018`, "   Xstar:  ", 0.09783397824208631, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6809539586483018`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073280601063`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "931", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2402980595679107`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.68494199745589`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09747444980306103`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.68494199745589`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 931, "   tar:  ", 1.2675, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2402980595679107`, "   Bstar:  ", 3.68494199745589, 
   "   Xstar:  ", 0.09747444980306103, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.68494199745589^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328069107*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "932", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2403466932403`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6889279643288795`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.097116814797499`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6889279643288795`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 932, "   tar:  ", 1.27, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2403466932403, "   Bstar:  ", 3.6889279643288795`, 
   "   Xstar:  ", 0.097116814797499, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6889279643288795`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328075108*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "933", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.240392861391461`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.692911859626894`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09676106060865874`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.692911859626894`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 933, "   tar:  ", 1.2725, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.240392861391461, "   Bstar:  ", 3.692911859626894, 
   "   Xstar:  ", 0.09676106060865874, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.692911859626894^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073280811086`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "934", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2404365940941844`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.696893683741815`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09640717471814629`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.696893683741815`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 934, "   tar:  ", 1.275, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2404365940941844`, "   Bstar:  ", 3.696893683741815, 
   "   Xstar:  ", 0.09640717471814629, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.696893683741815^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073280891094`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "935", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2404779210708914`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7008734370972913`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09605514470507961`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7008734370972913`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 935, "   tar:  ", 1.2775, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2404779210708914`, "   Bstar:  ", 3.7008734370972913`, 
   "   Xstar:  ", 0.09605514470507961, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7008734370972913`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732809511*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "936", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2405168716978916`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.70485112014829`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09570495824525652`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.70485112014829`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 936, "   tar:  ", 1.28, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2405168716978916`, "   Bstar:  ", 3.70485112014829, 
   "   Xstar:  ", 0.09570495824525652, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.70485112014829^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073281011105`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "937", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.240553475009601`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7088267333806106`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09535660311033357`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7088267333806106`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 937, "   tar:  ", 1.2825, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.240553475009601, "   Bstar:  ", 3.7088267333806106`, 
   "   Xstar:  ", 0.09535660311033357, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7088267333806106`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328107111*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "938", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1925000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240587759702709`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.712800277310452`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09501006716700783`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.712800277310452`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 938, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 
   1.1925000000000001`, "   R:  ", 3.240587759702709, "   Bstar:  ", 
   3.712800277310452, "   Xstar:  ", 0.09501006716700783, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.712800277310452^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073281131115`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "939", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.240619754140293`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7167717524839645`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09466533837620762`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7167717524839645`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 939, "   tar:  ", 1.2875, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.240619754140293, "   Bstar:  ", 3.7167717524839645`, 
   "   Xstar:  ", 0.09466533837620762, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7167717524839645`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073281231127`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "940", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.240649486355865`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.720741159476808`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09432240479228966`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.720741159476808`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 940, "   tar:  ", 1.29, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.240649486355865, "   Bstar:  ", 3.720741159476808, 
   "   Xstar:  ", 0.09432240479228966, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.720741159476808^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328133114*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "941", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2406769840573793`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7247084988937087`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09398125456224452`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7247084988937087`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 941, "   tar:  ", 1.2925, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2406769840573793`, "   Bstar:  ", 3.7247084988937087`, 
   "   Xstar:  ", 0.09398125456224452, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7247084988937087`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328143115*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "942", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2407022746311926`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7286737713680265`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09364187592490752`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7286737713680265`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 942, "   tar:  ", 1.295, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.2407022746311926`, "   Bstar:  ", 3.7286737713680265`, 
   "   Xstar:  ", 0.09364187592490752, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7286737713680265`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073281531157`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "943", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.240725385145959`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7326369775613366`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09330425721017659`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7326369775613366`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 943, "   tar:  ", 1.2975, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.240725385145959, "   Bstar:  ", 3.7326369775613366`, 
   "   Xstar:  ", 0.09330425721017659, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7326369775613366`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328162117*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "944", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.240746342356489`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.736598118163028`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0929683868382349`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.736598118163028`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 944, "   tar:  ", 1.3, "   tarstar:  ", 1.1925000000000001`, 
   "   R:  ", 3.240746342356489, "   Bstar:  ", 3.736598118163028, 
   "   Xstar:  ", 0.0929683868382349, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.736598118163028^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073281721177`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "945", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.234457600254743`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5086019825386883`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11515931388604869`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5086019825386883`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 945, "   tar:  ", 1.155, "   tarstar:  ", 1.195, "   R:  ", 
   3.234457600254743, "   Bstar:  ", 3.5086019825386883`, "   Xstar:  ", 
   0.11515931388604869`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5086019825386883`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328182119*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "946", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2346540863387916`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.512688836940503`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11470440854217451`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.512688836940503`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 946, "   tar:  ", 1.1575, "   tarstar:  ", 1.195, "   R:  ", 
   3.2346540863387916`, "   Bstar:  ", 3.512688836940503, "   Xstar:  ", 
   0.11470440854217451`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.512688836940503^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073281911197`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "947", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2348463250217394`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5167736337840756`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11425205327541717`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5167736337840756`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 947, "   tar:  ", 1.16, "   tarstar:  ", 1.195, "   R:  ", 
   3.2348463250217394`, "   Bstar:  ", 3.5167736337840756`, "   Xstar:  ", 
   0.11425205327541717`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5167736337840756`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073282001204`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "948", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2350343674566484`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5208563714720196`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11380223024843278`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5208563714720196`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 948, "   tar:  ", 1.1625, "   tarstar:  ", 1.195, "   R:  ", 
   3.2350343674566484`, "   Bstar:  ", 3.5208563714720196`, "   Xstar:  ", 
   0.11380223024843278`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5208563714720196`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073282091217`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "949", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235218264184855`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5249370484675033`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11335492176654248`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5249370484675033`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 949, "   tar:  ", 1.165, "   tarstar:  ", 1.195, "   R:  ", 
   3.235218264184855, "   Bstar:  ", 3.5249370484675033`, "   Xstar:  ", 
   0.11335492176654248`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5249370484675033`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073282191224`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "950", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2353980651436354`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.529015663293361`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11291011027654717`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.529015663293361`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 950, "   tar:  ", 1.1675, "   tarstar:  ", 1.195, "   R:  ", 
   3.2353980651436354`, "   Bstar:  ", 3.529015663293361, "   Xstar:  ", 
   0.11291011027654717`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.529015663293361^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328229123*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "951", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2355738196737525`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.533092214531256`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11246777836554513`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.533092214531256`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 951, "   tar:  ", 1.17, "   tarstar:  ", 1.195, "   R:  ", 
   3.2355738196737525`, "   Bstar:  ", 3.533092214531256, "   Xstar:  ", 
   0.11246777836554513`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.533092214531256^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073282411246`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "952", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235745576526919`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.537166700820902`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11202790875975438`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.537166700820902`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 952, "   tar:  ", 1.1725, "   tarstar:  ", 1.195, "   R:  ", 
   3.235745576526919, "   Bstar:  ", 3.537166700820902, "   Xstar:  ", 
   0.11202790875975438`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.537166700820902^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073282521257`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "953", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2359133838731524`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.541239120859161`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1115904843233577`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.541239120859161`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 953, "   tar:  ", 1.175, "   tarstar:  ", 1.195, "   R:  ", 
   3.2359133838731524`, "   Bstar:  ", 3.541239120859161, "   Xstar:  ", 
   0.1115904843233577, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.541239120859161^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328262127*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "954", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236077289308045`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5453094733993042`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11115548805733862`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5453094733993042`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 954, "   tar:  ", 1.1775, "   tarstar:  ", 1.195, "   R:  ", 
   3.236077289308045, "   Bstar:  ", 3.5453094733993042`, "   Xstar:  ", 
   0.11115548805733862`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5453094733993042`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073282711277`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "955", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236237339859933`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5493777572501712`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11072290309834051`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5493777572501712`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 955, "   tar:  ", 1.18, "   tarstar:  ", 1.195, "   R:  ", 
   3.236237339859933, "   Bstar:  ", 3.5493777572501712`, "   Xstar:  ", 
   0.11072290309834051`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5493777572501712`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073282801285`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "956", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236393581996978`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5534439712754096`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11029271271752442`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5534439712754096`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 956, "   tar:  ", 1.1825, "   tarstar:  ", 1.195, "   R:  ", 
   3.236393581996978, "   Bstar:  ", 3.5534439712754096`, "   Xstar:  ", 
   0.11029271271752442`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5534439712754096`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073282871294`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "957", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2365460616341495`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.557508114392677`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10986490031944186`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.557508114392677`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 957, "   tar:  ", 1.185, "   tarstar:  ", 1.195, "   R:  ", 
   3.2365460616341495`, "   Bstar:  ", 3.557508114392677, "   Xstar:  ", 
   0.10986490031944186`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.557508114392677^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732829613*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "958", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2366948241401214`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5615701855729025`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10943944944091055`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5615701855729025`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 958, "   tar:  ", 1.1875, "   tarstar:  ", 1.195, "   R:  ", 
   3.2366948241401214`, "   Bstar:  ", 3.5615701855729025`, "   Xstar:  ", 
   0.10943944944091055`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5615701855729025`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073283041306`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "959", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2368399143440856`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5656301838395006`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1090163437499046`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5656301838395006`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 959, "   tar:  ", 1.19, "   tarstar:  ", 1.195, "   R:  ", 
   3.2368399143440856`, "   Bstar:  ", 3.5656301838395006`, "   Xstar:  ", 
   0.1090163437499046, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5656301838395006`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328313132*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "960", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2369813765424604`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5696881082676777`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10859556704444456`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5696881082676777`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 960, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.195, 
   "   R:  ", 3.2369813765424604`, "   Bstar:  ", 3.5696881082676777`, 
   "   Xstar:  ", 0.10859556704444456`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5696881082676777`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073283231325`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "961", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2371192545055325`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5737439579836066`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10817710325151078`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5737439579836066`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 961, "   tar:  ", 1.195, "   tarstar:  ", 1.195, "   R:  ", 
   3.2371192545055325`, "   Bstar:  ", 3.5737439579836066`, "   Xstar:  ", 
   0.10817710325151078`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5737439579836066`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073283301334`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "962", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.23725359148399`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5777977321637957`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10776093642594614`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5777977321637957`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 962, "   tar:  ", 1.1975, "   tarstar:  ", 1.195, "   R:  ", 
   3.23725359148399, "   Bstar:  ", 3.5777977321637957`, "   Xstar:  ", 
   0.10776093642594614`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5777977321637957`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073283371344`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "963", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2373844302154007`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.581849430034336`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10734705074938017`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.581849430034336`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 963, "   tar:  ", 1.2, "   tarstar:  ", 1.195, "   R:  ", 
   3.2373844302154007`, "   Bstar:  ", 3.581849430034336, "   Xstar:  ", 
   0.10734705074938017`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.581849430034336^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328344135*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "964", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2375118129305718`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.585899050870179`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1069354305291606`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.585899050870179`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 964, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.195, 
   "   R:  ", 3.2375118129305718`, "   Bstar:  ", 3.585899050870179, 
   "   Xstar:  ", 0.1069354305291606, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.585899050870179^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073283511353`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "965", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2376357813598524`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.589946593994473`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10652606019728654`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.589946593994473`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 965, "   tar:  ", 1.205, "   tarstar:  ", 1.195, "   R:  ", 
   3.2376357813598524`, "   Bstar:  ", 3.589946593994473, "   Xstar:  ", 
   0.10652606019728654`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.589946593994473^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328363137*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "966", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237756376739353`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5939920587778453`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10611892430935764`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5939920587778453`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 966, "   tar:  ", 1.2075, "   tarstar:  ", 1.195, "   R:  ", 
   3.237756376739353, "   Bstar:  ", 3.5939920587778453`, "   Xstar:  ", 
   0.10611892430935764`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5939920587778453`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073283751383`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "967", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237873639817066`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5980354446377385`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10571400754352692`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5980354446377385`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 967, "   tar:  ", 1.21, "   tarstar:  ", 1.195, "   R:  ", 
   3.237873639817066, "   Bstar:  ", 3.5980354446377385`, "   Xstar:  ", 
   0.10571400754352692`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5980354446377385`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328386139*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "968", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2379876108589243`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.602076751037769`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10531129469945964`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.602076751037769`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 968, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.195, 
   "   R:  ", 3.2379876108589243`, "   Bstar:  ", 3.602076751037769, 
   "   Xstar:  ", 0.10531129469945964`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.602076751037769^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073283981404`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "969", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238098329654781`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.606115977487023`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1049107706973088`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.606115977487023`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 969, "   tar:  ", 1.215, "   tarstar:  ", 1.195, "   R:  ", 
   3.238098329654781, "   Bstar:  ", 3.606115977487023, "   Xstar:  ", 
   0.1049107706973088, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.606115977487023^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073284111414`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "970", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2382058355242993`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.610153123539416`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1045124205766919`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.610153123539416`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 970, "   tar:  ", 1.2175, "   tarstar:  ", 1.195, "   R:  ", 
   3.2382058355242993`, "   Bstar:  ", 3.610153123539416, "   Xstar:  ", 
   0.1045124205766919, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.610153123539416^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328424143*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "971", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2383101673227785`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6141881887930896`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1041162294956743`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6141881887930896`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 971, "   tar:  ", 1.22, "   tarstar:  ", 1.195, "   R:  ", 
   3.2383101673227785`, "   Bstar:  ", 3.6141881887930896`, "   Xstar:  ", 
   0.1041162294956743, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6141881887930896`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328436144*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "972", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2384113634468945`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.618221172889726`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10372218272976921`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.618221172889726`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 972, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.195, 
   "   R:  ", 3.2384113634468945`, "   Bstar:  ", 3.618221172889726, 
   "   Xstar:  ", 0.10372218272976921`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.618221172889726^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073284491453`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "973", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2385094618403807`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6222520755139653`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10333026567093592`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6222520755139653`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 973, "   tar:  ", 1.225, "   tarstar:  ", 1.195, "   R:  ", 
   3.2385094618403807`, "   Bstar:  ", 3.6222520755139653`, "   Xstar:  ", 
   0.10333026567093592`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6222520755139653`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073284611464`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "974", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2386044999996204`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6262808963927524`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10294046382659472`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6262808963927524`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 974, "   tar:  ", 1.2275, "   tarstar:  ", 1.195, "   R:  ", 
   3.2386044999996204`, "   Bstar:  ", 3.6262808963927524`, "   Xstar:  ", 
   0.10294046382659472`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6262808963927524`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328474148*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "975", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238696514979171`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6303076352947747`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10255276281864113`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6303076352947747`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 975, "   tar:  ", 1.23, "   tarstar:  ", 1.195, "   R:  ", 
   3.238696514979171, "   Bstar:  ", 3.6303076352947747`, "   Xstar:  ", 
   0.10255276281864113`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6303076352947747`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073284861493`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "976", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2387855433972237`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6343322920298085`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10216714838247756`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6343322920298085`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 976, "   tar:  ", 1.2325, "   tarstar:  ", 1.195, "   R:  ", 
   3.2387855433972237`, "   Bstar:  ", 3.6343322920298085`, "   Xstar:  ", 
   0.10216714838247756`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6343322920298085`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073284981503`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "977", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2388716214409823`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6383548664481724`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10178360636604442`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6383548664481724`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 977, "   tar:  ", 1.235, "   tarstar:  ", 1.195, "   R:  ", 
   3.2388716214409823`, "   Bstar:  ", 3.6383548664481724`, "   Xstar:  ", 
   0.10178360636604442`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6383548664481724`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328510152*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "978", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238954784871978`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.642375358440115`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10140212272886455`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.642375358440115`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 978, "   tar:  ", 1.2375, "   tarstar:  ", 1.195, "   R:  ", 
   3.238954784871978, "   Bstar:  ", 3.642375358440115, "   Xstar:  ", 
   0.10140212272886455`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.642375358440115^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073285211525`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "979", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2390350690313254`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6463937679352676`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10102268354109135`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6463937679352676`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 979, "   tar:  ", 1.24, "   tarstar:  ", 1.195, "   R:  ", 
   3.2390350690313254`, "   Bstar:  ", 3.6463937679352676`, "   Xstar:  ", 
   0.10102268354109135`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6463937679352676`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073285291533`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "980", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239112508844884`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6504100949020417`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10064527498257049`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6504100949020417`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 980, "   tar:  ", 1.2425, "   tarstar:  ", 1.195, "   R:  ", 
   3.239112508844884, "   Bstar:  ", 3.6504100949020417`, "   Xstar:  ", 
   0.10064527498257049`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6504100949020417`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328536154*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "981", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2391871388283806`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6544243393470954`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10026988334190264`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6544243393470954`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 981, "   tar:  ", 1.245, "   tarstar:  ", 1.195, "   R:  ", 
   3.2391871388283806`, "   Bstar:  ", 3.6544243393470954`, "   Xstar:  ", 
   0.10026988334190264`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6544243393470954`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328544155*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "982", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239258993092453`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6584365013147533`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09989649501551975`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6584365013147533`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 982, "   tar:  ", 1.2475, "   tarstar:  ", 1.195, "   R:  ", 
   3.239258993092453, "   Bstar:  ", 3.6584365013147533`, "   Xstar:  ", 
   0.09989649501551975, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6584365013147533`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073285521555`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "983", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2393281053476266`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6624465808864946`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09952509650676393`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6624465808864946`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 983, "   tar:  ", 1.25, "   tarstar:  ", 1.195, "   R:  ", 
   3.2393281053476266`, "   Bstar:  ", 3.6624465808864946`, "   Xstar:  ", 
   0.09952509650676393, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6624465808864946`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073285591564`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "984", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2393945089092364`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.666454578180401`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09915567442497675`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.666454578180401`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 984, "   tar:  ", 1.2525, "   tarstar:  ", 1.195, "   R:  ", 
   3.2393945089092364`, "   Bstar:  ", 3.666454578180401, "   Xstar:  ", 
   0.09915567442497675, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.666454578180401^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328568157*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "985", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2394582367022706`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6704604933506024`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09878821548459822`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6704604933506024`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 985, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.195, 
   "   R:  ", 3.2394582367022706`, "   Bstar:  ", 3.6704604933506024`, 
   "   Xstar:  ", 0.09878821548459822, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6704604933506024`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073285781584`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "986", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2395193212661697`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6744643265867936`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09842270650426713`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6744643265867936`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 986, "   tar:  ", 1.2575, "   tarstar:  ", 1.195, "   R:  ", 
   3.2395193212661697`, "   Bstar:  ", 3.6744643265867936`, "   Xstar:  ", 
   0.09842270650426713, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6744643265867936`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328587159*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "987", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239577794759549`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6784660781136758`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09805913440593632`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6784660781136758`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 987, "   tar:  ", 1.26, "   tarstar:  ", 1.195, "   R:  ", 
   3.239577794759549, "   Bstar:  ", 3.6784660781136758`, "   Xstar:  ", 
   0.09805913440593632, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6784660781136758`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073285971603`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "988", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239633688964868`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.682465748190481`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09769748621398848`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.682465748190481`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 988, "   tar:  ", 1.2625, "   tarstar:  ", 1.195, "   R:  ", 
   3.239633688964868, "   Bstar:  ", 3.682465748190481, "   Xstar:  ", 
   0.09769748621398848, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.682465748190481^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328606161*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "989", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.239687035293037`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.686463337110441`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09733774905436482`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.686463337110441`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 989, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.195, 
   "   R:  ", 3.239687035293037, "   Bstar:  ", 3.686463337110441, 
   "   Xstar:  ", 0.09733774905436482, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.686463337110441^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328614162*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "990", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2397378647879687`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.690458845200313`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09697991015369717`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.690458845200313`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 990, "   tar:  ", 1.2675, "   tarstar:  ", 1.195, "   R:  ", 
   3.2397378647879687`, "   Bstar:  ", 3.690458845200313, "   Xstar:  ", 
   0.09697991015369717, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.690458845200313^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328625163*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "991", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239786208131059`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.694452272819873`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09662395683844992`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.694452272819873`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 991, "   tar:  ", 1.27, "   tarstar:  ", 1.195, "   R:  ", 
   3.239786208131059, "   Bstar:  ", 3.694452272819873, "   Xstar:  ", 
   0.09662395683844992, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.694452272819873^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073286361637`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "992", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2398320956456255`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6984436203614504`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09626987653406724`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6984436203614504`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 992, "   tar:  ", 1.2725, "   tarstar:  ", 1.195, "   R:  ", 
   3.2398320956456255`, "   Bstar:  ", 3.6984436203614504`, "   Xstar:  ", 
   0.09626987653406724, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6984436203614504`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328646165*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "993", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2398755573012834`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.702432888249419`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09591765676413119`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.702432888249419`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 993, "   tar:  ", 1.275, "   tarstar:  ", 1.195, "   R:  ", 
   3.2398755573012834`, "   Bstar:  ", 3.702432888249419, "   Xstar:  ", 
   0.09591765676413119, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.702432888249419^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073286591663`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "994", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239916622718259`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7064200769397533`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09556728514952162`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7064200769397533`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 994, "   tar:  ", 1.2775, "   tarstar:  ", 1.195, "   R:  ", 
   3.239916622718259, "   Bstar:  ", 3.7064200769397533`, "   Xstar:  ", 
   0.09556728514952162, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7064200769397533`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073286711674`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "995", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2399553211716596`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7104051869195707`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09521874940758615`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7104051869195707`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 995, "   tar:  ", 1.28, "   tarstar:  ", 1.195, "   R:  ", 
   3.2399553211716596`, "   Bstar:  ", 3.7104051869195707`, "   Xstar:  ", 
   0.09521874940758615, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7104051869195707`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328683169*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "996", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2399916815956726`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.714388218706638`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09487203735131924`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.714388218706638`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 996, "   tar:  ", 1.2825, "   tarstar:  ", 1.195, "   R:  ", 
   3.2399916815956726`, "   Bstar:  ", 3.714388218706638, "   Xstar:  ", 
   0.09487203735131924, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.714388218706638^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732869617*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "997", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.240025732587725`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.718369172848947`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0945271368885443`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.718369172848947`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 997, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.195, 
   "   R:  ", 3.240025732587725, "   Bstar:  ", 3.718369172848947, 
   "   Xstar:  ", 0.0945271368885443, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.718369172848947^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073287091713`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "998", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240057502412584`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7223480499242556`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09418403602110534`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7223480499242556`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 998, "   tar:  ", 1.2875, "   tarstar:  ", 1.195, "   R:  ", 
   3.240057502412584, "   Bstar:  ", 3.7223480499242556`, "   Xstar:  ", 
   0.09418403602110534, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7223480499242556`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073287221727`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "999", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2400870190064106`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7263248505396627`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09384272284406331`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7263248505396627`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 999, "   tar:  ", 1.29, "   tarstar:  ", 1.195, "   R:  ", 
   3.2400870190064106`, "   Bstar:  ", 3.7263248505396627`, "   Xstar:  ", 
   0.09384272284406331, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7263248505396627`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328735174*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1000", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240114309980743`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7302995753311587`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0935031855449024`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7302995753311587`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1000, "   tar:  ", 1.2925, "   tarstar:  ", 1.195, "   R:  ", 
   3.240114309980743, "   Bstar:  ", 3.7302995753311587`, "   Xstar:  ", 
   0.0935031855449024, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7302995753311587`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328749175*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1001", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240139402626452`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.734272224963195`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09316541240274152`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.734272224963195`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1001, "   tar:  ", 1.295, "   tarstar:  ", 1.195, "   R:  ", 
   3.240139402626452, "   Bstar:  ", 3.734272224963195, "   Xstar:  ", 
   0.09316541240274152, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.734272224963195^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073287621765`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1002", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240162323917636`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7382428001282664`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09282939178755219`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7382428001282664`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1002, "   tar:  ", 1.2975, "   tarstar:  ", 1.195, "   R:  ", 
   3.240162323917636, "   Bstar:  ", 3.7382428001282664`, "   Xstar:  ", 
   0.09282939178755219, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7382428001282664`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328775178*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1003", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.195`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.240183100515464`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.742211301546507`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09249511215938237`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.742211301546507`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1003, "   tar:  ", 1.3, "   tarstar:  ", 1.195, "   R:  ", 
   3.240183100515464, "   Bstar:  ", 3.742211301546507, "   Xstar:  ", 
   0.09249511215938237, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.742211301546507^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073287841787`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1004", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2339254465327247`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5137723586794363`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11458419252866084`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5137723586794363`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1004, "   tar:  ", 1.155, "   tarstar:  ", 1.1975, "   R:  ", 
   3.2339254465327247`, "   Bstar:  ", 3.5137723586794363`, "   Xstar:  ", 
   0.11458419252866084`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5137723586794363`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073287931795`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1005", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.234121086942747`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.517867086125932`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11413135491594287`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.517867086125932`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1005, "   tar:  ", 1.1575, "   tarstar:  ", 1.1975, "   R:  ", 
   3.234121086942747, "   Bstar:  ", 3.517867086125932, "   Xstar:  ", 
   0.11413135491594287`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.517867086125932^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328802181*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1006", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.234312495387818`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.521959745857721`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11368105750959234`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.521959745857721`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1006, "   tar:  ", 1.16, "   tarstar:  ", 1.1975, "   R:  ", 
   3.234312495387818, "   Bstar:  ", 3.521959745857721, "   Xstar:  ", 
   0.11368105750959234`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.521959745857721^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073288111815`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1007", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2344997228639323`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5260503363192623`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11323328252347327`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5260503363192623`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1007, "   tar:  ", 1.1625, "   tarstar:  ", 1.1975, "   R:  ", 
   3.2344997228639323`, "   Bstar:  ", 3.5260503363192623`, "   Xstar:  ", 
   0.11323328252347327`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5260503363192623`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073288201823`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1008", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.234682819756791`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5301388560152964`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11278801231393168`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5301388560152964`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1008, "   tar:  ", 1.165, "   tarstar:  ", 1.1975, "   R:  ", 
   3.234682819756791, "   Bstar:  ", 3.5301388560152964`, "   Xstar:  ", 
   0.11278801231393168`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5301388560152964`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073288291836`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1009", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.234861835849449`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.53422530351003`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11234522937859963`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.53422530351003`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1009, "   tar:  ", 1.1675, "   tarstar:  ", 1.1975, "   R:  ", 
   3.234861835849449, "   Bstar:  ", 3.53422530351003, "   Xstar:  ", 
   0.11234522937859963`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.53422530351003^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073288381844`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1010", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235036820329854`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5383096774262746`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11190491635521531`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5383096774262746`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1010, "   tar:  ", 1.17, "   tarstar:  ", 1.1975, "   R:  ", 
   3.235036820329854, "   Bstar:  ", 3.5383096774262746`, "   Xstar:  ", 
   0.11190491635521531`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5383096774262746`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328847185*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1011", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2352078217982996`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5423919764446055`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11146705602044932`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5423919764446055`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1011, "   tar:  ", 1.1725, "   tarstar:  ", 1.1975, "   R:  ", 
   3.2352078217982996`, "   Bstar:  ", 3.5423919764446055`, "   Xstar:  ", 
   0.11146705602044932`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5423919764446055`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073288571863`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1012", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235374888274769`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.546472199302585`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11103163128873522`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.546472199302585`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1012, "   tar:  ", 1.175, "   tarstar:  ", 1.1975, "   R:  ", 
   3.235374888274769, "   Bstar:  ", 3.546472199302585, "   Xstar:  ", 
   0.11103163128873522`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.546472199302585^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073288651867`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1013", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2355380672061953`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.550550344793908`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11059862521111788`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.550550344793908`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1013, "   tar:  ", 1.1775, "   tarstar:  ", 1.1975, "   R:  ", 
   3.2355380672061953`, "   Bstar:  ", 3.550550344793908, "   Xstar:  ", 
   0.11059862521111788`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.550550344793908^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328875188*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1014", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2356974054736236`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.554626411767619`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11016802097410258`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.554626411767619`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1014, "   tar:  ", 1.18, "   tarstar:  ", 1.1975, "   R:  ", 
   3.2356974054736236`, "   Bstar:  ", 3.554626411767619, "   Xstar:  ", 
   0.11016802097410258`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.554626411767619^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328885189*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1015", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235852949399276`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5587003991273654`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10973980189851264`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5587003991273654`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1015, "   tar:  ", 1.1825, "   tarstar:  ", 1.1975, "   R:  ", 
   3.235852949399276, "   Bstar:  ", 3.5587003991273654`, "   Xstar:  ", 
   0.10973980189851264`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5587003991273654`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073288961897`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1016", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2360047447535285`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.562772305830561`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10931395143836349`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.562772305830561`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1016, "   tar:  ", 1.185, "   tarstar:  ", 1.1975, "   R:  ", 
   3.2360047447535285`, "   Bstar:  ", 3.562772305830561, "   Xstar:  ", 
   0.10931395143836349`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.562772305830561^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073289071913`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1017", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236152836761801`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5668421308876708`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10889045317973572`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5668421308876708`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1017, "   tar:  ", 1.1875, "   tarstar:  ", 1.1975, "   R:  ", 
   3.236152836761801, "   Bstar:  ", 3.5668421308876708`, "   Xstar:  ", 
   0.10889045317973572`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5668421308876708`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073289191923`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1018", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236297270111349`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5709098733614177`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10846929083966475`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5709098733614177`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1018, "   tar:  ", 1.19, "   tarstar:  ", 1.1975, "   R:  ", 
   3.236297270111349, "   Bstar:  ", 3.5709098733614177`, "   Xstar:  ", 
   0.10846929083966475`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5709098733614177`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073289321938`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1019", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2364380889579727`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.574975532366099`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.108050448265029`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.574975532366099`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1019, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.1975, 
   "   R:  ", 3.2364380889579727`, "   Bstar:  ", 3.574975532366099, 
   "   Xstar:  ", 0.108050448265029, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.574975532366099^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328943195*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1020", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2365753369326455`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.579039107066774`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10763390943146081`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.579039107066774`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1020, "   tar:  ", 1.195, "   tarstar:  ", 1.1975, "   R:  ", 
   3.2365753369326455`, "   Bstar:  ", 3.579039107066774, "   Xstar:  ", 
   0.10763390943146081`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.579039107066774^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607328956196*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1021", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236709057148038`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5831005966785954`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10721965844225238`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5831005966785954`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1021, "   tar:  ", 1.1975, "   tarstar:  ", 1.1975, "   R:  ", 
   3.236709057148038, "   Bstar:  ", 3.5831005966785954`, "   Xstar:  ", 
   0.10721965844225238`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5831005966785954`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073289671974`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1022", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2368392922049813`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5871600004660835`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10680767952727645`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5871600004660835`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1022, "   tar:  ", 1.2, "   tarstar:  ", 1.1975, "   R:  ", 
   3.2368392922049813`, "   Bstar:  ", 3.5871600004660835`, "   Xstar:  ", 
   0.10680767952727645`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5871600004660835`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073289791985`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1023", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2369660841988237`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.591217317742415`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1063979570419153`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.591217317742415`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1023, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.1975, 
   "   R:  ", 3.2369660841988237`, "   Bstar:  ", 3.591217317742415, 
   "   Xstar:  ", 0.1063979570419153, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.591217317742415^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073289911995`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1024", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2370894747257215`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5952725478687477`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10599047546599565`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5952725478687477`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1024, "   tar:  ", 1.205, "   tarstar:  ", 1.1975, "   R:  ", 
   3.2370894747257215`, "   Bstar:  ", 3.5952725478687477`, "   Xstar:  ", 
   0.10599047546599565`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5952725478687477`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073290032005`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1025", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237209504888841`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5993256902534765`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10558521940273866`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5993256902534765`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1025, "   tar:  ", 1.2075, "   tarstar:  ", 1.1975, "   R:  ", 
   3.237209504888841, "   Bstar:  ", 3.5993256902534765`, "   Xstar:  ", 
   0.10558521940273866`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5993256902534765`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329014202*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1026", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2373262153044804`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.603376744351656`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10518217357770424`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.603376744351656`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1026, "   tar:  ", 1.21, "   tarstar:  ", 1.1975, "   R:  ", 
   3.2373262153044804`, "   Bstar:  ", 3.603376744351656, "   Xstar:  ", 
   0.10518217357770424`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.603376744351656^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073290252028`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1027", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2374396461081107`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.607425709664236`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10478132283776138`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.607425709664236`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1027, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.1975, 
   "   R:  ", 3.2374396461081107`, "   Bstar:  ", 3.607425709664236, 
   "   Xstar:  ", 0.10478132283776138`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.607425709664236^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073290362043`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1028", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2375498369603455`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.611472585737471`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10438265215005169`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.611472585737471`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1028, "   tar:  ", 1.215, "   tarstar:  ", 1.1975, "   R:  ", 
   3.2375498369603455`, "   Bstar:  ", 3.611472585737471, "   Xstar:  ", 
   0.10438265215005169`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.611472585737471^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329047205*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1029", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2376568270528283`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.615517372162226`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10398614660097187`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.615517372162226`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1029, "   tar:  ", 1.2175, "   tarstar:  ", 1.1975, "   R:  ", 
   3.2376568270528283`, "   Bstar:  ", 3.615517372162226, "   Xstar:  ", 
   0.10398614660097187`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.615517372162226^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073290602064`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1030", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2377606551140414`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.619560068573373`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10359179139515572`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.619560068573373`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1030, "   tar:  ", 1.22, "   tarstar:  ", 1.1975, "   R:  ", 
   3.2377606551140414`, "   Bstar:  ", 3.619560068573373, "   Xstar:  ", 
   0.10359179139515572`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.619560068573373^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073290722075`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1031", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.237861359415039`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.623600674649135`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10319957185447141`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.623600674649135`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1031, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.1975, 
   "   R:  ", 3.237861359415039, "   Bstar:  ", 3.623600674649135, 
   "   Xstar:  ", 0.10319957185447141`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.623600674649135^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073290802083`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1032", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237958977775117`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.62763919011046`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10280947341702344`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.62763919011046`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1032, "   tar:  ", 1.225, "   tarstar:  ", 1.1975, "   R:  ", 
   3.237958977775117, "   Bstar:  ", 3.62763919011046, "   Xstar:  ", 
   0.10280947341702344`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.62763919011046^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329088209*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1033", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238053547567398`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6316756147204363`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10242148163616092`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6316756147204363`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1033, "   tar:  ", 1.2275, "   tarstar:  ", 1.1975, "   R:  ", 
   3.238053547567398, "   Bstar:  ", 3.6316756147204363`, "   Xstar:  ", 
   0.10242148163616092`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6316756147204363`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732909621*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1034", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2381451057243447`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6357099482836586`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10203558217949799`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6357099482836586`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1034, "   tar:  ", 1.23, "   tarstar:  ", 1.1975, "   R:  ", 
   3.2381451057243447`, "   Bstar:  ", 3.6357099482836586`, "   Xstar:  ", 
   0.10203558217949799`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6357099482836586`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073291032104`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1035", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2382336887432093`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6397421906456175`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10165176082794203`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6397421906456175`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1035, "   tar:  ", 1.2325, "   tarstar:  ", 1.1975, "   R:  ", 
   3.2382336887432093`, "   Bstar:  ", 3.6397421906456175`, "   Xstar:  ", 
   0.10165176082794203`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6397421906456175`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073291102114`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1036", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2383193326914017`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6437723416921464`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10127000347472385`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6437723416921464`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1036, "   tar:  ", 1.235, "   tarstar:  ", 1.1975, "   R:  ", 
   3.2383193326914017`, "   Bstar:  ", 3.6437723416921464`, "   Xstar:  ", 
   0.10127000347472385`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6437723416921464`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073291172123`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1037", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238402073211805`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6478004013488268`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10089029612444206`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6478004013488268`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1037, "   tar:  ", 1.2375, "   tarstar:  ", 1.1975, "   R:  ", 
   3.238402073211805, "   Bstar:  ", 3.6478004013488268`, "   Xstar:  ", 
   0.10089029612444206`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6478004013488268`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329126213*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1038", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238481945527996`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6518263695803834`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10051262489211517`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6518263695803834`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1038, "   tar:  ", 1.24, "   tarstar:  ", 1.1975, "   R:  ", 
   3.238481945527996, "   Bstar:  ", 3.6518263695803834`, "   Xstar:  ", 
   0.10051262489211517`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6518263695803834`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329134214*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1039", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2385589844494307`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.65585024639016`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10013697600223632`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.65585024639016`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1039, "   tar:  ", 1.2425, "   tarstar:  ", 1.1975, "   R:  ", 
   3.2385589844494307`, "   Bstar:  ", 3.65585024639016, "   Xstar:  ", 
   0.10013697600223632`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.65585024639016^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073291462154`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1040", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238633224376535`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6598720318195386`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09976333578784075`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6598720318195386`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1040, "   tar:  ", 1.245, "   tarstar:  ", 1.1975, "   R:  ", 
   3.238633224376535, "   Bstar:  ", 3.6598720318195386`, "   Xstar:  ", 
   0.09976333578784075, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6598720318195386`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073291562157`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1041", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238704699305742`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.663891725947388`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0993916906895793`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.663891725947388`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1041, "   tar:  ", 1.2475, "   tarstar:  ", 1.1975, "   R:  ", 
   3.238704699305742, "   Bstar:  ", 3.663891725947388, "   Xstar:  ", 
   0.0993916906895793, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.663891725947388^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329168217*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1042", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2387734428344683`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.667909328889512`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09902202725480051`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.667909328889512`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1042, "   tar:  ", 1.25, "   tarstar:  ", 1.1975, "   R:  ", 
   3.2387734428344683`, "   Bstar:  ", 3.667909328889512, "   Xstar:  ", 
   0.09902202725480051, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.667909328889512^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073291792183`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1043", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238839488166014`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6719248407981264`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09865433213663796`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6719248407981264`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1043, "   tar:  ", 1.2525, "   tarstar:  ", 1.1975, "   R:  ", 
   3.238839488166014, "   Bstar:  ", 3.6719248407981264`, "   Xstar:  ", 
   0.09865433213663796, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6719248407981264`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073291922197`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1044", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.238902868114408`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.675938261861337`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09828859209310628`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.675938261861337`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1044, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.1975, 
   "   R:  ", 3.238902868114408, "   Bstar:  ", 3.675938261861337, 
   "   Xstar:  ", 0.09828859209310628, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.675938261861337^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329204221*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1045", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2389636151091934`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6799495923025787`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09792479398620871`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6799495923025787`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1045, "   tar:  ", 1.2575, "   tarstar:  ", 1.1975, "   R:  ", 
   3.2389636151091934`, "   Bstar:  ", 3.6799495923025787`, "   Xstar:  ", 
   0.09792479398620871, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6799495923025787`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073292182226`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1046", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239021761200135`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6839588323801298`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09756292478104542`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6839588323801298`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1046, "   tar:  ", 1.26, "   tarstar:  ", 1.1975, "   R:  ", 
   3.239021761200135, "   Bstar:  ", 3.6839588323801298`, "   Xstar:  ", 
   0.09756292478104542, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6839588323801298`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329228223*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1047", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239077338061896`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6879659823866247`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09720297154493131`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6879659823866247`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1047, "   tar:  ", 1.2625, "   tarstar:  ", 1.1975, "   R:  ", 
   3.239077338061896, "   Bstar:  ", 3.6879659823866247`, "   Xstar:  ", 
   0.09720297154493131, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6879659823866247`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073292382245`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1048", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2391303769986153`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6919710426484786`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09684492144652863`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6919710426484786`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1048, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.1975, 
   "   R:  ", 3.2391303769986153`, "   Bstar:  ", 3.6919710426484786`, 
   "   Xstar:  ", 0.09684492144652863, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6919710426484786`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329248225*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1049", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2391809089484616`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6959740135254626`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09648876175497477`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6959740135254626`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1049, "   tar:  ", 1.2675, "   tarstar:  ", 1.1975, "   R:  ", 
   3.2391809089484616`, "   Bstar:  ", 3.6959740135254626`, "   Xstar:  ", 
   0.09648876175497477, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6959740135254626`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329257226*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1050", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239228964488107`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6999748954101914`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09613447983902512`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6999748954101914`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1050, "   tar:  ", 1.27, "   tarstar:  ", 1.1975, "   R:  ", 
   3.239228964488107, "   Bstar:  ", 3.6999748954101914`, "   Xstar:  ", 
   0.09613447983902512, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6999748954101914`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329267227*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1051", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239274573837152`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7039736887276367`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09578206316620252`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7039736887276367`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1051, "   tar:  ", 1.2725, "   tarstar:  ", 1.1975, "   R:  ", 
   3.239274573837152, "   Bstar:  ", 3.7039736887276367`, "   Xstar:  ", 
   0.09578206316620252, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7039736887276367`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073292772284`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1052", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2393177668624933`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.707970393934623`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09543149930195502`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.707970393934623`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1052, "   tar:  ", 1.275, "   tarstar:  ", 1.1975, "   R:  ", 
   3.2393177668624933`, "   Bstar:  ", 3.707970393934623, "   Xstar:  ", 
   0.09543149930195502, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.707970393934623^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073292872295`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1053", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2393585730826273`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.711965011519431`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0950827759088123`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.711965011519431`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1053, "   tar:  ", 1.2775, "   tarstar:  ", 1.1975, "   R:  ", 
   3.2393585730826273`, "   Bstar:  ", 3.711965011519431, "   Xstar:  ", 
   0.0950827759088123, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.711965011519431^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073292992306`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1054", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2393970216719072`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7159575420012594`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0947358807455629`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7159575420012594`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1054, "   tar:  ", 1.28, "   tarstar:  ", 1.1975, "   R:  ", 
   3.2393970216719072`, "   Bstar:  ", 3.7159575420012594`, "   Xstar:  ", 
   0.0947358807455629, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7159575420012594`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073293112316`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1055", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239433141464751`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7199479859298106`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09439080166642692`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7199479859298106`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1055, "   tar:  ", 1.2825, "   tarstar:  ", 1.1975, "   R:  ", 
   3.239433141464751, "   Bstar:  ", 3.7199479859298106`, "   Xstar:  ", 
   0.09439080166642692, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7199479859298106`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073293222327`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1056", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.23946696095977`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7239363438848216`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09404752662024214`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7239363438848216`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1056, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.1975, 
   "   R:  ", 3.23946696095977, "   Bstar:  ", 3.7239363438848216`, 
   "   Xstar:  ", 0.09404752662024214, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7239363438848216`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073293322334`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1057", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2394985083238805`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.727922616475613`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09370604364965567`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.727922616475613`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1057, "   tar:  ", 1.2875, "   tarstar:  ", 1.1975, "   R:  ", 
   3.2394985083238805`, "   Bstar:  ", 3.727922616475613, "   Xstar:  ", 
   0.09370604364965567, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.727922616475613^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329345235*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1058", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2395278113963255`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.731906804340691`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09336634089031856`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.731906804340691`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1058, "   tar:  ", 1.29, "   tarstar:  ", 1.1975, "   R:  ", 
   3.2395278113963255`, "   Bstar:  ", 3.731906804340691, "   Xstar:  ", 
   0.09336634089031856, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.731906804340691^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073293582363`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1059", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239554897692676`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7358889081472486`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09302840657009652`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7358889081472486`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1059, "   tar:  ", 1.2925, "   tarstar:  ", 1.1975, "   R:  ", 
   3.239554897692676, "   Bstar:  ", 3.7358889081472486`, "   Xstar:  ", 
   0.09302840657009652, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7358889081472486`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073293722377`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1060", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2395797944087628`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.739868928590792`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09269222900827706`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.739868928590792`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1060, "   tar:  ", 1.295, "   tarstar:  ", 1.1975, "   R:  ", 
   3.2395797944087628`, "   Bstar:  ", 3.739868928590792, "   Xstar:  ", 
   0.09269222900827706, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.739868928590792^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329386239*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1061", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2396025284245584`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7438468663946933`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09235779661479042`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7438468663946933`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1061, "   tar:  ", 1.2975, "   tarstar:  ", 1.1975, "   R:  ", 
   3.2396025284245584`, "   Bstar:  ", 3.7438468663946933`, "   Xstar:  ", 
   0.09235779661479042, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7438468663946933`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732939824*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1062", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.1975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239623126308025`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7478227223097744`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09202509788943528`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7478227223097744`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1062, "   tar:  ", 1.3, "   tarstar:  ", 1.1975, "   R:  ", 
   3.239623126308025, "   Bstar:  ", 3.7478227223097744`, "   Xstar:  ", 
   0.09202509788943528, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7478227223097744`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073294102416`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1063", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2333963310631724`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.518941359835822`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11401293419462641`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.518941359835822`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1063, "   tar:  ", 1.155, "   tarstar:  ", 1.2, "   R:  ", 
   3.2333963310631724`, "   Bstar:  ", 3.518941359835822, "   Xstar:  ", 
   0.11401293419462641`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.518941359835822^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329422243*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1064", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2335911312630916`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5230439532132136`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11356215228989111`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5230439532132136`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1064, "   tar:  ", 1.1575, "   tarstar:  ", 1.2, "   R:  ", 
   3.2335911312630916`, "   Bstar:  ", 3.5230439532132136`, "   Xstar:  ", 
   0.11356215228989111`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5230439532132136`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329434244*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1065", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.233781714856523`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5271444687349627`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11311390076252238`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5271444687349627`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1065, "   tar:  ", 1.16, "   tarstar:  ", 1.2, "   R:  ", 
   3.233781714856523, "   Bstar:  ", 3.5271444687349627`, "   Xstar:  ", 
   0.11311390076252238`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5271444687349627`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329446245*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1066", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2339681326829623`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5312429048873213`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1126681618775472`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5312429048873213`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1066, "   tar:  ", 1.1625, "   tarstar:  ", 1.2, "   R:  ", 
   3.2339681326829623`, "   Bstar:  ", 3.5312429048873213`, "   Xstar:  ", 
   0.1126681618775472, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5312429048873213`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329458246*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1067", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.23415043497304`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.535339260216595`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11222491804228399`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.535339260216595`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1067, "   tar:  ", 1.165, "   tarstar:  ", 1.2, "   R:  ", 
   3.23415043497304, "   Bstar:  ", 3.535339260216595, "   Xstar:  ", 
   0.11222491804228399`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.535339260216595^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073294722476`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1068", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2343286713561454`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5394335333283022`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11178415180514745`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5394335333283022`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1068, "   tar:  ", 1.1675, "   tarstar:  ", 1.2, "   R:  ", 
   3.2343286713561454`, "   Bstar:  ", 3.5394335333283022`, "   Xstar:  ", 
   0.11178415180514745`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5394335333283022`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329484249*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1069", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2345028908679696`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5435257228863652`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11134584585446149`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5435257228863652`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1069, "   tar:  ", 1.17, "   tarstar:  ", 1.2, "   R:  ", 
   3.2345028908679696`, "   Bstar:  ", 3.5435257228863652`, "   Xstar:  ", 
   0.11134584585446149`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5435257228863652`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073294972506`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1070", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.234673141957947`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.547615827612217`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11090998301728999`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.547615827612217`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1070, "   tar:  ", 1.1725, "   tarstar:  ", 1.2, "   R:  ", 
   3.234673141957947, "   Bstar:  ", 3.547615827612217, "   Xstar:  ", 
   0.11090998301728999`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.547615827612217^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329508251*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], ":", 
  " ", "\<\"The line search decreased the step size to within tolerance \
specified by AccuracyGoal and PrecisionGoal but was unable to find a \
sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(\\*RowBox[{\\\"MachinePrecision\\\"}]\\)\[NoBreak] digits of \
working precision to meet these tolerances. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/lstol\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6745602788735666`*^9, 3.6836073295182524`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], ":", 
  " ", "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[RowBox[{\\\"FindRoot\\\", \\\"::\\\", \\\"lstol\\\
\"}], \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6745602788735666`*^9, 3.6836073295252533`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1071", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2348394724965757`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.551703846284031`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11047654625826507`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.551703846284031`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1071, "   tar:  ", 1.175, "   tarstar:  ", 1.2, "   R:  ", 
   3.2348394724965757`, "   Bstar:  ", 3.551703846284031, "   Xstar:  ", 
   0.11047654625826507`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.551703846284031^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073295332537`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1072", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2350019297826895`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.555789777735919`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11004551867842861`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.555789777735919`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1072, "   tar:  ", 1.1775, "   tarstar:  ", 1.2, "   R:  ", 
   3.2350019297826895`, "   Bstar:  ", 3.555789777735919, "   Xstar:  ", 
   0.11004551867842861`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.555789777735919^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329543255*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1073", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235160560550588`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5598736208570947`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10961688351408627`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5598736208570947`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1073, "   tar:  ", 1.18, "   tarstar:  ", 1.2, "   R:  ", 
   3.235160560550588, "   Bstar:  ", 3.5598736208570947`, "   Xstar:  ", 
   0.10961688351408627`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5598736208570947`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329557256*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1074", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2353154109771065`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.563955374591163`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10919062413565878`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.563955374591163`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1074, "   tar:  ", 1.1825, "   tarstar:  ", 1.2, "   R:  ", 
   3.2353154109771065`, "   Bstar:  ", 3.563955374591163, "   Xstar:  ", 
   0.10919062413565878`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.563955374591163^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073295702577`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1075", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2354665266885774`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5680350379352412`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10876672404656122`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5680350379352412`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1075, "   tar:  ", 1.185, "   tarstar:  ", 1.2, "   R:  ", 
   3.2354665266885774`, "   Bstar:  ", 3.5680350379352412`, "   Xstar:  ", 
   0.10876672404656122`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5680350379352412`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329584259*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1076", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235613952767704`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5721126099392944`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10834516688206844`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5721126099392944`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1076, "   tar:  ", 1.1875, "   tarstar:  ", 1.2, "   R:  ", 
   3.235613952767704, "   Bstar:  ", 3.5721126099392944`, "   Xstar:  ", 
   0.10834516688206844`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5721126099392944`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732959326*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1077", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.23575773376036`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.576188089705337`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10792593640820497`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.576188089705337`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1077, "   tar:  ", 1.19, "   tarstar:  ", 1.2, "   R:  ", 
   3.23575773376036, "   Bstar:  ", 3.576188089705337, "   Xstar:  ", 
   0.10792593640820497`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.576188089705337^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073296012607`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1078", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2358979136822636`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5802614763867`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10750901652063696`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5802614763867`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1078, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.2, 
   "   R:  ", 3.2358979136822636`, "   Bstar:  ", 3.5802614763867, 
   "   Xstar:  ", 0.10750901652063696`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5802614763867^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329608261*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1079", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2360345360256173`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5843327691872786`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10709439124357643`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5843327691872786`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1079, "   tar:  ", 1.195, "   tarstar:  ", 1.2, "   R:  ", 
   3.2360345360256173`, "   Bstar:  ", 3.5843327691872786`, "   Xstar:  ", 
   0.10709439124357643`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5843327691872786`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329615262*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1080", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2361676437656093`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5884019673608383`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10668204472868856`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5884019673608383`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1080, "   tar:  ", 1.1975, "   tarstar:  ", 1.2, "   R:  ", 
   3.2361676437656093`, "   Bstar:  ", 3.5884019673608383`, "   Xstar:  ", 
   0.10668204472868856`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5884019673608383`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329625263*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1081", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236297279366872`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.592469070210306`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10627196125401037`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.592469070210306`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1081, "   tar:  ", 1.2, "   tarstar:  ", 1.2, "   R:  ", 
   3.236297279366872, "   Bstar:  ", 3.592469070210306, "   Xstar:  ", 
   0.10627196125401037`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.592469070210306^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073296312637`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1082", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.236423484789828`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5965340770870196`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10586412522288292`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5965340770870196`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1082, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.2, 
   "   R:  ", 3.236423484789828, "   Bstar:  ", 3.5965340770870196`, 
   "   Xstar:  ", 0.10586412522288292`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5965340770870196`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073296402645`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1083", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2365463014969684`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6005969873901003`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10545852116288035`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6005969873901003`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1083, "   tar:  ", 1.205, "   tarstar:  ", 1.2, "   R:  ", 
   3.2365463014969684`, "   Bstar:  ", 3.6005969873901003`, "   Xstar:  ", 
   0.10545852116288035`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6005969873901003`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073296542664`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1084", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.23666577045905`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6046578005657173`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1050551337247593`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6046578005657173`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1084, "   tar:  ", 1.2075, "   tarstar:  ", 1.2, "   R:  ", 
   3.23666577045905, "   Bstar:  ", 3.6046578005657173`, "   Xstar:  ", 
   0.1050551337247593, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6046578005657173`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329663267*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1085", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2367819321612004`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6087165161064307`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1046539476814094`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6087165161064307`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1085, "   tar:  ", 1.21, "   tarstar:  ", 1.2, "   R:  ", 
   3.2367819321612004`, "   Bstar:  ", 3.6087165161064307`, "   Xstar:  ", 
   0.1046539476814094, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6087165161064307`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329673268*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1086", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.236894826608953`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.612773133550526`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10425494792681443`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.612773133550526`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1086, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.2, 
   "   R:  ", 3.236894826608953, "   Bstar:  ", 3.612773133550526, 
   "   Xstar:  ", 0.10425494792681443`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.612773133550526^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073296852694`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1087", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237004493334208`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6168276524813723`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10385811947502006`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6168276524813723`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1087, "   tar:  ", 1.215, "   tarstar:  ", 1.2, "   R:  ", 
   3.237004493334208, "   Bstar:  ", 3.6168276524813723`, "   Xstar:  ", 
   0.10385811947502006`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6168276524813723`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732969527*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1088", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237110971401106`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6208800725267354`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10346344745911477`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6208800725267354`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1088, "   tar:  ", 1.2175, "   tarstar:  ", 1.2, "   R:  ", 
   3.237110971401106, "   Bstar:  ", 3.6208800725267354`, "   Xstar:  ", 
   0.10346344745911477`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6208800725267354`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329705271*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1089", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.23721429941183`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.624930393358182`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10307091713021146`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.624930393358182`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1089, "   tar:  ", 1.22, "   tarstar:  ", 1.2, "   R:  ", 
   3.23721429941183, "   Bstar:  ", 3.624930393358182, "   Xstar:  ", 
   0.10307091713021146`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.624930393358182^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073297172723`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1090", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.237314515512327`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6289786146904373`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10268051385644267`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6289786146904373`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1090, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.2, 
   "   R:  ", 3.237314515512327, "   Bstar:  ", 3.6289786146904373`, 
   "   Xstar:  ", 0.10268051385644267`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6289786146904373`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073297282734`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1091", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2374116573979714`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.633024736280711`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10229222312196722`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.633024736280711`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1091, "   tar:  ", 1.225, "   tarstar:  ", 1.2, "   R:  ", 
   3.2374116573979714`, "   Bstar:  ", 3.633024736280711, "   Xstar:  ", 
   0.10229222312196722`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.633024736280711^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073297392745`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1092", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237505762319131`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6370687579281844`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10190603052597079`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6370687579281844`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1092, "   tar:  ", 1.2275, "   tarstar:  ", 1.2, "   R:  ", 
   3.237505762319131, "   Bstar:  ", 3.6370687579281844`, "   Xstar:  ", 
   0.10190603052597079`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6370687579281844`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073297522755`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1093", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237596867086684`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.64111067947333`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10152192178169146`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.64111067947333`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1093, "   tar:  ", 1.23, "   tarstar:  ", 1.2, "   R:  ", 
   3.237596867086684, "   Bstar:  ", 3.64111067947333, "   Xstar:  ", 
   0.10152192178169146`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.64111067947333^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329765277*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1094", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237685008077447`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6451505007972997`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10113988271544667`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6451505007972997`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1094, "   tar:  ", 1.2325, "   tarstar:  ", 1.2, "   R:  ", 
   3.237685008077447, "   Bstar:  ", 3.6451505007972997`, "   Xstar:  ", 
   0.10113988271544667`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6451505007972997`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329776278*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1095", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2377702212395407`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.649188221821423`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10075989926566002`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.649188221821423`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1095, "   tar:  ", 1.235, "   tarstar:  ", 1.2, "   R:  ", 
   3.2377702212395407`, "   Bstar:  ", 3.649188221821423, "   Xstar:  ", 
   0.10075989926566002`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.649188221821423^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329787279*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1096", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2378525420976954`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.653223842506519`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10038195748191275`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.653223842506519`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1096, "   tar:  ", 1.2375, "   tarstar:  ", 1.2, "   R:  ", 
   3.2378525420976954`, "   Bstar:  ", 3.653223842506519, "   Xstar:  ", 
   0.10038195748191275`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.653223842506519^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073298012805`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1097", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2379320057584553`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6572573628524236`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10000604352398464`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6572573628524236`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1097, "   tar:  ", 1.24, "   tarstar:  ", 1.2, "   R:  ", 
   3.2379320057584553`, "   Bstar:  ", 3.6572573628524236`, "   Xstar:  ", 
   0.10000604352398464`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6572573628524236`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329813282*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1098", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2380086469153637`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.661288782897345`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09963214366091927`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.661288782897345`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1098, "   tar:  ", 1.2425, "   tarstar:  ", 1.2, "   R:  ", 
   3.2380086469153637`, "   Bstar:  ", 3.661288782897345, "   Xstar:  ", 
   0.09963214366091927, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.661288782897345^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073298262835`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1099", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238082499854038`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.66531810271734`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0992602442700865`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.66531810271734`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1099, "   tar:  ", 1.245, "   tarstar:  ", 1.2, "   R:  ", 
   3.238082499854038, "   Bstar:  ", 3.66531810271734, "   Xstar:  ", 
   0.0992602442700865, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.66531810271734^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073298382845`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1100", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238153598457199`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.669345322425769`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09889033183625522`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.669345322425769`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1100, "   tar:  ", 1.2475, "   tarstar:  ", 1.2, "   R:  ", 
   3.238153598457199, "   Bstar:  ", 3.669345322425769, "   Xstar:  ", 
   0.09889033183625522, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.669345322425769^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329851286*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1101", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238221976209635`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.673370442172723`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09852239295067768`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.673370442172723`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1101, "   tar:  ", 1.25, "   tarstar:  ", 1.2, "   R:  ", 
   3.238221976209635, "   Bstar:  ", 3.673370442172723, "   Xstar:  ", 
   0.09852239295067768, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.673370442172723^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073298622866`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1102", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238287666203104`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6773934621445385`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09815641431017354`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6773934621445385`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1102, "   tar:  ", 1.2525, "   tarstar:  ", 1.2, "   R:  ", 
   3.238287666203104, "   Bstar:  ", 3.6773934621445385`, "   Xstar:  ", 
   0.09815641431017354, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6773934621445385`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073298722878`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1103", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.238350701141151`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6814143825631955`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09779238271623299`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6814143825631955`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1103, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.2, 
   "   R:  ", 3.238350701141151, "   Bstar:  ", 3.6814143825631955`, 
   "   Xstar:  ", 0.09779238271623299, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6814143825631955`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329882289*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1104", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238411113343902`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.685433203685876`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09743028507411385`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.685433203685876`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1104, "   tar:  ", 1.2575, "   tarstar:  ", 1.2, "   R:  ", 
   3.238411113343902, "   Bstar:  ", 3.685433203685876, "   Xstar:  ", 
   0.09743028507411385, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.685433203685876^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360732989529*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1105", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2384689347527535`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6894499258043933`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09707010839195808`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6894499258043933`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1105, "   tar:  ", 1.26, "   tarstar:  ", 1.2, "   R:  ", 
   3.2384689347527535`, "   Bstar:  ", 3.6894499258043933`, "   Xstar:  ", 
   0.09707010839195808, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6894499258043933`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073299032907`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1106", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2385241969350376`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6934645492446956`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09671183977990991`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6934645492446956`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1106, "   tar:  ", 1.2625, "   tarstar:  ", 1.2, "   R:  ", 
   3.2385241969350376`, "   Bstar:  ", 3.6934645492446956`, "   Xstar:  ", 
   0.09671183977990991, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6934645492446956`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073299102917`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1107", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2385769310885975`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6974770743663736`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.096355466449242`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6974770743663736`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1107, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.2, 
   "   R:  ", 3.2385769310885975`, "   Bstar:  ", 3.6974770743663736`, 
   "   Xstar:  ", 0.096355466449242, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6974770743663736`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073299202924`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1108", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238627168046327`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7014875015621738`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0960009757114886`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7014875015621738`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1108, "   tar:  ", 1.2675, "   tarstar:  ", 1.2, "   R:  ", 
   3.238627168046327, "   Bstar:  ", 3.7014875015621738`, "   Xstar:  ", 
   0.0960009757114886, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7014875015621738`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073299292936`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1109", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2386749382806426`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.705495831257477`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0956483549775898`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.705495831257477`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1109, "   tar:  ", 1.27, "   tarstar:  ", 1.2, "   R:  ", 
   3.2386749382806426`, "   Bstar:  ", 3.705495831257477, "   Xstar:  ", 
   0.0956483549775898, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.705495831257477^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073299412947`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1110", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2387202719078827`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7095020639098624`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0952975917570365`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7095020639098624`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1110, "   tar:  ", 1.2725, "   tarstar:  ", 1.2, "   R:  ", 
   3.2387202719078827`, "   Bstar:  ", 3.7095020639098624`, "   Xstar:  ", 
   0.0952975917570365, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7095020639098624`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073299532957`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1111", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238763198692689`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.713506200008581`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09494867365703076`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.713506200008581`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1111, "   tar:  ", 1.275, "   tarstar:  ", 1.2, "   R:  ", 
   3.238763198692689, "   Bstar:  ", 3.713506200008581, "   Xstar:  ", 
   0.09494867365703076, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.713506200008581^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329963297*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1112", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2388037480522858`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7175082400741517`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09460158838164348`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7175082400741517`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1112, "   tar:  ", 1.2775, "   tarstar:  ", 1.2, "   R:  ", 
   3.2388037480522858`, "   Bstar:  ", 3.7175082400741517`, "   Xstar:  ", 
   0.09460158838164348, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7175082400741517`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073299762983`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1113", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2388419490607334`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.721508184657822`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09425632373099134`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.721508184657822`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1113, "   tar:  ", 1.28, "   tarstar:  ", 1.2, "   R:  ", 
   3.2388419490607334`, "   Bstar:  ", 3.721508184657822, "   Xstar:  ", 
   0.09425632373099134, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.721508184657822^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607329987299*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1114", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2388778304531214`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.725506034341181`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09391286760040826`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.725506034341181`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1114, "   tar:  ", 1.2825, "   tarstar:  ", 1.2, "   R:  ", 
   3.2388778304531214`, "   Bstar:  ", 3.725506034341181, "   Xstar:  ", 
   0.09391286760040826, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.725506034341181^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330001301*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1115", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2389114206297043`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7295017897356657`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09357120797963395`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7295017897356657`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1115, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.2, 
   "   R:  ", 3.2389114206297043`, "   Bstar:  ", 3.7295017897356657`, 
   "   Xstar:  ", 0.09357120797963395, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7295017897356657`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073300143023`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1116", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2389427476599844`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.733495451482127`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09323133295200434`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.733495451482127`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1116, "   tar:  ", 1.2875, "   tarstar:  ", 1.2, "   R:  ", 
   3.2389427476599844`, "   Bstar:  ", 3.733495451482127, "   Xstar:  ", 
   0.09323133295200434, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.733495451482127^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330027303*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1117", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238971839286742`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.737487020250415`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09289323069364824`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.737487020250415`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1117, "   tar:  ", 1.29, "   tarstar:  ", 1.2, "   R:  ", 
   3.238971839286742, "   Bstar:  ", 3.737487020250415, "   Xstar:  ", 
   0.09289323069364824, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.737487020250415^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073300413046`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1118", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2389987229300106`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.741476496738899`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09255688947269708`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.741476496738899`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1118, "   tar:  ", 1.2925, "   tarstar:  ", 1.2, "   R:  ", 
   3.2389987229300106`, "   Bstar:  ", 3.741476496738899, "   Xstar:  ", 
   0.09255688947269708, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.741476496738899^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330055306*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1119", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2390234256910224`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7454638816740853`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09222229764849288`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7454638816740853`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1119, "   tar:  ", 1.295, "   tarstar:  ", 1.2, "   R:  ", 
   3.2390234256910224`, "   Bstar:  ", 3.7454638816740853`, "   Xstar:  ", 
   0.09222229764849288, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7454638816740853`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330068307*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1120", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.239045974356065`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.749449175810178`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09188944367080974`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.749449175810178`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1120, "   tar:  ", 1.2975, "   tarstar:  ", 1.2, "   R:  ", 
   3.239045974356065, "   Bstar:  ", 3.749449175810178, "   Xstar:  ", 
   0.09188944367080974, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.749449175810178^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073300803084`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1121", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2390663954003243`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.753432379928657`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09155831607907976`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.753432379928657`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1121, "   tar:  ", 1.3, "   tarstar:  ", 1.2, "   R:  ", 
   3.2390663954003243`, "   Bstar:  ", 3.753432379928657, "   Xstar:  ", 
   0.09155831607907976, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.753432379928657^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733009231*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1122", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2328702317211597`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.524108983932021`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11344550683256922`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.524108983932021`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1122, "   tar:  ", 1.155, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.2328702317211597`, "   Bstar:  ", 3.524108983932021, 
   "   Xstar:  ", 0.11344550683256922`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.524108983932021^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330105311*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1123", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2330641971280714`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.528219436155068`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11299676869197035`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.528219436155068`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1123, "   tar:  ", 1.1575, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.2330641971280714`, "   Bstar:  ", 3.528219436155068, 
   "   Xstar:  ", 0.11299676869197035`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.528219436155068^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073301183124`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1124", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2332539612097477`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5323278003970313`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11255055114138669`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5323278003970313`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1124, "   tar:  ", 1.16, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.2332539612097477`, "   Bstar:  ", 3.5323278003970313`, 
   "   Xstar:  ", 0.11255055114138669`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5323278003970313`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330128313*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1125", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2334395746497497`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.536434075185904`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11210683649696106`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.536434075185904`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1125, "   tar:  ", 1.1625, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.2334395746497497`, "   Bstar:  ", 3.536434075185904, 
   "   Xstar:  ", 0.11210683649696106`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.536434075185904^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330134314*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1126", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2336210875241855`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5405382591095322`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11166560721693138`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5405382591095322`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1126, "   tar:  ", 1.165, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.2336210875241855`, "   Bstar:  ", 3.5405382591095322`, 
   "   Xstar:  ", 0.11166560721693138`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5405382591095322`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073301413145`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1127", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.233798549309349`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.544640350814733`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1112268459004389`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.544640350814733`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1127, "   tar:  ", 1.1675, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.233798549309349, "   Bstar:  ", 3.544640350814733, 
   "   Xstar:  ", 0.1112268459004389, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.544640350814733^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073301493154`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1128", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2339720088892263`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.548740349006447`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11079053528634332`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.548740349006447`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1128, "   tar:  ", 1.17, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.2339720088892263`, "   Bstar:  ", 3.548740349006447, 
   "   Xstar:  ", 0.11079053528634332`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.548740349006447^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073301583166`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1129", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2341415145629453`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5528382524469517`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11035665825204118`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5528382524469517`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1129, "   tar:  ", 1.1725, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.2341415145629453`, "   Bstar:  ", 3.5528382524469517`, 
   "   Xstar:  ", 0.11035665825204118`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5528382524469517`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073301703176`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1130", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.234307114052082`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5569340599550183`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10992519781230056`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5569340599550183`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1130, "   tar:  ", 1.175, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.234307114052082, "   Bstar:  ", 3.5569340599550183`, 
   "   Xstar:  ", 0.10992519781230056`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5569340599550183`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073301803184`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1131", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2344688545079125`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5610277704051154`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10949613711810002`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5610277704051154`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1131, "   tar:  ", 1.1775, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.2344688545079125`, "   Bstar:  ", 3.5610277704051154`, 
   "   Xstar:  ", 0.10949613711810002`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5610277704051154`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330188319*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1132", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.234626782518548`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.565119382726597`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10906945945548002`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.565119382726597`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1132, "   tar:  ", 1.18, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.234626782518548, "   Bstar:  ", 3.565119382726597, 
   "   Xstar:  ", 0.10906945945548002`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.565119382726597^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073301983204`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1133", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.234780944115982`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.56920889590295`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10864514824439749`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.56920889590295`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1133, "   tar:  ", 1.1825, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.234780944115982, "   Bstar:  ", 3.56920889590295, 
   "   Xstar:  ", 0.10864514824439749`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.56920889590295^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330208321*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1134", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.23493138478305`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5732963089710057`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1082231870375932`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5732963089710057`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1134, "   tar:  ", 1.185, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.23493138478305, "   Bstar:  ", 3.5732963089710057`, 
   "   Xstar:  ", 0.1082231870375932, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5732963089710057`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073302173223`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1135", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.235078149460287`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.577381621020175`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10780355951946807`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.577381621020175`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1135, "   tar:  ", 1.1875, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.235078149460287, "   Bstar:  ", 3.577381621020175, 
   "   Xstar:  ", 0.10780355951946807`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.577381621020175^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330223323*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1136", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.235221282552716`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5814648311916994`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1073862495049663`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5814648311916994`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1136, "   tar:  ", 1.19, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.235221282552716, "   Bstar:  ", 3.5814648311916994`, 
   "   Xstar:  ", 0.1073862495049663, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5814648311916994`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073302313237`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1137", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2025000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2353608279365282`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.585545938677923`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10697124093846623`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.585545938677923`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1137, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 
   1.2025000000000001`, "   R:  ", 3.2353608279365282`, "   Bstar:  ", 
   3.585545938677923, "   Xstar:  ", 0.10697124093846623`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.585545938677923^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073302433248`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1138", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.235496828965681`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5896249427215374`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10655851789268415`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5896249427215374`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1138, "   tar:  ", 1.195, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.235496828965681, "   Bstar:  ", 3.5896249427215374`, 
   "   Xstar:  ", 0.10655851789268415`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5896249427215374`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073302533255`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1139", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2356293284784265`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5937018426148915`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10614806456758027`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5937018426148915`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1139, "   tar:  ", 1.1975, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.2356293284784265`, "   Bstar:  ", 3.5937018426148915`, 
   "   Xstar:  ", 0.10614806456758027`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5937018426148915`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330264327*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1140", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2357583688037272`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5977766376992397`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10573986528928137`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5977766376992397`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1140, "   tar:  ", 1.2, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.2357583688037272`, "   Bstar:  ", 3.5977766376992397`, 
   "   Xstar:  ", 0.10573986528928137`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5977766376992397`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330276328*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1141", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2025000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2358839917676128`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.601849327364088`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10533390450900194`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.601849327364088`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1141, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 
   1.2025000000000001`, "   R:  ", 3.2358839917676128`, "   Bstar:  ", 
   3.601849327364088, "   Xstar:  ", 0.10533390450900194`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.601849327364088^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330287329*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1142", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.23600623869944`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.605919911046458`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10493016680198426`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.605919911046458`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1142, "   tar:  ", 1.205, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.23600623869944, "   Bstar:  ", 3.605919911046458, 
   "   Xstar:  ", 0.10493016680198426`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.605919911046458^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073302983303`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1143", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2361251504380824`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.609988388230222`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10452863686643957`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.609988388230222`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1143, "   tar:  ", 1.2075, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.2361251504380824`, "   Bstar:  ", 3.609988388230222, 
   "   Xstar:  ", 0.10452863686643957`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.609988388230222^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073303113317`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1144", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.23624076733802`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6140547584454557`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10412929952249808`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6140547584454557`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1144, "   tar:  ", 1.21, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.23624076733802, "   Bstar:  ", 3.6140547584454557`, 
   "   Xstar:  ", 0.10412929952249808`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6140547584454557`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073303243327`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1145", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2025000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236353129275375`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6181190212677086`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1037321397111748`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6181190212677086`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1145, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 
   1.2025000000000001`, "   R:  ", 3.236353129275375, "   Bstar:  ", 
   3.6181190212677086`, "   Xstar:  ", 0.1037321397111748, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6181190212677086`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330337334*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1146", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2364622756538544`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.62218117631743`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10333714249333095`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.62218117631743`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1146, "   tar:  ", 1.215, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.2364622756538544`, "   Bstar:  ", 3.62218117631743, 
   "   Xstar:  ", 0.10333714249333095`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.62218117631743^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073303493357`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1147", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2365682454106115`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.626241223259246`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10294429304865801`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.626241223259246`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1147, "   tar:  ", 1.2175, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.2365682454106115`, "   Bstar:  ", 3.626241223259246, 
   "   Xstar:  ", 0.10294429304865801`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.626241223259246^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073303603363`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1148", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.236671077022046`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6302991618013754`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10255357667465784`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6302991618013754`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1148, "   tar:  ", 1.22, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.236671077022046, "   Bstar:  ", 3.6302991618013754`, 
   "   Xstar:  ", 0.10255357667465784`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6302991618013754`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073303723373`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1149", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2025000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236770808509513`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6343549916949938`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10216497878563659`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6343549916949938`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1149, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 
   1.2025000000000001`, "   R:  ", 3.236770808509513, "   Bstar:  ", 
   3.6343549916949938`, "   Xstar:  ", 0.10216497878563659`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6343549916949938`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073303823385`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1150", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.236867477444969`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.638408712733552`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10177848491171244`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.638408712733552`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1150, "   tar:  ", 1.225, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.236867477444969, "   Bstar:  ", 3.638408712733552, 
   "   Xstar:  ", 0.10177848491171244`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.638408712733552^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733039334*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1151", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.236961120956546`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.642460324752264`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10139408069781561`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.642460324752264`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1151, "   tar:  ", 1.2275, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.236961120956546, "   Bstar:  ", 3.642460324752264, 
   "   Xstar:  ", 0.10139408069781561`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.642460324752264^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330402341*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1152", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2370517757340376`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.646509827627424`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10101175190271368`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.646509827627424`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1152, "   tar:  ", 1.23, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.2370517757340376`, "   Bstar:  ", 3.646509827627424, 
   "   Xstar:  ", 0.10101175190271368`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.646509827627424^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073304133415`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1153", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.23713947803433`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.650557221275841`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10063148439803504`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.650557221275841`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1153, "   tar:  ", 1.2325, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.23713947803433, "   Bstar:  ", 3.650557221275841, 
   "   Xstar:  ", 0.10063148439803504`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.650557221275841^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330424343*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1154", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2372242636867568`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6546025056542466`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10025326416730275`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6546025056542466`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1154, "   tar:  ", 1.235, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.2372242636867568`, "   Bstar:  ", 3.6546025056542466`, 
   "   Xstar:  ", 0.10025326416730275`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6546025056542466`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073304323435`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1155", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2373061680983874`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6586456807587213`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09987707730497623`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6586456807587213`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1155, "   tar:  ", 1.2375, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.2373061680983874`, "   Bstar:  ", 3.6586456807587213`, 
   "   Xstar:  ", 0.09987707730497623, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6586456807587213`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073304403443`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1156", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2373852262592373`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.662686746624106`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09950291001550295`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.662686746624106`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1156, "   tar:  ", 1.24, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.2373852262592373`, "   Bstar:  ", 3.662686746624106, 
   "   Xstar:  ", 0.09950291001550295, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.662686746624106^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073304473453`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1157", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2374614727474254`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.666725703323454`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09913074861237389`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.666725703323454`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1157, "   tar:  ", 1.2425, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.2374614727474254`, "   Bstar:  ", 3.666725703323454, 
   "   Xstar:  ", 0.09913074861237389, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.666725703323454^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073304543457`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1158", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2375349417342476`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.670762550967465`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09876057951719107`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.670762550967465`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1158, "   tar:  ", 1.245, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.2375349417342476`, "   Bstar:  ", 3.670762550967465, 
   "   Xstar:  ", 0.09876057951719107, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.670762550967465^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330462347*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1159", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2376056669892055`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6747972897039256`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09839238925874116`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6747972897039256`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1159, "   tar:  ", 1.2475, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.2376056669892055`, "   Bstar:  ", 3.6747972897039256`, 
   "   Xstar:  ", 0.09839238925874116, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6747972897039256`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073304723473`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1160", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.237673681884945`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6788299197171974`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09802616447207421`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6788299197171974`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1160, "   tar:  ", 1.25, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.237673681884945, "   Bstar:  ", 3.6788299197171974`, 
   "   Xstar:  ", 0.09802616447207421, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6788299197171974`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073304813485`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1161", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.237739019402158`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.682860441227653`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09766189189759526`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.682860441227653`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1161, "   tar:  ", 1.2525, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.237739019402158, "   Bstar:  ", 3.682860441227653, 
   "   Xstar:  ", 0.09766189189759526, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.682860441227653^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073304913497`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1162", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2025000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2378017121343934`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6868888544911598`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09729955838015991`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6868888544911598`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1162, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 
   1.2025000000000001`, "   R:  ", 3.2378017121343934`, "   Bstar:  ", 
   3.6868888544911598`, "   Xstar:  ", 0.09729955838015991, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6868888544911598`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330502351*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1163", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.237861792292831`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6909151597985588`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09693915086817857`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6909151597985588`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1163, "   tar:  ", 1.2575, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.237861792292831, "   Bstar:  ", 3.6909151597985588`, 
   "   Xstar:  ", 0.09693915086817857, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6909151597985588`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073305123515`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1164", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.237919291710978`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6949393574751532`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09658065641272824`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6949393574751532`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1164, "   tar:  ", 1.26, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.237919291710978, "   Bstar:  ", 3.6949393574751532`, 
   "   Xstar:  ", 0.09658065641272824, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6949393574751532`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330526353*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1165", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2379742418493005`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6989614478801935`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09622406216667218`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6989614478801935`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1165, "   tar:  ", 1.2625, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.2379742418493005`, "   Bstar:  ", 3.6989614478801935`, 
   "   Xstar:  ", 0.09622406216667218, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6989614478801935`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073305393543`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1166", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2025000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2380266737998253`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7029814314063785`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09586935538378738`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7029814314063785`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1166, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 
   1.2025000000000001`, "   R:  ", 3.2380266737998253`, "   Bstar:  ", 
   3.7029814314063785`, "   Xstar:  ", 0.09586935538378738, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7029814314063785`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330548355*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1167", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2380766182906306`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.706999308479378`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09551652341789633`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.706999308479378`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1167, "   tar:  ", 1.2675, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.2380766182906306`, "   Bstar:  ", 3.706999308479378, 
   "   Xstar:  ", 0.09551652341789633, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.706999308479378^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073305593567`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1168", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2381241056903356`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.711015079557316`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09516555372201234`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.711015079557316`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1168, "   tar:  ", 1.27, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.2381241056903356`, "   Bstar:  ", 3.711015079557316, 
   "   Xstar:  ", 0.09516555372201234, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.711015079557316^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073305723577`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1169", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.238169166012492`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7150287451303305`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09481643384748452`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7150287451303305`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1169, "   tar:  ", 1.2725, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.238169166012492, "   Bstar:  ", 3.7150287451303305`, 
   "   Xstar:  ", 0.09481643384748452, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7150287451303305`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330586359*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1170", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2382118289199333`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7190403057200516`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09446915144315822`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7190403057200516`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1170, "   tar:  ", 1.275, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.2382118289199333`, "   Bstar:  ", 3.7190403057200516`, 
   "   Xstar:  ", 0.09446915144315822, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7190403057200516`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733059536*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1171", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.238252123729068`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.723049761879179`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09412369425453475`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.723049761879179`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1171, "   tar:  ", 1.2775, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.238252123729068, "   Bstar:  ", 3.723049761879179, 
   "   Xstar:  ", 0.09412369425453475, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.723049761879179^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073306083612`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1172", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.238290079414119`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.727057114190991`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0937800501229446`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.727057114190991`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1172, "   tar:  ", 1.28, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.238290079414119, "   Bstar:  ", 3.727057114190991, 
   "   Xstar:  ", 0.0937800501229446, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.727057114190991^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073306203623`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1173", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.238325724611299`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.731062363268895`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0934382069847249`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.731062363268895`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1173, "   tar:  ", 1.2825, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.238325724611299, "   Bstar:  ", 3.731062363268895, 
   "   Xstar:  ", 0.0934382069847249, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.731062363268895^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073306323633`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1174", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2025000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.238359087622948`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.735065509756009`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09309815287040142`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.735065509756009`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1174, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 
   1.2025000000000001`, "   R:  ", 3.238359087622948, "   Bstar:  ", 
   3.735065509756009, "   Xstar:  ", 0.09309815287040142, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.735065509756009^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073306423645`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1175", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.238390196421603`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.739066554324649`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09275987590388704`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.739066554324649`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1175, "   tar:  ", 1.2875, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.238390196421603, "   Bstar:  ", 3.739066554324649, 
   "   Xstar:  ", 0.09275987590388704, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.739066554324649^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330653366*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1176", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2384190786540157`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.743065497675964`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09242336430167389`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.743065497675964`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1176, "   tar:  ", 1.29, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.2384190786540157`, "   Bstar:  ", 3.743065497675964, 
   "   Xstar:  ", 0.09242336430167389, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.743065497675964^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330665367*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1177", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.238445761645135`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.74706234053947`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09208860637204272`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.74706234053947`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1177, "   tar:  ", 1.2925, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.238445761645135, "   Bstar:  ", 3.74706234053947, 
   "   Xstar:  ", 0.09208860637204272, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.74706234053947^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073306763678`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1178", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.23847027240202`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7510570836726203`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09175559051427591`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7510570836726203`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1178, "   tar:  ", 1.295, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.23847027240202, "   Bstar:  ", 3.7510570836726203`, 
   "   Xstar:  ", 0.09175559051427591, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7510570836726203`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330685369*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1179", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2384926376177066`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7550497278604125`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09142430521787456`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7550497278604125`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1179, "   tar:  ", 1.2975, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.2384926376177066`, "   Bstar:  ", 3.7550497278604125`, 
   "   Xstar:  ", 0.09142430521787456, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7550497278604125`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073306943703`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1180", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2385128836750394`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.759040273914941`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09109473906178828`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.759040273914941`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1180, "   tar:  ", 1.3, "   tarstar:  ", 1.2025000000000001`, 
   "   R:  ", 3.2385128836750394`, "   Bstar:  ", 3.759040273914941, 
   "   Xstar:  ", 0.09109473906178828, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.759040273914941^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073307023706`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1181", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232347126572565`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5292752289370792`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11288187870205173`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5292752289370792`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1181, "   tar:  ", 1.155, "   tarstar:  ", 1.205, "   R:  ", 
   3.232347126572565, "   Bstar:  ", 3.5292752289370792`, "   Xstar:  ", 
   0.11288187870205173`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5292752289370792`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073307103715`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1182", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2325402625572406`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5333935329489297`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11243517246056108`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5333935329489297`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1182, "   tar:  ", 1.1575, "   tarstar:  ", 1.205, "   R:  ", 
   3.2325402625572406`, "   Bstar:  ", 3.5333935329489297`, "   Xstar:  ", 
   0.11243517246056108`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5333935329489297`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330717372*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1183", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2327292124211877`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5375097388697037`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11199097706328444`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5375097388697037`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1183, "   tar:  ", 1.16, "   tarstar:  ", 1.205, "   R:  ", 
   3.2327292124211877`, "   Bstar:  ", 3.5375097388697037`, "   Xstar:  ", 
   0.11199097706328444`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5375097388697037`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330726373*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1184", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232914026692583`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5416238452691187`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1115492748774271`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5416238452691187`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1184, "   tar:  ", 1.1625, "   tarstar:  ", 1.205, "   R:  ", 
   3.232914026692583, "   Bstar:  ", 3.5416238452691187`, "   Xstar:  ", 
   0.1115492748774271, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5416238452691187`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330734374*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1185", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2330947552935836`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.545735850776503`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11111004841209512`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.545735850776503`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1185, "   tar:  ", 1.165, "   tarstar:  ", 1.205, "   R:  ", 
   3.2330947552935836`, "   Bstar:  ", 3.545735850776503, "   Xstar:  ", 
   0.11111004841209512`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.545735850776503^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073307453747`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1186", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2332714475479345`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5498457540799206`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11067328031710211`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5498457540799206`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1186, "   tar:  ", 1.1675, "   tarstar:  ", 1.205, "   R:  ", 
   3.2332714475479345`, "   Bstar:  ", 3.5498457540799206`, "   Xstar:  ", 
   0.11067328031710211`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5498457540799206`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330757376*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1187", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2334441521884805`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5539535539253406`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11023895338178058`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5539535539253406`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1187, "   tar:  ", 1.17, "   tarstar:  ", 1.205, "   R:  ", 
   3.2334441521884805`, "   Bstar:  ", 3.5539535539253406`, "   Xstar:  ", 
   0.11023895338178058`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5539535539253406`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330767377*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1188", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.233612917364593`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5580592491158187`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10980705053380273`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5580592491158187`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1188, "   tar:  ", 1.1725, "   tarstar:  ", 1.205, "   R:  ", 
   3.233612917364593, "   Bstar:  ", 3.5580592491158187`, "   Xstar:  ", 
   0.10980705053380273`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5580592491158187`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073307783785`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1189", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2337777906494773`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5621628385106785`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10937755483801072`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5621628385106785`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1189, "   tar:  ", 1.175, "   tarstar:  ", 1.205, "   R:  ", 
   3.2337777906494773`, "   Bstar:  ", 3.5621628385106785`, "   Xstar:  ", 
   0.10937755483801072`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5621628385106785`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733079338*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1190", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.233938819047406`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.56626432102471`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10895044949525613`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.56626432102471`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1190, "   tar:  ", 1.1775, "   tarstar:  ", 1.205, "   R:  ", 
   3.233938819047406, "   Bstar:  ", 3.56626432102471, "   Xstar:  ", 
   0.10895044949525613`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.56626432102471^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330806381*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1191", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2340960490008466`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.570363695627365`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10852571784124841`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.570363695627365`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1191, "   tar:  ", 1.18, "   tarstar:  ", 1.205, "   R:  ", 
   3.2340960490008466`, "   Bstar:  ", 3.570363695627365, "   Xstar:  ", 
   0.10852571784124841`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.570363695627365^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073308193827`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1192", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.234249526397503`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.574460961342004`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1081033433454082`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.574460961342004`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1192, "   tar:  ", 1.1825, "   tarstar:  ", 1.205, "   R:  ", 
   3.234249526397503, "   Bstar:  ", 3.574460961342004, "   Xstar:  ", 
   0.1081033433454082, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.574460961342004^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073308333836`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1193", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2343992965772506`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.578556117245096`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10768330960973707`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.578556117245096`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1193, "   tar:  ", 1.185, "   tarstar:  ", 1.205, "   R:  ", 
   3.2343992965772506`, "   Bstar:  ", 3.578556117245096, "   Xstar:  ", 
   0.10768330960973707`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.578556117245096^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073308433847`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1194", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2345454043390056`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.582649162465467`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10726560036768897`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.582649162465467`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1194, "   tar:  ", 1.1875, "   tarstar:  ", 1.205, "   R:  ", 
   3.2345454043390056`, "   Bstar:  ", 3.582649162465467, "   Xstar:  ", 
   0.10726560036768897`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.582649162465467^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330855386*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1195", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2346878939474815`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.586740096183557`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10685019948305288`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.586740096183557`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1195, "   tar:  ", 1.19, "   tarstar:  ", 1.205, "   R:  ", 
   3.2346878939474815`, "   Bstar:  ", 3.586740096183557, "   Xstar:  ", 
   0.10685019948305288`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.586740096183557^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073308663874`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1196", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.234826809139874`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.590828917630682`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10643709094884449`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.590828917630682`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1196, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.205, 
   "   R:  ", 3.234826809139874, "   Bstar:  ", 3.590828917630682, 
   "   Xstar:  ", 0.10643709094884449`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.590828917630682^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073308783884`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1197", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2349621931324437`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.594915626088278`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10602625888620833`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.594915626088278`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1197, "   tar:  ", 1.195, "   tarstar:  ", 1.205, "   R:  ", 
   3.2349621931324437`, "   Bstar:  ", 3.594915626088278, "   Xstar:  ", 
   0.10602625888620833`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.594915626088278^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073308903894`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1198", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235094088627027`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.599000220887231`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1056176875433218`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.599000220887231`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1198, "   tar:  ", 1.1975, "   tarstar:  ", 1.205, "   R:  ", 
   3.235094088627027, "   Bstar:  ", 3.599000220887231, "   Xstar:  ", 
   0.1056176875433218, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.599000220887231^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073309023905`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1199", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235222537817462`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6030827014071165`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10521136129431737`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6030827014071165`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1199, "   tar:  ", 1.2, "   tarstar:  ", 1.205, "   R:  ", 
   3.235222537817462, "   Bstar:  ", 3.6030827014071165`, "   Xstar:  ", 
   0.10521136129431737`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6030827014071165`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330914392*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1200", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.235347582395907`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.607163067075519`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10480726463820643`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.607163067075519`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1200, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.205, 
   "   R:  ", 3.235347582395907, "   Bstar:  ", 3.607163067075519, 
   "   Xstar:  ", 0.10480726463820643`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.607163067075519^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073309243927`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1201", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235469263559117`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6112413173673548`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10440538219781241`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6112413173673548`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1201, "   tar:  ", 1.205, "   tarstar:  ", 1.205, "   R:  ", 
   3.235469263559117, "   Bstar:  ", 3.6112413173673548`, "   Xstar:  ", 
   0.10440538219781241`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6112413173673548`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330934394*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1202", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235587622014604`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6153174518041618`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10400569871871626`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6153174518041618`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1202, "   tar:  ", 1.2075, "   tarstar:  ", 1.205, "   R:  ", 
   3.235587622014604, "   Bstar:  ", 3.6153174518041618`, "   Xstar:  ", 
   0.10400569871871626`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6153174518041618`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330945395*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1203", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2357026979867274`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6193914699534453`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10360819906820637`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6193914699534453`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1203, "   tar:  ", 1.21, "   tarstar:  ", 1.205, "   R:  ", 
   3.2357026979867274`, "   Bstar:  ", 3.6193914699534453`, "   Xstar:  ", 
   0.10360819906820637`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6193914699534453`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073309543962`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1204", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2358145312227196`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6234633714280227`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10321286823423732`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6234633714280227`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1204, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.205, 
   "   R:  ", 3.2358145312227196`, "   Bstar:  ", 3.6234633714280227`, 
   "   Xstar:  ", 0.10321286823423732`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6234633714280227`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073309613967`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1205", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2359231609986074`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6275331558853567`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10281969132439928`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6275331558853567`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1205, "   tar:  ", 1.215, "   tarstar:  ", 1.205, "   R:  ", 
   3.2359231609986074`, "   Bstar:  ", 3.6275331558853567`, "   Xstar:  ", 
   0.10281969132439928`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6275331558853567`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330968397*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1206", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.23602862612508`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6316008230269095`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10242865356489472`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6316008230269095`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1206, "   tar:  ", 1.2175, "   tarstar:  ", 1.205, "   R:  ", 
   3.23602862612508, "   Bstar:  ", 3.6316008230269095`, "   Xstar:  ", 
   0.10242865356489472`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6316008230269095`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330975398*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1207", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2361309649532632`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6356663725974943`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10203974029952412`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6356663725974943`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1207, "   tar:  ", 1.22, "   tarstar:  ", 1.205, "   R:  ", 
   3.2361309649532632`, "   Bstar:  ", 3.6356663725974943`, "   Xstar:  ", 
   0.10203974029952412`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6356663725974943`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607330982399*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1208", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.236230215380434`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6397298043846855`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10165293698867557`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6397298043846855`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1208, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.205, 
   "   R:  ", 3.236230215380434, "   Bstar:  ", 3.6397298043846855`, 
   "   Xstar:  ", 0.10165293698867557`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6397298043846855`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073309944*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1209", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236326414855644`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6437911182181595`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10126822920832983`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6437911182181595`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1209, "   tar:  ", 1.225, "   tarstar:  ", 1.205, "   R:  ", 
   3.236326414855644, "   Bstar:  ", 3.6437911182181595`, "   Xstar:  ", 
   0.10126822920832983`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6437911182181595`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331002401*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1210", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2364196003852865`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6478503139690983`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10088560264906844`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6478503139690983`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1210, "   tar:  ", 1.2275, "   tarstar:  ", 1.205, "   R:  ", 
   3.2364196003852865`, "   Bstar:  ", 3.6478503139690983`, "   Xstar:  ", 
   0.10088560264906844`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6478503139690983`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331014402*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1211", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2365098085385777`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6519073915496025`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10050504311508983`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6519073915496025`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1211, "   tar:  ", 1.23, "   tarstar:  ", 1.205, "   R:  ", 
   3.2365098085385777`, "   Bstar:  ", 3.6519073915496025`, "   Xstar:  ", 
   0.10050504311508983`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6519073915496025`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073310244026`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1212", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236597075452976`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.655962350912053`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10012653652323943`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.655962350912053`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1212, "   tar:  ", 1.2325, "   tarstar:  ", 1.205, "   R:  ", 
   3.236597075452976, "   Bstar:  ", 3.655962350912053, "   Xstar:  ", 
   0.10012653652323943`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.655962350912053^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073310364037`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1213", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2366814368395267`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.660015192048587`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09975006890203704`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.660015192048587`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1213, "   tar:  ", 1.235, "   tarstar:  ", 1.205, "   R:  ", 
   3.2366814368395267`, "   Bstar:  ", 3.660015192048587, "   Xstar:  ", 
   0.09975006890203704, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.660015192048587^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073310474052`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1214", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2367629279881345`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6640659149904593`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09937562639072492`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6640659149904593`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1214, "   tar:  ", 1.2375, "   tarstar:  ", 1.205, "   R:  ", 
   3.2367629279881345`, "   Bstar:  ", 3.6640659149904593`, "   Xstar:  ", 
   0.09937562639072492, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6640659149904593`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073310584064`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1215", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2368415837727804`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6681145198075034`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09900319523831437`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6681145198075034`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1215, "   tar:  ", 1.24, "   tarstar:  ", 1.205, "   R:  ", 
   3.2368415837727804`, "   Bstar:  ", 3.6681145198075034`, "   Xstar:  ", 
   0.09900319523831437, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6681145198075034`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073310714073`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1216", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2369174386566453`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.672161006607554`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09863276180264455`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.672161006607554`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1216, "   tar:  ", 1.2425, "   tarstar:  ", 1.205, "   R:  ", 
   3.2369174386566453`, "   Bstar:  ", 3.672161006607554, "   Xstar:  ", 
   0.09863276180264455, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.672161006607554^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073310844088`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1217", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236990526697203`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.676205375535915`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0982643125494464`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.676205375535915`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1217, "   tar:  ", 1.245, "   tarstar:  ", 1.205, "   R:  ", 
   3.236990526697203, "   Bstar:  ", 3.676205375535915, "   Xstar:  ", 
   0.0982643125494464, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.676205375535915^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733109641*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1218", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237060881551208`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.680247626774782`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0978978340514184`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.680247626774782`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1218, "   tar:  ", 1.2475, "   tarstar:  ", 1.205, "   R:  ", 
   3.237060881551208, "   Bstar:  ", 3.680247626774782, "   Xstar:  ", 
   0.0978978340514184, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.680247626774782^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331105411*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1219", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2371285364796547`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6842877605427025`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09753331298730784`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6842877605427025`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1219, "   tar:  ", 1.25, "   tarstar:  ", 1.205, "   R:  ", 
   3.2371285364796547`, "   Bstar:  ", 3.6842877605427025`, "   Xstar:  ", 
   0.09753331298730784, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6842877605427025`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331116412*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1220", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237193524352648`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.688325777094071`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09717073614099726`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.688325777094071`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1220, "   tar:  ", 1.2525, "   tarstar:  ", 1.205, "   R:  ", 
   3.237193524352648, "   Bstar:  ", 3.688325777094071, "   Xstar:  ", 
   0.09717073614099726, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.688325777094071^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073311294136`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1221", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2372558776542184`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6923616767185727`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.096810090400604`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6923616767185727`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1221, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.205, 
   "   R:  ", 3.2372558776542184`, "   Bstar:  ", 3.6923616767185727`, 
   "   Xstar:  ", 0.096810090400604, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6923616767185727`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331142415*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1222", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237315628487078`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6963954597406934`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09645136275758157`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6963954597406934`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1222, "   tar:  ", 1.2575, "   tarstar:  ", 1.205, "   R:  ", 
   3.237315628487078, "   Bstar:  ", 3.6963954597406934`, "   Xstar:  ", 
   0.09645136275758157, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6963954597406934`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073311524153`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1223", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237372808577306`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7004271265191573`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09609454030583654`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7004271265191573`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1223, "   tar:  ", 1.26, "   tarstar:  ", 1.205, "   R:  ", 
   3.237372808577306, "   Bstar:  ", 3.7004271265191573`, "   Xstar:  ", 
   0.09609454030583654, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7004271265191573`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331163417*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1224", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2374274492789885`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7044566774464815`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09573961024084224`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7044566774464815`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1224, "   tar:  ", 1.2625, "   tarstar:  ", 1.205, "   R:  ", 
   3.2374274492789885`, "   Bstar:  ", 3.7044566774464815`, "   Xstar:  ", 
   0.09573961024084224, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7044566774464815`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073311764183`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1225", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2374795815787842`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.708484112948439`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09538655985876941`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.708484112948439`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1225, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.205, 
   "   R:  ", 3.2374795815787842`, "   Bstar:  ", 3.708484112948439, 
   "   Xstar:  ", 0.09538655985876941, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.708484112948439^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331187419*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1226", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237529236100434`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.712509433483564`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09503537655562108`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.712509433483564`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1226, "   tar:  ", 1.2675, "   tarstar:  ", 1.205, "   R:  ", 
   3.237529236100434, "   Bstar:  ", 3.712509433483564, "   Xstar:  ", 
   0.09503537655562108, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.712509433483564^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733119442*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1227", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2375764431092215`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.716532639542696`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09468604782637141`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.716532639542696`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1227, "   tar:  ", 1.27, "   tarstar:  ", 1.205, "   R:  ", 
   3.2375764431092215`, "   Bstar:  ", 3.716532639542696, "   Xstar:  ", 
   0.09468604782637141, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.716532639542696^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073312034206`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1228", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2376212325163576`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7205537316484674`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09433856126411838`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7205537316484674`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1228, "   tar:  ", 1.2725, "   tarstar:  ", 1.205, "   R:  ", 
   3.2376212325163576`, "   Bstar:  ", 3.7205537316484674`, "   Xstar:  ", 
   0.09433856126411838, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7205537316484674`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073312104216`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1229", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2376636338833364`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7245727103548494`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09399290455923831`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7245727103548494`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1229, "   tar:  ", 1.275, "   tarstar:  ", 1.205, "   R:  ", 
   3.2376636338833364`, "   Bstar:  ", 3.7245727103548494`, "   Xstar:  ", 
   0.09399290455923831, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7245727103548494`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073312174225`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1230", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237703676426201`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7285895762466934`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09364906549854934`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7285895762466934`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1230, "   tar:  ", 1.2775, "   tarstar:  ", 1.205, "   R:  ", 
   3.237703676426201, "   Bstar:  ", 3.7285895762466934`, "   Xstar:  ", 
   0.09364906549854934, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7285895762466934`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331225423*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1231", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2377413890197837`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7326043299392446`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09330703196448462`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7326043299392446`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1231, "   tar:  ", 1.28, "   tarstar:  ", 1.205, "   R:  ", 
   3.2377413890197837`, "   Bstar:  ", 3.7326043299392446`, "   Xstar:  ", 
   0.09330703196448462, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7326043299392446`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331232424*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1232", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2377768002018716`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7366169720777096`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09296679193426853`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7366169720777096`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1232, "   tar:  ", 1.2825, "   tarstar:  ", 1.205, "   R:  ", 
   3.2377768002018716`, "   Bstar:  ", 3.7366169720777096`, "   Xstar:  ", 
   0.09296679193426853, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7366169720777096`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073312394247`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1233", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.237809938177334`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7406275033367944`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09262833347910343`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7406275033367944`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1233, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.205, 
   "   R:  ", 3.237809938177334, "   Bstar:  ", 3.7406275033367944`, 
   "   Xstar:  ", 0.09262833347910343, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7406275033367944`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331245425*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1234", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2378408308221807`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.744635924420277`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0922916447633607`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.744635924420277`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1234, "   tar:  ", 1.2875, "   tarstar:  ", 1.205, "   R:  ", 
   3.2378408308221807`, "   Bstar:  ", 3.744635924420277, "   Xstar:  ", 
   0.0922916447633607, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.744635924420277^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331254426*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1235", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2378695056875824`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7486422360605736`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09195671404377992`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7486422360605736`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1235, "   tar:  ", 1.29, "   tarstar:  ", 1.205, "   R:  ", 
   3.2378695056875824`, "   Bstar:  ", 3.7486422360605736`, "   Xstar:  ", 
   0.09195671404377992, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7486422360605736`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331265427*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1236", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237895990003833`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7526464390182688`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09162352966867861`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7526464390182688`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1236, "   tar:  ", 1.2925, "   tarstar:  ", 1.205, "   R:  ", 
   3.237895990003833, "   Bstar:  ", 3.7526464390182688`, "   Xstar:  ", 
   0.09162352966867861, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7526464390182688`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331276428*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1237", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2379203106842542`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.756648534081732`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09129208007716208`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.756648534081732`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1237, "   tar:  ", 1.295, "   tarstar:  ", 1.205, "   R:  ", 
   3.2379203106842542`, "   Bstar:  ", 3.756648534081732, "   Xstar:  ", 
   0.09129208007716208, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.756648534081732^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331287429*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1238", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2379424943290664`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7606485220667025`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0909623537983431`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7606485220667025`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1238, "   tar:  ", 1.2975, "   tarstar:  ", 1.205, "   R:  ", 
   3.2379424943290664`, "   Bstar:  ", 3.7606485220667025`, "   Xstar:  ", 
   0.0909623537983431, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7606485220667025`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733129743*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1239", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.205`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2379625672291934`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7646464038158527`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09063433945057099`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7646464038158527`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1239, "   tar:  ", 1.3, "   tarstar:  ", 1.205, "   R:  ", 
   3.2379625672291934`, "   Bstar:  ", 3.7646464038158527`, "   Xstar:  ", 
   0.09063433945057099, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7646464038158527`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073313064313`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1240", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231826993872243`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.534440092864356`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11232201837019207`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.534440092864356`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1240, "   tar:  ", 1.155, "   tarstar:  ", 1.2075, "   R:  ", 
   3.231826993872243, "   Bstar:  ", 3.534440092864356, "   Xstar:  ", 
   0.11232201837019207`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.534440092864356^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073313174324`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1241", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2320193057596187`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5385662416363886`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11187733224109282`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5385662416363886`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1241, "   tar:  ", 1.1575, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2320193057596187`, "   Bstar:  ", 3.5385662416363886`, "   Xstar:  ", 
   0.11187733224109282`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5385662416363886`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331327433*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1242", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2322074466544817`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.542690282222763`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1114351472518541`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.542690282222763`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1242, "   tar:  ", 1.16, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2322074466544817`, "   Bstar:  ", 3.542690282222763, "   Xstar:  ", 
   0.1114351472518541, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.542690282222763^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331338434*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1243", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232391466930188`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5468122132349023`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11099544582068832`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5468122132349023`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1243, "   tar:  ", 1.1625, "   tarstar:  ", 1.2075, "   R:  ", 
   3.232391466930188, "   Bstar:  ", 3.5468122132349023`, "   Xstar:  ", 
   0.11099544582068832`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5468122132349023`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073313484354`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1244", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2325714163555004`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5509320333435537`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1105582105075171`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5509320333435537`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1244, "   tar:  ", 1.165, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2325714163555004`, "   Bstar:  ", 3.5509320333435537`, "   Xstar:  ", 
   0.1105582105075171, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5509320333435537`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073313594365`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1245", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2327473441021692`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5550497412780153`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11012342401276565`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5550497412780153`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1245, "   tar:  ", 1.1675, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2327473441021692`, "   Bstar:  ", 3.5550497412780153`, "   Xstar:  ", 
   0.11012342401276565`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5550497412780153`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073313704376`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1246", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2329192987524533`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.559165335825231`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10969106917618104`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.559165335825231`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1246, "   tar:  ", 1.17, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2329192987524533`, "   Bstar:  ", 3.559165335825231, "   Xstar:  ", 
   0.10969106917618104`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.559165335825231^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073313824387`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1247", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2330873283065196`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5632788158289963`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10926112897564881`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5632788158289963`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1247, "   tar:  ", 1.1725, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2330873283065196`, "   Bstar:  ", 3.5632788158289963`, "   Xstar:  ", 
   0.10926112897564881`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5632788158289963`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733139544*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1248", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2332514801897534`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.567390180189155`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10883358652602095`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.567390180189155`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1248, "   tar:  ", 1.175, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2332514801897534`, "   Bstar:  ", 3.567390180189155, "   Xstar:  ", 
   0.10883358652602095`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.567390180189155^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331406441*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1249", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2334118012599755`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5714994278607786`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10840842507795569`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5714994278607786`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1249, "   tar:  ", 1.1775, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2334118012599755`, "   Bstar:  ", 3.5714994278607786`, "   Xstar:  ", 
   0.10840842507795569`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5714994278607786`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331414442*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1250", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2335683378145577`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.575606557853385`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10798562801676251`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.575606557853385`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1250, "   tar:  ", 1.18, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2335683378145577`, "   Bstar:  ", 3.575606557853385, "   Xstar:  ", 
   0.10798562801676251`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.575606557853385^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331423443*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1251", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2337211355974493`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5797115692301418`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10756517886125977`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5797115692301418`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1251, "   tar:  ", 1.1825, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2337211355974493`, "   Bstar:  ", 3.5797115692301418`, "   Xstar:  ", 
   0.10756517886125977`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5797115692301418`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331430444*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1252", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.233870239806125`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.583814461107134`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10714706126263482`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.583814461107134`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1252, "   tar:  ", 1.185, "   tarstar:  ", 1.2075, "   R:  ", 
   3.233870239806125, "   Bstar:  ", 3.583814461107134, "   Xstar:  ", 
   0.10714706126263482`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.583814461107134^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331438444*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1253", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2340156950984102`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.587915232652579`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10673125900332005`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.587915232652579`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1253, "   tar:  ", 1.1875, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2340156950984102`, "   Bstar:  ", 3.587915232652579, "   Xstar:  ", 
   0.10673125900332005`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.587915232652579^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073314464455`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1254", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2341575455992575`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5920138830860457`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1063177559958774`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5920138830860457`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1254, "   tar:  ", 1.19, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2341575455992575`, "   Bstar:  ", 3.5920138830860457`, "   Xstar:  ", 
   0.1063177559958774, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5920138830860457`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073314554462`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1255", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2342958349073982`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.596110411677795`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10590653628188115`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.596110411677795`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1255, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.2075, 
   "   R:  ", 3.2342958349073982`, "   Bstar:  ", 3.596110411677795, 
   "   Xstar:  ", 0.10590653628188115`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.596110411677795^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073314634466`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1256", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2344306061019297`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.600204817747969`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10549758403082544`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.600204817747969`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1256, "   tar:  ", 1.195, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2344306061019297`, "   Bstar:  ", 3.600204817747969, "   Xstar:  ", 
   0.10549758403082544`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.600204817747969^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331471448*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1257", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.234561901748818`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6042971006659554`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10509088353902392`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6042971006659554`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1257, "   tar:  ", 1.1975, "   tarstar:  ", 1.2075, "   R:  ", 
   3.234561901748818, "   Bstar:  ", 3.6042971006659554`, "   Xstar:  ", 
   0.10509088353902392`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6042971006659554`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073314784484`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1258", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2346897639072885`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6083872598495765`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10468641922853644`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6083872598495765`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1258, "   tar:  ", 1.2, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2346897639072885`, "   Bstar:  ", 3.6083872598495765`, "   Xstar:  ", 
   0.10468641922853644`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6083872598495765`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073314864492`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1259", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.234814234136174`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6124752947644874`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10428417564608453`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6124752947644874`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1259, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.2075, 
   "   R:  ", 3.234814234136174, "   Bstar:  ", 3.6124752947644874`, 
   "   Xstar:  ", 0.10428417564608453`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6124752947644874`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733149645*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1260", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2349353535001457`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6165612049234364`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10388413746198993`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6165612049234364`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1260, "   tar:  ", 1.205, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2349353535001457`, "   Bstar:  ", 3.6165612049234364`, "   Xstar:  ", 
   0.10388413746198993`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6165612049234364`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331506451*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1261", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2350531625758765`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.620644989885602`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10348628946911582`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.620644989885602`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1261, "   tar:  ", 1.2075, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2350531625758765`, "   Bstar:  ", 3.620644989885602, "   Xstar:  ", 
   0.10348628946911582`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.620644989885602^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073315174522`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1262", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2351677014581344`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.624726649255892`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10309061658181959`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.624726649255892`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1262, "   tar:  ", 1.21, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2351677014581344`, "   Bstar:  ", 3.624726649255892, "   Xstar:  ", 
   0.10309061658181959`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.624726649255892^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331528453*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1263", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.235279009765771`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.628806182684313`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10269710383490986`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.628806182684313`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1263, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.2075, 
   "   R:  ", 3.235279009765771, "   Bstar:  ", 3.628806182684313, 
   "   Xstar:  ", 0.10269710383490986`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.628806182684313^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331537454*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1264", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2353871266476584`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.632883589865315`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10230573638261396`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.632883589865315`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1264, "   tar:  ", 1.215, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2353871266476584`, "   Bstar:  ", 3.632883589865315, "   Xstar:  ", 
   0.10230573638261396`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.632883589865315^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331548455*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1265", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.23549209078853`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.636958870537146`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10191649949755431`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.636958870537146`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1265, "   tar:  ", 1.2175, "   tarstar:  ", 1.2075, "   R:  ", 
   3.23549209078853, "   Bstar:  ", 3.636958870537146, "   Xstar:  ", 
   0.10191649949755431`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.636958870537146^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331557456*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1266", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2355939404147582`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6410320244811816`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10152937856973634`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6410320244811816`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1266, "   tar:  ", 1.22, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2355939404147582`, "   Bstar:  ", 3.6410320244811816`, "   Xstar:  ", 
   0.10152937856973634`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6410320244811816`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331568457*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1267", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2356927133000393`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.645103051521367`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10114435910553445`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.645103051521367`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1267, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.2075, 
   "   R:  ", 3.2356927133000393`, "   Bstar:  ", 3.645103051521367, 
   "   Xstar:  ", 0.10114435910553445`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.645103051521367^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073315774584`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1268", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2357884467710334`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.649171951523512`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10076142672670152`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.649171951523512`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1268, "   tar:  ", 1.225, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2357884467710334`, "   Bstar:  ", 3.649171951523512, "   Xstar:  ", 
   0.10076142672670152`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.649171951523512^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331588459*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1269", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2358811777129013`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6532387243947784`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10038056716936875`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6532387243947784`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1269, "   tar:  ", 1.2275, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2358811777129013`, "   Bstar:  ", 3.6532387243947784`, "   Xstar:  ", 
   0.10038056716936875`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6532387243947784`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733160046*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1270", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2359709425747827`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6573033700829862`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10000176628307211`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6573033700829862`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1270, "   tar:  ", 1.23, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2359709425747827`, "   Bstar:  ", 3.6573033700829862`, "   Xstar:  ", 
   0.10000176628307211`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6573033700829862`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073316104617`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1271", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236057777375205`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.661365888576097`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09962501002977041`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.661365888576097`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1271, "   tar:  ", 1.2325, "   tarstar:  ", 1.2075, "   R:  ", 
   3.236057777375205, "   Bstar:  ", 3.661365888576097, "   Xstar:  ", 
   0.09962501002977041, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.661365888576097^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331621463*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1272", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236141717707424`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.665426279901542`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09925028448288725`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.665426279901542`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1272, "   tar:  ", 1.235, "   tarstar:  ", 1.2075, "   R:  ", 
   3.236141717707424, "   Bstar:  ", 3.665426279901542, "   Xstar:  ", 
   0.09925028448288725, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.665426279901542^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073316304636`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1273", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236222798744679`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6694845441257558`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09887757582634223`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6694845441257558`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1273, "   tar:  ", 1.2375, "   tarstar:  ", 1.2075, "   R:  ", 
   3.236222798744679, "   Bstar:  ", 3.6694845441257558`, "   Xstar:  ", 
   0.09887757582634223, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6694845441257558`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073316394644`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1274", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236301055245395`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.673540681353504`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09850687035361053`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.673540681353504`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1274, "   tar:  ", 1.24, "   tarstar:  ", 1.2075, "   R:  ", 
   3.236301055245395, "   Bstar:  ", 3.673540681353504, "   Xstar:  ", 
   0.09850687035361053, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.673540681353504^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331647465*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1275", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2363765215583173`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.677594691727378`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.098138154466775`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.677594691727378`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1275, "   tar:  ", 1.2425, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2363765215583173`, "   Bstar:  ", 3.677594691727378, "   Xstar:  ", 
   0.098138154466775, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.677594691727378^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331655466*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1276", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236449231627572`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6816465754272154`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09777141467559454`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6816465754272154`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1276, "   tar:  ", 1.245, "   tarstar:  ", 1.2075, "   R:  ", 
   3.236449231627572, "   Bstar:  ", 3.6816465754272154`, "   Xstar:  ", 
   0.09777141467559454, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6816465754272154`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331666467*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1277", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236519218997662`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6856963326695737`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09740663759657528`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6856963326695737`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1277, "   tar:  ", 1.2475, "   tarstar:  ", 1.2075, "   R:  ", 
   3.236519218997662, "   Bstar:  ", 3.6856963326695737`, "   Xstar:  ", 
   0.09740663759657528, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6856963326695737`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331676468*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1278", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2365865168184063`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.689743963707174`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09704380995205357`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.689743963707174`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1278, "   tar:  ", 1.25, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2365865168184063`, "   Bstar:  ", 3.689743963707174, "   Xstar:  ", 
   0.09704380995205357, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.689743963707174^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073316874695`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1279", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2366511578498`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6937894688283732`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0966829185692849`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6937894688283732`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1279, "   tar:  ", 1.2525, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2366511578498, "   Bstar:  ", 3.6937894688283732`, "   Xstar:  ", 
   0.0966829185692849, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6937894688283732`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733169447*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1280", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.236713174466833`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.697832848356638`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09632395037954047`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.697832848356638`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1280, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.2075, 
   "   R:  ", 3.236713174466833, "   Bstar:  ", 3.697832848356638, 
   "   Xstar:  ", 0.09632395037954047, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.697832848356638^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073317034707`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1281", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236772598664215`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7018741026500277`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09596689241721187`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7018741026500277`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1281, "   tar:  ", 1.2575, "   tarstar:  ", 1.2075, "   R:  ", 
   3.236772598664215, "   Bstar:  ", 3.7018741026500277`, "   Xstar:  ", 
   0.09596689241721187, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7018741026500277`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073317104716`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1282", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2368294620610825`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.705913232100678`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09561173181892353`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.705913232100678`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1282, "   tar:  ", 1.26, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2368294620610825`, "   Bstar:  ", 3.705913232100678, "   Xstar:  ", 
   0.09561173181892353, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.705913232100678^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331717472*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1283", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236883795905597`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7099502371343087`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09525845582265134`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7099502371343087`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1283, "   tar:  ", 1.2625, "   tarstar:  ", 1.2075, "   R:  ", 
   3.236883795905597, "   Bstar:  ", 3.7099502371343087`, "   Xstar:  ", 
   0.09525845582265134, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7099502371343087`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331725473*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1284", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2369356310795214`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7139851182097154`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09490705176685091`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7139851182097154`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1284, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.2075, 
   "   R:  ", 3.2369356310795214`, "   Bstar:  ", 3.7139851182097154`, 
   "   Xstar:  ", 0.09490705176685091, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7139851182097154`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073317324734`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1285", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2369849981027152`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.718017875818273`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09455750708959292`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.718017875818273`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1285, "   tar:  ", 1.2675, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2369849981027152`, "   Bstar:  ", 3.718017875818273, "   Xstar:  ", 
   0.09455750708959292, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.718017875818273^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073317424746`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1286", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237031927137585`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.722048510483464`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09420980932770402`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.722048510483464`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1286, "   tar:  ", 1.27, "   tarstar:  ", 1.2075, "   R:  ", 
   3.237031927137585, "   Bstar:  ", 3.722048510483464, "   Xstar:  ", 
   0.09420980932770402, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.722048510483464^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331755476*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1287", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2370764479934677`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.726077022760409`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09386394611591568`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.726077022760409`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1287, "   tar:  ", 1.2725, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2370764479934677`, "   Bstar:  ", 3.726077022760409, "   Xstar:  ", 
   0.09386394611591568, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.726077022760409^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073317694774`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1288", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2371185901309594`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7301034132353545`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09351990518602488`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7301034132353545`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1288, "   tar:  ", 1.275, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2371185901309594`, "   Bstar:  ", 3.7301034132353545`, "   Xstar:  ", 
   0.09351990518602488, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7301034132353545`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331782479*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1289", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2371583826661947`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.734127682525261`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09317767436605308`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.734127682525261`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1289, "   tar:  ", 1.2775, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2371583826661947`, "   Bstar:  ", 3.734127682525261, "   Xstar:  ", 
   0.09317767436605308, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.734127682525261^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073317944803`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1290", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237195854375065`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7381498312772914`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09283724157942304`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7381498312772914`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1290, "   tar:  ", 1.28, "   tarstar:  ", 1.2075, "   R:  ", 
   3.237195854375065, "   Bstar:  ", 3.7381498312772914`, "   Xstar:  ", 
   0.09283724157942304, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7381498312772914`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331805481*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1291", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2372310336973764`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.742169860168412`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09249859484413188`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.742169860168412`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1291, "   tar:  ", 1.2825, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2372310336973764`, "   Bstar:  ", 3.742169860168412, "   Xstar:  ", 
   0.09249859484413188, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.742169860168412^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331816482*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1292", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.237263948740967`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7461877699048887`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09216172227194244`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7461877699048887`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1292, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.2075, 
   "   R:  ", 3.237263948740967, "   Bstar:  ", 3.7461877699048887`, 
   "   Xstar:  ", 0.09216172227194244, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7461877699048887`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331827483*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1293", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237294627285769`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7502035612218916`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0918266120675718`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7502035612218916`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1293, "   tar:  ", 1.2875, "   tarstar:  ", 1.2075, "   R:  ", 
   3.237294627285769, "   Bstar:  ", 3.7502035612218916`, "   Xstar:  ", 
   0.0918266120675718, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7502035612218916`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073318384843`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1294", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2373230967878013`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.75421723488306`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09149325252789124`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.75421723488306`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1294, "   tar:  ", 1.29, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2373230967878013`, "   Bstar:  ", 3.75421723488306, "   Xstar:  ", 
   0.09149325252789124, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.75421723488306^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331850486*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1295", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237349384383132`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7582287916800112`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09116163204113827`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7582287916800112`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1295, "   tar:  ", 1.2925, "   tarstar:  ", 1.2075, "   R:  ", 
   3.237349384383132, "   Bstar:  ", 3.7582287916800112`, "   Xstar:  ", 
   0.09116163204113827, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7582287916800112`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073318644867`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1296", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2373735168917928`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7622382324320007`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09083173908612352`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7622382324320007`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1296, "   tar:  ", 1.295, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2373735168917928`, "   Bstar:  ", 3.7622382324320007`, "   Xstar:  ", 
   0.09083173908612352, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7622382324320007`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331877488*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1297", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.237395520821605`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.766245557985449`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09050356223145586`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.766245557985449`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1297, "   tar:  ", 1.2975, "   tarstar:  ", 1.2075, "   R:  ", 
   3.237395520821605, "   Bstar:  ", 3.766245557985449, "   Xstar:  ", 
   0.09050356223145586, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.766245557985449^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073318904896`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1298", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2075`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2374154223720035`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7702507692135567`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09017709013476757`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7702507692135567`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1298, "   tar:  ", 1.3, "   tarstar:  ", 1.2075, "   R:  ", 
   3.2374154223720035`, "   Bstar:  ", 3.7702507692135567`, "   Xstar:  ", 
   0.09017709013476757, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7702507692135567`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073319014907`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1299", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231309812062207`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5396035737709344`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11176589470832698`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5396035737709344`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1299, "   tar:  ", 1.155, "   tarstar:  ", 1.21, "   R:  ", 
   3.231309812062207, "   Bstar:  ", 3.5396035737709344`, "   Xstar:  ", 
   0.11176589470832698`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5396035737709344`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331912492*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1300", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2315013051318604`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5437375603025942`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11132321698270907`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5437375603025942`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1300, "   tar:  ", 1.1575, "   tarstar:  ", 1.21, "   R:  ", 
   3.2315013051318604`, "   Bstar:  ", 3.5437375603025942`, "   Xstar:  ", 
   0.11132321698270907`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5437375603025942`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331922493*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1301", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231688642261386`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.547869428569405`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11088303073394025`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.547869428569405`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1301, "   tar:  ", 1.16, "   tarstar:  ", 1.21, "   R:  ", 
   3.231688642261386, "   Bstar:  ", 3.547869428569405, "   Xstar:  ", 
   0.11088303073394025`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.547869428569405^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073319304934`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1302", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231871873669883`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5519991772244306`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11044531843118711`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5519991772244306`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1302, "   tar:  ", 1.1625, "   tarstar:  ", 1.21, "   R:  ", 
   3.231871873669883, "   Bstar:  ", 3.5519991772244306`, "   Xstar:  ", 
   0.11044531843118711`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5519991772244306`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331939494*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1303", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232051048973263`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5561268049798382`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11001006268512513`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5561268049798382`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1303, "   tar:  ", 1.165, "   tarstar:  ", 1.21, "   R:  ", 
   3.232051048973263, "   Bstar:  ", 3.5561268049798382`, "   Xstar:  ", 
   0.11001006268512513`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5561268049798382`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331946495*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1304", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2322262171918497`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.560252310606091`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1095772462467345`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.560252310606091`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1304, "   tar:  ", 1.1675, "   tarstar:  ", 1.21, "   R:  ", 
   3.2322262171918497`, "   Bstar:  ", 3.560252310606091, "   Xstar:  ", 
   0.1095772462467345, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.560252310606091^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331955496*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1305", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2323974267578635`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.56437569293107`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10914685200611475`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.56437569293107`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1305, "   tar:  ", 1.17, "   tarstar:  ", 1.21, "   R:  ", 
   3.2323974267578635`, "   Bstar:  ", 3.56437569293107, "   Xstar:  ", 
   0.10914685200611475`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.56437569293107^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073319634967`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1306", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232564725522819`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.568496950839283`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10871886299129985`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.568496950839283`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1306, "   tar:  ", 1.1725, "   tarstar:  ", 1.21, "   R:  ", 
   3.232564725522819, "   Bstar:  ", 3.568496950839283, "   Xstar:  ", 
   0.10871886299129985`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.568496950839283^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607331973498*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1307", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232728160764833`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5726160832710594`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10829326236708493`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5726160832710594`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1307, "   tar:  ", 1.175, "   tarstar:  ", 1.21, "   R:  ", 
   3.232728160764833, "   Bstar:  ", 3.5726160832710594`, "   Xstar:  ", 
   0.10829326236708493`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5726160832710594`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073319864993`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1308", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232887779195815`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5767330892217046`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10787003343386777`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5767330892217046`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1308, "   tar:  ", 1.1775, "   tarstar:  ", 1.21, "   R:  ", 
   3.232887779195815, "   Bstar:  ", 3.5767330892217046`, "   Xstar:  ", 
   0.10787003343386777`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5767330892217046`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073319965*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1309", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2330436269685894`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5808479677407488`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10744915962648978`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5808479677407488`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1309, "   tar:  ", 1.18, "   tarstar:  ", 1.21, "   R:  ", 
   3.2330436269685894`, "   Bstar:  ", 3.5808479677407488`, "   Xstar:  ", 
   0.10744915962648978`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5808479677407488`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332007501*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1310", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2331957496839054`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.58496071793117`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10703062451309062`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.58496071793117`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1310, "   tar:  ", 1.1825, "   tarstar:  ", 1.21, "   R:  ", 
   3.2331957496839054`, "   Bstar:  ", 3.58496071793117, "   Xstar:  ", 
   0.10703062451309062`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.58496071793117^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073320215025`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1311", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.233344192397361`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5890713389485946`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10661441179397396`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5890713389485946`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1311, "   tar:  ", 1.185, "   tarstar:  ", 1.21, "   R:  ", 
   3.233344192397361, "   Bstar:  ", 3.5890713389485946`, "   Xstar:  ", 
   0.10661441179397396`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5890713389485946`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073320335035`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1312", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.233488999626248`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5931798300005684`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10620050530047735`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5931798300005684`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1312, "   tar:  ", 1.1875, "   tarstar:  ", 1.21, "   R:  ", 
   3.233488999626248, "   Bstar:  ", 3.5931798300005684`, "   Xstar:  ", 
   0.10620050530047735`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5931798300005684`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332045505*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1313", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2336302153562806`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5972861903458013`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10578888899385341`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5972861903458013`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1313, "   tar:  ", 1.19, "   tarstar:  ", 1.21, "   R:  ", 
   3.2336302153562806`, "   Bstar:  ", 3.5972861903458013`, "   Xstar:  ", 
   0.10578888899385341`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5972861903458013`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332057506*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1314", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.21`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2337678830482726`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6013904192934323`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1053795469641592`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6013904192934323`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1314, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.21, 
   "   R:  ", 3.2337678830482726`, "   Bstar:  ", 3.6013904192934323`, 
   "   Xstar:  ", 0.1053795469641592, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6013904192934323`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073320695076`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1315", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.233902045644692`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6054925162022693`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10497246342915821`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6054925162022693`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1315, "   tar:  ", 1.195, "   tarstar:  ", 1.21, "   R:  ", 
   3.233902045644692, "   Bstar:  ", 3.6054925162022693`, "   Xstar:  ", 
   0.10497246342915821`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6054925162022693`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073320785084`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1316", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2340327455761515`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.609592480480142`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10456762273322036`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.609592480480142`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1316, "   tar:  ", 1.1975, "   tarstar:  ", 1.21, "   R:  ", 
   3.2340327455761515`, "   Bstar:  ", 3.609592480480142, "   Xstar:  ", 
   0.10456762273322036`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.609592480480142^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073320895095`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1317", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.234160024767812`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6136903115831207`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10416500934624555`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6136903115831207`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1317, "   tar:  ", 1.2, "   tarstar:  ", 1.21, "   R:  ", 
   3.234160024767812, "   Bstar:  ", 3.6136903115831207`, "   Xstar:  ", 
   0.10416500934624555`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6136903115831207`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073321025105`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1318", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.21`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2342839246456925`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.617786009014865`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10376460786258272`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.617786009014865`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1318, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.21, 
   "   R:  ", 3.2342839246456925`, "   Bstar:  ", 3.617786009014865, 
   "   Xstar:  ", 0.10376460786258272`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.617786009014865^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073321165123`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1319", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2344044861429095`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6218795723259203`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10336640299996576`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6218795723259203`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1319, "   tar:  ", 1.205, "   tarstar:  ", 1.21, "   R:  ", 
   3.2344044861429095`, "   Bstar:  ", 3.6218795723259203`, "   Xstar:  ", 
   0.10336640299996576`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6218795723259203`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073321325135`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1320", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2345217497058236`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.625971001113041`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10297037959845373`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.625971001113041`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1320, "   tar:  ", 1.2075, "   tarstar:  ", 1.21, "   R:  ", 
   3.2345217497058236`, "   Bstar:  ", 3.625971001113041, "   Xstar:  ", 
   0.10297037959845373`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.625971001113041^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073321515155`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1321", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.234635755300127`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6300602950185064`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10257652261938345`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6300602950185064`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1321, "   tar:  ", 1.21, "   tarstar:  ", 1.21, "   R:  ", 
   3.234635755300127, "   Bstar:  ", 3.6300602950185064`, "   Xstar:  ", 
   0.10257652261938345`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6300602950185064`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332182519*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1322", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.21`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.23474654241681`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6341474537294887`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10218481714432529`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6341474537294887`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1322, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.21, 
   "   R:  ", 3.23474654241681, "   Bstar:  ", 3.6341474537294887`, 
   "   Xstar:  ", 0.10218481714432529`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6341474537294887`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073321975203`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1323", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2348541500781023`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6382324769773655`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10179524837405372`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6382324769773655`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1323, "   tar:  ", 1.215, "   tarstar:  ", 1.21, "   R:  ", 
   3.2348541500781023`, "   Bstar:  ", 3.6382324769773655`, "   Xstar:  ", 
   0.10179524837405372`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6382324769773655`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332213522*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1324", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2349586168432976`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6423153645371222`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10140780162751889`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6423153645371222`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1324, "   tar:  ", 1.2175, "   tarstar:  ", 1.21, "   R:  ", 
   3.2349586168432976`, "   Bstar:  ", 3.6423153645371222`, "   Xstar:  ", 
   0.10140780162751889`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6423153645371222`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073322295237`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1325", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235059980814514`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.646396116226683`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10102246234083431`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.646396116226683`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1325, "   tar:  ", 1.22, "   tarstar:  ", 1.21, "   R:  ", 
   3.235059980814514, "   Bstar:  ", 3.646396116226683, "   Xstar:  ", 
   0.10102246234083431`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.646396116226683^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332245525*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1326", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.21`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2351582796423926`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.650474731906276`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10063921606626954`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.650474731906276`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1326, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.21, 
   "   R:  ", 3.2351582796423926`, "   Bstar:  ", 3.650474731906276, 
   "   Xstar:  ", 0.10063921606626954`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.650474731906276^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332263527*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1327", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235253550531697`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.65455121147786`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1002580484712476`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.65455121147786`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1327, "   tar:  ", 1.225, "   tarstar:  ", 1.21, "   R:  ", 
   3.235253550531697, "   Bstar:  ", 3.65455121147786, "   Xstar:  ", 
   0.1002580484712476, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.65455121147786^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073322775283`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1328", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2353458302468563`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.658625554884476`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09987894533735751`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.658625554884476`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1328, "   tar:  ", 1.2275, "   tarstar:  ", 1.21, "   R:  ", 
   3.2353458302468563`, "   Bstar:  ", 3.658625554884476, "   Xstar:  ", 
   0.09987894533735751, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.658625554884476^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073322925296`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1329", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235435155117438`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.662697762109659`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09950189255937`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.662697762109659`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1329, "   tar:  ", 1.23, "   tarstar:  ", 1.21, "   R:  ", 
   3.235435155117438, "   Bstar:  ", 3.662697762109659, "   Xstar:  ", 
   0.09950189255937, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.662697762109659^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332301531*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1330", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2355215610435404`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.66676783317685`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0991268761442633`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.66676783317685`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1330, "   tar:  ", 1.2325, "   tarstar:  ", 1.21, "   R:  ", 
   3.2355215610435404`, "   Bstar:  ", 3.66676783317685, "   Xstar:  ", 
   0.0991268761442633, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.66676783317685^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073323175325`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1331", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235605083501113`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6708357681488253`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09875388221025481`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6708357681488253`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1331, "   tar:  ", 1.235, "   tarstar:  ", 1.21, "   R:  ", 
   3.235605083501113, "   Bstar:  ", 3.6708357681488253`, "   Xstar:  ", 
   0.09875388221025481, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6708357681488253`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073323345337`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1332", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235685757547225`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6749015671270846`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09838289698584689`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6749015671270846`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1332, "   tar:  ", 1.2375, "   tarstar:  ", 1.21, "   R:  ", 
   3.235685757547225, "   Bstar:  ", 3.6749015671270846`, "   Xstar:  ", 
   0.09838289698584689, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6749015671270846`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332351536*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1333", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235763617825243`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.678965230251295`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09801390680887444`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.678965230251295`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1333, "   tar:  ", 1.24, "   tarstar:  ", 1.21, "   R:  ", 
   3.235763617825243, "   Bstar:  ", 3.678965230251295, "   Xstar:  ", 
   0.09801390680887444, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.678965230251295^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073323675375`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1334", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235838698569958`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6830267576987694`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09764689812555982`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6830267576987694`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1334, "   tar:  ", 1.2425, "   tarstar:  ", 1.21, "   R:  ", 
   3.235838698569958, "   Bstar:  ", 3.6830267576987694`, "   Xstar:  ", 
   0.09764689812555982, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6830267576987694`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073323865395`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1335", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2359110336126347`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6870861496838385`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09728185748958476`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6870861496838385`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1335, "   tar:  ", 1.245, "   tarstar:  ", 1.21, "   R:  ", 
   3.2359110336126347`, "   Bstar:  ", 3.6870861496838385`, "   Xstar:  ", 
   0.09728185748958476, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6870861496838385`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332404541*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1336", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2359806563860047`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.691143406457375`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09691877156115816`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.691143406457375`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1336, "   tar:  ", 1.2475, "   tarstar:  ", 1.21, "   R:  ", 
   3.2359806563860047`, "   Bstar:  ", 3.691143406457375, "   Xstar:  ", 
   0.09691877156115816, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.691143406457375^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332425543*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1337", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2360475999291882`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.695198528306217`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09655762710610052`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.695198528306217`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1337, "   tar:  ", 1.25, "   tarstar:  ", 1.21, "   R:  ", 
   3.2360475999291882`, "   Bstar:  ", 3.695198528306217, "   Xstar:  ", 
   0.09655762710610052, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.695198528306217^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073324485455`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1338", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2361118968925546`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.699251515552655`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09619841099493158`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.699251515552655`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1338, "   tar:  ", 1.2525, "   tarstar:  ", 1.21, "   R:  ", 
   3.2361118968925546`, "   Bstar:  ", 3.699251515552655, "   Xstar:  ", 
   0.09619841099493158, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.699251515552655^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073324715476`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1339", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.21`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.236173579542514`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7033023685538713`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09584111020197086`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7033023685538713`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1339, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.21, 
   "   R:  ", 3.236173579542514, "   Bstar:  ", 3.7033023685538713`, 
   "   Xstar:  ", 0.09584111020197086, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7033023685538713`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073324905496`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1340", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2362326797662626`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.707351087701487`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0954857118044364`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.707351087701487`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1340, "   tar:  ", 1.2575, "   tarstar:  ", 1.21, "   R:  ", 
   3.2362326797662626`, "   Bstar:  ", 3.707351087701487, "   Xstar:  ", 
   0.0954857118044364, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.707351087701487^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332507551*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1341", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2362892290764447`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7113976734209797`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09513220298156341`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7113976734209797`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1341, "   tar:  ", 1.26, "   tarstar:  ", 1.21, "   R:  ", 
   3.2362892290764447`, "   Bstar:  ", 3.7113976734209797`, "   Xstar:  ", 
   0.09513220298156341, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7113976734209797`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332524553*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1342", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236343258615771`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7154421261712387`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09478057101371946`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7154421261712387`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1342, "   tar:  ", 1.2625, "   tarstar:  ", 1.21, "   R:  ", 
   3.236343258615771, "   Bstar:  ", 3.7154421261712387`, "   Xstar:  ", 
   0.09478057101371946, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7154421261712387`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332542555*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1343", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.21`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.236394799161572`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7194844464440373`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09443080328153451`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7194844464440373`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1343, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.21, 
   "   R:  ", 3.236394799161572, "   Bstar:  ", 3.7194844464440373`, 
   "   Xstar:  ", 0.09443080328153451, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7194844464440373`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073325585566`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1344", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2364438811302843`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.723524634763543`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09408288726503586`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.723524634763543`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1344, "   tar:  ", 1.2675, "   tarstar:  ", 1.21, "   R:  ", 
   3.2364438811302843`, "   Bstar:  ", 3.723524634763543, "   Xstar:  ", 
   0.09408288726503586, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.723524634763543^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073325805583`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1345", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236490534581899`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.727562691685854`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09373681054278912`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.727562691685854`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1345, "   tar:  ", 1.27, "   tarstar:  ", 1.21, "   R:  ", 
   3.236490534581899, "   Bstar:  ", 3.727562691685854, "   Xstar:  ", 
   0.09373681054278912, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.727562691685854^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332602561*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1346", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236534789224322`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7315986177985034`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09339256079104966`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7315986177985034`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1346, "   tar:  ", 1.2725, "   tarstar:  ", 1.21, "   R:  ", 
   3.236534789224322, "   Bstar:  ", 3.7315986177985034`, "   Xstar:  ", 
   0.09339256079104966, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7315986177985034`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332622563*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1347", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236576674417718`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7356324137199826`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09305012578292028`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7356324137199826`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1347, "   tar:  ", 1.275, "   tarstar:  ", 1.21, "   R:  ", 
   3.236576674417718, "   Bstar:  ", 3.7356324137199826`, "   Xstar:  ", 
   0.09305012578292028, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7356324137199826`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332638564*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1348", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236616219178754`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.73966408009932`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09270949338751251`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.73966408009932`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1348, "   tar:  ", 1.2775, "   tarstar:  ", 1.21, "   R:  ", 
   3.236616219178754, "   Bstar:  ", 3.73966408009932, "   Xstar:  ", 
   0.09270949338751251, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.73966408009932^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332654566*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1349", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2366534521848243`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.743693617615561`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09237065156912307`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.743693617615561`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1349, "   tar:  ", 1.28, "   tarstar:  ", 1.21, "   R:  ", 
   3.2366534521848243`, "   Bstar:  ", 3.743693617615561, "   Xstar:  ", 
   0.09237065156912307, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.743693617615561^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073326725674`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1350", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2366884017782005`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7477210269773593`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09203358838640996`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7477210269773593`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1350, "   tar:  ", 1.2825, "   tarstar:  ", 1.21, "   R:  ", 
   3.2366884017782005`, "   Bstar:  ", 3.7477210269773593`, "   Xstar:  ", 
   0.09203358838640996, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7477210269773593`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733269057*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1351", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.21`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2367210959701347`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7517463089225225`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09169829199157867`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7517463089225225`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1351, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.21, 
   "   R:  ", 3.2367210959701347`, "   Bstar:  ", 3.7517463089225225`, 
   "   Xstar:  ", 0.09169829199157867, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7517463089225225`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332705571*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1352", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2367515624449115`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.755769464217572`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09136475062957611`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.755769464217572`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1352, "   tar:  ", 1.2875, "   tarstar:  ", 1.21, "   R:  ", 
   3.2367515624449115`, "   Bstar:  ", 3.755769464217572, "   Xstar:  ", 
   0.09136475062957611, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.755769464217572^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332716572*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1353", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236779828563837`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7597904936572966`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09103295263729164`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7597904936572966`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1353, "   tar:  ", 1.29, "   tarstar:  ", 1.21, "   R:  ", 
   3.236779828563837, "   Bstar:  ", 3.7597904936572966`, "   Xstar:  ", 
   0.09103295263729164, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7597904936572966`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073327305737`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1354", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2368059213691973`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7638093980643323`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09070288644276363`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7638093980643323`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1354, "   tar:  ", 1.2925, "   tarstar:  ", 1.21, "   R:  ", 
   3.2368059213691973`, "   Bstar:  ", 3.7638093980643323`, "   Xstar:  ", 
   0.09070288644276363, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7638093980643323`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073327445745`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1355", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2368298675881384`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7678261782887508`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09037454056439312`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7678261782887508`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1355, "   tar:  ", 1.295, "   tarstar:  ", 1.21, "   R:  ", 
   3.2368298675881384`, "   Bstar:  ", 3.7678261782887508`, "   Xstar:  ", 
   0.09037454056439312, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7678261782887508`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332756576*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1356", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236851693636527`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.771840835207629`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09004790361016607`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.771840835207629`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1356, "   tar:  ", 1.2975, "   tarstar:  ", 1.21, "   R:  ", 
   3.236851693636527, "   Bstar:  ", 3.771840835207629, "   Xstar:  ", 
   0.09004790361016607, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.771840835207629^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073327735777`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1357", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.21`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236871425622731`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.775853369724639`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08972296427688092`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.775853369724639`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1357, "   tar:  ", 1.3, "   tarstar:  ", 1.21, "   R:  ", 
   3.236871425622731, "   Bstar:  ", 3.775853369724639, "   Xstar:  ", 
   0.08972296427688092, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.775853369724639^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073327855787`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1358", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2307955597698172`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.544765669757085`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11121347688870774`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.544765669757085`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1358, "   tar:  ", 1.155, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2307955597698172`, "   Bstar:  ", 3.544765669757085, 
   "   Xstar:  ", 0.11121347688870774`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.544765669757085^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073328005805`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1359", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.23098623925645`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.548907487075736`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11077279593496361`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.548907487075736`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1359, "   tar:  ", 1.1575, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.23098623925645, "   Bstar:  ", 3.548907487075736, 
   "   Xstar:  ", 0.11077279593496361`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.548907487075736^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332814582*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1360", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.231172777779964`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5530471760656925`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.11033459683629394`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5530471760656925`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1360, "   tar:  ", 1.16, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.231172777779964, "   Bstar:  ", 3.5530471760656925`, 
   "   Xstar:  ", 0.11033459683629394`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5530471760656925`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332825583*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1361", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.231355225405754`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5571847354216146`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1098988621127629`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5571847354216146`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1361, "   tar:  ", 1.1625, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.231355225405754, "   Bstar:  ", 3.5571847354216146`, 
   "   Xstar:  ", 0.1098988621127629, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5571847354216146`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073328355837`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1362", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.23153363159745`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5613201638970535`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1094655744257394`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5613201638970535`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1362, "   tar:  ", 1.165, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.23153363159745, "   Bstar:  ", 3.5613201638970535`, 
   "   Xstar:  ", 0.1094655744257394, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5613201638970535`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332847585*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1363", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.231708045224489`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5654534603035963`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10903471657669733`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5654534603035963`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1363, "   tar:  ", 1.1675, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.231708045224489, "   Bstar:  ", 3.5654534603035963`, 
   "   Xstar:  ", 0.10903471657669733`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5654534603035963`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332862587*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1364", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.231878514569604`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.569584623510051`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10860627150602174`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.569584623510051`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1364, "   tar:  ", 1.17, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.231878514569604, "   Bstar:  ", 3.569584623510051, 
   "   Xstar:  ", 0.10860627150602174`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.569584623510051^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073328845887`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1365", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2320450873362176`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5737136524415756`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10818022229183138`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5737136524415756`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1365, "   tar:  ", 1.1725, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2320450873362176`, "   Bstar:  ", 3.5737136524415756`, 
   "   Xstar:  ", 0.10818022229183138`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5737136524415756`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073329005904`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1366", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.232207810655717`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.577840546078923`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10775655214879919`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.577840546078923`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1366, "   tar:  ", 1.175, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.232207810655717, "   Bstar:  ", 3.577840546078923, 
   "   Xstar:  ", 0.10775655214879919`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.577840546078923^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332917592*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1367", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2323667310946522`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5819653034576295`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10733524442698894`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5819653034576295`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1367, "   tar:  ", 1.1775, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2323667310946522`, "   Bstar:  ", 3.5819653034576295`, 
   "   Xstar:  ", 0.10733524442698894`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5819653034576295`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332931594*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1368", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2325218946618453`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5860879236671916`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10691628261070302`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5860879236671916`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1368, "   tar:  ", 1.18, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2325218946618453`, "   Bstar:  ", 3.5860879236671916`, 
   "   Xstar:  ", 0.10691628261070302`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5860879236671916`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332945595*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1369", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2326733468153805`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.590208405850322`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10649965031733237`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.590208405850322`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1369, "   tar:  ", 1.1825, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2326733468153805`, "   Bstar:  ", 3.590208405850322, 
   "   Xstar:  ", 0.10649965031733237`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.590208405850322^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332960596*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1370", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2328211324695304`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5943267492021924`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1060853312962177`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5943267492021924`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1370, "   tar:  ", 1.185, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2328211324695304`, "   Bstar:  ", 3.5943267492021924`, 
   "   Xstar:  ", 0.1060853312962177, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5943267492021924`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073329715977`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1371", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2329652960015776`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5984429529696347`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10567330942752466`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5984429529696347`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1371, "   tar:  ", 1.1875, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2329652960015776`, "   Bstar:  ", 3.5984429529696347`, 
   "   Xstar:  ", 0.10567330942752466`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5984429529696347`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607332979598*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1372", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.233105881258551`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6025570164504233`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10526356872112197`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6025570164504233`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1372, "   tar:  ", 1.19, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.233105881258551, "   Bstar:  ", 3.6025570164504233`, 
   "   Xstar:  ", 0.10526356872112197`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6025570164504233`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073329905996`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1373", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2125000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2332429315638644`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.606668938992552`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10485609331546726`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.606668938992552`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1373, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 
   1.2125000000000001`, "   R:  ", 3.2332429315638644`, "   Bstar:  ", 
   3.606668938992552, "   Xstar:  ", 0.10485609331546726`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.606668938992552^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073329996004`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1374", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.233376489723894`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6107787199934633`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10445086747651071`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6107787199934633`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1374, "   tar:  ", 1.195, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.233376489723894, "   Bstar:  ", 3.6107787199934633`, 
   "   Xstar:  ", 0.10445086747651071`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6107787199934633`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333008601*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1375", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.233506598034436`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.61488635889939`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10404787559659502`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.61488635889939`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1375, "   tar:  ", 1.1975, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.233506598034436, "   Bstar:  ", 3.61488635889939, 
   "   Xstar:  ", 0.10404787559659502`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.61488635889939^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333015602*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1376", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.233633298287104`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6189918552045905`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10364710219337697`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6189918552045905`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1376, "   tar:  ", 1.2, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.233633298287104, "   Bstar:  ", 3.6189918552045905`, 
   "   Xstar:  ", 0.10364710219337697`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6189918552045905`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333024603*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1377", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2125000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2337566317756354`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6230952084506938`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10324853190874651`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6230952084506938`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1377, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 
   1.2125000000000001`, "   R:  ", 3.2337566317756354`, "   Bstar:  ", 
   3.6230952084506938`, "   Xstar:  ", 0.10324853190874651`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6230952084506938`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073330326033`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1378", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2338766393021112`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.627196418225997`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10285214950776153`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.627196418225997`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1378, "   tar:  ", 1.205, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2338766393021112`, "   Bstar:  ", 3.627196418225997, 
   "   Xstar:  ", 0.10285214950776153`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.627196418225997^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073330406046`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1379", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.233993361183105`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6312954841647924`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10245793987758824`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6312954841647924`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1379, "   tar:  ", 1.2075, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.233993361183105, "   Bstar:  ", 3.6312954841647924`, 
   "   Xstar:  ", 0.10245793987758824`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6312954841647924`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073330476055`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1380", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2341068372557387`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6353924059466944`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10206588802645183`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6353924059466944`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1380, "   tar:  ", 1.21, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2341068372557387`, "   Bstar:  ", 3.6353924059466944`, 
   "   Xstar:  ", 0.10206588802645183`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6353924059466944`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073330566063`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1381", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2125000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.23421710688367`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6394871832959814`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10167597908259414`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6394871832959814`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1381, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 
   1.2125000000000001`, "   R:  ", 3.23421710688367, "   Bstar:  ", 
   3.6394871832959814`, "   Xstar:  ", 0.10167597908259414`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6394871832959814`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333065607*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1382", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2343242089629953`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6435798159809454`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10128819829324123`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6435798159809454`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1382, "   tar:  ", 1.215, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2343242089629953`, "   Bstar:  ", 3.6435798159809454`, 
   "   Xstar:  ", 0.10128819829324123`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6435798159809454`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333074608*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1383", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2344281819280765`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.647670303813242`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10090253102357932`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.647670303813242`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1383, "   tar:  ", 1.2175, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2344281819280765`, "   Bstar:  ", 3.647670303813242, 
   "   Xstar:  ", 0.10090253102357932`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.647670303813242^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333085609*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1384", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2345290637572948`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6517586466472896`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1005189627557352`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6517586466472896`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1384, "   tar:  ", 1.22, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2345290637572948`, "   Bstar:  ", 3.6517586466472896`, 
   "   Xstar:  ", 0.1005189627557352, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6517586466472896`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733309661*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1385", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2125000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.234626891978729`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.655844844379586`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10013747908777487`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.655844844379586`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1385, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 
   1.2125000000000001`, "   R:  ", 3.234626891978729, "   Bstar:  ", 
   3.655844844379586, "   Xstar:  ", 0.10013747908777487`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.655844844379586^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073331096115`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1386", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.234721703675754`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6599288969481654`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0997580657326965`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6599288969481654`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1386, "   tar:  ", 1.225, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.234721703675754, "   Bstar:  ", 3.6599288969481654`, 
   "   Xstar:  ", 0.0997580657326965, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6599288969481654`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073331216125`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1387", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2348135354925764`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.664010804331932`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0993807085174453`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.664010804331932`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1387, "   tar:  ", 1.2275, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2348135354925764`, "   Bstar:  ", 3.664010804331932, 
   "   Xstar:  ", 0.0993807085174453, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.664010804331932^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333134614*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1388", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2349024236396775`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6680905665500734`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09900539338192921`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6680905665500734`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1388, "   tar:  ", 1.23, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2349024236396775`, "   Bstar:  ", 3.6680905665500734`, 
   "   Xstar:  ", 0.09900539338192921, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6680905665500734`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073331476154`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1389", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2349884038992243`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6721681836615057`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0986321063780413`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6721681836615057`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1389, "   tar:  ", 1.2325, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2349884038992243`, "   Bstar:  ", 3.6721681836615057`, 
   "   Xstar:  ", 0.0986321063780413, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6721681836615057`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073331606164`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1390", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2350715116303626`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6762436557642437`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09826083366869731`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6762436557642437`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1390, "   tar:  ", 1.235, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2350715116303626`, "   Bstar:  ", 3.6762436557642437`, 
   "   Xstar:  ", 0.09826083366869731, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6762436557642437`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073331716175`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1391", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2351517817744733`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.680316982994845`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0978915615268754`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.680316982994845`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1391, "   tar:  ", 1.2375, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2351517817744733`, "   Bstar:  ", 3.680316982994845, 
   "   Xstar:  ", 0.0978915615268754, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.680316982994845^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333184619*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1392", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2352292488603536`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6843881655278428`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09752427633466632`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6843881655278428`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1392, "   tar:  ", 1.24, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2352292488603536`, "   Bstar:  ", 3.6843881655278428`, 
   "   Xstar:  ", 0.09752427633466632, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6843881655278428`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073331976204`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1393", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.235303947009325`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6884572035751937`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09715896458233018`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6884572035751937`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1393, "   tar:  ", 1.2425, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.235303947009325, "   Bstar:  ", 3.6884572035751937`, 
   "   Xstar:  ", 0.09715896458233018, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6884572035751937`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333208621*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1394", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.235375909940275`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6925240973857187`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09679561286736277`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6925240973857187`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1394, "   tar:  ", 1.245, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.235375909940275, "   Bstar:  ", 3.6925240973857187`, 
   "   Xstar:  ", 0.09679561286736277, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6925240973857187`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073332196226`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1395", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2354451709746415`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.696588847244535`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0964342078935716`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.696588847244535`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1395, "   tar:  ", 1.2475, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2354451709746415`, "   Bstar:  ", 3.696588847244535, 
   "   Xstar:  ", 0.0964342078935716, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.696588847244535^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073332316236`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1396", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.235511763041324`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7006514534725667`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09607473647015298`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7006514534725667`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1396, "   tar:  ", 1.25, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.235511763041324, "   Bstar:  ", 3.7006514534725667`, 
   "   Xstar:  ", 0.09607473647015298, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7006514534725667`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073332426248`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1397", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2355757186815386`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.704711916425964`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09571718551078597`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.704711916425964`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1397, "   tar:  ", 1.2525, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2355757186815386`, "   Bstar:  ", 3.704711916425964, 
   "   Xstar:  ", 0.09571718551078597, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.704711916425964^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073332526255`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1398", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2125000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2356370700535955`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.708770236495617`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09536154203272626`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.708770236495617`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1398, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 
   1.2125000000000001`, "   R:  ", 3.2356370700535955`, "   Bstar:  ", 
   3.708770236495617, "   Xstar:  ", 0.09536154203272626, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.708770236495617^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333263627*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1399", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2356958489376337`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7128264141066434`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09500779315591085`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7128264141066434`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1399, "   tar:  ", 1.2575, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2356958489376337`, "   Bstar:  ", 3.7128264141066434`, 
   "   Xstar:  ", 0.09500779315591085, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7128264141066434`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073332746277`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1400", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2357520867402827`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.71688044971783`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.094655926102075`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.71688044971783`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1400, "   tar:  ", 1.26, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2357520867402827`, "   Bstar:  ", 3.71688044971783, 
   "   Xstar:  ", 0.094655926102075, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.71688044971783^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073332816286`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1401", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2358058144992583`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7209323438211865`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09430592819386731`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7209323438211865`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1401, "   tar:  ", 1.2625, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2358058144992583`, "   Bstar:  ", 3.7209323438211865`, 
   "   Xstar:  ", 0.09430592819386731, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7209323438211865`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073332896295`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1402", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2125000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2358570628879186`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7249820969414182`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09395778685398086`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7249820969414182`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1402, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 
   1.2125000000000001`, "   R:  ", 3.2358570628879186`, "   Bstar:  ", 
   3.7249820969414182`, "   Xstar:  ", 0.09395778685398086, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7249820969414182`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073332976303`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1403", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2359058622197434`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7290297096354483`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09361148960428693`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7290297096354483`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1403, "   tar:  ", 1.2675, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2359058622197434`, "   Bstar:  ", 3.7290297096354483`, 
   "   Xstar:  ", 0.09361148960428693, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7290297096354483`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073333046308`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1404", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2359522424527523`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7330751824919237`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09326702406497937`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7330751824919237`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1404, "   tar:  ", 1.27, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2359522424527523`, "   Bstar:  ", 3.7330751824919237`, 
   "   Xstar:  ", 0.09326702406497937, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7330751824919237`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333314632*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1405", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2359962331938874`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7371185161307654`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0929243779537225`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7371185161307654`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1405, "   tar:  ", 1.2725, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2359962331938874`, "   Bstar:  ", 3.7371185161307654`, 
   "   Xstar:  ", 0.0929243779537225, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7371185161307654`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073333246326`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1406", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2360378637033165`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.741159711202684`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09258353908480986`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.741159711202684`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1406, "   tar:  ", 1.275, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2360378637033165`, "   Bstar:  ", 3.741159711202684, 
   "   Xstar:  ", 0.09258353908480986, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.741159711202684^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333334634*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1407", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2360771628986957`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7451987683886876`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09224449536833189`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7451987683886876`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1407, "   tar:  ", 1.2775, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2360771628986957`, "   Bstar:  ", 3.7451987683886876`, 
   "   Xstar:  ", 0.09224449536833189, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7451987683886876`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333346635*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1408", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2361141593593654`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.749235688399676`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09190723480934361`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.749235688399676`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1408, "   tar:  ", 1.28, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2361141593593654`, "   Bstar:  ", 3.749235688399676, 
   "   Xstar:  ", 0.09190723480934361, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.749235688399676^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073333586364`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1409", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2361488813305`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7532704719759717`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09157174550704593`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7532704719759717`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1409, "   tar:  ", 1.2825, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2361488813305, "   Bstar:  ", 3.7532704719759717`, 
   "   Xstar:  ", 0.09157174550704593, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7532704719759717`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333370638*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1410", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2125000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.236181356727209`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7573031198868554`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0912380156539737`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7573031198868554`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1410, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 
   1.2125000000000001`, "   R:  ", 3.236181356727209, "   Bstar:  ", 
   3.7573031198868554`, "   Xstar:  ", 0.0912380156539737, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7573031198868554`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333385639*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1411", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.236211613138558`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.761333632930132`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09090603353518903`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.761333632930132`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1411, "   tar:  ", 1.2875, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.236211613138558, "   Bstar:  ", 3.761333632930132, 
   "   Xstar:  ", 0.09090603353518903, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.761333632930132^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733339964*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1412", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.236239677831582`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.765362011931744`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09057578752747855`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.765362011931744`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1412, "   tar:  ", 1.29, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.236239677831582, "   Bstar:  ", 3.765362011931744, 
   "   Xstar:  ", 0.09057578752747855, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.765362011931744^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333413642*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1413", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.236265577755204`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.769388257745276`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09024726609856684`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.769388257745276`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1413, "   tar:  ", 1.2925, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.236265577755204, "   Bstar:  ", 3.769388257745276, 
   "   Xstar:  ", 0.09024726609856684, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.769388257745276^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073334266434`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1414", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2362893395441295`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7734123712515704`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08992045780632787`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7734123712515704`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1414, "   tar:  ", 1.295, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2362893395441295`, "   Bstar:  ", 3.7734123712515704`, 
   "   Xstar:  ", 0.08992045780632787, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7734123712515704`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333437644*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1415", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.236310989522683`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7774343533583146`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0895953512980068`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7774343533583146`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1415, "   tar:  ", 1.2975, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.236310989522683, "   Bstar:  ", 3.7774343533583146`, 
   "   Xstar:  ", 0.0895953512980068, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7774343533583146`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073334526453`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1416", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2363305537085876`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7814542049996347`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0892719353094481`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7814542049996347`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1416, "   tar:  ", 1.3, "   tarstar:  ", 1.2125000000000001`, 
   "   R:  ", 3.2363305537085876`, "   Bstar:  ", 3.7814542049996347`, 
   "   Xstar:  ", 0.0892719353094481, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7814542049996347`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333466647*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1417", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230284215806012`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5499263789657003`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11066473438123853`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5499263789657003`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1417, "   tar:  ", 1.155, "   tarstar:  ", 1.215, "   R:  ", 
   3.230284215806012, "   Bstar:  ", 3.5499263789657003`, "   Xstar:  ", 
   0.11066473438123853`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5499263789657003`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333478648*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1418", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230474086899914`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5540760201264594`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.11022603864456287`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5540760201264594`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1418, "   tar:  ", 1.1575, "   tarstar:  ", 1.215, "   R:  ", 
   3.230474086899914, "   Bstar:  ", 3.5540760201264594`, "   Xstar:  ", 
   0.11022603864456287`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5540760201264594`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073334886494`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1419", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2306598319327837`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5582235229099837`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10978981518231647`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5582235229099837`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1419, "   tar:  ", 1.16, "   tarstar:  ", 1.215, "   R:  ", 
   3.2306598319327837`, "   Bstar:  ", 3.5582235229099837`, "   Xstar:  ", 
   0.10978981518231647`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5582235229099837`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073334996505`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1420", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.23084150081687`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5623688860524974`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.109356046565401`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5623688860524974`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1420, "   tar:  ", 1.1625, "   tarstar:  ", 1.215, "   R:  ", 
   3.23084150081687, "   Bstar:  ", 3.5623688860524974`, "   Xstar:  ", 
   0.109356046565401, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5623688860524974`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073335076513`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1421", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2310191428640653`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5665121083489018`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10892471550581663`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5665121083489018`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1421, "   tar:  ", 1.165, "   tarstar:  ", 1.215, "   R:  ", 
   3.2310191428640653`, "   Bstar:  ", 3.5665121083489018`, "   Xstar:  ", 
   0.10892471550581663`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5665121083489018`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073335156517`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1422", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2311928067934814`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5706531886518693`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.108495804855467`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5706531886518693`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1422, "   tar:  ", 1.1675, "   tarstar:  ", 1.215, "   R:  ", 
   3.2311928067934814`, "   Bstar:  ", 3.5706531886518693`, "   Xstar:  ", 
   0.108495804855467, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5706531886518693`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073335266533`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1423", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231362540738917`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.574792125871055`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10806929760496133`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.574792125871055`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1423, "   tar:  ", 1.17, "   tarstar:  ", 1.215, "   R:  ", 
   3.231362540738917, "   Bstar:  ", 3.574792125871055, "   Xstar:  ", 
   0.10806929760496133`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.574792125871055^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073335336537`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1424", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231528392256239`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5789289189722777`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10764517688243001`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5789289189722777`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1424, "   tar:  ", 1.1725, "   tarstar:  ", 1.215, "   R:  ", 
   3.231528392256239, "   Bstar:  ", 3.5789289189722777`, "   Xstar:  ", 
   0.10764517688243001`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5789289189722777`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073335416546`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1425", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231690408330659`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5830635669766653`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10722342595235505`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5830635669766653`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1425, "   tar:  ", 1.175, "   tarstar:  ", 1.215, "   R:  ", 
   3.231690408330659, "   Bstar:  ", 3.5830635669766653`, "   Xstar:  ", 
   0.10722342595235505`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5830635669766653`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073335486555`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1426", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2318486353839178`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.587196068959913`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10680402821439804`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.587196068959913`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1426, "   tar:  ", 1.1775, "   tarstar:  ", 1.215, "   R:  ", 
   3.2318486353839178`, "   Bstar:  ", 3.587196068959913, "   Xstar:  ", 
   0.10680402821439804`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.587196068959913^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073335576563`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1427", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232003119281368`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5913264240514757`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1063869672022456`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5913264240514757`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1427, "   tar:  ", 1.18, "   tarstar:  ", 1.215, "   R:  ", 
   3.232003119281368, "   Bstar:  ", 3.5913264240514757`, "   Xstar:  ", 
   0.1063869672022456, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5913264240514757`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073335676575`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1428", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232153905338975`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.595454631433766`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10597222658246445`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.595454631433766`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1428, "   tar:  ", 1.1825, "   tarstar:  ", 1.215, "   R:  ", 
   3.232153905338975, "   Bstar:  ", 3.595454631433766, "   Xstar:  ", 
   0.10597222658246445`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.595454631433766^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333578658*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1429", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232301038330222`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5995806903414254`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10555979015335884`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5995806903414254`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1429, "   tar:  ", 1.185, "   tarstar:  ", 1.215, "   R:  ", 
   3.232301038330222, "   Bstar:  ", 3.5995806903414254`, "   Xstar:  ", 
   0.10555979015335884`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5995806903414254`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073335866594`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1430", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2324445624929217`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6037046000605506`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10514964184384257`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6037046000605506`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1430, "   tar:  ", 1.1875, "   tarstar:  ", 1.215, "   R:  ", 
   3.2324445624929217`, "   Bstar:  ", 3.6037046000605506`, "   Xstar:  ", 
   0.10514964184384257`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6037046000605506`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733359466*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1431", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2325845215359466`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.60782635992795`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10474176571231811`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.60782635992795`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1431, "   tar:  ", 1.19, "   tarstar:  ", 1.215, "   R:  ", 
   3.2325845215359466`, "   Bstar:  ", 3.60782635992795, "   Xstar:  ", 
   0.10474176571231811`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.60782635992795^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333602661*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1432", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.232720958645855`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6119459693304172`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10433614594556444`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6119459693304172`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1432, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.215, 
   "   R:  ", 3.232720958645855, "   Bstar:  ", 3.6119459693304172`, 
   "   Xstar:  ", 0.10433614594556444`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6119459693304172`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333614662*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1433", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232853916493451`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.616063427703991`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1039327668576344`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.616063427703991`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1433, "   tar:  ", 1.195, "   tarstar:  ", 1.215, "   R:  ", 
   3.232853916493451, "   Bstar:  ", 3.616063427703991, "   Xstar:  ", 
   0.1039327668576344, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.616063427703991^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073336296635`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1434", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232983437240244`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.620178734533248`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10353161288876053`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.620178734533248`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1434, "   tar:  ", 1.1975, "   tarstar:  ", 1.215, "   R:  ", 
   3.232983437240244, "   Bstar:  ", 3.620178734533248, "   Xstar:  ", 
   0.10353161288876053`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.620178734533248^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333644665*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1435", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2331095625448287`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6242918893506184`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10313266860426765`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6242918893506184`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1435, "   tar:  ", 1.2, "   tarstar:  ", 1.215, "   R:  ", 
   3.2331095625448287`, "   Bstar:  ", 3.6242918893506184`, "   Xstar:  ", 
   0.10313266860426765`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6242918893506184`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333659666*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1436", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2332323335691813`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6284028917356426`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10273591869350053`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6284028917356426`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1436, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.215, 
   "   R:  ", 3.2332323335691813`, "   Bstar:  ", 3.6284028917356426`, 
   "   Xstar:  ", 0.10273591869350053`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6284028917356426`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073336726675`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1437", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2333517909848717`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6325117413143504`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10234134796875019`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6325117413143504`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1437, "   tar:  ", 1.205, "   tarstar:  ", 1.215, "   R:  ", 
   3.2333517909848717`, "   Bstar:  ", 3.6325117413143504`, "   Xstar:  ", 
   0.10234134796875019`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6325117413143504`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073336866693`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1438", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2334679749792006`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.636618437758506`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10194894136420167`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.636618437758506`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1438, "   tar:  ", 1.2075, "   tarstar:  ", 1.215, "   R:  ", 
   3.2334679749792006`, "   Bstar:  ", 3.636618437758506, "   Xstar:  ", 
   0.10194894136420167`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.636618437758506^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733369667*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1439", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.233580925261242`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6407229807850254`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10155868393487569`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6407229807850254`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1439, "   tar:  ", 1.21, "   tarstar:  ", 1.215, "   R:  ", 
   3.233580925261242, "   Bstar:  ", 3.6407229807850254`, "   Xstar:  ", 
   0.10155868393487569`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6407229807850254`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073337096715`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1440", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.233690681067829`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.644825370155244`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10117056085559369`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.644825370155244`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1440, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.215, 
   "   R:  ", 3.233690681067829, "   Bstar:  ", 3.644825370155244, 
   "   Xstar:  ", 0.10117056085559369`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.644825370155244^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333723673*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1441", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2337972811694358`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6489256056743096`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10078455741994048`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6489256056743096`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1441, "   tar:  ", 1.215, "   tarstar:  ", 1.215, "   R:  ", 
   3.2337972811694358`, "   Bstar:  ", 3.6489256056743096`, "   Xstar:  ", 
   0.10078455741994048`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6489256056743096`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333737674*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1442", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2339007638760098`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6530236871905517`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10040065903923821`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6530236871905517`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1442, "   tar:  ", 1.2175, "   tarstar:  ", 1.215, "   R:  ", 
   3.2339007638760098`, "   Bstar:  ", 3.6530236871905517`, "   Xstar:  ", 
   0.10040065903923821`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6530236871905517`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073337486753`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1443", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2340011670426927`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.657119614594801`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10001885124153474`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.657119614594801`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1443, "   tar:  ", 1.22, "   tarstar:  ", 1.215, "   R:  ", 
   3.2340011670426927`, "   Bstar:  ", 3.657119614594801, "   Xstar:  ", 
   0.10001885124153474`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.657119614594801^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073337626767`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1444", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2340985280755103`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6612133878198065`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09963911967059204`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6612133878198065`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1444, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.215, 
   "   R:  ", 3.2340985280755103`, "   Bstar:  ", 3.6612133878198065`, 
   "   Xstar:  ", 0.09963911967059204, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6612133878198065`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333773678*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1445", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2341928839369496`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6653050068396102`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09926145008488696`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6653050068396102`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1445, "   tar:  ", 1.225, "   tarstar:  ", 1.215, "   R:  ", 
   3.2341928839369496`, "   Bstar:  ", 3.6653050068396102`, "   Xstar:  ", 
   0.09926145008488696, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6653050068396102`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333783679*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1446", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2342842711514845`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.669394471668942`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09888582835662088`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.669394471668942`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1446, "   tar:  ", 1.2275, "   tarstar:  ", 1.215, "   R:  ", 
   3.2342842711514845`, "   Bstar:  ", 3.669394471668942, "   Xstar:  ", 
   0.09888582835662088, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.669394471668942^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073337916794`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1447", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2343727258110206`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6734817823626154`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09851224047073637`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6734817823626154`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1447, "   tar:  ", 1.23, "   tarstar:  ", 1.215, "   R:  ", 
   3.2343727258110206`, "   Bstar:  ", 3.6734817823626154`, "   Xstar:  ", 
   0.09851224047073637, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6734817823626154`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073338016806`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1448", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2344582835802766`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.677566939014946`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09814067252394244`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.677566939014946`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1448, "   tar:  ", 1.2325, "   tarstar:  ", 1.215, "   R:  ", 
   3.2344582835802766`, "   Bstar:  ", 3.677566939014946, "   Xstar:  ", 
   0.09814067252394244, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.677566939014946^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073338106813`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1449", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2345409797020888`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6816499417591735`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09777111072374732`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6816499417591735`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1449, "   tar:  ", 1.235, "   tarstar:  ", 1.215, "   R:  ", 
   3.2345409797020888`, "   Bstar:  ", 3.6816499417591735`, "   Xstar:  ", 
   0.09777111072374732, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6816499417591735`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333819682*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1450", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2346208490026416`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.685730790766857`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09740354138750298`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.685730790766857`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1450, "   tar:  ", 1.2375, "   tarstar:  ", 1.215, "   R:  ", 
   3.2346208490026416`, "   Bstar:  ", 3.685730790766857, "   Xstar:  ", 
   0.09740354138750298, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.685730790766857^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073338306837`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1451", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2346979258966435`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6898094862473596`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09703795094145018`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6898094862473596`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1451, "   tar:  ", 1.24, "   tarstar:  ", 1.215, "   R:  ", 
   3.2346979258966435`, "   Bstar:  ", 3.6898094862473596`, "   Xstar:  ", 
   0.09703795094145018, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6898094862473596`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333838684*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1452", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.234772244392431`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.693886028447231`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09667432591978213`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.693886028447231`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1452, "   tar:  ", 1.2425, "   tarstar:  ", 1.215, "   R:  ", 
   3.234772244392431, "   Bstar:  ", 3.693886028447231, "   Xstar:  ", 
   0.09667432591978213, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.693886028447231^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073338466854`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1453", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2348438380969955`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.697960417649718`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09631265296370413`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.697960417649718`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1453, "   tar:  ", 1.245, "   tarstar:  ", 1.215, "   R:  ", 
   3.2348438380969955`, "   Bstar:  ", 3.697960417649718, "   Xstar:  ", 
   0.09631265296370413, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.697960417649718^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333855686*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1454", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.234912740220961`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.702032654174171`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09595291882051214`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.702032654174171`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1454, "   tar:  ", 1.2475, "   tarstar:  ", 1.215, "   R:  ", 
   3.234912740220961, "   Bstar:  ", 3.702032654174171, "   Xstar:  ", 
   0.09595291882051214, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.702032654174171^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073338636866`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1455", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.234978983583479`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.706102738375534`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09559511034267248`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.706102738375534`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1455, "   tar:  ", 1.25, "   tarstar:  ", 1.215, "   R:  ", 
   3.234978983583479, "   Bstar:  ", 3.706102738375534, "   Xstar:  ", 
   0.09559511034267248, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.706102738375534^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333875688*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1456", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2350426006170827`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7101706706437954`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09523921448691255`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7101706706437954`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1456, "   tar:  ", 1.2525, "   tarstar:  ", 1.215, "   R:  ", 
   3.2350426006170827`, "   Bstar:  ", 3.7101706706437954`, "   Xstar:  ", 
   0.09523921448691255, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7101706706437954`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333888689*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1457", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2351036233724537`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.714236451403509`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09488521831331496`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.714236451403509`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1457, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.215, 
   "   R:  ", 3.2351036233724537`, "   Bstar:  ", 3.714236451403509, 
   "   Xstar:  ", 0.09488521831331496, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.714236451403509^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333902691*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1458", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235162083523141`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.718300081113209`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09453310898442864`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.718300081113209`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1458, "   tar:  ", 1.2575, "   tarstar:  ", 1.215, "   R:  ", 
   3.235162083523141, "   Bstar:  ", 3.718300081113209, "   Xstar:  ", 
   0.09453310898442864, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.718300081113209^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073339186926`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1459", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235218012370221`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.722361560264974`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09418287376437554`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.722361560264974`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1459, "   tar:  ", 1.26, "   tarstar:  ", 1.215, "   R:  ", 
   3.235218012370221, "   Bstar:  ", 3.722361560264974, "   Xstar:  ", 
   0.09418287376437554, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.722361560264974^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333933694*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1460", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2352714408468826`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.726420889383877`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0938345000179751`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.726420889383877`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1460, "   tar:  ", 1.2625, "   tarstar:  ", 1.215, "   R:  ", 
   3.2352714408468826`, "   Bstar:  ", 3.726420889383877, "   Xstar:  ", 
   0.0938345000179751, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.726420889383877^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073339496956`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1461", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.23532239952297`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7304780690275225`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09348797520987022`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7304780690275225`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1461, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.215, 
   "   R:  ", 3.23532239952297, "   Bstar:  ", 3.7304780690275225`, 
   "   Xstar:  ", 0.09348797520987022, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7304780690275225`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073339616966`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1462", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235370918609449`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.734533099785532`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0931432869036648`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.734533099785532`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1462, "   tar:  ", 1.2675, "   tarstar:  ", 1.215, "   R:  ", 
   3.235370918609449, "   Bstar:  ", 3.734533099785532, "   Xstar:  ", 
   0.0931432869036648, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.734533099785532^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607333975698*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1463", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235417027962836`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7385859822790857`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09280042276106501`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7385859822790857`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1463, "   tar:  ", 1.27, "   tarstar:  ", 1.215, "   R:  ", 
   3.235417027962836, "   Bstar:  ", 3.7385859822790857`, "   Xstar:  ", 
   0.09280042276106501, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7385859822790857`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073339896994`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1464", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235460757089549`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7426367171604262`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09245937054103197`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7426367171604262`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1464, "   tar:  ", 1.2725, "   tarstar:  ", 1.215, "   R:  ", 
   3.235460757089549, "   Bstar:  ", 3.7426367171604262`, "   Xstar:  ", 
   0.09245937054103197, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7426367171604262`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334002701*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1465", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2355021351502153`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.746685305112405`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09212011809893854`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.746685305112405`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1465, "   tar:  ", 1.275, "   tarstar:  ", 1.215, "   R:  ", 
   3.2355021351502153`, "   Bstar:  ", 3.746685305112405, "   Xstar:  ", 
   0.09212011809893854, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.746685305112405^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073340167017`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1466", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235541190963918`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.750731746848038`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09178265338573308`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.750731746848038`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1466, "   tar:  ", 1.2775, "   tarstar:  ", 1.215, "   R:  ", 
   3.235541190963918, "   Bstar:  ", 3.750731746848038, "   Xstar:  ", 
   0.09178265338573308, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.750731746848038^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334031704*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1467", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2355779530123874`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7547760431099926`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.091446964447117`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7547760431099926`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1467, "   tar:  ", 1.28, "   tarstar:  ", 1.215, "   R:  ", 
   3.2355779530123874`, "   Bstar:  ", 3.7547760431099926`, "   Xstar:  ", 
   0.091446964447117, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7547760431099926`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334045705*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1468", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2356124494441456`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7588181946702055`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09111303942271906`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7588181946702055`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1468, "   tar:  ", 1.2825, "   tarstar:  ", 1.215, "   R:  ", 
   3.2356124494441456`, "   Bstar:  ", 3.7588181946702055`, "   Xstar:  ", 
   0.09111303942271906, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7588181946702055`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334056706*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1469", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.235644708078582`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7628582023293946`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09078086654528633`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7628582023293946`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1469, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.215, 
   "   R:  ", 3.235644708078582, "   Bstar:  ", 3.7628582023293946`, 
   "   Xstar:  ", 0.09078086654528633, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7628582023293946`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334066707*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1470", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235674756409996`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7668960669166305`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09045043413987734`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7668960669166305`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1470, "   tar:  ", 1.2875, "   tarstar:  ", 1.215, "   R:  ", 
   3.235674756409996, "   Bstar:  ", 3.7668960669166305`, "   Xstar:  ", 
   0.09045043413987734, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7668960669166305`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334075708*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1471", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2357026216115674`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7709317892889325`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09012173062306154`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7709317892889325`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1471, "   tar:  ", 1.29, "   tarstar:  ", 1.215, "   R:  ", 
   3.2357026216115674`, "   Bstar:  ", 3.7709317892889325`, "   Xstar:  ", 
   0.09012173062306154, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7709317892889325`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334083709*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1472", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2357283305392945`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.774965370330796`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08979474450213118`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.774965370330796`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1472, "   tar:  ", 1.2925, "   tarstar:  ", 1.215, "   R:  ", 
   3.2357283305392945`, "   Bstar:  ", 3.774965370330796, "   Xstar:  ", 
   0.08979474450213118, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.774965370330796^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073340917096`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1473", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2357519097358596`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7789968109538052`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08946946437431427`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7789968109538052`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1473, "   tar:  ", 1.295, "   tarstar:  ", 1.215, "   R:  ", 
   3.2357519097358596`, "   Bstar:  ", 3.7789968109538052`, "   Xstar:  ", 
   0.08946946437431427, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7789968109538052`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073341007104`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1474", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.23577338543447`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7830261120962043`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08914587892599755`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7830261120962043`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1474, "   tar:  ", 1.2975, "   tarstar:  ", 1.215, "   R:  ", 
   3.23577338543447, "   Bstar:  ", 3.7830261120962043`, "   Xstar:  ", 
   0.08914587892599755, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7830261120962043`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334112712*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1475", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.215`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2357927835626272`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7870532747225063`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08882397693195483`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7870532747225063`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1475, "   tar:  ", 1.3, "   tarstar:  ", 1.215, "   R:  ", 
   3.2357927835626272`, "   Bstar:  ", 3.7870532747225063`, "   Xstar:  ", 
   0.08882397693195483, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7870532747225063`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073341257133`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1476", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229775759163532`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.555085699581763`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1101196369502507`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.555085699581763`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1476, "   tar:  ", 1.155, "   tarstar:  ", 1.2175, "   R:  ", 
   3.229775759163532, "   Bstar:  ", 3.555085699581763, "   Xstar:  ", 
   0.1101196369502507, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.555085699581763^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334134714*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1477", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229964827011047`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.559243157667352`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10968291495213969`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.559243157667352`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1477, "   tar:  ", 1.1575, "   tarstar:  ", 1.2175, "   R:  ", 
   3.229964827011047, "   Bstar:  ", 3.559243157667352, "   Xstar:  ", 
   0.10968291495213969`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.559243157667352^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073341417146`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1478", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230149783625146`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5633984673424353`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10924865568883317`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5633984673424353`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1478, "   tar:  ", 1.16, "   tarstar:  ", 1.2175, "   R:  ", 
   3.230149783625146, "   Bstar:  ", 3.5633984673424353`, "   Xstar:  ", 
   0.10924865568883317`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5633984673424353`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334148715*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1479", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2303306787654837`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5675516273847814`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1088168417820063`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5675516273847814`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1479, "   tar:  ", 1.1625, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2303306787654837`, "   Bstar:  ", 3.5675516273847814`, "   Xstar:  ", 
   0.1088168417820063, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5675516273847814`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073341577163`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1480", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2305075615927668`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.571702636630557`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10838745599423216`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.571702636630557`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1480, "   tar:  ", 1.165, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2305075615927668`, "   Bstar:  ", 3.571702636630557, "   Xstar:  ", 
   0.10838745599423216`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.571702636630557^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334167717*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1481", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2306804806763294`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5758514939735146`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10796048122777453`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5758514939735146`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1481, "   tar:  ", 1.1675, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2306804806763294`, "   Bstar:  ", 3.5758514939735146`, "   Xstar:  ", 
   0.10796048122777453`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5758514939735146`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073341807184`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1482", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2308494840015896`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.579998198364126`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10753590052339801`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.579998198364126`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1482, "   tar:  ", 1.17, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2308494840015896`, "   Bstar:  ", 3.579998198364126, "   Xstar:  ", 
   0.10753590052339801`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.579998198364126^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073341927195`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1483", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231014618977407`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.584142748808792`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10711369705917961`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.584142748808792`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1483, "   tar:  ", 1.1725, "   tarstar:  ", 1.2175, "   R:  ", 
   3.231014618977407, "   Bstar:  ", 3.584142748808792, "   Xstar:  ", 
   0.10711369705917961`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.584142748808792^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073342067213`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1484", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231175932443364`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5882851443690114`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10669385414933481`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5882851443690114`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1484, "   tar:  ", 1.175, "   tarstar:  ", 1.2175, "   R:  ", 
   3.231175932443364, "   Bstar:  ", 3.5882851443690114`, "   Xstar:  ", 
   0.10669385414933481`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5882851443690114`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073342187223`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1485", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2313334706769266`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.592425384160601`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10627635524304962`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.592425384160601`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1485, "   tar:  ", 1.1775, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2313334706769266`, "   Bstar:  ", 3.592425384160601, "   Xstar:  ", 
   0.10627635524304962`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.592425384160601^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073342297235`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1486", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231487279400523`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5965634673529063`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10586118392332278`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5965634673529063`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1486, "   tar:  ", 1.18, "   tarstar:  ", 1.2175, "   R:  ", 
   3.231487279400523, "   Bstar:  ", 3.5965634673529063`, "   Xstar:  ", 
   0.10586118392332278`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5965634673529063`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334246725*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1487", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2316374037885427`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6006993931680102`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10544832390581875`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6006993931680102`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1487, "   tar:  ", 1.1825, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2316374037885427`, "   Bstar:  ", 3.6006993931680102`, "   Xstar:  ", 
   0.10544832390581875`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6006993931680102`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073342607265`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1488", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231783888474214`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.604833160879989`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10503775903772622`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.604833160879989`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1488, "   tar:  ", 1.185, "   tarstar:  ", 1.2175, "   R:  ", 
   3.231783888474214, "   Bstar:  ", 3.604833160879989, "   Xstar:  ", 
   0.10503775903772622`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.604833160879989^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073342707276`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1489", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2319267775564193`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6089647698141514`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10462947329662813`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6089647698141514`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1489, "   tar:  ", 1.1875, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2319267775564193`, "   Bstar:  ", 3.6089647698141514`, "   Xstar:  ", 
   0.10462947329662813`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6089647698141514`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073342837286`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1490", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232066114606402`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6130942193463094`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10422345078937871`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6130942193463094`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1490, "   tar:  ", 1.19, "   tarstar:  ", 1.2175, "   R:  ", 
   3.232066114606402, "   Bstar:  ", 3.6130942193463094`, "   Xstar:  ", 
   0.10422345078937871`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6130942193463094`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733429573*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1491", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2322019426743966`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.617221508902004`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10381967575099488`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.617221508902004`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1491, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.2175, 
   "   R:  ", 3.2322019426743966`, "   Bstar:  ", 3.617221508902004, 
   "   Xstar:  ", 0.10381967575099488`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.617221508902004^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073343097315`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1492", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2323343042961663`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6213466379558303`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10341813254354777`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6213466379558303`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1492, "   tar:  ", 1.195, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2323343042961663`, "   Bstar:  ", 3.6213466379558303`, "   Xstar:  ", 
   0.10341813254354777`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6213466379558303`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334323733*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1493", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.23246324149946`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.625469606030686`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10301880565507197`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.625469606030686`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1493, "   tar:  ", 1.1975, "   tarstar:  ", 1.2175, "   R:  ", 
   3.23246324149946, "   Bstar:  ", 3.625469606030686, "   Xstar:  ", 
   0.10301880565507197`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.625469606030686^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334334734*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1494", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232588795810375`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6295904126971017`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10262167969847517`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6295904126971017`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1494, "   tar:  ", 1.2, "   tarstar:  ", 1.2175, "   R:  ", 
   3.232588795810375, "   Bstar:  ", 3.6295904126971017`, "   Xstar:  ", 
   0.10262167969847517`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6295904126971017`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334342735*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1495", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2327110082596455`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6337090575725197`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10222673941046505`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6337090575725197`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1495, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.2175, 
   "   R:  ", 3.2327110082596455`, "   Bstar:  ", 3.6337090575725197`, 
   "   Xstar:  ", 0.10222673941046505`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6337090575725197`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073343517356`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1496", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2328299193888554`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.637825540320622`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10183396965047864`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.637825540320622`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1496, "   tar:  ", 1.205, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2328299193888554`, "   Bstar:  ", 3.637825540320622, "   Xstar:  ", 
   0.10183396965047864`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.637825540320622^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073343617363`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1497", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2329455692565445`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6419398606506337`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10144335539962544`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6419398606506337`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1497, "   tar:  ", 1.2075, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2329455692565445`, "   Bstar:  ", 3.6419398606506337`, "   Xstar:  ", 
   0.10144335539962544`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6419398606506337`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073343707376`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1498", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.23305799744426`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6460520183167033`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10105488175963115`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6460520183167033`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1498, "   tar:  ", 1.21, "   tarstar:  ", 1.2175, "   R:  ", 
   3.23305799744426, "   Bstar:  ", 3.6460520183167033`, "   Xstar:  ", 
   0.10105488175963115`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6460520183167033`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073343797383`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1499", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2331672430625145`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6501620131171992`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10066853395180089`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6501620131171992`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1499, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.2175, 
   "   R:  ", 3.2331672430625145`, "   Bstar:  ", 3.6501620131171992`, 
   "   Xstar:  ", 0.10066853395180089`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6501620131171992`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073343897395`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1500", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2332733447566793`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.654269844894088`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10028429731598212`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.654269844894088`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1500, "   tar:  ", 1.215, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2332733447566793`, "   Bstar:  ", 3.654269844894088, "   Xstar:  ", 
   0.10028429731598212`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.654269844894088^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733439974*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1501", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2333763407127796`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6583755135322984`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09990215730953958`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6583755135322984`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1501, "   tar:  ", 1.2175, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2333763407127796`, "   Bstar:  ", 3.6583755135322984`, "   Xstar:  ", 
   0.09990215730953958, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6583755135322984`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073344077415`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1502", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2334762686632352`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6624790189590546`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0995220995063418`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6624790189590546`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1502, "   tar:  ", 1.22, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2334762686632352`, "   Bstar:  ", 3.6624790189590546`, "   Xstar:  ", 
   0.0995220995063418, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6624790189590546`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334415742*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1503", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.233573165892514`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6665803611433`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09914410959574932`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6665803611433`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1503, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.2175, 
   "   R:  ", 3.233573165892514, "   Bstar:  ", 3.6665803611433, 
   "   Xstar:  ", 0.09914410959574932, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6665803611433^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073344247427`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1504", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2336670692427174`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.670679540095063`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09876817338161613`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.670679540095063`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1504, "   tar:  ", 1.225, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2336670692427174`, "   Bstar:  ", 3.670679540095063, "   Xstar:  ", 
   0.09876817338161613, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.670679540095063^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073344327435`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1505", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.233758015119087`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6747765558648364`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09839427678130024`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6747765558648364`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1505, "   tar:  ", 1.2275, "   tarstar:  ", 1.2175, "   R:  ", 
   3.233758015119087, "   Bstar:  ", 3.6747765558648364`, "   Xstar:  ", 
   0.09839427678130024, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6747765558648364`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334441745*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1506", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2338460394954396`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6788714085430203`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0980224058246768`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6788714085430203`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1506, "   tar:  ", 1.23, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2338460394954396`, "   Bstar:  ", 3.6788714085430203`, "   Xstar:  ", 
   0.0980224058246768, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6788714085430203`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073344547462`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1507", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2339311779195468`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.682964098259297`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09765254665316674`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.682964098259297`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1507, "   tar:  ", 1.2325, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2339311779195468`, "   Bstar:  ", 3.682964098259297, "   Xstar:  ", 
   0.09765254665316674, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.682964098259297^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073344667473`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1508", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2340134655184114`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.687054625182058`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09728468551876983`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.687054625182058`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1508, "   tar:  ", 1.235, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2340134655184114`, "   Bstar:  ", 3.687054625182058, "   Xstar:  ", 
   0.09728468551876983, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.687054625182058^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073344787483`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1509", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.234092937003517`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6911429895178505`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09691880878310413`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6911429895178505`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1509, "   tar:  ", 1.2375, "   tarstar:  ", 1.2175, "   R:  ", 
   3.234092937003517, "   Bstar:  ", 3.6911429895178505`, "   Xstar:  ", 
   0.09691880878310413, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6911429895178505`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073344897494`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1510", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2341696266759667`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6952291915107938`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09655490291645803`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6952291915107938`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1510, "   tar:  ", 1.24, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2341696266759667`, "   Bstar:  ", 3.6952291915107938`, "   Xstar:  ", 
   0.09655490291645803, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6952291915107938`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733449975*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1511", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.234243568431589`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6993132314420256`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09619295449684752`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6993132314420256`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1511, "   tar:  ", 1.2425, "   tarstar:  ", 1.2175, "   R:  ", 
   3.234243568431589, "   Bstar:  ", 3.6993132314420256`, "   Xstar:  ", 
   0.09619295449684752, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6993132314420256`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073345107517`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1512", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2343147957659615`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.703395109629139`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09583295020908325`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.703395109629139`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1512, "   tar:  ", 1.245, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2343147957659615`, "   Bstar:  ", 3.703395109629139, "   Xstar:  ", 
   0.09583295020908325, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.703395109629139^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334522753*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1513", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2343833417793664`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.707474826425691`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09547487684384061`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.707474826425691`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1513, "   tar:  ", 1.2475, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2343833417793664`, "   Bstar:  ", 3.707474826425691, "   Xstar:  ", 
   0.09547487684384061, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.707474826425691^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334532754*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1514", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.234449239181683`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7115523822205896`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0951187212967475`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7115523822205896`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1514, "   tar:  ", 1.25, "   tarstar:  ", 1.2175, "   R:  ", 
   3.234449239181683, "   Bstar:  ", 3.7115523822205896`, "   Xstar:  ", 
   0.0951187212967475, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7115523822205896`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334544755*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1515", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.234512520297232`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.715627777437634`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09476447056746908`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.715627777437634`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1515, "   tar:  ", 1.2525, "   tarstar:  ", 1.2175, "   R:  ", 
   3.234512520297232, "   Bstar:  ", 3.715627777437634, "   Xstar:  ", 
   0.09476447056746908, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.715627777437634^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334556756*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1516", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.23457321706953`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7197010125349617`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09441211175880762`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7197010125349617`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1516, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.2175, 
   "   R:  ", 3.23457321706953, "   Bstar:  ", 3.7197010125349617`, 
   "   Xstar:  ", 0.09441211175880762, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7197010125349617`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334570758*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1517", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2346313610660076`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.723772088004527`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09406163207580893`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.723772088004527`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1517, "   tar:  ", 1.2575, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2346313610660076`, "   Bstar:  ", 3.723772088004527, "   Xstar:  ", 
   0.09406163207580893, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.723772088004527^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073345817585`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1518", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2346869834826455`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7278410043716237`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09371301882487285`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7278410043716237`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1518, "   tar:  ", 1.26, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2346869834826455`, "   Bstar:  ", 3.7278410043716237`, "   Xstar:  ", 
   0.09371301882487285, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7278410043716237`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733459476*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1519", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.234740115148565`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.731907762194365`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09336625941287578`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.731907762194365`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1519, "   tar:  ", 1.2625, "   tarstar:  ", 1.2175, "   R:  ", 
   3.234740115148565, "   Bstar:  ", 3.731907762194365, "   Xstar:  ", 
   0.09336625941287578, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.731907762194365^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073346077614`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1520", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.234790786530548`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.735972362063193`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09302134134629893`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.735972362063193`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1520, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.2175, 
   "   R:  ", 3.234790786530548, "   Bstar:  ", 3.735972362063193, 
   "   Xstar:  ", 0.09302134134629893, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.735972362063193^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334616762*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1521", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2348390277375154`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.74003480460039`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09267825223036472`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.74003480460039`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1521, "   tar:  ", 1.2675, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2348390277375154`, "   Bstar:  ", 3.74003480460039, "   Xstar:  ", 
   0.09267825223036472, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.74003480460039^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334625763*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1522", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.234884868524917`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7440950904595995`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09233697976818003`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7440950904595995`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1522, "   tar:  ", 1.27, "   tarstar:  ", 1.2175, "   R:  ", 
   3.234884868524917, "   Bstar:  ", 3.7440950904595995`, "   Xstar:  ", 
   0.09233697976818003, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7440950904595995`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334636764*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1523", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.234928338299102`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7481532203253787`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09199751175988526`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7481532203253787`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1523, "   tar:  ", 1.2725, "   tarstar:  ", 1.2175, "   R:  ", 
   3.234928338299102, "   Bstar:  ", 3.7481532203253787`, "   Xstar:  ", 
   0.09199751175988526, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7481532203253787`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334644765*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1524", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2349694661216`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.752209194912682`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09165983610181669`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.752209194912682`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1524, "   tar:  ", 1.275, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2349694661216, "   Bstar:  ", 3.752209194912682, "   Xstar:  ", 
   0.09165983610181669, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.752209194912682^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073346527653`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1525", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235008280713362`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7562630149664296`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09132394078567023`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7562630149664296`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1525, "   tar:  ", 1.2775, "   tarstar:  ", 1.2175, "   R:  ", 
   3.235008280713362, "   Bstar:  ", 3.7562630149664296`, "   Xstar:  ", 
   0.09132394078567023, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7562630149664296`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334663767*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1526", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2350448104589535`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.760314681261064`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09098981389767327`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.760314681261064`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1526, "   tar:  ", 1.28, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2350448104589535`, "   Bstar:  ", 3.760314681261064, "   Xstar:  ", 
   0.09098981389767327, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.760314681261064^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073346767683`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1527", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2350790834106755`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.764364194600072`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09065744361776779`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.764364194600072`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1527, "   tar:  ", 1.2825, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2350790834106755`, "   Bstar:  ", 3.764364194600072, "   Xstar:  ", 
   0.09065744361776779, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.764364194600072^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073346887693`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1528", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.235111127292643`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7684115558155833`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0903268182187944`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7684115558155833`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1528, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.2175, 
   "   R:  ", 3.235111127292643, "   Bstar:  ", 3.7684115558155833`, 
   "   Xstar:  ", 0.0903268182187944, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7684115558155833`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073346997705`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1529", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235140969504806`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.772456765767866`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0899979260656929`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.772456765767866`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1529, "   tar:  ", 1.2875, "   tarstar:  ", 1.2175, "   R:  ", 
   3.235140969504806, "   Bstar:  ", 3.772456765767866, "   Xstar:  ", 
   0.0899979260656929, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.772456765767866^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334709771*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1530", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2351686371269293`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.77649982534498`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08967075561469695`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.77649982534498`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1530, "   tar:  ", 1.29, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2351686371269293`, "   Bstar:  ", 3.77649982534498, "   Xstar:  ", 
   0.08967075561469695, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.77649982534498^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073347247725`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1531", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2351941569225025`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7805407354622926`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08934529541254843`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7805407354622926`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1531, "   tar:  ", 1.2925, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2351941569225025`, "   Bstar:  ", 3.7805407354622926`, "   Xstar:  ", 
   0.08934529541254843, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7805407354622926`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334737774*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1532", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2352175553426172`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7845794970620696`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08902153409571184`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7845794970620696`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1532, "   tar:  ", 1.295, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2352175553426172`, "   Bstar:  ", 3.7845794970620696`, "   Xstar:  ", 
   0.08902153409571184, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7845794970620696`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073347527757`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1533", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.235238858529782`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.788616111113085`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08869946038959574`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.788616111113085`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1533, "   tar:  ", 1.2975, "   tarstar:  ", 1.2175, "   R:  ", 
   3.235238858529782, "   Bstar:  ", 3.788616111113085, "   Xstar:  ", 
   0.08869946038959574, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.788616111113085^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334766777*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1534", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2175`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2352580923216925`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.792650578610195`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08837906310778383`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.792650578610195`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1534, "   tar:  ", 1.3, "   tarstar:  ", 1.2175, "   R:  ", 
   3.2352580923216925`, "   Bstar:  ", 3.792650578610195, "   Xstar:  ", 
   0.08837906310778383, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.792650578610195^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073347797785`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1535", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2292701690151735`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.560243629831791`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1095781546513173`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.560243629831791`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1535, "   tar:  ", 1.155, "   tarstar:  ", 1.22, "   R:  ", 
   3.2292701690151735`, "   Bstar:  ", 3.560243629831791, "   Xstar:  ", 
   0.1095781546513173, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.560243629831791^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073347917795`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1536", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229458438719165`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5644088979523776`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10914339498907158`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5644088979523776`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1536, "   tar:  ", 1.1575, "   tarstar:  ", 1.22, "   R:  ", 
   3.229458438719165, "   Bstar:  ", 3.5644088979523776`, "   Xstar:  ", 
   0.10914339498907158`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5644088979523776`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334804781*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1537", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229642611943328`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.56857200764443`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1087110885629141`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.56857200764443`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1537, "   tar:  ", 1.16, "   tarstar:  ", 1.22, "   R:  ", 
   3.229642611943328, "   Bstar:  ", 3.56857200764443, "   Xstar:  ", 
   0.1087110885629141, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.56857200764443^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073348197823`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1538", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229822738295274`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5727329577271916`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10828121804523308`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5727329577271916`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1538, "   tar:  ", 1.1625, "   tarstar:  ", 1.22, "   R:  ", 
   3.229822738295274, "   Bstar:  ", 3.5727329577271916`, "   Xstar:  ", 
   0.10828121804523308`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5727329577271916`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334835784*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1539", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2299988667850843`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5768917470781005`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1078537662491037`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5768917470781005`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1539, "   tar:  ", 1.165, "   tarstar:  ", 1.22, "   R:  ", 
   3.2299988667850843`, "   Bstar:  ", 3.5768917470781005`, "   Xstar:  ", 
   0.1078537662491037, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5768917470781005`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073348517857`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1540", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230171045832861`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5810483746319117`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10742871612708692`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5810483746319117`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1540, "   tar:  ", 1.1675, "   tarstar:  ", 1.22, "   R:  ", 
   3.230171045832861, "   Bstar:  ", 3.5810483746319117`, "   Xstar:  ", 
   0.10742871612708692`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5810483746319117`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073348687873`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1541", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230339323276185`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.585202839379897`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10700605077003088`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.585202839379897`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1541, "   tar:  ", 1.17, "   tarstar:  ", 1.22, "   R:  ", 
   3.230339323276185, "   Bstar:  ", 3.585202839379897, "   Xstar:  ", 
   0.10700605077003088`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.585202839379897^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073348847885`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1542", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2305037463774617`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.589355140369002`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10658575340588701`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.589355140369002`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1542, "   tar:  ", 1.1725, "   tarstar:  ", 1.22, "   R:  ", 
   3.2305037463774617`, "   Bstar:  ", 3.589355140369002, "   Xstar:  ", 
   0.10658575340588701`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.589355140369002^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733489779*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1543", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230664361831177`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5935052767010305`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10616780739853418`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5935052767010305`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1543, "   tar:  ", 1.175, "   tarstar:  ", 1.22, "   R:  ", 
   3.230664361831177, "   Bstar:  ", 3.5935052767010305`, "   Xstar:  ", 
   0.10616780739853418`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5935052767010305`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073349107914`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1544", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2308212157710705`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5976532475318863`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10575219624660716`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5976532475318863`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1544, "   tar:  ", 1.1775, "   tarstar:  ", 1.22, "   R:  ", 
   3.2308212157710705`, "   Bstar:  ", 3.5976532475318863`, "   Xstar:  ", 
   0.10575219624660716`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5976532475318863`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334923793*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1545", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230974353777193`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6017990520707697`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10533890358233931`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6017990520707697`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1545, "   tar:  ", 1.18, "   tarstar:  ", 1.22, "   R:  ", 
   3.230974353777193, "   Bstar:  ", 3.6017990520707697`, "   Xstar:  ", 
   0.10533890358233931`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6017990520707697`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073349367943`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1546", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2311238208828876`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6059426895793982`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.104927913170414`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6059426895793982`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1546, "   tar:  ", 1.1825, "   tarstar:  ", 1.22, "   R:  ", 
   3.2311238208828876`, "   Bstar:  ", 3.6059426895793982`, "   Xstar:  ", 
   0.104927913170414, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6059426895793982`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073349487953`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1547", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2312696615816656`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.610084159371247`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10451920890682395`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.610084159371247`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1547, "   tar:  ", 1.185, "   tarstar:  ", 1.22, "   R:  ", 
   3.2312696615816656`, "   Bstar:  ", 3.610084159371247, "   Xstar:  ", 
   0.10451920890682395`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.610084159371247^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073349617968`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1548", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2314119198340103`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.614223460810796`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10411277481773938`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.614223460810796`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1548, "   tar:  ", 1.1875, "   tarstar:  ", 1.22, "   R:  ", 
   3.2314119198340103`, "   Bstar:  ", 3.614223460810796, "   Xstar:  ", 
   0.10411277481773938`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.614223460810796^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073349707975`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1549", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231550639074071`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6183605933127874`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1037085950583862`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6183605933127874`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1549, "   tar:  ", 1.19, "   tarstar:  ", 1.22, "   R:  ", 
   3.231550639074071, "   Bstar:  ", 3.6183605933127874`, "   Xstar:  ", 
   0.1037085950583862, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6183605933127874`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607334983799*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1550", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.22`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2316858622162834`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.622495556341508`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1033066539119309`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.622495556341508`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1550, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.22, 
   "   R:  ", 3.2316858622162834`, "   Bstar:  ", 3.622495556341508, 
   "   Xstar:  ", 0.1033066539119309, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.622495556341508^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073349917994`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1551", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2318176316618996`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.626628349410043`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10290693578837917`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.626628349410043`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1551, "   tar:  ", 1.195, "   tarstar:  ", 1.22, "   R:  ", 
   3.2318176316618996`, "   Bstar:  ", 3.626628349410043, "   Xstar:  ", 
   0.10290693578837917`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.626628349410043^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073350008*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1552", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231945989305429`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6307589720795788`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10250942522347795`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6307589720795788`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1552, "   tar:  ", 1.1975, "   tarstar:  ", 1.22, "   R:  ", 
   3.231945989305429, "   Bstar:  ", 3.6307589720795788`, "   Xstar:  ", 
   0.10250942522347795`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6307589720795788`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073350088015`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1553", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2320709765409985`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6348874239587055`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10211410687763013`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6348874239587055`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1553, "   tar:  ", 1.2, "   tarstar:  ", 1.22, "   R:  ", 
   3.2320709765409985`, "   Bstar:  ", 3.6348874239587055`, "   Xstar:  ", 
   0.10211410687763013`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6348874239587055`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073350178022`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1554", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.22`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2321926342686234`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6390137047027005`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10172096553481727`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6390137047027005`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1554, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.22, 
   "   R:  ", 3.2321926342686234`, "   Bstar:  ", 3.6390137047027005`, 
   "   Xstar:  ", 0.10172096553481727`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6390137047027005`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073350278034`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1555", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232311002900409`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6431378140128734`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10132998610152956`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6431378140128734`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1555, "   tar:  ", 1.205, "   tarstar:  ", 1.22, "   R:  ", 
   3.232311002900409, "   Bstar:  ", 3.6431378140128734`, "   Xstar:  ", 
   0.10132998610152956`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6431378140128734`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073350418043`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1556", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232426122366658`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.647259751635871`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10094115360570712`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.647259751635871`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1556, "   tar:  ", 1.2075, "   tarstar:  ", 1.22, "   R:  ", 
   3.232426122366658, "   Bstar:  ", 3.647259751635871, "   Xstar:  ", 
   0.10094115360570712`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.647259751635871^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335053806*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1557", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232538032121896`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6513795173630395`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10055445319568627`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6513795173630395`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1557, "   tar:  ", 1.21, "   tarstar:  ", 1.22, "   R:  ", 
   3.232538032121896, "   Bstar:  ", 3.6513795173630395`, "   Xstar:  ", 
   0.10055445319568627`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6513795173630395`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335068807*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1558", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.22`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.232646771150832`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6554971110297196`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10016987013916145`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6554971110297196`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1558, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.22, 
   "   R:  ", 3.232646771150832, "   Bstar:  ", 3.6554971110297196`, 
   "   Xstar:  ", 0.10016987013916145`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6554971110297196`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335079808*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1559", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2327523779742355`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.659612532514673`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09978738982214463`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.659612532514673`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1559, "   tar:  ", 1.215, "   tarstar:  ", 1.22, "   R:  ", 
   3.2327523779742355`, "   Bstar:  ", 3.659612532514673, "   Xstar:  ", 
   0.09978738982214463, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.659612532514673^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073350928097`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1560", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232854890654723`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6637257817393434`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09940699774794912`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6637257817393434`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1560, "   tar:  ", 1.2175, "   tarstar:  ", 1.22, "   R:  ", 
   3.232854890654723, "   Bstar:  ", 3.6637257817393434`, "   Xstar:  ", 
   0.09940699774794912, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6637257817393434`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073351048107`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1561", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232954346802486`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6678368586673598`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09902867953616065`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6678368586673598`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1561, "   tar:  ", 1.22, "   tarstar:  ", 1.22, "   R:  ", 
   3.232954346802486, "   Bstar:  ", 3.6678368586673598`, "   Xstar:  ", 
   0.09902867953616065, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6678368586673598`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073351158123`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1562", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.22`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2330507835809446`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6719457633037766`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09865242092164173`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6719457633037766`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1562, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.22, 
   "   R:  ", 3.2330507835809446`, "   Bstar:  ", 3.6719457633037766`, 
   "   Xstar:  ", 0.09865242092164173, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6719457633037766`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073351278133`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1563", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2331442377123034`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.676052495694566`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09827820775352246`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.676052495694566`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1563, "   tar:  ", 1.225, "   tarstar:  ", 1.22, "   R:  ", 
   3.2331442377123034`, "   Bstar:  ", 3.676052495694566, "   Xstar:  ", 
   0.09827820775352246, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.676052495694566^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073351408143`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1564", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.233234745483069`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.680157055925966`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09790602599421326`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.680157055925966`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1564, "   tar:  ", 1.2275, "   tarstar:  ", 1.22, "   R:  ", 
   3.233234745483069, "   Bstar:  ", 3.680157055925966, "   Xstar:  ", 
   0.09790602599421326, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.680157055925966^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073351548157`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1565", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2333223427494655`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.684259444123898`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09753586171842088`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.684259444123898`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1565, "   tar:  ", 1.23, "   tarstar:  ", 1.22, "   R:  ", 
   3.2333223427494655`, "   Bstar:  ", 3.684259444123898, "   Xstar:  ", 
   0.09753586171842088, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.684259444123898^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073351688175`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1566", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2334070649427984`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.68835966045336`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09716770111217513`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.68835966045336`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1566, "   tar:  ", 1.2325, "   tarstar:  ", 1.22, "   R:  ", 
   3.2334070649427984`, "   Bstar:  ", 3.68835966045336, "   Xstar:  ", 
   0.09716770111217513, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.68835966045336^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335183819*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1567", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2334889470747368`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6924577051178806`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09680153047185976`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6924577051178806`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1567, "   tar:  ", 1.235, "   tarstar:  ", 1.22, "   R:  ", 
   3.2334889470747368`, "   Bstar:  ", 3.6924577051178806`, "   Xstar:  ", 
   0.09680153047185976, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6924577051178806`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073351968203`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1568", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2335680237425364`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.696553578358924`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09643733620325595`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.696553578358924`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1568, "   tar:  ", 1.2375, "   tarstar:  ", 1.22, "   R:  ", 
   3.2335680237425364`, "   Bstar:  ", 3.696553578358924, "   Xstar:  ", 
   0.09643733620325595, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.696553578358924^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335207821*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1569", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2336443291341834`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.700647280455341`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0960751048205912`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.700647280455341`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1569, "   tar:  ", 1.24, "   tarstar:  ", 1.22, "   R:  ", 
   3.2336443291341834`, "   Bstar:  ", 3.700647280455341, "   Xstar:  ", 
   0.0960751048205912, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.700647280455341^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335217822*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1570", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2337178970334786`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.704738811722785`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09571482294559967`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.704738811722785`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1570, "   tar:  ", 1.2425, "   tarstar:  ", 1.22, "   R:  ", 
   3.2337178970334786`, "   Bstar:  ", 3.704738811722785, "   Xstar:  ", 
   0.09571482294559967, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.704738811722785^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335226823*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1571", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.233788760825054`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7088281725132`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09535647730658514`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7088281725132`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1571, "   tar:  ", 1.245, "   tarstar:  ", 1.22, "   R:  ", 
   3.233788760825054, "   Bstar:  ", 3.7088281725132, "   Xstar:  ", 
   0.09535647730658514, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7088281725132^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335235824*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1572", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2338569534993287`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7129153632142415`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09500005473749863`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7129153632142415`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1572, "   tar:  ", 1.2475, "   tarstar:  ", 1.22, "   R:  ", 
   3.2338569534993287`, "   Bstar:  ", 3.7129153632142415`, "   Xstar:  ", 
   0.09500005473749863, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7129153632142415`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335243825*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1573", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2339225076573843`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.717000384248796`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09464554217701557`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.717000384248796`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1573, "   tar:  ", 1.25, "   tarstar:  ", 1.22, "   R:  ", 
   3.2339225076573843`, "   Bstar:  ", 3.717000384248796, "   Xstar:  ", 
   0.09464554217701557, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.717000384248796^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073352528257`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1574", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.233985455515792`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7210832360743837`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09429292666763202`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7210832360743837`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1574, "   tar:  ", 1.2525, "   tarstar:  ", 1.22, "   R:  ", 
   3.233985455515792, "   Bstar:  ", 3.7210832360743837`, "   Xstar:  ", 
   0.09429292666763202, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7210832360743837`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073352618265`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1575", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.22`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.234045828911373`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7251639191827084`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0939421953547569`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7251639191827084`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1575, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.22, 
   "   R:  ", 3.234045828911373, "   Bstar:  ", 3.7251639191827084`, 
   "   Xstar:  ", 0.0939421953547569, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7251639191827084`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073352718277`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1576", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2341036593058963`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.72924243409909`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09359333548582197`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.72924243409909`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1576, "   tar:  ", 1.2575, "   tarstar:  ", 1.22, "   R:  ", 
   3.2341036593058963`, "   Bstar:  ", 3.72924243409909, "   Xstar:  ", 
   0.09359333548582197, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.72924243409909^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073352808285`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1577", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.234158977790712`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7333187813819984`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09324633440939234`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7333187813819984`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1577, "   tar:  ", 1.26, "   tarstar:  ", 1.22, "   R:  ", 
   3.234158977790712, "   Bstar:  ", 3.7333187813819984`, "   Xstar:  ", 
   0.09324633440939234, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7333187813819984`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335288829*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1578", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2342118150913275`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7373929616225303`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09290117957428924`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7373929616225303`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1578, "   tar:  ", 1.2625, "   tarstar:  ", 1.22, "   R:  ", 
   3.2342118150913275`, "   Bstar:  ", 3.7373929616225303`, "   Xstar:  ", 
   0.09290117957428924, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7373929616225303`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733529783*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1579", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.22`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.234262201571924`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7414649754439293`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09255785852871835`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7414649754439293`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1579, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.22, 
   "   R:  ", 3.234262201571924, "   Bstar:  ", 3.7414649754439293`, 
   "   Xstar:  ", 0.09255785852871835, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7414649754439293`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073353098316`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1580", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2343101672398187`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7455348235010937`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09221635891940647`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7455348235010937`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1580, "   tar:  ", 1.2675, "   tarstar:  ", 1.22, "   R:  ", 
   3.2343101672398187`, "   Bstar:  ", 3.7455348235010937`, "   Xstar:  ", 
   0.09221635891940647, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7455348235010937`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073353218327`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1581", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2343557417498534`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7496025064800986`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09187666849074538`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7496025064800986`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1581, "   tar:  ", 1.27, "   tarstar:  ", 1.22, "   R:  ", 
   3.2343557417498534`, "   Bstar:  ", 3.7496025064800986`, "   Xstar:  ", 
   0.09187666849074538, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7496025064800986`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073353338337`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1582", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.23439895440875`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7536680250977383`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0915387750839425`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7536680250977383`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1582, "   tar:  ", 1.2725, "   tarstar:  ", 1.22, "   R:  ", 
   3.23439895440875, "   Bstar:  ", 3.7536680250977383`, "   Xstar:  ", 
   0.0915387750839425, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7536680250977383`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073353458347`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1583", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.234439834179381`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7577313801010472`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09120266663618029`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7577313801010472`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1583, "   tar:  ", 1.275, "   tarstar:  ", 1.22, "   R:  ", 
   3.234439834179381, "   Bstar:  ", 3.7577313801010472`, "   Xstar:  ", 
   0.09120266663618029, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7577313801010472`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073353618364`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1584", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2344784096850145`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.761792572266811`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09086833117978546`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.761792572266811`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1584, "   tar:  ", 1.2775, "   tarstar:  ", 1.22, "   R:  ", 
   3.2344784096850145`, "   Bstar:  ", 3.761792572266811, "   Xstar:  ", 
   0.09086833117978546, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.761792572266811^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335377838*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1585", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2345147092134834`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.765851602401187`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09053575684139627`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.765851602401187`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1585, "   tar:  ", 1.28, "   tarstar:  ", 1.22, "   R:  ", 
   3.2345147092134834`, "   Bstar:  ", 3.765851602401187, "   Xstar:  ", 
   0.09053575684139627, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.765851602401187^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073353918395`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1586", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.234548760721303`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.769908471339193`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09020493184114874`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.769908471339193`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1586, "   tar:  ", 1.2825, "   tarstar:  ", 1.22, "   R:  ", 
   3.234548760721303, "   Bstar:  ", 3.769908471339193, "   Xstar:  ", 
   0.09020493184114874, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.769908471339193^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335405841*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1587", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.22`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.234580591837743`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.773963179944279`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08987584449186369`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.773963179944279`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1587, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.22, 
   "   R:  ", 3.234580591837743, "   Bstar:  ", 3.773963179944279, 
   "   Xstar:  ", 0.08987584449186369, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.773963179944279^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073354188423`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1588", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2346102298688395`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7780157291079135`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08954848319824037`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7780157291079135`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1588, "   tar:  ", 1.2875, "   tarstar:  ", 1.22, "   R:  ", 
   3.2346102298688395`, "   Bstar:  ", 3.7780157291079135`, "   Xstar:  ", 
   0.08954848319824037, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7780157291079135`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073354308434`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1589", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.234637701801365`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7820661197491208`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08922283645606141`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7820661197491208`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1589, "   tar:  ", 1.29, "   tarstar:  ", 1.22, "   R:  ", 
   3.234637701801365, "   Bstar:  ", 3.7820661197491208`, "   Xstar:  ", 
   0.08922283645606141, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7820661197491208`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335443845*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1590", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2346630343067297`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.786114352814111`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08889889285139817`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.786114352814111`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1590, "   tar:  ", 1.2925, "   tarstar:  ", 1.22, "   R:  ", 
   3.2346630343067297`, "   Bstar:  ", 3.786114352814111, "   Xstar:  ", 
   0.08889889285139817, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.786114352814111^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335458846*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1591", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2346862537448504`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7901604292757924`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08857664105983268`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7901604292757924`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1591, "   tar:  ", 1.295, "   tarstar:  ", 1.22, "   R:  ", 
   3.2346862537448504`, "   Bstar:  ", 3.7901604292757924`, "   Xstar:  ", 
   0.08857664105983268, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7901604292757924`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335474848*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1592", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2347073861679574`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.79420435013341`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08825606984567719`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.79420435013341`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1592, "   tar:  ", 1.2975, "   tarstar:  ", 1.22, "   R:  ", 
   3.2347073861679574`, "   Bstar:  ", 3.79420435013341, "   Xstar:  ", 
   0.08825606984567719, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.79420435013341^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073354868493`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1593", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.22`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2347264573243546`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7982461164121104`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08793716806120663`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7982461164121104`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1593, "   tar:  ", 1.3, "   tarstar:  ", 1.22, "   R:  ", 
   3.2347264573243546`, "   Bstar:  ", 3.7982461164121104`, "   Xstar:  ", 
   0.08793716806120663, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7982461164121104`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733549685*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1594", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2287674247120663`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5654001679833134`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10904025782810282`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5654001679833134`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1594, "   tar:  ", 1.155, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2287674247120663`, "   Bstar:  ", 3.5654001679833134`, 
   "   Xstar:  ", 0.10904025782810282`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5654001679833134`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335504851*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1595", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2289549013323633`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.569573239276375`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1086074491743301`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.569573239276375`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1595, "   tar:  ", 1.1575, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2289549013323633`, "   Bstar:  ", 3.569573239276375, 
   "   Xstar:  ", 0.1086074491743301, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.569573239276375^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335515852*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1596", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.229138296152834`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5737441421380516`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10817708429872792`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5737441421380516`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1596, "   tar:  ", 1.16, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.229138296152834, "   Bstar:  ", 3.5737441421380516`, 
   "   Xstar:  ", 0.10817708429872792`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5737441421380516`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335526853*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1597", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.229317658629602`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.577912875429049`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10774914592432991`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.577912875429049`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1597, "   tar:  ", 1.1625, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.229317658629602, "   Bstar:  ", 3.577912875429049, 
   "   Xstar:  ", 0.10774914592432991`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.577912875429049^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335537854*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1598", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.229493037622672`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5820794380680314`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10732361691464641`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5820794380680314`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1598, "   tar:  ", 1.165, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.229493037622672, "   Bstar:  ", 3.5820794380680314`, 
   "   Xstar:  ", 0.10732361691464641`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5820794380680314`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073355488553`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1599", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2296644814034643`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5862438290307166`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10690048027246593`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5862438290307166`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1599, "   tar:  ", 1.1675, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2296644814034643`, "   Bstar:  ", 3.5862438290307166`, 
   "   Xstar:  ", 0.10690048027246593`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5862438290307166`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335557856*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1600", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2298320376622645`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5904060473491266`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10647971913864981`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5904060473491266`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1600, "   tar:  ", 1.17, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2298320376622645`, "   Bstar:  ", 3.5904060473491266`, 
   "   Xstar:  ", 0.10647971913864981`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5904060473491266`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335565857*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1601", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.229995753515568`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5945660921107017`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10606131679095213`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5945660921107017`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1601, "   tar:  ", 1.1725, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.229995753515568, "   Bstar:  ", 3.5945660921107017`, 
   "   Xstar:  ", 0.10606131679095213`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5945660921107017`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335576858*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1602", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2301556755133176`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.5987239624575387`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10564525664283725`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5987239624575387`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1602, "   tar:  ", 1.175, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2301556755133176`, "   Bstar:  ", 3.5987239624575387`, 
   "   Xstar:  ", 0.10564525664283725`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5987239624575387`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335584859*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1603", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2303118496460557`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6028796575855844`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10523152224231207`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6028796575855844`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1603, "   tar:  ", 1.1775, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2303118496460557`, "   Bstar:  ", 3.6028796575855844`, 
   "   Xstar:  ", 0.10523152224231207`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6028796575855844`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733559586*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1604", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2304643213519957`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.607033176743852`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10482009727076677`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.607033176743852`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1604, "   tar:  ", 1.18, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2304643213519957`, "   Bstar:  ", 3.607033176743852, 
   "   Xstar:  ", 0.10482009727076677`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.607033176743852^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073356098614`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1605", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2306131355239716`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.611184519233628`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10441096554182595`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.611184519233628`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1605, "   tar:  ", 1.1825, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2306131355239716`, "   Bstar:  ", 3.611184519233628, 
   "   Xstar:  ", 0.10441096554182595`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.611184519233628^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073356238627`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1606", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2307583365163115`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6153336844077564`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10400411100020342`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6153336844077564`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1606, "   tar:  ", 1.185, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2307583365163115`, "   Bstar:  ", 3.6153336844077564`, 
   "   Xstar:  ", 0.10400411100020342`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6153336844077564`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073356368637`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1607", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.230899968151631`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6194806716698444`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10359951772057392`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6194806716698444`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1607, "   tar:  ", 1.1875, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.230899968151631, "   Bstar:  ", 3.6194806716698444`, 
   "   Xstar:  ", 0.10359951772057392`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6194806716698444`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335648865*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1608", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.231038073727516`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6236254804735535`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10319716990644726`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6236254804735535`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1608, "   tar:  ", 1.19, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.231038073727516, "   Bstar:  ", 3.6236254804735535`, 
   "   Xstar:  ", 0.10319716990644726`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6236254804735535`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073356628666`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1609", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2225000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2311726960231324`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.627768110321832`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10279705188905754`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.627768110321832`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1609, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 
   1.2225000000000001`, "   R:  ", 3.2311726960231324`, "   Bstar:  ", 
   3.627768110321832, "   Xstar:  ", 0.10279705188905754`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.627768110321832^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073356738677`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1610", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.231303877305744`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.63190856076624`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1023991481262544`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.63190856076624`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1610, "   tar:  ", 1.195, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.231303877305744, "   Bstar:  ", 3.63190856076624, 
   "   Xstar:  ", 0.1023991481262544, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.63190856076624^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335686869*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1611", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2314316593371455`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.636046831406183`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10200344320141176`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.636046831406183`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1611, "   tar:  ", 1.1975, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2314316593371455`, "   Bstar:  ", 3.636046831406183, 
   "   Xstar:  ", 0.10200344320141176`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.636046831406183^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335701871*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1612", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2315560833800108`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6401829218882886`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1016099218223339`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6401829218882886`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1612, "   tar:  ", 1.2, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2315560833800108`, "   Bstar:  ", 3.6401829218882886`, 
   "   Xstar:  ", 0.1016099218223339, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6401829218882886`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335715872*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1613", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2225000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2316771902041577`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6443168319056434`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10121856882018426`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6443168319056434`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1613, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 
   1.2225000000000001`, "   R:  ", 3.2316771902041577`, "   Bstar:  ", 
   3.6443168319056434`, "   Xstar:  ", 0.10121856882018426`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6443168319056434`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073357308736`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1614", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.231795020092729`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6484485611971125`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10082936914841534`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6484485611971125`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1614, "   tar:  ", 1.205, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.231795020092729, "   Bstar:  ", 3.6484485611971125`, 
   "   Xstar:  ", 0.10082936914841534`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6484485611971125`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335744875*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1615", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.231909612848297`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.652578109546729`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10044230788170322`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.652578109546729`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1615, "   tar:  ", 1.2075, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.231909612848297, "   Bstar:  ", 3.652578109546729, 
   "   Xstar:  ", 0.10044230788170322`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.652578109546729^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073357578764`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1616", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2320210077988825`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.656705476782992`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10005737021489927`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.656705476782992`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1616, "   tar:  ", 1.21, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2320210077988825`, "   Bstar:  ", 3.656705476782992, 
   "   Xstar:  ", 0.10005737021489927`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.656705476782992^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335770878*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1617", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2225000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2321292438039015`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6608306627781695`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09967454146199113`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6608306627781695`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1617, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 
   1.2225000000000001`, "   R:  ", 3.2321292438039015`, "   Bstar:  ", 
   3.6608306627781695`, "   Xstar:  ", 0.09967454146199113, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6608306627781695`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335780878*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1618", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.232234359260023`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.664953667447763`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09929380705505854`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.664953667447763`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1618, "   tar:  ", 1.215, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.232234359260023, "   Bstar:  ", 3.664953667447763, 
   "   Xstar:  ", 0.09929380705505854, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.664953667447763^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073357898793`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1619", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.23233639210696`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6690744907497397`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09891515254325967`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6690744907497397`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1619, "   tar:  ", 1.2175, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.23233639210696, "   Bstar:  ", 3.6690744907497397`, 
   "   Xstar:  ", 0.09891515254325967, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6690744907497397`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073357988806`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1620", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.232435379833179`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.673193132684022`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09853856359180364`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.673193132684022`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1620, "   tar:  ", 1.22, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.232435379833179, "   Bstar:  ", 3.673193132684022, 
   "   Xstar:  ", 0.09853856359180364, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.673193132684022^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073358088813`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1621", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2225000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2325313594815404`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6773095932917736`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09816402598095045`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6773095932917736`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1621, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 
   1.2225000000000001`, "   R:  ", 3.2325313594815404`, "   Bstar:  ", 
   3.6773095932917736`, "   Xstar:  ", 0.09816402598095045, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6773095932917736`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073358208823`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1622", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2326243676548603`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6814238726548583`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09779152560500476`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6814238726548583`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1622, "   tar:  ", 1.225, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2326243676548603`, "   Bstar:  ", 3.6814238726548583`, 
   "   Xstar:  ", 0.09779152560500476, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6814238726548583`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073358318834`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1623", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.232714440521398`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6855359708952125`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09742104847132714`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6855359708952125`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1623, "   tar:  ", 1.2275, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.232714440521398, "   Bstar:  ", 3.6855359708952125`, 
   "   Xstar:  ", 0.09742104847132714, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6855359708952125`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335842885*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1624", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.232801613820274`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6896458881742245`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09705258069935264`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6896458881742245`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1624, "   tar:  ", 1.23, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.232801613820274, "   Bstar:  ", 3.6896458881742245`, 
   "   Xstar:  ", 0.09705258069935264, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6896458881742245`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073358538857`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1625", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.232885922866819`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.693753624692184`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09668610851961368`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.693753624692184`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1625, "   tar:  ", 1.2325, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.232885922866819, "   Bstar:  ", 3.693753624692184, 
   "   Xstar:  ", 0.09668610851961368, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.693753624692184^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335862887*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1626", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2329674025578488`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6978591806876997`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09632161827277314`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6978591806876997`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1626, "   tar:  ", 1.235, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2329674025578488`, "   Bstar:  ", 3.6978591806876997`, 
   "   Xstar:  ", 0.09632161827277314, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6978591806876997`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335874888*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1627", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2330460873768763`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.701962556437108`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0959590964086691`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.701962556437108`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1627, "   tar:  ", 1.2375, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2330460873768763`, "   Bstar:  ", 3.701962556437108, 
   "   Xstar:  ", 0.0959590964086691, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.701962556437108^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335885889*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1628", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.23312201139925`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7060637522539444`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09559852948536089`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7060637522539444`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1628, "   tar:  ", 1.24, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.23312201139925, "   Bstar:  ", 3.7060637522539444`, 
   "   Xstar:  ", 0.09559852948536089, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7060637522539444`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733589589*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1629", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2331952082972197`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7101627684883427`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09523990416819206`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7101627684883427`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1629, "   tar:  ", 1.2425, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2331952082972197`, "   Bstar:  ", 3.7101627684883427`, 
   "   Xstar:  ", 0.09523990416819206, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7101627684883427`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335908891*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1630", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.233265711344953`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.714259605526544`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09488320722885128`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.714259605526544`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1630, "   tar:  ", 1.245, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.233265711344953, "   Bstar:  ", 3.714259605526544, 
   "   Xstar:  ", 0.09488320722885128, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.714259605526544^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335925893*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1631", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.23333355342347`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7183542637902764`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0945284255444541`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7183542637902764`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1631, "   tar:  ", 1.2475, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.23333355342347, "   Bstar:  ", 3.7183542637902764`, 
   "   Xstar:  ", 0.0945284255444541, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7183542637902764`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073359398947`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1632", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2333987670255184`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.72244674373633`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09417554609661545`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.72244674373633`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1632, "   tar:  ", 1.25, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2333987670255184`, "   Bstar:  ", 3.72244674373633, 
   "   Xstar:  ", 0.09417554609661545, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.72244674373633^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073359518957`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1633", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2334613842603974`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7265370458559324`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09382455597054909`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7265370458559324`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1633, "   tar:  ", 1.2525, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2334613842603974`, "   Bstar:  ", 3.7265370458559324`, 
   "   Xstar:  ", 0.09382455597054909, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7265370458559324`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607335968897*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1634", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2225000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.233521436858692`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7306251706742892`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09347544235416004`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7306251706742892`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1634, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 
   1.2225000000000001`, "   R:  ", 3.233521436858692, "   Bstar:  ", 
   3.7306251706742892`, "   Xstar:  ", 0.09347544235416004, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7306251706742892`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073359828987`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1635", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2335789561769688`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.734711118750048`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0931281925371535`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.734711118750048`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1635, "   tar:  ", 1.2575, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2335789561769688`, "   Bstar:  ", 3.734711118750048, 
   "   Xstar:  ", 0.0931281925371535, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.734711118750048^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073359969*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1636", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.233633973202408`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7387948906747996`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09278279391014745`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7387948906747996`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1636, "   tar:  ", 1.26, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.233633973202408, "   Bstar:  ", 3.7387948906747996`, 
   "   Xstar:  ", 0.09278279391014745, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7387948906747996`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336009901*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1637", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2336865185573562`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7428764870725955`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09243923396379337`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7428764870725955`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1637, "   tar:  ", 1.2625, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2336865185573562`, "   Bstar:  ", 3.7428764870725955`, 
   "   Xstar:  ", 0.09243923396379337, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7428764870725955`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073360219026`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1638", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2225000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2337366225038493`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7469559085994275`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09209750028790782`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7469559085994275`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1638, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 
   1.2225000000000001`, "   R:  ", 3.2337366225038493`, "   Bstar:  ", 
   3.7469559085994275`, "   Xstar:  ", 0.09209750028790782, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7469559085994275`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336033904*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1639", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2337843149480463`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7510331559427663`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09175758057060722`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7510331559427663`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1639, "   tar:  ", 1.2675, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2337843149480463`, "   Bstar:  ", 3.7510331559427663`, 
   "   Xstar:  ", 0.09175758057060722, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7510331559427663`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073360499053`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1640", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.23382962544463`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7551082298210705`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09141946259745357`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7551082298210705`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1640, "   tar:  ", 1.27, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.23382962544463, "   Bstar:  ", 3.7551082298210705`, 
   "   Xstar:  ", 0.09141946259745357, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7551082298210705`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336065907*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1641", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2338725832011344`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.759181130983336`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09108313425060466`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.759181130983336`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1641, "   tar:  ", 1.2725, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2338725832011344`, "   Bstar:  ", 3.759181130983336, 
   "   Xstar:  ", 0.09108313425060466, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.759181130983336^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073360779085`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1642", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2339132170822285`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7632518602086096`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09074858350797496`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7632518602086096`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1642, "   tar:  ", 1.275, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2339132170822285`, "   Bstar:  ", 3.7632518602086096`, 
   "   Xstar:  ", 0.09074858350797496, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7632518602086096`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336088909*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1643", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.233951555613925`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7673204183055398`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09041579844240193`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7673204183055398`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1643, "   tar:  ", 1.2775, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.233951555613925, "   Bstar:  ", 3.7673204183055398`, 
   "   Xstar:  ", 0.09041579844240193, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7673204183055398`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073360999107`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1644", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.233987626987762`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7713868061119187`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09008476722082055`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7713868061119187`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1644, "   tar:  ", 1.28, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.233987626987762, "   Bstar:  ", 3.7713868061119187`, 
   "   Xstar:  ", 0.09008476722082055, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7713868061119187`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073361089115`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1645", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2340214590649032`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7754510244942505`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0897554781034434`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7754510244942505`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1645, "   tar:  ", 1.2825, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2340214590649032`, "   Bstar:  ", 3.7754510244942505`, 
   "   Xstar:  ", 0.0897554781034434, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7754510244942505`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073361189127`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1646", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2225000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.234053079380206`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.779513074347285`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08942791944295177`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.779513074347285`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1646, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 
   1.2225000000000001`, "   R:  ", 3.234053079380206, "   Bstar:  ", 
   3.779513074347285, "   Xstar:  ", 0.08942791944295177, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.779513074347285^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073361299133`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1647", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2340825151462194`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.783572956593618`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08910207968368836`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.783572956593618`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1647, "   tar:  ", 1.2875, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2340825151462194`, "   Bstar:  ", 3.783572956593618, 
   "   Xstar:  ", 0.08910207968368836, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.783572956593618^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073361399145`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1648", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2341097932571468`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.787630672183227`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0887779473608635`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.787630672183227`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1648, "   tar:  ", 1.29, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2341097932571468`, "   Bstar:  ", 3.787630672183227, 
   "   Xstar:  ", 0.0887779473608635, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.787630672183227^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073361499157`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1649", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2341349402927393`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7916862220930834`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08845551109976224`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7916862220930834`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1649, "   tar:  ", 1.2925, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2341349402927393`, "   Bstar:  ", 3.7916862220930834`, 
   "   Xstar:  ", 0.08845551109976224, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7916862220930834`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073361619167`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1650", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2341579825221567`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7957396073267122`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08813475961496335`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7957396073267122`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1650, "   tar:  ", 1.295, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2341579825221567`, "   Bstar:  ", 3.7957396073267122`, 
   "   Xstar:  ", 0.08813475961496335, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7957396073267122`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336174918*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1651", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2341789459077726`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.799790828913782`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08781568170956346`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.799790828913782`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1651, "   tar:  ", 1.2975, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2341789459077726`, "   Bstar:  ", 3.799790828913782, 
   "   Xstar:  ", 0.08781568170956346, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.799790828913782^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073361899195`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1652", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2341978561089113`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.803839887909698`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0874982662744078`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.803839887909698`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1652, "   tar:  ", 1.3, "   tarstar:  ", 1.2225000000000001`, 
   "   R:  ", 3.2341978561089113`, "   Bstar:  ", 3.803839887909698, 
   "   Xstar:  ", 0.0874982662744078, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.803839887909698^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336202921*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1653", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228267505781955`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.570555312344371`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10850591710924716`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.570555312344371`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1653, "   tar:  ", 1.155, "   tarstar:  ", 1.225, "   R:  ", 
   3.228267505781955, "   Bstar:  ", 3.570555312344371, "   Xstar:  ", 
   0.10850591710924716`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.570555312344371^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073362139215`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1654", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228454194335798`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5747361799745105`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10807504821137132`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5747361799745105`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1654, "   tar:  ", 1.1575, "   tarstar:  ", 1.225, "   R:  ", 
   3.228454194335798, "   Bstar:  ", 3.5747361799745105`, "   Xstar:  ", 
   0.10807504821137132`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5747361799745105`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336225923*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1655", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2286368156966807`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.578914869185581`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10764661367443093`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.578914869185581`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1655, "   tar:  ", 1.16, "   tarstar:  ", 1.225, "   R:  ", 
   3.2286368156966807`, "   Bstar:  ", 3.578914869185581, "   Xstar:  ", 
   0.10764661367443093`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.578914869185581^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073362409244`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1656", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2288154191697838`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5830913788797094`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10722059627203734`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5830913788797094`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1656, "   tar:  ", 1.1625, "   tarstar:  ", 1.225, "   R:  ", 
   3.2288154191697838`, "   Bstar:  ", 3.5830913788797094`, "   Xstar:  ", 
   0.10722059627203734`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5830913788797094`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336253926*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1657", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228990053465579`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.587265708016716`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1067969789180704`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.587265708016716`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1657, "   tar:  ", 1.165, "   tarstar:  ", 1.225, "   R:  ", 
   3.228990053465579, "   Bstar:  ", 3.587265708016716, "   Xstar:  ", 
   0.1067969789180704, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.587265708016716^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073362669272`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1658", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2291607667073587`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5914378556132824`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10637574466547046`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5914378556132824`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1658, "   tar:  ", 1.1675, "   tarstar:  ", 1.225, "   R:  ", 
   3.2291607667073587`, "   Bstar:  ", 3.5914378556132824`, "   Xstar:  ", 
   0.10637574466547046`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5914378556132824`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073362879295`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1659", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2293276064386607`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.595607820742115`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1059568767050418`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.595607820742115`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1659, "   tar:  ", 1.17, "   tarstar:  ", 1.225, "   R:  ", 
   3.2293276064386607`, "   Bstar:  ", 3.595607820742115, "   Xstar:  ", 
   0.1059568767050418, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.595607820742115^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073363009305`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1660", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2294906196306044`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5997756025311314`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10554035836426398`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5997756025311314`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1660, "   tar:  ", 1.1725, "   tarstar:  ", 1.225, "   R:  ", 
   3.2294906196306044`, "   Bstar:  ", 3.5997756025311314`, "   Xstar:  ", 
   0.10554035836426398`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5997756025311314`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073363119316`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1661", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229649852689128`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.603941200162655`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10512617310611272`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.603941200162655`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1661, "   tar:  ", 1.175, "   tarstar:  ", 1.225, "   R:  ", 
   3.229649852689128, "   Bstar:  ", 3.603941200162655, "   Xstar:  ", 
   0.10512617310611272`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.603941200162655^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336326933*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1662", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229805351462132`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6081046128726437`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10471430452788823`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6081046128726437`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1662, "   tar:  ", 1.1775, "   tarstar:  ", 1.225, "   R:  ", 
   3.229805351462132, "   Bstar:  ", 3.6081046128726437`, "   Xstar:  ", 
   0.10471430452788823`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6081046128726437`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073363429346`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1663", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2299571612465154`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.612265839949869`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10430473636005833`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.612265839949869`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1663, "   tar:  ", 1.18, "   tarstar:  ", 1.225, "   R:  ", 
   3.2299571612465154`, "   Bstar:  ", 3.612265839949869, "   Xstar:  ", 
   0.10430473636005833`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.612265839949869^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073363589363`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1664", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230105326795139`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6164248807351815`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10389745246510415`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6164248807351815`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1664, "   tar:  ", 1.1825, "   tarstar:  ", 1.225, "   R:  ", 
   3.230105326795139, "   Bstar:  ", 3.6164248807351815`, "   Xstar:  ", 
   0.10389745246510415`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6164248807351815`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073363699374`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1665", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2302498923236875`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6205817346207128`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10349243683638136`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6205817346207128`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1665, "   tar:  ", 1.185, "   tarstar:  ", 1.225, "   R:  ", 
   3.2302498923236875`, "   Bstar:  ", 3.6205817346207128`, "   Xstar:  ", 
   0.10349243683638136`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6205817346207128`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336382939*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1666", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2303909015174352`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.624736401049187`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1030896735969813`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.624736401049187`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1666, "   tar:  ", 1.1875, "   tarstar:  ", 1.225, "   R:  ", 
   3.2303909015174352`, "   Bstar:  ", 3.624736401049187, "   Xstar:  ", 
   0.1030896735969813, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.624736401049187^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073363929396`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1667", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230528397537929`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.628888879513101`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10268914699861564`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.628888879513101`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1667, "   tar:  ", 1.19, "   tarstar:  ", 1.225, "   R:  ", 
   3.230528397537929, "   Bstar:  ", 3.628888879513101, "   Xstar:  ", 
   0.10268914699861564`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.628888879513101^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073364049406`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1668", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.230662423029597`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6330391695540705`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10229084142049394`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6330391695540705`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1668, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.225, 
   "   R:  ", 3.230662423029597, "   Bstar:  ", 3.6330391695540705`, 
   "   Xstar:  ", 0.10229084142049394`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6330391695540705`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336414942*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1669", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230793020126233`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6371872707620487`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1018947413682246`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6371872707620487`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1669, "   tar:  ", 1.195, "   tarstar:  ", 1.225, "   R:  ", 
   3.230793020126233, "   Bstar:  ", 3.6371872707620487`, "   Xstar:  ", 
   0.1018947413682246, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6371872707620487`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336425943*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1670", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2309202304574405`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.641333182774658`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1015008314727141`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.641333182774658`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1670, "   tar:  ", 1.1975, "   tarstar:  ", 1.225, "   R:  ", 
   3.2309202304574405`, "   Bstar:  ", 3.641333182774658, "   Xstar:  ", 
   0.1015008314727141, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.641333182774658^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336435944*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1671", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231044095154958`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6454769052764924`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10110909648907981`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6454769052764924`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1671, "   tar:  ", 1.2, "   tarstar:  ", 1.225, "   R:  ", 
   3.231044095154958, "   Bstar:  ", 3.6454769052764924`, "   Xstar:  ", 
   0.10110909648907981`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6454769052764924`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336445945*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1672", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.231164654858922`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6496184379983796`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10071952129557533`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6496184379983796`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1672, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.225, 
   "   R:  ", 3.231164654858922, "   Bstar:  ", 3.6496184379983796`, 
   "   Xstar:  ", 0.10071952129557533`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6496184379983796`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073364579463`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1673", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231281949724029`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.653757780716752`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10033209089251698`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.653757780716752`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1673, "   tar:  ", 1.205, "   tarstar:  ", 1.225, "   R:  ", 
   3.231281949724029, "   Bstar:  ", 3.653757780716752, "   Xstar:  ", 
   0.10033209089251698`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.653757780716752^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073364699473`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1674", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231396019425634`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.657894933252955`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0999467904012239`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.657894933252955`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1674, "   tar:  ", 1.2075, "   tarstar:  ", 1.225, "   R:  ", 
   3.231396019425634, "   Bstar:  ", 3.657894933252955, "   Xstar:  ", 
   0.0999467904012239, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.657894933252955^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336482949*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1675", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2315069031657604`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.662029895472583`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09956360506296731`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.662029895472583`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1675, "   tar:  ", 1.21, "   tarstar:  ", 1.225, "   R:  ", 
   3.2315069031657604`, "   Bstar:  ", 3.662029895472583, "   Xstar:  ", 
   0.09956360506296731, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.662029895472583^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733649695*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1676", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2316146396790346`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.666162667284844`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09918252023792513`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.666162667284844`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1676, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.225, 
   "   R:  ", 3.2316146396790346`, "   Bstar:  ", 3.666162667284844, 
   "   Xstar:  ", 0.09918252023792513, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.666162667284844^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073365069513`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1677", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2317192672385295`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.670293248641884`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09880352140415077`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.670293248641884`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1677, "   tar:  ", 1.215, "   tarstar:  ", 1.225, "   R:  ", 
   3.2317192672385295`, "   Bstar:  ", 3.670293248641884, "   Xstar:  ", 
   0.09880352140415077, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.670293248641884^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336517952*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1678", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231820823661559`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.674421639538152`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0984265941565473`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.674421639538152`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1678, "   tar:  ", 1.2175, "   tarstar:  ", 1.225, "   R:  ", 
   3.231820823661559, "   Bstar:  ", 3.674421639538152, "   Xstar:  ", 
   0.0984265941565473, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.674421639538152^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336531954*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1679", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231919346315363`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.67854784000984`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09805172420584407`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.67854784000984`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1679, "   tar:  ", 1.22, "   tarstar:  ", 1.225, "   R:  ", 
   3.231919346315363, "   Bstar:  ", 3.67854784000984, "   Xstar:  ", 
   0.09805172420584407, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.67854784000984^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073365459547`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1680", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2320148721227406`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6826718501341764`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09767889737759672`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6826718501341764`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1680, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.225, 
   "   R:  ", 3.2320148721227406`, "   Bstar:  ", 3.6826718501341764`, 
   "   Xstar:  ", 0.09767889737759672, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6826718501341764`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073365599566`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1681", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2321074375676098`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.686793670028866`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09730809961118252`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.686793670028866`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1681, "   tar:  ", 1.225, "   tarstar:  ", 1.225, "   R:  ", 
   3.2321074375676098`, "   Bstar:  ", 3.686793670028866, "   Xstar:  ", 
   0.09730809961118252, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.686793670028866^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336574958*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1682", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2321970787004712`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6909132998514673`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09693931695881058`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6909132998514673`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1682, "   tar:  ", 1.2275, "   tarstar:  ", 1.225, "   R:  ", 
   3.2321970787004712`, "   Bstar:  ", 3.6909132998514673`, "   Xstar:  ", 
   0.09693931695881058, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6909132998514673`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336589959*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1683", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2322838311438344`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6950307397988493`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09657253558453467`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6950307397988493`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1683, "   tar:  ", 1.23, "   tarstar:  ", 1.225, "   R:  ", 
   3.2322838311438344`, "   Bstar:  ", 3.6950307397988493`, "   Xstar:  ", 
   0.09657253558453467, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6950307397988493`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336605961*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1684", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2323677300975393`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6991459901065116`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09620774176328696`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6991459901065116`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1684, "   tar:  ", 1.2325, "   tarstar:  ", 1.225, "   R:  ", 
   3.2323677300975393`, "   Bstar:  ", 3.6991459901065116`, "   Xstar:  ", 
   0.09620774176328696, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6991459901065116`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073366219625`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1685", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2324488103440348`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7032590510481165`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09584492187990215`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7032590510481165`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1685, "   tar:  ", 1.235, "   tarstar:  ", 1.225, "   R:  ", 
   3.2324488103440348`, "   Bstar:  ", 3.7032590510481165`, "   Xstar:  ", 
   0.09584492187990215, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7032590510481165`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336636964*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1686", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2325271062535723`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7073699229348205`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09548406242816758`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7073699229348205`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1686, "   tar:  ", 1.2375, "   tarstar:  ", 1.225, "   R:  ", 
   3.2325271062535723`, "   Bstar:  ", 3.7073699229348205`, "   Xstar:  ", 
   0.09548406242816758, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7073699229348205`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073366519656`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1687", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2326026517893336`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.711478606114802`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09512515000986663`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.711478606114802`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1687, "   tar:  ", 1.24, "   tarstar:  ", 1.225, "   R:  ", 
   3.2326026517893336`, "   Bstar:  ", 3.711478606114802, "   Xstar:  ", 
   0.09512515000986663, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.711478606114802^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073366669674`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1688", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232675480512497`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.71558510097262`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09476817133384394`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.71558510097262`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1688, "   tar:  ", 1.2425, "   tarstar:  ", 1.225, "   R:  ", 
   3.232675480512497, "   Bstar:  ", 3.71558510097262, "   Xstar:  ", 
   0.09476817133384394, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.71558510097262^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073366839685`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1689", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232745625587234`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7196894079287732`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09441311321506295`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7196894079287732`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1689, "   tar:  ", 1.245, "   tarstar:  ", 1.225, "   R:  ", 
   3.232745625587234, "   Bstar:  ", 3.7196894079287732`, "   Xstar:  ", 
   0.09441311321506295, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7196894079287732`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073366939697`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1690", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.23281311978564`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.723791527439029`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09405996257369234`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.723791527439029`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1690, "   tar:  ", 1.2475, "   tarstar:  ", 1.225, "   R:  ", 
   3.23281311978564, "   Bstar:  ", 3.723791527439029, "   Xstar:  ", 
   0.09405996257369234, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.723791527439029^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336703971*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1691", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232877995492601`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7278914599940194`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09370870643417704`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7278914599940194`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1691, "   tar:  ", 1.25, "   tarstar:  ", 1.225, "   R:  ", 
   3.232877995492601, "   Bstar:  ", 3.7278914599940194`, "   Xstar:  ", 
   0.09370870643417704, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7278914599940194`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336713972*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1692", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232940284710596`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7319892061186417`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0933593319243358`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7319892061186417`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1692, "   tar:  ", 1.2525, "   tarstar:  ", 1.225, "   R:  ", 
   3.232940284710596, "   Bstar:  ", 3.7319892061186417`, "   Xstar:  ", 
   0.0933593319243358, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7319892061186417`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073367249727`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1693", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2330000190644412`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.736084766371563`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0930118262744575`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.736084766371563`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1693, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.225, 
   "   R:  ", 3.2330000190644412`, "   Bstar:  ", 3.736084766371563, 
   "   Xstar:  ", 0.0930118262744575, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.736084766371563^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073367399745`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1694", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2330572298059645`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.740178141344705`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0926661768164079`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.740178141344705`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1694, "   tar:  ", 1.2575, "   tarstar:  ", 1.225, "   R:  ", 
   3.2330572298059645`, "   Bstar:  ", 3.740178141344705, "   Xstar:  ", 
   0.0926661768164079, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.740178141344705^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073367479753`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1695", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2331119478186214`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7442693316627524`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09232237098274322`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7442693316627524`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1695, "   tar:  ", 1.26, "   tarstar:  ", 1.225, "   R:  ", 
   3.2331119478186214`, "   Bstar:  ", 3.7442693316627524`, "   Xstar:  ", 
   0.09232237098274322, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7442693316627524`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073367559757`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1696", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.233164203622061`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.748358337982646`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09198039630583243`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.748358337982646`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1696, "   tar:  ", 1.2625, "   tarstar:  ", 1.225, "   R:  ", 
   3.233164203622061, "   Bstar:  ", 3.748358337982646, "   Xstar:  ", 
   0.09198039630583243, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.748358337982646^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073367649765`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1697", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2332140273766132`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.752445160993088`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0916402404169877`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.752445160993088`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1697, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.225, 
   "   R:  ", 3.2332140273766132`, "   Bstar:  ", 3.752445160993088, 
   "   Xstar:  ", 0.0916402404169877, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.752445160993088^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073367719774`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1698", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.233261448887738`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7565298014140733`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09130189104560031`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7565298014140733`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1698, "   tar:  ", 1.2675, "   tarstar:  ", 1.225, "   R:  ", 
   3.233261448887738, "   Bstar:  ", 3.7565298014140733`, "   Xstar:  ", 
   0.09130189104560031, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7565298014140733`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073367789783`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1699", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.233306497610398`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.760612259996411`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09096533601828559`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.760612259996411`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1699, "   tar:  ", 1.27, "   tarstar:  ", 1.225, "   R:  ", 
   3.233306497610398, "   Bstar:  ", 3.760612259996411, "   Xstar:  ", 
   0.09096533601828559, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.760612259996411^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336786979*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1700", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2333492026533883`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.764692537521251`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09063056325803563`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.764692537521251`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1700, "   tar:  ", 1.2725, "   tarstar:  ", 1.225, "   R:  ", 
   3.2333492026533883`, "   Bstar:  ", 3.764692537521251, "   Xstar:  ", 
   0.09063056325803563, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.764692537521251^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733679498*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1701", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2333895927836`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.768770634799607`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09029756078338046`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.768770634799607`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1701, "   tar:  ", 1.275, "   tarstar:  ", 1.225, "   R:  ", 
   3.2333895927836, "   Bstar:  ", 3.768770634799607, "   Xstar:  ", 
   0.09029756078338046, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.768770634799607^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336802981*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1702", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2334276964302395`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.772846552671914`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08996631670755369`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.772846552671914`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1702, "   tar:  ", 1.2775, "   tarstar:  ", 1.225, "   R:  ", 
   3.2334276964302395`, "   Bstar:  ", 3.772846552671914, "   Xstar:  ", 
   0.08996631670755369, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.772846552671914^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336813982*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1703", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.233463541688977`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.776920292007601`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08963681923766562`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.776920292007601`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1703, "   tar:  ", 1.28, "   tarstar:  ", 1.225, "   R:  ", 
   3.233463541688977, "   Bstar:  ", 3.776920292007601, "   Xstar:  ", 
   0.08963681923766562, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.776920292007601^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073368249826`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1704", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2334971563260617`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.780991853704582`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08930905667389018`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.780991853704582`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1704, "   tar:  ", 1.2825, "   tarstar:  ", 1.225, "   R:  ", 
   3.2334971563260617`, "   Bstar:  ", 3.780991853704582, "   Xstar:  ", 
   0.08930905667389018, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.780991853704582^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073368369837`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1705", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.23352856778236`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7850612386888804`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08898301740864907`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7850612386888804`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1705, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.225, 
   "   R:  ", 3.23352856778236, "   Bstar:  ", 3.7850612386888804`, 
   "   Xstar:  ", 0.08898301740864907, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7850612386888804`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336849985*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1706", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.233557803177362`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.789128447914162`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08865868992581116`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.789128447914162`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1706, "   tar:  ", 1.2875, "   tarstar:  ", 1.225, "   R:  ", 
   3.233557803177362, "   Bstar:  ", 3.789128447914162, "   Xstar:  ", 
   0.08865868992581116, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.789128447914162^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073368619866`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1707", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2335848893131223`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7931934823613247`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08833606279989435`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7931934823613247`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1707, "   tar:  ", 1.29, "   tarstar:  ", 1.225, "   R:  ", 
   3.2335848893131223`, "   Bstar:  ", 3.7931934823613247`, "   Xstar:  ", 
   0.08833606279989435, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7931934823613247`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336876988*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1708", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.233609852678158`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.797256343038051`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08801512469527839`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.797256343038051`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1708, "   tar:  ", 1.2925, "   tarstar:  ", 1.225, "   R:  ", 
   3.233609852678158, "   Bstar:  ", 3.797256343038051, "   Xstar:  ", 
   0.08801512469527839, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.797256343038051^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073368929896`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1709", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2336327194512893`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.801317030978434`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08769586436541973`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.801317030978434`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1709, "   tar:  ", 1.295, "   tarstar:  ", 1.225, "   R:  ", 
   3.2336327194512893`, "   Bstar:  ", 3.801317030978434, "   Xstar:  ", 
   0.08769586436541973, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.801317030978434^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336906991*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1710", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.233653515505439`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8053755472425257`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08737827065207895`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8053755472425257`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1710, "   tar:  ", 1.2975, "   tarstar:  ", 1.225, "   R:  ", 
   3.233653515505439, "   Bstar:  ", 3.8053755472425257`, "   Xstar:  ", 
   0.08737827065207895, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8053755472425257`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073369219923`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1711", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.225`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2336722664113715`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8094318929159483`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08706233248455156`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8094318929159483`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1711, "   tar:  ", 1.3, "   tarstar:  ", 1.225, "   R:  ", 
   3.2336722664113715`, "   Bstar:  ", 3.8094318929159483`, "   Xstar:  ", 
   0.08706233248455156, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8094318929159483`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336935994*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1712", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2277703919275083`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.575709061262958`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10797510340529376`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.575709061262958`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1712, "   tar:  ", 1.155, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2277703919275083`, "   Bstar:  ", 3.575709061262958, "   Xstar:  ", 
   0.10797510340529376`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.575709061262958^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073369499955`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1713", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2279562973899982`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.579897718421786`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10754616308505982`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.579897718421786`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1713, "   tar:  ", 1.1575, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2279562973899982`, "   Bstar:  ", 3.579897718421786, "   Xstar:  ", 
   0.10754616308505982`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.579897718421786^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607336964997*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1714", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2281381501936868`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5840841871889664`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1071196477490957`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5840841871889664`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1714, "   tar:  ", 1.16, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2281381501936868`, "   Bstar:  ", 3.5840841871889664`, "   Xstar:  ", 
   0.1071196477490957, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5840841871889664`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073369819984`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1715", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2283159994933683`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5882684665080213`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10669554022152017`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5882684665080213`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1715, "   tar:  ", 1.1625, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2283159994933683`, "   Bstar:  ", 3.5882684665080213`, "   Xstar:  ", 
   0.10669554022152017`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5882684665080213`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073369960003`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1716", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228489893850528`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5924505553799038`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1062738234665096`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5924505553799038`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1716, "   tar:  ", 1.165, "   tarstar:  ", 1.2275, "   R:  ", 
   3.228489893850528, "   Bstar:  ", 3.5924505553799038`, "   Xstar:  ", 
   0.1062738234665096, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5924505553799038`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337010001*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1717", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228659881240868`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5966304528621973`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10585448058708558`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5966304528621973`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1717, "   tar:  ", 1.1675, "   tarstar:  ", 1.2275, "   R:  ", 
   3.228659881240868, "   Bstar:  ", 3.5966304528621973`, "   Xstar:  ", 
   0.10585448058708558`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5966304528621973`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073370220027`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1718", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228826009061726`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.600808158068255`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10543749482392041`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.600808158068255`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1718, "   tar:  ", 1.17, "   tarstar:  ", 1.2275, "   R:  ", 
   3.228826009061726, "   Bstar:  ", 3.600808158068255, "   Xstar:  ", 
   0.10543749482392041`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.600808158068255^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337033004*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1719", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228988324139392`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6049836701664315`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10502284955414237`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6049836701664315`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1719, "   tar:  ", 1.1725, "   tarstar:  ", 1.2275, "   R:  ", 
   3.228988324139392, "   Bstar:  ", 3.6049836701664315`, "   Xstar:  ", 
   0.10502284955414237`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6049836701664315`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337044005*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1720", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229146872736336`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6091569883792407`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10461052829015993`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6091569883792407`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1720, "   tar:  ", 1.175, "   tarstar:  ", 1.2275, "   R:  ", 
   3.229146872736336, "   Bstar:  ", 3.6091569883792407`, "   Xstar:  ", 
   0.10461052829015993`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6091569883792407`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337056006*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1721", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2293017005583446`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.613328111982604`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10420051467848727`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.613328111982604`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1721, "   tar:  ", 1.1775, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2293017005583446`, "   Bstar:  ", 3.613328111982604, "   Xstar:  ", 
   0.10420051467848727`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.613328111982604^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337069007*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1722", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2294528527615505`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.617497040305014`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10379279249858843`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.617497040305014`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1722, "   tar:  ", 1.18, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2294528527615505`, "   Bstar:  ", 3.617497040305014, "   Xstar:  ", 
   0.10379279249858843`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.617497040305014^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073370820084`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1723", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2296003739593737`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6216637727268335`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10338734566171852`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6216637727268335`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1723, "   tar:  ", 1.1825, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2296003739593737`, "   Bstar:  ", 3.6216637727268335`, "   Xstar:  ", 
   0.10338734566171852`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6216637727268335`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733709801*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1724", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229744308229376`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.625828308679468`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10298415820978768`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.625828308679468`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1724, "   tar:  ", 1.185, "   tarstar:  ", 1.2275, "   R:  ", 
   3.229744308229376, "   Bstar:  ", 3.625828308679468, "   Xstar:  ", 
   0.10298415820978768`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.625828308679468^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073371070113`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1725", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2298846991200243`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6299906476446777`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10258321431422196`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6299906476446777`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1725, "   tar:  ", 1.1875, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2298846991200243`, "   Bstar:  ", 3.6299906476446777`, "   Xstar:  ", 
   0.10258321431422196`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6299906476446777`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073371200123`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1726", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2300215896573583`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.63415078915379`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10218449827484326`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.63415078915379`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1726, "   tar:  ", 1.19, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2300215896573583`, "   Bstar:  ", 3.63415078915379, "   Xstar:  ", 
   0.10218449827484326`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.63415078915379^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337134014*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1727", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2301550223515814`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.638308732787002`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10178799451875215`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.638308732787002`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1727, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.2275, 
   "   R:  ", 3.2301550223515814`, "   Bstar:  ", 3.638308732787002, 
   "   Xstar:  ", 0.10178799451875215`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.638308732787002^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073371510153`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1728", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2302850392035523`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.642464478172659`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10139368759922142`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.642464478172659`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1728, "   tar:  ", 1.195, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2302850392035523`, "   Bstar:  ", 3.642464478172659, "   Xstar:  ", 
   0.10139368759922142`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.642464478172659^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337167017*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1729", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2304116817111943`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6466180249865334`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10100156219460071`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6466180249865334`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1729, "   tar:  ", 1.1975, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2304116817111943`, "   Bstar:  ", 3.6466180249865334`, "   Xstar:  ", 
   0.10100156219460071`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6466180249865334`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073371810184`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1730", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230534990875833`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6507693729511335`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10061160310722772`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6507693729511335`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1730, "   tar:  ", 1.2, "   tarstar:  ", 1.2275, "   R:  ", 
   3.230534990875833, "   Bstar:  ", 3.6507693729511335`, "   Xstar:  ", 
   0.10061160310722772`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6507693729511335`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733719702*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1731", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2306550072084304`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.654918521835024`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10022379526234994`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.654918521835024`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1731, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.2275, 
   "   R:  ", 3.2306550072084304`, "   Bstar:  ", 3.654918521835024, 
   "   Xstar:  ", 0.10022379526234994`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.654918521835024^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073372140217`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1732", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230771770735756`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6590654714521316`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09983812370705351`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6590654714521316`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1732, "   tar:  ", 1.205, "   tarstar:  ", 1.2275, "   R:  ", 
   3.230771770735756, "   Bstar:  ", 3.6590654714521316`, "   Xstar:  ", 
   0.09983812370705351, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6590654714521316`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073372300234`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1733", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230885321006452`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6632102216610765`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09945457360920405`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6632102216610765`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1733, "   tar:  ", 1.2075, "   tarstar:  ", 1.2275, "   R:  ", 
   3.230885321006452, "   Bstar:  ", 3.6632102216610765`, "   Xstar:  ", 
   0.09945457360920405, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6632102216610765`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337246025*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1734", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2309956970970566`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.667352772364522`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09907313025639301`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.667352772364522`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1734, "   tar:  ", 1.21, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2309956970970566`, "   Bstar:  ", 3.667352772364522, "   Xstar:  ", 
   0.09907313025639301, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.667352772364522^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337258026*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1735", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.231102937617905`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.671493123508513`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09869377905489529`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.671493123508513`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1735, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.2275, 
   "   R:  ", 3.231102937617905, "   Bstar:  ", 3.671493123508513, 
   "   Xstar:  ", 0.09869377905489529, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.671493123508513^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073372730274`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1736", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231207080718988`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6756312750818476`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09831650552863322`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6756312750818476`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1736, "   tar:  ", 1.215, "   tarstar:  ", 1.2275, "   R:  ", 
   3.231207080718988, "   Bstar:  ", 3.6756312750818476`, "   Xstar:  ", 
   0.09831650552863322, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6756312750818476`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337289029*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1737", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2313081640957066`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.67976722711542`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09794129531815299`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.67976722711542`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1737, "   tar:  ", 1.2175, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2313081640957066`, "   Bstar:  ", 3.67976722711542, "   Xstar:  ", 
   0.09794129531815299, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.67976722711542^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337303031*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1738", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2314062249945747`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6839009796816233`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09756813417960478`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6839009796816233`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1738, "   tar:  ", 1.22, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2314062249945747`, "   Bstar:  ", 3.6839009796816233`, "   Xstar:  ", 
   0.09756813417960478, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6839009796816233`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337317032*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1739", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.231501300218831`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6880325328937005`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09719700798373736`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6880325328937005`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1739, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.2275, 
   "   R:  ", 3.231501300218831, "   Bstar:  ", 3.6880325328937005`, 
   "   Xstar:  ", 0.09719700798373736, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6880325328937005`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073373300333`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1740", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231593426133979`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.692161886905168`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09682790271489494`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.692161886905168`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1740, "   tar:  ", 1.225, "   tarstar:  ", 1.2275, "   R:  ", 
   3.231593426133979, "   Bstar:  ", 3.692161886905168, "   Xstar:  ", 
   0.09682790271489494, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.692161886905168^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073373400345`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1741", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2316826386732584`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6962890419091927`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09646080447002797`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6962890419091927`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1741, "   tar:  ", 1.2275, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2316826386732584`, "   Bstar:  ", 3.6962890419091927`, "   Xstar:  ", 
   0.09646080447002797, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6962890419091927`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337353036*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1742", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2317689733430472`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.700413998138014`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09609569945770889`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.700413998138014`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1742, "   tar:  ", 1.23, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2317689733430472`, "   Bstar:  ", 3.700413998138014, "   Xstar:  ", 
   0.09609569945770889, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.700413998138014^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073373670373`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1743", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231852465228184`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7045367558623474`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09573257399715882`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7045367558623474`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1743, "   tar:  ", 1.2325, "   tarstar:  ", 1.2275, "   R:  ", 
   3.231852465228184, "   Bstar:  ", 3.7045367558623474`, "   Xstar:  ", 
   0.09573257399715882, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7045367558623474`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337377038*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1744", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2319331489972267`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7086573153908318`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09537141451727901`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7086573153908318`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1744, "   tar:  ", 1.235, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2319331489972267`, "   Bstar:  ", 3.7086573153908318`, "   Xstar:  ", 
   0.09537141451727901, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7086573153908318`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337388039*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1745", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2320110589076427`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.712775677069421`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09501220755569677`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.712775677069421`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1745, "   tar:  ", 1.2375, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2320110589076427`, "   Bstar:  ", 3.712775677069421, "   Xstar:  ", 
   0.09501220755569677, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.712775677069421^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733740104*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1746", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2320862288109313`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7168918412808774`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0946549397578112`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7168918412808774`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1746, "   tar:  ", 1.24, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2320862288109313`, "   Bstar:  ", 3.7168918412808774`, "   Xstar:  ", 
   0.0946549397578112, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7168918412808774`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337415042*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1747", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2321586921576633`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.721005808444165`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09429959787585623`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.721005808444165`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1747, "   tar:  ", 1.2425, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2321586921576633`, "   Bstar:  ", 3.721005808444165, "   Xstar:  ", 
   0.09429959787585623, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.721005808444165^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337426043*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1748", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232228482002492`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7251175790139475`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09394616876796402`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7251175790139475`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1748, "   tar:  ", 1.245, "   tarstar:  ", 1.2275, "   R:  ", 
   3.232228482002492, "   Bstar:  ", 3.7251175790139475`, "   Xstar:  ", 
   0.09394616876796402, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7251175790139475`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337437044*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1749", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2322956310090523`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7292271534800427`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09359463939724007`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7292271534800427`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1749, "   tar:  ", 1.2475, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2322956310090523`, "   Bstar:  ", 3.7292271534800427`, "   Xstar:  ", 
   0.09359463939724007, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7292271534800427`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073374520454`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1750", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232360171454829`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7333345323668525`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09324499683085011`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7333345323668525`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1750, "   tar:  ", 1.25, "   tarstar:  ", 1.2275, "   R:  ", 
   3.232360171454829, "   Bstar:  ", 3.7333345323668525`, "   Xstar:  ", 
   0.09324499683085011, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7333345323668525`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073374640465`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1751", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232422135235952`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7374397162328985`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09289722823910522`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7374397162328985`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1751, "   tar:  ", 1.2525, "   tarstar:  ", 1.2275, "   R:  ", 
   3.232422135235952, "   Bstar:  ", 3.7374397162328985`, "   Xstar:  ", 
   0.09289722823910522, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7374397162328985`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337476048*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1752", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2324815538719234`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7415427056702613`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0925513208945651`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7415427056702613`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1752, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.2275, 
   "   R:  ", 3.2324815538719234`, "   Bstar:  ", 3.7415427056702613`, 
   "   Xstar:  ", 0.0925513208945651, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7415427056702613`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073374900494`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1753", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2325384585102843`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.745643501304098`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09220726217114249`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.745643501304098`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1753, "   tar:  ", 1.2575, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2325384585102843`, "   Bstar:  ", 3.745643501304098, "   Xstar:  ", 
   0.09220726217114249, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.745643501304098^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337503051*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1754", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232592879931229`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.749742103792136`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09186503954321758`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.749742103792136`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1754, "   tar:  ", 1.26, "   tarstar:  ", 1.2275, "   R:  ", 
   3.232592879931229, "   Bstar:  ", 3.749742103792136, "   Xstar:  ", 
   0.09186503954321758, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.749742103792136^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073375170517`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1755", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232644848552154`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.753838513824163`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09152464058476212`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.753838513824163`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1755, "   tar:  ", 1.2625, "   tarstar:  ", 1.2275, "   R:  ", 
   3.232644848552154, "   Bstar:  ", 3.753838513824163, "   Xstar:  ", 
   0.09152464058476212, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.753838513824163^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337534054*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1756", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.232694394432139`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7579327321215583`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09118605296846749`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7579327321215583`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1756, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.2275, 
   "   R:  ", 3.232694394432139, "   Bstar:  ", 3.7579327321215583`, 
   "   Xstar:  ", 0.09118605296846749, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7579327321215583`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073375470552`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1757", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2327415472763787`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7620247594367933`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09084926446488423`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7620247594367933`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1757, "   tar:  ", 1.2675, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2327415472763787`, "   Bstar:  ", 3.7620247594367933`, "   Xstar:  ", 
   0.09084926446488423, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7620247594367933`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073375590563`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1758", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232786336440568`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7661145965529594`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09051426294156655`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7661145965529594`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1758, "   tar:  ", 1.27, "   tarstar:  ", 1.2275, "   R:  ", 
   3.232786336440568, "   Bstar:  ", 3.7661145965529594`, "   Xstar:  ", 
   0.09051426294156655, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7661145965529594`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073375730577`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1759", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2328287909351934`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7702022442833365`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0901810363622227`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7702022442833365`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1759, "   tar:  ", 1.2725, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2328287909351934`, "   Bstar:  ", 3.7702022442833365`, "   Xstar:  ", 
   0.0901810363622227, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7702022442833365`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073375880594`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1760", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2328689394298182`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7742877034708515`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08984957278588127`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7742877034708515`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1760, "   tar:  ", 1.275, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2328689394298182`, "   Bstar:  ", 3.7742877034708515`, "   Xstar:  ", 
   0.08984957278588127, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7742877034708515`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073376000605`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1761", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232906810257266`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7783709749877095`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08951986036605251`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7783709749877095`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1761, "   tar:  ", 1.2775, "   tarstar:  ", 1.2275, "   R:  ", 
   3.232906810257266, "   Bstar:  ", 3.7783709749877095`, "   Xstar:  ", 
   0.08951986036605251, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7783709749877095`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073376120615`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1762", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2329424314177784`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.782452059734876`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08919188734990845`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.782452059734876`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1762, "   tar:  ", 1.28, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2329424314177784`, "   Bstar:  ", 3.782452059734876, "   Xstar:  ", 
   0.08919188734990845, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.782452059734876^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337625063*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1763", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2329758305831113`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.786530958641685`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08886564207746141`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.786530958641685`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1763, "   tar:  ", 1.2825, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2329758305831113`, "   Bstar:  ", 3.786530958641685, "   Xstar:  ", 
   0.08886564207746141, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.786530958641685^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073376400642`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1764", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2330070351005733`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.790607672665358`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08854111298075755`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.790607672665358`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1764, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.2275, 
   "   R:  ", 3.2330070351005733`, "   Bstar:  ", 3.790607672665358, 
   "   Xstar:  ", 0.08854111298075755, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.790607672665358^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337651066*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1765", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2330360719970153`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7946822027905984`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08821828858307143`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7946822027905984`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1765, "   tar:  ", 1.2875, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2330360719970153`, "   Bstar:  ", 3.7946822027905984`, "   Xstar:  ", 
   0.08821828858307143, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7946822027905984`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337663067*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1766", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.233062967982766`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.79875455002916`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08789715749811092`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.79875455002916`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1766, "   tar:  ", 1.29, "   tarstar:  ", 1.2275, "   R:  ", 
   3.233062967982766, "   Bstar:  ", 3.79875455002916, "   Xstar:  ", 
   0.08789715749811092, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.79875455002916^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337675068*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1767", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.233087749455522`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8028247154194252`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08757770842922832`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8028247154194252`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1767, "   tar:  ", 1.2925, "   tarstar:  ", 1.2275, "   R:  ", 
   3.233087749455522, "   Bstar:  ", 3.8028247154194252`, "   Xstar:  ", 
   0.08757770842922832, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8028247154194252`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073376890693`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1768", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.233110442504182`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8068927000259807`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08725993016863977`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8068927000259807`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1768, "   tar:  ", 1.295, "   tarstar:  ", 1.2275, "   R:  ", 
   3.233110442504182, "   Bstar:  ", 3.8068927000259807`, "   Xstar:  ", 
   0.08725993016863977, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8068927000259807`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073377030706`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1769", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.233131072912631`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8109585049392223`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08694381159664942`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8109585049392223`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1769, "   tar:  ", 1.2975, "   tarstar:  ", 1.2275, "   R:  ", 
   3.233131072912631, "   Bstar:  ", 3.8109585049392223`, "   Xstar:  ", 
   0.08694381159664942, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8109585049392223`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337716072*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1770", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2331496661634813`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8150221312749544`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08662934168088156`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8150221312749544`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1770, "   tar:  ", 1.3, "   tarstar:  ", 1.2275, "   R:  ", 
   3.2331496661634813`, "   Bstar:  ", 3.8150221312749544`, "   Xstar:  ", 
   0.08662934168088156, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8150221312749544`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337727073*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1771", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227276063024632`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.580861413126549`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10744778790564424`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.580861413126549`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1771, "   tar:  ", 1.155, "   tarstar:  ", 1.23, "   R:  ", 
   3.227276063024632, "   Bstar:  ", 3.580861413126549, "   Xstar:  ", 
   0.10744778790564424`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.580861413126549^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073377410746`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1772", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227461190329166`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5850578530324952`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10702076505863244`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5850578530324952`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1772, "   tar:  ", 1.1575, "   tarstar:  ", 1.23, "   R:  ", 
   3.227461190329166, "   Bstar:  ", 3.5850578530324952`, "   Xstar:  ", 
   0.10702076505863244`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5850578530324952`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337755076*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1773", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2276422794367905`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5892520945893325`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10659615785967275`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5892520945893325`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1773, "   tar:  ", 1.16, "   tarstar:  ", 1.23, "   R:  ", 
   3.2276422794367905`, "   Bstar:  ", 3.5892520945893325`, "   Xstar:  ", 
   0.10659615785967275`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5892520945893325`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337766077*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1774", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2278193793524568`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5934441367818857`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1061739491833258`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5934441367818857`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1774, "   tar:  ", 1.1625, "   tarstar:  ", 1.23, "   R:  ", 
   3.2278193793524568`, "   Bstar:  ", 3.5934441367818857`, "   Xstar:  ", 
   0.1061739491833258, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5934441367818857`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337778078*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1775", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227992538489214`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5976339786522162`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10575412204398987`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5976339786522162`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1775, "   tar:  ", 1.165, "   tarstar:  ", 1.23, "   R:  ", 
   3.227992538489214, "   Bstar:  ", 3.5976339786522162`, "   Xstar:  ", 
   0.10575412204398987`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5976339786522162`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337790079*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1776", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228161804675721`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6018216192987573`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10533665959469474`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6018216192987573`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1776, "   tar:  ", 1.1675, "   tarstar:  ", 1.23, "   R:  ", 
   3.228161804675721, "   Bstar:  ", 3.6018216192987573`, "   Xstar:  ", 
   0.10533665959469474`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6018216192987573`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073378010807`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1777", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2283272251636497`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.606007057875492`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1049215451259015`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.606007057875492`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1777, "   tar:  ", 1.17, "   tarstar:  ", 1.23, "   R:  ", 
   3.2283272251636497`, "   Bstar:  ", 3.606007057875492, "   Xstar:  ", 
   0.1049215451259015, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.606007057875492^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337816082*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1778", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228488846635001`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6101902935911596`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10450876206431038`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6101902935911596`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1778, "   tar:  ", 1.1725, "   tarstar:  ", 1.23, "   R:  ", 
   3.228488846635001, "   Bstar:  ", 3.6101902935911596`, "   Xstar:  ", 
   0.10450876206431038`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6101902935911596`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073378330836`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1779", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228646715209325`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.614371325708424`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1040982939716828`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.614371325708424`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1779, "   tar:  ", 1.175, "   tarstar:  ", 1.23, "   R:  ", 
   3.228646715209325, "   Bstar:  ", 3.614371325708424, "   Xstar:  ", 
   0.1040982939716828, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.614371325708424^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337845085*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1780", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2288008764508227`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6185501535431124`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10369012454366713`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6185501535431124`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1780, "   tar:  ", 1.1775, "   tarstar:  ", 1.23, "   R:  ", 
   3.2288008764508227`, "   Bstar:  ", 3.6185501535431124`, "   Xstar:  ", 
   0.10369012454366713`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6185501535431124`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073378590865`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1781", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228951375375393`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6227267764634377`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10328423760863632`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6227267764634377`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1781, "   tar:  ", 1.18, "   tarstar:  ", 1.23, "   R:  ", 
   3.228951375375393, "   Bstar:  ", 3.6227267764634377`, "   Xstar:  ", 
   0.10328423760863632`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6227267764634377`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337877088*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1782", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229098256457545`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6269011938891866`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10288061712653962`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6269011938891866`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1782, "   tar:  ", 1.1825, "   tarstar:  ", 1.23, "   R:  ", 
   3.229098256457545, "   Bstar:  ", 3.6269011938891866`, "   Xstar:  ", 
   0.10288061712653962`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6269011938891866`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733789509*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1783", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2292415636372556`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.631073405291023`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10247924718775325`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.631073405291023`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1783, "   tar:  ", 1.185, "   tarstar:  ", 1.23, "   R:  ", 
   3.2292415636372556`, "   Bstar:  ", 3.631073405291023, "   Xstar:  ", 
   0.10247924718775325`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.631073405291023^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073379120913`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1784", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2293813403267055`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.63524341018969`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10208011201195102`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.63524341018969`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1784, "   tar:  ", 1.1875, "   tarstar:  ", 1.23, "   R:  ", 
   3.2293813403267055`, "   Bstar:  ", 3.63524341018969, "   Xstar:  ", 
   0.10208011201195102`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.63524341018969^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337935094*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1785", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2295176294169536`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.639411208155304`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10168319594697665`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.639411208155304`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1785, "   tar:  ", 1.19, "   tarstar:  ", 1.23, "   R:  ", 
   3.2295176294169536`, "   Bstar:  ", 3.639411208155304, "   Xstar:  ", 
   0.10168319594697665`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.639411208155304^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073379580965`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1786", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.23`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2296504732845026`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6435767988066132`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10128848346772965`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6435767988066132`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1786, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.23, 
   "   R:  ", 3.2296504732845026`, "   Bstar:  ", 3.6435767988066132`, 
   "   Xstar:  ", 0.10128848346772965`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6435767988066132`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607337984099*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1787", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2297799137977865`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.647740181810293`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10089595917505766`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.647740181810293`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1787, "   tar:  ", 1.195, "   tarstar:  ", 1.23, "   R:  ", 
   3.2297799137977865`, "   Bstar:  ", 3.647740181810293, "   Xstar:  ", 
   0.10089595917505766`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.647740181810293^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607338004101*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1788", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229905992323579`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6519013568802268`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10050560779466017`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6519013568802268`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1788, "   tar:  ", 1.1975, "   tarstar:  ", 1.23, "   R:  ", 
   3.229905992323579, "   Bstar:  ", 3.6519013568802268`, "   Xstar:  ", 
   0.10050560779466017`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6519013568802268`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073380241027`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1789", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230028749733302`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6560603237768188`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10011741417599948`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6560603237768188`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1789, "   tar:  ", 1.2, "   tarstar:  ", 1.23, "   R:  ", 
   3.230028749733302, "   Bstar:  ", 3.6560603237768188`, "   Xstar:  ", 
   0.10011741417599948`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6560603237768188`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073380421047`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1790", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.23`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2301482264092565`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.660217082306287`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09973136329122294`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.660217082306287`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1790, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.23, 
   "   R:  ", 3.2301482264092565`, "   Bstar:  ", 3.660217082306287, 
   "   Xstar:  ", 0.09973136329122294, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.660217082306287^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073380591063`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1791", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2302644622507923`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.66437163232003`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09934744023409059`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.66437163232003`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1791, "   tar:  ", 1.205, "   tarstar:  ", 1.23, "   R:  ", 
   3.2302644622507923`, "   Bstar:  ", 3.66437163232003, "   Xstar:  ", 
   0.09934744023409059, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.66437163232003^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607338076108*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1792", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2303774966803545`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6685239737138966`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09896563021891537`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6685239737138966`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1792, "   tar:  ", 1.2075, "   tarstar:  ", 1.23, "   R:  ", 
   3.2303774966803545`, "   Bstar:  ", 3.6685239737138966`, "   Xstar:  ", 
   0.09896563021891537, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6685239737138966`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073380941095`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1793", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230487368649494`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6726741064275714`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09858591857951125`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6726741064275714`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1793, "   tar:  ", 1.21, "   tarstar:  ", 1.23, "   R:  ", 
   3.230487368649494, "   Bstar:  ", 3.6726741064275714`, "   Xstar:  ", 
   0.09858591857951125, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6726741064275714`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607338110111*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1794", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.23`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.230594116644765`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6768220304439074`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09820829076814835`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6768220304439074`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1794, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.23, 
   "   R:  ", 3.230594116644765, "   Bstar:  ", 3.6768220304439074`, 
   "   Xstar:  ", 0.09820829076814835, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6768220304439074`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073381251125`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1795", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230697778693566`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.680967745788304`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09783273235451785`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.680967745788304`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1795, "   tar:  ", 1.215, "   tarstar:  ", 1.23, "   R:  ", 
   3.230697778693566, "   Bstar:  ", 3.680967745788304, "   Xstar:  ", 
   0.09783273235451785, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.680967745788304^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607338141114*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1796", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230798392369893`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6851112525280407`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09745922902470834`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6851112525280407`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1796, "   tar:  ", 1.2175, "   tarstar:  ", 1.23, "   R:  ", 
   3.230798392369893, "   Bstar:  ", 3.6851112525280407`, "   Xstar:  ", 
   0.09745922902470834, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6851112525280407`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607338155116*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1797", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230895994800027`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6892525507716867`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09708776658018602`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6892525507716867`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1797, "   tar:  ", 1.22, "   tarstar:  ", 1.23, "   R:  ", 
   3.230895994800027, "   Bstar:  ", 3.6892525507716867`, "   Xstar:  ", 
   0.09708776658018602, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6892525507716867`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607338171118*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1798", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.23`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.230990622668135`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6933916406684486`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09671833093678926`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6933916406684486`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1798, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.23, 
   "   R:  ", 3.230990622668135, "   Bstar:  ", 3.6933916406684486`, 
   "   Xstar:  ", 0.09671833093678926, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6933916406684486`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073381871195`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1799", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2310823122217993`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6975285224076093`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0963509081237247`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6975285224076093`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1799, "   tar:  ", 1.225, "   tarstar:  ", 1.23, "   R:  ", 
   3.2310823122217993`, "   Bstar:  ", 3.6975285224076093`, "   Xstar:  ", 
   0.0963509081237247, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6975285224076093`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073382041206`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1800", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231171099277482`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.701663196217881`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0959854842825798`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.701663196217881`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1800, "   tar:  ", 1.2275, "   tarstar:  ", 1.23, "   R:  ", 
   3.231171099277482, "   Bstar:  ", 3.701663196217881, "   Xstar:  ", 
   0.0959854842825798, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.701663196217881^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073382211227`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1801", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2312570192259185`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.705795662366873`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09562204566633536`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.705795662366873`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1801, "   tar:  ", 1.23, "   tarstar:  ", 1.23, "   R:  ", 
   3.2312570192259185`, "   Bstar:  ", 3.705795662366873, "   Xstar:  ", 
   0.09562204566633536, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.705795662366873^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073382401247`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1802", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2313401070374237`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7099259211604254`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09526057863839758`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7099259211604254`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1802, "   tar:  ", 1.2325, "   tarstar:  ", 1.23, "   R:  ", 
   3.2313401070374237`, "   Bstar:  ", 3.7099259211604254`, "   Xstar:  ", 
   0.09526057863839758, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7099259211604254`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607338257126*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1803", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231420397267149`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7140539729421325`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09490106967162457`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7140539729421325`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1803, "   tar:  ", 1.235, "   tarstar:  ", 1.23, "   R:  ", 
   3.231420397267149, "   Bstar:  ", 3.7140539729421325`, "   Xstar:  ", 
   0.09490106967162457, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7140539729421325`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073382731276`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1804", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2314979240602537`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.718179818092706`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09454350534737359`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.718179818092706`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1804, "   tar:  ", 1.2375, "   tarstar:  ", 1.23, "   R:  ", 
   3.2314979240602537`, "   Bstar:  ", 3.718179818092706, "   Xstar:  ", 
   0.09454350534737359, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.718179818092706^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733829613*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1805", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2315727211570207`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7223034570294353`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09418787235455098`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7223034570294353`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1805, "   tar:  ", 1.24, "   tarstar:  ", 1.23, "   R:  ", 
   3.2315727211570207`, "   Bstar:  ", 3.7223034570294353`, "   Xstar:  ", 
   0.09418787235455098, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7223034570294353`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607338315132*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1806", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231644821897898`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7264248902056436`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09383415748866952`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7264248902056436`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1806, "   tar:  ", 1.2425, "   tarstar:  ", 1.23, "   R:  ", 
   3.231644821897898, "   Bstar:  ", 3.7264248902056436`, "   Xstar:  ", 
   0.09383415748866952, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7264248902056436`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073383381343`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1807", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2317142592284767`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7305441181101404`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0934823476509164`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7305441181101404`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1807, "   tar:  ", 1.245, "   tarstar:  ", 1.23, "   R:  ", 
   3.2317142592284767`, "   Bstar:  ", 3.7305441181101404`, "   Xstar:  ", 
   0.0934823476509164, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7305441181101404`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073383601365`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1808", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2317810657044013`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.734661141266695`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09313242984722708`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.734661141266695`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1808, "   tar:  ", 1.2475, "   tarstar:  ", 1.23, "   R:  ", 
   3.2317810657044013`, "   Bstar:  ", 3.734661141266695, "   Xstar:  ", 
   0.09313242984722708, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.734661141266695^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607338386139*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1809", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231845273496221`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7387759602334785`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09278439118737117`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7387759602334785`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1809, "   tar:  ", 1.25, "   tarstar:  ", 1.23, "   R:  ", 
   3.231845273496221, "   Bstar:  ", 3.7387759602334785`, "   Xstar:  ", 
   0.09278439118737117, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7387759602334785`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073384091415`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1810", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2319069143941737`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7428885756025827`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09243821888404033`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7428885756025827`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1810, "   tar:  ", 1.2525, "   tarstar:  ", 1.23, "   R:  ", 
   3.2319069143941737`, "   Bstar:  ", 3.7428885756025827`, "   Xstar:  ", 
   0.09243821888404033, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7428885756025827`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607338443145*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1811", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.23`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2319660198129014`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7469989879994543`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09209390025195147`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7469989879994543`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1811, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.23, 
   "   R:  ", 3.2319660198129014`, "   Bstar:  ", 3.7469989879994543`, 
   "   Xstar:  ", 0.09209390025195147, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7469989879994543`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073384631467`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1812", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232022620796123`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7511071980824555`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09175142270694815`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7511071980824555`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1812, "   tar:  ", 1.2575, "   tarstar:  ", 1.23, "   R:  ", 
   3.232022620796123, "   Bstar:  ", 3.7511071980824555`, "   Xstar:  ", 
   0.09175142270694815, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7511071980824555`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073384791484`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1813", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232076748021218`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.755213206542283`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09141077376512273`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.755213206542283`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1813, "   tar:  ", 1.26, "   tarstar:  ", 1.23, "   R:  ", 
   3.232076748021218, "   Bstar:  ", 3.755213206542283, "   Xstar:  ", 
   0.09141077376512273, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.755213206542283^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073385001507`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1814", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232128431803775`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.759317014101551`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09107194104193193`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.759317014101551`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1814, "   tar:  ", 1.2625, "   tarstar:  ", 1.23, "   R:  ", 
   3.232128431803775, "   Bstar:  ", 3.759317014101551, "   Xstar:  ", 
   0.09107194104193193, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.759317014101551^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607338516152*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1815", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.23`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2321777021020717`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7634186215142456`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09073491225133279`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7634186215142456`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1815, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.23, 
   "   R:  ", 3.2321777021020717`, "   Bstar:  ", 3.7634186215142456`, 
   "   Xstar:  ", 0.09073491225133279, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7634186215142456`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073385301533`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1816", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2322245885214893`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7675180295652897`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09039967520491682`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7675180295652897`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1816, "   tar:  ", 1.2675, "   tarstar:  ", 1.23, "   R:  ", 
   3.2322245885214893`, "   Bstar:  ", 3.7675180295652897`, "   Xstar:  ", 
   0.09039967520491682, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7675180295652897`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073385511556`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1817", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2322691203188825`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7716152390700137`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09006621781106038`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7716152390700137`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1817, "   tar:  ", 1.27, "   tarstar:  ", 1.23, "   R:  ", 
   3.2322691203188825`, "   Bstar:  ", 3.7716152390700137`, "   Xstar:  ", 
   0.09006621781106038, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7716152390700137`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607338568157*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1818", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232311326406883`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7757102508737557`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08973452807407246`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7757102508737557`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1818, "   tar:  ", 1.2725, "   tarstar:  ", 1.23, "   R:  ", 
   3.232311326406883, "   Bstar:  ", 3.7757102508737557`, "   Xstar:  ", 
   0.08973452807407246, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7757102508737557`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607338580158*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1819", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232351235358146`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7798030658513504`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08940459409335987`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7798030658513504`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1819, "   tar:  ", 1.275, "   tarstar:  ", 1.23, "   R:  ", 
   3.232351235358146, "   Bstar:  ", 3.7798030658513504`, "   Xstar:  ", 
   0.08940459409335987, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7798030658513504`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733859616*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1820", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2323888754095513`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7838936849066886`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08907640406259407`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7838936849066886`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1820, "   tar:  ", 1.2775, "   tarstar:  ", 1.23, "   R:  ", 
   3.2323888754095513`, "   Bstar:  ", 3.7838936849066886`, "   Xstar:  ", 
   0.08907640406259407, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7838936849066886`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073386121616`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1821", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232424274466345`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.787982108972272`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08874994626888696`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.787982108972272`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1821, "   tar:  ", 1.28, "   tarstar:  ", 1.23, "   R:  ", 
   3.232424274466345, "   Bstar:  ", 3.787982108972272, "   Xstar:  ", 
   0.08874994626888696, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.787982108972272^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607338622163*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1822", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2324574601062124`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.792068339008764`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08842520909197421`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.792068339008764`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1822, "   tar:  ", 1.2825, "   tarstar:  ", 1.23, "   R:  ", 
   3.2324574601062124`, "   Bstar:  ", 3.792068339008764, "   Xstar:  ", 
   0.08842520909197421, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.792068339008764^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073386321635`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1823", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.23`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.232488459583329`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.796152376004566`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08810218100340501`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.796152376004566`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1823, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.23, 
   "   R:  ", 3.232488459583329, "   Bstar:  ", 3.796152376004566, 
   "   Xstar:  ", 0.08810218100340501, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.796152376004566^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073386401644`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1824", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2325172998323266`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8002342209753697`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08778085056574068`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8002342209753697`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1824, "   tar:  ", 1.2875, "   tarstar:  ", 1.23, "   R:  ", 
   3.2325172998323266`, "   Bstar:  ", 3.8002342209753697`, "   Xstar:  ", 
   0.08778085056574068, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8002342209753697`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607338648165*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1825", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2325440074722267`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.804313874963736`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0874612064317593`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.804313874963736`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1825, "   tar:  ", 1.29, "   tarstar:  ", 1.23, "   R:  ", 
   3.2325440074722267`, "   Bstar:  ", 3.804313874963736, "   Xstar:  ", 
   0.0874612064317593, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.804313874963736^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073386601667`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1826", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232568608810324`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.808391339038691`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08714323734366675`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.808391339038691`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1826, "   tar:  ", 1.2925, "   tarstar:  ", 1.23, "   R:  ", 
   3.232568608810324, "   Bstar:  ", 3.808391339038691, "   Xstar:  ", 
   0.08714323734366675, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.808391339038691^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607338672168*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1827", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2325911298460044`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8124666142953023`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08682693213231614`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8124666142953023`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1827, "   tar:  ", 1.295, "   tarstar:  ", 1.23, "   R:  ", 
   3.2325911298460044`, "   Bstar:  ", 3.8124666142953023`, "   Xstar:  ", 
   0.08682693213231614, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8124666142953023`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607338684169*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1828", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2326115962745297`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.81653970185424`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08651227971643638`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.81653970185424`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1828, "   tar:  ", 1.2975, "   tarstar:  ", 1.23, "   R:  ", 
   3.2326115962745297`, "   Bstar:  ", 3.81653970185424, "   Xstar:  ", 
   0.08651227971643638, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.81653970185424^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073386971703`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1829", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.23`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232630033490762`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.820610602861459`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0861992691018588`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.820610602861459`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1829, "   tar:  ", 1.3, "   tarstar:  ", 1.23, "   R:  ", 
   3.232630033490762, "   Bstar:  ", 3.820610602861459, "   Xstar:  ", 
   0.0861992691018588, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.820610602861459^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073387091713`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1830", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226784499120827`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5860123663615826`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10692394207555497`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5860123663615826`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1830, "   tar:  ", 1.155, "   tarstar:  ", 1.2325, "   R:  ", 
   3.226784499120827, "   Bstar:  ", 3.5860123663615826`, "   Xstar:  ", 
   0.10692394207555497`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5860123663615826`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073387211723`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1831", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226968853159523`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.590216582259788`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10649882567068844`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.590216582259788`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1831, "   tar:  ", 1.1575, "   tarstar:  ", 1.2325, "   R:  ", 
   3.226968853159523, "   Bstar:  ", 3.590216582259788, "   Xstar:  ", 
   0.10649882567068844`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.590216582259788^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607338734174*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1832", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2271491833913695`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5944185898664354`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10607611561799352`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5944185898664354`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1832, "   tar:  ", 1.16, "   tarstar:  ", 1.2325, "   R:  ", 
   3.2271491833913695`, "   Bstar:  ", 3.5944185898664354`, "   Xstar:  ", 
   0.10607611561799352`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5944185898664354`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607338747175*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1833", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22732553867202`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5986183882076785`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10565579484239275`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5986183882076785`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1833, "   tar:  ", 1.1625, "   tarstar:  ", 1.2325, "   R:  ", 
   3.22732553867202, "   Bstar:  ", 3.5986183882076785`, "   Xstar:  ", 
   0.10565579484239275`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5986183882076785`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607338761176*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1834", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2274979672666295`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6028159763665943`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10523784640843732`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6028159763665943`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1834, "   tar:  ", 1.165, "   tarstar:  ", 1.2325, "   R:  ", 
   3.2274979672666295`, "   Bstar:  ", 3.6028159763665943`, "   Xstar:  ", 
   0.10523784640843732`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6028159763665943`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607338776178*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1835", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227666516857351`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6070113534824615`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10482225351908507`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6070113534824615`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1835, "   tar:  ", 1.1675, "   tarstar:  ", 1.2325, "   R:  ", 
   3.227666516857351, "   Bstar:  ", 3.6070113534824615`, "   Xstar:  ", 
   0.10482225351908507`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6070113534824615`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607338789179*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1836", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2278312345507434`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.611204518749829`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10440899951451044`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.611204518749829`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1836, "   tar:  ", 1.17, "   tarstar:  ", 1.2325, "   R:  ", 
   3.2278312345507434`, "   Bstar:  ", 3.611204518749829, "   Xstar:  ", 
   0.10440899951451044`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.611204518749829^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073388021803`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1837", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2279921668850524`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6153954714177723`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10399806787090644`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6153954714177723`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1837, "   tar:  ", 1.1725, "   tarstar:  ", 1.2325, "   R:  ", 
   3.2279921668850524`, "   Bstar:  ", 3.6153954714177723`, "   Xstar:  ", 
   0.10399806787090644`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6153954714177723`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607338813182*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1838", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2281493598374347`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6195842107890734`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10358944219930516`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6195842107890734`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1838, "   tar:  ", 1.175, "   tarstar:  ", 1.2325, "   R:  ", 
   3.2281493598374347`, "   Bstar:  ", 3.6195842107890734`, "   Xstar:  ", 
   0.10358944219930516`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6195842107890734`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073388221827`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1839", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228302858831056`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6237707362194502`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10318310624440358`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6237707362194502`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1839, "   tar:  ", 1.1775, "   tarstar:  ", 1.2325, "   R:  ", 
   3.228302858831056, "   Bstar:  ", 3.6237707362194502`, "   Xstar:  ", 
   0.10318310624440358`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6237707362194502`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073388311834`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1840", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2284527087421018`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.627955047116727`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10277904388340572`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.627955047116727`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1840, "   tar:  ", 1.18, "   tarstar:  ", 1.2325, "   R:  ", 
   3.2284527087421018`, "   Bstar:  ", 3.627955047116727, "   Xstar:  ", 
   0.10277904388340572`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.627955047116727^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073388431845`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1841", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228598953906708`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.632137142940147`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10237723912486181`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.632137142940147`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1841, "   tar:  ", 1.1825, "   tarstar:  ", 1.2325, "   R:  ", 
   3.228598953906708, "   Bstar:  ", 3.632137142940147, "   Xstar:  ", 
   0.10237723912486181`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.632137142940147^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607338855186*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1842", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228741638127785`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6363170231995254`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10197767610753257`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6363170231995254`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1842, "   tar:  ", 1.185, "   tarstar:  ", 1.2325, "   R:  ", 
   3.228741638127785, "   Bstar:  ", 3.6363170231995254`, "   Xstar:  ", 
   0.10197767610753257`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6363170231995254`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607338864187*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1843", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2288808046817614`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.640494687454592`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10158033909924663`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.640494687454592`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1843, "   tar:  ", 1.1875, "   tarstar:  ", 1.2325, "   R:  ", 
   3.2288808046817614`, "   Bstar:  ", 3.640494687454592, "   Xstar:  ", 
   0.10158033909924663`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.640494687454592^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073388761883`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1844", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229016496325234`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.64467013531419`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1011852124957809`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.64467013531419`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1844, "   tar:  ", 1.19, "   tarstar:  ", 1.2325, "   R:  ", 
   3.229016496325234, "   Bstar:  ", 3.64467013531419, "   Xstar:  ", 
   0.1011852124957809, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.64467013531419^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073388881893`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1845", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2291487553015252`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6488433664355786`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10079228081974215`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6488433664355786`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1845, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.2325, 
   "   R:  ", 3.2291487553015252`, "   Bstar:  ", 3.6488433664355786`, 
   "   Xstar:  ", 0.10079228081974215`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6488433664355786`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073388991904`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1846", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2292776233471736`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.653014380523725`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10040152871945929`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.653014380523725`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1846, "   tar:  ", 1.195, "   tarstar:  ", 1.2325, "   R:  ", 
   3.2292776233471736`, "   Bstar:  ", 3.653014380523725, "   Xstar:  ", 
   0.10040152871945929`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.653014380523725^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073389101915`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1847", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2294031416983024`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.657183177330574`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10001294096788836`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.657183177330574`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1847, "   tar:  ", 1.1975, "   tarstar:  ", 1.2325, "   R:  ", 
   3.2294031416983024`, "   Bstar:  ", 3.657183177330574, "   Xstar:  ", 
   0.10001294096788836`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.657183177330574^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073389201927`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1848", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2295253510969473`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.66134975665437`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09962650246152134`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.66134975665437`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1848, "   tar:  ", 1.2, "   tarstar:  ", 1.2325, "   R:  ", 
   3.2295253510969473`, "   Bstar:  ", 3.66134975665437, "   Xstar:  ", 
   0.09962650246152134, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.66134975665437^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073389301934`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1849", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2296442917972734`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6655141183389737`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09924219821930763`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6655141183389737`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1849, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.2325, 
   "   R:  ", 3.2296442917972734`, "   Bstar:  ", 3.6655141183389737`, 
   "   Xstar:  ", 0.09924219821930763, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6655141183389737`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073389391947`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1850", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229760003571704`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6696762622731667`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09886001338158458`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6696762622731667`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1850, "   tar:  ", 1.205, "   tarstar:  ", 1.2325, "   R:  ", 
   3.229760003571704, "   Bstar:  ", 3.6696762622731667`, "   Xstar:  ", 
   0.09886001338158458, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6696762622731667`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073389501953`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1851", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2298725257169996`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6738361883900184`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09847993320901273`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6738361883900184`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1851, "   tar:  ", 1.2075, "   tarstar:  ", 1.2325, "   R:  ", 
   3.2298725257169996`, "   Bstar:  ", 3.6738361883900184`, "   Xstar:  ", 
   0.09847993320901273, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6738361883900184`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073389621964`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1852", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229981897060225`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6779938966661794`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09810194308152861`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6779938966661794`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1852, "   tar:  ", 1.21, "   tarstar:  ", 1.2325, "   R:  ", 
   3.229981897060225, "   Bstar:  ", 3.6779938966661794`, "   Xstar:  ", 
   0.09810194308152861, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6779938966661794`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073389771976`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1853", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.230088155964656`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.682149387121282`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09772602849729571`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.682149387121282`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1853, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.2325, 
   "   R:  ", 3.230088155964656, "   Bstar:  ", 3.682149387121282, 
   "   Xstar:  ", 0.09772602849729571, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.682149387121282^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607338990199*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1854", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2301913403355966`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6863026598172435`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09735217507167494`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6863026598172435`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1854, "   tar:  ", 1.215, "   tarstar:  ", 1.2325, "   R:  ", 
   3.2301913403355966`, "   Bstar:  ", 3.6863026598172435`, "   Xstar:  ", 
   0.09735217507167494, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6863026598172435`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073390032005`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1855", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230291487626137`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6904537148577243`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09698036853619096`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6904537148577243`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1855, "   tar:  ", 1.2175, "   tarstar:  ", 1.2325, "   R:  ", 
   3.230291487626137, "   Bstar:  ", 3.6904537148577243`, "   Xstar:  ", 
   0.09698036853619096, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6904537148577243`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339016202*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1856", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230388634842815`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.694602552387396`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09661059473752458`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.694602552387396`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1856, "   tar:  ", 1.22, "   tarstar:  ", 1.2325, "   R:  ", 
   3.230388634842815, "   Bstar:  ", 3.694602552387396, "   Xstar:  ", 
   0.09661059473752458, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.694602552387396^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339028203*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1857", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2304828185512116`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.698749172591402`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0962428396364975`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.698749172591402`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1857, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.2325, 
   "   R:  ", 3.2304828185512116`, "   Bstar:  ", 3.698749172591402, 
   "   Xstar:  ", 0.0962428396364975, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.698749172591402^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073390412045`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1858", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230574074881484`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7028935756947368`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09587708930707356`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7028935756947368`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1858, "   tar:  ", 1.225, "   tarstar:  ", 1.2325, "   R:  ", 
   3.230574074881484, "   Bstar:  ", 3.7028935756947368`, "   Xstar:  ", 
   0.09587708930707356, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7028935756947368`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339054206*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1859", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2306624395338037`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7070357619616376`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09551332993536864`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7070357619616376`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1859, "   tar:  ", 1.2275, "   tarstar:  ", 1.2325, "   R:  ", 
   3.2306624395338037`, "   Bstar:  ", 3.7070357619616376`, "   Xstar:  ", 
   0.09551332993536864, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7070357619616376`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073390682073`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1860", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2307479477837404`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7111757316949943`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09515154781866797`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7111757316949943`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1860, "   tar:  ", 1.23, "   tarstar:  ", 1.2325, "   R:  ", 
   3.2307479477837404`, "   Bstar:  ", 3.7111757316949943`, "   Xstar:  ", 
   0.09515154781866797, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7111757316949943`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073390802083`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1861", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2308306344875692`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.715313485235771`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09479172936445127`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.715313485235771`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1861, "   tar:  ", 1.2325, "   tarstar:  ", 1.2325, "   R:  ", 
   3.2308306344875692`, "   Bstar:  ", 3.715313485235771, "   Xstar:  ", 
   0.09479172936445127, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.715313485235771^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073390912094`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1862", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2309105340875077`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7194490229624604`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09443386108942484`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7194490229624604`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1862, "   tar:  ", 1.235, "   tarstar:  ", 1.2325, "   R:  ", 
   3.2309105340875077`, "   Bstar:  ", 3.7194490229624604`, "   Xstar:  ", 
   0.09443386108942484, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7194490229624604`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073391012106`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1863", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2309876806168845`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.723582345290451`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09407792961856956`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.723582345290451`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1863, "   tar:  ", 1.2375, "   tarstar:  ", 1.2325, "   R:  ", 
   3.2309876806168845`, "   Bstar:  ", 3.723582345290451, "   Xstar:  ", 
   0.09407792961856956, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.723582345290451^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073391122117`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1864", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231062107705241`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.727713452671569`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09372392168418336`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.727713452671569`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1864, "   tar:  ", 1.24, "   tarstar:  ", 1.2325, "   R:  ", 
   3.231062107705241, "   Bstar:  ", 3.727713452671569, "   Xstar:  ", 
   0.09372392168418336, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.727713452671569^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073391252127`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1865", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2311338485833634`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.731842345593419`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09337182412494974`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.731842345593419`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1865, "   tar:  ", 1.2425, "   tarstar:  ", 1.2325, "   R:  ", 
   3.2311338485833634`, "   Bstar:  ", 3.731842345593419, "   Xstar:  ", 
   0.09337182412494974, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.731842345593419^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339135214*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1866", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2312029360882524`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.73596902457892`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09302162388499816`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.73596902457892`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1866, "   tar:  ", 1.245, "   tarstar:  ", 1.2325, "   R:  ", 
   3.2312029360882524`, "   Bstar:  ", 3.73596902457892, "   Xstar:  ", 
   0.09302162388499816, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.73596902457892^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339147215*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1867", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231269402668029`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7400934901857625`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09267330801298004`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7400934901857625`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1867, "   tar:  ", 1.2475, "   tarstar:  ", 1.2325, "   R:  ", 
   3.231269402668029, "   Bstar:  ", 3.7400934901857625`, "   Xstar:  ", 
   0.09267330801298004, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7400934901857625`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339157216*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1868", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231333280386762`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7442157430058094`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09232686366115878`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7442157430058094`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1868, "   tar:  ", 1.25, "   tarstar:  ", 1.2325, "   R:  ", 
   3.231333280386762, "   Bstar:  ", 3.7442157430058094`, "   Xstar:  ", 
   0.09232686366115878, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7442157430058094`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073391672173`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1869", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231394600929256`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.748335783664697`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09198227808449068`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.748335783664697`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1869, "   tar:  ", 1.2525, "   tarstar:  ", 1.2325, "   R:  ", 
   3.231394600929256, "   Bstar:  ", 3.748335783664697, "   Xstar:  ", 
   0.09198227808449068, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.748335783664697^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339178218*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1870", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2314533956057563`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.752453612821188`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0916395386397361`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.752453612821188`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1870, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.2325, 
   "   R:  ", 3.2314533956057563`, "   Bstar:  ", 3.752453612821188, 
   "   Xstar:  ", 0.0916395386397361, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.752453612821188^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073391922197`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1871", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2315096953565985`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7565692311667966`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09129863278455551`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7565692311667966`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1871, "   tar:  ", 1.2575, "   tarstar:  ", 1.2325, "   R:  ", 
   3.2315096953565985`, "   Bstar:  ", 3.7565692311667966`, "   Xstar:  ", 
   0.09129863278455551, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7565692311667966`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073392082214`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1872", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2315635307568034`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7606826394251716`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.090959548076635`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7606826394251716`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1872, "   tar:  ", 1.26, "   tarstar:  ", 1.2325, "   R:  ", 
   3.2315635307568034`, "   Bstar:  ", 3.7606826394251716`, "   Xstar:  ", 
   0.090959548076635, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7606826394251716`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339219222*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1873", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231614932020605`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.764793838351676`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0906222721728035`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.764793838351676`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1873, "   tar:  ", 1.2625, "   tarstar:  ", 1.2325, "   R:  ", 
   3.231614932020605, "   Bstar:  ", 3.764793838351676, "   Xstar:  ", 
   0.0906222721728035, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.764793838351676^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073392312236`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1874", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.231663929005916`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7689028287328914`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09028679282816424`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7689028287328914`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1874, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.2325, 
   "   R:  ", 3.231663929005916, "   Bstar:  ", 3.7689028287328914`, 
   "   Xstar:  ", 0.09028679282816424, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7689028287328914`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339243225*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1875", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2317105512187454`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.773009611386103`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08995309789523644`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.773009611386103`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1875, "   tar:  ", 1.2675, "   tarstar:  ", 1.2325, "   R:  ", 
   3.2317105512187454`, "   Bstar:  ", 3.773009611386103, "   Xstar:  ", 
   0.08995309789523644, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.773009611386103^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073392542257`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1876", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2317548278175527`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7771141871588814`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08962117532309756`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7771141871588814`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1876, "   tar:  ", 1.27, "   tarstar:  ", 1.2325, "   R:  ", 
   3.2317548278175527`, "   Bstar:  ", 3.7771141871588814`, "   Xstar:  ", 
   0.08962117532309756, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7771141871588814`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339269227*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1877", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2317967876175393`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.78121655692856`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08929101315654113`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.78121655692856`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1877, "   tar:  ", 1.2725, "   tarstar:  ", 1.2325, "   R:  ", 
   3.2317967876175393`, "   Bstar:  ", 3.78121655692856, "   Xstar:  ", 
   0.08929101315654113, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.78121655692856^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073392852287`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1878", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2318364590948985`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7853167216018178`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08896259953523518`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7853167216018178`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1878, "   tar:  ", 1.275, "   tarstar:  ", 1.2325, "   R:  ", 
   3.2318364590948985`, "   Bstar:  ", 3.7853167216018178`, "   Xstar:  ", 
   0.08896259953523518, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7853167216018178`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073393002305`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1879", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231873870390991`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7894146821142103`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08863592269289228`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7894146821142103`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1879, "   tar:  ", 1.2775, "   tarstar:  ", 1.2325, "   R:  ", 
   3.231873870390991, "   Bstar:  ", 3.7894146821142103`, "   Xstar:  ", 
   0.08863592269289228, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7894146821142103`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073393132315`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1880", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2319090493164917`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.793510439429708`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08831097095644684`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.793510439429708`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1880, "   tar:  ", 1.28, "   tarstar:  ", 1.2325, "   R:  ", 
   3.2319090493164917`, "   Bstar:  ", 3.793510439429708, "   Xstar:  ", 
   0.08831097095644684, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.793510439429708^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073393272333`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1881", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2319420233554457`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.797603994540293`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08798773274523614`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.797603994540293`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1881, "   tar:  ", 1.2825, "   tarstar:  ", 1.2325, "   R:  ", 
   3.2319420233554457`, "   Bstar:  ", 3.797603994540293, "   Xstar:  ", 
   0.08798773274523614, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.797603994540293^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073393422346`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1882", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2319728196693105`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8016953484654703`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08766619657019509`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8016953484654703`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1882, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.2325, 
   "   R:  ", 3.2319728196693105`, "   Bstar:  ", 3.8016953484654703`, 
   "   Xstar:  ", 0.08766619657019509, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8016953484654703`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073393592367`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1883", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232001465100924`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8057845022518784`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0873463510330517`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8057845022518784`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1883, "   tar:  ", 1.2875, "   tarstar:  ", 1.2325, "   R:  ", 
   3.232001465100924, "   Bstar:  ", 3.8057845022518784`, "   Xstar:  ", 
   0.0873463510330517, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8057845022518784`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073393712378`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1884", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232027986178418`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8098714569728624`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08702818482553276`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8098714569728624`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1884, "   tar:  ", 1.29, "   tarstar:  ", 1.2325, "   R:  ", 
   3.232027986178418, "   Bstar:  ", 3.8098714569728624`, "   Xstar:  ", 
   0.08702818482553276, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8098714569728624`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073393812385`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1885", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232052409119092`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8139562137280225`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08671168672857879`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8139562137280225`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1885, "   tar:  ", 1.2925, "   tarstar:  ", 1.2325, "   R:  ", 
   3.232052409119092, "   Bstar:  ", 3.8139562137280225`, "   Xstar:  ", 
   0.08671168672857879, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8139562137280225`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073393922396`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1886", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232074759833237`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8180387736428685`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08639684561155897`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8180387736428685`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1886, "   tar:  ", 1.295, "   tarstar:  ", 1.2325, "   R:  ", 
   3.232074759833237, "   Bstar:  ", 3.8180387736428685`, "   Xstar:  ", 
   0.08639684561155897, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8180387736428685`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073394022408`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1887", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2320950639278947`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.822119137868324`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08608365043150419`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.822119137868324`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1887, "   tar:  ", 1.2975, "   tarstar:  ", 1.2325, "   R:  ", 
   3.2320950639278947`, "   Bstar:  ", 3.822119137868324, "   Xstar:  ", 
   0.08608365043150419, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.822119137868324^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339414242*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1888", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2325`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.232113346710584`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.826197307580407`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0857720902323351`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.826197307580407`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1888, "   tar:  ", 1.3, "   tarstar:  ", 1.2325, "   R:  ", 
   3.232113346710584, "   Bstar:  ", 3.826197307580407, "   Xstar:  ", 
   0.0857720902323351, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.826197307580407^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339425243*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1889", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2262956804335254`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5911619194329414`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10640353765316832`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5911619194329414`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1889, "   tar:  ", 1.155, "   tarstar:  ", 1.235, "   R:  ", 
   3.2262956804335254`, "   Bstar:  ", 3.5911619194329414`, "   Xstar:  ", 
   0.10640353765316832`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5911619194329414`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339436244*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1890", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2264792660576616`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.595373904595083`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10598031673223084`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.595373904595083`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1890, "   tar:  ", 1.1575, "   tarstar:  ", 1.235, "   R:  ", 
   3.2264792660576616`, "   Bstar:  ", 3.595373904595083, "   Xstar:  ", 
   0.10598031673223084`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.595373904595083^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073394492455`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1891", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2266588421935976`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.5995836715382445`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10555949290779638`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.5995836715382445`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1891, "   tar:  ", 1.16, "   tarstar:  ", 1.235, "   R:  ", 
   3.2266588421935976`, "   Bstar:  ", 3.5995836715382445`, "   Xstar:  ", 
   0.10555949290779638`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.5995836715382445`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339462247*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1892", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226834457548238`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6037912193298096`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10514104915508156`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6037912193298096`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1892, "   tar:  ", 1.1625, "   tarstar:  ", 1.235, "   R:  ", 
   3.226834457548238, "   Bstar:  ", 3.6037912193298096`, "   Xstar:  ", 
   0.10514104915508156`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6037912193298096`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073394722476`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1893", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227006160239389`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.607996547093903`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10472496858870677`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.607996547093903`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1893, "   tar:  ", 1.165, "   tarstar:  ", 1.235, "   R:  ", 
   3.227006160239389, "   Bstar:  ", 3.607996547093903, "   Xstar:  ", 
   0.10472496858870677`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.607996547093903^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339484249*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1894", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2271739978032454`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6121996540105457`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10431123446148605`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6121996540105457`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1894, "   tar:  ", 1.1675, "   tarstar:  ", 1.235, "   R:  ", 
   3.2271739978032454`, "   Bstar:  ", 3.6121996540105457`, "   Xstar:  ", 
   0.10431123446148605`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6121996540105457`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733949325*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1895", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227338017201779`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6164005393148413`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10389983016322452`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6164005393148413`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1895, "   tar:  ", 1.17, "   tarstar:  ", 1.235, "   R:  ", 
   3.227338017201779, "   Bstar:  ", 3.6164005393148413`, "   Xstar:  ", 
   0.10389983016322452`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6164005393148413`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073395022507`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1896", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2274982648300266`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6205992022961606`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10349073921952694`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6205992022961606`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1896, "   tar:  ", 1.1725, "   tarstar:  ", 1.235, "   R:  ", 
   3.2274982648300266`, "   Bstar:  ", 3.6205992022961606`, "   Xstar:  ", 
   0.10349073921952694`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6205992022961606`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073395132513`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1897", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2276547865232863`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6247956422973675`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10308394529061249`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6247956422973675`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1897, "   tar:  ", 1.175, "   tarstar:  ", 1.235, "   R:  ", 
   3.2276547865232863`, "   Bstar:  ", 3.6247956422973675`, "   Xstar:  ", 
   0.10308394529061249`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6247956422973675`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073395232525`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1898", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2278076275642125`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6289898587139833`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10267943217014691`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6289898587139833`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1898, "   tar:  ", 1.1775, "   tarstar:  ", 1.235, "   R:  ", 
   3.2278076275642125`, "   Bstar:  ", 3.6289898587139833`, "   Xstar:  ", 
   0.10267943217014691`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6289898587139833`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073395322533`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1899", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2279568326898187`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6331818509934775`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10227718378407188`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6331818509934775`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1899, "   tar:  ", 1.18, "   tarstar:  ", 1.235, "   R:  ", 
   3.2279568326898187`, "   Bstar:  ", 3.6331818509934775`, "   Xstar:  ", 
   0.10227718378407188`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6331818509934775`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073395422544`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1900", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228102446098387`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.637371618634425`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10187718418945903`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.637371618634425`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1900, "   tar:  ", 1.1825, "   tarstar:  ", 1.235, "   R:  ", 
   3.228102446098387, "   Bstar:  ", 3.637371618634425, "   Xstar:  ", 
   0.10187718418945903`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.637371618634425^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073395562563`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1901", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228244511456297`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6415591611858207`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10147941757335838`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6415591611858207`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1901, "   tar:  ", 1.185, "   tarstar:  ", 1.235, "   R:  ", 
   3.228244511456297, "   Bstar:  ", 3.6415591611858207`, "   Xstar:  ", 
   0.10147941757335838`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6415591611858207`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073395682573`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1902", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2283830719047426`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6457444782462947`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10108386825166679`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6457444782462947`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1902, "   tar:  ", 1.1875, "   tarstar:  ", 1.235, "   R:  ", 
   3.2283830719047426`, "   Bstar:  ", 3.6457444782462947`, "   Xstar:  ", 
   0.10108386825166679`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6457444782462947`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339584259*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1903", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2285181700663785`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6499275694633826`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10069052066800241`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6499275694633826`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1903, "   tar:  ", 1.19, "   tarstar:  ", 1.235, "   R:  ", 
   3.2285181700663785`, "   Bstar:  ", 3.6499275694633826`, "   Xstar:  ", 
   0.10069052066800241`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6499275694633826`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733959726*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1904", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2286498480518726`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6541084345328168`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10029935939258566`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6541084345328168`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1904, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.235, 
   "   R:  ", 3.2286498480518726`, "   Bstar:  ", 3.6541084345328168`, 
   "   Xstar:  ", 0.10029935939258566`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6541084345328168`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339612262*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1905", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228778147466371`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6582870731978097`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09991036912113306`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6582870731978097`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1905, "   tar:  ", 1.195, "   tarstar:  ", 1.235, "   R:  ", 
   3.228778147466371, "   Bstar:  ", 3.6582870731978097`, "   Xstar:  ", 
   0.09991036912113306, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6582870731978097`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339624263*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1906", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2289031094158775`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.662463485248317`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09952353467376206`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.662463485248317`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1906, "   tar:  ", 1.1975, "   tarstar:  ", 1.235, "   R:  ", 
   3.2289031094158775`, "   Bstar:  ", 3.662463485248317, "   Xstar:  ", 
   0.09952353467376206, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.662463485248317^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339635264*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1907", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22902477451355`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6666376705203954`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09913884099389676`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6666376705203954`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1907, "   tar:  ", 1.2, "   tarstar:  ", 1.235, "   R:  ", 
   3.22902477451355, "   Bstar:  ", 3.6666376705203954`, "   Xstar:  ", 
   0.09913884099389676, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6666376705203954`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073396502657`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1908", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2291431828859114`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6708096288954906`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09875627314719149`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6708096288954906`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1908, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.235, 
   "   R:  ", 3.2291431828859114`, "   Bstar:  ", 3.6708096288954906`, 
   "   Xstar:  ", 0.09875627314719149, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6708096288954906`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339663267*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1909", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2292583741789875`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.674979360299745`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09837581632046118`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.674979360299745`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1909, "   tar:  ", 1.205, "   tarstar:  ", 1.235, "   R:  ", 
   3.2292583741789875`, "   Bstar:  ", 3.674979360299745, "   Xstar:  ", 
   0.09837581632046118, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.674979360299745^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339676268*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1910", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2293703875643445`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.679146864703365`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09799745582061681`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.679146864703365`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1910, "   tar:  ", 1.2075, "   tarstar:  ", 1.235, "   R:  ", 
   3.2293703875643445`, "   Bstar:  ", 3.679146864703365, "   Xstar:  ", 
   0.09799745582061681, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.679146864703365^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073396902695`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1911", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2294792617450656`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6833121421199606`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09762117707361304`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6833121421199606`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1911, "   tar:  ", 1.21, "   tarstar:  ", 1.235, "   R:  ", 
   3.2294792617450656`, "   Bstar:  ", 3.6833121421199606`, "   Xstar:  ", 
   0.09762117707361304, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6833121421199606`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073397002707`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1912", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.229585034961649`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6874751926058638`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09724696562340758`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6874751926058638`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1912, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.235, 
   "   R:  ", 3.229585034961649, "   Bstar:  ", 3.6874751926058638`, 
   "   Xstar:  ", 0.09724696562340758, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6874751926058638`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073397122717`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1913", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229687744997803`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.691636016259528`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09687480713092307`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.691636016259528`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1913, "   tar:  ", 1.215, "   tarstar:  ", 1.235, "   R:  ", 
   3.229687744997803, "   Bstar:  ", 3.691636016259528, "   Xstar:  ", 
   0.09687480713092307, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.691636016259528^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339723273*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1914", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2297874291862025`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6957946132208703`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09650468737302327`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6957946132208703`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1914, "   tar:  ", 1.2175, "   tarstar:  ", 1.235, "   R:  ", 
   3.2297874291862025`, "   Bstar:  ", 3.6957946132208703`, "   Xstar:  ", 
   0.09650468737302327, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6957946132208703`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073397322736`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1915", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2298841244141303`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6999509836706714`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09613659224149378`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6999509836706714`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1915, "   tar:  ", 1.22, "   tarstar:  ", 1.235, "   R:  ", 
   3.2298841244141303`, "   Bstar:  ", 3.6999509836706714`, "   Xstar:  ", 
   0.09613659224149378, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6999509836706714`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073397402744`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1916", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2299778671290826`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.704105127829959`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09577050774203451`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.704105127829959`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1916, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.235, 
   "   R:  ", 3.2299778671290826`, "   Bstar:  ", 3.704105127829959, 
   "   Xstar:  ", 0.09577050774203451, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.704105127829959^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073397502756`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1917", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2300686933442657`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.708257045959395`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09540641999325998`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.708257045959395`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1917, "   tar:  ", 1.225, "   tarstar:  ", 1.235, "   R:  ", 
   3.2300686933442657`, "   Bstar:  ", 3.708257045959395, "   Xstar:  ", 
   0.09540641999325998, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.708257045959395^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073397612762`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1918", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2301566386440443`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7124067383586636`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09504431522570976`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7124067383586636`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1918, "   tar:  ", 1.2275, "   tarstar:  ", 1.235, "   R:  ", 
   3.2301566386440443`, "   Bstar:  ", 3.7124067383586636`, "   Xstar:  ", 
   0.09504431522570976, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7124067383586636`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339772278*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1919", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2302417381893074`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.716554205365929`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09468417978086167`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.716554205365929`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1919, "   tar:  ", 1.23, "   tarstar:  ", 1.235, "   R:  ", 
   3.2302417381893074`, "   Bstar:  ", 3.716554205365929, "   Xstar:  ", 
   0.09468417978086167, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.716554205365929^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073397812786`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1920", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2303240267227666`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7206994473572306`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09432600011016024`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7206994473572306`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1920, "   tar:  ", 1.2325, "   tarstar:  ", 1.235, "   R:  ", 
   3.2303240267227666`, "   Bstar:  ", 3.7206994473572306`, "   Xstar:  ", 
   0.09432600011016024, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7206994473572306`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360733979128*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1921", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2304035385741834`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.724842464745884`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09396976277405265`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.724842464745884`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1921, "   tar:  ", 1.235, "   tarstar:  ", 1.235, "   R:  ", 
   3.2304035385741834`, "   Bstar:  ", 3.724842464745884, "   Xstar:  ", 
   0.09396976277405265, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.724842464745884^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073398002806`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1922", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2304803076655264`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7289832579819695`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09361545444102763`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7289832579819695`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1922, "   tar:  ", 1.2375, "   tarstar:  ", 1.235, "   R:  ", 
   3.2304803076655264`, "   Bstar:  ", 3.7289832579819695`, "   Xstar:  ", 
   0.09361545444102763, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7289832579819695`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073398092813`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1923", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230554367516065`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.733121827551738`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09326306188666936`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.733121827551738`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1923, "   tar:  ", 1.24, "   tarstar:  ", 1.235, "   R:  ", 
   3.230554367516065, "   Bstar:  ", 3.733121827551738, "   Xstar:  ", 
   0.09326306188666936, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.733121827551738^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073398172817`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1924", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230625751247392`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.737258173977061`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0929125719927171`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.737258173977061`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1924, "   tar:  ", 1.2425, "   tarstar:  ", 1.235, "   R:  ", 
   3.230625751247392, "   Bstar:  ", 3.737258173977061, "   Xstar:  ", 
   0.0929125719927171, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.737258173977061^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339826283*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1925", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2306944915883844`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7413922978149428`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09256397174612817`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7413922978149428`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1925, "   tar:  ", 1.245, "   tarstar:  ", 1.235, "   R:  ", 
   3.2306944915883844`, "   Bstar:  ", 3.7413922978149428`, "   Xstar:  ", 
   0.09256397174612817, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7413922978149428`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073398362837`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1926", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2307606208800936`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7455241996568924`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09221724823816183`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7455241996568924`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1926, "   tar:  ", 1.2475, "   tarstar:  ", 1.235, "   R:  ", 
   3.2307606208800936`, "   Bstar:  ", 3.7455241996568924`, "   Xstar:  ", 
   0.09221724823816183, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7455241996568924`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339848285*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1927", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230824171080576`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7496538801284833`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09187238866345572`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7496538801284833`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1927, "   tar:  ", 1.25, "   tarstar:  ", 1.235, "   R:  ", 
   3.230824171080576, "   Bstar:  ", 3.7496538801284833`, "   Xstar:  ", 
   0.09187238866345572, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7496538801284833`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073398622866`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1928", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230885173769653`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7537813398888105`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09152938031912003`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7537813398888105`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1928, "   tar:  ", 1.2525, "   tarstar:  ", 1.235, "   R:  ", 
   3.230885173769653, "   Bstar:  ", 3.7537813398888105`, "   Xstar:  ", 
   0.09152938031912003, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7537813398888105`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339875288*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1929", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.230943660153624`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7579065796299376`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09118821060384082`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7579065796299376`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1929, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.235, 
   "   R:  ", 3.230943660153624, "   Bstar:  ", 3.7579065796299376`, 
   "   Xstar:  ", 0.09118821060384082, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7579065796299376`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073398882895`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1930", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230999661069905`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7620296000764446`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0908488670169833`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7620296000764446`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1930, "   tar:  ", 1.2575, "   tarstar:  ", 1.235, "   R:  ", 
   3.230999661069905, "   Bstar:  ", 3.7620296000764446`, "   Xstar:  ", 
   0.0908488670169833, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7620296000764446`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073399002905`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1931", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2310532069915943`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7661504019849144`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09051133715770941`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7661504019849144`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1931, "   tar:  ", 1.26, "   tarstar:  ", 1.235, "   R:  ", 
   3.2310532069915943`, "   Bstar:  ", 3.7661504019849144`, "   Xstar:  ", 
   0.09051133715770941, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7661504019849144`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339913292*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1932", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2311043280320164`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7702689861434253`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09017560872410234`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7702689861434253`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1932, "   tar:  ", 1.2625, "   tarstar:  ", 1.235, "   R:  ", 
   3.2311043280320164`, "   Bstar:  ", 3.7702689861434253`, "   Xstar:  ", 
   0.09017560872410234, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7702689861434253`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073399272933`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1933", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2311530539491664`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.774385353371073`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08984166951229781`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.774385353371073`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1933, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.235, 
   "   R:  ", 3.2311530539491664`, "   Bstar:  ", 3.774385353371073, 
   "   Xstar:  ", 0.08984166951229781, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.774385353371073^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073399412947`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1934", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231199414150117`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.778499504517504`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08950950741562183`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.778499504517504`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1934, "   tar:  ", 1.2675, "   tarstar:  ", 1.235, "   R:  ", 
   3.231199414150117, "   Bstar:  ", 3.778499504517504, "   Xstar:  ", 
   0.08950950741562183, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.778499504517504^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339956296*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1935", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2312434376953707`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.782611440462433`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08917911042373888`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.782611440462433`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1935, "   tar:  ", 1.27, "   tarstar:  ", 1.235, "   R:  ", 
   3.2312434376953707`, "   Bstar:  ", 3.782611440462433, "   Xstar:  ", 
   0.08917911042373888, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.782611440462433^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073399702973`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1936", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231285153303134`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7867211621151813`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08885046662180597`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7867211621151813`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1936, "   tar:  ", 1.2725, "   tarstar:  ", 1.235, "   R:  ", 
   3.231285153303134, "   Bstar:  ", 3.7867211621151813`, "   Xstar:  ", 
   0.08885046662180597, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7867211621151813`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607339982299*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1937", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2313245893535654`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7908286704142187`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0885235641896345`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7908286704142187`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1937, "   tar:  ", 1.275, "   tarstar:  ", 1.235, "   R:  ", 
   3.2313245893535654`, "   Bstar:  ", 3.7908286704142187`, "   Xstar:  ", 
   0.0885235641896345, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7908286704142187`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073399912996`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1938", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2313617738929405`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.794933966326714`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08819839140085953`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.794933966326714`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1938, "   tar:  ", 1.2775, "   tarstar:  ", 1.235, "   R:  ", 
   3.2313617738929405`, "   Bstar:  ", 3.794933966326714, "   Xstar:  ", 
   0.08819839140085953, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.794933966326714^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073400003004`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1939", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231396734637781`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.799037050848083`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08787493662211712`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.799037050848083`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1939, "   tar:  ", 1.28, "   tarstar:  ", 1.235, "   R:  ", 
   3.231396734637781, "   Bstar:  ", 3.799037050848083, "   Xstar:  ", 
   0.08787493662211712, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.799037050848083^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073400083013`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1940", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2314294989789163`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8031379250015425`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08755318831222929`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8031379250015425`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1940, "   tar:  ", 1.2825, "   tarstar:  ", 1.235, "   R:  ", 
   3.2314294989789163`, "   Bstar:  ", 3.8031379250015425`, "   Xstar:  ", 
   0.08755318831222929, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8031379250015425`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073400193024`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1941", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2314600939855134`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.807236589837682`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08723313502139514`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.807236589837682`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1941, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.235, 
   "   R:  ", 3.2314600939855134`, "   Bstar:  ", 3.807236589837682, 
   "   Xstar:  ", 0.08723313502139514, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.807236589837682^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073400293036`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1942", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2314885464090257`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.811333046434041`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.086914765390389`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.811333046434041`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1942, "   tar:  ", 1.2875, "   tarstar:  ", 1.235, "   R:  ", 
   3.2314885464090257`, "   Bstar:  ", 3.811333046434041, "   Xstar:  ", 
   0.086914765390389, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.811333046434041^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340040304*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1943", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.23151488268711`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8154272958946955`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08659806814976642`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8154272958946955`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1943, "   tar:  ", 1.29, "   tarstar:  ", 1.235, "   R:  ", 
   3.23151488268711, "   Bstar:  ", 3.8154272958946955`, "   Xstar:  ", 
   0.08659806814976642, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8154272958946955`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073400503054`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1944", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231539128947488`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.819519339349798`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08628303211908034`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.819519339349798`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1944, "   tar:  ", 1.2925, "   tarstar:  ", 1.235, "   R:  ", 
   3.231539128947488, "   Bstar:  ", 3.819519339349798, "   Xstar:  ", 
   0.08628303211908034, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.819519339349798^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073400613065`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1945", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231561311011755`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8236091779552215`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08596964620609729`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8236091779552215`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1945, "   tar:  ", 1.295, "   tarstar:  ", 1.235, "   R:  ", 
   3.231561311011755, "   Bstar:  ", 3.8236091779552215`, "   Xstar:  ", 
   0.08596964620609729, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8236091779552215`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073400703077`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1946", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2315814543991466`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.827696812892113`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08565789940602828`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.827696812892113`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1946, "   tar:  ", 1.2975, "   tarstar:  ", 1.235, "   R:  ", 
   3.2315814543991466`, "   Bstar:  ", 3.827696812892113, "   Xstar:  ", 
   0.08565789940602828, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.827696812892113^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073400813084`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1947", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.235`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2315995843302425`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.831782245366512`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08534778080076139`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.831782245366512`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1947, "   tar:  ", 1.3, "   tarstar:  ", 1.235, "   R:  ", 
   3.2315995843302425`, "   Bstar:  ", 3.831782245366512, "   Xstar:  ", 
   0.08534778080076139, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.831782245366512^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073400933094`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1948", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22580958734848`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.596310070843503`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10588654664657322`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.596310070843503`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1948, "   tar:  ", 1.155, "   tarstar:  ", 1.2375, "   R:  ", 
   3.22580958734848, "   Bstar:  ", 3.596310070843503, "   Xstar:  ", 
   0.10588654664657322`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.596310070843503^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073401023107`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1949", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225992409368896`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.600529818567662`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10546521032372358`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.600529818567662`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1949, "   tar:  ", 1.1575, "   tarstar:  ", 1.2375, "   R:  ", 
   3.225992409368896, "   Bstar:  ", 3.600529818567662, "   Xstar:  ", 
   0.10546521032372358`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.600529818567662^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073401123114`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1950", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226171236148792`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6047473381603674`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1050462618818044`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6047473381603674`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1950, "   tar:  ", 1.16, "   tarstar:  ", 1.2375, "   R:  ", 
   3.226171236148792, "   Bstar:  ", 3.6047473381603674`, "   Xstar:  ", 
   0.1050462618818044, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6047473381603674`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340127313*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1951", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2263461162468596`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6089626287302363`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10462968434624553`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6089626287302363`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1951, "   tar:  ", 1.1625, "   tarstar:  ", 1.2375, "   R:  ", 
   3.2263461162468596`, "   Bstar:  ", 3.6089626287302363`, "   Xstar:  ", 
   0.10462968434624553`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6089626287302363`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073401383142`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1952", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226517097634098`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6131756894423526`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10421546088166382`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6131756894423526`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1952, "   tar:  ", 1.165, "   tarstar:  ", 1.2375, "   R:  ", 
   3.226517097634098, "   Bstar:  ", 3.6131756894423526`, "   Xstar:  ", 
   0.10421546088166382`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6131756894423526`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340154316*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1953", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226684227701278`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6173865195174733`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1038035747906464`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6173865195174733`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1953, "   tar:  ", 1.1675, "   tarstar:  ", 1.2375, "   R:  ", 
   3.226684227701278, "   Bstar:  ", 3.6173865195174733`, "   Xstar:  ", 
   0.1038035747906464, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6173865195174733`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073401703176`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1954", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2268475532663308`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6215951182311885`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10339400951255082`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6215951182311885`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1954, "   tar:  ", 1.17, "   tarstar:  ", 1.2375, "   R:  ", 
   3.2268475532663308`, "   Bstar:  ", 3.6215951182311885`, "   Xstar:  ", 
   0.10339400951255082`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6215951182311885`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073401863194`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1955", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227007120581614`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.625801484913154`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10298674862230735`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.625801484913154`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1955, "   tar:  ", 1.1725, "   tarstar:  ", 1.2375, "   R:  ", 
   3.227007120581614, "   Bstar:  ", 3.625801484913154, "   Xstar:  ", 
   0.10298674862230735`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.625801484913154^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073402013206`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1956", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2271629753411`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6300056189462304`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1025817758292425`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6300056189462304`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1956, "   tar:  ", 1.175, "   tarstar:  ", 1.2375, "   R:  ", 
   3.2271629753411, "   Bstar:  ", 3.6300056189462304`, "   Xstar:  ", 
   0.1025817758292425, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6300056189462304`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073402183223`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1957", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227315162687469`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.634207519765753`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10217907497589926`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.634207519765753`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1957, "   tar:  ", 1.1775, "   tarstar:  ", 1.2375, "   R:  ", 
   3.227315162687469, "   Bstar:  ", 3.634207519765753, "   Xstar:  ", 
   0.10217907497589926`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.634207519765753^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340235324*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1958", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2274637272190834`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6384071868587355`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10177863003687586`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6384071868587355`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1958, "   tar:  ", 1.18, "   tarstar:  ", 1.2375, "   R:  ", 
   3.2274637272190834`, "   Bstar:  ", 3.6384071868587355`, "   Xstar:  ", 
   0.10177863003687586`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6384071868587355`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073402513256`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1959", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2276087129969078`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.642604619763094`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10138042511767142`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.642604619763094`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1959, "   tar:  ", 1.1825, "   tarstar:  ", 1.2375, "   R:  ", 
   3.2276087129969078`, "   Bstar:  ", 3.642604619763094, "   Xstar:  ", 
   0.10138042511767142`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.642604619763094^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340268327*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1960", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227750163551309`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6467998180669303`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10098444445353763`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6467998180669303`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1960, "   tar:  ", 1.185, "   tarstar:  ", 1.2375, "   R:  ", 
   3.227750163551309, "   Bstar:  ", 3.6467998180669303`, "   Xstar:  ", 
   0.10098444445353763`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6467998180669303`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073402843285`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1961", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227888121888766`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6509927814077336`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10059067240834844`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6509927814077336`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1961, "   tar:  ", 1.1875, "   tarstar:  ", 1.2375, "   R:  ", 
   3.227888121888766, "   Bstar:  ", 3.6509927814077336`, "   Xstar:  ", 
   0.10059067240834844`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6509927814077336`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734029633*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1962", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228022630498518`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6551835094716942`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10019909347346927`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6551835094716942`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1962, "   tar:  ", 1.19, "   tarstar:  ", 1.2375, "   R:  ", 
   3.228022630498518, "   Bstar:  ", 3.6551835094716942`, "   Xstar:  ", 
   0.10019909347346927`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6551835094716942`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073403063307`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1963", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.228153731359092`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6593720019929754`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0998096922666403`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6593720019929754`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1963, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.2375, 
   "   R:  ", 3.228153731359092, "   Bstar:  ", 3.6593720019929754`, 
   "   Xstar:  ", 0.0998096922666403, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6593720019929754`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340314332*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1964", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228281465944759`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6635582587529747`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09942245353087191`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6635582587529747`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1964, "   tar:  ", 1.195, "   tarstar:  ", 1.2375, "   R:  ", 
   3.228281465944759, "   Bstar:  ", 3.6635582587529747`, "   Xstar:  ", 
   0.09942245353087191, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6635582587529747`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073403273335`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1965", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228405875231914`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.667742279579649`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09903736213334302`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.667742279579649`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1965, "   tar:  ", 1.1975, "   tarstar:  ", 1.2375, "   R:  ", 
   3.228405875231914, "   Bstar:  ", 3.667742279579649, "   Xstar:  ", 
   0.09903736213334302, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.667742279579649^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073403423347`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1966", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228526999705343`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.671924064346804`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09865440306431404`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.671924064346804`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1966, "   tar:  ", 1.2, "   tarstar:  ", 1.2375, "   R:  ", 
   3.228526999705343, "   Bstar:  ", 3.671924064346804, "   Xstar:  ", 
   0.09865440306431404, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.671924064346804^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340355336*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1967", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.228644879364446`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6761036129734075`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09827356143604725`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6761036129734075`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1967, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.2375, 
   "   R:  ", 3.228644879364446, "   Bstar:  ", 3.6761036129734075`, 
   "   Xstar:  ", 0.09827356143604725, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6761036129734075`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340368337*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1968", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2287595537293443`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6802809254229483`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09789482248173227`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6802809254229483`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1968, "   tar:  ", 1.205, "   tarstar:  ", 1.2375, "   R:  ", 
   3.2287595537293443`, "   Bstar:  ", 3.6802809254229483`, "   Xstar:  ", 
   0.09789482248173227, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6802809254229483`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073403793383`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1969", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228871061846917`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6844560017027312`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09751817155442877`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6844560017027312`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1969, "   tar:  ", 1.2075, "   tarstar:  ", 1.2375, "   R:  ", 
   3.228871061846917, "   Bstar:  ", 3.6844560017027312`, "   Xstar:  ", 
   0.09751817155442877, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6844560017027312`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073403893394`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1970", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228979442296771`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6886288418632334`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09714359412601234`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6886288418632334`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1970, "   tar:  ", 1.21, "   tarstar:  ", 1.2375, "   R:  ", 
   3.228979442296771, "   Bstar:  ", 3.6886288418632334`, "   Xstar:  ", 
   0.09714359412601234, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6886288418632334`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340403341*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1971", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2290847331971135`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.692799445997491`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09677107578612729`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.692799445997491`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1971, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.2375, 
   "   R:  ", 3.2290847331971135`, "   Bstar:  ", 3.692799445997491, 
   "   Xstar:  ", 0.09677107578612729, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.692799445997491^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073404123416`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1972", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2291869722105586`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6969678142403986`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09640060224115818`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6969678142403986`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1972, "   tar:  ", 1.215, "   tarstar:  ", 1.2375, "   R:  ", 
   3.2291869722105586`, "   Bstar:  ", 3.6969678142403986`, "   Xstar:  ", 
   0.09640060224115818, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6969678142403986`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073404233427`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1973", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2292861965498543`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.701133946768153`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09603215931319689`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.701133946768153`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1973, "   tar:  ", 1.2175, "   tarstar:  ", 1.2375, "   R:  ", 
   3.2292861965498543`, "   Bstar:  ", 3.701133946768153, "   Xstar:  ", 
   0.09603215931319689, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.701133946768153^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073404353437`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1974", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2293824429835256`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7052978437975512`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0956657329390327`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7052978437975512`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1974, "   tar:  ", 1.22, "   tarstar:  ", 1.2375, "   R:  ", 
   3.2293824429835256`, "   Bstar:  ", 3.7052978437975512`, "   Xstar:  ", 
   0.0956657329390327, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7052978437975512`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073404473453`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1975", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.229475747841461`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7094595055854693`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09530130916913575`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7094595055854693`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1975, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.2375, 
   "   R:  ", 3.229475747841461, "   Bstar:  ", 3.7094595055854693`, 
   "   Xstar:  ", 0.09530130916913575, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7094595055854693`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073404613466`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1976", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229566147020408`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.713618932428182`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09493887416666469`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.713618932428182`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1976, "   tar:  ", 1.225, "   tarstar:  ", 1.2375, "   R:  ", 
   3.229566147020408, "   Bstar:  ", 3.713618932428182, "   Xstar:  ", 
   0.09493887416666469, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.713618932428182^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340476348*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1977", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2296536759894003`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.717776124660816`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09457841420647078`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.717776124660816`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1977, "   tar:  ", 1.2275, "   tarstar:  ", 1.2375, "   R:  ", 
   3.2296536759894003`, "   Bstar:  ", 3.717776124660816, "   Xstar:  ", 
   0.09457841420647078, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.717776124660816^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073404893494`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1978", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229738369795132`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7219310826567376`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09421991567411789`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7219310826567376`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1978, "   tar:  ", 1.23, "   tarstar:  ", 1.2375, "   R:  ", 
   3.229738369795132, "   Bstar:  ", 3.7219310826567376`, "   Xstar:  ", 
   0.09421991567411789, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7219310826567376`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340506351*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1979", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229820263067221`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7260838068269924`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09386336506490701`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7260838068269924`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1979, "   tar:  ", 1.2325, "   tarstar:  ", 1.2375, "   R:  ", 
   3.229820263067221, "   Bstar:  ", 3.7260838068269924`, "   Xstar:  ", 
   0.09386336506490701, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7260838068269924`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073405213523`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1980", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229899390023446`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7302342976197114`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09350874898291277`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7302342976197114`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1980, "   tar:  ", 1.235, "   tarstar:  ", 1.2375, "   R:  ", 
   3.229899390023446, "   Bstar:  ", 3.7302342976197114`, "   Xstar:  ", 
   0.09350874898291277, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7302342976197114`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340537354*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1981", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229975784474889`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7343825555195997`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.093156054140022`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7343825555195997`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1981, "   tar:  ", 1.2375, "   tarstar:  ", 1.2375, "   R:  ", 
   3.229975784474889, "   Bstar:  ", 3.7343825555195997`, "   Xstar:  ", 
   0.093156054140022, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7343825555195997`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340552356*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1982", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230049479831015`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.738528581047298`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09280526735499223`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.738528581047298`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1982, "   tar:  ", 1.24, "   tarstar:  ", 1.2375, "   R:  ", 
   3.230049479831015, "   Bstar:  ", 3.738528581047298, "   Xstar:  ", 
   0.09280526735499223, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.738528581047298^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340569357*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1983", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.23012050910469`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7426723747589086`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09245637555250504`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7426723747589086`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1983, "   tar:  ", 1.2425, "   tarstar:  ", 1.2375, "   R:  ", 
   3.23012050910469, "   Bstar:  ", 3.7426723747589086`, "   Xstar:  ", 
   0.09245637555250504, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7426723747589086`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340583359*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1984", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2301889049171253`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7468139372454328`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09210936576223605`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7468139372454328`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1984, "   tar:  ", 1.245, "   tarstar:  ", 1.2375, "   R:  ", 
   3.2301889049171253`, "   Bstar:  ", 3.7468139372454328`, "   Xstar:  ", 
   0.09210936576223605, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7468139372454328`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734059436*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1985", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2302546995027646`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.750953269132224`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09176422511793224`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.750953269132224`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1985, "   tar:  ", 1.2475, "   tarstar:  ", 1.2375, "   R:  ", 
   3.2302546995027646`, "   Bstar:  ", 3.750953269132224, "   Xstar:  ", 
   0.09176422511793224, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.750953269132224^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340605361*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1986", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2303179247141087`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.75509037107846`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09142094085649626`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.75509037107846`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1986, "   tar:  ", 1.25, "   tarstar:  ", 1.2375, "   R:  ", 
   3.2303179247141087`, "   Bstar:  ", 3.75509037107846, "   Xstar:  ", 
   0.09142094085649626, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.75509037107846^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340614362*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1987", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2303786120264526`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7592252437766693`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09107950031707532`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7592252437766693`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1987, "   tar:  ", 1.2525, "   tarstar:  ", 1.2375, "   R:  ", 
   3.2303786120264526`, "   Bstar:  ", 3.7592252437766693`, "   Xstar:  ", 
   0.09107950031707532, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7592252437766693`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073406233625`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1988", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2304367925426036`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.763357887952175`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0907398909401654`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.763357887952175`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1988, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.2375, 
   "   R:  ", 3.2304367925426036`, "   Bstar:  ", 3.763357887952175, 
   "   Xstar:  ", 0.0907398909401654, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.763357887952175^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073406333637`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1989", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2304924969974906`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.767488304362589`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09040210026671937`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.767488304362589`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1989, "   tar:  ", 1.2575, "   tarstar:  ", 1.2375, "   R:  ", 
   3.2304924969974906`, "   Bstar:  ", 3.767488304362589, "   Xstar:  ", 
   0.09040210026671937, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.767488304362589^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340644365*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1990", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2305457557627535`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7716164937973526`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09006611593726091`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7716164937973526`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1990, "   tar:  ", 1.26, "   tarstar:  ", 1.2375, "   R:  ", 
   3.2305457557627535`, "   Bstar:  ", 3.7716164937973526`, "   Xstar:  ", 
   0.09006611593726091, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7716164937973526`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073406543655`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1991", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230596598851243`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7757424570772313`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08973192569100913`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7757424570772313`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1991, "   tar:  ", 1.2625, "   tarstar:  ", 1.2375, "   R:  ", 
   3.230596598851243, "   Bstar:  ", 3.7757424570772313`, "   Xstar:  ", 
   0.08973192569100913, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7757424570772313`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340665367*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1992", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2306450559214754`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7798661950537866`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08939951736501477`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7798661950537866`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1992, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.2375, 
   "   R:  ", 3.2306450559214754`, "   Bstar:  ", 3.7798661950537866`, 
   "   Xstar:  ", 0.08939951736501477, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7798661950537866`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073406753683`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1993", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2306911562820306`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7839877086089886`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08906887889329236`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7839877086089886`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1993, "   tar:  ", 1.2675, "   tarstar:  ", 1.2375, "   R:  ", 
   3.2306911562820306`, "   Bstar:  ", 3.7839877086089886`, "   Xstar:  ", 
   0.08906887889329236, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7839877086089886`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340686369*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1994", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2307349288958807`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7881069986546474`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08873999830597541`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7881069986546474`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1994, "   tar:  ", 1.27, "   tarstar:  ", 1.2375, "   R:  ", 
   3.2307349288958807`, "   Bstar:  ", 3.7881069986546474`, "   Xstar:  ", 
   0.08873999830597541, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7881069986546474`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734069637*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1995", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230776402384675`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.792224066132033`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08841286372846513`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.792224066132033`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1995, "   tar:  ", 1.2725, "   tarstar:  ", 1.2375, "   R:  ", 
   3.230776402384675, "   Bstar:  ", 3.792224066132033, "   Xstar:  ", 
   0.08841286372846513, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.792224066132033^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340708371*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1996", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230815605032964`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7963389120113495`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08808746338059802`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7963389120113495`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1996, "   tar:  ", 1.275, "   tarstar:  ", 1.2375, "   R:  ", 
   3.230815605032964, "   Bstar:  ", 3.7963389120113495`, "   Xstar:  ", 
   0.08808746338059802, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7963389120113495`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073407193727`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1997", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2308525647923587`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8004515372913423`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08776378557581176`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8004515372913423`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1997, "   tar:  ", 1.2775, "   tarstar:  ", 1.2375, "   R:  ", 
   3.2308525647923587`, "   Bstar:  ", 3.8004515372913423`, "   Xstar:  ", 
   0.08776378557581176, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8004515372913423`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073407303734`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1998", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.23088730928566`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8045619429987982`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08744181872032658`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8045619429987982`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1998, "   tar:  ", 1.28, "   tarstar:  ", 1.2375, "   R:  ", 
   3.23088730928566, "   Bstar:  ", 3.8045619429987982`, "   Xstar:  ", 
   0.08744181872032658, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8045619429987982`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340739374*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1999", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2309198658109026`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8086701301881596`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08712155131232663`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8086701301881596`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1999, "   tar:  ", 1.2825, "   tarstar:  ", 1.2375, "   R:  ", 
   3.2309198658109026`, "   Bstar:  ", 3.8086701301881596`, "   Xstar:  ", 
   0.08712155131232663, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8086701301881596`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073407533755`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2000", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.230950261345375`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8127760999410456`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08680297194115526`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8127760999410456`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2000, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.2375, 
   "   R:  ", 3.230950261345375, "   Bstar:  ", 3.8127760999410456`, 
   "   Xstar:  ", 0.08680297194115526, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8127760999410456`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340765377*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2001", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230978522549563`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8168798533658634`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08648606928651202`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8168798533658634`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2001, "   tar:  ", 1.2875, "   tarstar:  ", 1.2375, "   R:  ", 
   3.230978522549563, "   Bstar:  ", 3.8168798533658634`, "   Xstar:  ", 
   0.08648606928651202, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8168798533658634`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073407783785`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2002", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2310046757710604`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8209813915973423`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08617083211766277`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8209813915973423`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2002, "   tar:  ", 1.29, "   tarstar:  ", 1.2375, "   R:  ", 
   3.2310046757710604`, "   Bstar:  ", 3.8209813915973423`, "   Xstar:  ", 
   0.08617083211766277, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8209813915973423`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734079138*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2003", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231028747048422`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8250807157961653`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08585724929265`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8250807157961653`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2003, "   tar:  ", 1.2925, "   tarstar:  ", 1.2375, "   R:  ", 
   3.231028747048422, "   Bstar:  ", 3.8250807157961653`, "   Xstar:  ", 
   0.08585724929265, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8250807157961653`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340803381*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2004", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2310507621149553`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.829177827148523`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08554530975751669`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.829177827148523`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2004, "   tar:  ", 1.295, "   tarstar:  ", 1.2375, "   R:  ", 
   3.2310507621149553`, "   Bstar:  ", 3.829177827148523, "   Xstar:  ", 
   0.08554530975751669, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.829177827148523^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073408143816`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2005", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2310707464024917`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8332727268657347`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08523500254553258`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8332727268657347`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2005, "   tar:  ", 1.2975, "   tarstar:  ", 1.2375, "   R:  ", 
   3.2310707464024917`, "   Bstar:  ", 3.8332727268657347`, "   Xstar:  ", 
   0.08523500254553258, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8332727268657347`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073408283834`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2006", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2375`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.231088725045067`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8373654161838258`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08492631677643105`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8373654161838258`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2006, "   tar:  ", 1.3, "   tarstar:  ", 1.2375, "   R:  ", 
   3.231088725045067, "   Bstar:  ", 3.8373654161838258`, "   Xstar:  ", 
   0.08492631677643105, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8373654161838258`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073408413844`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2007", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22532620041814`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6014568191336402`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10537294133090506`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6014568191336402`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2007, "   tar:  ", 1.155, "   tarstar:  ", 1.24, "   R:  ", 
   3.22532620041814, "   Bstar:  ", 3.6014568191336402`, "   Xstar:  ", 
   0.10537294133090506`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6014568191336402`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340855386*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2008", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2255082636056747`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6056843227441315`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10495347879219803`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6056843227441315`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2008, "   tar:  ", 1.1575, "   tarstar:  ", 1.24, "   R:  ", 
   3.2255082636056747`, "   Bstar:  ", 3.6056843227441315`, "   Xstar:  ", 
   0.10495347879219803`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6056843227441315`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340868387*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2009", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225686345729812`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.609909588325636`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10453639495882026`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.609909588325636`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2009, "   tar:  ", 1.16, "   tarstar:  ", 1.24, "   R:  ", 
   3.225686345729812, "   Bstar:  ", 3.609909588325636, "   Xstar:  ", 
   0.10453639495882026`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.609909588325636^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073408833885`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2010", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2258604952015797`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6141326150279474`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10412167290633878`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6141326150279474`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2010, "   tar:  ", 1.1625, "   tarstar:  ", 1.24, "   R:  ", 
   3.2258604952015797`, "   Bstar:  ", 3.6141326150279474`, "   Xstar:  ", 
   0.10412167290633878`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6141326150279474`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734089539*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2011", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226030759845705`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6183534020570653`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10370929584928733`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6183534020570653`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2011, "   tar:  ", 1.165, "   tarstar:  ", 1.24, "   R:  ", 
   3.226030759845705, "   Bstar:  ", 3.6183534020570653`, "   Xstar:  ", 
   0.10370929584928733`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6183534020570653`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073409053907`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2012", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22619718690808`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.622571948674454`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10329924713994436`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.622571948674454`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2012, "   tar:  ", 1.1675, "   tarstar:  ", 1.24, "   R:  ", 
   3.22619718690808, "   Bstar:  ", 3.622571948674454, "   Xstar:  ", 
   0.10329924713994436`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.622571948674454^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340915392*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2013", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226359823063125`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6267882541961587`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10289151026713567`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6267882541961587`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2013, "   tar:  ", 1.17, "   tarstar:  ", 1.24, "   R:  ", 
   3.226359823063125, "   Bstar:  ", 3.6267882541961587`, "   Xstar:  ", 
   0.10289151026713567`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6267882541961587`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340925393*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2014", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226518714421054`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6310023179920354`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1024860688550373`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6310023179920354`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2014, "   tar:  ", 1.1725, "   tarstar:  ", 1.24, "   R:  ", 
   3.226518714421054, "   Bstar:  ", 3.6310023179920354`, "   Xstar:  ", 
   0.1024860688550373, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6310023179920354`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073409353943`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2015", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2266739065350527`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.635214139484932`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10208290666199372`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.635214139484932`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2015, "   tar:  ", 1.175, "   tarstar:  ", 1.24, "   R:  ", 
   3.2266739065350527`, "   Bstar:  ", 3.635214139484932, "   Xstar:  ", 
   0.10208290666199372`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.635214139484932^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340946395*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2016", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226825444408344`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6394237181499474`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10168200757933944`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6394237181499474`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2016, "   tar:  ", 1.1775, "   tarstar:  ", 1.24, "   R:  ", 
   3.226825444408344, "   Bstar:  ", 3.6394237181499474`, "   Xstar:  ", 
   0.10168200757933944`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6394237181499474`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340956396*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2017", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2269733725011793`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6436310535136025`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10128335563023913`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6436310535136025`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2017, "   tar:  ", 1.18, "   tarstar:  ", 1.24, "   R:  ", 
   3.2269733725011793`, "   Bstar:  ", 3.6436310535136025`, "   Xstar:  ", 
   0.10128335563023913`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6436310535136025`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340968397*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2018", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2271177347377202`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.647836145153101`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10088693496853068`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.647836145153101`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2018, "   tar:  ", 1.1825, "   tarstar:  ", 1.24, "   R:  ", 
   3.2271177347377202`, "   Bstar:  ", 3.647836145153101, "   Xstar:  ", 
   0.10088693496853068`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.647836145153101^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607340985399*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2019", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2272585745128453`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.652038992695593`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10049272987757758`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.652038992695593`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2019, "   tar:  ", 1.185, "   tarstar:  ", 1.24, "   R:  ", 
   3.2272585745128453`, "   Bstar:  ", 3.652038992695593, "   Xstar:  ", 
   0.10049272987757758`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.652038992695593^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073410014005`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2020", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2273959346988494`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.656239595817418`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10010072476913454`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.656239595817418`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2020, "   tar:  ", 1.1875, "   tarstar:  ", 1.24, "   R:  ", 
   3.2273959346988494`, "   Bstar:  ", 3.656239595817418, "   Xstar:  ", 
   0.10010072476913454`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.656239595817418^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073410134015`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2021", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2275298576520637`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6604379542433705`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.099710904182221`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6604379542433705`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2021, "   tar:  ", 1.19, "   tarstar:  ", 1.24, "   R:  ", 
   3.2275298576520637`, "   Bstar:  ", 3.6604379542433705`, "   Xstar:  ", 
   0.099710904182221, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6604379542433705`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341032404*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2022", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.24`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2276603852193904`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6646340677459843`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09932325278200332`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6646340677459843`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2022, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.24, 
   "   R:  ", 3.2276603852193904`, "   Bstar:  ", 3.6646340677459843`, 
   "   Xstar:  ", 0.09932325278200332, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6646340677459843`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341048405*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2023", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227787558744746`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.668827936144822`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09893775535868655`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.668827936144822`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2023, "   tar:  ", 1.195, "   tarstar:  ", 1.24, "   R:  ", 
   3.227787558744746, "   Bstar:  ", 3.668827936144822, "   Xstar:  ", 
   0.09893775535868655, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.668827936144822^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073410624065`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2024", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2279114190754177`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.673019559305755`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0985543968264178`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.673019559305755`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2024, "   tar:  ", 1.1975, "   tarstar:  ", 1.24, "   R:  ", 
   3.2279114190754177`, "   Bstar:  ", 3.673019559305755, "   Xstar:  ", 
   0.0985543968264178, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.673019559305755^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073410784082`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2025", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228032006568339`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6772089371403194`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0981731622221923`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6772089371403194`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2025, "   tar:  ", 1.2, "   tarstar:  ", 1.24, "   R:  ", 
   3.228032006568339, "   Bstar:  ", 3.6772089371403194`, "   Xstar:  ", 
   0.0981731622221923, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6772089371403194`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073410954103`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2026", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.24`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2281493610962846`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.681396069604987`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09779403670477767`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.681396069604987`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2026, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.24, 
   "   R:  ", 3.2281493610962846`, "   Bstar:  ", 3.681396069604987, 
   "   Xstar:  ", 0.09779403670477767, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.681396069604987^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341113412*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2027", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228263522053974`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.685580956700509`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09741700555364155`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.685580956700509`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2027, "   tar:  ", 1.205, "   tarstar:  ", 1.24, "   R:  ", 
   3.228263522053974, "   Bstar:  ", 3.685580956700509, "   Xstar:  ", 
   0.09741700555364155, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.685580956700509^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341129413*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2028", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2283745283641054`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6897635984712505`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09704205416788922`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6897635984712505`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2028, "   tar:  ", 1.2075, "   tarstar:  ", 1.24, "   R:  ", 
   3.2283745283641054`, "   Bstar:  ", 3.6897635984712505`, "   Xstar:  ", 
   0.09704205416788922, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6897635984712505`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073411434145`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2029", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2284824184833`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.693943995004549`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09666916806521053`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.693943995004549`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2029, "   tar:  ", 1.21, "   tarstar:  ", 1.24, "   R:  ", 
   3.2284824184833, "   Bstar:  ", 3.693943995004549, "   Xstar:  ", 
   0.09666916806521053, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.693943995004549^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341159416*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2030", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.24`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2285872304079812`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6981221464300487`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09629833288083747`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6981221464300487`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2030, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.24, 
   "   R:  ", 3.2285872304079812`, "   Bstar:  ", 3.6981221464300487`, 
   "   Xstar:  ", 0.09629833288083747, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6981221464300487`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341175418*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2031", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2286890016801526`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.70229805291908`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09592953436650781`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.70229805291908`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2031, "   tar:  ", 1.215, "   tarstar:  ", 1.24, "   R:  ", 
   3.2286890016801526`, "   Bstar:  ", 3.70229805291908, "   Xstar:  ", 
   0.09592953436650781, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.70229805291908^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073411924195`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2032", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2287877693931284`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7064717146840325`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09556275838943928`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7064717146840325`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2032, "   tar:  ", 1.2175, "   tarstar:  ", 1.24, "   R:  ", 
   3.2287877693931284`, "   Bstar:  ", 3.7064717146840325`, "   Xstar:  ", 
   0.09556275838943928, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7064717146840325`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073412074213`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2033", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228883570197161`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7106431319777147`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09519799093131462`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7106431319777147`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2033, "   tar:  ", 1.22, "   tarstar:  ", 1.24, "   R:  ", 
   3.228883570197161, "   Bstar:  ", 3.7106431319777147`, "   Xstar:  ", 
   0.09519799093131462, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7106431319777147`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073412204227`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2034", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.24`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2289764403050216`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.714812305092779`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0948352180872692`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.714812305092779`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2034, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.24, 
   "   R:  ", 3.2289764403050216`, "   Bstar:  ", 3.714812305092779, 
   "   Xstar:  ", 0.0948352180872692, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.714812305092779^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341235424*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2035", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229066415497474`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.718979234361098`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09447442606489438`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.718979234361098`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2035, "   tar:  ", 1.225, "   tarstar:  ", 1.24, "   R:  ", 
   3.229066415497474, "   Bstar:  ", 3.718979234361098, "   Xstar:  ", 
   0.09447442606489438, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.718979234361098^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341249425*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2036", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2291535311287123`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.723143920153159`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09411560118324737`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.723143920153159`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2036, "   tar:  ", 1.2275, "   tarstar:  ", 1.24, "   R:  ", 
   3.2291535311287123`, "   Bstar:  ", 3.723143920153159, "   Xstar:  ", 
   0.09411560118324737, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.723143920153159^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073412604265`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2037", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2292378221316955`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.727306362877494`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09375872987186716`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.727306362877494`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2037, "   tar:  ", 1.23, "   tarstar:  ", 1.24, "   R:  ", 
   3.2292378221316955`, "   Bstar:  ", 3.727306362877494, "   Xstar:  ", 
   0.09375872987186716, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.727306362877494^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073412704277`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2038", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229319323023433`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.731466562980146`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09340379866979767`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.731466562980146`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2038, "   tar:  ", 1.2325, "   tarstar:  ", 1.24, "   R:  ", 
   3.229319323023433, "   Bstar:  ", 3.731466562980146, "   Xstar:  ", 
   0.09340379866979767, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.731466562980146^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073412824287`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2039", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229398067910194`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.735624520944002`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09305079422463049`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.735624520944002`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2039, "   tar:  ", 1.235, "   tarstar:  ", 1.24, "   R:  ", 
   3.229398067910194, "   Bstar:  ", 3.735624520944002, "   Xstar:  ", 
   0.09305079422463049, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.735624520944002^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073412934294`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2040", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229474090492635`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7397802372883024`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09269970329154242`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7397802372883024`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2040, "   tar:  ", 1.2375, "   tarstar:  ", 1.24, "   R:  ", 
   3.229474090492635, "   Bstar:  ", 3.7397802372883024`, "   Xstar:  ", 
   0.09269970329154242, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7397802372883024`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073413034306`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2041", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2295474240708884`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7439337125680754`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09235051273234778`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7439337125680754`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2041, "   tar:  ", 1.24, "   tarstar:  ", 1.24, "   R:  ", 
   3.2295474240708884`, "   Bstar:  ", 3.7439337125680754`, "   Xstar:  ", 
   0.09235051273234778, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7439337125680754`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073413134317`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2042", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2296181015495526`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.748084947373598`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09200320951455818`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.748084947373598`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2042, "   tar:  ", 1.2425, "   tarstar:  ", 1.24, "   R:  ", 
   3.2296181015495526`, "   Bstar:  ", 3.748084947373598, "   Xstar:  ", 
   0.09200320951455818, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.748084947373598^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341326433*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2043", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229686155442637`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.752233942329824`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09165778071045343`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.752233942329824`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2043, "   tar:  ", 1.245, "   tarstar:  ", 1.24, "   R:  ", 
   3.229686155442637, "   Bstar:  ", 3.752233942329824, "   Xstar:  ", 
   0.09165778071045343, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.752233942329824^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341338434*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2044", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2297516178784367`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.756380698095887`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09131421349615507`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.756380698095887`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2044, "   tar:  ", 1.2475, "   tarstar:  ", 1.24, "   R:  ", 
   3.2297516178784367`, "   Bstar:  ", 3.756380698095887, "   Xstar:  ", 
   0.09131421349615507, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.756380698095887^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073413514357`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2045", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2298145206043465`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7605252153645603`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0909724951507128`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7605252153645603`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2045, "   tar:  ", 1.25, "   tarstar:  ", 1.24, "   R:  ", 
   3.2298145206043465`, "   Bstar:  ", 3.7605252153645603`, "   Xstar:  ", 
   0.0909724951507128, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7605252153645603`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073413634367`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2046", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2298748949915908`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7646674948617487`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09063261305519622`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7646674948617487`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2046, "   tar:  ", 1.2525, "   tarstar:  ", 1.24, "   R:  ", 
   3.2298748949915908`, "   Bstar:  ", 3.7646674948617487`, "   Xstar:  ", 
   0.09063261305519622, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7646674948617487`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341378438*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2047", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.24`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2299327720399273`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.768807537345951`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09029455469179812`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.768807537345951`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2047, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.24, 
   "   R:  ", 3.2299327720399273`, "   Bstar:  ", 3.768807537345951, 
   "   Xstar:  ", 0.09029455469179812, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.768807537345951^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073413904395`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2048", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2299881823822587`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.772945343607816`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08995830764293847`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.772945343607816`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2048, "   tar:  ", 1.2575, "   tarstar:  ", 1.24, "   R:  ", 
   3.2299881823822587`, "   Bstar:  ", 3.772945343607816, "   Xstar:  ", 
   0.08995830764293847, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.772945343607816^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073414084415`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2049", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2300411562891984`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7770809144696`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08962385959038509`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7770809144696`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2049, "   tar:  ", 1.26, "   tarstar:  ", 1.24, "   R:  ", 
   3.2300411562891984`, "   Bstar:  ", 3.7770809144696, "   Xstar:  ", 
   0.08962385959038509, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7770809144696^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341426443*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2050", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230091723673567`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.781214250784665`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0892911983143795`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.781214250784665`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2050, "   tar:  ", 1.2625, "   tarstar:  ", 1.24, "   R:  ", 
   3.230091723673567, "   Bstar:  ", 3.781214250784665, "   Xstar:  ", 
   0.0892911983143795, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.781214250784665^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073414404445`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2051", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.24`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2301399140948432`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7853453534370374`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08896031169276562`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7853453534370374`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2051, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.24, 
   "   R:  ", 3.2301399140948432`, "   Bstar:  ", 3.7853453534370374`, 
   "   Xstar:  ", 0.08896031169276562, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7853453534370374`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341457446*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2052", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2301857567635412`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7894742233409175`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08863118770013195`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7894742233409175`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2052, "   tar:  ", 1.2675, "   tarstar:  ", 1.24, "   R:  ", 
   3.2301857567635412`, "   Bstar:  ", 3.7894742233409175`, "   Xstar:  ", 
   0.08863118770013195, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7894742233409175`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341471448*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2053", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230229280545544`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7936008614402095`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08830381440695907`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7936008614402095`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2053, "   tar:  ", 1.27, "   tarstar:  ", 1.24, "   R:  ", 
   3.230229280545544, "   Bstar:  ", 3.7936008614402095`, "   Xstar:  ", 
   0.08830381440695907, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7936008614402095`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341487449*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2054", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2302705139663703`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7977252687080627`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08797817997877494`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7977252687080627`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2054, "   tar:  ", 1.2725, "   tarstar:  ", 1.24, "   R:  ", 
   3.2302705139663703`, "   Bstar:  ", 3.7977252687080627`, "   Xstar:  ", 
   0.08797817997877494, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7977252687080627`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734150045*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2055", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2303094852153875`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8018474461463843`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08765427267532082`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8018474461463843`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2055, "   tar:  ", 1.275, "   tarstar:  ", 1.24, "   R:  ", 
   3.2303094852153875`, "   Bstar:  ", 3.8018474461463843`, "   Xstar:  ", 
   0.08765427267532082, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8018474461463843`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341516452*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2056", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2303462221499735`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8059673947854336`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08733208084971839`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8059673947854336`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2056, "   tar:  ", 1.2775, "   tarstar:  ", 1.24, "   R:  ", 
   3.2303462221499735`, "   Bstar:  ", 3.8059673947854336`, "   Xstar:  ", 
   0.08733208084971839, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8059673947854336`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073415304537`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2057", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230380752299625`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8100851156833504`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08701159294765008`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8100851156833504`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2057, "   tar:  ", 1.28, "   tarstar:  ", 1.24, "   R:  ", 
   3.230380752299625, "   Bstar:  ", 3.8100851156833504`, "   Xstar:  ", 
   0.08701159294765008, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8100851156833504`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073415444546`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2058", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230413102869998`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8142006099257393`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08669279750654281`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8142006099257393`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2058, "   tar:  ", 1.2825, "   tarstar:  ", 1.24, "   R:  ", 
   3.230413102869998, "   Bstar:  ", 3.8142006099257393`, "   Xstar:  ", 
   0.08669279750654281, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8142006099257393`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073415594563`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2059", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.24`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.230443300746918`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8183138786252124`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08637568315476336`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8183138786252124`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2059, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.24, 
   "   R:  ", 3.230443300746918, "   Bstar:  ", 3.8183138786252124`, 
   "   Xstar:  ", 0.08637568315476336, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8183138786252124`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341571458*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2060", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2304713725003205`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.822424922920974`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0860602386108173`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.822424922920974`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2060, "   tar:  ", 1.2875, "   tarstar:  ", 1.24, "   R:  ", 
   3.2304713725003205`, "   Bstar:  ", 3.822424922920974, "   Xstar:  ", 
   0.0860602386108173, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.822424922920974^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341587459*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2061", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230497344388146`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.826533743978402`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08574645268255669`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.826533743978402`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2061, "   tar:  ", 1.29, "   tarstar:  ", 1.24, "   R:  ", 
   3.230497344388146, "   Bstar:  ", 3.826533743978402, "   Xstar:  ", 
   0.08574645268255669, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.826533743978402^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734159746*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2062", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2305212423601883`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8306403429886324`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08543431426639468`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8306403429886324`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2062, "   tar:  ", 1.2925, "   tarstar:  ", 1.24, "   R:  ", 
   3.2305212423601883`, "   Bstar:  ", 3.8306403429886324`, "   Xstar:  ", 
   0.08543431426639468, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8306403429886324`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341610461*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2063", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230543092061873`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8347447211681556`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08512381234652709`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8347447211681556`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2063, "   tar:  ", 1.295, "   tarstar:  ", 1.24, "   R:  ", 
   3.230543092061873, "   Bstar:  ", 3.8347447211681556`, "   Xstar:  ", 
   0.08512381234652709, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8347447211681556`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341624463*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2064", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2305629188380234`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8388468797583934`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08481493599416262`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8388468797583934`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2064, "   tar:  ", 1.2975, "   tarstar:  ", 1.24, "   R:  ", 
   3.2305629188380234`, "   Bstar:  ", 3.8388468797583934`, "   Xstar:  ", 
   0.08481493599416262, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8388468797583934`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341637464*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2065", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.24`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2305807477365436`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8429468200253183`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08450767436675752`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8429468200253183`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2065, "   tar:  ", 1.3, "   tarstar:  ", 1.24, "   R:  ", 
   3.2305807477365436`, "   Bstar:  ", 3.8429468200253183`, "   Xstar:  ", 
   0.08450767436675752, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8429468200253183`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341652466*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2066", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2248455003600656`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.60660216288073`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10486269424547881`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.60660216288073`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2066, "   tar:  ", 1.155, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2248455003600656`, "   Bstar:  ", 3.60660216288073, "   Xstar:  ", 
   0.10486269424547881`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.60660216288073^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341664467*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2067", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225026809445956`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6108374157279695`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10444509474838491`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6108374157279695`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2067, "   tar:  ", 1.1575, "   tarstar:  ", 1.2425, "   R:  ", 
   3.225026809445956, "   Bstar:  ", 3.6108374157279695`, "   Xstar:  ", 
   0.10444509474838491`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6108374157279695`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073416774683`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2068", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225204151575439`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6150704206636024`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10402986482086644`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6150704206636024`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2068, "   tar:  ", 1.16, "   tarstar:  ", 1.2425, "   R:  ", 
   3.225204151575439, "   Bstar:  ", 3.6150704206636024`, "   Xstar:  ", 
   0.10402986482086644`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6150704206636024`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073416894693`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2069", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22537757501242`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.619301176878513`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10361698758855273`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.619301176878513`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2069, "   tar:  ", 1.1625, "   tarstar:  ", 1.2425, "   R:  ", 
   3.22537757501242, "   Bstar:  ", 3.619301176878513, "   Xstar:  ", 
   0.10361698758855273`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.619301176878513^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073417014704`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2070", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225547127435898`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6235296836196147`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10320644631580979`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6235296836196147`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2070, "   tar:  ", 1.165, "   tarstar:  ", 1.2425, "   R:  ", 
   3.225547127435898, "   Bstar:  ", 3.6235296836196147`, "   Xstar:  ", 
   0.10320644631580979`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6235296836196147`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341717472*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2071", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225712855947419`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.627755940189006`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10279822440452738`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.627755940189006`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2071, "   tar:  ", 1.1675, "   tarstar:  ", 1.2425, "   R:  ", 
   3.225712855947419, "   Bstar:  ", 3.627755940189006, "   Xstar:  ", 
   0.10279822440452738`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.627755940189006^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073417324734`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2072", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2258748070784264`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6319799459431503`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10239230539291533`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6319799459431503`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2072, "   tar:  ", 1.17, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2258748070784264`, "   Bstar:  ", 3.6319799459431503`, "   Xstar:  ", 
   0.10239230539291533`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6319799459431503`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341745475*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2073", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2260330267975257`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.636201700292079`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1019886729543079`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.636201700292079`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2073, "   tar:  ", 1.1725, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2260330267975257`, "   Bstar:  ", 3.636201700292079, "   Xstar:  ", 
   0.1019886729543079, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.636201700292079^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341763477*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2074", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2261875605176393`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6404212026985836`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10158731089598057`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6404212026985836`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2074, "   tar:  ", 1.175, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2261875605176393`, "   Bstar:  ", 3.6404212026985836`, "   Xstar:  ", 
   0.10158731089598057`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6404212026985836`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073417804785`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2075", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226338453103071`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6446384526774533`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10118820315797339`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6446384526774533`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2075, "   tar:  ", 1.1775, "   tarstar:  ", 1.2425, "   R:  ", 
   3.226338453103071, "   Bstar:  ", 3.6446384526774533`, "   Xstar:  ", 
   0.10118820315797339`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6446384526774533`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734179548*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2076", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2264857488764784`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.648853449794695`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10079133381192582`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.648853449794695`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2076, "   tar:  ", 1.18, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2264857488764784`, "   Bstar:  ", 3.648853449794695, "   Xstar:  ", 
   0.10079133381192582`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.648853449794695^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341809481*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2077", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2266294916257534`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.653066193666766`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10039668705992184`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.653066193666766`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2077, "   tar:  ", 1.1825, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2266294916257534`, "   Bstar:  ", 3.653066193666766, "   Xstar:  ", 
   0.10039668705992184`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.653066193666766^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073418234825`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2078", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2267697246108016`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6572766839598216`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10000424723334411`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6572766839598216`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2078, "   tar:  ", 1.185, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2267697246108016`, "   Bstar:  ", 3.6572766839598216`, "   Xstar:  ", 
   0.10000424723334411`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6572766839598216`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341841484*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2079", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2269064905702476`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.66148492038899`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09961399879173581`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.66148492038899`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2079, "   tar:  ", 1.1875, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2269064905702476`, "   Bstar:  ", 3.66148492038899, "   Xstar:  ", 
   0.09961399879173581, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.66148492038899^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341858486*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2080", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227039831728036`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6656909027176243`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09922592632167536`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6656909027176243`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2080, "   tar:  ", 1.19, "   tarstar:  ", 1.2425, "   R:  ", 
   3.227039831728036, "   Bstar:  ", 3.6656909027176243`, "   Xstar:  ", 
   0.09922592632167536, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6656909027176243`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073418754883`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2081", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.227169789799963`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.669894630756593`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09884001453565766`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.669894630756593`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2081, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.2425, 
   "   R:  ", 3.227169789799963, "   Bstar:  ", 3.669894630756593, 
   "   Xstar:  ", 0.09884001453565766, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.669894630756593^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073418914895`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2082", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227296406000092`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6740961043635716`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0984562482709859`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6740961043635716`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2082, "   tar:  ", 1.195, "   tarstar:  ", 1.2425, "   R:  ", 
   3.227296406000092, "   Bstar:  ", 3.6740961043635716`, "   Xstar:  ", 
   0.0984562482709859, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6740961043635716`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073419064913`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2083", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2274197210471205`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6782953234423337`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09807461248867343`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6782953234423337`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2083, "   tar:  ", 1.1975, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2274197210471205`, "   Bstar:  ", 3.6782953234423337`, "   Xstar:  ", 
   0.09807461248867343, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6782953234423337`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073419224925`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2084", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227539775170629`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.68249228794207`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09769509227235339`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.68249228794207`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2084, "   tar:  ", 1.2, "   tarstar:  ", 1.2425, "   R:  ", 
   3.227539775170629, "   Bstar:  ", 3.68249228794207, "   Xstar:  ", 
   0.09769509227235339, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.68249228794207^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341934494*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2085", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2276566081172744`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6866869978567176`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09731767282719733`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6866869978567176`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2085, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.2425, 
   "   R:  ", 3.2276566081172744`, "   Bstar:  ", 3.6866869978567176`, 
   "   Xstar:  ", 0.09731767282719733, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6866869978567176`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341946495*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2086", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2277702591568764`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6908794532242397`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09694233947884878`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6908794532242397`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2086, "   tar:  ", 1.205, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2277702591568764`, "   Bstar:  ", 3.6908794532242397`, "   Xstar:  ", 
   0.09694233947884878, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6908794532242397`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073419574957`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2087", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227880767088451`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.695069654126037`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0965690776723544`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.695069654126037`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2087, "   tar:  ", 1.2075, "   tarstar:  ", 1.2425, "   R:  ", 
   3.227880767088451, "   Bstar:  ", 3.695069654126037, "   Xstar:  ", 
   0.0965690776723544, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.695069654126037^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607341969497*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2088", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2279881702461335`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.699257600686227`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09619787297111733`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.699257600686227`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2088, "   tar:  ", 1.21, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2279881702461335`, "   Bstar:  ", 3.699257600686227, "   Xstar:  ", 
   0.09619787297111733, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.699257600686227^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073419824986`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2089", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2280925065050465`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.703443293071069`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09582871105584741`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.703443293071069`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2089, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.2425, 
   "   R:  ", 3.2280925065050465`, "   Bstar:  ", 3.703443293071069, 
   "   Xstar:  ", 0.09582871105584741, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.703443293071069^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073419944997`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2090", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2281938132870844`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7076267314882383`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.095461577723534`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7076267314882383`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2090, "   tar:  ", 1.215, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2281938132870844`, "   Bstar:  ", 3.7076267314882383`, "   Xstar:  ", 
   0.095461577723534, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7076267314882383`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607342004501*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2091", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2282921275666094`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7118079161862974`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09509645888641169`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7118079161862974`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2091, "   tar:  ", 1.2175, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2282921275666094`, "   Bstar:  ", 3.7118079161862974`, "   Xstar:  ", 
   0.09509645888641169, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7118079161862974`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073420145016`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2092", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228387485876096`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7159868474540216`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09473334057094882`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7159868474540216`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2092, "   tar:  ", 1.22, "   tarstar:  ", 1.2425, "   R:  ", 
   3.228387485876096, "   Bstar:  ", 3.7159868474540216`, "   Xstar:  ", 
   0.09473334057094882, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7159868474540216`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607342027503*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2093", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.228479924311667`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7201635256197862`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09437220891683856`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7201635256197862`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2093, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.2425, 
   "   R:  ", 3.228479924311667, "   Bstar:  ", 3.7201635256197862`, 
   "   Xstar:  ", 0.09437220891683856, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7201635256197862`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073420405045`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2094", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2285694785385957`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.724337951051002`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09401305017599702`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.724337951051002`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2094, "   tar:  ", 1.225, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2285694785385957`, "   Bstar:  ", 3.724337951051002, "   Xstar:  ", 
   0.09401305017599702, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.724337951051002^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073420525055`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2095", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228656183796703`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.728510124153498`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09365585071157483`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.728510124153498`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2095, "   tar:  ", 1.2275, "   tarstar:  ", 1.2425, "   R:  ", 
   3.228656183796703, "   Bstar:  ", 3.728510124153498, "   Xstar:  ", 
   0.09365585071157483, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.728510124153498^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607342065507*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2096", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2287400749057014`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7326800453709326`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09330059699697499`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7326800453709326`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2096, "   tar:  ", 1.23, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2287400749057014`, "   Bstar:  ", 3.7326800453709326`, "   Xstar:  ", 
   0.09330059699697499, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7326800453709326`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073420785084`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2097", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228821186270459`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7368477151842594`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0929472756148764`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7368477151842594`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2097, "   tar:  ", 1.2325, "   tarstar:  ", 1.2425, "   R:  ", 
   3.228821186270459, "   Bstar:  ", 3.7368477151842594`, "   Xstar:  ", 
   0.0929472756148764, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7368477151842594`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073420925093`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2098", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2288995518861974`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.741013134111085`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09259587325627479`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.741013134111085`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2098, "   tar:  ", 1.235, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2288995518861974`, "   Bstar:  ", 3.741013134111085, "   Xstar:  ", 
   0.09259587325627479, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.741013134111085^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607342108511*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2099", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2289752053436267`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7451763027051834`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09224637671952028`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7451763027051834`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2099, "   tar:  ", 1.2375, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2289752053436267`, "   Bstar:  ", 3.7451763027051834`, "   Xstar:  ", 
   0.09224637671952028, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7451763027051834`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073421245127`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2100", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2290481798339976`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.749337221555898`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.091898772909373`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.749337221555898`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2100, "   tar:  ", 1.24, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2290481798339976`, "   Bstar:  ", 3.749337221555898, "   Xstar:  ", 
   0.091898772909373, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.749337221555898^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073421395144`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2101", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22911850815411`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7534958912876197`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0915530488360618`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7534958912876197`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2101, "   tar:  ", 1.2425, "   tarstar:  ", 1.2425, "   R:  ", 
   3.22911850815411, "   Bstar:  ", 3.7534958912876197`, "   Xstar:  ", 
   0.0915530488360618, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7534958912876197`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607342156516*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2102", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2291862227112302`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7576523125592343`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09120919161435391`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7576523125592343`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2102, "   tar:  ", 1.245, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2291862227112302`, "   Bstar:  ", 3.7576523125592343`, "   Xstar:  ", 
   0.09120919161435391, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7576523125592343`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607342172518*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2103", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229251355527959`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7618064860636102`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0908671884626305`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7618064860636102`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2103, "   tar:  ", 1.2475, "   tarstar:  ", 1.2425, "   R:  ", 
   3.229251355527959, "   Bstar:  ", 3.7618064860636102`, "   Xstar:  ", 
   0.0908671884626305, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7618064860636102`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073421865187`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2104", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229313938247035`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7659584125270387`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0905270267019751`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7659584125270387`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2104, "   tar:  ", 1.25, "   tarstar:  ", 1.2425, "   R:  ", 
   3.229313938247035, "   Bstar:  ", 3.7659584125270387`, "   Xstar:  ", 
   0.0905270267019751, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7659584125270387`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073422015204`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2105", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2293740021360646`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.770108092708773`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09018869375526195`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.770108092708773`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2105, "   tar:  ", 1.2525, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2293740021360646`, "   Bstar:  ", 3.770108092708773, "   Xstar:  ", 
   0.09018869375526195, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.770108092708773^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607342215522*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2106", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.229431578092207`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.774255527400477`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08985217714626115`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.774255527400477`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2106, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.2425, 
   "   R:  ", 3.229431578092207, "   Bstar:  ", 3.774255527400477, 
   "   Xstar:  ", 0.08985217714626115, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.774255527400477^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607342232524*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2107", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229486696646778`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.778400717425743`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08951746449874656`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.778400717425743`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2107, "   tar:  ", 1.2575, "   tarstar:  ", 1.2425, "   R:  ", 
   3.229486696646778, "   Bstar:  ", 3.778400717425743, "   Xstar:  ", 
   0.08951746449874656, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.778400717425743^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607342246525*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2108", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2295393879698038`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.782543663639589`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08918454353561325`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.782543663639589`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2108, "   tar:  ", 1.26, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2295393879698038`, "   Bstar:  ", 3.782543663639589, "   Xstar:  ", 
   0.08918454353561325, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.782543663639589^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073422625265`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2109", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2295896818745216`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.786684366927964`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08885340207800387`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.786684366927964`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2109, "   tar:  ", 1.2625, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2295896818745216`, "   Bstar:  ", 3.786684366927964, "   Xstar:  ", 
   0.08885340207800387, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.786684366927964^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073422745275`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2110", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2296376078218034`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.790822828207314`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08852402804443765`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.790822828207314`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2110, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.2425, 
   "   R:  ", 3.2296376078218034`, "   Bstar:  ", 3.790822828207314, 
   "   Xstar:  ", 0.08852402804443765, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.790822828207314^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607342285529*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2111", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2296831949245357`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.794959048424029`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08819640944995756`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.794959048424029`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2111, "   tar:  ", 1.2675, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2296831949245357`, "   Bstar:  ", 3.794959048424029, "   Xstar:  ", 
   0.08819640944995756, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.794959048424029^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073422955303`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2112", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2297264719519396`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7990930285540307`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08787053440527424`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7990930285540307`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2112, "   tar:  ", 1.27, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2297264719519396`, "   Bstar:  ", 3.7990930285540307`, "   Xstar:  ", 
   0.08787053440527424, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7990930285540307`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073423085313`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2113", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2297674673338284`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8032247696023056`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.087546391115923`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8032247696023056`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2113, "   tar:  ", 1.2725, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2297674673338284`, "   Bstar:  ", 3.8032247696023056`, "   Xstar:  ", 
   0.087546391115923, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8032247696023056`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607342318532*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2114", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229806209164817`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8073542726024368`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08722396788142861`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8073542726024368`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2114, "   tar:  ", 1.275, "   tarstar:  ", 1.2425, "   R:  ", 
   3.229806209164817, "   Bstar:  ", 3.8073542726024368`, "   Xstar:  ", 
   0.08722396788142861, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8073542726024368`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073423305335`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2115", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2298427252084676`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8114815386161505`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08690325309447654`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8114815386161505`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2115, "   tar:  ", 1.2775, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2298427252084676`, "   Bstar:  ", 3.8114815386161505`, "   Xstar:  ", 
   0.08690325309447654, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8114815386161505`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073423435345`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2116", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229877042901392`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.815606568732907`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08658423524008992`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.815606568732907`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2116, "   tar:  ", 1.28, "   tarstar:  ", 1.2425, "   R:  ", 
   3.229877042901392, "   Bstar:  ", 3.815606568732907, "   Xstar:  ", 
   0.08658423524008992, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.815606568732907^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607342356536*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2117", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229909189357287`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8197293640693917`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08626690289482089`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8197293640693917`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2117, "   tar:  ", 1.2825, "   tarstar:  ", 1.2425, "   R:  ", 
   3.229909189357287, "   Bstar:  ", 3.8197293640693917`, "   Xstar:  ", 
   0.08626690289482089, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8197293640693917`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073423675375`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2118", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2299391913709306`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8238499257691787`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08595124472593729`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8238499257691787`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2118, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.2425, 
   "   R:  ", 3.2299391913709306`, "   Bstar:  ", 3.8238499257691787`, 
   "   Xstar:  ", 0.08595124472593729, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8238499257691787`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607342378538*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2119", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2299670754221146`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.82796825500225`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08563724949062763`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.82796825500225`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2119, "   tar:  ", 1.2875, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2299670754221146`, "   Bstar:  ", 3.82796825500225, "   Xstar:  ", 
   0.08563724949062763, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.82796825500225^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073423935394`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2120", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2299928676795386`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.832084352964545`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08532490603521196`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.832084352964545`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2120, "   tar:  ", 1.29, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2299928676795386`, "   Bstar:  ", 3.832084352964545, "   Xstar:  ", 
   0.08532490603521196, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.832084352964545^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073424055405`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2121", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230016594004631`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8361982208776455`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08501420329434972`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8361982208776455`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2121, "   tar:  ", 1.2925, "   tarstar:  ", 1.2425, "   R:  ", 
   3.230016594004631, "   Bstar:  ", 3.8361982208776455`, "   Xstar:  ", 
   0.08501420329434972, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8361982208776455`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073424195423`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2122", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2300382799553495`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8403098599882655`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08470513029027`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8403098599882655`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2122, "   tar:  ", 1.295, "   tarstar:  ", 1.2425, "   R:  ", 
   3.2300382799553495`, "   Bstar:  ", 3.8403098599882655`, "   Xstar:  ", 
   0.08470513029027, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8403098599882655`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607342435544*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2123", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230057950789907`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.844419271567903`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08439767613199708`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.844419271567903`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2123, "   tar:  ", 1.2975, "   tarstar:  ", 1.2425, "   R:  ", 
   3.230057950789907, "   Bstar:  ", 3.844419271567903, "   Xstar:  ", 
   0.08439767613199708, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.844419271567903^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073424525456`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2124", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2425`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.230075631470467`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8485264569124533`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08409183001458652`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8485264569124533`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2124, "   tar:  ", 1.3, "   tarstar:  ", 1.2425, "   R:  ", 
   3.230075631470467, "   Bstar:  ", 3.8485264569124533`, "   Xstar:  ", 
   0.08409183001458652, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8485264569124533`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073424695473`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2125", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224367468055349`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6117461006986886`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10435577819095448`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6117461006986886`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2125, "   tar:  ", 1.155, "   tarstar:  ", 1.245, "   R:  ", 
   3.224367468055349, "   Bstar:  ", 3.6117461006986886`, "   Xstar:  ", 
   0.10435577819095448`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6117461006986886`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073424875493`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2126", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2245480277316356`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.61598909615907`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10394003106388067`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.61598909615907`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2126, "   tar:  ", 1.1575, "   tarstar:  ", 1.245, "   R:  ", 
   3.2245480277316356`, "   Bstar:  ", 3.61598909615907, "   Xstar:  ", 
   0.10394003106388067`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.61598909615907^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073425025506`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2127", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2247246344887976`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.620229833840053`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10352664441035642`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.620229833840053`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2127, "   tar:  ", 1.16, "   tarstar:  ", 1.245, "   R:  ", 
   3.2247246344887976`, "   Bstar:  ", 3.620229833840053, "   Xstar:  ", 
   0.10352664441035642`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.620229833840053^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073425185523`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2128", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224897336444151`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6244683129736135`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10311560140598872`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6244683129736135`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2128, "   tar:  ", 1.1625, "   tarstar:  ", 1.245, "   R:  ", 
   3.224897336444151, "   Bstar:  ", 3.6244683129736135`, "   Xstar:  ", 
   0.10311560140598872`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6244683129736135`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073425335536`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2129", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2250661811315053`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6287045328475074`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10270688536489592`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6287045328475074`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2129, "   tar:  ", 1.165, "   tarstar:  ", 1.245, "   R:  ", 
   3.2250661811315053`, "   Bstar:  ", 3.6287045328475074`, "   Xstar:  ", 
   0.10270688536489592`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6287045328475074`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073425525556`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2130", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2252312155085936`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6329384928044437`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10230047973849347`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6329384928044437`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2130, "   tar:  ", 1.1675, "   tarstar:  ", 1.245, "   R:  ", 
   3.2252312155085936`, "   Bstar:  ", 3.6329384928044437`, "   Xstar:  ", 
   0.10230047973849347`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6329384928044437`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073425685573`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2131", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225392485964422`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6371701922412476`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10189636811429086`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6371701922412476`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2131, "   tar:  ", 1.17, "   tarstar:  ", 1.245, "   R:  ", 
   3.225392485964422, "   Bstar:  ", 3.6371701922412476`, "   Xstar:  ", 
   0.10189636811429086`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6371701922412476`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607342585559*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2132", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2255500383265145`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6413996306080856`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10149453421469336`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6413996306080856`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2132, "   tar:  ", 1.1725, "   tarstar:  ", 1.245, "   R:  ", 
   3.2255500383265145`, "   Bstar:  ", 3.6413996306080856`, "   Xstar:  ", 
   0.10149453421469336`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6413996306080856`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734259756*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2133", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2257039178680604`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.645626807407655`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10109496189581865`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.645626807407655`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2133, "   tar:  ", 1.175, "   tarstar:  ", 1.245, "   R:  ", 
   3.2257039178680604`, "   Bstar:  ", 3.645626807407655, "   Xstar:  ", 
   0.10109496189581865`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.645626807407655^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607342611562*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2134", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225854169314971`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6498517221943954`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1006976351463215`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6498517221943954`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2134, "   tar:  ", 1.1775, "   tarstar:  ", 1.245, "   R:  ", 
   3.225854169314971, "   Bstar:  ", 3.6498517221943954`, "   Xstar:  ", 
   0.1006976351463215, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6498517221943954`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607342623563*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2135", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226000836852833`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.654074374573754`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10030253808622529`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.654074374573754`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2135, "   tar:  ", 1.18, "   tarstar:  ", 1.245, "   R:  ", 
   3.226000836852833, "   Bstar:  ", 3.654074374573754, "   Xstar:  ", 
   0.10030253808622529`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.654074374573754^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073426345634`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2136", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2261439641337843`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6582947642013828`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09990965496576906`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6582947642013828`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2136, "   tar:  ", 1.1825, "   tarstar:  ", 1.245, "   R:  ", 
   3.2261439641337843`, "   Bstar:  ", 3.6582947642013828`, "   Xstar:  ", 
   0.09990965496576906, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6582947642013828`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607342645565*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2137", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2262835942832884`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.66251289078241`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09951897016425945`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.66251289078241`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2137, "   tar:  ", 1.185, "   tarstar:  ", 1.245, "   R:  ", 
   3.2262835942832884`, "   Bstar:  ", 3.66251289078241, "   Xstar:  ", 
   0.09951897016425945, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.66251289078241^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607342657566*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2138", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2264197699068085`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6667287540707116`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09913046818893258`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6667287540707116`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2138, "   tar:  ", 1.1875, "   tarstar:  ", 1.245, "   R:  ", 
   3.2264197699068085`, "   Bstar:  ", 3.6667287540707116`, "   Xstar:  ", 
   0.09913046818893258, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6667287540707116`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073426705675`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2139", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226552533096428`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6709423538681505`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09874413367382985`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6709423538681505`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2139, "   tar:  ", 1.19, "   tarstar:  ", 1.245, "   R:  ", 
   3.226552533096428, "   Bstar:  ", 3.6709423538681505`, "   Xstar:  ", 
   0.09874413367382985, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6709423538681505`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607342684569*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2140", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.226681925437334`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6751536900238935`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09835995137867641`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6751536900238935`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2140, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.245, 
   "   R:  ", 3.226681925437334, "   Bstar:  ", 3.6751536900238935`, 
   "   Xstar:  ", 0.09835995137867641, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6751536900238935`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734269557*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2141", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2268079880142606`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.679362762433683`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09797790618777485`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.679362762433683`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2141, "   tar:  ", 1.195, "   tarstar:  ", 1.245, "   R:  ", 
   3.2268079880142606`, "   Bstar:  ", 3.679362762433683, "   Xstar:  ", 
   0.09797790618777485, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.679362762433683^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607342706571*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2142", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226930761417811`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6835695710391314`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09759798310890679`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6835695710391314`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2142, "   tar:  ", 1.1975, "   tarstar:  ", 1.245, "   R:  ", 
   3.226930761417811, "   Bstar:  ", 3.6835695710391314`, "   Xstar:  ", 
   0.09759798310890679, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6835695710391314`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607342716572*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2143", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227050285750726`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.687774115827075`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09722016727223877`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.687774115827075`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2143, "   tar:  ", 1.2, "   tarstar:  ", 1.245, "   R:  ", 
   3.227050285750726, "   Bstar:  ", 3.687774115827075, "   Xstar:  ", 
   0.09722016727223877, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.687774115827075^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073427295732`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2144", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.227166600634045`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6919763968288257`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09684444392924849`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6919763968288257`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2144, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.245, 
   "   R:  ", 3.227166600634045, "   Bstar:  ", 3.6919763968288257`, 
   "   Xstar:  ", 0.09684444392924849, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6919763968288257`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073427405744`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2145", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227279745213189`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6961764141195683`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09647079845164758`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6961764141195683`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2145, "   tar:  ", 1.205, "   tarstar:  ", 1.245, "   R:  ", 
   3.227279745213189, "   Bstar:  ", 3.6961764141195683`, "   Xstar:  ", 
   0.09647079845164758, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6961764141195683`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073427515755`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2146", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227389758163983`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7003741678176443`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09609921633032426`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7003741678176443`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2146, "   tar:  ", 1.2075, "   tarstar:  ", 1.245, "   R:  ", 
   3.227389758163983, "   Bstar:  ", 3.7003741678176443`, "   Xstar:  ", 
   0.09609921633032426, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7003741678176443`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607342766577*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2147", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227496677698573`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.704569658083953`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0957296831742861`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.704569658083953`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2147, "   tar:  ", 1.21, "   tarstar:  ", 1.245, "   R:  ", 
   3.227496677698573, "   Bstar:  ", 3.704569658083953, "   Xstar:  ", 
   0.0957296831742861, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.704569658083953^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073427855787`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2148", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2276005415712787`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7087628851212573`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09536218470962052`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7087628851212573`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2148, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.245, 
   "   R:  ", 3.2276005415712787`, "   Bstar:  ", 3.7087628851212573`, 
   "   Xstar:  ", 0.09536218470962052, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7087628851212573`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073428015804`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2149", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227701387084366`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.712953849173603`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09499670677845559`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.712953849173603`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2149, "   tar:  ", 1.215, "   tarstar:  ", 1.245, "   R:  ", 
   3.227701387084366, "   Bstar:  ", 3.712953849173603, "   Xstar:  ", 
   0.09499670677845559, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.712953849173603^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073428155823`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2150", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2277992510937406`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7171425505256517`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09463323533793791`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7171425505256517`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2150, "   tar:  ", 1.2175, "   tarstar:  ", 1.245, "   R:  ", 
   3.2277992510937406`, "   Bstar:  ", 3.7171425505256517`, "   Xstar:  ", 
   0.09463323533793791, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7171425505256517`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073428315835`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2151", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22789417001457`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.721328989502082`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09427175645921396`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.721328989502082`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2151, "   tar:  ", 1.22, "   tarstar:  ", 1.245, "   R:  ", 
   3.22789417001457, "   Bstar:  ", 3.721328989502082, "   Xstar:  ", 
   0.09427175645921396, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.721328989502082^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607342848585*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2152", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2279861798268255`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7255131664669743`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09391225632642344`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7255131664669743`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2152, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.245, 
   "   R:  ", 3.2279861798268255`, "   Bstar:  ", 3.7255131664669743`, 
   "   Xstar:  ", 0.09391225632642344, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7255131664669743`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073428665867`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2153", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22807531608076`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.729695081823228`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0935547212356975`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.729695081823228`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2153, "   tar:  ", 1.225, "   tarstar:  ", 1.245, "   R:  ", 
   3.22807531608076, "   Bstar:  ", 3.729695081823228, "   Xstar:  ", 
   0.0935547212356975, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.729695081823228^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073428825884`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2154", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2281616139022975`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7338747360119546`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09319913759417056`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7338747360119546`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2154, "   tar:  ", 1.2275, "   tarstar:  ", 1.245, "   R:  ", 
   3.2281616139022975`, "   Bstar:  ", 3.7338747360119546`, "   Xstar:  ", 
   0.09319913759417056, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7338747360119546`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734289859*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2155", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228245107998375`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7380521295119045`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09284549191899735`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7380521295119045`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2155, "   tar:  ", 1.23, "   tarstar:  ", 1.245, "   R:  ", 
   3.228245107998375, "   Bstar:  ", 3.7380521295119045`, "   Xstar:  ", 
   0.09284549191899735, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7380521295119045`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607342914592*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2156", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2283258326621906`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7422272628388815`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09249377083638063`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7422272628388815`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2156, "   tar:  ", 1.2325, "   tarstar:  ", 1.245, "   R:  ", 
   3.2283258326621906`, "   Bstar:  ", 3.7422272628388815`, "   Xstar:  ", 
   0.09249377083638063, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7422272628388815`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073429305935`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2157", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2284038217783873`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7464001365451987`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0921439610806049`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7464001365451987`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2157, "   tar:  ", 1.235, "   tarstar:  ", 1.245, "   R:  ", 
   3.2284038217783873`, "   Bstar:  ", 3.7464001365451987`, "   Xstar:  ", 
   0.0921439610806049, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7464001365451987`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607342946595*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2158", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2284791088281914`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.750570751219089`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09179604949308255`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.750570751219089`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2158, "   tar:  ", 1.2375, "   tarstar:  ", 1.245, "   R:  ", 
   3.2284791088281914`, "   Bstar:  ", 3.750570751219089, "   Xstar:  ", 
   0.09179604949308255, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.750570751219089^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607342962597*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2159", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2285517268944406`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.754739107484164`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09145002302140551`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.754739107484164`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2159, "   tar:  ", 1.24, "   tarstar:  ", 1.245, "   R:  ", 
   3.2285517268944406`, "   Bstar:  ", 3.754739107484164, "   Xstar:  ", 
   0.09145002302140551, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.754739107484164^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607342978598*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2160", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228621708666589`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.758905205998913`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09110586871840269`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.758905205998913`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2160, "   tar:  ", 1.2425, "   tarstar:  ", 1.245, "   R:  ", 
   3.228621708666589, "   Bstar:  ", 3.758905205998913, "   Xstar:  ", 
   0.09110586871840269, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.758905205998913^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073429955997`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2161", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228689086445617`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7630690474560797`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09076357374121595`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7630690474560797`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2161, "   tar:  ", 1.245, "   tarstar:  ", 1.245, "   R:  ", 
   3.228689086445617, "   Bstar:  ", 3.7630690474560797`, "   Xstar:  ", 
   0.09076357374121595, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7630690474560797`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607343010601*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2162", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2287538921488834`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7672306325822107`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09042312535037131`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7672306325822107`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2162, "   tar:  ", 1.2475, "   tarstar:  ", 1.245, "   R:  ", 
   3.2287538921488834`, "   Bstar:  ", 3.7672306325822107`, "   Xstar:  ", 
   0.09042312535037131, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7672306325822107`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607343025603*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2163", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2288161573149283`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.771389962137118`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09008451090886567`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.771389962137118`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2163, "   tar:  ", 1.25, "   tarstar:  ", 1.245, "   R:  ", 
   3.2288161573149283`, "   Bstar:  ", 3.771389962137118, "   Xstar:  ", 
   0.09008451090886567, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.771389962137118^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073430426044`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2164", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2288759131081832`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7755470369133217`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08974771788126437`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7755470369133217`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2164, "   tar:  ", 1.2525, "   tarstar:  ", 1.245, "   R:  ", 
   3.2288759131081832`, "   Bstar:  ", 3.7755470369133217`, "   Xstar:  ", 
   0.08974771788126437, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7755470369133217`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607343058606*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2165", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.228933190323651`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7797018577356103`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08941273383279716`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7797018577356103`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2165, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.245, 
   "   R:  ", 3.228933190323651, "   Bstar:  ", 3.7797018577356103`, 
   "   Xstar:  ", 0.08941273383279716, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7797018577356103`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073430716076`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2166", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228988019391509`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.783854425460472`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08907954642847399`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.783854425460472`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2166, "   tar:  ", 1.2575, "   tarstar:  ", 1.245, "   R:  ", 
   3.228988019391509, "   Bstar:  ", 3.783854425460472, "   Xstar:  ", 
   0.08907954642847399, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.783854425460472^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607343084609*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2167", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2290404303816373`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.788004740975655`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08874814343219832`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.788004740975655`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2167, "   tar:  ", 1.26, "   tarstar:  ", 1.245, "   R:  ", 
   3.2290404303816373`, "   Bstar:  ", 3.788004740975655, "   Xstar:  ", 
   0.08874814343219832, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.788004740975655^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734309861*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2168", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2290904530081197`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7921528051996636`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0884185127058942`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7921528051996636`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2168, "   tar:  ", 1.2625, "   tarstar:  ", 1.245, "   R:  ", 
   3.2290904530081197`, "   Bstar:  ", 3.7921528051996636`, "   Xstar:  ", 
   0.0884185127058942, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7921528051996636`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073431136117`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2169", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2291381166336603`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7962986190812598`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08809064220864177`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7962986190812598`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2169, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.245, 
   "   R:  ", 3.2291381166336603`, "   Bstar:  ", 3.7962986190812598`, 
   "   Xstar:  ", 0.08809064220864177, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7962986190812598`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607343129613*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2170", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2291834502739465`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.800442183599011`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0877645199958166`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.800442183599011`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2170, "   tar:  ", 1.2675, "   tarstar:  ", 1.245, "   R:  ", 
   3.2291834502739465`, "   Bstar:  ", 3.800442183599011, "   Xstar:  ", 
   0.0877645199958166, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.800442183599011^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073431416144`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2171", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2292264826019688`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8045834997608274`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08744013421823872`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8045834997608274`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2171, "   tar:  ", 1.27, "   tarstar:  ", 1.245, "   R:  ", 
   3.2292264826019688`, "   Bstar:  ", 3.8045834997608274`, "   Xstar:  ", 
   0.08744013421823872, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8045834997608274`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607343153616*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2172", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2292672419522592`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8087225686034896`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08711747312133068`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8087225686034896`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2172, "   tar:  ", 1.2725, "   tarstar:  ", 1.245, "   R:  ", 
   3.2292672419522592`, "   Bstar:  ", 3.8087225686034896`, "   Xstar:  ", 
   0.08711747312133068, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8087225686034896`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607343169617*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2173", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2293057563251026`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.812859391192171`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08679652504428323`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.812859391192171`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2173, "   tar:  ", 1.275, "   tarstar:  ", 1.245, "   R:  ", 
   3.2293057563251026`, "   Bstar:  ", 3.812859391192171, "   Xstar:  ", 
   0.08679652504428323, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.812859391192171^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073431826186`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2174", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2293420533906674`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8169939686200616`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08647727841922243`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8169939686200616`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2174, "   tar:  ", 1.2775, "   tarstar:  ", 1.245, "   R:  ", 
   3.2293420533906674`, "   Bstar:  ", 3.8169939686200616`, "   Xstar:  ", 
   0.08647727841922243, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8169939686200616`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734319462*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2175", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229376160493096`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.821126302007846`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.086159721770395`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.821126302007846`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2175, "   tar:  ", 1.28, "   tarstar:  ", 1.245, "   R:  ", 
   3.229376160493096, "   Bstar:  ", 3.821126302007846, "   Xstar:  ", 
   0.086159721770395, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.821126302007846^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073432096214`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2176", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2294081046545413`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.825256392503315`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0858438437133518`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.825256392503315`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2176, "   tar:  ", 1.2825, "   tarstar:  ", 1.245, "   R:  ", 
   3.2294081046545413`, "   Bstar:  ", 3.825256392503315, "   Xstar:  ", 
   0.0858438437133518, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.825256392503315^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073432246227`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2177", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2294379125791446`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.829384241280911`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08552963295414436`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.829384241280911`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2177, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.245, 
   "   R:  ", 3.2294379125791446`, "   Bstar:  ", 3.829384241280911, 
   "   Xstar:  ", 0.08552963295414436, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.829384241280911^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607343238624*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2178", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229465610656967`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8335098495413344`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08521707828852358`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8335098495413344`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2178, "   tar:  ", 1.2875, "   tarstar:  ", 1.245, "   R:  ", 
   3.229465610656967, "   Bstar:  ", 3.8335098495413344`, "   Xstar:  ", 
   0.08521707828852358, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8335098495413344`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073432556257`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2179", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229491224967864`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.83763321851111`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0849061686011507`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.83763321851111`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2179, "   tar:  ", 1.29, "   tarstar:  ", 1.245, "   R:  ", 
   3.229491224967864, "   Bstar:  ", 3.83763321851111, "   Xstar:  ", 
   0.0849061686011507, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.83763321851111^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073432716274`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2180", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2295147812853156`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.841754349442146`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08459689286481503`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.841754349442146`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2180, "   tar:  ", 1.2925, "   tarstar:  ", 1.245, "   R:  ", 
   3.2295147812853156`, "   Bstar:  ", 3.841754349442146, "   Xstar:  ", 
   0.08459689286481503, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.841754349442146^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073432866287`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2181", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2295363050802`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8458732436113783`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08428924013965375`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8458732436113783`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2181, "   tar:  ", 1.295, "   tarstar:  ", 1.245, "   R:  ", 
   3.2295363050802, "   Bstar:  ", 3.8458732436113783`, "   Xstar:  ", 
   0.08428924013965375, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8458732436113783`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734329863*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2182", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2295558215245252`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.849989902320333`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08398319957238476`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.849989902320333`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2182, "   tar:  ", 1.2975, "   tarstar:  ", 1.245, "   R:  ", 
   3.2295558215245252`, "   Bstar:  ", 3.849989902320333, "   Xstar:  ", 
   0.08398319957238476, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.849989902320333^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073433106318`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2183", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.245`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229573355495105`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.854104326894745`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08367876039554344`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.854104326894745`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2183, "   tar:  ", 1.3, "   tarstar:  ", 1.245, "   R:  ", 
   3.229573355495105, "   Bstar:  ", 3.854104326894745, "   Xstar:  ", 
   0.08367876039554344, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.854104326894745^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607343322633*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2184", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2238920845470522`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.616888631237519`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10385216622653373`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.616888631237519`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2184, "   tar:  ", 1.155, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2238920845470522`, "   Bstar:  ", 3.616888631237519, "   Xstar:  ", 
   0.10385216622653373`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.616888631237519^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073433326335`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2185", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224071899466985`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6211393627132322`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10343826086835232`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6211393627132322`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2185, "   tar:  ", 1.1575, "   tarstar:  ", 1.2475, "   R:  ", 
   3.224071899466985, "   Bstar:  ", 3.6211393627132322`, "   Xstar:  ", 
   0.10343826086835232`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6211393627132322`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073433426347`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2186", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224247775435778`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.625387826556568`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10302670692729561`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.625387826556568`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2186, "   tar:  ", 1.16, "   tarstar:  ", 1.2475, "   R:  ", 
   3.224247775435778, "   Bstar:  ", 3.625387826556568, "   Xstar:  ", 
   0.10302670692729561`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.625387826556568^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607343353636*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2187", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2244197604247034`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.629634022040559`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10261748762886479`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.629634022040559`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2187, "   tar:  ", 1.1625, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2244197604247034`, "   Bstar:  ", 3.629634022040559, "   Xstar:  ", 
   0.10261748762886479`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.629634022040559^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607343366637*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2188", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2245879018229093`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6338779484937613`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10221058633684697`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6338779484937613`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2188, "   tar:  ", 1.165, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2245879018229093`, "   Bstar:  ", 3.6338779484937613`, "   Xstar:  ", 
   0.10221058633684697`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6338779484937613`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607343377638*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2189", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2247522464448557`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6381196052994333`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10180598655209978`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6381196052994333`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2189, "   tar:  ", 1.1675, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2247522464448557`, "   Bstar:  ", 3.6381196052994333`, "   Xstar:  ", 
   0.10180598655209978`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6381196052994333`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073433886395`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2190", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2249128405376397`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6423589918947403`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10140367191134303`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6423589918947403`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2190, "   tar:  ", 1.17, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2249128405376397`, "   Bstar:  ", 3.6423589918947403`, "   Xstar:  ", 
   0.10140367191134303`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6423589918947403`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734339964*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2191", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2250697297882343`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6465961077699283`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10100362618596588`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6465961077699283`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2191, "   tar:  ", 1.1725, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2250697297882343`, "   Bstar:  ", 3.6465961077699283`, "   Xstar:  ", 
   0.10100362618596588`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6465961077699283`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073434106417`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2192", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2252229593306225`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6508309524675493`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10060583328083873`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6508309524675493`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2192, "   tar:  ", 1.175, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2252229593306225`, "   Bstar:  ", 3.6508309524675493`, "   Xstar:  ", 
   0.10060583328083873`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6508309524675493`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073434226427`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2193", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225372573752843`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6550635255816717`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10021027723313855`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6550635255816717`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2193, "   tar:  ", 1.1775, "   tarstar:  ", 1.2475, "   R:  ", 
   3.225372573752843, "   Bstar:  ", 3.6550635255816717`, "   Xstar:  ", 
   0.10021027723313855`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6550635255816717`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607343432644*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2194", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2255186171039427`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6592938267571187`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09981694221118133`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6592938267571187`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2194, "   tar:  ", 1.18, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2255186171039427`, "   Bstar:  ", 3.6592938267571187`, "   Xstar:  ", 
   0.09981694221118133, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6592938267571187`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607343444645*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2195", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2256611329008265`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6635218556887126`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09942581251326568`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6635218556887126`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2195, "   tar:  ", 1.1825, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2256611329008265`, "   Bstar:  ", 3.6635218556887126`, "   Xstar:  ", 
   0.09942581251326568, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6635218556887126`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607343456646*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2196", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225800164135022`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.667747612120494`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09903687256652845`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.667747612120494`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2196, "   tar:  ", 1.185, "   tarstar:  ", 1.2475, "   R:  ", 
   3.225800164135022, "   Bstar:  ", 3.667747612120494, "   Xstar:  ", 
   0.09903687256652845, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.667747612120494^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607343466647*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2197", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2259357532793604`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6719710958450533`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09865010692580141`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6719710958450533`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2197, "   tar:  ", 1.1875, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2259357532793604`, "   Bstar:  ", 3.6719710958450533`, "   Xstar:  ", 
   0.09865010692580141, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6719710958450533`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073434796486`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2198", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2260679422945633`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.67619230670271`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09826550027249213`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.67619230670271`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2198, "   tar:  ", 1.19, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2260679422945633`, "   Bstar:  ", 3.67619230670271, "   Xstar:  ", 
   0.09826550027249213, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.67619230670271^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073434926496`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2199", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2261967726357317`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6804112445808905`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09788303741345676`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6804112445808905`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2199, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.2475, 
   "   R:  ", 3.2261967726357317`, "   Bstar:  ", 3.6804112445808905`, 
   "   Xstar:  ", 0.09788303741345676, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6804112445808905`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607343506651*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2200", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2263222852587696`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6846279094133614`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09750270327989731`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6846279094133614`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2200, "   tar:  ", 1.195, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2263222852587696`, "   Bstar:  ", 3.6846279094133614`, "   Xstar:  ", 
   0.09750270327989731, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6846279094133614`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073435206523`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2201", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2264445206266994`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.688842301179536`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09712448292626175`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.688842301179536`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2201, "   tar:  ", 1.1975, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2264445206266994`, "   Bstar:  ", 3.688842301179536, "   Xstar:  ", 
   0.09712448292626175, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.688842301179536^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073435316534`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2202", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2265635187159196`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6930544199038193`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09674836152915127`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6930544199038193`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2202, "   tar:  ", 1.2, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2265635187159196`, "   Bstar:  ", 3.6930544199038193`, "   Xstar:  ", 
   0.09674836152915127, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6930544199038193`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073435466547`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2203", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2266793190223506`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6972642656549013`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09637432438624231`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6972642656549013`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2203, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.2475, 
   "   R:  ", 3.2266793190223506`, "   Bstar:  ", 3.6972642656549013`, 
   "   Xstar:  ", 0.09637432438624231, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6972642656549013`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073435626564`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2204", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2267919605675153`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7014718385450927`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09600235691521501`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7014718385450927`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2204, "   tar:  ", 1.205, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2267919605675153`, "   Bstar:  ", 3.7014718385450927`, "   Xstar:  ", 
   0.09600235691521501, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7014718385450927`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073435816584`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2205", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226901481904546`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7056771387296723`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09563244465269055`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7056771387296723`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2205, "   tar:  ", 1.2075, "   tarstar:  ", 1.2475, "   R:  ", 
   3.226901481904546, "   Bstar:  ", 3.7056771387296723`, "   Xstar:  ", 
   0.09563244465269055, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7056771387296723`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073436016607`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2206", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227007921124087`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.709880166406246`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0952645732531775`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.709880166406246`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2206, "   tar:  ", 1.21, "   tarstar:  ", 1.2475, "   R:  ", 
   3.227007921124087, "   Bstar:  ", 3.709880166406246, "   Xstar:  ", 
   0.0952645732531775, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.709880166406246^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607343623663*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2207", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.22711131586015`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7140809218140878`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09489872848802978`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7140809218140878`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2207, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.2475, 
   "   R:  ", 3.22711131586015, "   Bstar:  ", 3.7140809218140878`, 
   "   Xstar:  ", 0.09489872848802978, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7140809218140878`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073436516657`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2208", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227211703295853`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7182794052334995`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09453489624441239`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7182794052334995`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2208, "   tar:  ", 1.215, "   tarstar:  ", 1.2475, "   R:  ", 
   3.227211703295853, "   Bstar:  ", 3.7182794052334995`, "   Xstar:  ", 
   0.09453489624441239, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7182794052334995`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607343674668*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2209", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227309120169137`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7224756169852253`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09417306252427278`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7224756169852253`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2209, "   tar:  ", 1.2175, "   tarstar:  ", 1.2475, "   R:  ", 
   3.227309120169137, "   Bstar:  ", 3.7224756169852253`, "   Xstar:  ", 
   0.09417306252427278, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7224756169852253`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073436986704`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2210", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2274036027783426`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7266695574298034`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09381321344332673`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7266695574298034`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2210, "   tar:  ", 1.22, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2274036027783426`, "   Bstar:  ", 3.7266695574298034`, "   Xstar:  ", 
   0.09381321344332673, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7266695574298034`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073437186723`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2211", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2274951869877646`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7308612269669856`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09345533523004856`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7308612269669856`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2211, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.2475, 
   "   R:  ", 3.2274951869877646`, "   Bstar:  ", 3.7308612269669856`, 
   "   Xstar:  ", 0.09345533523004856, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7308612269669856`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607343742675*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2212", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227583908233113`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7350506260351004`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0930994142246755`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7350506260351004`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2212, "   tar:  ", 1.225, "   tarstar:  ", 1.2475, "   R:  ", 
   3.227583908233113, "   Bstar:  ", 3.7350506260351004`, "   Xstar:  ", 
   0.0930994142246755, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7350506260351004`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607343769677*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2213", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2276698015268956`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7392377551105005`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09274543687821381`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7392377551105005`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2213, "   tar:  ", 1.2275, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2276698015268956`, "   Bstar:  ", 3.7392377551105005`, "   Xstar:  ", 
   0.09274543687821381, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7392377551105005`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734379268*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2214", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227752901463739`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7434226147069714`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09239338975145849`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7434226147069714`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2214, "   tar:  ", 1.23, "   tarstar:  ", 1.2475, "   R:  ", 
   3.227752901463739, "   Bstar:  ", 3.7434226147069714`, "   Xstar:  ", 
   0.09239338975145849, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7434226147069714`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607343816682*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2215", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227833242225636`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.747605205375158`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09204325951402051`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.747605205375158`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2215, "   tar:  ", 1.2325, "   tarstar:  ", 1.2475, "   R:  ", 
   3.227833242225636, "   Bstar:  ", 3.747605205375158, "   Xstar:  ", 
   0.09204325951402051, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.747605205375158^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607343836684*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2216", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2279108575871307`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.751785527701983`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09169503294336359`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.751785527701983`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2216, "   tar:  ", 1.235, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2279108575871307`, "   Bstar:  ", 3.751785527701983, "   Xstar:  ", 
   0.09169503294336359, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.751785527701983^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073438606863`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2217", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227985780920411`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.755963582310114`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09134869692384667`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.755963582310114`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2217, "   tar:  ", 1.2375, "   tarstar:  ", 1.2475, "   R:  ", 
   3.227985780920411, "   Bstar:  ", 3.755963582310114, "   Xstar:  ", 
   0.09134869692384667, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.755963582310114^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073438826885`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2218", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228058045200375`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.760139369857425`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0910042384457756`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.760139369857425`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2218, "   tar:  ", 1.24, "   tarstar:  ", 1.2475, "   R:  ", 
   3.228058045200375, "   Bstar:  ", 3.760139369857425, "   Xstar:  ", 
   0.0910042384457756, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.760139369857425^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607343907691*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2219", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22812768300958`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7643128910363806`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0906616446044703`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7643128910363806`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2219, "   tar:  ", 1.2425, "   tarstar:  ", 1.2475, "   R:  ", 
   3.22812768300958, "   Bstar:  ", 3.7643128910363806`, "   Xstar:  ", 
   0.0906616446044703, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7643128910363806`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073439326935`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2220", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2281947265431787`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7684841465735963`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09032090259932672`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7684841465735963`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2220, "   tar:  ", 1.245, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2281947265431787`, "   Bstar:  ", 3.7684841465735963`, "   Xstar:  ", 
   0.09032090259932672, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7684841465735963`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607343956696*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2221", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228259207613742`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7726531372292604`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08998199973289836`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7726531372292604`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2221, "   tar:  ", 1.2475, "   tarstar:  ", 1.2475, "   R:  ", 
   3.228259207613742, "   Bstar:  ", 3.7726531372292604`, "   Xstar:  ", 
   0.08998199973289836, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7726531372292604`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607343983699*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2222", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228321157656052`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7768198637965877`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08964492340998503`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7768198637965877`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2222, "   tar:  ", 1.25, "   tarstar:  ", 1.2475, "   R:  ", 
   3.228321157656052, "   Bstar:  ", 3.7768198637965877`, "   Xstar:  ", 
   0.08964492340998503, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7768198637965877`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607344007701*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2223", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2283806077318196`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7809843271013923`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08930966113671952`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7809843271013923`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2223, "   tar:  ", 1.2525, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2283806077318196`, "   Bstar:  ", 3.7809843271013923`, "   Xstar:  ", 
   0.08930966113671952, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7809843271013923`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607344031704*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2224", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2284375885343355`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7851465280014978`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08897620051967739`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7851465280014978`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2224, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.2475, 
   "   R:  ", 3.2284375885343355`, "   Bstar:  ", 3.7851465280014978`, 
   "   Xstar:  ", 0.08897620051967739, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7851465280014978`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073440547056`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2225", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228492130393071`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7893064673862695`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08864452926498426`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7893064673862695`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2225, "   tar:  ", 1.2575, "   tarstar:  ", 1.2475, "   R:  ", 
   3.228492130393071, "   Bstar:  ", 3.7893064673862695`, "   Xstar:  ", 
   0.08864452926498426, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7893064673862695`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073440827084`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2226", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2285442632782053`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7934641461761425`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08831463517743296`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7934641461761425`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2226, "   tar:  ", 1.26, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2285442632782053`, "   Bstar:  ", 3.7934641461761425`, "   Xstar:  ", 
   0.08831463517743296, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7934641461761425`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607344109711*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2227", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2285940168050984`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.797619565322086`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.087986506159614`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.797619565322086`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2227, "   tar:  ", 1.2625, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2285940168050984`, "   Bstar:  ", 3.797619565322086, "   Xstar:  ", 
   0.087986506159614, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.797619565322086^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607344135714*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2228", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.22864142023872`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8017727258051903`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08766013021104421`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8017727258051903`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2228, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.2475, 
   "   R:  ", 3.22864142023872, "   Bstar:  ", 3.8017727258051903`, 
   "   Xstar:  ", 0.08766013021104421, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8017727258051903`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073441647167`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2229", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228686502497991`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.805923628636123`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0873354954273149`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.805923628636123`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2229, "   tar:  ", 1.2675, "   tarstar:  ", 1.2475, "   R:  ", 
   3.228686502497991, "   Bstar:  ", 3.805923628636123, "   Xstar:  ", 
   0.0873354954273149, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.805923628636123^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073441877193`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2230", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2287292921600934`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8100722748547478`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08701258999923452`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8100722748547478`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2230, "   tar:  ", 1.27, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2287292921600934`, "   Bstar:  ", 3.8100722748547478`, "   Xstar:  ", 
   0.08701258999923452, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8100722748547478`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607344209721*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2231", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228769817464708`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8142186655295696`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08669140221199423`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8142186655295696`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2231, "   tar:  ", 1.2725, "   tarstar:  ", 1.2475, "   R:  ", 
   3.228769817464708, "   Bstar:  ", 3.8142186655295696`, "   Xstar:  ", 
   0.08669140221199423, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8142186655295696`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073442307234`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2232", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2288081063182004`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8183628017573583`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08637192044432651`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8183628017573583`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2232, "   tar:  ", 1.275, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2288081063182004`, "   Bstar:  ", 3.8183628017573583`, "   Xstar:  ", 
   0.08637192044432651, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8183628017573583`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073442527256`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2233", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228844186297771`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8225046846626634`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08605413316768164`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8225046846626634`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2233, "   tar:  ", 1.2775, "   tarstar:  ", 1.2475, "   R:  ", 
   3.228844186297771, "   Bstar:  ", 3.8225046846626634`, "   Xstar:  ", 
   0.08605413316768164, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8225046846626634`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607344275728*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2234", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228878084655508`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.826644315397394`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08573802894540514`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.826644315397394`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2234, "   tar:  ", 1.28, "   tarstar:  ", 1.2475, "   R:  ", 
   3.228878084655508, "   Bstar:  ", 3.826644315397394, "   Xstar:  ", 
   0.08573802894540514, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.826644315397394^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734429773*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2235", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2289098283224305`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8307816951403684`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08542359643192803`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8307816951403684`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2235, "   tar:  ", 1.2825, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2289098283224305`, "   Bstar:  ", 3.8307816951403684`, "   Xstar:  ", 
   0.08542359643192803, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8307816951403684`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607344316732*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2236", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.228939443912453`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.834916825096877`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0851108243719617`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.834916825096877`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2236, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.2475, 
   "   R:  ", 3.228939443912453, "   Bstar:  ", 3.834916825096877, 
   "   Xstar:  ", 0.0851108243719617, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.834916825096877^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073443407345`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2237", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228966957726313`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.839049706498307`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08479970159969703`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.839049706498307`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2237, "   tar:  ", 1.2875, "   tarstar:  ", 1.2475, "   R:  ", 
   3.228966957726313, "   Bstar:  ", 3.839049706498307, "   Xstar:  ", 
   0.08479970159969703, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.839049706498307^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607344356736*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2238", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2289923957554274`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8431803406016622`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08449021703801891`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8431803406016622`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2238, "   tar:  ", 1.29, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2289923957554274`, "   Bstar:  ", 3.8431803406016622`, "   Xstar:  ", 
   0.08449021703801891, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8431803406016622`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073443717375`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2239", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.229015783685727`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8473087286891876`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08418235969772025`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8473087286891876`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2239, "   tar:  ", 1.2925, "   tarstar:  ", 1.2475, "   R:  ", 
   3.229015783685727, "   Bstar:  ", 3.8473087286891876`, "   Xstar:  ", 
   0.08418235969772025, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8473087286891876`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607344388739*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2240", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2290371469014114`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8514348720679767`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0838761186767255`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8514348720679767`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2240, "   tar:  ", 1.295, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2290371469014114`, "   Bstar:  ", 3.8514348720679767`, "   Xstar:  ", 
   0.0838761186767255, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8514348720679767`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607344404741*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2241", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2290565104886744`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.855558772069536`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08357148315932404`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.855558772069536`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2241, "   tar:  ", 1.2975, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2290565104886744`, "   Bstar:  ", 3.855558772069536, "   Xstar:  ", 
   0.08357148315932404, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.855558772069536^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607344418742*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2242", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2475`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2290738992393777`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8596804300494205`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08326844241540658`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8596804300494205`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2242, "   tar:  ", 1.3, "   tarstar:  ", 1.2475, "   R:  ", 
   3.2290738992393777`, "   Bstar:  ", 3.8596804300494205`, "   Xstar:  ", 
   0.08326844241540658, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8596804300494205`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073444337435`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2243", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2234193310386563`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.622029753182844`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10335183166719233`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.622029753182844`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2243, "   tar:  ", 1.155, "   tarstar:  ", 1.25, "   R:  ", 
   3.2234193310386563`, "   Bstar:  ", 3.622029753182844, "   Xstar:  ", 
   0.10335183166719233`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.622029753182844^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073444457445`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2244", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2235984058170915`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6262882141017556`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10293975754676617`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6262882141017556`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2244, "   tar:  ", 1.1575, "   tarstar:  ", 1.25, "   R:  ", 
   3.2235984058170915`, "   Bstar:  ", 3.6262882141017556`, "   Xstar:  ", 
   0.10293975754676617`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6262882141017556`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073444597464`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2245", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2237735555434877`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6305443975500866`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1025300258265144`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6305443975500866`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2245, "   tar:  ", 1.16, "   tarstar:  ", 1.25, "   R:  ", 
   3.2237735555434877`, "   Bstar:  ", 3.6305443975500866`, "   Xstar:  ", 
   0.1025300258265144, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6305443975500866`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073444737473`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2246", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223944828043612`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6347983028418778`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10212261978174937`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6347983028418778`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2246, "   tar:  ", 1.1625, "   tarstar:  ", 1.25, "   R:  ", 
   3.223944828043612, "   Bstar:  ", 3.6347983028418778`, "   Xstar:  ", 
   0.10212261978174937`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6347983028418778`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734449175*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2247", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2241122705624896`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6390499293464376`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10171752282584236`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6390499293464376`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2247, "   tar:  ", 1.165, "   tarstar:  ", 1.25, "   R:  ", 
   3.2241122705624896`, "   Bstar:  ", 3.6390499293464376`, "   Xstar:  ", 
   0.10171752282584236`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6390499293464376`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073445117517`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2248", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2242759297718333`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.643299276487555`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10131471850900343`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.643299276487555`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2248, "   tar:  ", 1.1675, "   tarstar:  ", 1.25, "   R:  ", 
   3.2242759297718333`, "   Bstar:  ", 3.643299276487555, "   Xstar:  ", 
   0.10131471850900343`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.643299276487555^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073445387545`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2249", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224435851777365`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6475463437426696`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10091419051707695`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6475463437426696`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2249, "   tar:  ", 1.17, "   tarstar:  ", 1.25, "   R:  ", 
   3.224435851777365, "   Bstar:  ", 3.6475463437426696`, "   Xstar:  ", 
   0.10091419051707695`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6475463437426696`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607344556756*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2250", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224592082126032`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6517911306420787`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10051592267034443`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6517911306420787`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2250, "   tar:  ", 1.1725, "   tarstar:  ", 1.25, "   R:  ", 
   3.224592082126032, "   Bstar:  ", 3.6517911306420787`, "   Xstar:  ", 
   0.10051592267034443`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6517911306420787`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073445727577`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2251", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2247446658131422`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.656033636768141`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10011989892233875`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.656033636768141`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2251, "   tar:  ", 1.175, "   tarstar:  ", 1.25, "   R:  ", 
   3.2247446658131422`, "   Bstar:  ", 3.656033636768141, "   Xstar:  ", 
   0.10011989892233875`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.656033636768141^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607344587759*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2252", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224893647289385`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.660273861754499`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09972610335866694`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.660273861754499`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2252, "   tar:  ", 1.1775, "   tarstar:  ", 1.25, "   R:  ", 
   3.224893647289385, "   Bstar:  ", 3.660273861754499, "   Xstar:  ", 
   0.09972610335866694, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.660273861754499^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073446007605`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2253", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2250390704677803`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6645118052853243`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09933452019584278`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6645118052853243`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2253, "   tar:  ", 1.18, "   tarstar:  ", 1.25, "   R:  ", 
   3.2250390704677803`, "   Bstar:  ", 3.6645118052853243`, "   Xstar:  ", 
   0.09933452019584278, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6645118052853243`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073446207623`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2254", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22518097873052`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.668747467094554`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09894513378013005`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.668747467094554`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2254, "   tar:  ", 1.1825, "   tarstar:  ", 1.25, "   R:  ", 
   3.22518097873052, "   Bstar:  ", 3.668747467094554, "   Xstar:  ", 
   0.09894513378013005, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.668747467094554^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607344637764*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2255", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2253194149357234`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.672980846965109`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0985579285863985`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.672980846965109`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2255, "   tar:  ", 1.185, "   tarstar:  ", 1.25, "   R:  ", 
   3.2253194149357234`, "   Bstar:  ", 3.672980846965109, "   Xstar:  ", 
   0.0985579285863985, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.672980846965109^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607344654766*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2256", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2254544214240917`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.677211944728222`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09817288921698049`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.677211944728222`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2256, "   tar:  ", 1.1875, "   tarstar:  ", 1.25, "   R:  ", 
   3.2254544214240917`, "   Bstar:  ", 3.677211944728222, "   Xstar:  ", 
   0.09817288921698049, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.677211944728222^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073446697674`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2257", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2255860400255005`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.68144076026266`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09779000040054771`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.68144076026266`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2257, "   tar:  ", 1.19, "   tarstar:  ", 1.25, "   R:  ", 
   3.2255860400255005`, "   Bstar:  ", 3.68144076026266, "   Xstar:  ", 
   0.09779000040054771, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.68144076026266^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607344685769*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2258", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.25`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.22571431206547`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6856672934940473`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09740924699098927`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6856672934940473`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2258, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.25, 
   "   R:  ", 3.22571431206547, "   Bstar:  ", 3.6856672934940473`, 
   "   Xstar:  ", 0.09740924699098927, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6856672934940473`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073446997705`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2259", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2258392783715832`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6898915443941274`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09703061396630563`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6898915443941274`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2259, "   tar:  ", 1.195, "   tarstar:  ", 1.25, "   R:  ", 
   3.2258392783715832`, "   Bstar:  ", 3.6898915443941274`, "   Xstar:  ", 
   0.09703061396630563, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6898915443941274`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073447127714`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2260", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2259609792797894`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.694113512980077`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09665408642750874`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.694113512980077`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2260, "   tar:  ", 1.1975, "   tarstar:  ", 1.25, "   R:  ", 
   3.2259609792797894`, "   Bstar:  ", 3.694113512980077, "   Xstar:  ", 
   0.09665408642750874, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.694113512980077^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607344727773*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2261", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2260794546406366`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.698333199313821`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09627964959753155`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.698333199313821`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2261, "   tar:  ", 1.2, "   tarstar:  ", 1.25, "   R:  ", 
   3.2260794546406366`, "   Bstar:  ", 3.698333199313821, "   Xstar:  ", 
   0.09627964959753155, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.698333199313821^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607344740774*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2262", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.25`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2261947438254333`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7025506035013804`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0959072888201453`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7025506035013804`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2262, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.25, 
   "   R:  ", 3.2261947438254333`, "   Bstar:  ", 3.7025506035013804`, 
   "   Xstar:  ", 0.0959072888201453, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7025506035013804`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073447527757`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2263", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2263068857322983`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7067657256921565`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09553698955889314`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7067657256921565`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2263, "   tar:  ", 1.205, "   tarstar:  ", 1.25, "   R:  ", 
   3.2263068857322983`, "   Bstar:  ", 3.7067657256921565`, "   Xstar:  ", 
   0.09553698955889314, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7067657256921565`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073447677774`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2264", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226415918792161`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.710978566078318`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09516873739602329`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.710978566078318`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2264, "   tar:  ", 1.2075, "   tarstar:  ", 1.25, "   R:  ", 
   3.226415918792161, "   Bstar:  ", 3.710978566078318, "   Xstar:  ", 
   0.09516873739602329, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.710978566078318^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607344778778*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2265", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226521880974661`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7151891248941213`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09480251803143963`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7151891248941213`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2265, "   tar:  ", 1.21, "   tarstar:  ", 1.25, "   R:  ", 
   3.226521880974661, "   Bstar:  ", 3.7151891248941213`, "   Xstar:  ", 
   0.09480251803143963, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7151891248941213`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607344790779*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2266", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.25`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.22662480979398`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7193974024152907`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09443831728165594`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7193974024152907`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2266, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.25, 
   "   R:  ", 3.22662480979398, "   Bstar:  ", 3.7193974024152907`, 
   "   Xstar:  ", 0.09443831728165594, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7193974024152907`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073448037806`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2267", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2267247423145884`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.723603398958386`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09407612107876187`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.723603398958386`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2267, "   tar:  ", 1.215, "   tarstar:  ", 1.25, "   R:  ", 
   3.2267247423145884`, "   Bstar:  ", 3.723603398958386, "   Xstar:  ", 
   0.09407612107876187, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.723603398958386^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607344816782*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2268", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22682171515693`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7278071148801684`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09371591546939811`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7278071148801684`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2268, "   tar:  ", 1.2175, "   tarstar:  ", 1.25, "   R:  ", 
   3.22682171515693, "   Bstar:  ", 3.7278071148801684`, "   Xstar:  ", 
   0.09371591546939811, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7278071148801684`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073448297834`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2269", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2269157645030075`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7320085505769858`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09335768661374`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7320085505769858`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2269, "   tar:  ", 1.22, "   tarstar:  ", 1.25, "   R:  ", 
   3.2269157645030075`, "   Bstar:  ", 3.7320085505769858`, "   Xstar:  ", 
   0.09335768661374, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7320085505769858`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073448447847`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2270", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.25`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.227006926101917`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.736207706484198`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09300142078448752`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.736207706484198`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2270, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.25, 
   "   R:  ", 3.227006926101917, "   Bstar:  ", 3.736207706484198, 
   "   Xstar:  ", 0.09300142078448752, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.736207706484198^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073448617864`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2271", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227095235275297`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7404045830755317`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09264710436587054`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7404045830755317`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2271, "   tar:  ", 1.225, "   tarstar:  ", 1.25, "   R:  ", 
   3.227095235275297, "   Bstar:  ", 3.7404045830755317`, "   Xstar:  ", 
   0.09264710436587054, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7404045830755317`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073448807883`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2272", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227180726922709`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7445991808625463`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09229472385265414`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7445991808625463`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2272, "   tar:  ", 1.2275, "   tarstar:  ", 1.25, "   R:  ", 
   3.227180726922709, "   Bstar:  ", 3.7445991808625463`, "   Xstar:  ", 
   0.09229472385265414, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7445991808625463`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073448997903`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2273", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2272634355269414`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.748791500394018`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09194426584916097`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.748791500394018`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2273, "   tar:  ", 1.23, "   tarstar:  ", 1.25, "   R:  ", 
   3.2272634355269414`, "   Bstar:  ", 3.748791500394018, "   Xstar:  ", 
   0.09194426584916097, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.748791500394018^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073449187922`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2274", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227343395159255`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.752981542255361`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09159571706829854`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.752981542255361`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2274, "   tar:  ", 1.2325, "   tarstar:  ", 1.25, "   R:  ", 
   3.227343395159255, "   Bstar:  ", 3.752981542255361, "   Xstar:  ", 
   0.09159571706829854, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.752981542255361^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073449347935`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2275", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2274206394845395`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7571693070680903`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09124906433059357`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7571693070680903`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2275, "   tar:  ", 1.235, "   tarstar:  ", 1.25, "   R:  ", 
   3.2274206394845395`, "   Bstar:  ", 3.7571693070680903`, "   Xstar:  ", 
   0.09124906433059357, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7571693070680903`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073449527955`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2276", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227495201766429`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7613547954892654`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09090429456323634`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7613547954892654`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2276, "   tar:  ", 1.2375, "   tarstar:  ", 1.25, "   R:  ", 
   3.227495201766429, "   Bstar:  ", 3.7613547954892654`, "   Xstar:  ", 
   0.09090429456323634, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7613547954892654`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607344971798*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2277", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2275671148723197`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7655380082109233`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09056139479913572`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7655380082109233`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2277, "   tar:  ", 1.24, "   tarstar:  ", 1.25, "   R:  ", 
   3.2275671148723197`, "   Bstar:  ", 3.7655380082109233`, "   Xstar:  ", 
   0.09056139479913572, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7655380082109233`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607344988799*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2278", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2276364112783438`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7697189459595215`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09022035217598172`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7697189459595215`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2278, "   tar:  ", 1.2425, "   tarstar:  ", 1.25, "   R:  ", 
   3.2276364112783438`, "   Bstar:  ", 3.7697189459595215`, "   Xstar:  ", 
   0.09022035217598172, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7697189459595215`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073450088015`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2279", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2277031230742645`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.773897609495476`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08988115393530986`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.773897609495476`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2279, "   tar:  ", 1.245, "   tarstar:  ", 1.25, "   R:  ", 
   3.2277031230742645`, "   Bstar:  ", 3.773897609495476, "   Xstar:  ", 
   0.08988115393530986, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.773897609495476^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607345028803*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2280", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227767281968323`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.778073999612545`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08954378742158678`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.778073999612545`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2280, "   tar:  ", 1.2475, "   tarstar:  ", 1.25, "   R:  ", 
   3.227767281968323, "   Bstar:  ", 3.778073999612545, "   Xstar:  ", 
   0.08954378742158678, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.778073999612545^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607345043805*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2281", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227828919291992`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7822481171373807`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08920824008129091`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7822481171373807`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2281, "   tar:  ", 1.25, "   tarstar:  ", 1.25, "   R:  ", 
   3.227828919291992, "   Bstar:  ", 3.7822481171373807`, "   Xstar:  ", 
   0.08920824008129091, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7822481171373807`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073450598063`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2282", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2278880660047014`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.786419962928953`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08887449946201256`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.786419962928953`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2282, "   tar:  ", 1.2525, "   tarstar:  ", 1.25, "   R:  ", 
   3.2278880660047014`, "   Bstar:  ", 3.786419962928953, "   Xstar:  ", 
   0.08887449946201256, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.786419962928953^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607345071808*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2283", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.25`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2279447526984706`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7905895378781325`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08854255321154986`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7905895378781325`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2283, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.25, 
   "   R:  ", 3.2279447526984706`, "   Bstar:  ", 3.7905895378781325`, 
   "   Xstar:  ", 0.08854255321154986, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7905895378781325`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607345083809*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2284", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2279990096025033`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.794756842907101`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08821238907702698`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.794756842907101`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2284, "   tar:  ", 1.2575, "   tarstar:  ", 1.25, "   R:  ", 
   3.2279990096025033`, "   Bstar:  ", 3.794756842907101, "   Xstar:  ", 
   0.08821238907702698, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.794756842907101^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734509581*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2285", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228050866587712`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.798921878968907`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08788399490400936`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.798921878968907`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2285, "   tar:  ", 1.26, "   tarstar:  ", 1.25, "   R:  ", 
   3.228050866587712, "   Bstar:  ", 3.798921878968907, "   Xstar:  ", 
   0.08788399490400936, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.798921878968907^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073451118116`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2286", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2281003531711763`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.80308464704699`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08755735863563029`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.80308464704699`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2286, "   tar:  ", 1.2625, "   tarstar:  ", 1.25, "   R:  ", 
   3.2281003531711763`, "   Bstar:  ", 3.80308464704699, "   Xstar:  ", 
   0.08755735863563029, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.80308464704699^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073451288133`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2287", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.25`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.228147498520554`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8072451481546805`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08723246831172711`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8072451481546805`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2287, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.25, 
   "   R:  ", 3.228147498520554, "   Bstar:  ", 3.8072451481546805`, 
   "   Xstar:  ", 0.08723246831172711, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8072451481546805`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073451448145`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2288", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2281923314584233`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8114033833347385`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08690931206798368`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8114033833347385`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2288, "   tar:  ", 1.2675, "   tarstar:  ", 1.25, "   R:  ", 
   3.2281923314584233`, "   Bstar:  ", 3.8114033833347385`, "   Xstar:  ", 
   0.08690931206798368, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8114033833347385`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073451588163`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2289", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2282348804665864`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8155593536588897`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08658787813508019`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8155593536588897`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2289, "   tar:  ", 1.27, "   tarstar:  ", 1.25, "   R:  ", 
   3.2282348804665864`, "   Bstar:  ", 3.8155593536588897`, "   Xstar:  ", 
   0.08658787813508019, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8155593536588897`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073451708174`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2290", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2282751736902906`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8197130602273632`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08626815483785233`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8197130602273632`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2290, "   tar:  ", 1.2725, "   tarstar:  ", 1.25, "   R:  ", 
   3.2282751736902906`, "   Bstar:  ", 3.8197130602273632`, "   Xstar:  ", 
   0.08626815483785233, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8197130602273632`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073451858187`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2291", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2283132389424147`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.823864504168439`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08595013059445661`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.823864504168439`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2291, "   tar:  ", 1.275, "   tarstar:  ", 1.25, "   R:  ", 
   3.2283132389424147`, "   Bstar:  ", 3.823864504168439, "   Xstar:  ", 
   0.08595013059445661, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.823864504168439^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734519882*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2292", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228349103707591`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8280136866380308`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08563379391554198`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8280136866380308`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2292, "   tar:  ", 1.2775, "   tarstar:  ", 1.25, "   R:  ", 
   3.228349103707591, "   Bstar:  ", 3.8280136866380308`, "   Xstar:  ", 
   0.08563379391554198, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8280136866380308`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607345217822*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2293", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2283827951462714`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8321606088191884`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08531913340343497`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8321606088191884`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2293, "   tar:  ", 1.28, "   tarstar:  ", 1.25, "   R:  ", 
   3.2283827951462714`, "   Bstar:  ", 3.8321606088191884`, "   Xstar:  ", 
   0.08531913340343497, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8321606088191884`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607345233824*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2294", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2284143400987544`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.836305271921703`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08500613775132541`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.836305271921703`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2294, "   tar:  ", 1.2825, "   tarstar:  ", 1.25, "   R:  ", 
   3.2284143400987544`, "   Bstar:  ", 3.836305271921703, "   Xstar:  ", 
   0.08500613775132541, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.836305271921703^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607345246825*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2295", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.25`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.228443765089135`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.840447677181705`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08469479574246011`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.840447677181705`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2295, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.25, 
   "   R:  ", 3.228443765089135, "   Bstar:  ", 3.840447677181705, 
   "   Xstar:  ", 0.08469479574246011, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.840447677181705^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607345266827*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2296", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228471096329227`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.844587825861183`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08438509624935067`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.844587825861183`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2296, "   tar:  ", 1.2875, "   tarstar:  ", 1.25, "   R:  ", 
   3.228471096329227, "   Bstar:  ", 3.844587825861183, "   Xstar:  ", 
   0.08438509624935067, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.844587825861183^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607345284829*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2297", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2284963597224206`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.84872571924761`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.084077028232981`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.84872571924761`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2297, "   tar:  ", 1.29, "   tarstar:  ", 1.25, "   R:  ", 
   3.2284963597224206`, "   Bstar:  ", 3.84872571924761, "   Xstar:  ", 
   0.084077028232981, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.84872571924761^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073453028307`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2298", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2285195808674856`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8528613586535236`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08377058074202513`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8528613586535236`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2298, "   tar:  ", 1.2925, "   tarstar:  ", 1.25, "   R:  ", 
   3.2285195808674856`, "   Bstar:  ", 3.8528613586535236`, "   Xstar:  ", 
   0.08377058074202513, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8528613586535236`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073453208323`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2299", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228540785062347`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8569947454160953`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08346574291207486`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8569947454160953`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2299, "   tar:  ", 1.295, "   tarstar:  ", 1.25, "   R:  ", 
   3.228540785062347, "   Bstar:  ", 3.8569947454160953`, "   Xstar:  ", 
   0.08346574291207486, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8569947454160953`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607345339834*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2300", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2285599973077788`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.861125880896798`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08316250396486614`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.861125880896798`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2300, "   tar:  ", 1.2975, "   tarstar:  ", 1.25, "   R:  ", 
   3.2285599973077788`, "   Bstar:  ", 3.861125880896798, "   Xstar:  ", 
   0.08316250396486614, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.861125880896798^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607345357836*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2301", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.25`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228577242311078`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.865254766480935`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08286085320752422`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.865254766480935`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2301, "   tar:  ", 1.3, "   tarstar:  ", 1.25, "   R:  ", 
   3.228577242311078, "   Bstar:  ", 3.865254766480935, "   Xstar:  ", 
   0.08286085320752422, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.865254766480935^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073453738375`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2302", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2229491888925392`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6271694652554345`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10285474808094479`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6271694652554345`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2302, "   tar:  ", 1.155, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2229491888925392`, "   Bstar:  ", 3.6271694652554345`, "   Xstar:  ", 
   0.10285474808094479`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6271694652554345`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073453918395`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2303", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223127528106323`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6314356490709323`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10244449473665795`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6314356490709323`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2303, "   tar:  ", 1.1575, "   tarstar:  ", 1.2525, "   R:  ", 
   3.223127528106323, "   Bstar:  ", 3.6314356490709323`, "   Xstar:  ", 
   0.10244449473665795`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6314356490709323`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073454108415`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2304", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223301956098704`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.635699545592395`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10203657481494205`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.635699545592395`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2304, "   tar:  ", 1.16, "   tarstar:  ", 1.2525, "   R:  ", 
   3.223301956098704, "   Bstar:  ", 3.635699545592395, "   Xstar:  ", 
   0.10203657481494205`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.635699545592395^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073454288435`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2305", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2234725205504686`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.639961154174801`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10163097164083791`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.639961154174801`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2305, "   tar:  ", 1.1625, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2234725205504686`, "   Bstar:  ", 3.639961154174801, "   Xstar:  ", 
   0.10163097164083791`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.639961154174801^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073454408445`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2306", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223639268563061`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6442204742281983`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10122766867721088`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6442204742281983`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2306, "   tar:  ", 1.165, "   tarstar:  ", 1.2525, "   R:  ", 
   3.223639268563061, "   Bstar:  ", 3.6442204742281983`, "   Xstar:  ", 
   0.10122766867721088`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6442204742281983`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073454518456`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2307", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223802246665975`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6484775052168303`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10082664952353874`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6484775052168303`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2307, "   tar:  ", 1.1675, "   tarstar:  ", 1.2525, "   R:  ", 
   3.223802246665975, "   Bstar:  ", 3.6484775052168303`, "   Xstar:  ", 
   0.10082664952353874`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6484775052168303`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073454638467`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2308", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2239615008240836`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.652732246658397`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10042789791469796`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.652732246658397`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2308, "   tar:  ", 1.17, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2239615008240836`, "   Bstar:  ", 3.652732246658397, "   Xstar:  ", 
   0.10042789791469796`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.652732246658397^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607345475848*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2309", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2241170764448395`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.656984698123176`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10003139771977385`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.656984698123176`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2309, "   tar:  ", 1.1725, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2241170764448395`, "   Bstar:  ", 3.656984698123176, "   Xstar:  ", 
   0.10003139771977385`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.656984698123176^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607345489849*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2310", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2242690183853933`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.661234859233316`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09963713294086653`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.661234859233316`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2310, "   tar:  ", 1.175, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2242690183853933`, "   Bstar:  ", 3.661234859233316, "   Xstar:  ", 
   0.09963713294086653, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.661234859233316^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073455008507`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2311", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2244173709596082`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6654827296619783`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09924508771192064`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6654827296619783`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2311, "   tar:  ", 1.1775, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2244173709596082`, "   Bstar:  ", 3.6654827296619783`, "   Xstar:  ", 
   0.09924508771192064, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6654827296619783`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073455128517`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2312", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2245621779450033`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.669728309132641`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09885524629755242`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.669728309132641`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2312, "   tar:  ", 1.18, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2245621779450033`, "   Bstar:  ", 3.669728309132641, "   Xstar:  ", 
   0.09885524629755242, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.669728309132641^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073455248528`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2313", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2247034825895695`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6739715974182854`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09846759309189691`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6739715974182854`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2313, "   tar:  ", 1.1825, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2247034825895695`, "   Bstar:  ", 3.6739715974182854`, "   Xstar:  ", 
   0.09846759309189691, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6739715974182854`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607345536854*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2314", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2248413276185244`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.67821259434071`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09808211261745557`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.67821259434071`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2314, "   tar:  ", 1.185, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2248413276185244`, "   Bstar:  ", 3.67821259434071, "   Xstar:  ", 
   0.09808211261745557, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.67821259434071^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073455518556`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2315", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2249757552409632`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.68245129976974`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09769878952396299`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.68245129976974`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2315, "   tar:  ", 1.1875, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2249757552409632`, "   Bstar:  ", 3.68245129976974, "   Xstar:  ", 
   0.09769878952396299, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.68245129976974^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073455668573`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2316", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22510680715642`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6866877136225273`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09731760858725703`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6866877136225273`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2316, "   tar:  ", 1.19, "   tarstar:  ", 1.2525, "   R:  ", 
   3.22510680715642, "   Bstar:  ", 3.6866877136225273`, "   Xstar:  ", 
   0.09731760858725703, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6866877136225273`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607345580858*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2317", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.225234524561345`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.69092183586285`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09693855470815844`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.69092183586285`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2317, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.2525, 
   "   R:  ", 3.225234524561345, "   Bstar:  ", 3.69092183586285, 
   "   Xstar:  ", 0.09693855470815844, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.69092183586285^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073455928593`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2318", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2253589481555016`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6951536665003872`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09656161291136417`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6951536665003872`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2318, "   tar:  ", 1.195, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2253589481555016`, "   Bstar:  ", 3.6951536665003872`, "   Xstar:  ", 
   0.09656161291136417, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6951536665003872`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607345604861*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2319", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225480118148262`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.699383205590018`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09618676834434835`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.699383205590018`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2319, "   tar:  ", 1.1975, "   tarstar:  ", 1.2525, "   R:  ", 
   3.225480118148262, "   Bstar:  ", 3.699383205590018, "   Xstar:  ", 
   0.09618676834434835, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.699383205590018^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607345615862*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2320", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2255980742648376`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7036104532311915`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09581400627626724`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7036104532311915`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2320, "   tar:  ", 1.2, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2255980742648376`, "   Bstar:  ", 3.7036104532311915`, "   Xstar:  ", 
   0.09581400627626724, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7036104532311915`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073456338634`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2321", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2257128557524086`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7078354095671635`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09544331209688692`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7078354095671635`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2321, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.2525, 
   "   R:  ", 3.2257128557524086`, "   Bstar:  ", 3.7078354095671635`, 
   "   Xstar:  ", 0.09544331209688692, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7078354095671635`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073456518655`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2322", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2258245013861897`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7120580747844123`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09507467131550423`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7120580747844123`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2322, "   tar:  ", 1.205, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2258245013861897`, "   Bstar:  ", 3.7120580747844123`, "   Xstar:  ", 
   0.09507467131550423, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7120580747844123`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607345667867*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2323", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2259330494753993`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7162784491119147`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09470806955989128`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7162784491119147`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2323, "   tar:  ", 1.2075, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2259330494753993`, "   Bstar:  ", 3.7162784491119147`, "   Xstar:  ", 
   0.09470806955989128, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7162784491119147`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607345682869*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2324", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226038537869159`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7204965328205786`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09434349257523537`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7204965328205786`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2324, "   tar:  ", 1.21, "   tarstar:  ", 1.2525, "   R:  ", 
   3.226038537869159, "   Bstar:  ", 3.7204965328205786`, "   Xstar:  ", 
   0.09434349257523537, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7204965328205786`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607345703871*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2325", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2261410039623084`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7247123262225137`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09398092622310361`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7247123262225137`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2325, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.2525, 
   "   R:  ", 3.2261410039623084`, "   Bstar:  ", 3.7247123262225137`, 
   "   Xstar:  ", 0.09398092622310361, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7247123262225137`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073457208724`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2326", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2262404847011523`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.728925829670477`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09362035648040191`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.728925829670477`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2326, "   tar:  ", 1.215, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2262404847011523`, "   Bstar:  ", 3.728925829670477, "   Xstar:  ", 
   0.09362035648040191, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.728925829670477^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073457388744`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2327", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2263370165891216`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7331370435572073`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09326176943835374`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7331370435572073`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2327, "   tar:  ", 1.2175, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2263370165891216`, "   Bstar:  ", 3.7331370435572073`, "   Xstar:  ", 
   0.09326176943835374, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7331370435572073`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607345756876*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2328", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2264306356923567`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7373459683148322`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09290515130148173`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7373459683148322`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2328, "   tar:  ", 1.22, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2264306356923567`, "   Bstar:  ", 3.7373459683148322`, "   Xstar:  ", 
   0.09290515130148173, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7373459683148322`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607345775878*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2329", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.226521377645229`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7415526044142715`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09255048838660024`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7415526044142715`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2329, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.2525, 
   "   R:  ", 3.226521377645229, "   Bstar:  ", 3.7415526044142715`, 
   "   Xstar:  ", 0.09255048838660024, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7415526044142715`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073457928796`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2330", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2266092776557804`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7457569523646024`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09219776712181982`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7457569523646024`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2330, "   tar:  ", 1.225, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2266092776557804`, "   Bstar:  ", 3.7457569523646024`, "   Xstar:  ", 
   0.09219776712181982, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7457569523646024`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607345804881*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2331", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2266943705110944`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.749959012712531`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09184697404555262`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.749959012712531`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2331, "   tar:  ", 1.2275, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2266943705110944`, "   Bstar:  ", 3.749959012712531, "   Xstar:  ", 
   0.09184697404555262, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.749959012712531^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607345818882*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2332", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2267766905825948`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7541587860417667`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09149809580553621`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7541587860417667`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2332, "   tar:  ", 1.23, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2267766905825948`, "   Bstar:  ", 3.7541587860417667`, "   Xstar:  ", 
   0.09149809580553621, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7541587860417667`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607345832884*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2333", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226856271831263`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.758356272972495`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09115111915785665`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.758356272972495`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2333, "   tar:  ", 1.2325, "   tarstar:  ", 1.2525, "   R:  ", 
   3.226856271831263, "   Bstar:  ", 3.758356272972495, "   Xstar:  ", 
   0.09115111915785665, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.758356272972495^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607345847885*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2334", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2269331478128116`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.762551474160755`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09080603096599035`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.762551474160755`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2334, "   tar:  ", 1.235, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2269331478128116`, "   Bstar:  ", 3.762551474160755, "   Xstar:  ", 
   0.09080603096599035, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.762551474160755^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073458658867`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2335", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2270073516827638`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7667443902979274`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09046281819984604`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7667443902979274`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2335, "   tar:  ", 1.2375, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2270073516827638`, "   Bstar:  ", 3.7667443902979274`, "   Xstar:  ", 
   0.09046281819984604, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7667443902979274`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073458838887`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2336", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2270789162014797`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7709350221101916`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09012146793481746`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7709350221101916`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2336, "   tar:  ", 1.24, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2270789162014797`, "   Bstar:  ", 3.7709350221101916`, "   Xstar:  ", 
   0.09012146793481746, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7709350221101916`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073459028907`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2337", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2271478737391126`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7751233703579716`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08978196735084677`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7751233703579716`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2337, "   tar:  ", 1.2425, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2271478737391126`, "   Bstar:  ", 3.7751233703579716`, "   Xstar:  ", 
   0.08978196735084677, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7751233703579716`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073459198923`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2338", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2272142562805`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.779309435835395`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0894443037314957`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.779309435835395`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2338, "   tar:  ", 1.245, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2272142562805, "   Bstar:  ", 3.779309435835395, "   Xstar:  ", 
   0.0894443037314957, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.779309435835395^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607345937894*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2339", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2272780954299862`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7834932193697846`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08910846446302305`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7834932193697846`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2339, "   tar:  ", 1.2475, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2272780954299862`, "   Bstar:  ", 3.7834932193697846`, "   Xstar:  ", 
   0.08910846446302305, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7834932193697846`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073459528956`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2340", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227339422416187`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.787674721821121`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0887744370334735`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.787674721821121`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2340, "   tar:  ", 1.25, "   tarstar:  ", 1.2525, "   R:  ", 
   3.227339422416187, "   Bstar:  ", 3.787674721821121, "   Xstar:  ", 
   0.0887744370334735, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.787674721821121^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607345968897*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2341", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2273982680966924`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.79185394408158`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08844220903176878`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.79185394408158`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2341, "   tar:  ", 1.2525, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2273982680966924`, "   Bstar:  ", 3.79185394408158, "   Xstar:  ", 
   0.08844220903176878, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.79185394408158^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073459848986`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2342", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2274546629626863`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7960308870749366`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0881117681468187`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7960308870749366`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2342, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.2525, 
   "   R:  ", 3.2274546629626863`, "   Bstar:  ", 3.7960308870749366`, 
   "   Xstar:  ", 0.0881117681468187, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7960308870749366`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073459979*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2343", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227508637143555`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.800205551756197`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08778310216662245`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.800205551756197`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2343, "   tar:  ", 1.2575, "   tarstar:  ", 1.2525, "   R:  ", 
   3.227508637143555, "   Bstar:  ", 3.800205551756197, "   Xstar:  ", 
   0.08778310216662245, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.800205551756197^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073460139017`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2344", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2275602204113634`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8043779391109838`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08745619897739831`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8043779391109838`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2344, "   tar:  ", 1.26, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2275602204113634`, "   Bstar:  ", 3.8043779391109838`, "   Xstar:  ", 
   0.08745619897739831, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8043779391109838`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073460309033`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2345", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2276094421853427`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.808548050155131`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08713104656270483`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.808548050155131`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2345, "   tar:  ", 1.2625, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2276094421853427`, "   Bstar:  ", 3.808548050155131, "   Xstar:  ", 
   0.08713104656270483, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.808548050155131^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073460489054`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2346", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2276563315362674`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8127158859341934`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08680763300257757`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8127158859341934`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2346, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.2525, 
   "   R:  ", 3.2276563315362674`, "   Bstar:  ", 3.8127158859341934`, 
   "   Xstar:  ", 0.08680763300257757, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8127158859341934`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607346069907*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2347", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2277009171908078`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8168814475229422`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08648594647267509`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8168814475229422`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2347, "   tar:  ", 1.2675, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2277009171908078`, "   Bstar:  ", 3.8168814475229422`, "   Xstar:  ", 
   0.08648594647267509, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8168814475229422`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073460869093`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2348", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2277432275358016`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8210447360249575`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08616597524342588`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8210447360249575`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2348, "   tar:  ", 1.27, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2277432275358016`, "   Bstar:  ", 3.8210447360249575`, "   Xstar:  ", 
   0.08616597524342588, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8210447360249575`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073461039104`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2349", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2277832906224804`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.825205752572119`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08584770767919118`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.825205752572119`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2349, "   tar:  ", 1.2725, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2277832906224804`, "   Bstar:  ", 3.825205752572119, "   Xstar:  ", 
   0.08584770767919118, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.825205752572119^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073461229124`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2350", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2278211341706533`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8293644983241903`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0855311322374287`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8293644983241903`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2350, "   tar:  ", 1.275, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2278211341706533`, "   Bstar:  ", 3.8293644983241903`, "   Xstar:  ", 
   0.0855311322374287, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8293644983241903`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073461409144`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2351", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227856785572803`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.833520974468371`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08521623746786744`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.833520974468371`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2351, "   tar:  ", 1.2775, "   tarstar:  ", 1.2525, "   R:  ", 
   3.227856785572803, "   Bstar:  ", 3.833520974468371, "   Xstar:  ", 
   0.08521623746786744, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.833520974468371^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073461659164`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2352", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2278902718981555`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.837675182218842`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08490301201169012`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.837675182218842`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2352, "   tar:  ", 1.28, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2278902718981555`, "   Bstar:  ", 3.837675182218842, "   Xstar:  ", 
   0.08490301201169012, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.837675182218842^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073461829185`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2353", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2279216198966925`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.841827122816333`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08459144460072288`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.841827122816333`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2353, "   tar:  ", 1.2825, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2279216198966925`, "   Bstar:  ", 3.841827122816333, "   Xstar:  ", 
   0.08459144460072288, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.841827122816333^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073462019205`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2354", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.227950856003099`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.845976797527721`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08428152405662943`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.845976797527721`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2354, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.2525, 
   "   R:  ", 3.227950856003099, "   Bstar:  ", 3.845976797527721, 
   "   Xstar:  ", 0.08428152405662943, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.845976797527721^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607346219922*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2355", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2279780063406696`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.850124207645587`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08397323929011717`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.850124207645587`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2355, "   tar:  ", 1.2875, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2279780063406696`, "   Bstar:  ", 3.850124207645587, "   Xstar:  ", 
   0.08397323929011717, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.850124207645587^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607346233924*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2356", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228003096725161`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.854269354487819`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08366657930014706`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.854269354487819`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2356, "   tar:  ", 1.29, "   tarstar:  ", 1.2525, "   R:  ", 
   3.228003096725161, "   Bstar:  ", 3.854269354487819, "   Xstar:  ", 
   0.08366657930014706, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.854269354487819^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073462469254`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2357", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2280261526685905`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8584122393971874`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08336153317315312`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8584122393971874`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2357, "   tar:  ", 1.2925, "   tarstar:  ", 1.2525, "   R:  ", 
   3.2280261526685905`, "   Bstar:  ", 3.8584122393971874`, "   Xstar:  ", 
   0.08336153317315312, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8584122393971874`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073462629266`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2358", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228047199382991`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.862552863740927`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08305809008226918`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.862552863740927`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2358, "   tar:  ", 1.295, "   tarstar:  ", 1.2525, "   R:  ", 
   3.228047199382991, "   Bstar:  ", 3.862552863740927, "   Xstar:  ", 
   0.08305809008226918, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.862552863740927^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607346276928*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2359", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228066261784115`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8666912289104087`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08275623928655694`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8666912289104087`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2359, "   tar:  ", 1.2975, "   tarstar:  ", 1.2525, "   R:  ", 
   3.228066261784115, "   Bstar:  ", 3.8666912289104087`, "   Xstar:  ", 
   0.08275623928655694, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8666912289104087`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073462899294`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2360", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2525`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.228083364495084`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8708273363206493`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08245597013025245`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8708273363206493`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2360, "   tar:  ", 1.3, "   tarstar:  ", 1.2525, "   R:  ", 
   3.228083364495084, "   Bstar:  ", 3.8708273363206493`, "   Xstar:  ", 
   0.08245597013025245, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8708273363206493`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607346302931*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2361", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.222481639628455`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6323077662107983`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1023608892861359`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6323077662107983`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2361, "   tar:  ", 1.155, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.222481639628455, "   Bstar:  ", 3.6323077662107983`, 
   "   Xstar:  ", 0.1023608892861359, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6323077662107983`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607346314932*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2362", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2226592478168152`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6365816664016597`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10195244632542534`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6365816664016597`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2362, "   tar:  ", 1.1575, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.2226592478168152`, "   Bstar:  ", 3.6365816664016597`, 
   "   Xstar:  ", 0.10195244632542534`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6365816664016597`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607346326933*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2363", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.222832958546349`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6408532694897158`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10154632784890322`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6408532694897158`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2363, "   tar:  ", 1.16, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.222832958546349, "   Bstar:  ", 3.6408532694897158`, 
   "   Xstar:  ", 0.10154632784890322`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6408532694897158`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607346343935*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2364", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2230028193534017`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.645122574870871`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10114251723124919`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.645122574870871`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2364, "   tar:  ", 1.1625, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.2230028193534017`, "   Bstar:  ", 3.645122574870871, 
   "   Xstar:  ", 0.10114251723124919`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.645122574870871^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607346356936*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2365", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2231688771963527`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.64938958199583`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10074099798473864`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.64938958199583`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2365, "   tar:  ", 1.165, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.2231688771963527`, "   Bstar:  ", 3.64938958199583, 
   "   Xstar:  ", 0.10074099798473864`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.64938958199583^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073463689375`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2366", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2233311784630194`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6536542903692917`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10034175375802315`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6536542903692917`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2366, "   tar:  ", 1.1675, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.2233311784630194`, "   Bstar:  ", 3.6536542903692917`, 
   "   Xstar:  ", 0.10034175375802315`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6536542903692917`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073463829384`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2367", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.223489768977948`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6579166995491286`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09994476833492424`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6579166995491286`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2367, "   tar:  ", 1.17, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.223489768977948, "   Bstar:  ", 3.6579166995491286`, 
   "   Xstar:  ", 0.09994476833492424, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6579166995491286`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734639894*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2368", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.223644694009619`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.662176809145597`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.099550025633235`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.662176809145597`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2368, "   tar:  ", 1.1725, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.223644694009619, "   Bstar:  ", 3.662176809145597, 
   "   Xstar:  ", 0.099550025633235, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.662176809145597^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073464169416`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2369", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2237959982775446`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.666434618820551`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0991575097035327`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.666434618820551`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2369, "   tar:  ", 1.175, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.2237959982775446`, "   Bstar:  ", 3.666434618820551, 
   "   Xstar:  ", 0.0991575097035327, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.666434618820551^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607346435944*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2370", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2239437259592973`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6706901282866484`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09876720472800282`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6706901282866484`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2370, "   tar:  ", 1.1775, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.2239437259592973`, "   Bstar:  ", 3.6706901282866484`, 
   "   Xstar:  ", 0.09876720472800282, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6706901282866484`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073464529457`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2371", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.224087920697395`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.674943337306624`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09837909501926793`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.674943337306624`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2371, "   tar:  ", 1.18, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.224087920697395, "   Bstar:  ", 3.674943337306624, 
   "   Xstar:  ", 0.09837909501926793, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.674943337306624^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607346469947*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2372", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.224228625606154`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6791942456924818`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09799316501923512`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6791942456924818`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2372, "   tar:  ", 1.1825, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.224228625606154, "   Bstar:  ", 3.6791942456924818`, 
   "   Xstar:  ", 0.09799316501923512, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6791942456924818`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073464889493`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2373", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.224365883278405`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.683442853304808`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09760939929794278`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.683442853304808`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2373, "   tar:  ", 1.185, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.224365883278405, "   Bstar:  ", 3.683442853304808, 
   "   Xstar:  ", 0.09760939929794278, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.683442853304808^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073465079513`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2374", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.224499735792138`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6876891600520008`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09722778255242596`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6876891600520008`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2374, "   tar:  ", 1.1875, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.224499735792138, "   Bstar:  ", 3.6876891600520008`, 
   "   Xstar:  ", 0.09722778255242596, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6876891600520008`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607346524953*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2375", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.224630224717059`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.691933165889549`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09684829960558781`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.691933165889549`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2375, "   tar:  ", 1.19, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.224630224717059, "   Bstar:  ", 3.691933165889549, 
   "   Xstar:  ", 0.09684829960558781, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.691933165889549^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607346543955*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2376", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2550000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224757391121053`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6961748708193496`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09647093540507813`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6961748708193496`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2376, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 
   1.2550000000000001`, "   R:  ", 3.224757391121053, "   Bstar:  ", 
   3.6961748708193496`, "   Xstar:  ", 0.09647093540507813, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6961748708193496`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073465599566`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2377", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.224881275576567`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.700414274888963`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09609567502218805`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.700414274888963`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2377, "   tar:  ", 1.195, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.224881275576567, "   Bstar:  ", 3.700414274888963, 
   "   Xstar:  ", 0.09609567502218805, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.700414274888963^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607346577958*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2378", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.225001918166898`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7046513781909476`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09572250365074791`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7046513781909476`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2378, "   tar:  ", 1.1975, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.225001918166898, "   Bstar:  ", 3.7046513781909476`, 
   "   Xstar:  ", 0.09572250365074791, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7046513781909476`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734659196*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2379", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2251193584924107`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7088861808621845`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09535140660603698`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7088861808621845`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2379, "   tar:  ", 1.2, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.2251193584924107`, "   Bstar:  ", 3.7088861808621845`, 
   "   Xstar:  ", 0.09535140660603698, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7088861808621845`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607346605961*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2380", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2550000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2252336356766627`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7131186830831564`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09498236932370638`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7131186830831564`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2380, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 
   1.2550000000000001`, "   R:  ", 3.2252336356766627`, "   Bstar:  ", 
   3.7131186830831564`, "   Xstar:  ", 0.09498236932370638, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7131186830831564`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073466199627`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2381", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2253447883724484`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.717348885077349`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09461537735870229`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.717348885077349`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2381, "   tar:  ", 1.205, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.2253447883724484`, "   Bstar:  ", 3.717348885077349, 
   "   Xstar:  ", 0.09461537735870229, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.717348885077349^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073466329637`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2382", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.225452854767769`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7215767871105467`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09425041638420893`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7215767871105467`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2382, "   tar:  ", 1.2075, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.225452854767769, "   Bstar:  ", 3.7215767871105467`, 
   "   Xstar:  ", 0.09425041638420893, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7215767871105467`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073466429644`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2383", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2255578725917156`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.725802389490204`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0938874721905939`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.725802389490204`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2383, "   tar:  ", 1.21, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.2255578725917156`, "   Bstar:  ", 3.725802389490204, 
   "   Xstar:  ", 0.0938874721905939, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.725802389490204^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607346653966*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2384", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2550000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2256598791202715`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7300256925648125`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09352653068436444`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7300256925648125`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2384, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 
   1.2550000000000001`, "   R:  ", 3.2256598791202715`, "   Bstar:  ", 
   3.7300256925648125`, "   Xstar:  ", 0.09352653068436444, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7300256925648125`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607346666967*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2385", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.225758911182054`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.734246696723261`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09316757788713455`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.734246696723261`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2385, "   tar:  ", 1.215, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.225758911182054, "   Bstar:  ", 3.734246696723261, 
   "   Xstar:  ", 0.09316757788713455, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.734246696723261^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073466799684`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2386", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.225855005163958`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7384654023942394`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09281059993459785`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7384654023942394`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2386, "   tar:  ", 1.2175, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.225855005163958, "   Bstar:  ", 3.7384654023942394`, 
   "   Xstar:  ", 0.09281059993459785, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7384654023942394`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734669197*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2387", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2259481970167414`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.742681810045583`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09245558307551503`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.742681810045583`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2387, "   tar:  ", 1.22, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.2259481970167414`, "   Bstar:  ", 3.742681810045583, 
   "   Xstar:  ", 0.09245558307551503, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.742681810045583^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607346705971*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2388", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2550000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226038522260525`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7468959201837295`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09210251367070217`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7468959201837295`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2388, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 
   1.2550000000000001`, "   R:  ", 3.226038522260525, "   Bstar:  ", 
   3.7468959201837295`, "   Xstar:  ", 0.09210251367070217, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7468959201837295`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073467199726`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2389", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2261260159902254`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7511077333530864`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09175137819203533`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7511077333530864`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2389, "   tar:  ", 1.225, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.2261260159902254`, "   Bstar:  ", 3.7511077333530864`, 
   "   Xstar:  ", 0.09175137819203533, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7511077333530864`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073467339735`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2390", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2262107128809183`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.755317250135438`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09140216322146236`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.755317250135438`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2390, "   tar:  ", 1.2275, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.2262107128809183`, "   Bstar:  ", 3.755317250135438, 
   "   Xstar:  ", 0.09140216322146236, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.755317250135438^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607346744975*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2391", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.226292647193117`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7595244711494114`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0910548554500184`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7595244711494114`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2391, "   tar:  ", 1.23, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.226292647193117, "   Bstar:  ", 3.7595244711494114`, 
   "   Xstar:  ", 0.0910548554500184, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7595244711494114`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073467599764`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2392", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.226371852778002`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.763729397049863`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09070944167685781`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.763729397049863`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2392, "   tar:  ", 1.2325, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.226371852778002, "   Bstar:  ", 3.763729397049863, 
   "   Xstar:  ", 0.09070944167685781, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.763729397049863^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607346772978*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2393", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2264483630825542`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7679320285273383`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09036590880828965`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7679320285273383`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2393, "   tar:  ", 1.235, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.2264483630825542`, "   Bstar:  ", 3.7679320285273383`, 
   "   Xstar:  ", 0.09036590880828965, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7679320285273383`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073467869787`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2394", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.226522211154649`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.772132366307516`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09002424385682277`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.772132366307516`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2394, "   tar:  ", 1.2375, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.226522211154649, "   Bstar:  ", 3.772132366307516, 
   "   Xstar:  ", 0.09002424385682277, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.772132366307516^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734679998*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2395", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2265934296480703`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7763304111506657`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08968443394021992`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7763304111506657`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2395, "   tar:  ", 1.24, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.2265934296480703`, "   Bstar:  ", 3.7763304111506657`, 
   "   Xstar:  ", 0.08968443394021992, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7763304111506657`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607346815982*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2396", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.226662050827436`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7805261638511007`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08934646628056103`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7805261638511007`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2396, "   tar:  ", 1.2425, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.226662050827436, "   Bstar:  ", 3.7805261638511007`, 
   "   Xstar:  ", 0.08934646628056103, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7805261638511007`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073468339834`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2397", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2267281065731064`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7847196252366238`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08901032820331582`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7847196252366238`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2397, "   tar:  ", 1.245, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.2267281065731064`, "   Bstar:  ", 3.7847196252366238`, 
   "   Xstar:  ", 0.08901032820331582, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7847196252366238`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607346848985*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2398", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2267916283859805`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7889107961680835`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.088676007136417`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7889107961680835`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2398, "   tar:  ", 1.2475, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.2267916283859805`, "   Bstar:  ", 3.7889107961680835`, 
   "   Xstar:  ", 0.088676007136417, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7889107961680835`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607346864987*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2399", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2268526473922567`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.793099677538772`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0883434906093545`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.793099677538772`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2399, "   tar:  ", 1.25, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.2268526473922567`, "   Bstar:  ", 3.793099677538772, 
   "   Xstar:  ", 0.0883434906093545, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.793099677538772^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607346883989*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2400", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.22691119434812`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.797286270273948`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08801276625226895`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.797286270273948`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2400, "   tar:  ", 1.2525, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.22691119434812, "   Bstar:  ", 3.797286270273948, 
   "   Xstar:  ", 0.08801276625226895, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.797286270273948^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073469039907`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2401", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2550000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2269672996443712`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8014705753303617`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08768382179505356`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8014705753303617`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2401, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 
   1.2550000000000001`, "   R:  ", 3.2269672996443712`, "   Bstar:  ", 
   3.8014705753303617`, "   Xstar:  ", 0.08768382179505356, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8014705753303617`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073469229927`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2402", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.227020993310991`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8056525936956915`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0873566450664716`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8056525936956915`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2402, "   tar:  ", 1.2575, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.227020993310991, "   Bstar:  ", 3.8056525936956915`, 
   "   Xstar:  ", 0.0873566450664716, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8056525936956915`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607346937994*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2403", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2270723050216508`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8098323263881353`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08703122399327039`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8098323263881353`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2403, "   tar:  ", 1.26, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.2270723050216508`, "   Bstar:  ", 3.8098323263881353`, 
   "   Xstar:  ", 0.08703122399327039, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8098323263881353`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607346954996*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2404", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.22712126409815`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8140097744558727`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0867075465993139`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8140097744558727`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2404, "   tar:  ", 1.2625, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.22712126409815, "   Bstar:  ", 3.8140097744558727`, 
   "   Xstar:  ", 0.0867075465993139, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8140097744558727`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073469659967`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2405", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2550000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2271678995148134`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.81818493897662`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08638560100471668`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.81818493897662`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2405, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 
   1.2550000000000001`, "   R:  ", 3.2271678995148134`, "   Bstar:  ", 
   3.81818493897662, "   Xstar:  ", 0.08638560100471668, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.81818493897662^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607346978998*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2406", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2272122399028134`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8223578210571363`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08606537542498965`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8223578210571363`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2406, "   tar:  ", 1.2675, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.2272122399028134`, "   Bstar:  ", 3.8223578210571363`, 
   "   Xstar:  ", 0.08606537542498965, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8223578210571363`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073469929996`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2407", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2272543135544547`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8265284218327946`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0857468581701895`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8265284218327946`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2407, "   tar:  ", 1.27, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.2272543135544547`, "   Bstar:  ", 3.8265284218327946`, 
   "   Xstar:  ", 0.0857468581701895, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8265284218327946`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607347007001*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2408", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.227294148427375`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8306967424670924`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08543003764408089`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8306967424670924`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2408, "   tar:  ", 1.2725, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.227294148427375, "   Bstar:  ", 3.8306967424670924`, 
   "   Xstar:  ", 0.08543003764408089, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8306967424670924`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073470210023`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2409", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.227331772148718`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8348627841512353`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08511490234330095`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8348627841512353`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2409, "   tar:  ", 1.275, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.227331772148718, "   Bstar:  ", 3.8348627841512353`, 
   "   Xstar:  ", 0.08511490234330095, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8348627841512353`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607347036004*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2410", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2273672120192303`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8390265481036505`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08480144085653778`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8390265481036505`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2410, "   tar:  ", 1.2775, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.2273672120192303`, "   Bstar:  ", 3.8390265481036505`, 
   "   Xstar:  ", 0.08480144085653778, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8390265481036505`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073470490055`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2411", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.227400495017325`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8431880355695993`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08448964186370889`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8431880355695993`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2411, "   tar:  ", 1.28, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.227400495017325, "   Bstar:  ", 3.8431880355695993`, 
   "   Xstar:  ", 0.08448964186370889, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8431880355695993`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073470620065`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2412", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.227431647803076`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.847347247820708`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08417949413515394`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.847347247820708`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2412, "   tar:  ", 1.2825, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.227431647803076, "   Bstar:  ", 3.847347247820708, 
   "   Xstar:  ", 0.08417949413515394, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.847347247820708^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073470770082`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2413", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2550000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2274606967221566`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8515041861545702`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08387098653083043`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8515041861545702`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2413, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 
   1.2550000000000001`, "   R:  ", 3.2274606967221566`, "   Bstar:  ", 
   3.8515041861545702`, "   Xstar:  ", 0.08387098653083043, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8515041861545702`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073470890093`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2414", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2274876678097417`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8556588518943102`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08356410799951916`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8556588518943102`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2414, "   tar:  ", 1.2875, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.2274876678097417`, "   Bstar:  ", 3.8556588518943102`, 
   "   Xstar:  ", 0.08356410799951916, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8556588518943102`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073471000104`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2415", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.227512586794358`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.859811246388172`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0832588475780366`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.859811246388172`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2415, "   tar:  ", 1.29, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.227512586794358, "   Bstar:  ", 3.859811246388172, 
   "   Xstar:  ", 0.0832588475780366, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.859811246388172^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073471110115`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2416", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.227535479101662`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.863961371009121`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08295519439045325`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.863961371009121`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2416, "   tar:  ", 1.2925, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.227535479101662, "   Bstar:  ", 3.863961371009121, 
   "   Xstar:  ", 0.08295519439045325, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.863961371009121^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073471230125`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2417", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2275563698581906`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8681092271544215`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08265313764732174`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8681092271544215`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2417, "   tar:  ", 1.295, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.2275563698581906`, "   Bstar:  ", 3.8681092271544215`, 
   "   Xstar:  ", 0.08265313764732174, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8681092271544215`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607347136014*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2418", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2275752838950593`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.872254816245276`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08235266664490756`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.872254816245276`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2418, "   tar:  ", 1.2975, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.2275752838950593`, "   Bstar:  ", 3.872254816245276, 
   "   Xstar:  ", 0.08235266664490756, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.872254816245276^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607347148015*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2419", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2275922457516044`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.876398139726381`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08205377076443415`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.876398139726381`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2419, "   tar:  ", 1.3, "   tarstar:  ", 1.2550000000000001`, 
   "   R:  ", 3.2275922457516044`, "   Bstar:  ", 3.876398139726381, 
   "   Xstar:  ", 0.08205377076443415, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.876398139726381^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073471610165`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2420", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222016664922034`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.637444654838711`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10187022934877012`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.637444654838711`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2420, "   tar:  ", 1.155, "   tarstar:  ", 1.2575, "   R:  ", 
   3.222016664922034, "   Bstar:  ", 3.637444654838711, "   Xstar:  ", 
   0.10187022934877012`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.637444654838711^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073471760178`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2421", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2221935465869693`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.641726264908954`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10146358644766021`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.641726264908954`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2421, "   tar:  ", 1.1575, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2221935465869693`, "   Bstar:  ", 3.641726264908954, "   Xstar:  ", 
   0.10146358644766021`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.641726264908954^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073471920195`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2422", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2223665444879974`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.646005568082287`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10105925913144653`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.646005568082287`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2422, "   tar:  ", 1.16, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2223665444879974`, "   Bstar:  ", 3.646005568082287, "   Xstar:  ", 
   0.10105925913144653`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.646005568082287^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607347206021*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2423", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22253570601755`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6502825637954794`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10065723082436151`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6502825637954794`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2423, "   tar:  ", 1.1625, "   tarstar:  ", 1.2575, "   R:  ", 
   3.22253570601755, "   Bstar:  ", 3.6502825637954794`, "   Xstar:  ", 
   0.10065723082436151`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6502825637954794`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607347220022*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2424", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2227010779914878`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6545572515398743`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10025748508799831`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6545572515398743`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2424, "   tar:  ", 1.165, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2227010779914878`, "   Bstar:  ", 3.6545572515398743`, "   Xstar:  ", 
   0.10025748508799831`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6545572515398743`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073472320237`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2425", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2228627066564655`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6588296308605472`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09986000562009494`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6588296308605472`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2425, "   tar:  ", 1.1675, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2228627066564655`, "   Bstar:  ", 3.6588296308605472`, "   Xstar:  ", 
   0.09986000562009494, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6588296308605472`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607347247025*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2426", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2230206376972337`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.663099701355529`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09946477625332287`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.663099701355529`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2426, "   tar:  ", 1.17, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2230206376972337`, "   Bstar:  ", 3.663099701355529, "   Xstar:  ", 
   0.09946477625332287, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.663099701355529^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073472620263`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2427", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22317491624382`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.667367462674993`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0990717809540911`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.667367462674993`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2427, "   tar:  ", 1.1725, "   tarstar:  ", 1.2575, "   R:  ", 
   3.22317491624382, "   Bstar:  ", 3.667367462674993, "   Xstar:  ", 
   0.0990717809540911, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.667367462674993^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073472830286`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2428", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2233255868786346`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.671632914520466`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09868100382135797`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.671632914520466`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2428, "   tar:  ", 1.175, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2233255868786346`, "   Bstar:  ", 3.671632914520466, "   Xstar:  ", 
   0.09868100382135797, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.671632914520466^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734729803*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2429", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2234726936434495`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6758960566440524`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09829242908545387`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6758960566440524`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2429, "   tar:  ", 1.1775, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2234726936434495`, "   Bstar:  ", 3.6758960566440524`, "   Xstar:  ", 
   0.09829242908545387, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6758960566440524`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073473140316`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2430", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2236162800463246`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.680156888847691`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0979060411069115`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.680156888847691`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2430, "   tar:  ", 1.18, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2236162800463246`, "   Bstar:  ", 3.680156888847691, "   Xstar:  ", 
   0.0979060411069115, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.680156888847691^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073473280334`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2431", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223756389068399`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6844154109823837`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09752182437530955`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6844154109823837`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2431, "   tar:  ", 1.1825, "   tarstar:  ", 1.2575, "   R:  ", 
   3.223756389068399, "   Bstar:  ", 3.6844154109823837`, "   Xstar:  ", 
   0.09752182437530955, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6844154109823837`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607347344035*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2432", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2238930631706317`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6886716229474534`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09713976350812406`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6886716229474534`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2432, "   tar:  ", 1.185, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2238930631706317`, "   Bstar:  ", 3.6886716229474534`, "   Xstar:  ", 
   0.09713976350812406, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6886716229474534`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073473590364`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2433", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224026344300419`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6929255246898234`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09675984324959001`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6929255246898234`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2433, "   tar:  ", 1.1875, "   tarstar:  ", 1.2575, "   R:  ", 
   3.224026344300419, "   Bstar:  ", 3.6929255246898234`, "   Xstar:  ", 
   0.09675984324959001, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6929255246898234`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073473730373`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2434", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224156273898143`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6971771162032714`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09638204846957424`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6971771162032714`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2434, "   tar:  ", 1.19, "   tarstar:  ", 1.2575, "   R:  ", 
   3.224156273898143, "   Bstar:  ", 3.6971771162032714`, "   Xstar:  ", 
   0.09638204846957424, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6971771162032714`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607347388039*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2435", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2242828929036276`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7014263975277686`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09600636416245258`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7014263975277686`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2435, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.2575, 
   "   R:  ", 3.2242828929036276`, "   Bstar:  ", 3.7014263975277686`, 
   "   Xstar:  ", 0.09600636416245258, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7014263975277686`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607347404041*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2436", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2244062417625012`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7056733687487173`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.095632775446006`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7056733687487173`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2436, "   tar:  ", 1.195, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2244062417625012`, "   Bstar:  ", 3.7056733687487173`, "   Xstar:  ", 
   0.095632775446006, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7056733687487173`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607347417042*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2437", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224526360432487`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7099180299962993`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09526126756031715`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7099180299962993`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2437, "   tar:  ", 1.1975, "   tarstar:  ", 1.2575, "   R:  ", 
   3.224526360432487, "   Bstar:  ", 3.7099180299962993`, "   Xstar:  ", 
   0.09526126756031715, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7099180299962993`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073474330435`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2438", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2246432883895984`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7141603814447848`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09489182586668159`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7141603814447848`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2438, "   tar:  ", 1.2, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2246432883895984`, "   Bstar:  ", 3.7141603814447848`, "   Xstar:  ", 
   0.09489182586668159, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7141603814447848`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607347450045*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2439", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.224757064634265`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.718400423311857`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0945244358465275`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.718400423311857`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2439, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.2575, 
   "   R:  ", 3.224757064634265, "   Bstar:  ", 3.718400423311857, 
   "   Xstar:  ", 0.0945244358465275, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.718400423311857^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073474670467`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2440", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224867727697352`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7226381558579464`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09415908310034446`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7226381558579464`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2440, "   tar:  ", 1.205, "   tarstar:  ", 1.2575, "   R:  ", 
   3.224867727697352, "   Bstar:  ", 3.7226381558579464`, "   Xstar:  ", 
   0.09415908310034446, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7226381558579464`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073474820485`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2441", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2249753156461276`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7268735793855834`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09379575334662142`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7268735793855834`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2441, "   tar:  ", 1.2075, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2249753156461276`, "   Bstar:  ", 3.7268735793855834`, "   Xstar:  ", 
   0.09379575334662142, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7268735793855834`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073474950495`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2442", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2250798660901356`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7311066942387607`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09343443242079356`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7311066942387607`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2442, "   tar:  ", 1.21, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2250798660901356`, "   Bstar:  ", 3.7311066942387607`, "   Xstar:  ", 
   0.09343443242079356, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7311066942387607`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607347508051*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2443", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.225181416186994`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.735337500802278`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09307510627420089`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.735337500802278`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2443, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.2575, 
   "   R:  ", 3.225181416186994, "   Bstar:  ", 3.735337500802278, 
   "   Xstar:  ", 0.09307510627420089, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.735337500802278^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073475230527`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2444", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2252800026481063`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7395659995011274`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09271776097305309`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7395659995011274`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2444, "   tar:  ", 1.215, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2252800026481063`, "   Bstar:  ", 3.7395659995011274`, "   Xstar:  ", 
   0.09271776097305309, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7395659995011274`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607347539054*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2445", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2253756617443115`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.743792190799875`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09236238269740468`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.743792190799875`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2445, "   tar:  ", 1.2175, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2253756617443115`, "   Bstar:  ", 3.743792190799875, "   Xstar:  ", 
   0.09236238269740468, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.743792190799875^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607347556056*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2446", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2254684293114586`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.748016075202061`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0920089577401385`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.748016075202061`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2446, "   tar:  ", 1.22, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2254684293114586`, "   Bstar:  ", 3.748016075202061, "   Xstar:  ", 
   0.0920089577401385, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.748016075202061^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073475720577`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2447", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.225558340755889`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.752237653249578`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09165747250596074`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.752237653249578`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2447, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.2575, 
   "   R:  ", 3.225558340755889, "   Bstar:  ", 3.752237653249578, 
   "   Xstar:  ", 0.09165747250596074, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.752237653249578^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073475900593`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2448", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2256454310598652`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.75645692552209`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0913079135104019`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.75645692552209`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2448, "   tar:  ", 1.225, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2256454310598652`, "   Bstar:  ", 3.75645692552209, "   Xstar:  ", 
   0.0913079135104019, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.75645692552209^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607347607061*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2449", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225729734786914`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.760673892636462`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09096026737882683`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.760673892636462`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2449, "   tar:  ", 1.2275, "   tarstar:  ", 1.2575, "   R:  ", 
   3.225729734786914, "   Bstar:  ", 3.760673892636462, "   Xstar:  ", 
   0.09096026737882683, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.760673892636462^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607347625063*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2450", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2258112860871115`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.764888555246147`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0906145208454577`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.764888555246147`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2450, "   tar:  ", 1.23, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2258112860871115`, "   Bstar:  ", 3.764888555246147, "   Xstar:  ", 
   0.0906145208454577, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.764888555246147^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073476430645`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2451", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225890118702285`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7691009140406653`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09027066075239842`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7691009140406653`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2451, "   tar:  ", 1.2325, "   tarstar:  ", 1.2575, "   R:  ", 
   3.225890118702285, "   Bstar:  ", 3.7691009140406653`, "   Xstar:  ", 
   0.09027066075239842, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7691009140406653`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073476600666`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2452", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2259662659711554`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7733109697450002`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08992867404867637`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7733109697450002`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2452, "   tar:  ", 1.235, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2259662659711554`, "   Bstar:  ", 3.7733109697450002`, "   Xstar:  ", 
   0.08992867404867637, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7733109697450002`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607347675068*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2453", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226039760834403`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.777518723119081`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08958854778928413`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.777518723119081`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2453, "   tar:  ", 1.2375, "   tarstar:  ", 1.2575, "   R:  ", 
   3.226039760834403, "   Bstar:  ", 3.777518723119081, "   Xstar:  ", 
   0.08958854778928413, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.777518723119081^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073476880693`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2454", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226110635839676`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7817241749572186`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08925026913423688`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7817241749572186`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2454, "   tar:  ", 1.24, "   tarstar:  ", 1.2575, "   R:  ", 
   3.226110635839676, "   Bstar:  ", 3.7817241749572186`, "   Xstar:  ", 
   0.08925026913423688, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7817241749572186`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734769907*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2455", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2261789231465197`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.78592732608758`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0889138253476338`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.78592732608758`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2455, "   tar:  ", 1.2425, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2261789231465197`, "   Bstar:  ", 3.78592732608758, "   Xstar:  ", 
   0.0889138253476338, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.78592732608758^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073477120714`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2456", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2262446545312558`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7901281773716207`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08857920379673291`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7901281773716207`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2456, "   tar:  ", 1.245, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2262446545312558`, "   Bstar:  ", 3.7901281773716207`, "   Xstar:  ", 
   0.08857920379673291, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7901281773716207`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073477240725`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2457", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2263078613917857`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.794326729703631`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08824639195102535`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.794326729703631`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2457, "   tar:  ", 1.2475, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2263078613917857`, "   Bstar:  ", 3.794326729703631, "   Xstar:  ", 
   0.08824639195102535, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.794326729703631^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607347736074*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2458", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2263685747523274`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7985229840101766`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08791537738132715`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7985229840101766`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2458, "   tar:  ", 1.25, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2263685747523274`, "   Bstar:  ", 3.7985229840101766`, "   Xstar:  ", 
   0.08791537738132715, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7985229840101766`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607347749075*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2459", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2264268252681076`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8027169412495794`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08758614775887635`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8027169412495794`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2459, "   tar:  ", 1.2525, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2264268252681076`, "   Bstar:  ", 3.8027169412495794`, "   Xstar:  ", 
   0.08758614775887635, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8027169412495794`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607347767077*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2460", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2264826432299683`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.806908602411454`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08725869085443519`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.806908602411454`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2460, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.2575, 
   "   R:  ", 3.2264826432299683`, "   Bstar:  ", 3.806908602411454, 
   "   Xstar:  ", 0.08725869085443519, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.806908602411454^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073477840786`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2461", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2265360585689282`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8110979685161834`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08693299453740493`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8110979685161834`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2461, "   tar:  ", 1.2575, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2265360585689282`, "   Bstar:  ", 3.8110979685161834`, "   Xstar:  ", 
   0.08693299453740493, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8110979685161834`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734779608*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2462", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226587100860684`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8152850406144583`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08660904677494455`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8152850406144583`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2462, "   tar:  ", 1.26, "   tarstar:  ", 1.2575, "   R:  ", 
   3.226587100860684, "   Bstar:  ", 3.8152850406144583`, "   Xstar:  ", 
   0.08660904677494455, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8152850406144583`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607347807081*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2463", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226635799330037`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.819469819786751`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08628683563110355`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.819469819786751`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2463, "   tar:  ", 1.2625, "   tarstar:  ", 1.2575, "   R:  ", 
   3.226635799330037, "   Bstar:  ", 3.819469819786751, "   Xstar:  ", 
   0.08628683563110355, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.819469819786751^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607347817082*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2464", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2266821828552823`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.82365230714291`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08596634926595327`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.82365230714291`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2464, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.2575, 
   "   R:  ", 3.2266821828552823`, "   Bstar:  ", 3.82365230714291, 
   "   Xstar:  ", 0.08596634926595327, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.82365230714291^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073478290834`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2465", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2267262799725276`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8278325038216403`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08564757593473558`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8278325038216403`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2465, "   tar:  ", 1.2675, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2267262799725276`, "   Bstar:  ", 3.8278325038216403`, "   Xstar:  ", 
   0.08564757593473558, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8278325038216403`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607347840084*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2466", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2267681188799457`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8320104109900437`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08533050398701542`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8320104109900437`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2466, "   tar:  ", 1.27, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2267681188799457`, "   Bstar:  ", 3.8320104109900437`, "   Xstar:  ", 
   0.08533050398701542, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8320104109900437`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073478510857`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2467", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2268077274420035`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8361860298432098`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0850151218658377`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8361860298432098`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2467, "   tar:  ", 1.2725, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2268077274420035`, "   Bstar:  ", 3.8361860298432098`, "   Xstar:  ", 
   0.0850151218658377, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8361860298432098`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607347870087*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2468", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2268451331935917`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8403593616036953`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08470141810690066`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8403593616036953`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2468, "   tar:  ", 1.275, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2268451331935917`, "   Bstar:  ", 3.8403593616036953`, "   Xstar:  ", 
   0.08470141810690066, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8403593616036953`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607347889089*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2469", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2268803633441374`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8445304075211695`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08438938133772476`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8445304075211695`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2469, "   tar:  ", 1.2775, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2268803633441374`, "   Bstar:  ", 3.8445304075211695`, "   Xstar:  ", 
   0.08438938133772476, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8445304075211695`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073479100914`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2470", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226913444781642`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.848699168871898`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08407900027684233`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.848699168871898`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2470, "   tar:  ", 1.28, "   tarstar:  ", 1.2575, "   R:  ", 
   3.226913444781642, "   Bstar:  ", 3.848699168871898, "   Xstar:  ", 
   0.08407900027684233, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.848699168871898^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073479290934`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2471", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2269444040766713`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.852865646958371`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08377026373298357`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.852865646958371`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2471, "   tar:  ", 1.2825, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2269444040766713`, "   Bstar:  ", 3.852865646958371, "   Xstar:  ", 
   0.08377026373298357, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.852865646958371^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073479480953`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2472", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.226973267486295`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8570298431088488`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08346316060427705`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8570298431088488`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2472, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.2575, 
   "   R:  ", 3.226973267486295, "   Bstar:  ", 3.8570298431088488`, 
   "   Xstar:  ", 0.08346316060427705, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8570298431088488`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073479670973`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2473", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2270000609579723`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.861191758676947`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08315767987745502`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.861191758676947`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2473, "   tar:  ", 1.2875, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2270000609579723`, "   Bstar:  ", 3.861191758676947, "   Xstar:  ", 
   0.08315767987745502, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.861191758676947^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607347985099*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2474", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227024810133386`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.865351395041219`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0828538106270669`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.865351395041219`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2474, "   tar:  ", 1.29, "   tarstar:  ", 1.2575, "   R:  ", 
   3.227024810133386, "   Bstar:  ", 3.865351395041219, "   Xstar:  ", 
   0.0828538106270669, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.865351395041219^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607348004101*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2475", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227047540352226`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8695087536047916`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08255154201469561`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8695087536047916`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2475, "   tar:  ", 1.2925, "   tarstar:  ", 1.2575, "   R:  ", 
   3.227047540352226, "   Bstar:  ", 3.8695087536047916`, "   Xstar:  ", 
   0.08255154201469561, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8695087536047916`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073480231028`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2476", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2270682766559293`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8736638357948907`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08225086328819102`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8736638357948907`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2476, "   tar:  ", 1.295, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2270682766559293`, "   Bstar:  ", 3.8736638357948907`, "   Xstar:  ", 
   0.08225086328819102, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8736638357948907`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073480401044`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2477", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.227087043791361`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.877816643062532`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08195176378089782`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.877816643062532`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2477, "   tar:  ", 1.2975, "   tarstar:  ", 1.2575, "   R:  ", 
   3.227087043791361, "   Bstar:  ", 3.877816643062532, "   Xstar:  ", 
   0.08195176378089782, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.877816643062532^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607348057106*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2478", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2575`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2271038662144527`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.881967176882048`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08165423291090301`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.881967176882048`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2478, "   tar:  ", 1.3, "   tarstar:  ", 1.2575, "   R:  ", 
   3.2271038662144527`, "   Bstar:  ", 3.881967176882048, "   Xstar:  ", 
   0.08165423291090301, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.881967176882048^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073480701075`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2479", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2215542466033043`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6425801299627727`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10138274257986953`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6425801299627727`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2479, "   tar:  ", 1.155, "   tarstar:  ", 1.26, "   R:  ", 
   3.2215542466033043`, "   Bstar:  ", 3.6425801299627727`, "   Xstar:  ", 
   0.10138274257986953`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6425801299627727`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607348087109*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2480", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221730406209953`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6468694434415405`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10097788948250652`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6468694434415405`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2480, "   tar:  ", 1.1575, "   tarstar:  ", 1.26, "   R:  ", 
   3.221730406209953, "   Bstar:  ", 3.6468694434415405`, "   Xstar:  ", 
   0.10097788948250652`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6468694434415405`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734810011*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2481", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2219026956803574`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.651156440243887`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10057534310971139`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.651156440243887`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2481, "   tar:  ", 1.16, "   tarstar:  ", 1.26, "   R:  ", 
   3.2219026956803574`, "   Bstar:  ", 3.651156440243887, "   Xstar:  ", 
   0.10057534310971139`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.651156440243887^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073481121116`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2482", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2220711622635814`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6554411198474326`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10017508693517695`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6554411198474326`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2482, "   tar:  ", 1.1625, "   tarstar:  ", 1.26, "   R:  ", 
   3.2220711622635814`, "   Bstar:  ", 3.6554411198474326`, "   Xstar:  ", 
   0.10017508693517695`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6554411198474326`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607348130113*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2483", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222235852633475`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6597234817841047`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09977710456972469`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6597234817841047`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2483, "   tar:  ", 1.165, "   tarstar:  ", 1.26, "   R:  ", 
   3.222235852633475, "   Bstar:  ", 3.6597234817841047`, "   Xstar:  ", 
   0.09977710456972469, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6597234817841047`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073481421146`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2484", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22239681289607`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6640035256393246`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09938137976008524`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6640035256393246`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2484, "   tar:  ", 1.1675, "   tarstar:  ", 1.26, "   R:  ", 
   3.22239681289607, "   Bstar:  ", 3.6640035256393246`, "   Xstar:  ", 
   0.09938137976008524, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6640035256393246`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607348155116*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2485", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2225540885968407`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.668281251051236`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09898789638768692`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.668281251051236`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2485, "   tar:  ", 1.17, "   tarstar:  ", 1.26, "   R:  ", 
   3.2225540885968407`, "   Bstar:  ", 3.668281251051236, "   Xstar:  ", 
   0.09898789638768692, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.668281251051236^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607348167117*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2486", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2227077247278926`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6725566577098685`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09859663846746099`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6725566577098685`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2486, "   tar:  ", 1.1725, "   tarstar:  ", 1.26, "   R:  ", 
   3.2227077247278926`, "   Bstar:  ", 3.6725566577098685`, "   Xstar:  ", 
   0.09859663846746099, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6725566577098685`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073481801186`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2487", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2228577657350335`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6768297453563847`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09820759014665036`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6768297453563847`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2487, "   tar:  ", 1.175, "   tarstar:  ", 1.26, "   R:  ", 
   3.2228577657350335`, "   Bstar:  ", 3.6768297453563847`, "   Xstar:  ", 
   0.09820759014665036, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6768297453563847`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073481931195`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2488", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223004255524774`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6811005137823063`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09782073570363185`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6811005137823063`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2488, "   tar:  ", 1.1775, "   tarstar:  ", 1.26, "   R:  ", 
   3.223004255524774, "   Bstar:  ", 3.6811005137823063`, "   Xstar:  ", 
   0.09782073570363185, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6811005137823063`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073482081213`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2489", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2231472374712116`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6853689628287234`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09743605954675016`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6853689628287234`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2489, "   tar:  ", 1.18, "   tarstar:  ", 1.26, "   R:  ", 
   3.2231472374712116`, "   Bstar:  ", 3.6853689628287234`, "   Xstar:  ", 
   0.09743605954675016, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6853689628287234`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073482201223`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2490", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223286754422832`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6896350923855707`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09705354621315754`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6896350923855707`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2490, "   tar:  ", 1.1825, "   tarstar:  ", 1.26, "   R:  ", 
   3.223286754422832, "   Bstar:  ", 3.6896350923855707`, "   Xstar:  ", 
   0.09705354621315754, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6896350923855707`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073482351236`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2491", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2234228487092307`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.693898902390887`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09667318036766522`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.693898902390887`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2491, "   tar:  ", 1.185, "   tarstar:  ", 1.26, "   R:  ", 
   3.2234228487092307`, "   Bstar:  ", 3.693898902390887, "   Xstar:  ", 
   0.09667318036766522, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.693898902390887^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073482471247`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2492", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2235555621477117`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6981603928300526`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09629494680160802`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6981603928300526`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2492, "   tar:  ", 1.1875, "   tarstar:  ", 1.26, "   R:  ", 
   3.2235555621477117`, "   Bstar:  ", 3.6981603928300526`, "   Xstar:  ", 
   0.09629494680160802, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6981603928300526`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073482651267`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2493", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223684936049841`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7024195637351194`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09591883043171105`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7024195637351194`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2493, "   tar:  ", 1.19, "   tarstar:  ", 1.26, "   R:  ", 
   3.223684936049841, "   Bstar:  ", 3.7024195637351194`, "   Xstar:  ", 
   0.09591883043171105, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7024195637351194`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073482831287`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2494", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.26`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.223811011227881`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7066764151840585`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09554481629897466`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7066764151840585`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2494, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.26, 
   "   R:  ", 3.223811011227881, "   Bstar:  ", 3.7066764151840585`, 
   "   Xstar:  ", 0.09554481629897466, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7066764151840585`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073483021307`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2495", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2239338280011447`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7109309473000893`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09517288956756279`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7109309473000893`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2495, "   tar:  ", 1.195, "   tarstar:  ", 1.26, "   R:  ", 
   3.2239338280011447`, "   Bstar:  ", 3.7109309473000893`, "   Xstar:  ", 
   0.09517288956756279, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7109309473000893`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073483211327`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2496", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2240534262022753`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.715183160250964`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09480303552370542`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.715183160250964`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2496, "   tar:  ", 1.1975, "   tarstar:  ", 1.26, "   R:  ", 
   3.2240534262022753`, "   Bstar:  ", 3.715183160250964, "   Xstar:  ", 
   0.09480303552370542, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.715183160250964^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607348338134*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2497", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2241698451834337`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7194330542483005`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0944352395746075`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7194330542483005`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2497, "   tar:  ", 1.2, "   tarstar:  ", 1.26, "   R:  ", 
   3.2241698451834337`, "   Bstar:  ", 3.7194330542483005`, "   Xstar:  ", 
   0.0944352395746075, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7194330542483005`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607348355136*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2498", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.26`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2242831238224072`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.723680629546926`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0940694872473673`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.723680629546926`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2498, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.26, 
   "   R:  ", 3.2242831238224072`, "   Bstar:  ", 3.723680629546926, 
   "   Xstar:  ", 0.0940694872473673, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.723680629546926^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073483721375`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2499", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22439330052862`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.727925886444178`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09370576418790853`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.727925886444178`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2499, "   tar:  ", 1.205, "   tarstar:  ", 1.26, "   R:  ", 
   3.22439330052862, "   Bstar:  ", 3.727925886444178, "   Xstar:  ", 
   0.09370576418790853, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.727925886444178^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607348389139*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2500", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224500413249097`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7321688252792957`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09334405615991498`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7321688252792957`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2500, "   tar:  ", 1.2075, "   tarstar:  ", 1.26, "   R:  ", 
   3.224500413249097, "   Bstar:  ", 3.7321688252792957`, "   Xstar:  ", 
   0.09334405615991498, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7321688252792957`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073484071407`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2501", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2246044994743235`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7364094464327455`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09298434904378096`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7364094464327455`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2501, "   tar:  ", 1.21, "   tarstar:  ", 1.26, "   R:  ", 
   3.2246044994743235`, "   Bstar:  ", 3.7364094464327455`, "   Xstar:  ", 
   0.09298434904378096, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7364094464327455`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073484231424`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2502", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.26`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2247055962440165`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7406477503256057`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0926266288355668`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7406477503256057`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2502, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.26, 
   "   R:  ", 3.2247055962440165`, "   Bstar:  ", 3.7406477503256057`, 
   "   Xstar:  ", 0.0926266288355668, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7406477503256057`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073484341435`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2503", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2248037401528564`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.744883737418909`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09227088164596763`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.744883737418909`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2503, "   tar:  ", 1.215, "   tarstar:  ", 1.26, "   R:  ", 
   3.2248037401528564`, "   Bstar:  ", 3.744883737418909, "   Xstar:  ", 
   0.09227088164596763, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.744883737418909^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607348446145*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2504", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2248989673561024`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7491174082130825`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09191709369928423`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7491174082130825`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2504, "   tar:  ", 1.2175, "   tarstar:  ", 1.26, "   R:  ", 
   3.2248989673561024`, "   Bstar:  ", 3.7491174082130825`, "   Xstar:  ", 
   0.09191709369928423, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7491174082130825`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073484591465`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2505", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224991313575162`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.753348763247288`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09156525133241158`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.753348763247288`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2505, "   tar:  ", 1.22, "   tarstar:  ", 1.26, "   R:  ", 
   3.224991313575162, "   Bstar:  ", 3.753348763247288, "   Xstar:  ", 
   0.09156525133241158, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.753348763247288^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607348470147*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2506", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.26`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2250808141030682`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.757577803098843`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.091215340993831`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.757577803098843`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2506, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.26, 
   "   R:  ", 3.2250808141030682`, "   Bstar:  ", 3.757577803098843, 
   "   Xstar:  ", 0.091215340993831, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.757577803098843^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607348486149*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2507", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2251675038098915`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7618045283826347`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09086734924261206`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7618045283826347`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2507, "   tar:  ", 1.225, "   tarstar:  ", 1.26, "   R:  ", 
   3.2251675038098915`, "   Bstar:  ", 3.7618045283826347`, "   Xstar:  ", 
   0.09086734924261206, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7618045283826347`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734850115*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2508", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2252514171480855`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.766028939750532`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09052126274742435`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.766028939750532`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2508, "   tar:  ", 1.2275, "   tarstar:  ", 1.26, "   R:  ", 
   3.2252514171480855`, "   Bstar:  ", 3.766028939750532, "   Xstar:  ", 
   0.09052126274742435, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.766028939750532^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607348518152*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2509", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2253325881577397`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7702510378907994`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09017706828555895`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7702510378907994`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2509, "   tar:  ", 1.23, "   tarstar:  ", 1.26, "   R:  ", 
   3.2253325881577397`, "   Bstar:  ", 3.7702510378907994`, "   Xstar:  ", 
   0.09017706828555895, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7702510378907994`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073485301533`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2510", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225411050471797`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7744708235275652`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08983475274195432`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7744708235275652`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2510, "   tar:  ", 1.2325, "   tarstar:  ", 1.26, "   R:  ", 
   3.225411050471797, "   Bstar:  ", 3.7744708235275652`, "   Xstar:  ", 
   0.08983475274195432, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7744708235275652`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073485421543`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2511", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2254868373211645`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7786882974202043`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08949430310823882`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7786882974202043`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2511, "   tar:  ", 1.235, "   tarstar:  ", 1.26, "   R:  ", 
   3.2254868373211645`, "   Bstar:  ", 3.7786882974202043`, "   Xstar:  ", 
   0.08949430310823882, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7786882974202043`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073485541553`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2512", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2255599815397833`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.782903460362846`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08915570648177312`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.782903460362846`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2512, "   tar:  ", 1.2375, "   tarstar:  ", 1.26, "   R:  ", 
   3.2255599815397833`, "   Bstar:  ", 3.782903460362846, "   Xstar:  ", 
   0.08915570648177312, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.782903460362846^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607348565157*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2513", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2256305155696197`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.78711631318379`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0888189500647073`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.78711631318379`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2513, "   tar:  ", 1.24, "   tarstar:  ", 1.26, "   R:  ", 
   3.2256305155696197`, "   Bstar:  ", 3.78711631318379, "   Xstar:  ", 
   0.0888189500647073, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.78711631318379^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073485791583`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2514", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2256984714655905`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7913268567450196`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08848402116304128`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7913268567450196`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2514, "   tar:  ", 1.2425, "   tarstar:  ", 1.26, "   R:  ", 
   3.2256984714655905`, "   Bstar:  ", 3.7913268567450196`, "   Xstar:  ", 
   0.08848402116304128, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7913268567450196`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073485921593`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2515", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2257638809004274`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7955350919416047`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08815090718570223`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7955350919416047`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2515, "   tar:  ", 1.245, "   tarstar:  ", 1.26, "   R:  ", 
   3.2257638809004274`, "   Bstar:  ", 3.7955350919416047`, "   Xstar:  ", 
   0.08815090718570223, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7955350919416047`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073486051607`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2516", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225826775169471`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.79974101970123`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08781959564362099`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.79974101970123`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2516, "   tar:  ", 1.2475, "   tarstar:  ", 1.26, "   R:  ", 
   3.225826775169471, "   Bstar:  ", 3.79974101970123, "   Xstar:  ", 
   0.08781959564362099, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.79974101970123^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073486201625`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2517", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225887185195403`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.80394464098367`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08749007414882183`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.80394464098367`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2517, "   tar:  ", 1.25, "   tarstar:  ", 1.26, "   R:  ", 
   3.225887185195403, "   Bstar:  ", 3.80394464098367, "   Xstar:  ", 
   0.08749007414882183, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.80394464098367^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607348637164*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2518", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225945141532921`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8081459567802765`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08716233041351991`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8081459567802765`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2518, "   tar:  ", 1.2525, "   tarstar:  ", 1.26, "   R:  ", 
   3.225945141532921, "   Bstar:  ", 3.8081459567802765`, "   Xstar:  ", 
   0.08716233041351991, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8081459567802765`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073486551657`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2519", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.26`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.226000674373345`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8123449681135013`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08683635224922485`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8123449681135013`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2519, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.26, 
   "   R:  ", 3.226000674373345, "   Bstar:  ", 3.8123449681135013`, 
   "   Xstar:  ", 0.08683635224922485, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8123449681135013`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607348672168*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2520", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2260538135491634`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8165416760363553`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08651212756585791`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8165416760363553`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2520, "   tar:  ", 1.2575, "   tarstar:  ", 1.26, "   R:  ", 
   3.2260538135491634`, "   Bstar:  ", 3.8165416760363553`, "   Xstar:  ", 
   0.08651212756585791, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8165416760363553`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734869917*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2521", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2261045885385253`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.820736081631977`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08618964437086926`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.820736081631977`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2521, "   tar:  ", 1.26, "   tarstar:  ", 1.26, "   R:  ", 
   3.2261045885385253`, "   Bstar:  ", 3.820736081631977, "   Xstar:  ", 
   0.08618964437086926, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.820736081631977^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073487171717`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2522", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2261530284696613`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8249281860131226`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08586889076837007`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8249281860131226`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2522, "   tar:  ", 1.2625, "   tarstar:  ", 1.26, "   R:  ", 
   3.2261530284696613`, "   Bstar:  ", 3.8249281860131226`, "   Xstar:  ", 
   0.08586889076837007, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8249281860131226`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607348734174*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2523", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.26`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.226199162125258`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.829117990321694`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08554985495826974`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.829117990321694`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2523, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.26, 
   "   R:  ", 3.226199162125258, "   Bstar:  ", 3.829117990321694, 
   "   Xstar:  ", 0.08554985495826974, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.829117990321694^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607348749175*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2524", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2262430179467674`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8333054957282817`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08523252523542087`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8333054957282817`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2524, "   tar:  ", 1.2675, "   tarstar:  ", 1.26, "   R:  ", 
   3.2262430179467674`, "   Bstar:  ", 3.8333054957282817`, "   Xstar:  ", 
   0.08523252523542087, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8333054957282817`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607348768177*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2525", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2262846240386667`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8374907034317225`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08491688998877103`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8374907034317225`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2525, "   tar:  ", 1.27, "   tarstar:  ", 1.26, "   R:  ", 
   3.2262846240386667`, "   Bstar:  ", 3.8374907034317225`, "   Xstar:  ", 
   0.08491688998877103, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8374907034317225`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073487881794`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2526", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2263240081726483`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8416736146585935`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08460293770052789`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8416736146585935`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2526, "   tar:  ", 1.2725, "   tarstar:  ", 1.26, "   R:  ", 
   3.2263240081726483`, "   Bstar:  ", 3.8416736146585935`, "   Xstar:  ", 
   0.08460293770052789, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8416736146585935`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073488011804`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2527", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2263611977917703`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.845854230662815`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08429065694532414`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.845854230662815`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2527, "   tar:  ", 1.275, "   tarstar:  ", 1.26, "   R:  ", 
   3.2263611977917703`, "   Bstar:  ", 3.845854230662815, "   Xstar:  ", 
   0.08429065694532414, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.845854230662815^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073488151817`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2528", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2263962200145433`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8500325527252226`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08398003638939291`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8500325527252226`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2528, "   tar:  ", 1.2775, "   tarstar:  ", 1.26, "   R:  ", 
   3.2263962200145433`, "   Bstar:  ", 3.8500325527252226`, "   Xstar:  ", 
   0.08398003638939291, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8500325527252226`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607348830183*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2529", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226429101638962`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.85420858215304`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08367106478975878`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.85420858215304`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2529, "   tar:  ", 1.28, "   tarstar:  ", 1.26, "   R:  ", 
   3.226429101638962, "   Bstar:  ", 3.85420858215304, "   Xstar:  ", 
   0.08367106478975878, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.85420858215304^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607348842184*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2530", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2264598691464954`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.858382320279571`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08336373099342002`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.858382320279571`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2530, "   tar:  ", 1.2825, "   tarstar:  ", 1.26, "   R:  ", 
   3.2264598691464954`, "   Bstar:  ", 3.858382320279571, "   Xstar:  ", 
   0.08336373099342002, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.858382320279571^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073488541856`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2531", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.26`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2264885487059987`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.862553768463693`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08305802393655409`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.862553768463693`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2531, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.26, 
   "   R:  ", 3.2264885487059987`, "   Bstar:  ", 3.862553768463693, 
   "   Xstar:  ", 0.08305802393655409, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.862553768463693^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607348868187*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2532", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226515166177614`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8667229280894686`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08275393264372152`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8667229280894686`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2532, "   tar:  ", 1.2875, "   tarstar:  ", 1.26, "   R:  ", 
   3.226515166177614, "   Bstar:  ", 3.8667229280894686`, "   Xstar:  ", 
   0.08275393264372152, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8667229280894686`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073488861885`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2533", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226539747116577`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.870889800565766`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0824514462270777`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.870889800565766`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2533, "   tar:  ", 1.29, "   tarstar:  ", 1.26, "   R:  ", 
   3.226539747116577, "   Bstar:  ", 3.870889800565766, "   Xstar:  ", 
   0.0824514462270777, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.870889800565766^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734890219*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2534", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2265623167770032`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8750543873257675`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08215055388559982`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8750543873257675`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2534, "   tar:  ", 1.2925, "   tarstar:  ", 1.26, "   R:  ", 
   3.2265623167770032`, "   Bstar:  ", 3.8750543873257675`, "   Xstar:  ", 
   0.08215055388559982, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8750543873257675`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607348916192*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2535", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2265829001156154`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8792166898266545`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08185124490430869`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8792166898266545`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2535, "   tar:  ", 1.295, "   tarstar:  ", 1.26, "   R:  ", 
   3.2265829001156154`, "   Bstar:  ", 3.8792166898266545`, "   Xstar:  ", 
   0.08185124490430869, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8792166898266545`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073489331937`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2536", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2266015217954176`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8833767095491822`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08155350865350698`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8833767095491822`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2536, "   tar:  ", 1.2975, "   tarstar:  ", 1.26, "   R:  ", 
   3.2266015217954176`, "   Bstar:  ", 3.8833767095491822`, "   Xstar:  ", 
   0.08155350865350698, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8833767095491822`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607348949195*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2537", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.26`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22661820618932`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8875344479972855`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08125733458802128`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8875344479972855`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2537, "   tar:  ", 1.3, "   tarstar:  ", 1.26, "   R:  ", 
   3.22661820618932, "   Bstar:  ", 3.8875344479972855`, "   Xstar:  ", 
   0.08125733458802128, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8875344479972855`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073489621964`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2538", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221094366655221`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6477141904400203`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10089840353285766`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6477141904400203`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2538, "   tar:  ", 1.155, "   tarstar:  ", 1.2625, "   R:  ", 
   3.221094366655221, "   Bstar:  ", 3.6477141904400203`, "   Xstar:  ", 
   0.10089840353285766`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6477141904400203`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073489771976`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2539", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221269808632231`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.652011200881386`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10049533005105414`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.652011200881386`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2539, "   tar:  ", 1.1575, "   tarstar:  ", 1.2625, "   R:  ", 
   3.221269808632231, "   Bstar:  ", 3.652011200881386, "   Xstar:  ", 
   0.10049533005105414`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.652011200881386^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073489911995`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2540", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2214413940338167`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.656305884881427`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.10009455447231824`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.656305884881427`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2540, "   tar:  ", 1.16, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2214413940338167`, "   Bstar:  ", 3.656305884881427, "   Xstar:  ", 
   0.10009455447231824`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.656305884881427^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607349004201*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2541", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221609169966188`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6605982419585303`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09969606031971637`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6605982419585303`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2541, "   tar:  ", 1.1625, "   tarstar:  ", 1.2625, "   R:  ", 
   3.221609169966188, "   Bstar:  ", 3.6605982419585303`, "   Xstar:  ", 
   0.09969606031971637, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6605982419585303`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607349019202*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2542", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221773182961725`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6648882716851787`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09929983125320457`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6648882716851787`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2542, "   tar:  ", 1.165, "   tarstar:  ", 1.2625, "   R:  ", 
   3.221773182961725, "   Bstar:  ", 3.6648882716851787`, "   Xstar:  ", 
   0.09929983125320457, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6648882716851787`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607349039204*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2543", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2219334789863554`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6691759736870884`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09890585106841379`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6691759736870884`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2543, "   tar:  ", 1.1675, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2219334789863554`, "   Bstar:  ", 3.6691759736870884`, "   Xstar:  ", 
   0.09890585106841379, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6691759736870884`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607349054206*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2544", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2220901034467992`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6734613476424665`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09851410369543463`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6734613476424665`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2544, "   tar:  ", 1.17, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2220901034467992`, "   Bstar:  ", 3.6734613476424665`, "   Xstar:  ", 
   0.09851410369543463, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6734613476424665`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607349071207*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2545", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222243101197753`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.677744393281172`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09812457319762308`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.677744393281172`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2545, "   tar:  ", 1.1725, "   tarstar:  ", 1.2625, "   R:  ", 
   3.222243101197753, "   Bstar:  ", 3.677744393281172, "   Xstar:  ", 
   0.09812457319762308, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.677744393281172^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607349088209*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2546", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2223925165489575`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6820251103839516`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09773724377041006`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6820251103839516`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2546, "   tar:  ", 1.175, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2223925165489575`, "   Bstar:  ", 3.6820251103839516`, "   Xstar:  ", 
   0.09773724377041006, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6820251103839516`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607349105211*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2547", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2225383932721585`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6863034987816863`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0973520997401214`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6863034987816863`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2547, "   tar:  ", 1.1775, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2225383932721585`, "   Bstar:  ", 3.6863034987816863`, "   Xstar:  ", 
   0.0973520997401214, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6863034987816863`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073491252127`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2548", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222680774608014`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.690579558354586`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09696912556281309`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.690579558354586`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2548, "   tar:  ", 1.18, "   tarstar:  ", 1.2625, "   R:  ", 
   3.222680774608014, "   Bstar:  ", 3.690579558354586, "   Xstar:  ", 
   0.09696912556281309, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.690579558354586^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073491432147`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2549", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2228197032728687`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6948532890314776`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09658830582311004`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6948532890314776`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2549, "   tar:  ", 1.1825, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2228197032728687`, "   Bstar:  ", 3.6948532890314776`, "   Xstar:  ", 
   0.09658830582311004, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6948532890314776`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607349162216*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2550", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2229552214654493`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6991246907890485`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09620962523305857`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6991246907890485`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2550, "   tar:  ", 1.185, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2229552214654493`, "   Bstar:  ", 3.6991246907890485`, "   Xstar:  ", 
   0.09620962523305857, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6991246907890485`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607349181218*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2551", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223087370873487`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.703393763651119`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09583306863098792`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.703393763651119`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2551, "   tar:  ", 1.1875, "   tarstar:  ", 1.2625, "   R:  ", 
   3.223087370873487, "   Bstar:  ", 3.703393763651119, "   Xstar:  ", 
   0.09583306863098792, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.703393763651119^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734920022*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2552", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223216192680227`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7076605076879563`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0954586209803788`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7076605076879563`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2552, "   tar:  ", 1.19, "   tarstar:  ", 1.2625, "   R:  ", 
   3.223216192680227, "   Bstar:  ", 3.7076605076879563`, "   Xstar:  ", 
   0.0954586209803788, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7076605076879563`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607349217222*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2553", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2233417275708733`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7119249230154865`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09508626736875148`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7119249230154865`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2553, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.2625, 
   "   R:  ", 3.2233417275708733`, "   Bstar:  ", 3.7119249230154865`, 
   "   Xstar:  ", 0.09508626736875148, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7119249230154865`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607349230223*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2554", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223464015738919`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7161870097946967`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09471599300654705`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7161870097946967`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2554, "   tar:  ", 1.195, "   tarstar:  ", 1.2625, "   R:  ", 
   3.223464015738919, "   Bstar:  ", 3.7161870097946967`, "   Xstar:  ", 
   0.09471599300654705, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7161870097946967`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607349246225*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2555", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2235830968924253`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.720446768230866`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09434778322603597`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.720446768230866`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2555, "   tar:  ", 1.1975, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2235830968924253`, "   Bstar:  ", 3.720446768230866, "   Xstar:  ", 
   0.09434778322603597, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.720446768230866^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607349264227*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2556", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223699010260189`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7247041985729217`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09398162348022437`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7247041985729217`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2556, "   tar:  ", 1.2, "   tarstar:  ", 1.2625, "   R:  ", 
   3.223699010260189, "   Bstar:  ", 3.7247041985729217`, "   Xstar:  ", 
   0.09398162348022437, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7247041985729217`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607349279228*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2557", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.22381179459784`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7289593011127846`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0936174993417725`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7289593011127846`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2557, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.2625, 
   "   R:  ", 3.22381179459784, "   Bstar:  ", 3.7289593011127846`, 
   "   Xstar:  ", 0.0936174993417725, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7289593011127846`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073492962303`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2558", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2239214881938607`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.733212076184648`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09325539650192939`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.733212076184648`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2558, "   tar:  ", 1.205, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2239214881938607`, "   Bstar:  ", 3.733212076184648, "   Xstar:  ", 
   0.09325539650192939, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.733212076184648^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607349318232*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2559", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2240281288755144`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7374625241644215`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09289530076946283`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7374625241644215`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2559, "   tar:  ", 1.2075, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2240281288755144`, "   Bstar:  ", 3.7374625241644215`, "   Xstar:  ", 
   0.09289530076946283, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7374625241644215`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073493392344`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2560", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2241317540146954`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7417106454690026`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09253719806961516`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7417106454690026`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2560, "   tar:  ", 1.21, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2241317540146954`, "   Bstar:  ", 3.7417106454690026`, "   Xstar:  ", 
   0.09253719806961516, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7417106454690026`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607349360236*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2561", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.224232400533719`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7459564405556742`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09218107444305777`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7459564405556742`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2561, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.2625, 
   "   R:  ", 3.224232400533719, "   Bstar:  ", 3.7459564405556742`, 
   "   Xstar:  ", 0.09218107444305777, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7459564405556742`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073493822384`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2562", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2243301049110036`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.750199909921509`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09182691604485513`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.750199909921509`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2562, "   tar:  ", 1.215, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2243301049110036`, "   Bstar:  ", 3.750199909921509, "   Xstar:  ", 
   0.09182691604485513, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.750199909921509^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073494082413`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2563", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224424903186708`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7544410541027156`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09147470914344395`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7544410541027156`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2563, "   tar:  ", 1.2175, "   tarstar:  ", 1.2625, "   R:  ", 
   3.224424903186708, "   Bstar:  ", 3.7544410541027156`, "   Xstar:  ", 
   0.09147470914344395, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7544410541027156`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607349427243*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2564", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224516830968266`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.758679873674045`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09112444011961666`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.758679873674045`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2564, "   tar:  ", 1.22, "   tarstar:  ", 1.2625, "   R:  ", 
   3.224516830968266, "   Bstar:  ", 3.758679873674045, "   Xstar:  ", 
   0.09112444011961666, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.758679873674045^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073494492455`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2565", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2246059234358726`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7629163692481926`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09077609546551549`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7629163692481926`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2565, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.2625, 
   "   R:  ", 3.2246059234358726`, "   Bstar:  ", 3.7629163692481926`, 
   "   Xstar:  ", 0.09077609546551549, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7629163692481926`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607349475248*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2566", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224692215347875`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7671505414752193`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09042966178363429`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7671505414752193`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2566, "   tar:  ", 1.225, "   tarstar:  ", 1.2625, "   R:  ", 
   3.224692215347875, "   Bstar:  ", 3.7671505414752193`, "   Xstar:  ", 
   0.09042966178363429, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7671505414752193`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073494992504`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2567", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2247757410461064`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7713823910419553`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09008512578583179`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7713823910419553`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2567, "   tar:  ", 1.2275, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2247757410461064`, "   Bstar:  ", 3.7713823910419553`, "   Xstar:  ", 
   0.09008512578583179, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7713823910419553`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607349529253*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2568", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224856534461141`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7756119186714265`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08974247429235203`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7756119186714265`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2568, "   tar:  ", 1.23, "   tarstar:  ", 1.2625, "   R:  ", 
   3.224856534461141, "   Bstar:  ", 3.7756119186714265`, "   Xstar:  ", 
   0.08974247429235203, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7756119186714265`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073495542555`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2569", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2249346291174814`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7798391251223102`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08940169423085256`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7798391251223102`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2569, "   tar:  ", 1.2325, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2249346291174814`, "   Bstar:  ", 3.7798391251223102`, "   Xstar:  ", 
   0.08940169423085256, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7798391251223102`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607349579258*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2570", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225010058138682`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.784064011188351`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0890627726354444`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.784064011188351`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2570, "   tar:  ", 1.235, "   tarstar:  ", 1.2625, "   R:  ", 
   3.225010058138682, "   Bstar:  ", 3.784064011188351, "   Xstar:  ", 
   0.0890627726354444, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.784064011188351^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607349605261*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2571", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225082854252396`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7882865776978187`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08872569664573846`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7882865776978187`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2571, "   tar:  ", 1.2375, "   tarstar:  ", 1.2625, "   R:  ", 
   3.225082854252396, "   Bstar:  ", 3.7882865776978187`, "   Xstar:  ", 
   0.08872569664573846, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7882865776978187`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073496282635`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2572", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225153049795354`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7925068255129877`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08839045350590011`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7925068255129877`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2572, "   tar:  ", 1.24, "   tarstar:  ", 1.2625, "   R:  ", 
   3.225153049795354, "   Bstar:  ", 3.7925068255129877`, "   Xstar:  ", 
   0.08839045350590011, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7925068255129877`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607349655266*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2573", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2252206767182927`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7967247555295627`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0880570305637151`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7967247555295627`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2573, "   tar:  ", 1.2425, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2252206767182927`, "   Bstar:  ", 3.7967247555295627`, "   Xstar:  ", 
   0.0880570305637151, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7967247555295627`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607349682268*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2574", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2252857665907912`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8009403686761942`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08772541526965986`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8009403686761942`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2574, "   tar:  ", 1.245, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2252857665907912`, "   Bstar:  ", 3.8009403686761942`, "   Xstar:  ", 
   0.08772541526965986, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8009403686761942`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073497092714`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2575", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2253483506060694`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8051536659139216`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08739559517598532`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8051536659139216`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2575, "   tar:  ", 1.2475, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2253483506060694`, "   Bstar:  ", 3.8051536659139216`, "   Xstar:  ", 
   0.08739559517598532, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8051536659139216`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073497312737`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2576", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2254084595857155`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8093646482356966`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08706755793580309`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8093646482356966`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2576, "   tar:  ", 1.25, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2254084595857155`, "   Bstar:  ", 3.8093646482356966`, "   Xstar:  ", 
   0.08706755793580309, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8093646482356966`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607349757276*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2577", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2254661239843334`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8135733166658508`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08674129130218565`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8135733166658508`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2577, "   tar:  ", 1.2525, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2254661239843334`, "   Bstar:  ", 3.8135733166658508`, "   Xstar:  ", 
   0.08674129130218565, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8135733166658508`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073497782784`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2578", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.225521373894147`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8177796722596047`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08641678312727152`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8177796722596047`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2578, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.2625, 
   "   R:  ", 3.225521373894147, "   Bstar:  ", 3.8177796722596047`, 
   "   Xstar:  ", 0.08641678312727152, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8177796722596047`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360734979928*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2579", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2255742390495463`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8219837161025736`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08609402136137952`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8219837161025736`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2579, "   tar:  ", 1.2575, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2255742390495463`, "   Bstar:  ", 3.8219837161025736`, "   Xstar:  ", 
   0.08609402136137952, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8219837161025736`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073498192825`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2580", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225624748831555`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.826185449310285`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.085772994052131`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.826185449310285`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2580, "   tar:  ", 1.26, "   tarstar:  ", 1.2625, "   R:  ", 
   3.225624748831555, "   Bstar:  ", 3.826185449310285, "   Xstar:  ", 
   0.085772994052131, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.826185449310285^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073498402843`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2581", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2256729322722553`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.830384873027729`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08545368934357792`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.830384873027729`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2581, "   tar:  ", 1.2625, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2256729322722553`, "   Bstar:  ", 3.830384873027729, "   Xstar:  ", 
   0.08545368934357792, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.830384873027729^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073498592863`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2582", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2257188180591485`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.834581988428839`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08513609547534444`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.834581988428839`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2582, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.2625, 
   "   R:  ", 3.2257188180591485`, "   Bstar:  ", 3.834581988428839, 
   "   Xstar:  ", 0.08513609547534444, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.834581988428839^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073498822885`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2583", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225762434539453`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8387767967160333`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0848202007817729`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8387767967160333`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2583, "   tar:  ", 1.2675, "   tarstar:  ", 1.2625, "   R:  ", 
   3.225762434539453, "   Bstar:  ", 3.8387767967160333`, "   Xstar:  ", 
   0.0848202007817729, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8387767967160333`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607349908291*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2584", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225803809724351`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.842969299119817`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08450599369107314`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.842969299119817`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2584, "   tar:  ", 1.27, "   tarstar:  ", 1.2625, "   R:  ", 
   3.225803809724351, "   Bstar:  ", 3.842969299119817, "   Xstar:  ", 
   0.08450599369107314, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.842969299119817^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607349929293*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2585", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2258429712931846`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8471594968982474`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08419346272449064`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8471594968982474`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2585, "   tar:  ", 1.2725, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2258429712931846`, "   Bstar:  ", 3.8471594968982474`, "   Xstar:  ", 
   0.08419346272449064, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8471594968982474`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073499502954`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2586", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2258799465975865`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8513473913365392`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08388259649547188`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8513473913365392`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2586, "   tar:  ", 1.275, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2258799465975865`, "   Bstar:  ", 3.8513473913365392`, "   Xstar:  ", 
   0.08388259649547188, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8513473913365392`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607349968297*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2587", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225914762665551`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.85553298374663`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08357338370884151`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.85553298374663`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2587, "   tar:  ", 1.2775, "   tarstar:  ", 1.2625, "   R:  ", 
   3.225914762665551, "   Bstar:  ", 3.85553298374663, "   Xstar:  ", 
   0.08357338370884151, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.85553298374663^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073499842987`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2588", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2259474462054767`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.859716275466698`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0832658131599904`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.859716275466698`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2588, "   tar:  ", 1.28, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2259474462054767`, "   Bstar:  ", 3.859716275466698, "   Xstar:  ", 
   0.0832658131599904, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.859716275466698^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073500053005`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2589", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225978023610124`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8638972678607897`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0829598737340641`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8638972678607897`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2589, "   tar:  ", 1.2825, "   tarstar:  ", 1.2625, "   R:  ", 
   3.225978023610124, "   Bstar:  ", 3.8638972678607897`, "   Xstar:  ", 
   0.0829598737340641, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8638972678607897`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350026303*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2590", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.226006520960549`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.868075962318386`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08265555440516355`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.868075962318386`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2590, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.2625, 
   "   R:  ", 3.226006520960549, "   Bstar:  ", 3.868075962318386, 
   "   Xstar:  ", 0.08265555440516355, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.868075962318386^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350049305*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2591", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2260329640299568`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8722523602539347`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08235284423555576`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8722523602539347`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2591, "   tar:  ", 1.2875, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2260329640299568`, "   Bstar:  ", 3.8722523602539347`, "   Xstar:  ", 
   0.08235284423555576, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8722523602539347`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350066307*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2592", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2260573782875372`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8764264631065113`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08205173237488343`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8764264631065113`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2592, "   tar:  ", 1.29, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2260573782875372`, "   Bstar:  ", 3.8764264631065113`, "   Xstar:  ", 
   0.08205173237488343, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8764264631065113`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350085309*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2593", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2260797889022195`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8805982723393844`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08175220805938894`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8805982723393844`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2593, "   tar:  ", 1.2925, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2260797889022195`, "   Bstar:  ", 3.8805982723393844`, "   Xstar:  ", 
   0.08175220805938894, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8805982723393844`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350104311*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2594", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2261002207463947`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8847677894396244`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08145426061114269`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8847677894396244`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2594, "   tar:  ", 1.295, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2261002207463947`, "   Bstar:  ", 3.8847677894396244`, "   Xstar:  ", 
   0.08145426061114269, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8847677894396244`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350121312*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2595", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.226118698399586`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.888935015917688`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08115787943728106`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.888935015917688`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2595, "   tar:  ", 1.2975, "   tarstar:  ", 1.2625, "   R:  ", 
   3.226118698399586, "   Bstar:  ", 3.888935015917688, "   Xstar:  ", 
   0.08115787943728106, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.888935015917688^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350137314*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2596", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2625`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2261352461520723`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.893099953307054`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08086305402924797`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.893099953307054`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2596, "   tar:  ", 1.3, "   tarstar:  ", 1.2625, "   R:  ", 
   3.2261352461520723`, "   Bstar:  ", 3.893099953307054, "   Xstar:  ", 
   0.08086305402924797, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.893099953307054^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350156316*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2597", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.220637007212204`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.652846835160444`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10041718700098423`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.652846835160444`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2597, "   tar:  ", 1.155, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.220637007212204, "   Bstar:  ", 3.652846835160444, 
   "   Xstar:  ", 0.10041718700098423`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.652846835160444^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350175318*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2598", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.220811735952112`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6571515361433313`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.10001588301375458`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6571515361433313`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2598, "   tar:  ", 1.1575, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.220811735952112, "   Bstar:  ", 3.6571515361433313`, 
   "   Xstar:  ", 0.10001588301375458`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6571515361433313`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073501933193`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2599", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.220982621610964`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6614539009345286`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.099616868146792`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6614539009345286`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2599, "   tar:  ", 1.16, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.220982621610964, "   Bstar:  ", 3.6614539009345286`, 
   "   Xstar:  ", 0.099616868146792, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6614539009345286`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073502123213`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2600", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2211497111526417`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.665753929093149`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09922012597244408`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.665753929093149`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2600, "   tar:  ", 1.1625, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.2211497111526417`, "   Bstar:  ", 3.665753929093149, 
   "   Xstar:  ", 0.09922012597244408, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.665753929093149^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350228323*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2601", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2213130509685852`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6700516202321656`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09882564019971031`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6700516202321656`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2601, "   tar:  ", 1.165, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.2213130509685852`, "   Bstar:  ", 3.6700516202321656`, 
   "   Xstar:  ", 0.09882564019971031, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6700516202321656`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073502423244`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2602", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.221472686885133`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6743469740175745`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09843339467302414`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6743469740175745`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2602, "   tar:  ", 1.1675, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.221472686885133, "   Bstar:  ", 3.6743469740175745`, 
   "   Xstar:  ", 0.09843339467302414, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6743469740175745`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350255326*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2603", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2216286641707796`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6786399901675897`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09804337337104387`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6786399901675897`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2603, "   tar:  ", 1.17, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.2216286641707796`, "   Bstar:  ", 3.6786399901675897`, 
   "   Xstar:  ", 0.09804337337104387, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6786399901675897`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350268327*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2604", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.221781027543331`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6829306684518577`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09765556040545299`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6829306684518577`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2604, "   tar:  ", 1.1725, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.221781027543331, "   Bstar:  ", 3.6829306684518577`, 
   "   Xstar:  ", 0.09765556040545299, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6829306684518577`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073502823286`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2605", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2219298211769654`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6872190086906658`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09726994001977167`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6872190086906658`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2605, "   tar:  ", 1.175, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.2219298211769654`, "   Bstar:  ", 3.6872190086906658`, 
   "   Xstar:  ", 0.09726994001977167, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6872190086906658`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735029533*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2606", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.222075088709196`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6915050107541996`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09688649658817612`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6915050107541996`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2606, "   tar:  ", 1.1775, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.222075088709196, "   Bstar:  ", 3.6915050107541996`, 
   "   Xstar:  ", 0.09688649658817612, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6915050107541996`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073503103313`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2607", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.222216873247738`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6957886745617503`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09650521461433247`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6957886745617503`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2607, "   tar:  ", 1.18, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.222216873247738, "   Bstar:  ", 3.6957886745617503`, 
   "   Xstar:  ", 0.09650521461433247, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6957886745617503`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073503253326`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2608", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.222355217377303`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7000700000809874`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09612607873023685`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7000700000809874`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2608, "   tar:  ", 1.1825, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.222355217377303, "   Bstar:  ", 3.7000700000809874`, 
   "   Xstar:  ", 0.09612607873023685, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7000700000809874`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350338334*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2609", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2224901631662686`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.704348987327219`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09574907369506626`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.704348987327219`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2609, "   tar:  ", 1.185, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.2224901631662686`, "   Bstar:  ", 3.704348987327219, 
   "   Xstar:  ", 0.09574907369506626, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.704348987327219^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350352336*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2610", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.222621752173281`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.708625636362651`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09537418439404165`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.708625636362651`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2610, "   tar:  ", 1.1875, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.222621752173281, "   Bstar:  ", 3.708625636362651, 
   "   Xstar:  ", 0.09537418439404165, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.708625636362651^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350365337*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2611", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.22275002545378`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.712899947295686`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09500139583729729`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.712899947295686`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2611, "   tar:  ", 1.19, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.22275002545378, "   Bstar:  ", 3.712899947295686, 
   "   Xstar:  ", 0.09500139583729729, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.712899947295686^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350377338*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2612", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2650000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2228750235663943`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.717171920280226`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09463069315876134`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.717171920280226`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2612, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 
   1.2650000000000001`, "   R:  ", 3.2228750235663943`, "   Bstar:  ", 
   3.717171920280226, "   Xstar:  ", 0.09463069315876134, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.717171920280226^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350390339*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2613", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2229967865793063`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7214415555149234`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09426206161505103`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7214415555149234`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2613, "   tar:  ", 1.195, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.2229967865793063`, "   Bstar:  ", 3.7214415555149234`, 
   "   Xstar:  ", 0.09426206161505103, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7214415555149234`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073504033403`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2614", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.223115354076479`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.725708853242562`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0938954865843672`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.725708853242562`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2614, "   tar:  ", 1.1975, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.223115354076479, "   Bstar:  ", 3.725708853242562, 
   "   Xstar:  ", 0.0938954865843672, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.725708853242562^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350418342*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2615", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.223230765163838`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7299738137493375`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09353095356540826`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7299738137493375`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2615, "   tar:  ", 1.2, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.223230765163838, "   Bstar:  ", 3.7299738137493375`, 
   "   Xstar:  ", 0.09353095356540826, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7299738137493375`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073504343433`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2616", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2650000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223343058475351`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7342364373641925`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09316844817628954`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7342364373641925`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2616, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 
   1.2650000000000001`, "   R:  ", 3.223343058475351, "   Bstar:  ", 
   3.7342364373641925`, "   Xstar:  ", 0.09316844817628954, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7342364373641925`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350452346*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2617", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.223452272179035`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.738496724458175`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0928079561534712`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.738496724458175`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2617, "   tar:  ", 1.205, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.223452272179035, "   Bstar:  ", 3.738496724458175, 
   "   Xstar:  ", 0.0928079561534712, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.738496724458175^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350469347*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2618", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2235584439828706`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7427546754437757`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09244946335069809`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7427546754437757`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2618, "   tar:  ", 1.2075, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.2235584439828706`, "   Bstar:  ", 3.7427546754437757`, 
   "   Xstar:  ", 0.09244946335069809, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7427546754437757`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350488349*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2619", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.223661611140657`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.747010290774293`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09209295573794757`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.747010290774293`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2619, "   tar:  ", 1.21, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.223661611140657, "   Bstar:  ", 3.747010290774293, 
   "   Xstar:  ", 0.09209295573794757, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.747010290774293^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073505083513`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2620", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2650000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2237618104577668`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.751263570943192`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09173841940038763`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.751263570943192`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2620, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 
   1.2650000000000001`, "   R:  ", 3.2237618104577668`, "   Bstar:  ", 
   3.751263570943192, "   Xstar:  ", 0.09173841940038763, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.751263570943192^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073505273533`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2621", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.223859078296845`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.755514516483496`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09138584053734279`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.755514516483496`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2621, "   tar:  ", 1.215, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.223859078296845, "   Bstar:  ", 3.755514516483496, 
   "   Xstar:  ", 0.09138584053734279, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.755514516483496^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350545355*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2622", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2239534505834087`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7597631279671666`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09103520546127054`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7597631279671666`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2622, "   tar:  ", 1.2175, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.2239534505834087`, "   Bstar:  ", 3.7597631279671666`, 
   "   Xstar:  ", 0.09103520546127054, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7597631279671666`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073505663567`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2623", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2240449628113983`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7640094060045017`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09068650059674589`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7640094060045017`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2623, "   tar:  ", 1.22, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.2240449628113983`, "   Bstar:  ", 3.7640094060045017`, 
   "   Xstar:  ", 0.09068650059674589, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7640094060045017`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073505823584`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2624", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2650000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2241336500486284`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.76825335124354`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09033971247945627`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.76825335124354`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2624, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 
   1.2650000000000001`, "   R:  ", 3.2241336500486284`, "   Bstar:  ", 
   3.76825335124354, "   Xstar:  ", 0.09033971247945627, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.76825335124354^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735059836*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2625", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.224219546942188`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7724949643694425`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08999482775520665`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7724949643694425`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2625, "   tar:  ", 1.225, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.224219546942188, "   Bstar:  ", 3.7724949643694425`, 
   "   Xstar:  ", 0.08999482775520665, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7724949643694425`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350612362*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2626", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2243026877237537`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7767342461039837`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0896518331789262`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7767342461039837`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2626, "   tar:  ", 1.2275, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.2243026877237537`, "   Bstar:  ", 3.7767342461039837`, 
   "   Xstar:  ", 0.0896518331789262, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7767342461039837`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073506303635`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2627", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.224383106214834`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.780971197204894`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08931071561369654`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.780971197204894`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2627, "   tar:  ", 1.23, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.224383106214834, "   Bstar:  ", 3.780971197204894, 
   "   Xstar:  ", 0.08931071561369654, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.780971197204894^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350648365*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2628", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2244608358319584`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7852058184653408`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08897146202977778`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7852058184653408`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2628, "   tar:  ", 1.2325, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.2244608358319584`, "   Bstar:  ", 3.7852058184653408`, 
   "   Xstar:  ", 0.08897146202977778, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7852058184653408`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073506613665`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2629", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2245359095917743`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7894381107134083`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08863405950364467`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7894381107134083`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2629, "   tar:  ", 1.235, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.2245359095917743`, "   Bstar:  ", 3.7894381107134083`, 
   "   Xstar:  ", 0.08863405950364467, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7894381107134083`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350674368*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2630", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.224608360116092`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.79366807481145`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08829849521704189`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.79366807481145`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2630, "   tar:  ", 1.2375, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.224608360116092, "   Bstar:  ", 3.79366807481145, 
   "   Xstar:  ", 0.08829849521704189, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.79366807481145^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350689369*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2631", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2246782196368606`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7978957116556558`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08796475645603148`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7978957116556558`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2631, "   tar:  ", 1.24, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.2246782196368606`, "   Bstar:  ", 3.7978957116556558`, 
   "   Xstar:  ", 0.08796475645603148, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7978957116556558`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073507043705`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2632", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2247455200010697`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8021210221754487`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08763283061006358`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8021210221754487`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2632, "   tar:  ", 1.2425, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.2247455200010697`, "   Bstar:  ", 3.8021210221754487`, 
   "   Xstar:  ", 0.08763283061006358, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8021210221754487`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350720372*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2633", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.224810292675595`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.806344007332984`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08730270517104666`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.806344007332984`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2633, "   tar:  ", 1.245, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.224810292675595, "   Bstar:  ", 3.806344007332984, 
   "   Xstar:  ", 0.08730270517104666, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.806344007332984^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073507373743`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2634", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2248725687519797`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8105646681226295`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08697436773243025`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8105646681226295`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2634, "   tar:  ", 1.2475, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.2248725687519797`, "   Bstar:  ", 3.8105646681226295`, 
   "   Xstar:  ", 0.08697436773243025, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8105646681226295`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073507563763`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2635", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.224932378951141`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.81478300557043`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08664780598829636`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.81478300557043`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2635, "   tar:  ", 1.25, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.224932378951141, "   Bstar:  ", 3.81478300557043, 
   "   Xstar:  ", 0.08664780598829636, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.81478300557043^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350769377*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2636", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2249897536280216`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8189990207336653`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0863230077324532`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8189990207336653`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2636, "   tar:  ", 1.2525, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.2249897536280216`, "   Bstar:  ", 3.8189990207336653`, 
   "   Xstar:  ", 0.0863230077324532, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8189990207336653`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350782378*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2637", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2650000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225044722776185`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8232127147002997`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0859999608575458`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8232127147002997`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2637, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 
   1.2650000000000001`, "   R:  ", 3.225044722776185, "   Bstar:  ", 
   3.8232127147002997`, "   Xstar:  ", 0.0859999608575458, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8232127147002997`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073507953796`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2638", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.225097316032347`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8274240885884843`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08567865335417137`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8274240885884843`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2638, "   tar:  ", 1.2575, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.225097316032347, "   Bstar:  ", 3.8274240885884843`, 
   "   Xstar:  ", 0.08567865335417137, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8274240885884843`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073508093815`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2639", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2251475626808337`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.831633143546125`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0853590733099984`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.831633143546125`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2639, "   tar:  ", 1.26, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.2251475626808337`, "   Bstar:  ", 3.831633143546125, 
   "   Xstar:  ", 0.0853590733099984, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.831633143546125^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073508233824`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2640", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.225195491657995`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8358398807503615`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08504120890890077`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8358398807503615`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2640, "   tar:  ", 1.2625, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.225195491657995, "   Bstar:  ", 3.8358398807503615`, 
   "   Xstar:  ", 0.08504120890890077, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8358398807503615`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073508403845`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2641", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2650000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2252411315565634`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8400443014071004`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08472504843009676`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8400443014071004`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2641, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 
   1.2650000000000001`, "   R:  ", 3.2252411315565634`, "   Bstar:  ", 
   3.8400443014071004`, "   Xstar:  ", 0.08472504843009676, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8400443014071004`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073508603864`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2642", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2252845106299426`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8442464067506066`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08441058024729153`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8442464067506066`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2642, "   tar:  ", 1.2675, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.2252845106299426`, "   Bstar:  ", 3.8442464067506066`, 
   "   Xstar:  ", 0.08441058024729153, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8442464067506066`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350879388*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2643", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.225325656796437`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.848446198042944`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0840977928278398`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.848446198042944`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2643, "   tar:  ", 1.27, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.225325656796437, "   Bstar:  ", 3.848446198042944, 
   "   Xstar:  ", 0.0840977928278398, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.848446198042944^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735089939*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2644", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2253645976434404`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8526436765736434`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08378667473189925`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8526436765736434`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2644, "   tar:  ", 1.2725, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.2253645976434404`, "   Bstar:  ", 3.8526436765736434`, 
   "   Xstar:  ", 0.08378667473189925, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8526436765736434`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073509203925`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2645", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.225401360431565`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.856838843659141`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08347721461160974`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.856838843659141`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2645, "   tar:  ", 1.275, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.225401360431565, "   Bstar:  ", 3.856838843659141, 
   "   Xstar:  ", 0.08347721461160974, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.856838843659141^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073509363937`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2646", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2254359720987016`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8610317006424597`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08316940121026227`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8610317006424597`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2646, "   tar:  ", 1.2775, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.2254359720987016`, "   Bstar:  ", 3.8610317006424597`, 
   "   Xstar:  ", 0.08316940121026227, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8610317006424597`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073509553957`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2647", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.225468459264047`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.865222248892659`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08286322336149349`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.865222248892659`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2647, "   tar:  ", 1.28, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.225468459264047, "   Bstar:  ", 3.865222248892659, 
   "   Xstar:  ", 0.08286322336149349, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.865222248892659^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607350976398*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2648", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2254988482320606`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8694104898045096`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0825586699884711`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8694104898045096`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2648, "   tar:  ", 1.2825, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.2254988482320606`, "   Bstar:  ", 3.8694104898045096`, 
   "   Xstar:  ", 0.0825586699884711, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8694104898045096`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073509923997`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2649", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2650000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22552716499638`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.873596424797992`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08225573010310047`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.873596424797992`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2649, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 
   1.2650000000000001`, "   R:  ", 3.22552716499638, "   Bstar:  ", 
   3.873596424797992, "   Xstar:  ", 0.08225573010310047, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.873596424797992^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073510054007`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2650", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2255534352436817`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8777800553179635`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08195439280522679`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8777800553179635`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2650, "   tar:  ", 1.2875, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.2255534352436817`, "   Bstar:  ", 3.8777800553179635`, 
   "   Xstar:  ", 0.08195439280522679, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8777800553179635`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073510174017`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2651", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2255776843574884`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.88196138283366`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08165464728185698`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.88196138283366`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2651, "   tar:  ", 1.29, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.2255776843574884`, "   Bstar:  ", 3.88196138283366, 
   "   Xstar:  ", 0.08165464728185698, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.88196138283366^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607351029403*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2652", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.225599937421934`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.886140408838366`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08135648280637693`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.886140408838366`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2652, "   tar:  ", 1.2925, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.225599937421934, "   Bstar:  ", 3.886140408838366, 
   "   Xstar:  ", 0.08135648280637693, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.886140408838366^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607351042404*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2653", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2256202192254664`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.890317134848976`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08105988873778464`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.890317134848976`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2653, "   tar:  ", 1.295, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.2256202192254664`, "   Bstar:  ", 3.890317134848976, 
   "   Xstar:  ", 0.08105988873778464, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.890317134848976^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073510554056`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2654", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2256385542645085`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.89449156240563`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08076485451992468`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.89449156240563`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2654, "   tar:  ", 1.2975, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.2256385542645085`, "   Bstar:  ", 3.89449156240563, 
   "   Xstar:  ", 0.08076485451992468, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.89449156240563^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073510664067`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2655", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2256549667470797`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.898663693071292`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08047136968073564`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.898663693071292`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2655, "   tar:  ", 1.3, "   tarstar:  ", 1.2650000000000001`, 
   "   R:  ", 3.2256549667470797`, "   Bstar:  ", 3.898663693071292, 
   "   Xstar:  ", 0.08047136968073564, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.898663693071292^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607351080408*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2656", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220182150558711`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6579780630466163`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09993906801476823`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6579780630466163`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2656, "   tar:  ", 1.155, "   tarstar:  ", 1.2675, "   R:  ", 
   3.220182150558711, "   Bstar:  ", 3.6579780630466163`, "   Xstar:  ", 
   0.09993906801476823, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6579780630466163`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735109641*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2657", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220356170418302`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6622904481746286`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09953952346787567`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6622904481746286`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2657, "   tar:  ", 1.1575, "   tarstar:  ", 1.2675, "   R:  ", 
   3.220356170418302, "   Bstar:  ", 3.6622904481746286`, "   Xstar:  ", 
   0.09953952346787567, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6622904481746286`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607351111411*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2658", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220526360625146`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6666004873750833`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09914225929701713`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6666004873750833`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2658, "   tar:  ", 1.16, "   tarstar:  ", 1.2675, "   R:  ", 
   3.220526360625146, "   Bstar:  ", 3.6666004873750833`, "   Xstar:  ", 
   0.09914225929701713, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6666004873750833`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607351126413*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2659", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22069276800133`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6709081802477894`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09874725912372705`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6709081802477894`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2659, "   tar:  ", 1.1625, "   tarstar:  ", 1.2675, "   R:  ", 
   3.22069276800133, "   Bstar:  ", 3.6709081802477894`, "   Xstar:  ", 
   0.09874725912372705, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6709081802477894`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073511394143`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2660", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2208554387978685`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6752135264461567`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09835450670595439`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6752135264461567`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2660, "   tar:  ", 1.165, "   tarstar:  ", 1.2675, "   R:  ", 
   3.2208554387978685`, "   Bstar:  ", 3.6752135264461567`, "   Xstar:  ", 
   0.09835450670595439, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6752135264461567`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073511524153`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2661", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221014418702042`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.679516525676414`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09796398593684003`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.679516525676414`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2661, "   tar:  ", 1.1675, "   tarstar:  ", 1.2675, "   R:  ", 
   3.221014418702042, "   Bstar:  ", 3.679516525676414, "   Xstar:  ", 
   0.09796398593684003, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.679516525676414^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607351167417*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2662", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221169752844632`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.683817177696726`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09757568084351356`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.683817177696726`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2662, "   tar:  ", 1.17, "   tarstar:  ", 1.2675, "   R:  ", 
   3.221169752844632, "   Bstar:  ", 3.683817177696726, "   Xstar:  ", 
   0.09757568084351356, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.683817177696726^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073511814184`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2663", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221321485807075`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6881154823164883`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09718957558588705`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6881154823164883`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2663, "   tar:  ", 1.1725, "   tarstar:  ", 1.2675, "   R:  ", 
   3.221321485807075, "   Bstar:  ", 3.6881154823164883`, "   Xstar:  ", 
   0.09718957558588705, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6881154823164883`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735119742*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2664", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2214696616284986`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.692411439395492`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09680565445546983`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.692411439395492`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2664, "   tar:  ", 1.175, "   tarstar:  ", 1.2675, "   R:  ", 
   3.2214696616284986`, "   Bstar:  ", 3.692411439395492, "   Xstar:  ", 
   0.09680565445546983, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.692411439395492^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073512144213`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2665", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2216143238126893`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.696705048843182`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09642390187418799`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.696705048843182`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2665, "   tar:  ", 1.1775, "   tarstar:  ", 1.2675, "   R:  ", 
   3.2216143238126893`, "   Bstar:  ", 3.696705048843182, "   Xstar:  ", 
   0.09642390187418799, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.696705048843182^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607351232424*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2666", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2217555153349435`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.700996310617878`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09604430239321676`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.700996310617878`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2666, "   tar:  ", 1.18, "   tarstar:  ", 1.2675, "   R:  ", 
   3.2217555153349435`, "   Bstar:  ", 3.700996310617878, "   Xstar:  ", 
   0.09604430239321676, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.700996310617878^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073512504253`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2667", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221893278648834`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7052852247260546`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09566684069181992`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7052852247260546`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2667, "   tar:  ", 1.1825, "   tarstar:  ", 1.2675, "   R:  ", 
   3.221893278648834, "   Bstar:  ", 3.7052852247260546`, "   Xstar:  ", 
   0.09566684069181992, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7052852247260546`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073512694273`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2668", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2220276556928957`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.709571791221586`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09529150157620227`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.709571791221586`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2668, "   tar:  ", 1.185, "   tarstar:  ", 1.2675, "   R:  ", 
   3.2220276556928957`, "   Bstar:  ", 3.709571791221586, "   Xstar:  ", 
   0.09529150157620227, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.709571791221586^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073512864285`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2669", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2221586878972004`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7138560102050246`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09491826997837079`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7138560102050246`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2669, "   tar:  ", 1.1875, "   tarstar:  ", 1.2675, "   R:  ", 
   3.2221586878972004`, "   Bstar:  ", 3.7138560102050246`, "   Xstar:  ", 
   0.09491826997837079, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7138560102050246`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735130243*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2670", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2222864161898666`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.718137881822875`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0945471309550067`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.718137881822875`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2670, "   tar:  ", 1.19, "   tarstar:  ", 1.2675, "   R:  ", 
   3.2222864161898666`, "   Bstar:  ", 3.718137881822875, "   Xstar:  ", 
   0.0945471309550067, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.718137881822875^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073513194323`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2671", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.222410881003462`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7224174062669277`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09417806968634336`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7224174062669277`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2671, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.2675, 
   "   R:  ", 3.222410881003462, "   Bstar:  ", 3.7224174062669277`, 
   "   Xstar:  ", 0.09417806968634336, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7224174062669277`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073513344336`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2672", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222532122281336`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7266945837735044`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09381107147506168`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7266945837735044`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2672, "   tar:  ", 1.195, "   tarstar:  ", 1.2675, "   R:  ", 
   3.222532122281336, "   Bstar:  ", 3.7266945837735044`, "   Xstar:  ", 
   0.09381107147506168, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7266945837735044`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073513504353`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2673", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2226501794838533`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7309694146228285`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09344612174518636`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7309694146228285`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2673, "   tar:  ", 1.1975, "   tarstar:  ", 1.2675, "   R:  ", 
   3.2226501794838533`, "   Bstar:  ", 3.7309694146228285`, "   Xstar:  ", 
   0.09344612174518636, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7309694146228285`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607351369437*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2674", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2227650915945576`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7352418991382996`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09308320604100029`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7352418991382996`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2674, "   tar:  ", 1.2, "   tarstar:  ", 1.2675, "   R:  ", 
   3.2227650915945576`, "   Bstar:  ", 3.7352418991382996`, "   Xstar:  ", 
   0.09308320604100029, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7352418991382996`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607351388439*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2675", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.222876897126236`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7395120376858726`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0927223100259606`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7395120376858726`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2675, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.2675, 
   "   R:  ", 3.222876897126236, "   Bstar:  ", 3.7395120376858726`, 
   "   Xstar:  ", 0.0927223100259606, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7395120376858726`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073514034405`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2676", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2229856341269243`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7437798306733714`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09236341948163077`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7437798306733714`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2676, "   tar:  ", 1.205, "   tarstar:  ", 1.2675, "   R:  ", 
   3.2229856341269243`, "   Bstar:  ", 3.7437798306733714`, "   Xstar:  ", 
   0.09236341948163077, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7437798306733714`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607351416442*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2677", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2230913401858055`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.748045278549833`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09200652030661984`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.748045278549833`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2677, "   tar:  ", 1.2075, "   tarstar:  ", 1.2675, "   R:  ", 
   3.2230913401858055`, "   Bstar:  ", 3.748045278549833, "   Xstar:  ", 
   0.09200652030661984, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.748045278549833^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073514304433`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2678", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223194052439054`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7523083818049097`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09165159851552789`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7523083818049097`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2678, "   tar:  ", 1.21, "   tarstar:  ", 1.2675, "   R:  ", 
   3.223194052439054, "   Bstar:  ", 3.7523083818049097`, "   Xstar:  ", 
   0.09165159851552789, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7523083818049097`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073514434443`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2679", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2232938075755824`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.756569140968203`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09129864023790665`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.756569140968203`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2679, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.2675, 
   "   R:  ", 3.2232938075755824`, "   Bstar:  ", 3.756569140968203, 
   "   Xstar:  ", 0.09129864023790665, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.756569140968203^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607351457446*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2680", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2233906418427285`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7608275566086475`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09094763171722635`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7608275566086475`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2680, "   tar:  ", 1.215, "   tarstar:  ", 1.2675, "   R:  ", 
   3.2233906418427285`, "   Bstar:  ", 3.7608275566086475`, "   Xstar:  ", 
   0.09094763171722635, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7608275566086475`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073514704475`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2681", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223484591051843`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.765083629333924`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09059855930984972`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.765083629333924`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2681, "   tar:  ", 1.2175, "   tarstar:  ", 1.2675, "   R:  ", 
   3.223484591051843, "   Bstar:  ", 3.765083629333924, "   Xstar:  ", 
   0.09059855930984972, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.765083629333924^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073514834485`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2682", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223575690583836`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.769337359789808`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09025140948402166`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.769337359789808`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2682, "   tar:  ", 1.22, "   tarstar:  ", 1.2675, "   R:  ", 
   3.223575690583836, "   Bstar:  ", 3.769337359789808, "   Xstar:  ", 
   0.09025140948402166, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.769337359789808^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735149545*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2683", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2236639753946084`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.773588748659619`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08990616881886027`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.773588748659619`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2683, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.2675, 
   "   R:  ", 3.2236639753946084`, "   Bstar:  ", 3.773588748659619, 
   "   Xstar:  ", 0.08990616881886027, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.773588748659619^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073515104513`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2684", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223749480020447`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7778377966636185`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08956282400336175`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7778377966636185`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2684, "   tar:  ", 1.225, "   tarstar:  ", 1.2675, "   R:  ", 
   3.223749480020447, "   Bstar:  ", 3.7778377966636185`, "   Xstar:  ", 
   0.08956282400336175, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7778377966636185`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073515234528`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2685", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2238322385833356`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.782084504558435`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0892213618354128`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.782084504558435`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2685, "   tar:  ", 1.2275, "   tarstar:  ", 1.2675, "   R:  ", 
   3.2238322385833356`, "   Bstar:  ", 3.782084504558435, "   Xstar:  ", 
   0.0892213618354128, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.782084504558435^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607351535454*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2686", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223912284796175`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7863288731364744`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08888176922081382`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7863288731364744`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2686, "   tar:  ", 1.23, "   tarstar:  ", 1.2675, "   R:  ", 
   3.223912284796175, "   Bstar:  ", 3.7863288731364744`, "   Xstar:  ", 
   0.08888176922081382, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7863288731364744`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607351546455*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2687", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2239896519679636`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.790570903225376`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08854403317230787`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.790570903225376`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2687, "   tar:  ", 1.2325, "   tarstar:  ", 1.2675, "   R:  ", 
   3.2239896519679636`, "   Bstar:  ", 3.790570903225376, "   Xstar:  ", 
   0.08854403317230787, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.790570903225376^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073515614567`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2688", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2240643730089`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7948105956874656`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08820814080861941`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7948105956874656`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2688, "   tar:  ", 1.235, "   tarstar:  ", 1.2675, "   R:  ", 
   3.2240643730089, "   Bstar:  ", 3.7948105956874656`, "   Xstar:  ", 
   0.08820814080861941, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7948105956874656`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607351579458*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2689", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2241364804353987`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7990479514191806`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08787407935350437`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7990479514191806`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2689, "   tar:  ", 1.2375, "   tarstar:  ", 1.2675, "   R:  ", 
   3.2241364804353987`, "   Bstar:  ", 3.7990479514191806`, "   Xstar:  ", 
   0.08787407935350437, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7990479514191806`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073515964603`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2690", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2242060063750677`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.803282971350565`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08754183613480425`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.803282971350565`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2690, "   tar:  ", 1.24, "   tarstar:  ", 1.2675, "   R:  ", 
   3.2242060063750677`, "   Bstar:  ", 3.803282971350565, "   Xstar:  ", 
   0.08754183613480425, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.803282971350565^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073516134615`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2691", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2242729825715983`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8075156564446826`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08721139858351568`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8075156564446826`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2691, "   tar:  ", 1.2425, "   tarstar:  ", 1.2675, "   R:  ", 
   3.2242729825715983`, "   Bstar:  ", 3.8075156564446826`, "   Xstar:  ", 
   0.08721139858351568, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8075156564446826`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607351633464*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2692", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2243374403896006`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8117460076971903`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0868827542328569`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8117460076971903`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2692, "   tar:  ", 1.245, "   tarstar:  ", 1.2675, "   R:  ", 
   3.2243374403896006`, "   Bstar:  ", 3.8117460076971903`, "   Xstar:  ", 
   0.0868827542328569, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8117460076971903`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607351650465*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2693", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2243994108193657`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8159740261356916`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08655589071735924`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8159740261356916`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2693, "   tar:  ", 1.2475, "   tarstar:  ", 1.2675, "   R:  ", 
   3.2243994108193657`, "   Bstar:  ", 3.8159740261356916`, "   Xstar:  ", 
   0.08655589071735924, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8159740261356916`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073516704674`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2694", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224458924481581`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8201997128193392`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08623079577194995`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8201997128193392`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2694, "   tar:  ", 1.25, "   tarstar:  ", 1.2675, "   R:  ", 
   3.224458924481581, "   Bstar:  ", 3.8201997128193392`, "   Xstar:  ", 
   0.08623079577194995, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8201997128193392`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073516894693`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2695", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224516011631959`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.82442306883829`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08590745723105409`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.82442306883829`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2695, "   tar:  ", 1.2525, "   tarstar:  ", 1.2675, "   R:  ", 
   3.224516011631959, "   Bstar:  ", 3.82442306883829, "   Xstar:  ", 
   0.08590745723105409, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.82442306883829^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607351707471*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2696", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.224570702165835`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8286440953131824`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.085585863027704`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8286440953131824`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2696, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.2675, 
   "   R:  ", 3.224570702165835, "   Bstar:  ", 3.8286440953131824`, 
   "   Xstar:  ", 0.085585863027704, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8286440953131824`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607351724473*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2697", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224623025622663`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.832862793394688`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08526600119265142`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.832862793394688`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2697, "   tar:  ", 1.2575, "   tarstar:  ", 1.2675, "   R:  ", 
   3.224623025622663, "   Bstar:  ", 3.832862793394688, "   Xstar:  ", 
   0.08526600119265142, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.832862793394688^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607351744475*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2698", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2246730111905`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8370791642630104`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08494785985349307`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8370791642630104`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2698, "   tar:  ", 1.26, "   tarstar:  ", 1.2675, "   R:  ", 
   3.2246730111905, "   Bstar:  ", 3.8370791642630104`, "   Xstar:  ", 
   0.08494785985349307, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8370791642630104`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073517624764`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2699", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224720687710388`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8412932091274214`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08463142723380088`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8412932091274214`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2699, "   tar:  ", 1.2625, "   tarstar:  ", 1.2675, "   R:  ", 
   3.224720687710388, "   Bstar:  ", 3.8412932091274214`, "   Xstar:  ", 
   0.08463142723380088, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8412932091274214`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073517784777`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2700", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2247660836807013`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.845504929225776`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08431669165226333`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.845504929225776`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2700, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.2675, 
   "   R:  ", 3.2247660836807013`, "   Bstar:  ", 3.845504929225776, 
   "   Xstar:  ", 0.08431669165226333, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.845504929225776^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607351790479*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2701", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224809227261437`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8497143258240705`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08400364152183142`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8497143258240705`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2701, "   tar:  ", 1.2675, "   tarstar:  ", 1.2675, "   R:  ", 
   3.224809227261437, "   Bstar:  ", 3.8497143258240705`, "   Xstar:  ", 
   0.08400364152183142, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8497143258240705`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073518024807`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2702", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2248501462784374`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8539214002159627`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08369226534887597`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8539214002159627`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2702, "   tar:  ", 1.27, "   tarstar:  ", 1.2675, "   R:  ", 
   3.2248501462784374`, "   Bstar:  ", 3.8539214002159627`, "   Xstar:  ", 
   0.08369226534887597, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8539214002159627`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073518144817`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2703", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2248888682275587`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.858126153722337`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08338255173234999`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.858126153722337`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2703, "   tar:  ", 1.2725, "   tarstar:  ", 1.2675, "   R:  ", 
   3.2248888682275587`, "   Bstar:  ", 3.858126153722337, "   Xstar:  ", 
   0.08338255173234999, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.858126153722337^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607351826483*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2704", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224925420278798`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.862328587690865`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08307448936295929`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.862328587690865`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2704, "   tar:  ", 1.275, "   tarstar:  ", 1.2675, "   R:  ", 
   3.224925420278798, "   Bstar:  ", 3.862328587690865, "   Xstar:  ", 
   0.08307448936295929, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.862328587690865^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607351838484*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2705", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2249598292803388`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.866528703495569`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08276806702234149`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.866528703495569`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2705, "   tar:  ", 1.2775, "   tarstar:  ", 1.2675, "   R:  ", 
   3.2249598292803388`, "   Bstar:  ", 3.866528703495569, "   Xstar:  ", 
   0.08276806702234149, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.866528703495569^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607351850485*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2706", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2249921217625777`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.870726502536373`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08246327358225335`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.870726502536373`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2706, "   tar:  ", 1.28, "   tarstar:  ", 1.2675, "   R:  ", 
   3.2249921217625777`, "   Bstar:  ", 3.870726502536373, "   Xstar:  ", 
   0.08246327358225335, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.870726502536373^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073518634863`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2707", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2250223239420666`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8749219862386948`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0821600980037639`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8749219862386948`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2707, "   tar:  ", 1.2825, "   tarstar:  ", 1.2675, "   R:  ", 
   3.2250223239420666`, "   Bstar:  ", 3.8749219862386948`, "   Xstar:  ", 
   0.0821600980037639, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8749219862386948`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073518804884`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2708", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.225050461725426`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.87911515605303`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08185852933645535`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.87911515605303`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2708, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.2675, 
   "   R:  ", 3.225050461725426, "   Bstar:  ", 3.87911515605303, 
   "   Xstar:  ", 0.08185852933645535, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.87911515605303^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073519004903`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2709", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225076560713188`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.883306013454524`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08155855671763323`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.883306013454524`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2709, "   tar:  ", 1.2875, "   tarstar:  ", 1.2675, "   R:  ", 
   3.225076560713188, "   Bstar:  ", 3.883306013454524, "   Xstar:  ", 
   0.08155855671763323, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.883306013454524^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073519194922`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2710", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2251006462036025`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.887494559942567`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08126016937154212`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.887494559942567`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2710, "   tar:  ", 1.29, "   tarstar:  ", 1.2675, "   R:  ", 
   3.2251006462036025`, "   Bstar:  ", 3.887494559942567, "   Xstar:  ", 
   0.08126016937154212, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.887494559942567^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073519344935`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2711", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2251227431963887`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8916807970404026`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08096335660858898`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8916807970404026`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2711, "   tar:  ", 1.2925, "   tarstar:  ", 1.2675, "   R:  ", 
   3.2251227431963887`, "   Bstar:  ", 3.8916807970404026`, "   Xstar:  ", 
   0.08096335660858898, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8916807970404026`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073519504952`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2712", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225142876396432`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.895864726294729`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08066810782457351`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.895864726294729`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2712, "   tar:  ", 1.295, "   tarstar:  ", 1.2675, "   R:  ", 
   3.225142876396432, "   Bstar:  ", 3.895864726294729, "   Xstar:  ", 
   0.08066810782457351, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.895864726294729^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073519664965`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2713", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225161070217442`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.900046349275294`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08037441249992765`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.900046349275294`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2713, "   tar:  ", 1.2975, "   tarstar:  ", 1.2675, "   R:  ", 
   3.225161070217442, "   Bstar:  ", 3.900046349275294, "   Xstar:  ", 
   0.08037441249992765, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.900046349275294^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607351979498*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2714", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2675`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.225177348785555`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.904225667574542`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08008226019895785`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.904225667574542`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2714, "   tar:  ", 1.3, "   tarstar:  ", 1.2675, "   R:  ", 
   3.225177348785555, "   Bstar:  ", 3.904225667574542, "   Xstar:  ", 
   0.08008226019895785, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.904225667574542^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073519954996`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2715", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2197297791278072`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6631078730532414`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09946402183947944`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6631078730532414`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2715, "   tar:  ", 1.155, "   tarstar:  ", 1.27, "   R:  ", 
   3.2197297791278072`, "   Bstar:  ", 3.6631078730532414`, "   Xstar:  ", 
   0.09946402183947944, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6631078730532414`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073520135016`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2716", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219903094428473`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.667427935954567`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09906622674497804`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.667427935954567`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2716, "   tar:  ", 1.1575, "   tarstar:  ", 1.27, "   R:  ", 
   3.219903094428473, "   Bstar:  ", 3.667427935954567, "   Xstar:  ", 
   0.09906622674497804, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.667427935954567^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073520305033`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2717", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220072593439036`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6717456432068936`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09867070332071537`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6717456432068936`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2717, "   tar:  ", 1.16, "   tarstar:  ", 1.27, "   R:  ", 
   3.220072593439036, "   Bstar:  ", 3.6717456432068936`, "   Xstar:  ", 
   0.09867070332071537, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6717456432068936`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607352047505*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2718", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220238322840318`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.676060994450717`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0982774352373148`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.676060994450717`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2718, "   tar:  ", 1.1625, "   tarstar:  ", 1.27, "   R:  ", 
   3.220238322840318, "   Bstar:  ", 3.676060994450717, "   Xstar:  ", 
   0.0982774352373148, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.676060994450717^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073520645065`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2719", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2204003287434273`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6803739893798473`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09788640630157859`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6803739893798473`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2719, "   tar:  ", 1.165, "   tarstar:  ", 1.27, "   R:  ", 
   3.2204003287434273`, "   Bstar:  ", 3.6803739893798473`, "   Xstar:  ", 
   0.09788640630157859, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6803739893798473`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073520795083`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2720", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220558656697105`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6846846277406615`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09749760045526129`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6846846277406615`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2720, "   tar:  ", 1.1675, "   tarstar:  ", 1.27, "   R:  ", 
   3.220558656697105, "   Bstar:  ", 3.6846846277406615`, "   Xstar:  ", 
   0.09749760045526129, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6846846277406615`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073520955095`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2721", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22071335169494`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6889929093312994`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09711100177385977`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6889929093312994`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2721, "   tar:  ", 1.17, "   tarstar:  ", 1.27, "   R:  ", 
   3.22071335169494, "   Bstar:  ", 3.6889929093312994`, "   Xstar:  ", 
   0.09711100177385977, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6889929093312994`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073521135116`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2722", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2208644581825077`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6932988340008044`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09672659446541998`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6932988340008044`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2722, "   tar:  ", 1.1725, "   tarstar:  ", 1.27, "   R:  ", 
   3.2208644581825077`, "   Bstar:  ", 3.6932988340008044`, "   Xstar:  ", 
   0.09672659446541998, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6932988340008044`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073521315136`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2723", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221012020064409`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.697602401648444`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09634436286933856`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.697602401648444`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2723, "   tar:  ", 1.175, "   tarstar:  ", 1.27, "   R:  ", 
   3.221012020064409, "   Bstar:  ", 3.697602401648444, "   Xstar:  ", 
   0.09634436286933856, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.697602401648444^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073521505156`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2724", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221156080711206`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.701903612222874`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09596429145518993`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.701903612222874`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2724, "   tar:  ", 1.1775, "   tarstar:  ", 1.27, "   R:  ", 
   3.221156080711206, "   Bstar:  ", 3.701903612222874, "   Xstar:  ", 
   0.09596429145518993, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.701903612222874^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607352168517*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2725", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2212966829662824`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7062024657214083`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09558636482155476`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7062024657214083`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2725, "   tar:  ", 1.18, "   tarstar:  ", 1.27, "   R:  ", 
   3.2212966829662824`, "   Bstar:  ", 3.7062024657214083`, "   Xstar:  ", 
   0.09558636482155476, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7062024657214083`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073521815186`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2726", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2214338691525857`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.710498962189268`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09521056769486187`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.710498962189268`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2726, "   tar:  ", 1.1825, "   tarstar:  ", 1.27, "   R:  ", 
   3.2214338691525857`, "   Bstar:  ", 3.710498962189268, "   Xstar:  ", 
   0.09521056769486187, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.710498962189268^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735219652*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2727", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2215676810793035`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7147931017188487`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09483688492823904`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7147931017188487`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2727, "   tar:  ", 1.185, "   tarstar:  ", 1.27, "   R:  ", 
   3.2215676810793035`, "   Bstar:  ", 3.7147931017188487`, "   Xstar:  ", 
   0.09483688492823904, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7147931017188487`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073522095213`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2728", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2216981600484322`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7190848844489923`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09446530150037472`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7190848844489923`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2728, "   tar:  ", 1.1875, "   tarstar:  ", 1.27, "   R:  ", 
   3.2216981600484322`, "   Bstar:  ", 3.7190848844489923`, "   Xstar:  ", 
   0.09446530150037472, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7190848844489923`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073522215223`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2729", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221825346861276`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7233743105642962`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09409580251438728`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7233743105642962`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2729, "   tar:  ", 1.19, "   tarstar:  ", 1.27, "   R:  ", 
   3.221825346861276, "   Bstar:  ", 3.7233743105642962`, "   Xstar:  ", 
   0.09409580251438728, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7233743105642962`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607352234524*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2730", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.27`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.221949281824826`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.727661380294361`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0937283731967101`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.727661380294361`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2730, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.27, 
   "   R:  ", 3.221949281824826, "   Bstar:  ", 3.727661380294361, 
   "   Xstar:  ", 0.0937283731967101, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.727661380294361^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073522525253`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2731", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222070004758095`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.731946093913151`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09336299889597793`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.731946093913151`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2731, "   tar:  ", 1.195, "   tarstar:  ", 1.27, "   R:  ", 
   3.222070004758095, "   Bstar:  ", 3.731946093913151, "   Xstar:  ", 
   0.09336299889597793, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.731946093913151^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607352265527*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2732", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2221875549983423`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7362284517382536`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0929996650819326`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7362284517382536`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2732, "   tar:  ", 1.1975, "   tarstar:  ", 1.27, "   R:  ", 
   3.2221875549983423`, "   Bstar:  ", 3.7362284517382536`, "   Xstar:  ", 
   0.0929996650819326, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7362284517382536`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073522815285`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2733", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222301971407211`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7405084541302625`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09263835734432832`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7405084541302625`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2733, "   tar:  ", 1.2, "   tarstar:  ", 1.27, "   R:  ", 
   3.222301971407211, "   Bstar:  ", 3.7405084541302625`, "   Xstar:  ", 
   0.09263835734432832, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7405084541302625`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735229853*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2734", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.27`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.222413292376795`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7447861014920765`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09227906139185513`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7447861014920765`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2734, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.27, 
   "   R:  ", 3.222413292376795, "   Bstar:  ", 3.7447861014920765`, 
   "   Xstar:  ", 0.09227906139185513, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7447861014920765`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073523155317`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2735", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222521555835629`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.74906139426825`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09192176305106788`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.74906139426825`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2735, "   tar:  ", 1.205, "   tarstar:  ", 1.27, "   R:  ", 
   3.222521555835629, "   Bstar:  ", 3.74906139426825, "   Xstar:  ", 
   0.09192176305106788, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.74906139426825^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073523335333`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2736", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222626799254578`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7533343329443447`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09156644826532555`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7533343329443447`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2736, "   tar:  ", 1.2075, "   tarstar:  ", 1.27, "   R:  ", 
   3.222626799254578, "   Bstar:  ", 3.7533343329443447`, "   Xstar:  ", 
   0.09156644826532555, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7533343329443447`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073523465347`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2737", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2227290596526665`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7576049180462974`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09121310309373987`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7576049180462974`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2737, "   tar:  ", 1.21, "   tarstar:  ", 1.27, "   R:  ", 
   3.2227290596526665`, "   Bstar:  ", 3.7576049180462974`, "   Xstar:  ", 
   0.09121310309373987, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7576049180462974`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073523625364`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2738", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.27`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2228283736028236`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7618731501397975`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09086171371013285`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7618731501397975`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2738, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.27, 
   "   R:  ", 3.2228283736028236`, "   Bstar:  ", 3.7618731501397975`, 
   "   Xstar:  ", 0.09086171371013285, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7618731501397975`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073523825383`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2739", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2229247772375427`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7661390298296555`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09051226640200483`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7661390298296555`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2739, "   tar:  ", 1.215, "   tarstar:  ", 1.27, "   R:  ", 
   3.2229247772375427`, "   Bstar:  ", 3.7661390298296555`, "   Xstar:  ", 
   0.09051226640200483, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7661390298296555`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735240254*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2740", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223018306254484`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.770402557759207`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0901647475695106`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.770402557759207`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2740, "   tar:  ", 1.2175, "   tarstar:  ", 1.27, "   R:  ", 
   3.223018306254484, "   Bstar:  ", 3.770402557759207, "   Xstar:  ", 
   0.0901647475695106, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.770402557759207^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607352424543*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2741", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223108995921986`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.774663734609682`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08981914372444738`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.774663734609682`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2741, "   tar:  ", 1.22, "   tarstar:  ", 1.27, "   R:  ", 
   3.223108995921986, "   Bstar:  ", 3.774663734609682, "   Xstar:  ", 
   0.08981914372444738, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.774663734609682^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073524435444`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2742", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.27`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.223196881084501`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.778922561099638`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08947544148924752`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.778922561099638`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2742, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.27, 
   "   R:  ", 3.223196881084501, "   Bstar:  ", 3.778922561099638, 
   "   Xstar:  ", 0.08947544148924752, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.778922561099638^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607352464547*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2743", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2232819961679806`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7831790379843624`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0891336275959842`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7831790379843624`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2743, "   tar:  ", 1.225, "   tarstar:  ", 1.27, "   R:  ", 
   3.2232819961679806`, "   Bstar:  ", 3.7831790379843624`, "   Xstar:  ", 
   0.0891336275959842, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7831790379843624`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073524835486`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2744", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2233643751851573`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.787433166055312`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0887936888853826`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.787433166055312`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2744, "   tar:  ", 1.2275, "   tarstar:  ", 1.27, "   R:  ", 
   3.2233643751851573`, "   Bstar:  ", 3.787433166055312, "   Xstar:  ", 
   0.0887936888853826, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.787433166055312^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735250255*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2745", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223444051740787`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.791684946139519`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08845561230584459`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.791684946139519`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2745, "   tar:  ", 1.23, "   tarstar:  ", 1.27, "   R:  ", 
   3.223444051740787, "   Bstar:  ", 3.791684946139519, "   Xstar:  ", 
   0.08845561230584459, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.791684946139519^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607352524553*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2746", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2235210590367886`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7959343790990414`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08811938491247846`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7959343790990414`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2746, "   tar:  ", 1.2325, "   tarstar:  ", 1.27, "   R:  ", 
   3.2235210590367886`, "   Bstar:  ", 3.7959343790990414`, "   Xstar:  ", 
   0.08811938491247846, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7959343790990414`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073525435543`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2747", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2235954298773555`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8001814658304114`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08778499386613889`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8001814658304114`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2747, "   tar:  ", 1.235, "   tarstar:  ", 1.27, "   R:  ", 
   3.2235954298773555`, "   Bstar:  ", 3.8001814658304114`, "   Xstar:  ", 
   0.08778499386613889, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8001814658304114`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073525615563`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2748", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223667196673957`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.804426207264085`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08745242643247564`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.804426207264085`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2748, "   tar:  ", 1.2375, "   tarstar:  ", 1.27, "   R:  ", 
   3.223667196673957, "   Bstar:  ", 3.804426207264085, "   Xstar:  ", 
   0.08745242643247564, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.804426207264085^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073525755577`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2749", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2237363914503008`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.808668604363919`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08712166998098983`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.808668604363919`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2749, "   tar:  ", 1.24, "   tarstar:  ", 1.27, "   R:  ", 
   3.2237363914503008`, "   Bstar:  ", 3.808668604363919, "   Xstar:  ", 
   0.08712166998098983, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.808668604363919^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073525915594`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2750", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223803045847216`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.812908658126615`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08679271198410156`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.812908658126615`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2750, "   tar:  ", 1.2425, "   tarstar:  ", 1.27, "   R:  ", 
   3.223803045847216, "   Bstar:  ", 3.812908658126615, "   Xstar:  ", 
   0.08679271198410156, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.812908658126615^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607352605561*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2751", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223867191127482`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8171463695812036`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0864655400162245`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8171463695812036`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2751, "   tar:  ", 1.245, "   tarstar:  ", 1.27, "   R:  ", 
   3.223867191127482, "   Bstar:  ", 3.8171463695812036`, "   Xstar:  ", 
   0.0864655400162245, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8171463695812036`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607352619562*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2752", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22392885818058`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.821381739788573`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08614014175284432`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.821381739788573`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2752, "   tar:  ", 1.2475, "   tarstar:  ", 1.27, "   R:  ", 
   3.22392885818058, "   Bstar:  ", 3.821381739788573, "   Xstar:  ", 
   0.08614014175284432, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.821381739788573^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073526325636`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2753", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2239880775273977`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.825614769840869`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08581650496961796`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.825614769840869`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2753, "   tar:  ", 1.25, "   tarstar:  ", 1.27, "   R:  ", 
   3.2239880775273977`, "   Bstar:  ", 3.825614769840869, "   Xstar:  ", 
   0.08581650496961796, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.825614769840869^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607352647565*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2754", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224044879324845`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8298454608610855`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0854946175414656`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8298454608610855`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2754, "   tar:  ", 1.2525, "   tarstar:  ", 1.27, "   R:  ", 
   3.224044879324845, "   Bstar:  ", 3.8298454608610855`, "   Xstar:  ", 
   0.0854946175414656, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8298454608610855`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073526635666`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2755", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.27`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2240992933704438`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8340738140025086`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08517446744168389`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8340738140025086`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2755, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.27, 
   "   R:  ", 3.2240992933704438`, "   Bstar:  ", 3.8340738140025086`, 
   "   Xstar:  ", 0.08517446744168389, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8340738140025086`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607352681568*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2756", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2241513491068257`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8382998304482765`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08485604274105826`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8382998304482765`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2756, "   tar:  ", 1.2575, "   tarstar:  ", 1.27, "   R:  ", 
   3.2241513491068257`, "   Bstar:  ", 3.8382998304482765`, "   Xstar:  ", 
   0.08485604274105826, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8382998304482765`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073526935697`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2757", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224201075626187`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.842523511410862`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08453933160699012`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.842523511410862`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2757, "   tar:  ", 1.26, "   tarstar:  ", 1.27, "   R:  ", 
   3.224201075626187, "   Bstar:  ", 3.842523511410862, "   Xstar:  ", 
   0.08453933160699012, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.842523511410862^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073527055707`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2758", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2242485016746767`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8467448581316104`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08422432230262837`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8467448581316104`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2758, "   tar:  ", 1.2625, "   tarstar:  ", 1.27, "   R:  ", 
   3.2242485016746767`, "   Bstar:  ", 3.8467448581316104`, "   Xstar:  ", 
   0.08422432230262837, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8467448581316104`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073527205725`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2759", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.27`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2242936556567363`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.850963871880249`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08391100318601159`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.850963871880249`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2759, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.27, 
   "   R:  ", 3.2242936556567363`, "   Bstar:  ", 3.850963871880249, 
   "   Xstar:  ", 0.08391100318601159, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.850963871880249^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607352735574*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2760", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224336565639365`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8551805539545048`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08359936270921062`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8551805539545048`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2760, "   tar:  ", 1.2675, "   tarstar:  ", 1.27, "   R:  ", 
   3.224336565639365, "   Bstar:  ", 3.8551805539545048`, "   Xstar:  ", 
   0.08359936270921062, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8551805539545048`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607352748575*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2761", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224377259356345`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8593949056795567`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08328938941749177`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8593949056795567`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2761, "   tar:  ", 1.27, "   tarstar:  ", 1.27, "   R:  ", 
   3.224377259356345, "   Bstar:  ", 3.8593949056795567`, "   Xstar:  ", 
   0.08328938941749177, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8593949056795567`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607352765577*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2762", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224415764212407`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.863606928407626`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08298107194847812`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.863606928407626`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2762, "   tar:  ", 1.2725, "   tarstar:  ", 1.27, "   R:  ", 
   3.224415764212407, "   Bstar:  ", 3.863606928407626, "   Xstar:  ", 
   0.08298107194847812, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.863606928407626^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073527825785`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2763", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2244521072873256`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8678166235175286`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08267439903132193`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8678166235175286`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2763, "   tar:  ", 1.275, "   tarstar:  ", 1.27, "   R:  ", 
   3.2244521072873256`, "   Bstar:  ", 3.8678166235175286`, "   Xstar:  ", 
   0.08267439903132193, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8678166235175286`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073528025804`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2764", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2244863153399894`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8720239924142854`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08236935948588063`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8720239924142854`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2764, "   tar:  ", 1.2775, "   tarstar:  ", 1.27, "   R:  ", 
   3.2244863153399894`, "   Bstar:  ", 3.8720239924142854`, "   Xstar:  ", 
   0.08236935948588063, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8720239924142854`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607352826583*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2765", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2245184148123878`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.876229036528617`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0820659422219099`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.876229036528617`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2765, "   tar:  ", 1.28, "   tarstar:  ", 1.27, "   R:  ", 
   3.2245184148123878`, "   Bstar:  ", 3.876229036528617, "   Xstar:  ", 
   0.0820659422219099, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.876229036528617^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607352846585*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2766", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224548431833563`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8804317573165563`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08176413623825543`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8804317573165563`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2766, "   tar:  ", 1.2825, "   tarstar:  ", 1.27, "   R:  ", 
   3.224548431833563, "   Bstar:  ", 3.8804317573165563`, "   Xstar:  ", 
   0.08176413623825543, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8804317573165563`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607352867587*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2767", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.27`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2245763922235033`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8846321562590362`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08146393062205519`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8846321562590362`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2767, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.27, 
   "   R:  ", 3.2245763922235033`, "   Bstar:  ", 3.8846321562590362`, 
   "   Xstar:  ", 0.08146393062205519, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8846321562590362`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607352887589*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2768", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22460232149699`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8888302348614823`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0811653145479486`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8888302348614823`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2768, "   tar:  ", 1.2875, "   tarstar:  ", 1.27, "   R:  ", 
   3.22460232149699, "   Bstar:  ", 3.8888302348614823`, "   Xstar:  ", 
   0.0811653145479486, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8888302348614823`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607352909591*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2769", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224626244867384`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8930259946533687`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08086827727729637`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8930259946533687`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2769, "   tar:  ", 1.29, "   tarstar:  ", 1.27, "   R:  ", 
   3.224626244867384, "   Bstar:  ", 3.8930259946533687`, "   Xstar:  ", 
   0.08086827727729637, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8930259946533687`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607352929593*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2770", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224648187250373`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.897219437187873`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08057280815740119`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.897219437187873`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2770, "   tar:  ", 1.2925, "   tarstar:  ", 1.27, "   R:  ", 
   3.224648187250373, "   Bstar:  ", 3.897219437187873, "   Xstar:  ", 
   0.08057280815740119, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.897219437187873^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073529475946`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2771", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224668173267662`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.90141056404144`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08027889662074192`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.90141056404144`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2771, "   tar:  ", 1.295, "   tarstar:  ", 1.27, "   R:  ", 
   3.224668173267662, "   Bstar:  ", 3.90141056404144, "   Xstar:  ", 
   0.08027889662074192, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.90141056404144^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073529685974`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2772", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224686227250626`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.905599376813388`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0799865321842132`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.905599376813388`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2772, "   tar:  ", 1.2975, "   tarstar:  ", 1.27, "   R:  ", 
   3.224686227250626, "   Bstar:  ", 3.905599376813388, "   Xstar:  ", 
   0.0799865321842132, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.905599376813388^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073529825983`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2773", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.27`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224702373243891`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.909785877125576`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0796957044483676`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.909785877125576`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2773, "   tar:  ", 1.3, "   tarstar:  ", 1.27, "   R:  ", 
   3.224702373243891, "   Bstar:  ", 3.909785877125576, "   Xstar:  ", 
   0.0796957044483676, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.909785877125576^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073529955997`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2774", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2192798754997516`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.668236264166791`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0989920239726415`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.668236264166791`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2774, "   tar:  ", 1.155, "   tarstar:  ", 1.2725, "   R:  ", 
   3.2192798754997516`, "   Bstar:  ", 3.668236264166791, "   Xstar:  ", 
   0.0989920239726415, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.668236264166791^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073530116014`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2775", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2194524905278494`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6725639984939846`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09859596840843235`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6725639984939846`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2775, "   tar:  ", 1.1575, "   tarstar:  ", 1.2725, "   R:  ", 
   3.2194524905278494`, "   Bstar:  ", 3.6725639984939846`, "   Xstar:  ", 
   0.09859596840843235, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6725639984939846`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607353027603*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2776", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219621302563218`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.676889367465201`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09820217584696361`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.676889367465201`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2776, "   tar:  ", 1.16, "   tarstar:  ", 1.2725, "   R:  ", 
   3.219621302563218, "   Bstar:  ", 3.676889367465201, "   Xstar:  ", 
   0.09820217584696361, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.676889367465201^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073530456047`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2777", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219786358145928`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6812123707615116`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09781063000785827`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6812123707615116`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2777, "   tar:  ", 1.1625, "   tarstar:  ", 1.2725, "   R:  ", 
   3.219786358145928, "   Bstar:  ", 3.6812123707615116`, "   Xstar:  ", 
   0.09781063000785827, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6812123707615116`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607353058606*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2778", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2199477032477173`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6855330081171083`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0974213147466724`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6855330081171083`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2778, "   tar:  ", 1.165, "   tarstar:  ", 1.2725, "   R:  ", 
   3.2199477032477173`, "   Bstar:  ", 3.6855330081171083`, "   Xstar:  ", 
   0.0974213147466724, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6855330081171083`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607353075608*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2779", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2201053832792943`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6898512793184928`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09703421405367427`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6898512793184928`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2779, "   tar:  ", 1.1675, "   tarstar:  ", 1.2725, "   R:  ", 
   3.2201053832792943`, "   Bstar:  ", 3.6898512793184928`, "   Xstar:  ", 
   0.09703421405367427, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6898512793184928`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735309361*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2780", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220259443097574`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.694167184203669`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09664931205263444`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.694167184203669`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2780, "   tar:  ", 1.17, "   tarstar:  ", 1.2725, "   R:  ", 
   3.220259443097574, "   Bstar:  ", 3.694167184203669, "   Xstar:  ", 
   0.09664931205263444, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.694167184203669^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607353108611*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2781", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220409927012788`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.698480722661354`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09626659299962638`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.698480722661354`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2781, "   tar:  ", 1.1725, "   tarstar:  ", 1.2725, "   R:  ", 
   3.220409927012788, "   Bstar:  ", 3.698480722661354, "   Xstar:  ", 
   0.09626659299962638, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.698480722661354^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073531216125`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2782", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2205568787955174`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7027918946302067`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09588604128183557`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7027918946302067`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2782, "   tar:  ", 1.175, "   tarstar:  ", 1.2725, "   R:  ", 
   3.2205568787955174`, "   Bstar:  ", 3.7027918946302067`, "   Xstar:  ", 
   0.09588604128183557, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7027918946302067`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073531376143`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2783", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220700341683614`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.707100700098054`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09550764141638189`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.707100700098054`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2783, "   tar:  ", 1.1775, "   tarstar:  ", 1.2725, "   R:  ", 
   3.220700341683614, "   Bstar:  ", 3.707100700098054, "   Xstar:  ", 
   0.09550764141638189, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.707100700098054^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073531496153`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2784", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220840358389048`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.711407139101153`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09513137804914802`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.711407139101153`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2784, "   tar:  ", 1.18, "   tarstar:  ", 1.2725, "   R:  ", 
   3.220840358389048, "   Bstar:  ", 3.711407139101153, "   Xstar:  ", 
   0.09513137804914802, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.711407139101153^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073531636167`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2785", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2209769711046494`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.715711211723446`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09475723595362161`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.715711211723446`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2785, "   tar:  ", 1.1825, "   tarstar:  ", 1.2725, "   R:  ", 
   3.2209769711046494`, "   Bstar:  ", 3.715711211723446, "   Xstar:  ", 
   0.09475723595362161, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.715711211723446^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607353176618*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2786", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2211102215107568`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.720012918095797`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09438520002974814`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.720012918095797`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2786, "   tar:  ", 1.185, "   tarstar:  ", 1.2725, "   R:  ", 
   3.2211102215107568`, "   Bstar:  ", 3.720012918095797, "   Xstar:  ", 
   0.09438520002974814, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.720012918095797^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607353188619*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2787", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2212401507817954`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7243122583953028`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09401525530279005`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7243122583953028`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2787, "   tar:  ", 1.1875, "   tarstar:  ", 1.2725, "   R:  ", 
   3.2212401507817954`, "   Bstar:  ", 3.7243122583953028`, "   Xstar:  ", 
   0.09401525530279005, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7243122583953028`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607353204621*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2788", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2213667995927366`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.728609232844559`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09364738692219926`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.728609232844559`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2788, "   tar:  ", 1.19, "   tarstar:  ", 1.2725, "   R:  ", 
   3.2213667995927366`, "   Bstar:  ", 3.728609232844559, "   Xstar:  ", 
   0.09364738692219926, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.728609232844559^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073532226224`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2789", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.221490208125503`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.73290384171099`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09328158016049594`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.73290384171099`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2789, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.2725, 
   "   R:  ", 3.221490208125503, "   Bstar:  ", 3.73290384171099, 
   "   Xstar:  ", 0.09328158016049594, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.73290384171099^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073532406244`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2790", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2216104160752588`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7371960853061066`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09291782041216373`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7371960853061066`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2790, "   tar:  ", 1.195, "   tarstar:  ", 1.2725, "   R:  ", 
   3.2216104160752588`, "   Bstar:  ", 3.7371960853061066`, "   Xstar:  ", 
   0.09291782041216373, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7371960853061066`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073532606263`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2791", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2217274626566392`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7414859639848626`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09255609319254726`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7414859639848626`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2791, "   tar:  ", 1.1975, "   tarstar:  ", 1.2725, "   R:  ", 
   3.2217274626566392`, "   Bstar:  ", 3.7414859639848626`, "   Xstar:  ", 
   0.09255609319254726, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7414859639848626`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607353276628*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2792", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221841386609872`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7457734781449665`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09219638413676409`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7457734781449665`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2792, "   tar:  ", 1.2, "   tarstar:  ", 1.2725, "   R:  ", 
   3.221841386609872, "   Bstar:  ", 3.7457734781449665`, "   Xstar:  ", 
   0.09219638413676409, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7457734781449665`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073532926297`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2793", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.221952226206848`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7500586282262236`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09183867899862463`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7500586282262236`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2793, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.2725, 
   "   R:  ", 3.221952226206848, "   Bstar:  ", 3.7500586282262236`, 
   "   Xstar:  ", 0.09183867899862463, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7500586282262236`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073533106313`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2794", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222060019257074`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7543414147098675`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09148296364956328`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7543414147098675`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2794, "   tar:  ", 1.205, "   tarstar:  ", 1.2725, "   R:  ", 
   3.222060019257074, "   Bstar:  ", 3.7543414147098675`, "   Xstar:  ", 
   0.09148296364956328, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7543414147098675`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607353327633*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2795", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222164803113575`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7586218381179326`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09112922407757643`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7586218381179326`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2795, "   tar:  ", 1.2075, "   tarstar:  ", 1.2725, "   R:  ", 
   3.222164803113575, "   Bstar:  ", 3.7586218381179326`, "   Xstar:  ", 
   0.09112922407757643, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7586218381179326`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607353342634*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2796", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222266614678701`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7628998990126217`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09077744638617148`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7628998990126217`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2796, "   tar:  ", 1.21, "   tarstar:  ", 1.2725, "   R:  ", 
   3.222266614678701, "   Bstar:  ", 3.7628998990126217`, "   Xstar:  ", 
   0.09077744638617148, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7628998990126217`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073533596363`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2797", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2223654904098673`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.767175597995647`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09042761679332753`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.767175597995647`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2797, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.2725, 
   "   R:  ", 3.2223654904098673`, "   Bstar:  ", 3.767175597995647, 
   "   Xstar:  ", 0.09042761679332753, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.767175597995647^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073533736377`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2798", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222461466325196`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7714489357076544`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09007972163046013`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7714489357076544`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2798, "   tar:  ", 1.215, "   tarstar:  ", 1.2725, "   R:  ", 
   3.222461466325196, "   Bstar:  ", 3.7714489357076544`, "   Xstar:  ", 
   0.09007972163046013, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7714489357076544`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607353387639*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2799", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2225545780091194`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7757199128275785`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08973374734140102`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7757199128275785`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2799, "   tar:  ", 1.2175, "   tarstar:  ", 1.2725, "   R:  ", 
   3.2225545780091194`, "   Bstar:  ", 3.7757199128275785`, "   Xstar:  ", 
   0.08973374734140102, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7757199128275785`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735339964*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2800", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2226448606178644`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7799885300720586`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0893896804813834`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7799885300720586`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2800, "   tar:  ", 1.22, "   tarstar:  ", 1.2725, "   R:  ", 
   3.2226448606178644`, "   Bstar:  ", 3.7799885300720586`, "   Xstar:  ", 
   0.0893896804813834, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7799885300720586`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607353413642*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2801", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2227323488849007`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.784254788194842`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08904750771603752`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.784254788194842`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2801, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.2725, 
   "   R:  ", 3.2227323488849007`, "   Bstar:  ", 3.784254788194842, 
   "   Xstar:  ", 0.08904750771603752, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.784254788194842^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607353429643*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2802", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2228170771262943`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.788518687986215`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08870721582039447`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.788518687986215`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2802, "   tar:  ", 1.225, "   tarstar:  ", 1.2725, "   R:  ", 
   3.2228170771262943`, "   Bstar:  ", 3.788518687986215, "   Xstar:  ", 
   0.08870721582039447, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.788518687986215^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607353446645*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2803", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222899079245991`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.792780230272401`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08836879167790175`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.792780230272401`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2803, "   tar:  ", 1.2275, "   tarstar:  ", 1.2725, "   R:  ", 
   3.222899079245991, "   Bstar:  ", 3.792780230272401, "   Xstar:  ", 
   0.08836879167790175, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.792780230272401^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607353463647*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2804", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222978388741045`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.79703941591501`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08803222227944453`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.79703941591501`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2804, "   tar:  ", 1.23, "   tarstar:  ", 1.2725, "   R:  ", 
   3.222978388741045, "   Bstar:  ", 3.79703941591501, "   Xstar:  ", 
   0.08803222227944453, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.79703941591501^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073534806485`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2805", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2230550387067534`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8012962458104664`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08769749472237826`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8012962458104664`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2805, "   tar:  ", 1.2325, "   tarstar:  ", 1.2725, "   R:  ", 
   3.2230550387067534`, "   Bstar:  ", 3.8012962458104664`, "   Xstar:  ", 
   0.08769749472237826, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8012962458104664`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073534966497`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2806", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2231290618417456`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8055507208894914`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08736459620956628`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8055507208894914`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2806, "   tar:  ", 1.235, "   tarstar:  ", 1.2725, "   R:  ", 
   3.2231290618417456`, "   Bstar:  ", 3.8055507208894914`, "   Xstar:  ", 
   0.08736459620956628, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8055507208894914`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073535126514`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2807", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223200490452987`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8098028421164885`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08703351404843483`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8098028421164885`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2807, "   tar:  ", 1.2375, "   tarstar:  ", 1.2725, "   R:  ", 
   3.223200490452987, "   Bstar:  ", 3.8098028421164885`, "   Xstar:  ", 
   0.08703351404843483, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8098028421164885`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607353530653*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2808", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223269356460724`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.814052610489086`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08670423565002425`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.814052610489086`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2808, "   tar:  ", 1.24, "   tarstar:  ", 1.2725, "   R:  ", 
   3.223269356460724, "   Bstar:  ", 3.814052610489086, "   Xstar:  ", 
   0.08670423565002425, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.814052610489086^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073535436544`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2809", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223335691403368`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.818300027037563`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08637674852805939`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.818300027037563`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2809, "   tar:  ", 1.2425, "   tarstar:  ", 1.2725, "   R:  ", 
   3.223335691403368, "   Bstar:  ", 3.818300027037563, "   Xstar:  ", 
   0.08637674852805939, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.818300027037563^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607353556656*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2810", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223399526442301`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8225450928243294`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08605104029802411`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8225450928243294`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2810, "   tar:  ", 1.245, "   tarstar:  ", 1.2725, "   R:  ", 
   3.223399526442301, "   Bstar:  ", 3.8225450928243294`, "   Xstar:  ", 
   0.08605104029802411, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8225450928243294`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073535706573`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2811", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2234608923666257`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.826787808943424`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08572709867624477`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.826787808943424`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2811, "   tar:  ", 1.2475, "   tarstar:  ", 1.2725, "   R:  ", 
   3.2234608923666257`, "   Bstar:  ", 3.826787808943424, "   Xstar:  ", 
   0.08572709867624477, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.826787808943424^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073535816584`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2812", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2235198195978545`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.831028176520015`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0854049114789808`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.831028176520015`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2812, "   tar:  ", 1.25, "   tarstar:  ", 1.2725, "   R:  ", 
   3.2235198195978545`, "   Bstar:  ", 3.831028176520015, "   Xstar:  ", 
   0.0854049114789808, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.831028176520015^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073536006603`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2813", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223576338194526`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.835266196709859`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08508446662152833`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.835266196709859`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2813, "   tar:  ", 1.2525, "   tarstar:  ", 1.2725, "   R:  ", 
   3.223576338194526, "   Bstar:  ", 3.835266196709859, "   Xstar:  ", 
   0.08508446662152833, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.835266196709859^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607353617662*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2814", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2236304778567737`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8395018706988604`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08476575211732522`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8395018706988604`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2814, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.2725, 
   "   R:  ", 3.2236304778567737`, "   Bstar:  ", 3.8395018706988604`, 
   "   Xstar:  ", 0.08476575211732522, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8395018706988604`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073536326637`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2815", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223682267930823`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8437351997025577`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08444875607707013`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8437351997025577`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2815, "   tar:  ", 1.2575, "   tarstar:  ", 1.2725, "   R:  ", 
   3.223682267930823, "   Bstar:  ", 3.8437351997025577`, "   Xstar:  ", 
   0.08444875607707013, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8437351997025577`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073536506653`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2816", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223731737413431`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.847966184965645`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08413346670784716`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.847966184965645`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2816, "   tar:  ", 1.26, "   tarstar:  ", 1.2725, "   R:  ", 
   3.223731737413431, "   Bstar:  ", 3.847966184965645, "   Xstar:  ", 
   0.08413346670784716, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.847966184965645^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607353667667*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2817", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2237789149562714`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.852194827761492`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08381987231225979`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.852194827761492`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2817, "   tar:  ", 1.2625, "   tarstar:  ", 1.2725, "   R:  ", 
   3.2237789149562714`, "   Bstar:  ", 3.852194827761492, "   Xstar:  ", 
   0.08381987231225979, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.852194827761492^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073536826687`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2818", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.223823828870255`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8564211293917032`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08350796128757047`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8564211293917032`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2818, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.2725, 
   "   R:  ", 3.223823828870255, "   Bstar:  ", 3.8564211293917032`, 
   "   Xstar:  ", 0.08350796128757047, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8564211293917032`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735369767*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2819", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223866507129801`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.860645091185626`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08319772212485166`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.860645091185626`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2819, "   tar:  ", 1.2675, "   tarstar:  ", 1.2725, "   R:  ", 
   3.223866507129801, "   Bstar:  ", 3.860645091185626, "   Xstar:  ", 
   0.08319772212485166, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.860645091185626^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073537146716`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2820", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2239069773770357`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8648667144999247`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08288914340814156`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8648667144999247`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2820, "   tar:  ", 1.27, "   tarstar:  ", 1.2725, "   R:  ", 
   3.2239069773770357`, "   Bstar:  ", 3.8648667144999247`, "   Xstar:  ", 
   0.08288914340814156, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8648667144999247`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073537316732`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2821", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2239452669259627`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8690860007181396`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08258221381360821`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8690860007181396`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2821, "   tar:  ", 1.2725, "   tarstar:  ", 1.2725, "   R:  ", 
   3.2239452669259627`, "   Bstar:  ", 3.8690860007181396`, "   Xstar:  ", 
   0.08258221381360821, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8690860007181396`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073537466745`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2822", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2239814027665528`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.873302951250199`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08227692210872588`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.873302951250199`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2822, "   tar:  ", 1.275, "   tarstar:  ", 1.2725, "   R:  ", 
   3.2239814027665528`, "   Bstar:  ", 3.873302951250199, "   Xstar:  ", 
   0.08227692210872588, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.873302951250199^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073537636766`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2823", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224015411568777`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8775175675320273`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08197325715145223`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8775175675320273`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2823, "   tar:  ", 1.2775, "   tarstar:  ", 1.2725, "   R:  ", 
   3.224015411568777, "   Bstar:  ", 3.8775175675320273`, "   Xstar:  ", 
   0.08197325715145223, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8775175675320273`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073537746773`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2824", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2240473196866226`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.881729851025118`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0816712078894166`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.881729851025118`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2824, "   tar:  ", 1.28, "   tarstar:  ", 1.2725, "   R:  ", 
   3.2240473196866226`, "   Bstar:  ", 3.881729851025118, "   Xstar:  ", 
   0.0816712078894166, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.881729851025118^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607353790679*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2825", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224077153162012`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.88593980321607`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08137076335911818`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.88593980321607`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2825, "   tar:  ", 1.2825, "   tarstar:  ", 1.2725, "   R:  ", 
   3.224077153162012, "   Bstar:  ", 3.88593980321607, "   Xstar:  ", 
   0.08137076335911818, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.88593980321607^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607353807681*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2826", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.224104937728694`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8901474256162283`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08107191268512558`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8901474256162283`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2826, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.2725, 
   "   R:  ", 3.224104937728694, "   Bstar:  ", 3.8901474256162283`, 
   "   Xstar:  ", 0.08107191268512558, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8901474256162283`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073538206825`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2827", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2241306988160856`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8943527197612284`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0807746450792902`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8943527197612284`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2827, "   tar:  ", 1.2875, "   tarstar:  ", 1.2725, "   R:  ", 
   3.2241306988160856`, "   Bstar:  ", 3.8943527197612284`, "   Xstar:  ", 
   0.0807746450792902, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8943527197612284`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073538336835`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2828", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2241544615530393`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8985556872106115`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08047894983996316`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8985556872106115`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2828, "   tar:  ", 1.29, "   tarstar:  ", 1.2725, "   R:  ", 
   3.2241544615530393`, "   Bstar:  ", 3.8985556872106115`, "   Xstar:  ", 
   0.08047894983996316, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8985556872106115`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073538446846`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2829", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224176250771601`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9027563295474135`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08018481635122121`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9027563295474135`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2829, "   tar:  ", 1.2925, "   tarstar:  ", 1.2725, "   R:  ", 
   3.224176250771601, "   Bstar:  ", 3.9027563295474135`, "   Xstar:  ", 
   0.08018481635122121, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9027563295474135`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073538556857`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2830", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2241960910106693`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9069546483777935`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07989223408209777`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9069546483777935`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2830, "   tar:  ", 1.295, "   tarstar:  ", 1.2725, "   R:  ", 
   3.2241960910106693`, "   Bstar:  ", 3.9069546483777935`, "   Xstar:  ", 
   0.07989223408209777, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9069546483777935`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073538716874`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2831", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2242140065196545`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.911150645330602`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07960119258582586`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.911150645330602`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2831, "   tar:  ", 1.2975, "   tarstar:  ", 1.2725, "   R:  ", 
   3.2242140065196545`, "   Bstar:  ", 3.911150645330602, "   Xstar:  ", 
   0.07960119258582586, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.911150645330602^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607353883689*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2832", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2725`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.224230021262056`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.915344322057062`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07931168149908055`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.915344322057062`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2832, "   tar:  ", 1.3, "   tarstar:  ", 1.2725, "   R:  ", 
   3.224230021262056, "   Bstar:  ", 3.915344322057062, "   Xstar:  ", 
   0.07931168149908055, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.915344322057062^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735389769*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2833", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2188324224006095`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.67336323540504`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0985230501415735`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.67336323540504`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2833, "   tar:  ", 1.155, "   tarstar:  ", 1.275, "   R:  ", 
   3.2188324224006095`, "   Bstar:  ", 3.67336323540504, "   Xstar:  ", 
   0.0985230501415735, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.67336323540504^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073539106913`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2834", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2190043414078096`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.677698634834981`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09812872425094692`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.677698634834981`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2834, "   tar:  ", 1.1575, "   tarstar:  ", 1.275, "   R:  ", 
   3.2190043414078096`, "   Bstar:  ", 3.677698634834981, "   Xstar:  ", 
   0.09812872425094692, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.677698634834981^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073539236927`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2835", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.21917247065477`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.68203165921632`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0977366527337315`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.68203165921632`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2835, "   tar:  ", 1.16, "   tarstar:  ", 1.275, "   R:  ", 
   3.21917247065477, "   Bstar:  ", 3.68203165921632, "   Xstar:  ", 
   0.0977366527337315, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.68203165921632^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073539346933`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2836", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219336856541338`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6863623082706973`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09734681935844985`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6863623082706973`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2836, "   tar:  ", 1.1625, "   tarstar:  ", 1.275, "   R:  ", 
   3.219336856541338, "   Bstar:  ", 3.6863623082706973`, "   Xstar:  ", 
   0.09734681935844985, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6863623082706973`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607353947695*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2837", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2194975449003835`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6906905817726336`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09695920802931449`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6906905817726336`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2837, "   tar:  ", 1.165, "   tarstar:  ", 1.275, "   R:  ", 
   3.2194975449003835`, "   Bstar:  ", 3.6906905817726336`, "   Xstar:  ", 
   0.09695920802931449, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6906905817726336`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607353965697*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2838", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2196545810051163`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6950164795486935`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09657380278500957`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6950164795486935`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2838, "   tar:  ", 1.1675, "   tarstar:  ", 1.275, "   R:  ", 
   3.2196545810051163`, "   Bstar:  ", 3.6950164795486935`, "   Xstar:  ", 
   0.09657380278500957, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6950164795486935`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073539826984`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2839", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219808009576285`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.699340001476734`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09619058779747623`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.699340001476734`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2839, "   tar:  ", 1.17, "   tarstar:  ", 1.275, "   R:  ", 
   3.219808009576285, "   Bstar:  ", 3.699340001476734, "   Xstar:  ", 
   0.09619058779747623, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.699340001476734^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073539976997`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2840", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219957874789289`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.703661147485056`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09580954737071747`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.703661147485056`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2840, "   tar:  ", 1.1725, "   tarstar:  ", 1.275, "   R:  ", 
   3.219957874789289, "   Bstar:  ", 3.703661147485056, "   Xstar:  ", 
   0.09580954737071747, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.703661147485056^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073540127015`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2841", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220104220281196`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.707979917551692`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09543066593960295`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.707979917551692`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2841, "   tar:  ", 1.175, "   tarstar:  ", 1.275, "   R:  ", 
   3.220104220281196, "   Bstar:  ", 3.707979917551692, "   Xstar:  ", 
   0.09543066593960295, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.707979917551692^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073540307035`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2842", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220247089157659`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7122963117035996`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09505392806869367`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7122963117035996`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2842, "   tar:  ", 1.1775, "   tarstar:  ", 1.275, "   R:  ", 
   3.220247089157659, "   Bstar:  ", 3.7122963117035996`, "   Xstar:  ", 
   0.09505392806869367, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7122963117035996`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073540477047`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2843", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2203865239997387`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7166103300159294`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09467931845107028`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7166103300159294`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2843, "   tar:  ", 1.18, "   tarstar:  ", 1.275, "   R:  ", 
   3.2203865239997387`, "   Bstar:  ", 3.7166103300159294`, "   Xstar:  ", 
   0.09467931845107028, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7166103300159294`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607354067707*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2844", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220522566870645`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.720921972611282`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09430682190717478`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.720921972611282`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2844, "   tar:  ", 1.1825, "   tarstar:  ", 1.275, "   R:  ", 
   3.220522566870645, "   Bstar:  ", 3.720921972611282, "   Xstar:  ", 
   0.09430682190717478, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.720921972611282^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073540817084`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2845", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2206552593223776`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.725231239658953`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09393642338366334`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.725231239658953`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2845, "   tar:  ", 1.185, "   tarstar:  ", 1.275, "   R:  ", 
   3.2206552593223776`, "   Bstar:  ", 3.725231239658953, "   Xstar:  ", 
   0.09393642338366334, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.725231239658953^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073540977097`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2846", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220784642402271`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7295381313742406`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09356810795226524`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7295381313742406`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2846, "   tar:  ", 1.1875, "   tarstar:  ", 1.275, "   R:  ", 
   3.220784642402271, "   Bstar:  ", 3.7295381313742406`, "   Xstar:  ", 
   0.09356810795226524, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7295381313742406`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607354110711*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2847", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220910756659473`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7338426480177205`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09320186080865549`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7338426480177205`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2847, "   tar:  ", 1.19, "   tarstar:  ", 1.275, "   R:  ", 
   3.220910756659473, "   Bstar:  ", 3.7338426480177205`, "   Xstar:  ", 
   0.09320186080865549, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7338426480177205`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607354125713*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2848", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2210336421513186`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.738144789894566`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09283766727133412`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.738144789894566`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2848, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.275, 
   "   R:  ", 3.2210336421513186`, "   Bstar:  ", 3.738144789894566, 
   "   Xstar:  ", 0.09283766727133412, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.738144789894566^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607354138714*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2849", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221153338449616`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7424445573538097`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09247551278052171`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7424445573538097`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2849, "   tar:  ", 1.195, "   tarstar:  ", 1.275, "   R:  ", 
   3.221153338449616, "   Bstar:  ", 3.7424445573538097`, "   Xstar:  ", 
   0.09247551278052171, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7424445573538097`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073541517153`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2850", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22126988464686`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7467419507877042`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09211538289705663`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7467419507877042`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2850, "   tar:  ", 1.1975, "   tarstar:  ", 1.275, "   R:  ", 
   3.22126988464686, "   Bstar:  ", 3.7467419507877042`, "   Xstar:  ", 
   0.09211538289705663, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7467419507877042`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073541637163`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2851", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221383319362355`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7510369706310414`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09175726330130704`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7510369706310414`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2851, "   tar:  ", 1.2, "   tarstar:  ", 1.275, "   R:  ", 
   3.221383319362355, "   Bstar:  ", 3.7510369706310414`, "   Xstar:  ", 
   0.09175726330130704, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7510369706310414`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607354177718*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2852", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2214936807482575`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7553296173604815`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09140113979209182`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7553296173604815`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2852, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.275, 
   "   R:  ", 3.2214936807482575`, "   Bstar:  ", 3.7553296173604815`, 
   "   Xstar:  ", 0.09140113979209182, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7553296173604815`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735419372*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2853", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2216010064955314`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7596198914938954`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09104699828561151`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7596198914938954`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2853, "   tar:  ", 1.205, "   tarstar:  ", 1.275, "   R:  ", 
   3.2216010064955314`, "   Bstar:  ", 3.7596198914938954`, "   Xstar:  ", 
   0.09104699828561151, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7596198914938954`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073542117214`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2854", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2217053338398336`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.763907793589748`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09069482481438593`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.763907793589748`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2854, "   tar:  ", 1.2075, "   tarstar:  ", 1.275, "   R:  ", 
   3.2217053338398336`, "   Bstar:  ", 3.763907793589748, "   Xstar:  ", 
   0.09069482481438593, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.763907793589748^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607354227723*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2855", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221806699567314`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.768193324246434`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09034460552620568`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.768193324246434`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2855, "   tar:  ", 1.21, "   tarstar:  ", 1.275, "   R:  ", 
   3.221806699567314, "   Bstar:  ", 3.768193324246434, "   Xstar:  ", 
   0.09034460552620568, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.768193324246434^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073542407246`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2856", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2219051400203376`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.772476484101678`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08999632668308949`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.772476484101678`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2856, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.275, 
   "   R:  ", 3.2219051400203376`, "   Bstar:  ", 3.772476484101678, 
   "   Xstar:  ", 0.08999632668308949, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.772476484101678^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073542527256`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2857", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2220006911031325`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.776757273831876`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08964997466025522`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.776757273831876`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2857, "   tar:  ", 1.215, "   tarstar:  ", 1.275, "   R:  ", 
   3.2220006911031325`, "   Bstar:  ", 3.776757273831876, "   Xstar:  ", 
   0.08964997466025522, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.776757273831876^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607354267727*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2858", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222093388287357`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7810356941515484`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08930553594509302`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7810356941515484`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2858, "   tar:  ", 1.2175, "   tarstar:  ", 1.275, "   R:  ", 
   3.222093388287357, "   Bstar:  ", 3.7810356941515484`, "   Xstar:  ", 
   0.08930553594509302, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7810356941515484`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073542837286`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2859", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222183266617597`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7853117458126877`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08896299713615598`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7853117458126877`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2859, "   tar:  ", 1.22, "   tarstar:  ", 1.275, "   R:  ", 
   3.222183266617597, "   Bstar:  ", 3.7853117458126877`, "   Xstar:  ", 
   0.08896299713615598, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7853117458126877`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735429673*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2860", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.22227036071679`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.789585429604191`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08862234494215454`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.789585429604191`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2860, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.275, 
   "   R:  ", 3.22227036071679, "   Bstar:  ", 3.789585429604191, 
   "   Xstar:  ", 0.08862234494215454, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.789585429604191^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073543077307`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2861", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222354704791577`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7938567463512807`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08828356618096139`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7938567463512807`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2861, "   tar:  ", 1.225, "   tarstar:  ", 1.275, "   R:  ", 
   3.222354704791577, "   Bstar:  ", 3.7938567463512807`, "   Xstar:  ", 
   0.08828356618096139, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7938567463512807`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073543227324`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2862", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2224363326375687`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.798125696914906`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08794664777862744`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.798125696914906`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2862, "   tar:  ", 1.2275, "   tarstar:  ", 1.275, "   R:  ", 
   3.2224363326375687`, "   Bstar:  ", 3.798125696914906, "   Xstar:  ", 
   0.08794664777862744, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.798125696914906^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607354336734*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2863", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2225152776445625`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8023922821912195`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08761157676840164`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8023922821912195`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2863, "   tar:  ", 1.23, "   tarstar:  ", 1.275, "   R:  ", 
   3.2225152776445625`, "   Bstar:  ", 3.8023922821912195`, "   Xstar:  ", 
   0.08761157676840164, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8023922821912195`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607354355736*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2864", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222591572801685`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.806656503110965`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0872783402897676`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.806656503110965`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2864, "   tar:  ", 1.2325, "   tarstar:  ", 1.275, "   R:  ", 
   3.222591572801685, "   Bstar:  ", 3.806656503110965, "   Xstar:  ", 
   0.0872783402897676, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.806656503110965^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607354372738*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2865", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222665250702446`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.810918360638964`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08694692558748127`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.810918360638964`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2865, "   tar:  ", 1.235, "   tarstar:  ", 1.275, "   R:  ", 
   3.222665250702446, "   Bstar:  ", 3.810918360638964, "   Xstar:  ", 
   0.08694692558748127, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.810918360638964^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073543907394`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2866", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2227363435497476`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8151778557735883`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08661732001062004`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8151778557735883`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2866, "   tar:  ", 1.2375, "   tarstar:  ", 1.275, "   R:  ", 
   3.2227363435497476`, "   Bstar:  ", 3.8151778557735883`, "   Xstar:  ", 
   0.08661732001062004, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8151778557735883`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607354408741*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2867", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2228048831608196`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.819434989546155`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08628951101164602`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.819434989546155`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2867, "   tar:  ", 1.24, "   tarstar:  ", 1.275, "   R:  ", 
   3.2228048831608196`, "   Bstar:  ", 3.819434989546155, "   Xstar:  ", 
   0.08628951101164602, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.819434989546155^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607354425743*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2868", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2228709009720844`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8236897630204663`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08596348614546866`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8236897630204663`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2868, "   tar:  ", 1.2425, "   tarstar:  ", 1.275, "   R:  ", 
   3.2228709009720844`, "   Bstar:  ", 3.8236897630204663`, "   Xstar:  ", 
   0.08596348614546866, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8236897630204663`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607354438744*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2869", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2229344280439594`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8279421772922784`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0856392330685208`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8279421772922784`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2869, "   tar:  ", 1.245, "   tarstar:  ", 1.275, "   R:  ", 
   3.2229344280439594`, "   Bstar:  ", 3.8279421772922784`, "   Xstar:  ", 
   0.0856392330685208, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8279421772922784`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073544557457`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2870", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2229954950655992`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8321922334887435`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08531673953784674`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8321922334887435`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2870, "   tar:  ", 1.2475, "   tarstar:  ", 1.275, "   R:  ", 
   3.2229954950655992`, "   Bstar:  ", 3.8321922334887435`, "   Xstar:  ", 
   0.08531673953784674, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8321922334887435`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607354475748*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2871", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223054132359572`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.836439932767982`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0849959934101887`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.836439932767982`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2871, "   tar:  ", 1.25, "   tarstar:  ", 1.275, "   R:  ", 
   3.223054132359572, "   Bstar:  ", 3.836439932767982, "   Xstar:  ", 
   0.0849959934101887, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.836439932767982^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073544927497`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2872", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2231103698864656`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.840685276318499`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08467698264109497`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.840685276318499`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2872, "   tar:  ", 1.2525, "   tarstar:  ", 1.275, "   R:  ", 
   3.2231103698864656`, "   Bstar:  ", 3.840685276318499, "   Xstar:  ", 
   0.08467698264109497, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.840685276318499^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073545047507`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2873", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2231642372494504`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.844928265358733`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08435969528402538`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.844928265358733`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2873, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.275, 
   "   R:  ", 3.2231642372494504`, "   Bstar:  ", 3.844928265358733, 
   "   Xstar:  ", 0.08435969528402538, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.844928265358733^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073545167522`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2874", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2232157636987604`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8491689011366033`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0840441194894673`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8491689011366033`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2874, "   tar:  ", 1.2575, "   tarstar:  ", 1.275, "   R:  ", 
   3.2232157636987604`, "   Bstar:  ", 3.8491689011366033`, "   Xstar:  ", 
   0.0840441194894673, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8491689011366033`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607354530753*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2875", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2232649781361347`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8534071849289706`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08373024350406577`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8534071849289706`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2875, "   tar:  ", 1.26, "   tarstar:  ", 1.275, "   R:  ", 
   3.2232649781361347`, "   Bstar:  ", 3.8534071849289706`, "   Xstar:  ", 
   0.08373024350406577, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8534071849289706`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073545437546`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2876", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2233119091191753`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8576431180411963`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0834180556697553`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8576431180411963`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2876, "   tar:  ", 1.2625, "   tarstar:  ", 1.275, "   R:  ", 
   3.2233119091191753`, "   Bstar:  ", 3.8576431180411963`, "   Xstar:  ", 
   0.0834180556697553, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8576431180411963`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607354557756*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2877", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2233565848656833`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.861876701806669`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08310754442290255`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.861876701806669`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2877, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.275, 
   "   R:  ", 3.2233565848656833`, "   Bstar:  ", 3.861876701806669, 
   "   Xstar:  ", 0.08310754442290255, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.861876701806669^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073545697575`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2878", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2233990332578966`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8661079375863845`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08279869829345345`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8661079375863845`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2878, "   tar:  ", 1.2675, "   tarstar:  ", 1.275, "   R:  ", 
   3.2233990332578966`, "   Bstar:  ", 3.8661079375863845`, "   Xstar:  ", 
   0.08279869829345345, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8661079375863845`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073545827584`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2879", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2234392818467006`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8703368267684124`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08249150590409715`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8703368267684124`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2879, "   tar:  ", 1.27, "   tarstar:  ", 1.275, "   R:  ", 
   3.2234392818467006`, "   Bstar:  ", 3.8703368267684124`, "   Xstar:  ", 
   0.08249150590409715, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8703368267684124`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735459476*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2880", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2234773578557685`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8745633707675435`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08218595596942503`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8745633707675435`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2880, "   tar:  ", 1.2725, "   tarstar:  ", 1.275, "   R:  ", 
   3.2234773578557685`, "   Bstar:  ", 3.8745633707675435`, "   Xstar:  ", 
   0.08218595596942503, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8745633707675435`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607354606761*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2881", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223513288185653`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.878787571024776`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08188203729510975`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.878787571024776`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2881, "   tar:  ", 1.275, "   tarstar:  ", 1.275, "   R:  ", 
   3.223513288185653, "   Bstar:  ", 3.878787571024776, "   Xstar:  ", 
   0.08188203729510975, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.878787571024776^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073546197624`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2882", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2235470994178272`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8830094290069317`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08157973877708288`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8830094290069317`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2882, "   tar:  ", 1.2775, "   tarstar:  ", 1.275, "   R:  ", 
   3.2235470994178272`, "   Bstar:  ", 3.8830094290069317`, "   Xstar:  ", 
   0.08157973877708288, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8830094290069317`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607354632764*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2883", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2235788178186575`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8872289462061964`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08127904940072614`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8872289462061964`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2883, "   tar:  ", 1.28, "   tarstar:  ", 1.275, "   R:  ", 
   3.2235788178186575`, "   Bstar:  ", 3.8872289462061964`, "   Xstar:  ", 
   0.08127904940072614, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8872289462061964`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073546437645`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2884", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2236084693433353`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8914461241397165`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08097995824006676`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8914461241397165`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2884, "   tar:  ", 1.2825, "   tarstar:  ", 1.275, "   R:  ", 
   3.2236084693433353`, "   Bstar:  ", 3.8914461241397165`, "   Xstar:  ", 
   0.08097995824006676, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8914461241397165`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073546547656`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2885", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2236360796397645`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8956609643491737`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08068245445698223`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8956609643491737`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2885, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.275, 
   "   R:  ", 3.2236360796397645`, "   Bstar:  ", 3.8956609643491737`, 
   "   Xstar:  ", 0.08068245445698223, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8956609643491737`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073546697674`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2886", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2236616740523742`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8998734684003873`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08038652730041089`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8998734684003873`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2886, "   tar:  ", 1.2875, "   tarstar:  ", 1.275, "   R:  ", 
   3.2236616740523742`, "   Bstar:  ", 3.8998734684003873`, "   Xstar:  ", 
   0.08038652730041089, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8998734684003873`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607354685769*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2887", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2236852776259024`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9040836378829122`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08009216610557085`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9040836378829122`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2887, "   tar:  ", 1.29, "   tarstar:  ", 1.275, "   R:  ", 
   3.2236852776259024`, "   Bstar:  ", 3.9040836378829122`, "   Xstar:  ", 
   0.08009216610557085, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9040836378829122`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073547017703`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2888", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223706915109119`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.908291474409604`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07979936029318872`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.908291474409604`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2888, "   tar:  ", 1.2925, "   tarstar:  ", 1.275, "   R:  ", 
   3.223706915109119, "   Bstar:  ", 3.908291474409604, "   Xstar:  ", 
   0.07979936029318872, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.908291474409604^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607354717772*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2889", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2237266109585048`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9124969796162774`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07950809936872948`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9124969796162774`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2889, "   tar:  ", 1.295, "   tarstar:  ", 1.275, "   R:  ", 
   3.2237266109585048`, "   Bstar:  ", 3.9124969796162774`, "   Xstar:  ", 
   0.07950809936872948, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9124969796162774`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073547347736`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2890", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2237443893418742`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9167001551613025`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07921837292163862`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9167001551613025`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2890, "   tar:  ", 1.2975, "   tarstar:  ", 1.275, "   R:  ", 
   3.2237443893418742`, "   Bstar:  ", 3.9167001551613025`, "   Xstar:  ", 
   0.07921837292163862, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9167001551613025`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073547537756`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2891", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.275`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223760274141968`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.920901002725179`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07893017062459262`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.920901002725179`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2891, "   tar:  ", 1.3, "   tarstar:  ", 1.275, "   R:  ", 
   3.223760274141968, "   Bstar:  ", 3.920901002725179, "   Xstar:  ", 
   0.07893017062459262, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.920901002725179^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073547697773`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2892", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2183874027008654`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6784887858167283`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09805707630094865`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6784887858167283`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2892, "   tar:  ", 1.155, "   tarstar:  ", 1.2775, "   R:  ", 
   3.2183874027008654`, "   Bstar:  ", 3.6784887858167283`, "   Xstar:  ", 
   0.09805707630094865, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6784887858167283`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073547887793`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2893", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218558629904503`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.682831844050425`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09766447029214291`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.682831844050425`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2893, "   tar:  ", 1.1575, "   tarstar:  ", 1.2775, "   R:  ", 
   3.218558629904503, "   Bstar:  ", 3.682831844050425, "   Xstar:  ", 
   0.09766447029214291, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.682831844050425^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073548037806`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2894", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2187260805158897`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6871725175572365`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0972741100654512`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6871725175572365`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2894, "   tar:  ", 1.16, "   tarstar:  ", 1.2775, "   R:  ", 
   3.2187260805158897`, "   Bstar:  ", 3.6871725175572365`, "   Xstar:  ", 
   0.0972741100654512, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6871725175572365`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607354821782*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2895", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2188898007951723`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.691510806099341`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0968859794381959`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.691510806099341`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2895, "   tar:  ", 1.1625, "   tarstar:  ", 1.2775, "   R:  ", 
   3.2188898007951723`, "   Bstar:  ", 3.691510806099341, "   Xstar:  ", 
   0.0968859794381959, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.691510806099341^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607354835784*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2896", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2190498364368727`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6958467094915015`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09650006236315094`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6958467094915015`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2896, "   tar:  ", 1.165, "   tarstar:  ", 1.2775, "   R:  ", 
   3.2190498364368727`, "   Bstar:  ", 3.6958467094915015`, "   Xstar:  ", 
   0.09650006236315094, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6958467094915015`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607354845785*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2897", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.21920623257721`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.700180227600347`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09611634292731208`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.700180227600347`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2897, "   tar:  ", 1.1675, "   tarstar:  ", 1.2775, "   R:  ", 
   3.21920623257721, "   Bstar:  ", 3.700180227600347, "   Xstar:  ", 
   0.09611634292731208, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.700180227600347^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073548617864`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2898", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219359033801285`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7045113603435`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09573480535069293`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7045113603435`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2898, "   tar:  ", 1.17, "   tarstar:  ", 1.2775, "   R:  ", 
   3.219359033801285, "   Bstar:  ", 3.7045113603435, "   Xstar:  ", 
   0.09573480535069293, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7045113603435^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607354878788*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2899", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2195082841501748`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7088401076888386`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09535543398512032`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7088401076888386`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2899, "   tar:  ", 1.1725, "   tarstar:  ", 1.2775, "   R:  ", 
   3.2195082841501748`, "   Bstar:  ", 3.7088401076888386`, "   Xstar:  ", 
   0.09535543398512032, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7088401076888386`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735489679*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2900", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219654027127943`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.713166469653699`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09497821331304672`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.713166469653699`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2900, "   tar:  ", 1.175, "   tarstar:  ", 1.2775, "   R:  ", 
   3.219654027127943, "   Bstar:  ", 3.713166469653699, "   Xstar:  ", 
   0.09497821331304672, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.713166469653699^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073549127913`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2901", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219796305708539`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.717490446304131`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09460312794636891`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.717490446304131`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2901, "   tar:  ", 1.1775, "   tarstar:  ", 1.2775, "   R:  ", 
   3.219796305708539, "   Bstar:  ", 3.717490446304131, "   Xstar:  ", 
   0.09460312794636891, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.717490446304131^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607354926793*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2902", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2199351623426296`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7218120377541304`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09423016262526017`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7218120377541304`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2902, "   tar:  ", 1.18, "   tarstar:  ", 1.2775, "   R:  ", 
   3.2199351623426296`, "   Bstar:  ", 3.7218120377541304`, "   Xstar:  ", 
   0.09423016262526017, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7218120377541304`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607354938794*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2903", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220070638964302`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.726131244164909`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09385930221701051`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.726131244164909`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2903, "   tar:  ", 1.1825, "   tarstar:  ", 1.2775, "   R:  ", 
   3.220070638964302, "   Bstar:  ", 3.726131244164909, "   Xstar:  ", 
   0.09385930221701051, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.726131244164909^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073549517956`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2904", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220202776997701`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.730448065744146`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09349053171487932`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.730448065744146`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2904, "   tar:  ", 1.185, "   tarstar:  ", 1.2775, "   R:  ", 
   3.220202776997701, "   Bstar:  ", 3.730448065744146, "   Xstar:  ", 
   0.09349053171487932, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.730448065744146^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073549657965`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2905", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220331617363585`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.734762502745314`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09312383623695297`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.734762502745314`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2905, "   tar:  ", 1.1875, "   tarstar:  ", 1.2775, "   R:  ", 
   3.220331617363585, "   Bstar:  ", 3.734762502745314, "   Xstar:  ", 
   0.09312383623695297, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.734762502745314^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073549807987`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2906", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2204572004857597`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7390745554669107`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09275920102502115`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7390745554669107`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2906, "   tar:  ", 1.19, "   tarstar:  ", 1.2775, "   R:  ", 
   3.2204572004857597`, "   Bstar:  ", 3.7390745554669107`, "   Xstar:  ", 
   0.09275920102502115, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7390745554669107`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073549998*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2907", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2205795662974634`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7433842242517876`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09239661144345593`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7433842242517876`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2907, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.2775, 
   "   R:  ", 3.2205795662974634`, "   Bstar:  ", 3.7433842242517876`, 
   "   Xstar:  ", 0.09239661144345593, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7433842242517876`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607355016802*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2908", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2206987542476337`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7476915094864895`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09203605297810083`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7476915094864895`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2908, "   tar:  ", 1.195, "   tarstar:  ", 1.2775, "   R:  ", 
   3.2206987542476337`, "   Bstar:  ", 3.7476915094864895`, "   Xstar:  ", 
   0.09203605297810083, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7476915094864895`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607355035804*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2909", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2208148033071136`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7519964116004987`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09167751123517853`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7519964116004987`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2909, "   tar:  ", 1.1975, "   tarstar:  ", 1.2775, "   R:  ", 
   3.2208148033071136`, "   Bstar:  ", 3.7519964116004987`, "   Xstar:  ", 
   0.09167751123517853, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7519964116004987`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073550538054`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2910", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220927751974759`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7562989310656483`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09132097194019476`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7562989310656483`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2910, "   tar:  ", 1.2, "   tarstar:  ", 1.2775, "   R:  ", 
   3.220927751974759, "   Bstar:  ", 3.7562989310656483`, "   Xstar:  ", 
   0.09132097194019476, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7562989310656483`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073550738077`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2911", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.221037638283475`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7605990683954102`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09096642093686369`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7605990683954102`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2911, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.2775, 
   "   R:  ", 3.221037638283475, "   Bstar:  ", 3.7605990683954102`, 
   "   Xstar:  ", 0.09096642093686369, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7605990683954102`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073551018105`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2912", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2211444998061576`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7648968241442606`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09061384418603717`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7648968241442606`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2912, "   tar:  ", 1.205, "   tarstar:  ", 1.2775, "   R:  ", 
   3.2211444998061576`, "   Bstar:  ", 3.7648968241442606`, "   Xstar:  ", 
   0.09061384418603717, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7648968241442606`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607355126813*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2913", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221248373661571`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7691921989070147`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09026322776464657`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7691921989070147`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2913, "   tar:  ", 1.2075, "   tarstar:  ", 1.2775, "   R:  ", 
   3.221248373661571, "   Bstar:  ", 3.7691921989070147`, "   Xstar:  ", 
   0.09026322776464657, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7691921989070147`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073551548157`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2914", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221349296520134`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7734851933182423`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08991455786464872`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7734851933182423`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2914, "   tar:  ", 1.21, "   tarstar:  ", 1.2775, "   R:  ", 
   3.221349296520134, "   Bstar:  ", 3.7734851933182423`, "   Xstar:  ", 
   0.08991455786464872, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7734851933182423`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607355176818*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2915", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2214473046096295`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.777775808051613`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08956782079198769`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.777775808051613`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2915, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.2775, 
   "   R:  ", 3.2214473046096295`, "   Bstar:  ", 3.777775808051613, 
   "   Xstar:  ", 0.08956782079198769, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.777775808051613^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735519882*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2916", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2215424337208516`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.782064043819253`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08922300296556548`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.782064043819253`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2916, "   tar:  ", 1.215, "   tarstar:  ", 1.2775, "   R:  ", 
   3.2215424337208516`, "   Bstar:  ", 3.782064043819253, "   Xstar:  ", 
   0.08922300296556548, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.782064043819253^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607355218822*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2917", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221634719213152`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.786349901371207`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.088880090916215`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.786349901371207`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2917, "   tar:  ", 1.2175, "   tarstar:  ", 1.2775, "   R:  ", 
   3.221634719213152, "   Bstar:  ", 3.786349901371207, "   Xstar:  ", 
   0.088880090916215, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.786349901371207^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607355238824*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2918", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2217241960199328`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.790633381494765`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08853907128569281`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.790633381494765`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2918, "   tar:  ", 1.22, "   tarstar:  ", 1.2775, "   R:  ", 
   3.2217241960199328`, "   Bstar:  ", 3.790633381494765, "   Xstar:  ", 
   0.08853907128569281, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.790633381494765^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073552618265`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2919", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2218108986540597`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7949144850139387`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08819993082567082`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7949144850139387`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2919, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.2775, 
   "   R:  ", 3.2218108986540597`, "   Bstar:  ", 3.7949144850139387`, 
   "   Xstar:  ", 0.08819993082567082, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7949144850139387`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073552788277`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2920", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221894861213196`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7991932127888215`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08786265639674645`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7991932127888215`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2920, "   tar:  ", 1.225, "   tarstar:  ", 1.2775, "   R:  ", 
   3.221894861213196, "   Bstar:  ", 3.7991932127888215`, "   Xstar:  ", 
   0.08786265639674645, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7991932127888215`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735529583*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2921", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22197611738507`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.803469565715077`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08752723496745266`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.803469565715077`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2921, "   tar:  ", 1.2275, "   tarstar:  ", 1.2775, "   R:  ", 
   3.22197611738507, "   Bstar:  ", 3.803469565715077, "   Xstar:  ", 
   0.08752723496745266, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.803469565715077^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607355312832*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2922", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22205470045268`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8077435447233174`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08719365361328602`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8077435447233174`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2922, "   tar:  ", 1.23, "   tarstar:  ", 1.2775, "   R:  ", 
   3.22205470045268, "   Bstar:  ", 3.8077435447233174`, "   Xstar:  ", 
   0.08719365361328602, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8077435447233174`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073553308334`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2923", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2221306432994132`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8120151507785747`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08686189951573726`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8120151507785747`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2923, "   tar:  ", 1.2325, "   tarstar:  ", 1.2775, "   R:  ", 
   3.2221306432994132`, "   Bstar:  ", 3.8120151507785747`, "   Xstar:  ", 
   0.08686189951573726, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8120151507785747`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607355348835*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2924", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2222039784141083`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.816284384879756`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08653195996133277`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.816284384879756`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2924, "   tar:  ", 1.235, "   tarstar:  ", 1.2775, "   R:  ", 
   3.2222039784141083`, "   Bstar:  ", 3.816284384879756, "   Xstar:  ", 
   0.08653195996133277, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.816284384879756^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607355367837*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2925", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222274737896046`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8205512480590813`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08620382234068633`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8205512480590813`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2925, "   tar:  ", 1.2375, "   tarstar:  ", 1.2775, "   R:  ", 
   3.222274737896046, "   Bstar:  ", 3.8205512480590813`, "   Xstar:  ", 
   0.08620382234068633, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8205512480590813`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607355384839*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2926", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222342953459869`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.824815741381572`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08587747414755655`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.824815741381572`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2926, "   tar:  ", 1.24, "   tarstar:  ", 1.2775, "   R:  ", 
   3.222342953459869, "   Bstar:  ", 3.824815741381572, "   Xstar:  ", 
   0.08587747414755655, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.824815741381572^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073554078407`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2927", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2224086564404484`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.829077865944495`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08555290297791733`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.829077865944495`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2927, "   tar:  ", 1.2425, "   tarstar:  ", 1.2775, "   R:  ", 
   3.2224086564404484`, "   Bstar:  ", 3.829077865944495, "   Xstar:  ", 
   0.08555290297791733, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.829077865944495^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607355427843*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2928", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222471877797672`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8333376228768854`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08523009652903066`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8333376228768854`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2928, "   tar:  ", 1.245, "   tarstar:  ", 1.2775, "   R:  ", 
   3.222471877797672, "   Bstar:  ", 3.8333376228768854`, "   Xstar:  ", 
   0.08523009652903066, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8333376228768854`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073554528456`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2929", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222532648121172`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8375950133389978`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08490904259853471`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8375950133389978`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2929, "   tar:  ", 1.2475, "   tarstar:  ", 1.2775, "   R:  ", 
   3.222532648121172, "   Bstar:  ", 3.8375950133389978`, "   Xstar:  ", 
   0.08490904259853471, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8375950133389978`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607355472848*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2930", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2225909976349945`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8418500385218137`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08458972908353606`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8418500385218137`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2930, "   tar:  ", 1.25, "   tarstar:  ", 1.2775, "   R:  ", 
   3.2225909976349945`, "   Bstar:  ", 3.8418500385218137`, "   Xstar:  ", 
   0.08458972908353606, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8418500385218137`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073554958496`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2931", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2226469562022033`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.846102699646564`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08427214397971126`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.846102699646564`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2931, "   tar:  ", 1.2525, "   tarstar:  ", 1.2775, "   R:  ", 
   3.2226469562022033`, "   Bstar:  ", 3.846102699646564, "   Xstar:  ", 
   0.08427214397971126, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.846102699646564^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607355518852*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2932", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2227005533294206`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8503529979641997`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08395627538041771`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8503529979641997`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2932, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.2775, 
   "   R:  ", 3.2227005533294206`, "   Bstar:  ", 3.8503529979641997`, 
   "   Xstar:  ", 0.08395627538041771, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8503529979641997`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073555388536`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2933", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2227518181713113`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8546009347549344`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08364211147581216`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8546009347549344`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2933, "   tar:  ", 1.2575, "   tarstar:  ", 1.2775, "   R:  ", 
   3.2227518181713113`, "   Bstar:  ", 3.8546009347549344`, "   Xstar:  ", 
   0.08364211147581216, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8546009347549344`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607355558856*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2934", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2228007795350013`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8588465113277586`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08332964055197707`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8588465113277586`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2934, "   tar:  ", 1.26, "   tarstar:  ", 1.2775, "   R:  ", 
   3.2228007795350013`, "   Bstar:  ", 3.8588465113277586`, "   Xstar:  ", 
   0.08332964055197707, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8588465113277586`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607355575858*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2935", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222847465884449`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.863089729019989`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08301885099005435`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.863089729019989`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2935, "   tar:  ", 1.2625, "   tarstar:  ", 1.2775, "   R:  ", 
   3.222847465884449, "   Bstar:  ", 3.863089729019989, "   Xstar:  ", 
   0.08301885099005435, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.863089729019989^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073555908594`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2936", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.222891905344739`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8673305891967695`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08270973126539047`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8673305891967695`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2936, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.2775, 
   "   R:  ", 3.222891905344739, "   Bstar:  ", 3.8673305891967695`, 
   "   Xstar:  ", 0.08270973126539047, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8673305891967695`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073556058607`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2937", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2229341257063377`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8715690932506486`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08240226994668519`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8715690932506486`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2937, "   tar:  ", 1.2675, "   tarstar:  ", 1.2775, "   R:  ", 
   3.2229341257063377`, "   Bstar:  ", 3.8715690932506486`, "   Xstar:  ", 
   0.08240226994668519, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8715690932506486`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607355635864*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2938", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2229741544292887`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8758052426011025`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08209645569515191`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8758052426011025`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2938, "   tar:  ", 1.27, "   tarstar:  ", 1.2775, "   R:  ", 
   3.2229741544292887`, "   Bstar:  ", 3.8758052426011025`, "   Xstar:  ", 
   0.08209645569515191, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8758052426011025`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607355661866*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2939", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2230120186473408`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8800390386941084`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0817922772636832`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8800390386941084`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2939, "   tar:  ", 1.2725, "   tarstar:  ", 1.2775, "   R:  ", 
   3.2230120186473408`, "   Bstar:  ", 3.8800390386941084`, "   Xstar:  ", 
   0.0817922772636832, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8800390386941084`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607355684869*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2940", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2230477451720327`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.884270483001693`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08148972349602604`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.884270483001693`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2940, "   tar:  ", 1.275, "   tarstar:  ", 1.2775, "   R:  ", 
   3.2230477451720327`, "   Bstar:  ", 3.884270483001693, "   Xstar:  ", 
   0.08148972349602604, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.884270483001693^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073557098713`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2941", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2230813604967143`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.888499577021517`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08118878332596317`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.888499577021517`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2941, "   tar:  ", 1.2775, "   tarstar:  ", 1.2775, "   R:  ", 
   3.2230813604967143`, "   Bstar:  ", 3.888499577021517, "   Xstar:  ", 
   0.08118878332596317, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.888499577021517^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073557318735`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2942", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223112890800533`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8927263222764243`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08088944577650421`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8927263222764243`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2942, "   tar:  ", 1.28, "   tarstar:  ", 1.2775, "   R:  ", 
   3.223112890800533, "   Bstar:  ", 3.8927263222764243`, "   Xstar:  ", 
   0.08088944577650421, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8927263222764243`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073557538757`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2943", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2231423619523447`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8969507203140625`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08059169995908057`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8969507203140625`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2943, "   tar:  ", 1.2825, "   tarstar:  ", 1.2775, "   R:  ", 
   3.2231423619523447`, "   Bstar:  ", 3.8969507203140625`, "   Xstar:  ", 
   0.08059169995908057, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8969507203140625`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607355778878*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2944", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.223169799514582`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.901172772706408`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08029553507275451`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.901172772706408`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2944, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.2775, 
   "   R:  ", 3.223169799514582, "   Bstar:  ", 3.901172772706408, 
   "   Xstar:  ", 0.08029553507275451, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.901172772706408^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735579988*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2945", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223195228747078`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.905392481049419`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08000094040342744`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.905392481049419`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2945, "   tar:  ", 1.2875, "   tarstar:  ", 1.2775, "   R:  ", 
   3.223195228747078, "   Bstar:  ", 3.905392481049419, "   Xstar:  ", 
   0.08000094040342744, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.905392481049419^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073558228827`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2946", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22321867461083`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9096098469626046`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0797079053230614`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9096098469626046`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2946, "   tar:  ", 1.29, "   tarstar:  ", 1.2775, "   R:  ", 
   3.22321867461083, "   Bstar:  ", 3.9096098469626046`, "   Xstar:  ", 
   0.0797079053230614, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9096098469626046`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607355837884*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2947", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223240161771718`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.913824872088606`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07941641928890826`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.913824872088606`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2947, "   tar:  ", 1.2925, "   tarstar:  ", 1.2775, "   R:  ", 
   3.223240161771718, "   Bstar:  ", 3.913824872088606, "   Xstar:  ", 
   0.07941641928890826, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.913824872088606^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073558528852`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2948", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.223259714604169`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9180375580928706`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07912647184273916`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9180375580928706`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2948, "   tar:  ", 1.295, "   tarstar:  ", 1.2775, "   R:  ", 
   3.223259714604169, "   Bstar:  ", 3.9180375580928706`, "   Xstar:  ", 
   0.07912647184273916, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9180375580928706`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607355867887*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2949", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2232773571947866`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9222479066631766`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0788380526100925`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9222479066631766`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2949, "   tar:  ", 1.2975, "   tarstar:  ", 1.2775, "   R:  ", 
   3.2232773571947866`, "   Bstar:  ", 3.9222479066631766`, "   Xstar:  ", 
   0.0788380526100925, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9222479066631766`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073558868885`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2950", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2775`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2232931133459135`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.92645591950934`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07855115129951674`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.92645591950934`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2950, "   tar:  ", 1.3, "   tarstar:  ", 1.2775, "   R:  ", 
   3.2232931133459135`, "   Bstar:  ", 3.92645591950934, "   Xstar:  ", 
   0.07855115129951674, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.92645591950934^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735590289*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2951", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.217944799414054`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.68361291448111`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09759407863039246`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.68361291448111`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2951, "   tar:  ", 1.155, "   tarstar:  ", 1.28, "   R:  ", 
   3.217944799414054, "   Bstar:  ", 3.68361291448111, "   Xstar:  ", 
   0.09759407863039246, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.68361291448111^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073559148912`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2952", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218115338997469`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6879636252435923`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09720318277614741`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6879636252435923`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2952, "   tar:  ", 1.1575, "   tarstar:  ", 1.28, "   R:  ", 
   3.218115338997469, "   Bstar:  ", 3.6879636252435923`, "   Xstar:  ", 
   0.09720318277614741, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6879636252435923`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073559268928`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2953", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2182821150925105`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6923119416152157`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09681452415061455`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6923119416152157`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2953, "   tar:  ", 1.16, "   tarstar:  ", 1.28, "   R:  ", 
   3.2182821150925105`, "   Bstar:  ", 3.6923119416152157`, "   Xstar:  ", 
   0.09681452415061455, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6923119416152157`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607355939894*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2954", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2184451738201316`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.696657863398615`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09642808661982083`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.696657863398615`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2954, "   tar:  ", 1.1625, "   tarstar:  ", 1.28, "   R:  ", 
   3.2184451738201316`, "   Bstar:  ", 3.696657863398615, "   Xstar:  ", 
   0.09642808661982083, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.696657863398615^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073559528956`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2955", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2186045607370346`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.701001390448813`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0960438541849954`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.701001390448813`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2955, "   tar:  ", 1.165, "   tarstar:  ", 1.28, "   R:  ", 
   3.2186045607370346`, "   Bstar:  ", 3.701001390448813, "   Xstar:  ", 
   0.0960438541849954, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.701001390448813^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607355966897*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2956", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2187603208429603`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7053425226723875`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09566181098135067`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7053425226723875`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2956, "   tar:  ", 1.1675, "   tarstar:  ", 1.28, "   R:  ", 
   3.2187603208429603`, "   Bstar:  ", 3.7053425226723875`, "   Xstar:  ", 
   0.09566181098135067, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7053425226723875`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073559798985`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2957", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218912498587867`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.709681260026734`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09528194127686553`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.709681260026734`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2957, "   tar:  ", 1.17, "   tarstar:  ", 1.28, "   R:  ", 
   3.218912498587867, "   Bstar:  ", 3.709681260026734, "   Xstar:  ", 
   0.09528194127686553, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.709681260026734^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073559929*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2958", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2190611378790175`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7140176025192346`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09490422947108976`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7140176025192346`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2958, "   tar:  ", 1.1725, "   tarstar:  ", 1.28, "   R:  ", 
   3.2190611378790175`, "   Bstar:  ", 3.7140176025192346`, "   Xstar:  ", 
   0.09490422947108976, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7140176025192346`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607356004901*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2959", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2192062820879817`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7183515502065063`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09452866009395185`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7183515502065063`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2959, "   tar:  ", 1.175, "   tarstar:  ", 1.28, "   R:  ", 
   3.2192062820879817`, "   Bstar:  ", 3.7183515502065063`, "   Xstar:  ", 
   0.09452866009395185, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7183515502065063`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607356017902*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2960", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219347974057515`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.722683103193606`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09415521780458236`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.722683103193606`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2960, "   tar:  ", 1.1775, "   tarstar:  ", 1.28, "   R:  ", 
   3.219347974057515, "   Bstar:  ", 3.722683103193606, "   Xstar:  ", 
   0.09415521780458236, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.722683103193606^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073560369043`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2961", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219486256108375`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7270122616333596`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09378388739013806`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7270122616333596`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2961, "   tar:  ", 1.18, "   tarstar:  ", 1.28, "   R:  ", 
   3.219486256108375, "   Bstar:  ", 3.7270122616333596`, "   Xstar:  ", 
   0.09378388739013806, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7270122616333596`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607356058906*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2962", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219621170046032`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7313390257255437`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09341465376464964`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7313390257255437`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2962, "   tar:  ", 1.1825, "   tarstar:  ", 1.28, "   R:  ", 
   3.219621170046032, "   Bstar:  ", 3.7313390257255437`, "   Xstar:  ", 
   0.09341465376464964, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7313390257255437`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607356077908*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2963", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2197527571672824`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7356633957161702`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09304750196787179`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7356633957161702`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2963, "   tar:  ", 1.185, "   tarstar:  ", 1.28, "   R:  ", 
   3.2197527571672824`, "   Bstar:  ", 3.7356633957161702`, "   Xstar:  ", 
   0.09304750196787179, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7356633957161702`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735609591*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2964", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2198810582667843`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7399853718968328`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09268241716413933`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7399853718968328`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2964, "   tar:  ", 1.1875, "   tarstar:  ", 1.28, "   R:  ", 
   3.2198810582667843`, "   Bstar:  ", 3.7399853718968328`, "   Xstar:  ", 
   0.09268241716413933, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7399853718968328`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073561139116`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2965", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2200061136435054`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7443049546038956`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09231938464124746`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7443049546038956`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2965, "   tar:  ", 1.19, "   tarstar:  ", 1.28, "   R:  ", 
   3.2200061136435054`, "   Bstar:  ", 3.7443049546038956`, "   Xstar:  ", 
   0.09231938464124746, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7443049546038956`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607356131913*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2966", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.28`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.220127963107066`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.748622144217886`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09195838980932576`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.748622144217886`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2966, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.28, 
   "   R:  ", 3.220127963107066, "   Bstar:  ", 3.748622144217886, 
   "   Xstar:  ", 0.09195838980932576, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.748622144217886^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607356149915*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2967", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2202466459840213`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7529369411627536`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09159941819973443`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7529369411627536`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2967, "   tar:  ", 1.195, "   tarstar:  ", 1.28, "   R:  ", 
   3.2202466459840213`, "   Bstar:  ", 3.7529369411627536`, "   Xstar:  ", 
   0.09159941819973443, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7529369411627536`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607356168917*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2968", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220362201124045`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.75724934590522`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09124245546396302`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.75724934590522`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2968, "   tar:  ", 1.1975, "   tarstar:  ", 1.28, "   R:  ", 
   3.220362201124045, "   Bstar:  ", 3.75724934590522, "   Xstar:  ", 
   0.09124245546396302, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.75724934590522^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073561879187`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2969", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2204746669060276`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7615593589540843`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09088748737254461`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7615593589540843`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2969, "   tar:  ", 1.2, "   tarstar:  ", 1.28, "   R:  ", 
   3.2204746669060276`, "   Bstar:  ", 3.7615593589540843`, "   Xstar:  ", 
   0.09088748737254461, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7615593589540843`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735619992*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2970", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.28`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2205840812440933`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.765866980859587`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09053449981397457`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.765866980859587`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2970, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.28, 
   "   R:  ", 3.2205840812440933`, "   Bstar:  ", 3.765866980859587, 
   "   Xstar:  ", 0.09053449981397457, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.765866980859587^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073562129216`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2971", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220690481593551`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7701722122127426`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09018347879364319`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7701722122127426`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2971, "   tar:  ", 1.205, "   tarstar:  ", 1.28, "   R:  ", 
   3.220690481593551, "   Bstar:  ", 3.7701722122127426`, "   Xstar:  ", 
   0.09018347879364319, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7701722122127426`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607356227923*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2972", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220793904956736`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.774475053644723`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08983441043277422`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.774475053644723`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2972, "   tar:  ", 1.2075, "   tarstar:  ", 1.28, "   R:  ", 
   3.220793904956736, "   Bstar:  ", 3.774475053644723, "   Xstar:  ", 
   0.08983441043277422, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.774475053644723^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073562429247`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2973", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220894387888807`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7787755058261827`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08948728096737854`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7787755058261827`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2973, "   tar:  ", 1.21, "   tarstar:  ", 1.28, "   R:  ", 
   3.220894387888807, "   Bstar:  ", 3.7787755058261827`, "   Xstar:  ", 
   0.08948728096737854, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7787755058261827`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073562549257`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2974", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.28`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2209919665034397`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.783073569466703`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0891420767472083`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.783073569466703`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2974, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.28, 
   "   R:  ", 3.2209919665034397`, "   Bstar:  ", 3.783073569466703, 
   "   Xstar:  ", 0.0891420767472083, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.783073569466703^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607356265927*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2975", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221086676478446`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.787369245314085`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08879878423473377`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.787369245314085`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2975, "   tar:  ", 1.215, "   tarstar:  ", 1.28, "   R:  ", 
   3.221086676478446, "   Bstar:  ", 3.787369245314085, "   Xstar:  ", 
   0.08879878423473377, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.787369245314085^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607356279928*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2976", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221178553061335`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7916625341538523`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08845739000411297`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7916625341538523`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2976, "   tar:  ", 1.2175, "   tarstar:  ", 1.28, "   R:  ", 
   3.221178553061335, "   Bstar:  ", 3.7916625341538523`, "   Xstar:  ", 
   0.08845739000411297, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7916625341538523`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073562939296`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2977", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2212676310747836`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7959534368085612`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0881178807401871`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7959534368085612`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2977, "   tar:  ", 1.22, "   tarstar:  ", 1.28, "   R:  ", 
   3.2212676310747836`, "   Bstar:  ", 3.7959534368085612`, "   Xstar:  ", 
   0.0881178807401871, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7959534368085612`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073563069305`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2978", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.28`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2213539449220367`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8002419541372636`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08778024323747333`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8002419541372636`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2978, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.28, 
   "   R:  ", 3.2213539449220367`, "   Bstar:  ", 3.8002419541372636`, 
   "   Xstar:  ", 0.08778024323747333, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8002419541372636`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073563209324`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2979", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221437528592234`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.804528087034925`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08744446439917151`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.804528087034925`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2979, "   tar:  ", 1.225, "   tarstar:  ", 1.28, "   R:  ", 
   3.221437528592234, "   Bstar:  ", 3.804528087034925, "   Xstar:  ", 
   0.08744446439917151, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.804528087034925^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073563359337`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2980", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2215184156656713`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.808811836431832`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08711053123618084`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.808811836431832`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2980, "   tar:  ", 1.2275, "   tarstar:  ", 1.28, "   R:  ", 
   3.2215184156656713`, "   Bstar:  ", 3.808811836431832, "   Xstar:  ", 
   0.08711053123618084, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.808811836431832^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607356348935*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2981", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2215966393189905`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8130932032930276`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0867784308661245`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8130932032930276`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2981, "   tar:  ", 1.23, "   tarstar:  ", 1.28, "   R:  ", 
   3.2215966393189905`, "   Bstar:  ", 3.8130932032930276`, "   Xstar:  ", 
   0.0867784308661245, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8130932032930276`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073563619366`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2982", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2216722323302873`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8173721886177843`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08644815051238071`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8173721886177843`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2982, "   tar:  ", 1.2325, "   tarstar:  ", 1.28, "   R:  ", 
   3.2216722323302873`, "   Bstar:  ", 3.8173721886177843`, "   Xstar:  ", 
   0.08644815051238071, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8173721886177843`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073563759375`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2983", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2217452270841687`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8216487934390355`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0861196775031266`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8216487934390355`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2983, "   tar:  ", 1.235, "   tarstar:  ", 1.28, "   R:  ", 
   3.2217452270841687`, "   Bstar:  ", 3.8216487934390355`, "   Xstar:  ", 
   0.0861196775031266, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8216487934390355`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607356390939*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2984", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221815655576727`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8259230188228264`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08579299927039004`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8259230188228264`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2984, "   tar:  ", 1.2375, "   tarstar:  ", 1.28, "   R:  ", 
   3.221815655576727, "   Bstar:  ", 3.8259230188228264`, "   Xstar:  ", 
   0.08579299927039004, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8259230188228264`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073564049406`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2985", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2218835494204594`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.830194865867816`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08546810334910661`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.830194865867816`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2985, "   tar:  ", 1.24, "   tarstar:  ", 1.28, "   R:  ", 
   3.2218835494204594`, "   Bstar:  ", 3.830194865867816, "   Xstar:  ", 
   0.08546810334910661, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.830194865867816^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073564219427`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2986", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2219489398491143`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8344643357047046`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08514497737619216`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8344643357047046`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2986, "   tar:  ", 1.2425, "   tarstar:  ", 1.28, "   R:  ", 
   3.2219489398491143`, "   Bstar:  ", 3.8344643357047046`, "   Xstar:  ", 
   0.08514497737619216, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8344643357047046`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073564399443`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2987", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2220118577224772`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.838731429495751`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08482360908961684`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.838731429495751`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2987, "   tar:  ", 1.245, "   tarstar:  ", 1.28, "   R:  ", 
   3.2220118577224772`, "   Bstar:  ", 3.838731429495751, "   Xstar:  ", 
   0.08482360908961684, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.838731429495751^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073564629464`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2988", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2220723335310826`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8429961484342554`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08450398632749163`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8429961484342554`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2988, "   tar:  ", 1.2475, "   tarstar:  ", 1.28, "   R:  ", 
   3.2220723335310826`, "   Bstar:  ", 3.8429961484342554`, "   Xstar:  ", 
   0.08450398632749163, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8429961484342554`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073564839487`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2989", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2221303974008872`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8472584937440515`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08418609702716295`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8472584937440515`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2989, "   tar:  ", 1.25, "   tarstar:  ", 1.28, "   R:  ", 
   3.2221303974008872`, "   Bstar:  ", 3.8472584937440515`, "   Xstar:  ", 
   0.08418609702716295, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8472584937440515`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073565039506`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2990", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222186079097843`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.851518466679008`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0838699292243151`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.851518466679008`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2990, "   tar:  ", 1.2525, "   tarstar:  ", 1.28, "   R:  ", 
   3.222186079097843, "   Bstar:  ", 3.851518466679008, "   Xstar:  ", 
   0.0838699292243151, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.851518466679008^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607356527953*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2991", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.28`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.222239408032444`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8557760685225433`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08355547105208125`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8557760685225433`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2991, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.28, 
   "   R:  ", 3.222239408032444, "   Bstar:  ", 3.8557760685225433`, 
   "   Xstar:  ", 0.08355547105208125, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8557760685225433`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073565509553`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2992", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2222904132642`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8600313005871465`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08324271074016264`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8600313005871465`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2992, "   tar:  ", 1.2575, "   tarstar:  ", 1.28, "   R:  ", 
   3.2222904132642, "   Bstar:  ", 3.8600313005871465`, "   Xstar:  ", 
   0.08324271074016264, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8600313005871465`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607356574958*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2993", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222339123506041`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.864284164213888`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08293163661395643`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.864284164213888`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2993, "   tar:  ", 1.26, "   tarstar:  ", 1.28, "   R:  ", 
   3.222339123506041, "   Bstar:  ", 3.864284164213888, "   Xstar:  ", 
   0.08293163661395643, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.864284164213888^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735659696*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2994", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2223855671286783`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.868534660771987`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08262223709368913`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.868534660771987`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2994, "   tar:  ", 1.2625, "   tarstar:  ", 1.28, "   R:  ", 
   3.2223855671286783`, "   Bstar:  ", 3.868534660771987, "   Xstar:  ", 
   0.08262223709368913, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.868534660771987^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607356615962*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2995", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.28`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.222429772164897`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8727827916582886`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08231450069356445`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8727827916582886`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2995, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.28, 
   "   R:  ", 3.222429772164897, "   Bstar:  ", 3.8727827916582886`, 
   "   Xstar:  ", 0.08231450069356445, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8727827916582886`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073566349635`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2996", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2224717663137996`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.877028558296859`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08200841602091158`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.877028558296859`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2996, "   tar:  ", 1.2675, "   tarstar:  ", 1.28, "   R:  ", 
   3.2224717663137996`, "   Bstar:  ", 3.877028558296859, "   Xstar:  ", 
   0.08200841602091158, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.877028558296859^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073566499653`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2997", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2225115769449793`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8812719621385208`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08170397177534565`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8812719621385208`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2997, "   tar:  ", 1.27, "   tarstar:  ", 1.28, "   R:  ", 
   3.2225115769449793`, "   Bstar:  ", 3.8812719621385208`, "   Xstar:  ", 
   0.08170397177534565, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8812719621385208`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073566649666`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2998", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222549231102661`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8855130046604067`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08140115674793572`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8855130046604067`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2998, "   tar:  ", 1.2725, "   tarstar:  ", 1.28, "   R:  ", 
   3.222549231102661, "   Bstar:  ", 3.8855130046604067`, "   Xstar:  ", 
   0.08140115674793572, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8855130046604067`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607356682968*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2999", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22258475550976`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8897516873655165`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0810999598203801`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8897516873655165`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2999, "   tar:  ", 1.275, "   tarstar:  ", 1.28, "   R:  ", 
   3.22258475550976, "   Bstar:  ", 3.8897516873655165`, "   Xstar:  ", 
   0.0810999598203801, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8897516873655165`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073566959696`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3000", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2226181765719075`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.89398801178231`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08080036996418831`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.89398801178231`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3000, "   tar:  ", 1.2775, "   tarstar:  ", 1.28, "   R:  ", 
   3.2226181765719075`, "   Bstar:  ", 3.89398801178231, "   Xstar:  ", 
   0.08080036996418831, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.89398801178231^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607356710971*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3001", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222649520381416`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.898221979464275`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08050237623987186`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.898221979464275`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3001, "   tar:  ", 1.28, "   tarstar:  ", 1.28, "   R:  ", 
   3.222649520381416, "   Bstar:  ", 3.898221979464275, "   Xstar:  ", 
   0.08050237623987186, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.898221979464275^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607356725973*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3002", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2226788127211847`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.902453591989444`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08020596779614728`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.902453591989444`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3002, "   tar:  ", 1.2825, "   tarstar:  ", 1.28, "   R:  ", 
   3.2226788127211847`, "   Bstar:  ", 3.902453591989444, "   Xstar:  ", 
   0.08020596779614728, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.902453591989444^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073567439747`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3003", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.28`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2227060790685678`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.9066828509600926`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.07991113386913425`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9066828509600926`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3003, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.28, 
   "   R:  ", 3.2227060790685678`, "   Bstar:  ", 3.9066828509600926`, 
   "   Xstar:  ", 0.07991113386913425, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9066828509600926`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073567609763`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3004", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2227313445991803`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.910909758002272`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07961786378157311`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.910909758002272`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3004, "   tar:  ", 1.2875, "   tarstar:  ", 1.28, "   R:  ", 
   3.2227313445991803`, "   Bstar:  ", 3.910909758002272, "   Xstar:  ", 
   0.07961786378157311, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.910909758002272^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073567739773`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3005", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2227546341906597`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.915134314765375`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07932614694204786`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.915134314765375`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3005, "   tar:  ", 1.29, "   tarstar:  ", 1.28, "   R:  ", 
   3.2227546341906597`, "   Bstar:  ", 3.915134314765375, "   Xstar:  ", 
   0.07932614694204786, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.915134314765375^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607356787979*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3006", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2227759724263683`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.919356522921825`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07903597284420852`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.919356522921825`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3006, "   tar:  ", 1.2925, "   tarstar:  ", 1.28, "   R:  ", 
   3.2227759724263683`, "   Bstar:  ", 3.919356522921825, "   Xstar:  ", 
   0.07903597284420852, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.919356522921825^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073568019805`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3007", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222795383599057`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9235763841666027`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07874733106601209`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9235763841666027`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3007, "   tar:  ", 1.295, "   tarstar:  ", 1.28, "   R:  ", 
   3.222795383599057, "   Bstar:  ", 3.9235763841666027`, "   Xstar:  ", 
   0.07874733106601209, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9235763841666027`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073568149815`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3008", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2228128917144816`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9277939002168956`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07846021126896294`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9277939002168956`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3008, "   tar:  ", 1.2975, "   tarstar:  ", 1.28, "   R:  ", 
   3.2228128917144816`, "   Bstar:  ", 3.9277939002168956`, "   Xstar:  ", 
   0.07846021126896294, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9277939002168956`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607356834984*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3009", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.28`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222828520494961`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.932009072811765`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07817460319735929`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.932009072811765`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3009, "   tar:  ", 1.3, "   tarstar:  ", 1.28, "   R:  ", 
   3.222828520494961, "   Bstar:  ", 3.932009072811765, "   Xstar:  ", 
   0.07817460319735929, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.932009072811765^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073568529854`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3010", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.217504595695414`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6887356205076256`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09713403353209747`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6887356205076256`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3010, "   tar:  ", 1.155, "   tarstar:  ", 1.2825, "   R:  ", 
   3.217504595695414, "   Bstar:  ", 3.6887356205076256`, "   Xstar:  ", 
   0.09713403353209747, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6887356205076256`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073568739877`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3011", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.217674451808291`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.693093977547805`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0967448381692129`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.693093977547805`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3011, "   tar:  ", 1.1575, "   tarstar:  ", 1.2825, "   R:  ", 
   3.217674451808291, "   Bstar:  ", 3.693093977547805, "   Xstar:  ", 
   0.0967448381692129, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.693093977547805^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073568939896`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3012", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2178405574729356`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.697449930547404`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09635787151939994`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.697449930547404`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3012, "   tar:  ", 1.16, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2178405574729356`, "   Bstar:  ", 3.697449930547404, "   Xstar:  ", 
   0.09635787151939994, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.697449930547404^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073569239926`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3013", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.21800295867163`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7018034793494934`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09597311749728749`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7018034793494934`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3013, "   tar:  ", 1.1625, "   tarstar:  ", 1.2825, "   R:  ", 
   3.21800295867163, "   Bstar:  ", 3.7018034793494934`, "   Xstar:  ", 
   0.09597311749728749, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7018034793494934`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607356946995*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3014", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2181617008237677`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7061546238492658`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09559056015246281`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7061546238492658`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3014, "   tar:  ", 1.165, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2181617008237677`, "   Bstar:  ", 3.7061546238492658`, "   Xstar:  ", 
   0.09559056015246281, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7061546238492658`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607356968997*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3015", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218316828793117`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.710503363993258`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09521018366824749`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.710503363993258`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3015, "   tar:  ", 1.1675, "   tarstar:  ", 1.2825, "   R:  ", 
   3.218316828793117, "   Bstar:  ", 3.710503363993258, "   Xstar:  ", 
   0.09521018366824749, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.710503363993258^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607356990999*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3016", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2184683868950126`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.714849699778559`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09483197236048557`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.714849699778559`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3016, "   tar:  ", 1.17, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2184683868950126`, "   Bstar:  ", 3.714849699778559, "   Xstar:  ", 
   0.09483197236048557, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.714849699778559^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073570090013`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3017", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2186164189034114`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.719193631252008`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09445591067634512`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.719193631252008`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3017, "   tar:  ", 1.1725, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2186164189034114`, "   Bstar:  ", 3.719193631252008, "   Xstar:  ", 
   0.09445591067634512, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.719193631252008^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073570340033`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3018", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218760968057881`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7235351585094505`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09408198319312598`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7235351585094505`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3018, "   tar:  ", 1.175, "   tarstar:  ", 1.2825, "   R:  ", 
   3.218760968057881, "   Bstar:  ", 3.7235351585094505`, "   Xstar:  ", 
   0.09408198319312598, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7235351585094505`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073570510054`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3019", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218902077070495`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.727874281694941`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09371017461708285`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.727874281694941`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3019, "   tar:  ", 1.1775, "   tarstar:  ", 1.2825, "   R:  ", 
   3.218902077070495, "   Bstar:  ", 3.727874281694941, "   Xstar:  ", 
   0.09371017461708285, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.727874281694941^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607357068007*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3020", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219039788132603`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.732211001000051`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09334046978225187`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.732211001000051`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3020, "   tar:  ", 1.18, "   tarstar:  ", 1.2825, "   R:  ", 
   3.219039788132603, "   Bstar:  ", 3.732211001000051, "   Xstar:  ", 
   0.09334046978225187, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.732211001000051^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073570840087`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3021", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2191741429215486`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7365453166630913`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09297285364929482`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7365453166630913`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3021, "   tar:  ", 1.1825, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2191741429215486`, "   Bstar:  ", 3.7365453166630913`, "   Xstar:  ", 
   0.09297285364929482, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7365453166630913`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735709901*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3022", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2193051826072727`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.74087722896837`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0926073113043517`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.74087722896837`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3022, "   tar:  ", 1.185, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2193051826072727`, "   Bstar:  ", 3.74087722896837, "   Xstar:  ", 
   0.0926073113043517, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.74087722896837^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073571150117`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3023", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2194329478588335`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.745206738245517`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09224382795789918`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.745206738245517`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3023, "   tar:  ", 1.1875, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2194329478588335`, "   Bstar:  ", 3.745206738245517, "   Xstar:  ", 
   0.09224382795789918, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.745206738245517^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073571300135`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3024", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219557478850833`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.749533844868771`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09188238894362258`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.749533844868771`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3024, "   tar:  ", 1.19, "   tarstar:  ", 1.2825, "   R:  ", 
   3.219557478850833, "   Bstar:  ", 3.749533844868771, "   Xstar:  ", 
   0.09188238894362258, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.749533844868771^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607357145015*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3025", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2196788152697797`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7538585492562477`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09152297971730095`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7538585492562477`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3025, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.2825, 
   "   R:  ", 3.2196788152697797`, "   Bstar:  ", 3.7538585492562477`, 
   "   Xstar:  ", 0.09152297971730095, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7538585492562477`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607357160016*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3026", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2197969963203175`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7581808518692803`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09116558585569642`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7581808518692803`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3026, "   tar:  ", 1.195, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2197969963203175`, "   Bstar:  ", 3.7581808518692803`, "   Xstar:  ", 
   0.09116558585569642, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7581808518692803`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607357174018*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3027", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219912060731434`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.762500753211755`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0908101930554552`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.762500753211755`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3027, "   tar:  ", 1.1975, "   tarstar:  ", 1.2825, "   R:  ", 
   3.219912060731434, "   Bstar:  ", 3.762500753211755, "   Xstar:  ", 
   0.0908101930554552, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.762500753211755^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607357190019*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3028", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220024046762527`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.766818253829412`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0904567871320219`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.766818253829412`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3028, "   tar:  ", 1.2, "   tarstar:  ", 1.2825, "   R:  ", 
   3.220024046762527, "   Bstar:  ", 3.766818253829412, "   Xstar:  ", 
   0.0904567871320219, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.766818253829412^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607357206021*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3029", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.220132992209428`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7711333543092085`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09010535401855918`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7711333543092085`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3029, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.2825, 
   "   R:  ", 3.220132992209428, "   Bstar:  ", 3.7711333543092085`, 
   "   Xstar:  ", 0.09010535401855918, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7711333543092085`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073572210226`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3030", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220238934410315`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.77544605527866`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08975587976488017`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.77544605527866`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3030, "   tar:  ", 1.205, "   tarstar:  ", 1.2825, "   R:  ", 
   3.220238934410315, "   Bstar:  ", 3.77544605527866, "   Xstar:  ", 
   0.08975587976488017, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.77544605527866^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073572380238`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3031", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220341910251577`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7797563574052186`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08940835053638767`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7797563574052186`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3031, "   tar:  ", 1.2075, "   tarstar:  ", 1.2825, "   R:  ", 
   3.220341910251577, "   Bstar:  ", 3.7797563574052186`, "   Xstar:  ", 
   0.08940835053638767, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7797563574052186`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607357256026*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3032", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2204419561735778`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7840642613956095`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08906275261302768`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7840642613956095`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3032, "   tar:  ", 1.21, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2204419561735778`, "   Bstar:  ", 3.7840642613956095`, "   Xstar:  ", 
   0.08906275261302768, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7840642613956095`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607357270027*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3033", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.220539108176334`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7883697679952517`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08871907238824615`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7883697679952517`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3033, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.2825, 
   "   R:  ", 3.220539108176334, "   Bstar:  ", 3.7883697679952517`, 
   "   Xstar:  ", 0.08871907238824615, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7883697679952517`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073572830286`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3034", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2206334018251583`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7926728779876067`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0883772963679613`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7926728779876067`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3034, "   tar:  ", 1.215, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2206334018251583`, "   Bstar:  ", 3.7926728779876067`, "   Xstar:  ", 
   0.0883772963679613, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7926728779876067`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073572990303`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3035", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2207248722561648`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7969735921936127`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08803741116954031`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7969735921936127`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3035, "   tar:  ", 1.2175, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2207248722561648`, "   Bstar:  ", 3.7969735921936127`, "   Xstar:  ", 
   0.08803741116954031, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7969735921936127`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607357320032*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3036", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2208135541817584`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.801271911471039`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08769940352079093`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.801271911471039`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3036, "   tar:  ", 1.22, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2208135541817584`, "   Bstar:  ", 3.801271911471039, "   Xstar:  ", 
   0.08769940352079093, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.801271911471039^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073573420343`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3037", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.22089948189602`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.805567836713955`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08736326025895516`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.805567836713955`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3037, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.2825, 
   "   R:  ", 3.22089948189602, "   Bstar:  ", 3.805567836713955, 
   "   Xstar:  ", 0.08736326025895516, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.805567836713955^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073573610363`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3038", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2209826892800173`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.809861368852114`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08702896832971882`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.809861368852114`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3038, "   tar:  ", 1.225, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2209826892800173`, "   Bstar:  ", 3.809861368852114, "   Xstar:  ", 
   0.08702896832971882, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.809861368852114^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607357379038*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3039", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2210632098070575`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8141525088503916`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0866965147862269`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8141525088503916`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3039, "   tar:  ", 1.2275, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2210632098070575`, "   Bstar:  ", 3.8141525088503916`, "   Xstar:  ", 
   0.0866965147862269, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8141525088503916`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735740104*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3040", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2211410765478723`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.818441257708238`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08636588678810733`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.818441257708238`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3040, "   tar:  ", 1.23, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2211410765478723`, "   Bstar:  ", 3.818441257708238, "   Xstar:  ", 
   0.08636588678810733, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.818441257708238^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073574210424`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3041", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221216322175703`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.822727616459095`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08603707160050732`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.822727616459095`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3041, "   tar:  ", 1.2325, "   tarstar:  ", 1.2825, "   R:  ", 
   3.221216322175703, "   Bstar:  ", 3.822727616459095, "   Xstar:  ", 
   0.08603707160050732, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.822727616459095^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073574420443`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3042", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2212889789713657`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8270115861698906`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08571005659313297`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8270115861698906`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3042, "   tar:  ", 1.235, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2212889789713657`, "   Bstar:  ", 3.8270115861698906`, "   Xstar:  ", 
   0.08571005659313297, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8270115861698906`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607357463046*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3043", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2213590788282036`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8312931679404465`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08538482923930511`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8312931679404465`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3043, "   tar:  ", 1.2375, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2213590788282036`, "   Bstar:  ", 3.8312931679404465`, "   Xstar:  ", 
   0.08538482923930511, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8312931679404465`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073574820485`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3044", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221426653256998`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8355723629029996`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08506137711501624`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8355723629029996`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3044, "   tar:  ", 1.24, "   tarstar:  ", 1.2825, "   R:  ", 
   3.221426653256998, "   Bstar:  ", 3.8355723629029996`, "   Xstar:  ", 
   0.08506137711501624, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8355723629029996`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073574970503`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3045", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2214917333908044`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8398491722216432`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08473968789800165`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8398491722216432`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3045, "   tar:  ", 1.2425, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2214917333908044`, "   Bstar:  ", 3.8398491722216432`, "   Xstar:  ", 
   0.08473968789800165, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8398491722216432`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073575100513`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3046", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221554349989733`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.844123597091831`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08441974936681658`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.844123597091831`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3046, "   tar:  ", 1.245, "   tarstar:  ", 1.2825, "   R:  ", 
   3.221554349989733, "   Bstar:  ", 3.844123597091831, "   Xstar:  ", 
   0.08441974936681658, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.844123597091831^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073575240526`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3047", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2216145334456527`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8483956387398446`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08410154939992394`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8483956387398446`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3047, "   tar:  ", 1.2475, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2216145334456527`, "   Bstar:  ", 3.8483956387398446`, "   Xstar:  ", 
   0.08410154939992394, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8483956387398446`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607357539054*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3048", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2216723137868346`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8526652984223166`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08378507597478764`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8526652984223166`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3048, "   tar:  ", 1.25, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2216723137868346`, "   Bstar:  ", 3.8526652984223166`, "   Xstar:  ", 
   0.08378507597478764, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8526652984223166`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607357557056*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3049", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2217277206825514`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.856932577425728`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08347031716697645`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.856932577425728`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3049, "   tar:  ", 1.2525, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2217277206825514`, "   Bstar:  ", 3.856932577425728, "   Xstar:  ", 
   0.08347031716697645, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.856932577425728^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607357576058*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3050", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.221780783447583`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8611974770659074`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08315726114927675`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8611974770659074`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3050, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.2825, 
   "   R:  ", 3.221780783447583, "   Bstar:  ", 3.8611974770659074`, 
   "   Xstar:  ", 0.08315726114927675, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8611974770659074`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607357591059*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3051", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2218315310466936`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.865459998687573`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08284589619081086`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.865459998687573`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3051, "   tar:  ", 1.2575, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2218315310466936`, "   Bstar:  ", 3.865459998687573, "   Xstar:  ", 
   0.08284589619081086, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.865459998687573^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073576040606`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3052", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22187999209903`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8697201436638333`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0825362106561675`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8697201436638333`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3052, "   tar:  ", 1.26, "   tarstar:  ", 1.2825, "   R:  ", 
   3.22187999209903, "   Bstar:  ", 3.8697201436638333`, "   Xstar:  ", 
   0.0825362106561675, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8697201436638333`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607357626063*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3053", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221926194882463`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8739779133957466`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08222819300453553`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8739779133957466`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3053, "   tar:  ", 1.2625, "   tarstar:  ", 1.2825, "   R:  ", 
   3.221926194882463, "   Bstar:  ", 3.8739779133957466`, "   Xstar:  ", 
   0.08222819300453553, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8739779133957466`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607357645065*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3054", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2219701673378855`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8782333093118266`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08192183178885155`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8782333093118266`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3054, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.2825, 
   "   R:  ", 3.2219701673378855`, "   Bstar:  ", 3.8782333093118266`, 
   "   Xstar:  ", 0.08192183178885155, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8782333093118266`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073576650667`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3055", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2220119370734293`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.882486332867624`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08161711565494958`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.882486332867624`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3055, "   tar:  ", 1.2675, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2220119370734293`, "   Bstar:  ", 3.882486332867624, "   Xstar:  ", 
   0.08161711565494958, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.882486332867624^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073576820683`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3056", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2220515313686446`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8867369855452507`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08131403334072357`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8867369855452507`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3056, "   tar:  ", 1.27, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2220515313686446`, "   Bstar:  ", 3.8867369855452507`, "   Xstar:  ", 
   0.08131403334072357, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8867369855452507`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735769907*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3057", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2220889771786254`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.890985268852943`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08101257367529549`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.890985268852943`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3057, "   tar:  ", 1.2725, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2220889771786254`, "   Bstar:  ", 3.890985268852943, "   Xstar:  ", 
   0.08101257367529549, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.890985268852943^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607357718072*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3058", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222124301138059`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.895231184324655`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08071272557818944`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.895231184324655`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3058, "   tar:  ", 1.275, "   tarstar:  ", 1.2825, "   R:  ", 
   3.222124301138059, "   Bstar:  ", 3.895231184324655, "   Xstar:  ", 
   0.08071272557818944, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.895231184324655^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073577380743`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3059", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2221575295652447`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.899474733519571`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08041447805851967`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.899474733519571`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3059, "   tar:  ", 1.2775, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2221575295652447`, "   Bstar:  ", 3.899474733519571, "   Xstar:  ", 
   0.08041447805851967, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.899474733519571^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073577630763`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3060", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222188688466044`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9037159180217373`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08011782021417832`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9037159180217373`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3060, "   tar:  ", 1.28, "   tarstar:  ", 1.2825, "   R:  ", 
   3.222188688466044, "   Bstar:  ", 3.9037159180217373`, "   Xstar:  ", 
   0.08011782021417832, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9037159180217373`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073577880793`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3061", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222217803537793`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.907954739439623`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07982274123103626`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.907954739439623`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3061, "   tar:  ", 1.2825, "   tarstar:  ", 1.2825, "   R:  ", 
   3.222217803537793, "   Bstar:  ", 3.907954739439623, "   Xstar:  ", 
   0.07982274123103626, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.907954739439623^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607357809081*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3062", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.222244900173149`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.9121911994056995`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.07952923038215053`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9121911994056995`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3062, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.2825, 
   "   R:  ", 3.222244900173149, "   Bstar:  ", 3.9121911994056995`, 
   "   Xstar:  ", 0.07952923038215053, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9121911994056995`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073578330836`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3063", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2222700034638834`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9164252995760624`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07923727702697661`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9164252995760624`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3063, "   tar:  ", 1.2875, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2222700034638834`, "   Bstar:  ", 3.9164252995760624`, "   Xstar:  ", 
   0.07923727702697661, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9164252995760624`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073578550854`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3064", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222293138204652`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.920657041629978`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07894687061059395`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.920657041629978`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3064, "   tar:  ", 1.29, "   tarstar:  ", 1.2825, "   R:  ", 
   3.222293138204652, "   Bstar:  ", 3.920657041629978, "   Xstar:  ", 
   0.07894687061059395, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.920657041629978^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607357876088*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3065", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2223143288966725`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9248864272695507`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07865800066293045`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9248864272695507`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3065, "   tar:  ", 1.2925, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2223143288966725`, "   Bstar:  ", 3.9248864272695507`, "   Xstar:  ", 
   0.07865800066293045, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9248864272695507`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735789709*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3066", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2223335997513916`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9291134582192973`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0783706567980018`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9291134582192973`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3066, "   tar:  ", 1.295, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2223335997513916`, "   Bstar:  ", 3.9291134582192973`, "   Xstar:  ", 
   0.0783706567980018, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9291134582192973`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607357918092*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3067", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.222350974694086`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.933338136225774`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07808482871315389`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.933338136225774`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3067, "   tar:  ", 1.2975, "   tarstar:  ", 1.2825, "   R:  ", 
   3.222350974694086, "   Bstar:  ", 3.933338136225774, "   Xstar:  ", 
   0.07808482871315389, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.933338136225774^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607357938094*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3068", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2825`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2223664773674154`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.93756046305719`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07780050618831454`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.93756046305719`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3068, "   tar:  ", 1.3, "   tarstar:  ", 1.2825, "   R:  ", 
   3.2223664773674154`, "   Bstar:  ", 3.93756046305719, "   Xstar:  ", 
   0.07780050618831454, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.93756046305719^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607357957096*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3069", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2170667748405397`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.693856903035459`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09667691762847654`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.693856903035459`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3069, "   tar:  ", 1.155, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.2170667748405397`, "   Bstar:  ", 3.693856903035459, 
   "   Xstar:  ", 0.09667691762847654, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.693856903035459^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607357971097*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3070", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.217235951599244`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.6982229001259976`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09628941315737292`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6982229001259976`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3070, "   tar:  ", 1.1575, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.217235951599244, "   Bstar:  ", 3.6982229001259976`, 
   "   Xstar:  ", 0.09628941315737292, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6982229001259976`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073579870987`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3071", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.217401390886504`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7025864835404665`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09590412892132288`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7025864835404665`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3071, "   tar:  ", 1.16, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.217401390886504, "   Bstar:  ", 3.7025864835404665`, 
   "   Xstar:  ", 0.09590412892132288, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7025864835404665`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073580011005`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3072", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.217563138546441`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7069476531622962`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.095521048883459`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7069476531622962`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3072, "   tar:  ", 1.1625, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.217563138546441, "   Bstar:  ", 3.7069476531622962`, 
   "   Xstar:  ", 0.095521048883459, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7069476531622962`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607358016102*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3073", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.217721239861652`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.711306408926839`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0951401571416213`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.711306408926839`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3073, "   tar:  ", 1.165, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.217721239861652, "   Bstar:  ", 3.711306408926839, 
   "   Xstar:  ", 0.0951401571416213, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.711306408926839^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607358033104*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3074", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2178757395604514`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.715662750820514`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0947614379271399`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.715662750820514`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3074, "   tar:  ", 1.1675, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.2178757395604514`, "   Bstar:  ", 3.715662750820514, 
   "   Xstar:  ", 0.0947614379271399, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.715662750820514^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073580481052`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3075", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2180266818240484`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7200166788800764`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09438487560361783`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7200166788800764`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3075, "   tar:  ", 1.17, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.2180266818240484`, "   Bstar:  ", 3.7200166788800764`, 
   "   Xstar:  ", 0.09438487560361783, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7200166788800764`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607358065107*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3076", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2181741102936012`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.724368193191766`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09401045466573721`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.724368193191766`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3076, "   tar:  ", 1.1725, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.2181741102936012`, "   Bstar:  ", 3.724368193191766, 
   "   Xstar:  ", 0.09401045466573721, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.724368193191766^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073580841084`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3077", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.218318068077189`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7287172938906155`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09363815973806218`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7287172938906155`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3077, "   tar:  ", 1.175, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.218318068077189, "   Bstar:  ", 3.7287172938906155`, 
   "   Xstar:  ", 0.09363815973806218, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7287172938906155`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073581041107`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3078", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.218458597756687`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7330639811596384`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09326797557386385`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7330639811596384`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3078, "   tar:  ", 1.1775, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.218458597756687, "   Bstar:  ", 3.7330639811596384`, 
   "   Xstar:  ", 0.09326797557386385, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7330639811596384`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073581231127`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3079", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.218595741394542`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.737408255229102`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09289988705394976`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.737408255229102`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3079, "   tar:  ", 1.18, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.218595741394542, "   Bstar:  ", 3.737408255229102, 
   "   Xstar:  ", 0.09289988705394976, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.737408255229102^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073581441145`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3080", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.21872954054047`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.741750116375785`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09253387918550537`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.741750116375785`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3080, "   tar:  ", 1.1825, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.21872954054047, "   Bstar:  ", 3.741750116375785, 
   "   Xstar:  ", 0.09253387918550537, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.741750116375785^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073581631165`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3081", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2188600362380466`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7460895649222667`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09216993710094444`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7460895649222667`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3081, "   tar:  ", 1.185, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.2188600362380466`, "   Bstar:  ", 3.7460895649222667`, 
   "   Xstar:  ", 0.09216993710094444, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7460895649222667`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607358179118*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3082", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2189872690312096`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7504266012361778`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09180804605677356`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7504266012361778`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3082, "   tar:  ", 1.1875, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.2189872690312096`, "   Bstar:  ", 3.7504266012361778`, 
   "   Xstar:  ", 0.09180804605677356, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7504266012361778`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073581931195`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3083", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2191112789707015`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.754761225729553`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09144819143245946`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.754761225729553`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3083, "   tar:  ", 1.19, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.2191112789707015`, "   Bstar:  ", 3.754761225729553, 
   "   Xstar:  ", 0.09144819143245946, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.754761225729553^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607358210121*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3084", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2850000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219232105620381`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7590934388580597`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09109035872931744`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7590934388580597`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3084, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 
   1.2850000000000001`, "   R:  ", 3.219232105620381, "   Bstar:  ", 
   3.7590934388580597`, "   Xstar:  ", 0.09109035872931744, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7590934388580597`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073582321234`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3085", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.219349788063484`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.763423241120383`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0907345335693975`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.763423241120383`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3085, "   tar:  ", 1.195, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.219349788063484, "   Bstar:  ", 3.763423241120383, 
   "   Xstar:  ", 0.0907345335693975, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.763423241120383^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073582531257`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3086", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2194643649087746`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7677506330575183`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09038070169438941`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7677506330575183`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3086, "   tar:  ", 1.1975, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.2194643649087746`, "   Bstar:  ", 3.7677506330575183`, 
   "   Xstar:  ", 0.09038070169438941, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7677506330575183`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073582731276`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3087", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.219575874296642`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7720756152520956`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09002884896453532`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7720756152520956`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3087, "   tar:  ", 1.2, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.219575874296642, "   Bstar:  ", 3.7720756152520956`, 
   "   Xstar:  ", 0.09002884896453532, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7720756152520956`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607358290129*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3088", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2850000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.21968435390509`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.776398188327746`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08967896135754991`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.776398188327746`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3088, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 
   1.2850000000000001`, "   R:  ", 3.21968435390509, "   Bstar:  ", 
   3.776398188327746, "   Xstar:  ", 0.08967896135754991, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.776398188327746^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073583111315`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3089", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2197898409556496`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7807183529484383`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08933102496755356`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7807183529484383`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3089, "   tar:  ", 1.205, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.2197898409556496`, "   Bstar:  ", 3.7807183529484383`, 
   "   Xstar:  ", 0.08933102496755356, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7807183529484383`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607358328133*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3090", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.219892372219221`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.785036109817861`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08898502600401166`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.785036109817861`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3090, "   tar:  ", 1.2075, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.219892372219221, "   Bstar:  ", 3.785036109817861, 
   "   Xstar:  ", 0.08898502600401166, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.785036109817861^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073583471346`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3091", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.219991984021833`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7893514596787576`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08864095079068912`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7893514596787576`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3091, "   tar:  ", 1.21, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.219991984021833, "   Bstar:  ", 3.7893514596787576`, 
   "   Xstar:  ", 0.08864095079068912, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7893514596787576`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073583631363`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3092", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2850000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2200887122503246`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7936644033123508`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08829878576460706`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7936644033123508`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3092, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 
   1.2850000000000001`, "   R:  ", 3.2200887122503246`, "   Bstar:  ", 
   3.7936644033123508`, "   Xstar:  ", 0.08829878576460706, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7936644033123508`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073583821383`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3093", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.220182592357946`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7979749415376958`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08795851747501589`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7979749415376958`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3093, "   tar:  ", 1.215, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.220182592357946, "   Bstar:  ", 3.7979749415376958`, 
   "   Xstar:  ", 0.08795851747501589, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7979749415376958`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735839914*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3094", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2202736593698864`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.802283075211102`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08762013258237285`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.802283075211102`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3094, "   tar:  ", 1.2175, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.2202736593698864`, "   Bstar:  ", 3.802283075211102, 
   "   Xstar:  ", 0.08762013258237285, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.802283075211102^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073584131413`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3095", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2203619478887346`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8065888052255232`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08728361785733238`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8065888052255232`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3095, "   tar:  ", 1.22, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.2203619478887346`, "   Bstar:  ", 3.8065888052255232`, 
   "   Xstar:  ", 0.08728361785733238, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8065888052255232`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607358427143*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3096", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2850000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2204474920998485`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8108921325099785`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08694896017974357`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8108921325099785`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3096, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 
   1.2850000000000001`, "   R:  ", 3.2204474920998485`, "   Bstar:  ", 
   3.8108921325099785`, "   Xstar:  ", 0.08694896017974357, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8108921325099785`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073584411445`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3097", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.220530325776676`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.815193058028972`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08661614653765792`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.815193058028972`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3097, "   tar:  ", 1.225, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.220530325776676, "   Bstar:  ", 3.815193058028972, 
   "   Xstar:  ", 0.08661614653765792, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.815193058028972^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607358455146*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3098", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.220610482285984`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8194915827819402`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0862851640263446`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8194915827819402`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3098, "   tar:  ", 1.2275, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.220610482285984, "   Bstar:  ", 3.8194915827819402`, 
   "   Xstar:  ", 0.0862851640263446, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8194915827819402`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607358470147*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3099", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2206879945930296`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8237877078026523`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0859559998473192`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8237877078026523`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3099, "   tar:  ", 1.23, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.2206879945930296`, "   Bstar:  ", 3.8237877078026523`, 
   "   Xstar:  ", 0.0859559998473192, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8237877078026523`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073584921494`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3100", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2207628952666467`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.82808143415872`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08562864130737331`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.82808143415872`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3100, "   tar:  ", 1.2325, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.2207628952666467`, "   Bstar:  ", 3.82808143415872, 
   "   Xstar:  ", 0.08562864130737331, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.82808143415872^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073585071507`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3101", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2208352164842933`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8323727629509774`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08530307581762428`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8323727629509774`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3101, "   tar:  ", 1.235, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.2208352164842933`, "   Bstar:  ", 3.8323727629509774`, 
   "   Xstar:  ", 0.08530307581762428, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8323727629509774`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073585221524`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3102", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2209049900369964`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.836661695312989`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08497929089256359`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.836661695312989`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3102, "   tar:  ", 1.2375, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.2209049900369964`, "   Bstar:  ", 3.836661695312989, 
   "   Xstar:  ", 0.08497929089256359, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.836661695312989^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607358539154*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3103", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.220972247334251`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8409482324105455`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08465727414911674`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8409482324105455`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3103, "   tar:  ", 1.24, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.220972247334251, "   Bstar:  ", 3.8409482324105455`, 
   "   Xstar:  ", 0.08465727414911674, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8409482324105455`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607358558156*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3104", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2210370194088527`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8452323754410584`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0843370133057191`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8452323754410584`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3104, "   tar:  ", 1.2425, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.2210370194088527`, "   Bstar:  ", 3.8452323754410584`, 
   "   Xstar:  ", 0.0843370133057191, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8452323754410584`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073585741577`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3105", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.221099336921659`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.849514125633132`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0840184961813884`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.849514125633132`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3105, "   tar:  ", 1.245, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.221099336921659, "   Bstar:  ", 3.849514125633132, 
   "   Xstar:  ", 0.0840184961813884, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.849514125633132^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073585901594`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3106", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.221159230166289`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.853793484245991`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0837017106948164`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.853793484245991`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3106, "   tar:  ", 1.2475, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.221159230166289, "   Bstar:  ", 3.853793484245991, 
   "   Xstar:  ", 0.0837017106948164, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.853793484245991^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607358606161*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3107", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.221216729073764`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8580704525690317`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08338664486346092`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8580704525690317`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3107, "   tar:  ", 1.25, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.221216729073764, "   Bstar:  ", 3.8580704525690317`, 
   "   Xstar:  ", 0.08338664486346092, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8580704525690317`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073586241627`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3108", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2212718632170807`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8623450319212753`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08307328680265409`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8623450319212753`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3108, "   tar:  ", 1.2525, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.2212718632170807`, "   Bstar:  ", 3.8623450319212753`, 
   "   Xstar:  ", 0.08307328680265409, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8623450319212753`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607358646165*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3109", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2850000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2213246618157214`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.866617223650945`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0827616247247102`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.866617223650945`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3109, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 
   1.2850000000000001`, "   R:  ", 3.2213246618157214`, "   Bstar:  ", 
   3.866617223650945, "   Xstar:  ", 0.0827616247247102, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.866617223650945^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073586671667`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3110", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2213751537401194`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8708870291349156`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0824516469380514`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8708870291349156`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3110, "   tar:  ", 1.2575, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.2213751537401194`, "   Bstar:  ", 3.8708870291349156`, 
   "   Xstar:  ", 0.0824516469380514, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8708870291349156`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073586851687`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3111", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.221423367516042`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8751544497783033`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08214334184633332`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8751544497783033`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3111, "   tar:  ", 1.26, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.221423367516042, "   Bstar:  ", 3.8751544497783033`, 
   "   Xstar:  ", 0.08214334184633332, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8751544497783033`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607358708171*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3112", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.22146933132893`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8794194870139527`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08183669794758414`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8794194870139527`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3112, "   tar:  ", 1.2625, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.22146933132893, "   Bstar:  ", 3.8794194870139527`, 
   "   Xstar:  ", 0.08183669794758414, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8794194870139527`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607358730173*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3113", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2850000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221513073028178`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8836821423020056`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0815317038333491`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8836821423020056`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3113, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 
   1.2850000000000001`, "   R:  ", 3.221513073028178, "   Bstar:  ", 
   3.8836821423020056`, "   Xstar:  ", 0.0815317038333491, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8836821423020056`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073587501755`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3114", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.221554620131353`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.88794241712945`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08122834818784343`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.88794241712945`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3114, "   tar:  ", 1.2675, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.221554620131353, "   Bstar:  ", 3.88794241712945, 
   "   Xstar:  ", 0.08122834818784343, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.88794241712945^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073587711773`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3115", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.221593999828363`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.892200313009622`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08092661978711738`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.892200313009622`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3115, "   tar:  ", 1.27, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.221593999828363, "   Bstar:  ", 3.892200313009622, 
   "   Xstar:  ", 0.08092661978711738, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.892200313009622^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607358791179*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3116", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.221631238985556`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8964558314818456`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08062650749821983`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8964558314818456`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3116, "   tar:  ", 1.2725, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.221631238985556, "   Bstar:  ", 3.8964558314818456`, 
   "   Xstar:  ", 0.08062650749821983, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8964558314818456`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073588041806`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3117", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2216663641497854`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.9007089741109473`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.080328000278379`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9007089741109473`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3117, "   tar:  ", 1.275, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.2216663641497854`, "   Bstar:  ", 3.9007089741109473`, 
   "   Xstar:  ", 0.080328000278379, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9007089741109473`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607358818182*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3118", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2216994015524083`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.904959742486832`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08003108717418692`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.904959742486832`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3118, "   tar:  ", 1.2775, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.2216994015524083`, "   Bstar:  ", 3.904959742486832, 
   "   Xstar:  ", 0.08003108717418692, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.904959742486832^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073588311834`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3119", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2217303771132273`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.9092081382240567`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.07973575732079248`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9092081382240567`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3119, "   tar:  ", 1.28, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.2217303771132273`, "   Bstar:  ", 3.9092081382240567`, 
   "   Xstar:  ", 0.07973575732079248, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9092081382240567`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073588431845`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3120", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2217593164443907`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.913454162961443`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.07944199994109945`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.913454162961443`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3120, "   tar:  ", 1.2825, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.2217593164443907`, "   Bstar:  ", 3.913454162961443, 
   "   Xstar:  ", 0.07944199994109945, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.913454162961443^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073588551855`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3121", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2850000000000001`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221786244854237`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.917697818361644`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07914980434497589`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.917697818361644`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3121, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 
   1.2850000000000001`, "   R:  ", 3.221786244854237, "   Bstar:  ", 
   3.917697818361644, "   Xstar:  ", 0.07914980434497589, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.917697818361644^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073588671865`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3122", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2218111873510815`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.9219391061107247`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0788591599284703`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9219391061107247`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3122, "   tar:  ", 1.2875, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.2218111873510815`, "   Bstar:  ", 3.9219391061107247`, 
   "   Xstar:  ", 0.0788591599284703, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9219391061107247`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607358887189*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3123", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.221834168646961`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.926178027917821`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.07857005617303045`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.926178027917821`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3123, "   tar:  ", 1.29, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.221834168646961, "   Bstar:  ", 3.926178027917821, 
   "   Xstar:  ", 0.07857005617303045, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.926178027917821^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073589041905`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3124", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2218552131613265`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.930414585514656`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.07828248264473957`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.930414585514656`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3124, "   tar:  ", 1.2925, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.2218552131613265`, "   Bstar:  ", 3.930414585514656, 
   "   Xstar:  ", 0.07828248264473957, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.930414585514656^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073589201922`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3125", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.221874345024691`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.9346487806552384`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.07799642899354764`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9346487806552384`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3125, "   tar:  ", 1.295, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.221874345024691, "   Bstar:  ", 3.9346487806552384`, 
   "   Xstar:  ", 0.07799642899354764, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9346487806552384`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073589351935`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3126", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.221891588082217`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.9388806151154236`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.07771188495251993`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9388806151154236`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3126, "   tar:  ", 1.2975, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.221891588082217, "   Bstar:  ", 3.9388806151154236`, 
   "   Xstar:  ", 0.07771188495251993, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9388806151154236`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607358948195*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3127", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.22190696589727`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.94311009069256`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.07742884033708715`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.94311009069256`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3127, "   tar:  ", 1.3, "   tarstar:  ", 1.2850000000000001`, 
   "   R:  ", 3.22190696589727, "   Bstar:  ", 3.94311009069256, 
   "   Xstar:  ", 0.07742884033708715, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.94311009069256^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073589611964`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3128", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2166313202840637`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.6989767612331987`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09622270775983437`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.6989767612331987`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3128, "   tar:  ", 1.155, "   tarstar:  ", 1.2875, "   R:  ", 
   3.2166313202840637`, "   Bstar:  ", 3.6989767612331987`, "   Xstar:  ", 
   0.09622270775983437, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.6989767612331987`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073589771976`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3129", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2167998217719713`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.703350392170386`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09583688464411497`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.703350392170386`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3129, "   tar:  ", 1.1575, "   tarstar:  ", 1.2875, "   R:  ", 
   3.2167998217719713`, "   Bstar:  ", 3.703350392170386, "   Xstar:  ", 
   0.09583688464411497, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.703350392170386^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073590012007`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3130", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2169645987022424`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.707721599810179`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.095453273322919`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.707721599810179`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3130, "   tar:  ", 1.16, "   tarstar:  ", 1.2875, "   R:  ", 
   3.2169645987022424`, "   Bstar:  ", 3.707721599810179, "   Xstar:  ", 
   0.095453273322919, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.707721599810179^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073590222025`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3131", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2171256967813546`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.712090384076352`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09507185780777812`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.712090384076352`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3131, "   tar:  ", 1.1625, "   tarstar:  ", 1.2875, "   R:  ", 
   3.2171256967813546`, "   Bstar:  ", 3.712090384076352, "   Xstar:  ", 
   0.09507185780777812, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.712090384076352^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607359040204*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3132", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.217283161155616`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7164567449443497`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09469262224468357`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7164567449443497`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3132, "   tar:  ", 1.165, "   tarstar:  ", 1.2875, "   R:  ", 
   3.217283161155616, "   Bstar:  ", 3.7164567449443497`, "   Xstar:  ", 
   0.09469262224468357, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7164567449443497`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607359071207*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3133", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2174370364183917`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.720820682440439`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0943155509128686`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.720820682440439`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3133, "   tar:  ", 1.1675, "   tarstar:  ", 1.2875, "   R:  ", 
   3.2174370364183917`, "   Bstar:  ", 3.720820682440439, "   Xstar:  ", 
   0.0943155509128686, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.720820682440439^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735910221*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3134", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2175873666172796`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7251821966409726`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09394062822359218`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7251821966409726`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3134, "   tar:  ", 1.17, "   tarstar:  ", 1.2875, "   R:  ", 
   3.2175873666172796`, "   Bstar:  ", 3.7251821966409726`, "   Xstar:  ", 
   0.09394062822359218, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7251821966409726`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607359140214*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3135", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2177341952611385`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7295412876715885`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09356783871894023`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7295412876715885`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3135, "   tar:  ", 1.1725, "   tarstar:  ", 1.2875, "   R:  ", 
   3.2177341952611385`, "   Bstar:  ", 3.7295412876715885`, "   Xstar:  ", 
   0.09356783871894023, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7295412876715885`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607359166217*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3136", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.217877565327058`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7338979557064285`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09319716707063684`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7338979557064285`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3136, "   tar:  ", 1.175, "   tarstar:  ", 1.2875, "   R:  ", 
   3.217877565327058, "   Bstar:  ", 3.7338979557064285`, "   Xstar:  ", 
   0.09319716707063684, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7338979557064285`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073591912193`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3137", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2180175192672196`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.738252200967416`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09282859807886147`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.738252200967416`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3137, "   tar:  ", 1.1775, "   tarstar:  ", 1.2875, "   R:  ", 
   3.2180175192672196`, "   Bstar:  ", 3.738252200967416, "   Xstar:  ", 
   0.09282859807886147, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.738252200967416^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073592222223`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3138", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218154099015661`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.742604023723473`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0924621166710836`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.742604023723473`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3138, "   tar:  ", 1.18, "   tarstar:  ", 1.2875, "   R:  ", 
   3.218154099015661, "   Bstar:  ", 3.742604023723473, "   Xstar:  ", 
   0.0924621166710836, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.742604023723473^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073592612267`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3139", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218287345994963`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7469534242898157`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09209770790090123`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7469534242898157`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3139, "   tar:  ", 1.1825, "   tarstar:  ", 1.2875, "   R:  ", 
   3.218287345994963, "   Bstar:  ", 3.7469534242898157`, "   Xstar:  ", 
   0.09209770790090123, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7469534242898157`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073593012304`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3140", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218417301122819`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.751300403027215`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09173535694689364`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.751300403027215`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3140, "   tar:  ", 1.185, "   tarstar:  ", 1.2875, "   R:  ", 
   3.218417301122819, "   Bstar:  ", 3.751300403027215, "   Xstar:  ", 
   0.09173535694689364, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.751300403027215^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607359337234*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3141", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218544004818553`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7556449603412925`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09137504911148317`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7556449603412925`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3141, "   tar:  ", 1.1875, "   tarstar:  ", 1.2875, "   R:  ", 
   3.218544004818553, "   Bstar:  ", 3.7556449603412925`, "   Xstar:  ", 
   0.09137504911148317, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7556449603412925`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607359367237*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3142", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218667497009512`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7599870966817948`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09101676981980865`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7599870966817948`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3142, "   tar:  ", 1.19, "   tarstar:  ", 1.2875, "   R:  ", 
   3.218667497009512, "   Bstar:  ", 3.7599870966817948`, "   Xstar:  ", 
   0.09101676981980865, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7599870966817948`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360735939924*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3143", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.218787817137404`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7643268125419396`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09066050461860485`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7643268125419396`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3143, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.2875, 
   "   R:  ", 3.218787817137404, "   Bstar:  ", 3.7643268125419396`, 
   "   Xstar:  ", 0.09066050461860485, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7643268125419396`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607359429243*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3144", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218905004164519`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7686641084576786`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09030623917509925`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7686641084576786`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3144, "   tar:  ", 1.195, "   tarstar:  ", 1.2875, "   R:  ", 
   3.218905004164519, "   Bstar:  ", 3.7686641084576786`, "   Xstar:  ", 
   0.09030623917509925, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7686641084576786`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607359456246*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3145", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2190190965798933`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7729989850070793`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08995395927590995`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7729989850070793`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3145, "   tar:  ", 1.1975, "   tarstar:  ", 1.2875, "   R:  ", 
   3.2190190965798933`, "   Bstar:  ", 3.7729989850070793`, "   Xstar:  ", 
   0.08995395927590995, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7729989850070793`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073594832487`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3146", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2191301324053736`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7773314428096234`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08960365082596099`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7773314428096234`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3146, "   tar:  ", 1.2, "   tarstar:  ", 1.2875, "   R:  ", 
   3.2191301324053736`, "   Bstar:  ", 3.7773314428096234`, "   Xstar:  ", 
   0.08960365082596099, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7773314428096234`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073595112514`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3147", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2192381492016047`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.781661482525567`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0892552998474036`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.781661482525567`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3147, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.2875, 
   "   R:  ", 3.2192381492016047`, "   Bstar:  ", 3.781661482525567, 
   "   Xstar:  ", 0.0892552998474036, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.781661482525567^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073595372543`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3148", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219343184073938`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.785989104855279`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0889088924785496`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.785989104855279`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3148, "   tar:  ", 1.205, "   tarstar:  ", 1.2875, "   R:  ", 
   3.219343184073938, "   Bstar:  ", 3.785989104855279, "   Xstar:  ", 
   0.0889088924785496, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.785989104855279^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073595692573`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3149", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2194452736782577`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.790314310538636`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08856441497281047`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.790314310538636`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3149, "   tar:  ", 1.2075, "   tarstar:  ", 1.2875, "   R:  ", 
   3.2194452736782577`, "   Bstar:  ", 3.790314310538636, "   Xstar:  ", 
   0.08856441497281047, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.790314310538636^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073595922594`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3150", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219544454226722`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7946371003543633`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08822185369765186`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7946371003543633`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3150, "   tar:  ", 1.21, "   tarstar:  ", 1.2875, "   R:  ", 
   3.219544454226722, "   Bstar:  ", 3.7946371003543633`, "   Xstar:  ", 
   0.08822185369765186, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7946371003543633`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073596182623`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3151", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2196407614934412`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.798957475119432`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08788119513355284`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.798957475119432`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3151, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.2875, 
   "   R:  ", 3.2196407614934412`, "   Bstar:  ", 3.798957475119432, 
   "   Xstar:  ", 0.08788119513355284, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.798957475119432^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073596542654`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3152", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2197342308200723`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.803275435688448`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08754242587297728`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.803275435688448`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3152, "   tar:  ", 1.215, "   tarstar:  ", 1.2875, "   R:  ", 
   3.2197342308200723`, "   Bstar:  ", 3.803275435688448, "   Xstar:  ", 
   0.08754242587297728, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.803275435688448^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073596832685`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3153", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2198248971213284`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8075909829530454`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0872055326193539`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8075909829530454`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3153, "   tar:  ", 1.2175, "   tarstar:  ", 1.2875, "   R:  ", 
   3.2198248971213284`, "   Bstar:  ", 3.8075909829530454`, "   Xstar:  ", 
   0.0872055326193539, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8075909829530454`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607359710271*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3154", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219912794890428`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8119041178413156`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0868705021860644`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8119041178413156`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3154, "   tar:  ", 1.22, "   tarstar:  ", 1.2875, "   R:  ", 
   3.219912794890428, "   Bstar:  ", 3.8119041178413156`, "   Xstar:  ", 
   0.0868705021860644, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8119041178413156`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073597402744`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3155", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2199979582044693`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8162148413171675`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08653732149544625`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8162148413171675`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3155, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.2875, 
   "   R:  ", 3.2199979582044693`, "   Bstar:  ", 3.8162148413171675`, 
   "   Xstar:  ", 0.08653732149544625, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8162148413171675`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073597732773`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3156", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2200804207297176`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8205231543798406`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08620597757779425`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8205231543798406`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3156, "   tar:  ", 1.225, "   tarstar:  ", 1.2875, "   R:  ", 
   3.2200804207297176`, "   Bstar:  ", 3.8205231543798406`, "   Xstar:  ", 
   0.08620597757779425, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8205231543798406`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607359815282*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3157", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2201602157268394`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8248290580632403`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0858764575703848`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8248290580632403`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3157, "   tar:  ", 1.2275, "   tarstar:  ", 1.2875, "   R:  ", 
   3.2201602157268394`, "   Bstar:  ", 3.8248290580632403`, "   Xstar:  ", 
   0.0858764575703848, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8248290580632403`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073599012904`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3158", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220237376056065`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.829132553435466`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08554874871649575`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.829132553435466`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3158, "   tar:  ", 1.23, "   tarstar:  ", 1.2875, "   R:  ", 
   3.220237376056065, "   Bstar:  ", 3.829132553435466, "   Xstar:  ", 
   0.08554874871649575, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.829132553435466^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073599722977`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3159", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220311934182256`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.833433641598184`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08522283836444745`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.833433641598184`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3159, "   tar:  ", 1.2325, "   tarstar:  ", 1.2875, "   R:  ", 
   3.220311934182256, "   Bstar:  ", 3.833433641598184, "   Xstar:  ", 
   0.08522283836444745, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.833433641598184^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607360007301*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3160", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2203839221799475`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8377323236861343`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08489871396664303`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8377323236861343`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3160, "   tar:  ", 1.235, "   tarstar:  ", 1.2875, "   R:  ", 
   3.2203839221799475`, "   Bstar:  ", 3.8377323236861343`, "   Xstar:  ", 
   0.08489871396664303, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8377323236861343`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607360039304*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3161", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2204533717382775`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.842028600866586`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08457636307862254`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.842028600866586`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3161, "   tar:  ", 1.2375, "   tarstar:  ", 1.2875, "   R:  ", 
   3.2204533717382775`, "   Bstar:  ", 3.842028600866586, "   Xstar:  ", 
   0.08457636307862254, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.842028600866586^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607360085309*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3162", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220520314165889`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.846322474338799`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08425577335812531`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.846322474338799`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3162, "   tar:  ", 1.24, "   tarstar:  ", 1.2875, "   R:  ", 
   3.220520314165889, "   Bstar:  ", 3.846322474338799, "   Xstar:  ", 
   0.08425577335812531, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.846322474338799^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607360140314*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3163", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2205847803957437`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.850613945333485`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08393693256416233`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.850613945333485`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3163, "   tar:  ", 1.2425, "   tarstar:  ", 1.2875, "   R:  ", 
   3.2205847803957437`, "   Bstar:  ", 3.850613945333485, "   Xstar:  ", 
   0.08393693256416233, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.850613945333485^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607360183318*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3164", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2206468009898663`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.85490301511233`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08361982855609275`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.85490301511233`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3164, "   tar:  ", 1.245, "   tarstar:  ", 1.2875, "   R:  ", 
   3.2206468009898663`, "   Bstar:  ", 3.85490301511233, "   Xstar:  ", 
   0.08361982855609275, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.85490301511233^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073602103214`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3165", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2207064061440533`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8591896849674847`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0833044492927123`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8591896849674847`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3165, "   tar:  ", 1.2475, "   tarstar:  ", 1.2875, "   R:  ", 
   3.2207064061440533`, "   Bstar:  ", 3.8591896849674847`, "   Xstar:  ", 
   0.0833044492927123, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8591896849674847`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073602273226`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3166", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220763625692485`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8634739562210356`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08299078283135183`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8634739562210356`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3166, "   tar:  ", 1.25, "   tarstar:  ", 1.2875, "   R:  ", 
   3.220763625692485, "   Bstar:  ", 3.8634739562210356`, "   Xstar:  ", 
   0.08299078283135183, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8634739562210356`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607360257326*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3167", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220818489112299`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.867755830224517`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08267881732698232`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.867755830224517`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3167, "   tar:  ", 1.2525, "   tarstar:  ", 1.2875, "   R:  ", 
   3.220818489112299, "   Bstar:  ", 3.867755830224517, "   Xstar:  ", 
   0.08267881732698232, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.867755830224517^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073602873287`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3168", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.220871025528099`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8720353083584804`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08236854103132386`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8720353083584804`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3168, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.2875, 
   "   R:  ", 3.220871025528099, "   Bstar:  ", 3.8720353083584804`, 
   "   Xstar:  ", 0.08236854103132386, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8720353083584804`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607360307331*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3169", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220921263716386`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.87631239203193`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08205994229197401`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.87631239203193`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3169, "   tar:  ", 1.2575, "   tarstar:  ", 1.2875, "   R:  ", 
   3.220921263716386, "   Bstar:  ", 3.87631239203193, "   Xstar:  ", 
   0.08205994229197401, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.87631239203193^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607360326333*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3170", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2209692321099617`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8805870826819344`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08175300955153159`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8805870826819344`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3170, "   tar:  ", 1.26, "   tarstar:  ", 1.2875, "   R:  ", 
   3.2209692321099617`, "   Bstar:  ", 3.8805870826819344`, "   Xstar:  ", 
   0.08175300955153159, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8805870826819344`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073603483353`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3171", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2210149588022365`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8848593817730745`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08144773134674103`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8848593817730745`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3171, "   tar:  ", 1.2625, "   tarstar:  ", 1.2875, "   R:  ", 
   3.2210149588022365`, "   Bstar:  ", 3.8848593817730745`, "   Xstar:  ", 
   0.08144773134674103, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8848593817730745`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073603723373`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3172", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2210584715515114`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.889129290797083`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08114409630763174`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.889129290797083`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3172, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.2875, 
   "   R:  ", 3.2210584715515114`, "   Bstar:  ", 3.889129290797083, 
   "   Xstar:  ", 0.08114409630763174, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.889129290797083^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073603923397`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3173", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2210997977851847`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8933968112723165`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08084209315667787`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8933968112723165`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3173, "   tar:  ", 1.2675, "   tarstar:  ", 1.2875, "   R:  ", 
   3.2210997977851847`, "   Bstar:  ", 3.8933968112723165`, "   Xstar:  ", 
   0.08084209315667787, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8933968112723165`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607360412341*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3174", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2211389646039104`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8976619447433465`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08054171070795786`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8976619447433465`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3174, "   tar:  ", 1.27, "   tarstar:  ", 1.2875, "   R:  ", 
   3.2211389646039104`, "   Bstar:  ", 3.8976619447433465`, "   Xstar:  ", 
   0.08054171070795786, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8976619447433465`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073604353437`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3175", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221175998785694`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.901924692780482`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08024293786632736`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.901924692780482`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3175, "   tar:  ", 1.2725, "   tarstar:  ", 1.2875, "   R:  ", 
   3.221175998785694, "   Bstar:  ", 3.901924692780482, "   Xstar:  ", 
   0.08024293786632736, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.901924692780482^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607360457346*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3176", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2212109267899387`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9061850569793983`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07994576362659302`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9061850569793983`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3176, "   tar:  ", 1.275, "   tarstar:  ", 1.2875, "   R:  ", 
   3.2212109267899387`, "   Bstar:  ", 3.9061850569793983`, "   Xstar:  ", 
   0.07994576362659302, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9061850569793983`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607360478348*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3177", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221243774761447`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9104430389606555`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07965017707270201`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9104430389606555`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3177, "   tar:  ", 1.2775, "   tarstar:  ", 1.2875, "   R:  ", 
   3.221243774761447, "   Bstar:  ", 3.9104430389606555`, "   Xstar:  ", 
   0.07965017707270201, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9104430389606555`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607360510351*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3178", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221274568534344`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9146986403693207`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07935616737693242`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9146986403693207`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3178, "   tar:  ", 1.28, "   tarstar:  ", 1.2875, "   R:  ", 
   3.221274568534344, "   Bstar:  ", 3.9146986403693207`, "   Xstar:  ", 
   0.07935616737693242, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9146986403693207`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607360533354*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3179", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221303333635972`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.918951862874491`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07906372379909896`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.918951862874491`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3179, "   tar:  ", 1.2825, "   tarstar:  ", 1.2875, "   R:  ", 
   3.221303333635972, "   Bstar:  ", 3.918951862874491, "   Xstar:  ", 
   0.07906372379909896, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.918951862874491^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607360557356*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3180", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2213300952907304`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.9232027081689402`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.07877283568575749`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9232027081689402`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3180, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.2875, 
   "   R:  ", 3.2213300952907304`, "   Bstar:  ", 3.9232027081689402`, 
   "   Xstar:  ", 0.07877283568575749, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9232027081689402`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073605803585`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3181", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221354878423848`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.927451177968716`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07848349246942152`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.927451177968716`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3181, "   tar:  ", 1.2875, "   tarstar:  ", 1.2875, "   R:  ", 
   3.221354878423848, "   Bstar:  ", 3.927451177968716, "   Xstar:  ", 
   0.07848349246942152, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.927451177968716^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607360606361*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3182", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2213777076651247`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.931697274012696`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07819568366778853`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.931697274012696`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3182, "   tar:  ", 1.29, "   tarstar:  ", 1.2875, "   R:  ", 
   3.2213777076651247`, "   Bstar:  ", 3.931697274012696, "   Xstar:  ", 
   0.07819568366778853, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.931697274012696^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073606423645`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3183", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221398607352615`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9359409980622306`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07790939888296917`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9359409980622306`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3183, "   tar:  ", 1.2925, "   tarstar:  ", 1.2875, "   R:  ", 
   3.221398607352615, "   Bstar:  ", 3.9359409980622306`, "   Xstar:  ", 
   0.07790939888296917, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9359409980622306`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073606803684`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3184", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2214176015362566`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9401823519007713`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07762462780072404`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9401823519007713`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3184, "   tar:  ", 1.295, "   tarstar:  ", 1.2875, "   R:  ", 
   3.2214176015362566`, "   Bstar:  ", 3.9401823519007713`, "   Xstar:  ", 
   0.07762462780072404, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9401823519007713`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073607143717`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3185", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.221434713981468`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9444213373334267`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07734136018971381`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9444213373334267`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3185, "   tar:  ", 1.2975, "   tarstar:  ", 1.2875, "   R:  ", 
   3.221434713981468, "   Bstar:  ", 3.9444213373334267`, "   Xstar:  ", 
   0.07734136018971381, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9444213373334267`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607360782378*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3186", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2875`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2214499681726774`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9486579561866617`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07705958590074675`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9486579561866617`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3186, "   tar:  ", 1.3, "   tarstar:  ", 1.2875, "   R:  ", 
   3.2214499681726774`, "   Bstar:  ", 3.9486579561866617`, "   Xstar:  ", 
   0.07705958590074675, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9486579561866617`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607360884389*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3187", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.216198215598333`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.704095194298451`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09577138098207039`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.704095194298451`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3187, "   tar:  ", 1.155, "   tarstar:  ", 1.29, "   R:  ", 
   3.216198215598333, "   Bstar:  ", 3.704095194298451, "   Xstar:  ", 
   0.09577138098207039, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.704095194298451^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073610124016`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3188", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2163660458661623`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.708476452902062`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09538722974808779`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.708476452902062`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3188, "   tar:  ", 1.1575, "   tarstar:  ", 1.29, "   R:  ", 
   3.2163660458661623`, "   Bstar:  ", 3.708476452902062, "   Xstar:  ", 
   0.09538722974808779, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.708476452902062^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607361106411*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3189", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2165301644275552`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.712855278601088`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09500528190544803`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.712855278601088`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3189, "   tar:  ", 1.16, "   tarstar:  ", 1.29, "   R:  ", 
   3.2165301644275552`, "   Bstar:  ", 3.712855278601088, "   Xstar:  ", 
   0.09500528190544803, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.712855278601088^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360736120242*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3190", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2166906168518574`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7172316713596234`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09462552151397648`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7172316713596234`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3190, "   tar:  ", 1.1625, "   tarstar:  ", 1.29, "   R:  ", 
   3.2166906168518574`, "   Bstar:  ", 3.7172316713596234`, "   Xstar:  ", 
   0.09462552151397648, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7172316713596234`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607361271427*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3191", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2168474481495957`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.721605631193128`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09424793276771432`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.721605631193128`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3191, "   tar:  ", 1.165, "   tarstar:  ", 1.29, "   R:  ", 
   3.2168474481495957`, "   Bstar:  ", 3.721605631193128, "   Xstar:  ", 
   0.09424793276771432, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.721605631193128^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073613084307`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3192", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.217000702779705`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7259771581676824`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09387249999369174`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7259771581676824`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3192, "   tar:  ", 1.1675, "   tarstar:  ", 1.29, "   R:  ", 
   3.217000702779705, "   Bstar:  ", 3.7259771581676824`, "   Xstar:  ", 
   0.09387249999369174, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7259771581676824`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607361340434*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3193", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2171504246566607`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.73034625239922`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0934992076507147`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.73034625239922`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3193, "   tar:  ", 1.17, "   tarstar:  ", 1.29, "   R:  ", 
   3.2171504246566607`, "   Bstar:  ", 3.73034625239922, "   Xstar:  ", 
   0.0934992076507147, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.73034625239922^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073613724375`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3194", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.217296657157533`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7347129140526683`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09312804032817129`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7347129140526683`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3194, "   tar:  ", 1.1725, "   tarstar:  ", 1.29, "   R:  ", 
   3.217296657157533, "   Bstar:  ", 3.7347129140526683`, "   Xstar:  ", 
   0.09312804032817129, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7347129140526683`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607361404441*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3195", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.217439443128921`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7390771433412895`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09275898274483221`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7390771433412895`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3195, "   tar:  ", 1.175, "   tarstar:  ", 1.29, "   R:  ", 
   3.217439443128921, "   Bstar:  ", 3.7390771433412895`, "   Xstar:  ", 
   0.09275898274483221, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7390771433412895`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073614304433`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3196", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2175788248938058`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7434389405258295`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09239201974768019`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7434389405258295`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3196, "   tar:  ", 1.1775, "   tarstar:  ", 1.29, "   R:  ", 
   3.2175788248938058`, "   Bstar:  ", 3.7434389405258295`, "   Xstar:  ", 
   0.09239201974768019, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7434389405258295`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607361459446*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3197", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2177148442583157`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7477983059138507`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09202713631073392`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7477983059138507`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3197, "   tar:  ", 1.18, "   tarstar:  ", 1.29, "   R:  ", 
   3.2177148442583157`, "   Bstar:  ", 3.7477983059138507`, "   Xstar:  ", 
   0.09202713631073392, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7477983059138507`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073614914494`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3198", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2178475425183746`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.752155239858947`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09166431753389419`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.752155239858947`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3198, "   tar:  ", 1.1825, "   tarstar:  ", 1.29, "   R:  ", 
   3.2178475425183746`, "   Bstar:  ", 3.752155239858947, "   Xstar:  ", 
   0.09166431753389419, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.752155239858947^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073615234523`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3199", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2179769604663018`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7565097427600342`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09130354864179473`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7565097427600342`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3199, "   tar:  ", 1.185, "   tarstar:  ", 1.29, "   R:  ", 
   3.2179769604663018`, "   Bstar:  ", 3.7565097427600342`, "   Xstar:  ", 
   0.09130354864179473, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7565097427600342`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607361549455*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3200", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218103138397278`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7608618150606583`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09094481498266269`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7608618150606583`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3200, "   tar:  ", 1.1875, "   tarstar:  ", 1.29, "   R:  ", 
   3.218103138397278, "   Bstar:  ", 3.7608618150606583`, "   Xstar:  ", 
   0.09094481498266269, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7608618150606583`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607361579458*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3201", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218226116115751`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7652114572482787`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09058810202719231`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7652114572482787`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3201, "   tar:  ", 1.19, "   tarstar:  ", 1.29, "   R:  ", 
   3.218226116115751, "   Bstar:  ", 3.7652114572482787`, "   Xstar:  ", 
   0.09058810202719231, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7652114572482787`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607361608461*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3202", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.29`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.218345932941742`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7695586698535557`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.09023339536742919`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7695586698535557`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3202, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.29, 
   "   R:  ", 3.218345932941742, "   Bstar:  ", 3.7695586698535557`, 
   "   Xstar:  ", 0.09023339536742919, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7695586698535557`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607361636464*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3203", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2184626277170927`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7739034534497162`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0898806807156593`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7739034534497162`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3203, "   tar:  ", 1.195, "   tarstar:  ", 1.29, "   R:  ", 
   3.2184626277170927`, "   Bstar:  ", 3.7739034534497162`, "   Xstar:  ", 
   0.0898806807156593, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7739034534497162`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073616584663`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3204", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218576238811569`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7782458086518247`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0895299439033164`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7782458086518247`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3204, "   tar:  ", 1.1975, "   tarstar:  ", 1.29, "   R:  ", 
   3.218576238811569, "   Bstar:  ", 3.7782458086518247`, "   Xstar:  ", 
   0.0895299439033164, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7782458086518247`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073616834683`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3205", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2186868041289576`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.782585736116178`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08918117087989005`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.782585736116178`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3205, "   tar:  ", 1.2, "   tarstar:  ", 1.29, "   R:  ", 
   3.2186868041289576`, "   Bstar:  ", 3.782585736116178, "   Xstar:  ", 
   0.08918117087989005, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.782585736116178^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607361719472*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3206", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.29`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2187943611130128`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7869232365395864`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08883434771185367`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7869232365395864`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3206, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.29, 
   "   R:  ", 3.2187943611130128`, "   Bstar:  ", 3.7869232365395864`, 
   "   Xstar:  ", 0.08883434771185367, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7869232365395864`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073617464747`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3207", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218898946753373`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7912583106588005`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08848946058159148`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7912583106588005`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3207, "   tar:  ", 1.205, "   tarstar:  ", 1.29, "   R:  ", 
   3.218898946753373, "   Bstar:  ", 3.7912583106588005`, "   Xstar:  ", 
   0.08848946058159148, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7912583106588005`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360736179348*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3208", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2190005975913665`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.795590959249833`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08814649578634413`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.795590959249833`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3208, "   tar:  ", 1.2075, "   tarstar:  ", 1.29, "   R:  ", 
   3.2190005975913665`, "   Bstar:  ", 3.795590959249833, "   Xstar:  ", 
   0.08814649578634413, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.795590959249833^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073618764877`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3209", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219099349725744`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7999211831273283`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08780543973716129`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7999211831273283`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3209, "   tar:  ", 1.21, "   tarstar:  ", 1.29, "   R:  ", 
   3.219099349725744, "   Bstar:  ", 3.7999211831273283`, "   Xstar:  ", 
   0.08780543973716129, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7999211831273283`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073619434943`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3210", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.29`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.21919523881835`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8042489831439745`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08746627895786062`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8042489831439745`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3210, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.29, 
   "   R:  ", 3.21919523881835, "   Bstar:  ", 3.8042489831439745`, 
   "   Xstar:  ", 0.08746627895786062, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8042489831439745`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073619834986`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3211", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2192883000996972`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8085743601898763`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08712900008400089`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8085743601898763`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3211, "   tar:  ", 1.215, "   tarstar:  ", 1.29, "   R:  ", 
   3.2192883000996972`, "   Bstar:  ", 3.8085743601898763`, "   Xstar:  ", 
   0.08712900008400089, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8085743601898763`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607362048505*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3212", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219378568374478`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.812897315191953`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0867935898618625`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.812897315191953`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3212, "   tar:  ", 1.2175, "   tarstar:  ", 1.29, "   R:  ", 
   3.219378568374478, "   Bstar:  ", 3.812897315191953, "   Xstar:  ", 
   0.0867935898618625, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.812897315191953^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607362130513*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3213", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219466078026995`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8172178491133546`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08646003514743712`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8172178491133546`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3213, "   tar:  ", 1.22, "   tarstar:  ", 1.29, "   R:  ", 
   3.219466078026995, "   Bstar:  ", 3.8172178491133546`, "   Xstar:  ", 
   0.08646003514743712, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8172178491133546`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607362192519*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3214", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.29`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2195508630265253`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.82153596295288`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08612832290542706`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.82153596295288`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3214, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.29, 
   "   R:  ", 3.2195508630265253`, "   Bstar:  ", 3.82153596295288, 
   "   Xstar:  ", 0.08612832290542706, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.82153596295288^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607362234524*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3215", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2196329569326005`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8258516577444177`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08579844020825275`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8258516577444177`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3215, "   tar:  ", 1.225, "   tarstar:  ", 1.29, "   R:  ", 
   3.2196329569326005`, "   Bstar:  ", 3.8258516577444177`, "   Xstar:  ", 
   0.08579844020825275, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8258516577444177`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073622695274`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3216", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2197123929002327`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8301649345563344`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08547037423507405`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8301649345563344`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3216, "   tar:  ", 1.2275, "   tarstar:  ", 1.29, "   R:  ", 
   3.2197123929002327`, "   Bstar:  ", 3.8301649345563344`, "   Xstar:  ", 
   0.08547037423507405, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8301649345563344`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607362310531*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3217", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2197892036850533`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8344757944909533`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08514411227081448`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8344757944909533`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3217, "   tar:  ", 1.23, "   tarstar:  ", 1.29, "   R:  ", 
   3.2197892036850533`, "   Bstar:  ", 3.8344757944909533`, "   Xstar:  ", 
   0.08514411227081448, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8344757944909533`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073623535357`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3218", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2198634216483946`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8387842386840165`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08481964170519633`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8387842386840165`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3218, "   tar:  ", 1.2325, "   tarstar:  ", 1.29, "   R:  ", 
   3.2198634216483946`, "   Bstar:  ", 3.8387842386840165`, "   Xstar:  ", 
   0.08481964170519633, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8387842386840165`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073623865385`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3219", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219935078762297`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.843090268304097`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08449695003178895`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.843090268304097`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3219, "   tar:  ", 1.235, "   tarstar:  ", 1.29, "   R:  ", 
   3.219935078762297, "   Bstar:  ", 3.843090268304097, "   Xstar:  ", 
   0.08449695003178895, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.843090268304097^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607362421542*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3220", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2200042066144468`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.847393884552097`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0841760248470605`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.847393884552097`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3220, "   tar:  ", 1.2375, "   tarstar:  ", 1.29, "   R:  ", 
   3.2200042066144468`, "   Bstar:  ", 3.847393884552097, "   Xstar:  ", 
   0.0841760248470605, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.847393884552097^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073624555454`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3221", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220070836413059`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8516950886607217`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08385685384944018`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8516950886607217`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3221, "   tar:  ", 1.24, "   tarstar:  ", 1.29, "   R:  ", 
   3.220070836413059, "   Bstar:  ", 3.8516950886607217`, "   Xstar:  ", 
   0.08385685384944018, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8516950886607217`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607362486549*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3222", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2201349989916768`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.855993881893929`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08353942483839237`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.855993881893929`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3222, "   tar:  ", 1.2425, "   tarstar:  ", 1.29, "   R:  ", 
   3.2201349989916768`, "   Bstar:  ", 3.855993881893929, "   Xstar:  ", 
   0.08353942483839237, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.855993881893929^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073625135517`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3223", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220196724813928`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8602902655464697`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08322372571349297`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8602902655464697`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3223, "   tar:  ", 1.245, "   tarstar:  ", 1.29, "   R:  ", 
   3.220196724813928, "   Bstar:  ", 3.8602902655464697`, "   Xstar:  ", 
   0.08322372571349297, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8602902655464697`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607362540554*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3224", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2202560439781913`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8645842409433206`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08290974447352235`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8645842409433206`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3224, "   tar:  ", 1.2475, "   tarstar:  ", 1.29, "   R:  ", 
   3.2202560439781913`, "   Bstar:  ", 3.8645842409433206`, "   Xstar:  ", 
   0.08290974447352235, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8645842409433206`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607362567557*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3225", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220312986222231`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.868875809439252`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08259746921555833`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.868875809439252`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3225, "   tar:  ", 1.25, "   tarstar:  ", 1.29, "   R:  ", 
   3.220312986222231, "   Bstar:  ", 3.868875809439252, "   Xstar:  ", 
   0.08259746921555833, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.868875809439252^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073625935593`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3226", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2203675809277392`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8731649724182593`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0822868881340876`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8731649724182593`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3226, "   tar:  ", 1.2525, "   tarstar:  ", 1.29, "   R:  ", 
   3.2203675809277392`, "   Bstar:  ", 3.8731649724182593`, "   Xstar:  ", 
   0.0822868881340876, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8731649724182593`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073626185617`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3227", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.29`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.220419857124841`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.877451731293156`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08197798952011412`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.877451731293156`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3227, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.29, 
   "   R:  ", 3.220419857124841, "   Bstar:  ", 3.877451731293156, 
   "   Xstar:  ", 0.08197798952011412, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.877451731293156^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073626485653`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3228", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2204698434965247`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.881736087505052`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08167076176028532`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.881736087505052`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3228, "   tar:  ", 1.2575, "   tarstar:  ", 1.29, "   R:  ", 
   3.2204698434965247`, "   Bstar:  ", 3.881736087505052, "   Xstar:  ", 
   0.08167076176028532, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.881736087505052^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607362676568*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3229", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2205175683830225`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.886018042522907`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0813651933360209`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.886018042522907`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3229, "   tar:  ", 1.26, "   tarstar:  ", 1.29, "   R:  ", 
   3.2205175683830225`, "   Bstar:  ", 3.886018042522907, "   Xstar:  ", 
   0.0813651933360209, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.886018042522907^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360736269757*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3230", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.22056305978612`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8902975978430097`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08106127282265584`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8902975978430097`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3230, "   tar:  ", 1.2625, "   tarstar:  ", 1.29, "   R:  ", 
   3.22056305978612, "   Bstar:  ", 3.8902975978430097`, "   Xstar:  ", 
   0.08106127282265584, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8902975978430097`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607362716572*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3231", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.29`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2206063453734193`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8945747549886245`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08075898888858131`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8945747549886245`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3231, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.29, 
   "   R:  ", 3.2206063453734193`, "   Bstar:  ", 3.8945747549886245`, 
   "   Xstar:  ", 0.08075898888858131, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8945747549886245`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607362735574*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3232", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220647452482551`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8988495155094496`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08045833029440436`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8988495155094496`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3232, "   tar:  ", 1.2675, "   tarstar:  ", 1.29, "   R:  ", 
   3.220647452482551, "   Bstar:  ", 3.8988495155094496`, "   Xstar:  ", 
   0.08045833029440436, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8988495155094496`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607362758576*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3233", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2206864081253044`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.903121880981186`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08015928589211185`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.903121880981186`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3233, "   tar:  ", 1.27, "   tarstar:  ", 1.29, "   R:  ", 
   3.2206864081253044`, "   Bstar:  ", 3.903121880981186, "   Xstar:  ", 
   0.08015928589211185, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.903121880981186^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607362779578*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3234", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220723238991731`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.907391853005154`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07986184462423691`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.907391853005154`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3234, "   tar:  ", 1.2725, "   tarstar:  ", 1.29, "   R:  ", 
   3.220723238991731, "   Bstar:  ", 3.907391853005154, "   Xstar:  ", 
   0.07986184462423691, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.907391853005154^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607362805581*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3235", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220757971454179`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.911659433207808`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07956599552304207`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.911659433207808`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3235, "   tar:  ", 1.275, "   tarstar:  ", 1.29, "   R:  ", 
   3.220757971454179, "   Bstar:  ", 3.911659433207808, "   Xstar:  ", 
   0.07956599552304207, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.911659433207808^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607362828583*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3236", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2207906315712687`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9159246232403198`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07927172770970516`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9159246232403198`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3236, "   tar:  ", 1.2775, "   tarstar:  ", 1.29, "   R:  ", 
   3.2207906315712687`, "   Bstar:  ", 3.9159246232403198`, "   Xstar:  ", 
   0.07927172770970516, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9159246232403198`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073628525853`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3237", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2208212450918388`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9201874247781805`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07897903039351212`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9201874247781805`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3237, "   tar:  ", 1.28, "   tarstar:  ", 1.29, "   R:  ", 
   3.2208212450918388`, "   Bstar:  ", 3.9201874247781805`, "   Xstar:  ", 
   0.07897903039351212, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9201874247781805`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073628745875`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3238", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2208498374588057`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.924447839520753`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07868789287106176`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.924447839520753`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3238, "   tar:  ", 1.2825, "   tarstar:  ", 1.29, "   R:  ", 
   3.2208498374588057`, "   Bstar:  ", 3.924447839520753, "   Xstar:  ", 
   0.07868789287106176, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.924447839520753^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073628965898`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3239", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.29`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.220876433813003`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.9287058691909227`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.07839830452547117`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9287058691909227`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3239, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.29, 
   "   R:  ", 3.220876433813003, "   Bstar:  ", 3.9287058691909227`, 
   "   Xstar:  ", 0.07839830452547117, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9287058691909227`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073629155917`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3240", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2209010589969465`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9329615155346063`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07811025482559897`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9329615155346063`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3240, "   tar:  ", 1.2875, "   tarstar:  ", 1.29, "   R:  ", 
   3.2209010589969465`, "   Bstar:  ", 3.9329615155346063`, "   Xstar:  ", 
   0.07811025482559897, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9329615155346063`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607362937594*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3241", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2209237375585715`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9372147803204287`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07782373332526502`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9372147803204287`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3241, "   tar:  ", 1.29, "   tarstar:  ", 1.29, "   R:  ", 
   3.2209237375585715`, "   Bstar:  ", 3.9372147803204287`, "   Xstar:  ", 
   0.07782373332526502, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9372147803204287`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073629645967`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3242", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2209444937548963`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.94146566533931`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07753872966248389`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.94146566533931`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3242, "   tar:  ", 1.2925, "   tarstar:  ", 1.29, "   R:  ", 
   3.2209444937548963`, "   Bstar:  ", 3.94146566533931, "   Xstar:  ", 
   0.07753872966248389, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.94146566533931^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607362987599*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3243", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2209633515556617`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9457141724040676`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.077255233558705`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9457141724040676`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3243, "   tar:  ", 1.295, "   tarstar:  ", 1.29, "   R:  ", 
   3.2209633515556617`, "   Bstar:  ", 3.9457141724040676`, "   Xstar:  ", 
   0.077255233558705, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9457141724040676`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073630046005`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3244", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2209803346468946`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.949960303349057`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07697323481805778`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.949960303349057`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3244, "   tar:  ", 1.2975, "   tarstar:  ", 1.29, "   R:  ", 
   3.2209803346468946`, "   Bstar:  ", 3.949960303349057, "   Xstar:  ", 
   0.07697323481805778, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.949960303349057^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607363022602*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3245", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.29`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2209954664344544`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.954204060029774`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07669272332660676`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.954204060029774`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3245, "   tar:  ", 1.3, "   tarstar:  ", 1.29, "   R:  ", 
   3.2209954664344544`, "   Bstar:  ", 3.954204060029774, "   Xstar:  ", 
   0.07669272332660676, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.954204060029774^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607363040604*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3246", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.215767444492125`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.709212201457468`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09532291456440764`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.709212201457468`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3246, "   tar:  ", 1.155, "   tarstar:  ", 1.2925, "   R:  ", 
   3.215767444492125, "   Bstar:  ", 3.709212201457468, "   Xstar:  ", 
   0.09532291456440764, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.709212201457468^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073630576057`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3247", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.215934607558257`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.713601081570634`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09494042580083162`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.713601081570634`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3247, "   tar:  ", 1.1575, "   tarstar:  ", 1.2925, "   R:  ", 
   3.215934607558257, "   Bstar:  ", 3.713601081570634, "   Xstar:  ", 
   0.09494042580083162, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.713601081570634^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073630726075`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3248", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.216098071706911`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.717987519186146`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09456013206262666`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.717987519186146`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3248, "   tar:  ", 1.16, "   tarstar:  ", 1.2925, "   R:  ", 
   3.216098071706911, "   Bstar:  ", 3.717987519186146, "   Xstar:  ", 
   0.09456013206262666, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.717987519186146^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073630906096`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3249", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.216257882370821`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7223715143083216`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09418201745781218`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7223715143083216`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3249, "   tar:  ", 1.1625, "   tarstar:  ", 1.2925, "   R:  ", 
   3.216257882370821, "   Bstar:  ", 3.7223715143083216`, "   Xstar:  ", 
   0.09418201745781218, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7223715143083216`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073631096115`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3250", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2164140844252413`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7267530669926296`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0938060662283707`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7267530669926296`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3250, "   tar:  ", 1.165, "   tarstar:  ", 1.2925, "   R:  ", 
   3.2164140844252413`, "   Bstar:  ", 3.7267530669926296`, "   Xstar:  ", 
   0.0938060662283707, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7267530669926296`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607363128613*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3251", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2165667221951666`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7311321773449153`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0934322627490236`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7311321773449153`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3251, "   tar:  ", 1.1675, "   tarstar:  ", 1.2925, "   R:  ", 
   3.2165667221951666`, "   Bstar:  ", 3.7311321773449153`, "   Xstar:  ", 
   0.0934322627490236, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7311321773449153`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073631456146`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3252", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.216715839462473`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7355088455206125`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09306059152601956`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7355088455206125`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3252, "   tar:  ", 1.17, "   tarstar:  ", 1.2925, "   R:  ", 
   3.216715839462473, "   Bstar:  ", 3.7355088455206125`, "   Xstar:  ", 
   0.09306059152601956, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7355088455206125`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073631736174`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3253", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.216861479472931`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.739883071723942`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09269103719593622`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.739883071723942`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3253, "   tar:  ", 1.1725, "   tarstar:  ", 1.2925, "   R:  ", 
   3.216861479472931, "   Bstar:  ", 3.739883071723942, "   Xstar:  ", 
   0.09269103719593622, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.739883071723942^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073631996202`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3254", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2170036849431476`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.744254856207195`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09232358452448647`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.744254856207195`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3254, "   tar:  ", 1.175, "   tarstar:  ", 1.2925, "   R:  ", 
   3.2170036849431476`, "   Bstar:  ", 3.744254856207195, "   Xstar:  ", 
   0.09232358452448647, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.744254856207195^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607363218622*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3255", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2171424980674015`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.748624199269936`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09195821840534217`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.748624199269936`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3255, "   tar:  ", 1.1775, "   tarstar:  ", 1.2925, "   R:  ", 
   3.2171424980674015`, "   Bstar:  ", 3.748624199269936, "   Xstar:  ", 
   0.09195821840534217, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.748624199269936^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073632426243`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3256", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.217277960524399`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7529911012582806`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0915949238589644`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7529911012582806`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3256, "   tar:  ", 1.18, "   tarstar:  ", 1.2925, "   R:  ", 
   3.217277960524399, "   Bstar:  ", 3.7529911012582806`, "   Xstar:  ", 
   0.0915949238589644, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7529911012582806`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073632766275`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3257", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2174101134839095`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7573555625641637`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09123368603144455`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7573555625641637`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3257, "   tar:  ", 1.1825, "   tarstar:  ", 1.2925, "   R:  ", 
   3.2174101134839095`, "   Bstar:  ", 3.7573555625641637`, "   Xstar:  ", 
   0.09123368603144455, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7573555625641637`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073633036304`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3258", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2175389976133473`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7617175836246246`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09087449019335628`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7617175836246246`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3258, "   tar:  ", 1.185, "   tarstar:  ", 1.2925, "   R:  ", 
   3.2175389976133473`, "   Bstar:  ", 3.7617175836246246`, "   Xstar:  ", 
   0.09087449019335628, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7617175836246246`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607363334634*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3259", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2176646530842437`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.766077164921063`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09051732173862075`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.766077164921063`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3259, "   tar:  ", 1.1875, "   tarstar:  ", 1.2925, "   R:  ", 
   3.2176646530842437`, "   Bstar:  ", 3.766077164921063, "   Xstar:  ", 
   0.09051732173862075, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.766077164921063^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607363370637*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3260", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.217787119578627`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7704343069786046`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09016216618337386`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7704343069786046`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3260, "   tar:  ", 1.19, "   tarstar:  ", 1.2925, "   R:  ", 
   3.217787119578627, "   Bstar:  ", 3.7704343069786046`, "   Xstar:  ", 
   0.09016216618337386, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7704343069786046`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607363406641*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3261", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.21790643629532`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.774789010365321`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08980900916485646`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.774789010365321`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3261, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.2925, 
   "   R:  ", 3.21790643629532, "   Bstar:  ", 3.774789010365321, 
   "   Xstar:  ", 0.08980900916485646, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.774789010365321^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073634366436`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3262", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218022641956174`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7791412756916407`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08945783644030027`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7791412756916407`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3262, "   tar:  ", 1.195, "   tarstar:  ", 1.2925, "   R:  ", 
   3.218022641956174, "   Bstar:  ", 3.7791412756916407`, "   Xstar:  ", 
   0.08945783644030027, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7791412756916407`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607363466647*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3263", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2181357748121733`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7834911036095917`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08910863388583797`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7834911036095917`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3263, "   tar:  ", 1.1975, "   tarstar:  ", 1.2925, "   R:  ", 
   3.2181357748121733`, "   Bstar:  ", 3.7834911036095917`, "   Xstar:  ", 
   0.08910863388583797, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7834911036095917`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073635056505`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3264", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2182458726495042`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7878384948122403`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08876138749540818`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7878384948122403`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3264, "   tar:  ", 1.2, "   tarstar:  ", 1.2925, "   R:  ", 
   3.2182458726495042`, "   Bstar:  ", 3.7878384948122403`, "   Xstar:  ", 
   0.08876138749540818, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7878384948122403`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607363528653*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3265", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.21835297279551`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.792183450032924`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0884160833796884`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.792183450032924`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3265, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.2925, 
   "   R:  ", 3.21835297279551, "   Bstar:  ", 3.792183450032924, 
   "   Xstar:  ", 0.0884160833796884, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.792183450032924^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073635576563`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3266", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218457112124572`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7965259700446925`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08807270776502052`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7965259700446925`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3266, "   tar:  ", 1.205, "   tarstar:  ", 1.2925, "   R:  ", 
   3.218457112124572, "   Bstar:  ", 3.7965259700446925`, "   Xstar:  ", 
   0.08807270776502052, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7965259700446925`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607363579658*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3267", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218558327063925`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.80086605565966`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08773124699235564`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.80086605565966`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3267, "   tar:  ", 1.2075, "   tarstar:  ", 1.2925, "   R:  ", 
   3.218558327063925, "   Bstar:  ", 3.80086605565966, "   Xstar:  ", 
   0.08773124699235564, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.80086605565966^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073636036606`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3268", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2186566535993784`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8052037077283556`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08739168751620807`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8052037077283556`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3268, "   tar:  ", 1.21, "   tarstar:  ", 1.2925, "   R:  ", 
   3.2186566535993784`, "   Bstar:  ", 3.8052037077283556`, "   Xstar:  ", 
   0.08739168751620807, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8052037077283556`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073636226625`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3269", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.218752127280958`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.809538927139124`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08705401590361629`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.809538927139124`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3269, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.2925, 
   "   R:  ", 3.218752127280958, "   Bstar:  ", 3.809538927139124, 
   "   Xstar:  ", 0.08705401590361629, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.809538927139124^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073636436644`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3270", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2188447832284948`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.813871714817523`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08671821883311454`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.813871714817523`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3270, "   tar:  ", 1.215, "   tarstar:  ", 1.2925, "   R:  ", 
   3.2188447832284948`, "   Bstar:  ", 3.813871714817523, "   Xstar:  ", 
   0.08671821883311454, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.813871714817523^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073636606665`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3271", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2189346561371077`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8182020717257146`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0863842830937148`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8182020717257146`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3271, "   tar:  ", 1.2175, "   tarstar:  ", 1.2925, "   R:  ", 
   3.2189346561371077`, "   Bstar:  ", 3.8182020717257146`, "   Xstar:  ", 
   0.0863842830937148, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8182020717257146`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607363680668*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3272", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2190217802826306`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.82252999886187`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.086052195583898`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.82252999886187`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3272, "   tar:  ", 1.22, "   tarstar:  ", 1.2925, "   R:  ", 
   3.2190217802826306`, "   Bstar:  ", 3.82252999886187, "   Xstar:  ", 
   0.086052195583898, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.82252999886187^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360736370267*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3273", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.219106189526961`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.826855497259619`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0857219433106115`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.826855497259619`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3273, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.2925, 
   "   R:  ", 3.219106189526961, "   Bstar:  ", 3.826855497259619, 
   "   Xstar:  ", 0.0857219433106115, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.826855497259619^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073637246723`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3274", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2191879173233464`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8311785679874473`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08539351338828104`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8311785679874473`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3274, "   tar:  ", 1.225, "   tarstar:  ", 1.2925, "   R:  ", 
   3.2191879173233464`, "   Bstar:  ", 3.8311785679874473`, "   Xstar:  ", 
   0.08539351338828104, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8311785679874473`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607363740674*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3275", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2192669967215766`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.835499212148132`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08506689303782897`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.835499212148132`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3275, "   tar:  ", 1.2275, "   tarstar:  ", 1.2925, "   R:  ", 
   3.2192669967215766`, "   Bstar:  ", 3.835499212148132, "   Xstar:  ", 
   0.08506689303782897, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.835499212148132^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073637556753`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3276", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2193434603731306`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8398174308782`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08474206958570084`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8398174308782`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3276, "   tar:  ", 1.23, "   tarstar:  ", 1.2925, "   R:  ", 
   3.2193434603731306`, "   Bstar:  ", 3.8398174308782, "   Xstar:  ", 
   0.08474206958570084, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8398174308782^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607363771677*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3277", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2194173405362383`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8441332253473917`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08441903046290135`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8441332253473917`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3277, "   tar:  ", 1.2325, "   tarstar:  ", 1.2925, "   R:  ", 
   3.2194173405362383`, "   Bstar:  ", 3.8441332253473917`, "   Xstar:  ", 
   0.08441903046290135, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8441332253473917`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073637876787`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3278", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219488669080878`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8484465967580777`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08409776320404326`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8484465967580777`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3278, "   tar:  ", 1.235, "   tarstar:  ", 1.2925, "   R:  ", 
   3.219488669080878, "   Bstar:  ", 3.8484465967580777`, "   Xstar:  ", 
   0.08409776320404326, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8484465967580777`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607363804681*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3279", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219557477493709`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8527575463447525`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08377825544639969`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8527575463447525`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3279, "   tar:  ", 1.2375, "   tarstar:  ", 1.2925, "   R:  ", 
   3.219557477493709, "   Bstar:  ", 3.8527575463447525`, "   Xstar:  ", 
   0.08377825544639969, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8527575463447525`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607363828683*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3280", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2196237968829475`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.857066075373522`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08346049492896718`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.857066075373522`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3280, "   tar:  ", 1.24, "   tarstar:  ", 1.2925, "   R:  ", 
   3.2196237968829475`, "   Bstar:  ", 3.857066075373522, "   Xstar:  ", 
   0.08346049492896718, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.857066075373522^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607363854686*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3281", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219687657983143`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.861372185141539`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08314446949154106`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.861372185141539`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3281, "   tar:  ", 1.2425, "   tarstar:  ", 1.2925, "   R:  ", 
   3.219687657983143, "   Bstar:  ", 3.861372185141539, "   Xstar:  ", 
   0.08314446949154106, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.861372185141539^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073638826885`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3282", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2197490911599354`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.865675876976566`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08283016707379094`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.865675876976566`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3282, "   tar:  ", 1.245, "   tarstar:  ", 1.2925, "   R:  ", 
   3.2197490911599354`, "   Bstar:  ", 3.865675876976566, "   Xstar:  ", 
   0.08283016707379094, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.865675876976566^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073639066906`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3283", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219808126414716`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.869977152236378`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0825175757143576`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.869977152236378`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3283, "   tar:  ", 1.2475, "   tarstar:  ", 1.2925, "   R:  ", 
   3.219808126414716, "   Bstar:  ", 3.869977152236378, "   Xstar:  ", 
   0.0825175757143576, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.869977152236378^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607363930693*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3284", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2198647933892386`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8742760123083477`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0822066835499447`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8742760123083477`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3284, "   tar:  ", 1.25, "   tarstar:  ", 1.2925, "   R:  ", 
   3.2198647933892386`, "   Bstar:  ", 3.8742760123083477`, "   Xstar:  ", 
   0.0822066835499447, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8742760123083477`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073639636965`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3285", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219919121370159`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8785724586089194`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08189747881442867`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8785724586089194`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3285, "   tar:  ", 1.2525, "   tarstar:  ", 1.2925, "   R:  ", 
   3.219919121370159, "   Bstar:  ", 3.8785724586089194`, "   Xstar:  ", 
   0.08189747881442867, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8785724586089194`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073639906993`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3286", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.219971139293539`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.882866492583118`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08158994983797396`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.882866492583118`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3286, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.2925, 
   "   R:  ", 3.219971139293539, "   Bstar:  ", 3.882866492583118, 
   "   Xstar:  ", 0.08158994983797396, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.882866492583118^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073640127015`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3287", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220020875749255`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.887158115704096`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08128408504615502`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.887158115704096`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3287, "   tar:  ", 1.2575, "   tarstar:  ", 1.2925, "   R:  ", 
   3.220020875749255, "   Bstar:  ", 3.887158115704096, "   Xstar:  ", 
   0.08128408504615502, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.887158115704096^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607364033704*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3288", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2200683589853702`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.891447329472659`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08097987295908848`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.891447329472659`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3288, "   tar:  ", 1.26, "   tarstar:  ", 1.2925, "   R:  ", 
   3.2200683589853702`, "   Bstar:  ", 3.891447329472659, "   Xstar:  ", 
   0.08097987295908848, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.891447329472659^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073640517054`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3289", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220113616912443`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8957341354167765`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08067730219057495`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8957341354167765`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3289, "   tar:  ", 1.2625, "   tarstar:  ", 1.2925, "   R:  ", 
   3.220113616912443, "   Bstar:  ", 3.8957341354167765`, "   Xstar:  ", 
   0.08067730219057495, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8957341354167765`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073640707073`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3290", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2201566771077856`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.9000185350911867`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08037636144724271`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9000185350911867`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3290, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.2925, 
   "   R:  ", 3.2201566771077856`, "   Bstar:  ", 3.9000185350911867`, 
   "   Xstar:  ", 0.08037636144724271, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9000185350911867`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607364086709*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3291", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220197566819641`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.904300530076861`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08007703952771003`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.904300530076861`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3291, "   tar:  ", 1.2675, "   tarstar:  ", 1.2925, "   R:  ", 
   3.220197566819641, "   Bstar:  ", 3.904300530076861, "   Xstar:  ", 
   0.08007703952771003, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.904300530076861^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360736409871*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3292", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2202363129713345`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9085801219806493`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07977932532174328`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9085801219806493`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3292, "   tar:  ", 1.27, "   tarstar:  ", 1.2925, "   R:  ", 
   3.2202363129713345`, "   Bstar:  ", 3.9085801219806493`, "   Xstar:  ", 
   0.07977932532174328, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9085801219806493`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073641147118`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3293", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220272942165348`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9128573124347628`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.079483207809434`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9128573124347628`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3293, "   tar:  ", 1.2725, "   tarstar:  ", 1.2925, "   R:  ", 
   3.220272942165348, "   Bstar:  ", 3.9128573124347628`, "   Xstar:  ", 
   0.079483207809434, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9128573124347628`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073641307135`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3294", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2203074806873566`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9171321030964212`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0791886760603738`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9171321030964212`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3294, "   tar:  ", 1.275, "   tarstar:  ", 1.2925, "   R:  ", 
   3.2203074806873566`, "   Bstar:  ", 3.9171321030964212`, "   Xstar:  ", 
   0.0791886760603738, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9171321030964212`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073641477146`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3295", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220339954510193`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.921404495647377`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07889571923284598`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.921404495647377`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3295, "   tar:  ", 1.2775, "   tarstar:  ", 1.2925, "   R:  ", 
   3.220339954510193, "   Bstar:  ", 3.921404495647377, "   Xstar:  ", 
   0.07889571923284598, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.921404495647377^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073641617165`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3296", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220370389297778`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.925674491793496`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0786043265730201`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.925674491793496`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3296, "   tar:  ", 1.28, "   tarstar:  ", 1.2925, "   R:  ", 
   3.220370389297778, "   Bstar:  ", 3.925674491793496, "   Xstar:  ", 
   0.0786043265730201, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.925674491793496^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607364177718*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3297", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220398810408981`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.929942093264356`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07831448741415525`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.929942093264356`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3297, "   tar:  ", 1.2825, "   tarstar:  ", 1.2925, "   R:  ", 
   3.220398810408981, "   Bstar:  ", 3.929942093264356, "   Xstar:  ", 
   0.07831448741415525, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.929942093264356^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360736419772*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3298", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.220425242901445`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.934207301812872`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0780261911758078`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.934207301812872`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3298, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.2925, 
   "   R:  ", 3.220425242901445, "   Bstar:  ", 3.934207301812872, 
   "   Xstar:  ", 0.0780261911758078, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.934207301812872^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073642137213`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3299", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2204497115353514`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.938470119214826`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07773942736305448`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.938470119214826`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3299, "   tar:  ", 1.2875, "   tarstar:  ", 1.2925, "   R:  ", 
   3.2204497115353514`, "   Bstar:  ", 3.938470119214826, "   Xstar:  ", 
   0.07773942736305448, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.938470119214826^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607364229723*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3300", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220472240777128`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9427305472685554`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07745418556571262`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9427305472685554`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3300, "   tar:  ", 1.29, "   tarstar:  ", 1.2925, "   R:  ", 
   3.220472240777128, "   Bstar:  ", 3.9427305472685554`, "   Xstar:  ", 
   0.07745418556571262, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9427305472685554`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073642477245`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3301", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220492854803137`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.946988587794462`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07717045545757943`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.946988587794462`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3301, "   tar:  ", 1.2925, "   tarstar:  ", 1.2925, "   R:  ", 
   3.220492854803137, "   Bstar:  ", 3.946988587794462, "   Xstar:  ", 
   0.07717045545757943, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.946988587794462^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073642687273`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3302", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2205115775032707`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9512442426347376`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07688822679566545`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9512442426347376`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3302, "   tar:  ", 1.295, "   tarstar:  ", 1.2925, "   R:  ", 
   3.2205115775032707`, "   Bstar:  ", 3.9512442426347376`, "   Xstar:  ", 
   0.07688822679566545, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9512442426347376`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607364287729*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3303", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220528432484537`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9554975136528863`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07660748941944841`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9554975136528863`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3303, "   tar:  ", 1.2975, "   tarstar:  ", 1.2925, "   R:  ", 
   3.220528432484537, "   Bstar:  ", 3.9554975136528863`, "   Xstar:  ", 
   0.07660748941944841, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9554975136528863`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360736430173*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3304", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2925`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2205434430745745`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.959748402733432`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07632823325012263`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.959748402733432`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3304, "   tar:  ", 1.3, "   tarstar:  ", 1.2925, "   R:  ", 
   3.2205434430745745`, "   Bstar:  ", 3.959748402733432, "   Xstar:  ", 
   0.07632823325012263, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.959748402733432^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073643147316`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3305", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2153389908093466`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.714327781964773`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09487728598714787`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.714327781964773`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3305, "   tar:  ", 1.155, "   tarstar:  ", 1.295, "   R:  ", 
   3.2153389908093466`, "   Bstar:  ", 3.714327781964773, "   Xstar:  ", 
   0.09487728598714787, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.714327781964773^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607364329733*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3306", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2155054906601404`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7187242774538647`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09449645034453452`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7187242774538647`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3306, "   tar:  ", 1.1575, "   tarstar:  ", 1.295, "   R:  ", 
   3.2155054906601404`, "   Bstar:  ", 3.7187242774538647`, "   Xstar:  ", 
   0.09449645034453452, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7187242774538647`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607364353736*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3307", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.215668304320553`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.723118320866295`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09411780139839253`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.723118320866295`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3307, "   tar:  ", 1.16, "   tarstar:  ", 1.295, "   R:  ", 
   3.215668304320553, "   Bstar:  ", 3.723118320866295, "   Xstar:  ", 
   0.09411780139839253, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.723118320866295^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607364377738*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3308", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.215827477087206`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7275099122465525`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09374132330483091`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7275099122465525`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3308, "   tar:  ", 1.1625, "   tarstar:  ", 1.295, "   R:  ", 
   3.215827477087206, "   Bstar:  ", 3.7275099122465525`, "   Xstar:  ", 
   0.09374132330483091, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7275099122465525`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360736439874*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3309", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2159830537005925`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7318990516900827`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09336700035366616`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7318990516900827`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3309, "   tar:  ", 1.165, "   tarstar:  ", 1.295, "   R:  ", 
   3.2159830537005925`, "   Bstar:  ", 3.7318990516900827`, "   Xstar:  ", 
   0.09336700035366616, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7318990516900827`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073644217424`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3310", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.216135078352272`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7362857393424287`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0929948169672055`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7362857393424287`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3310, "   tar:  ", 1.1675, "   tarstar:  ", 1.295, "   R:  ", 
   3.216135078352272, "   Bstar:  ", 3.7362857393424287`, "   Xstar:  ", 
   0.0929948169672055, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7362857393424287`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073644457445`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3311", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2162835946920194`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.740669975398493`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09262475769903115`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.740669975398493`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3311, "   tar:  ", 1.17, "   tarstar:  ", 1.295, "   R:  ", 
   3.2162835946920194`, "   Bstar:  ", 3.740669975398493, "   Xstar:  ", 
   0.09262475769903115, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.740669975398493^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073644697475`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3312", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2164286458348044`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.745051760101736`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09225680723280232`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.745051760101736`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3312, "   tar:  ", 1.1725, "   tarstar:  ", 1.295, "   R:  ", 
   3.2164286458348044`, "   Bstar:  ", 3.745051760101736, "   Xstar:  ", 
   0.09225680723280232, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.745051760101736^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073644937496`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3313", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.21657027436774`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7494310937434308`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09189095038106389`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7494310937434308`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3313, "   tar:  ", 1.175, "   tarstar:  ", 1.295, "   R:  ", 
   3.21657027436774, "   Bstar:  ", 3.7494310937434308`, "   Xstar:  ", 
   0.09189095038106389, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7494310937434308`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607364511751*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3314", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2167085223568943`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7538079766619075`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09152717208406735`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7538079766619075`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3314, "   tar:  ", 1.1775, "   tarstar:  ", 1.295, "   R:  ", 
   3.2167085223568943`, "   Bstar:  ", 3.7538079766619075`, "   Xstar:  ", 
   0.09152717208406735, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7538079766619075`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607364527753*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3315", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2168434313540404`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7581824092418037`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09116545740860309`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7581824092418037`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3315, "   tar:  ", 1.18, "   tarstar:  ", 1.295, "   R:  ", 
   3.2168434313540404`, "   Bstar:  ", 3.7581824092418037`, "   Xstar:  ", 
   0.09116545740860309, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7581824092418037`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073645447545`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3316", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2169750424032824`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.762554391913351`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09080579154684083`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.762554391913351`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3316, "   tar:  ", 1.1825, "   tarstar:  ", 1.295, "   R:  ", 
   3.2169750424032824`, "   Bstar:  ", 3.762554391913351, "   Xstar:  ", 
   0.09080579154684083, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.762554391913351^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073645597563`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3317", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2171033960476234`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.76692392515163`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09044815981518443`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.76692392515163`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3317, "   tar:  ", 1.185, "   tarstar:  ", 1.295, "   R:  ", 
   3.2171033960476234`, "   Bstar:  ", 3.76692392515163, "   Xstar:  ", 
   0.09044815981518443, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.76692392515163^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073645747576`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3318", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2172285323354157`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7712910094758945`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09009254765313131`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7712910094758945`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3318, "   tar:  ", 1.1875, "   tarstar:  ", 1.295, "   R:  ", 
   3.2172285323354157`, "   Bstar:  ", 3.7712910094758945`, "   Xstar:  ", 
   0.09009254765313131, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7712910094758945`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073645907593`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3319", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.217350490826751`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.77565564544885`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08973894062214803`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.77565564544885`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3319, "   tar:  ", 1.19, "   tarstar:  ", 1.295, "   R:  ", 
   3.217350490826751, "   Bstar:  ", 3.77565564544885, "   Xstar:  ", 
   0.08973894062214803, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.77565564544885^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607364606761*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3320", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2174693105997343`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7800178336759576`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08938732440455363`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7800178336759576`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3320, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.295, 
   "   R:  ", 3.2174693105997343`, "   Bstar:  ", 3.7800178336759576`, 
   "   Xstar:  ", 0.08938732440455363, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7800178336759576`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073646217623`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3321", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2175850302567004`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.784377574804783`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08903768480241146`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.784377574804783`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3321, "   tar:  ", 1.195, "   tarstar:  ", 1.295, "   R:  ", 
   3.2175850302567004`, "   Bstar:  ", 3.784377574804783, "   Xstar:  ", 
   0.08903768480241146, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.784377574804783^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607364638764*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3322", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.217697687930323`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7887348695243097`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08869000773643367`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7887348695243097`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3322, "   tar:  ", 1.1975, "   tarstar:  ", 1.295, "   R:  ", 
   3.217697687930323, "   Bstar:  ", 3.7887348695243097`, "   Xstar:  ", 
   0.08869000773643367, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7887348695243097`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607364656766*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3323", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.217807321289654`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.793089718564273`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08834427924489575`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.793089718564273`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3323, "   tar:  ", 1.2, "   tarstar:  ", 1.295, "   R:  ", 
   3.217807321289654, "   Bstar:  ", 3.793089718564273, "   Xstar:  ", 
   0.08834427924489575, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.793089718564273^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073646737676`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3324", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2179139675460884`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7974421226945068`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08800048548256016`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7974421226945068`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3324, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.295, 
   "   R:  ", 3.2179139675460884`, "   Bstar:  ", 3.7974421226945068`, 
   "   Xstar:  ", 0.08800048548256016, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7974421226945068`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607364691769*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3325", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218017663459225`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.801792082724338`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0876586127196071`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.801792082724338`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3325, "   tar:  ", 1.205, "   tarstar:  ", 1.295, "   R:  ", 
   3.218017663459225, "   Bstar:  ", 3.801792082724338, "   Xstar:  ", 
   0.0876586127196071, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.801792082724338^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607364710771*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3326", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2181184453426583`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.806139599501918`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0873186473405808`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.806139599501918`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3326, "   tar:  ", 1.2075, "   tarstar:  ", 1.295, "   R:  ", 
   3.2181184453426583`, "   Bstar:  ", 3.806139599501918, "   Xstar:  ", 
   0.0873186473405808, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.806139599501918^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607364725773*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3327", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2182163490697095`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8104846739136065`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.086980575843342`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8104846739136065`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3327, "   tar:  ", 1.21, "   tarstar:  ", 1.295, "   R:  ", 
   3.2182163490697095`, "   Bstar:  ", 3.8104846739136065`, "   Xstar:  ", 
   0.086980575843342, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8104846739136065`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073647437744`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3328", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.218311410079054`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.814827306883365`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08664438483803012`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.814827306883365`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3328, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.295, 
   "   R:  ", 3.218311410079054, "   Bstar:  ", 3.814827306883365, 
   "   Xstar:  ", 0.08664438483803012, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.814827306883365^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073647587757`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3329", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.21840366338028`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8191674993721523`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08631006104603552`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8191674993721523`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3329, "   tar:  ", 1.215, "   tarstar:  ", 1.295, "   R:  ", 
   3.21840366338028, "   Bstar:  ", 3.8191674993721523`, "   Xstar:  ", 
   0.08631006104603552, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8191674993721523`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073647767777`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3330", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2184931435593835`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8235052523773208`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08597759129898205`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8235052523773208`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3330, "   tar:  ", 1.2175, "   tarstar:  ", 1.295, "   R:  ", 
   3.2184931435593835`, "   Bstar:  ", 3.8235052523773208`, "   Xstar:  ", 
   0.08597759129898205, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8235052523773208`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360736479778*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3331", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.21857988478418`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8278405669320397`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08564696253771745`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8278405669320397`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3331, "   tar:  ", 1.22, "   tarstar:  ", 1.295, "   R:  ", 
   3.21857988478418, "   Bstar:  ", 3.8278405669320397`, "   Xstar:  ", 
   0.08564696253771745, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8278405669320397`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607364821782*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3332", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2186639208096373`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8321734441046944`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08531816181131553`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8321734441046944`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3332, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.295, 
   "   R:  ", 3.2186639208096373`, "   Bstar:  ", 3.8321734441046944`, 
   "   Xstar:  ", 0.08531816181131553, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8321734441046944`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073648417845`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3333", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218745284983144`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8365038849983364`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08499117627608471`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8365038849983364`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3333, "   tar:  ", 1.225, "   tarstar:  ", 1.295, "   R:  ", 
   3.218745284983144, "   Bstar:  ", 3.8365038849983364`, "   Xstar:  ", 
   0.08499117627608471, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8365038849983364`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073648647866`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3334", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2188240102497176`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.840831890750115`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08466599319458766`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.840831890750115`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3334, "   tar:  ", 1.2275, "   tarstar:  ", 1.295, "   R:  ", 
   3.2188240102497176`, "   Bstar:  ", 3.840831890750115, "   Xstar:  ", 
   0.08466599319458766, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.840831890750115^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607364887789*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3335", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218900129157111`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8451574625307`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08434259993467129`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8451574625307`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3335, "   tar:  ", 1.23, "   tarstar:  ", 1.295, "   R:  ", 
   3.218900129157111, "   Bstar:  ", 3.8451574625307, "   Xstar:  ", 
   0.08434259993467129, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8451574625307^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073649107914`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3336", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2189736738608845`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.849480601543782`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08402098396850047`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.849480601543782`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3336, "   tar:  ", 1.2325, "   tarstar:  ", 1.295, "   R:  ", 
   3.2189736738608845`, "   Bstar:  ", 3.849480601543782, "   Xstar:  ", 
   0.08402098396850047, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.849480601543782^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073649307933`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3337", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2190446761293865`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.853801309025487`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08370113287160849`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.853801309025487`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3337, "   tar:  ", 1.235, "   tarstar:  ", 1.295, "   R:  ", 
   3.2190446761293865`, "   Bstar:  ", 3.853801309025487, "   Xstar:  ", 
   0.08370113287160849, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.853801309025487^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073649497952`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3338", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2191131673486817`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8581195862438578`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08338303432195078`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8581195862438578`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3338, "   tar:  ", 1.2375, "   tarstar:  ", 1.295, "   R:  ", 
   3.2191131673486817`, "   Bstar:  ", 3.8581195862438578`, "   Xstar:  ", 
   0.08338303432195078, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8581195862438578`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073649727974`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3339", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219179178527396`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8624354344983436`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08306667609896892`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8624354344983436`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3339, "   tar:  ", 1.24, "   tarstar:  ", 1.295, "   R:  ", 
   3.219179178527396, "   Bstar:  ", 3.8624354344983436`, "   Xstar:  ", 
   0.08306667609896892, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8624354344983436`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607364990799*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3340", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219242740301516`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.866748855119272`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08275204608266401`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.866748855119272`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3340, "   tar:  ", 1.2425, "   tarstar:  ", 1.295, "   R:  ", 
   3.219242740301516, "   Bstar:  ", 3.866748855119272, "   Xstar:  ", 
   0.08275204608266401, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.866748855119272^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607365007801*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3341", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2193038829391103`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.871059849467315`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08243913225268051`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.871059849467315`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3341, "   tar:  ", 1.245, "   tarstar:  ", 1.295, "   R:  ", 
   3.2193038829391103`, "   Bstar:  ", 3.871059849467315, "   Xstar:  ", 
   0.08243913225268051, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.871059849467315^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073650218024`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3342", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2193626363449934`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.875368418933056`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08212792268739152`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.875368418933056`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3342, "   tar:  ", 1.2475, "   tarstar:  ", 1.295, "   R:  ", 
   3.2193626363449934`, "   Bstar:  ", 3.875368418933056, "   Xstar:  ", 
   0.08212792268739152, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.875368418933056^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607365039804*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3343", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2194190300653185`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8796745649364133`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.081818405563004`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8796745649364133`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3343, "   tar:  ", 1.25, "   tarstar:  ", 1.295, "   R:  ", 
   3.2194190300653185`, "   Bstar:  ", 3.8796745649364133`, "   Xstar:  ", 
   0.081818405563004, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8796745649364133`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073650568056`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3344", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2194730932921267`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.88397828892621`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08151056915266185`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.88397828892621`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3344, "   tar:  ", 1.2525, "   tarstar:  ", 1.295, "   R:  ", 
   3.2194730932921267`, "   Bstar:  ", 3.88397828892621, "   Xstar:  ", 
   0.08151056915266185, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.88397828892621^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073650738077`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3345", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2195248548678124`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8882795923796527`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08120440182556471`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8882795923796527`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3345, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.295, 
   "   R:  ", 3.2195248548678124`, "   Bstar:  ", 3.8882795923796527`, 
   "   Xstar:  ", 0.08120440182556471, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8882795923796527`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073650928097`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3346", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219574343289541`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.892578476801893`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08089989204609019`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.892578476801893`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3346, "   tar:  ", 1.2575, "   tarstar:  ", 1.295, "   R:  ", 
   3.219574343289541, "   Bstar:  ", 3.892578476801893, "   Xstar:  ", 
   0.08089989204609019, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.892578476801893^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607365108811*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3347", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219621586713615`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8968749437255283`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08059702837292801`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8968749437255283`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3347, "   tar:  ", 1.26, "   tarstar:  ", 1.295, "   R:  ", 
   3.219621586713615, "   Bstar:  ", 3.8968749437255283`, "   Xstar:  ", 
   0.08059702837292801, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8968749437255283`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073651238127`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3348", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219666612959768`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9011689947101673`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08029579945821966`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9011689947101673`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3348, "   tar:  ", 1.2625, "   tarstar:  ", 1.295, "   R:  ", 
   3.219666612959768, "   Bstar:  ", 3.9011689947101673`, "   Xstar:  ", 
   0.08029579945821966, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9011689947101673`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607365143814*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3349", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2197094495153986`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.905460631341954`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.07999619404670862`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.905460631341954`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3349, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.295, 
   "   R:  ", 3.2197094495153986`, "   Bstar:  ", 3.905460631341954, 
   "   Xstar:  ", 0.07999619404670862, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.905460631341954^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607365159816*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3350", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.21975012353977`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.909749855233143`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07969820097489547`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.909749855233143`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3350, "   tar:  ", 1.2675, "   tarstar:  ", 1.295, "   R:  ", 
   3.21975012353977, "   Bstar:  ", 3.909749855233143, "   Xstar:  ", 
   0.07969820097489547, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.909749855233143^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073651778183`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3351", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2197886618681246`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9140366680216174`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07940180917020633`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9140366680216174`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3351, "   tar:  ", 1.27, "   tarstar:  ", 1.295, "   R:  ", 
   3.2197886618681246`, "   Bstar:  ", 3.9140366680216174`, "   Xstar:  ", 
   0.07940180917020633, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9140366680216174`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073651938195`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3352", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2198250910157675`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9183210713704937`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07910700765016293`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9183210713704937`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3352, "   tar:  ", 1.2725, "   tarstar:  ", 1.295, "   R:  ", 
   3.2198250910157675`, "   Bstar:  ", 3.9183210713704937`, "   Xstar:  ", 
   0.07910700765016293, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9183210713704937`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607365210821*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3353", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.21985943718208`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.922603066967677`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07881378552156416`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.922603066967677`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3353, "   tar:  ", 1.275, "   tarstar:  ", 1.295, "   R:  ", 
   3.21985943718208, "   Bstar:  ", 3.922603066967677, "   Xstar:  ", 
   0.07881378552156416, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.922603066967677^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073652258224`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3354", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.21989172625449`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.926882656525453`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07852213197967396`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.926882656525453`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3354, "   tar:  ", 1.2775, "   tarstar:  ", 1.295, "   R:  ", 
   3.21989172625449, "   Bstar:  ", 3.926882656525453, "   Xstar:  ", 
   0.07852213197967396, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.926882656525453^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073652428246`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3355", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219921983812376`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9311598417800218`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07823203630742127`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9311598417800218`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3355, "   tar:  ", 1.28, "   tarstar:  ", 1.295, "   R:  ", 
   3.219921983812376, "   Bstar:  ", 3.9311598417800218`, "   Xstar:  ", 
   0.07823203630742127, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9311598417800218`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073652658267`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3356", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219950235130939`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.935434624491158`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07794348787459882`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.935434624491158`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3356, "   tar:  ", 1.2825, "   tarstar:  ", 1.295, "   R:  ", 
   3.219950235130939, "   Bstar:  ", 3.935434624491158, "   Xstar:  ", 
   0.07794348787459882, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.935434624491158^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607365291829*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3357", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2199765051850044`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.9397070064417226`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.07765647613708064`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9397070064417226`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3357, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.295, 
   "   R:  ", 3.2199765051850044`, "   Bstar:  ", 3.9397070064417226`, 
   "   Xstar:  ", 0.07765647613708064, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9397070064417226`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073653128314`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3358", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2200008186527804`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9439769894373606`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07737099063603455`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9439769894373606`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3358, "   tar:  ", 1.2875, "   tarstar:  ", 1.295, "   R:  ", 
   3.2200008186527804`, "   Bstar:  ", 3.9439769894373606`, "   Xstar:  ", 
   0.07737099063603455, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9439769894373606`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073653328333`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3359", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2200231999195674`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9482445753060014`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07708702099715593`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9482445753060014`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3359, "   tar:  ", 1.29, "   tarstar:  ", 1.295, "   R:  ", 
   3.2200231999195674`, "   Bstar:  ", 3.9482445753060014`, "   Xstar:  ", 
   0.07708702099715593, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9482445753060014`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073653498354`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3360", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220043673081425`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9525097658975783`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07680455692989437`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9525097658975783`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3360, "   tar:  ", 1.2925, "   tarstar:  ", 1.295, "   R:  ", 
   3.220043673081425, "   Bstar:  ", 3.9525097658975783`, "   Xstar:  ", 
   0.07680455692989437, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9525097658975783`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073653698373`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3361", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2200622619487653`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9567725630835358`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07652358822670241`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9567725630835358`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3361, "   tar:  ", 1.295, "   tarstar:  ", 1.295, "   R:  ", 
   3.2200622619487653`, "   Bstar:  ", 3.9567725630835358`, "   Xstar:  ", 
   0.07652358822670241, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9567725630835358`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360736539384*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3362", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220078990049931`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9610329687565335`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0762441047622787`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9610329687565335`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3362, "   tar:  ", 1.2975, "   tarstar:  ", 1.295, "   R:  ", 
   3.220078990049931, "   Bstar:  ", 3.9610329687565335`, "   Xstar:  ", 
   0.0762441047622787, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9610329687565335`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073654168415`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3363", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.295`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.220093880634705`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.965290984830048`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07596609649282543`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.965290984830048`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3363, "   tar:  ", 1.3, "   tarstar:  ", 1.295, "   R:  ", 
   3.220093880634705, "   Bstar:  ", 3.965290984830048, "   Xstar:  ", 
   0.07596609649282543, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.965290984830048^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073654358435`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3364", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.214912838527768`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.719441935102842`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09443447293944852`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.719441935102842`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3364, "   tar:  ", 1.155, "   tarstar:  ", 1.2975, "   R:  ", 
   3.214912838527768, "   Bstar:  ", 3.719441935102842, "   Xstar:  ", 
   0.09443447293944852, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.719441935102842^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073654548454`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3365", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.215078679117886`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.723846039857341`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09405528112981332`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.723846039857341`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3365, "   tar:  ", 1.1575, "   tarstar:  ", 1.2975, "   R:  ", 
   3.215078679117886, "   Bstar:  ", 3.723846039857341, "   Xstar:  ", 
   0.09405528112981332, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.723846039857341^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073654728475`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3366", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2152408461832174`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.72824768297017`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09367826772468472`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.72824768297017`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3366, "   tar:  ", 1.16, "   tarstar:  ", 1.2975, "   R:  ", 
   3.2152408461832174`, "   Bstar:  ", 3.72824768297017, "   Xstar:  ", 
   0.09367826772468472, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.72824768297017^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607365489849*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3367", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2153993848847797`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.732646864525982`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.093303416928152`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.732646864525982`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3367, "   tar:  ", 1.1625, "   tarstar:  ", 1.2975, "   R:  ", 
   3.2153993848847797`, "   Bstar:  ", 3.732646864525982, "   Xstar:  ", 
   0.093303416928152, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.732646864525982^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607365505851*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3368", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2155543398288042`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7370435846601207`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09293071307776145`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7370435846601207`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3368, "   tar:  ", 1.165, "   tarstar:  ", 1.2975, "   R:  ", 
   3.2155543398288042`, "   Bstar:  ", 3.7370435846601207`, "   Xstar:  ", 
   0.09293071307776145, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7370435846601207`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073655218525`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3369", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.215705755073933`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7414378435577973`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0925601406432968`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7414378435577973`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3369, "   tar:  ", 1.1675, "   tarstar:  ", 1.2975, "   R:  ", 
   3.215705755073933, "   Bstar:  ", 3.7414378435577973`, "   Xstar:  ", 
   0.0925601406432968, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7414378435577973`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607365539854*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3370", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.215853674138322`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7458296414533363`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09219168422556516`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7458296414533363`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3370, "   tar:  ", 1.17, "   tarstar:  ", 1.2975, "   R:  ", 
   3.215853674138322, "   Bstar:  ", 3.7458296414533363`, "   Xstar:  ", 
   0.09219168422556516, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7458296414533363`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607365557856*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3371", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2159981400066475`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7502189786293836`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0918253285551981`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7502189786293836`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3371, "   tar:  ", 1.1725, "   tarstar:  ", 1.2975, "   R:  ", 
   3.2159981400066475`, "   Bstar:  ", 3.7502189786293836`, "   Xstar:  ", 
   0.0918253285551981, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7502189786293836`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073655728574`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3372", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2161391951370195`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7546058554161523`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09146105849146159`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7546058554161523`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3372, "   tar:  ", 1.175, "   tarstar:  ", 1.2975, "   R:  ", 
   3.2161391951370195`, "   Bstar:  ", 3.7546058554161523`, "   Xstar:  ", 
   0.09146105849146159, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7546058554161523`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607365587859*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3373", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2162768814677873`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7589902721906805`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09109885902107634`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7589902721906805`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3373, "   tar:  ", 1.1775, "   tarstar:  ", 1.2975, "   R:  ", 
   3.2162768814677873`, "   Bstar:  ", 3.7589902721906805`, "   Xstar:  ", 
   0.09109885902107634, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7589902721906805`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073656028605`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3374", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2164112404242813`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7633722293761047`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0907387152570481`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7633722293761047`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3374, "   tar:  ", 1.18, "   tarstar:  ", 1.2975, "   R:  ", 
   3.2164112404242813`, "   Bstar:  ", 3.7633722293761047`, "   Xstar:  ", 
   0.0907387152570481, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7633722293761047`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073656218624`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3375", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2165423129254265`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7677517274408645`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09038061243751545`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7677517274408645`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3375, "   tar:  ", 1.1825, "   tarstar:  ", 1.2975, "   R:  ", 
   3.2165423129254265`, "   Bstar:  ", 3.7677517274408645`, "   Xstar:  ", 
   0.09038061243751545, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7677517274408645`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607365637864*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3376", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.216670139390291`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7721287668980934`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09002453592459381`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7721287668980934`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3376, "   tar:  ", 1.185, "   tarstar:  ", 1.2975, "   R:  ", 
   3.216670139390291, "   Bstar:  ", 3.7721287668980934`, "   Xstar:  ", 
   0.09002453592459381, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7721287668980934`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073656598663`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3377", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.21679475974454`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7765033483047987`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08967047120324728`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7765033483047987`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3377, "   tar:  ", 1.1875, "   tarstar:  ", 1.2975, "   R:  ", 
   3.21679475974454, "   Bstar:  ", 3.7765033483047987`, "   Xstar:  ", 
   0.08967047120324728, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7765033483047987`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073656758676`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3378", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2169162134268015`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.780875472261241`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08931840388015608`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.780875472261241`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3378, "   tar:  ", 1.19, "   tarstar:  ", 1.2975, "   R:  ", 
   3.2169162134268015`, "   Bstar:  ", 3.780875472261241, "   Xstar:  ", 
   0.08931840388015608, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.780875472261241^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073656918693`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3379", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.217034539394936`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7852451394102222`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08896831968260234`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7852451394102222`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3379, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.2975, 
   "   R:  ", 3.217034539394936, "   Bstar:  ", 3.7852451394102222`, 
   "   Xstar:  ", 0.08896831968260234, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7852451394102222`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607365706871*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3380", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2171497761322363`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.789612350436413`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08862020445736327`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.789612350436413`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3380, "   tar:  ", 1.195, "   tarstar:  ", 1.2975, "   R:  ", 
   3.2171497761322363`, "   Bstar:  ", 3.789612350436413, "   Xstar:  ", 
   0.08862020445736327, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.789612350436413^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073657318735`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3381", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.217261961653533`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7939771060656615`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08827404416961751`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7939771060656615`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3381, "   tar:  ", 1.1975, "   tarstar:  ", 1.2975, "   R:  ", 
   3.217261961653533, "   Bstar:  ", 3.7939771060656615`, "   Xstar:  ", 
   0.08827404416961751, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7939771060656615`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073657548757`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3382", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2173711335112216`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7983394070643697`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08792982490185629`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7983394070643697`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3382, "   tar:  ", 1.2, "   tarstar:  ", 1.2975, "   R:  ", 
   3.2173711335112216`, "   Bstar:  ", 3.7983394070643697`, "   Xstar:  ", 
   0.08792982490185629, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7983394070643697`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607365777878*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3383", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2174773288012`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.80269925423881`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0875875328528102`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.80269925423881`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3383, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.2975, 
   "   R:  ", 3.2174773288012, "   Bstar:  ", 3.80269925423881, "   Xstar:  ",
    0.0875875328528102, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.80269925423881^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073658008804`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3384", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.217580584168747`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8070566484345174`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08724715433638094`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8070566484345174`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3384, "   tar:  ", 1.205, "   tarstar:  ", 1.2975, "   R:  ", 
   3.217580584168747, "   Bstar:  ", 3.8070566484345174`, "   Xstar:  ", 
   0.08724715433638094, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8070566484345174`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607365819882*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3385", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2176809358142817`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8114115905356476`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08690867578058595`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8114115905356476`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3385, "   tar:  ", 1.2075, "   tarstar:  ", 1.2975, "   R:  ", 
   3.2176809358142817`, "   Bstar:  ", 3.8114115905356476`, "   Xstar:  ", 
   0.08690867578058595, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8114115905356476`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607365840884*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3386", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.217778419499092`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8157640814643496`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08657208372651266`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8157640814643496`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3386, "   tar:  ", 1.21, "   tarstar:  ", 1.2975, "   R:  ", 
   3.217778419499092, "   Bstar:  ", 3.8157640814643496`, "   Xstar:  ", 
   0.08657208372651266, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8157640814643496`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607365866887*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3387", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2178730705509455`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8201141221801533`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08623736482728177`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8201141221801533`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3387, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.2975, 
   "   R:  ", 3.2178730705509455`, "   Bstar:  ", 3.8201141221801533`, 
   "   Xstar:  ", 0.08623736482728177, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8201141221801533`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073658938894`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3388", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.217964923869649`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.82446171367937`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08590450584701972`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.82446171367937`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3388, "   tar:  ", 1.215, "   tarstar:  ", 1.2975, "   R:  ", 
   3.217964923869649, "   Bstar:  ", 3.82446171367937, "   Xstar:  ", 
   0.08590450584701972, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.82446171367937^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607365917892*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3389", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218054013932524`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8288068569944986`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08557349365984138`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8288068569944986`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3389, "   tar:  ", 1.2175, "   tarstar:  ", 1.2975, "   R:  ", 
   3.218054013932524, "   Bstar:  ", 3.8288068569944986`, "   Xstar:  ", 
   0.08557349365984138, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8288068569944986`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073659358935`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3390", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218140374799801`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.833149553193645`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08524431524884146`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.833149553193645`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3390, "   tar:  ", 1.22, "   tarstar:  ", 1.2975, "   R:  ", 
   3.218140374799801, "   Bstar:  ", 3.833149553193645, "   Xstar:  ", 
   0.08524431524884146, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.833149553193645^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073659538956`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3391", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.218224040119963`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8374898033799116`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08491695770509823`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8374898033799116`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3391, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.2975, 
   "   R:  ", 3.218224040119963, "   Bstar:  ", 3.8374898033799116`, 
   "   Xstar:  ", 0.08491695770509823, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8374898033799116`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073659728975`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3392", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2183050431349867`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8418276086908794`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08459140822668056`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8418276086908794`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3392, "   tar:  ", 1.225, "   tarstar:  ", 1.2975, "   R:  ", 
   3.2183050431349867`, "   Bstar:  ", 3.8418276086908794`, "   Xstar:  ", 
   0.08459140822668056, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8418276086908794`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607365988899*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3393", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218383416685543`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8461629702979914`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08426765411767176`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8461629702979914`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3393, "   tar:  ", 1.2275, "   tarstar:  ", 1.2975, "   R:  ", 
   3.218383416685543, "   Bstar:  ", 3.8461629702979914`, "   Xstar:  ", 
   0.08426765411767176, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8461629702979914`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607366004901*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3394", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218459193216096`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.850495889406054`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0839456827871947`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.850495889406054`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3394, "   tar:  ", 1.23, "   tarstar:  ", 1.2975, "   R:  ", 
   3.218459193216096, "   Bstar:  ", 3.850495889406054, "   Xstar:  ", 
   0.0839456827871947, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.850495889406054^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073660229025`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3395", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2185324047799666`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.854826367252636`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0836254817484541`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.854826367252636`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3395, "   tar:  ", 1.2325, "   tarstar:  ", 1.2975, "   R:  ", 
   3.2185324047799666`, "   Bstar:  ", 3.854826367252636, "   Xstar:  ", 
   0.0836254817484541, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.854826367252636^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607366038904*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3396", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218603083044305`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8591544051075792`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08330703861778027`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8591544051075792`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3396, "   tar:  ", 1.235, "   tarstar:  ", 1.2975, "   R:  ", 
   3.218603083044305, "   Bstar:  ", 3.8591544051075792`, "   Xstar:  ", 
   0.08330703861778027, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8591544051075792`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607366054906*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3397", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218671259294988`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8634800042724278`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08299034111368822`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8634800042724278`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3397, "   tar:  ", 1.2375, "   tarstar:  ", 1.2975, "   R:  ", 
   3.218671259294988, "   Bstar:  ", 3.8634800042724278`, "   Xstar:  ", 
   0.08299034111368822, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8634800042724278`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607366071907*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3398", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218736964441495`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8678031660799257`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08267537705594134`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8678031660799257`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3398, "   tar:  ", 1.24, "   tarstar:  ", 1.2975, "   R:  ", 
   3.218736964441495, "   Bstar:  ", 3.8678031660799257`, "   Xstar:  ", 
   0.08267537705594134, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8678031660799257`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073660879087`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3399", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218800229021652`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8721238918935077`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08236213436462479`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8721238918935077`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3399, "   tar:  ", 1.2425, "   tarstar:  ", 1.2975, "   R:  ", 
   3.218800229021652, "   Bstar:  ", 3.8721238918935077`, "   Xstar:  ", 
   0.08236213436462479, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8721238918935077`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073661019106`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3400", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2188610832063844`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.876442183106779`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08205060105922898`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.876442183106779`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3400, "   tar:  ", 1.245, "   tarstar:  ", 1.2975, "   R:  ", 
   3.2188610832063844`, "   Bstar:  ", 3.876442183106779, "   Xstar:  ", 
   0.08205060105922898, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.876442183106779^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607366119912*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3401", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2189195568043307`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8807580411429914`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08174076525774278`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8807580411429914`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3401, "   tar:  ", 1.2475, "   tarstar:  ", 1.2975, "   R:  ", 
   3.2189195568043307`, "   Bstar:  ", 3.8807580411429914`, "   Xstar:  ", 
   0.08174076525774278, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8807580411429914`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607366139914*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3402", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2189756792664665`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.885071467454631`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08143261517574726`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.885071467454631`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3402, "   tar:  ", 1.25, "   tarstar:  ", 1.2975, "   R:  ", 
   3.2189756792664665`, "   Bstar:  ", 3.885071467454631, "   Xstar:  ", 
   0.08143261517574726, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.885071467454631^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607366154916*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3403", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219029479690611`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.889382463522809`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0811261391255331`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.889382463522809`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3403, "   tar:  ", 1.2525, "   tarstar:  ", 1.2975, "   R:  ", 
   3.219029479690611, "   Bstar:  ", 3.889382463522809, "   Xstar:  ", 
   0.0811261391255331, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.889382463522809^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073661759176`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3404", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2190809868259023`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8936910308568993`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08082132551520899`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8936910308568993`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3404, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.2975, 
   "   R:  ", 3.2190809868259023`, "   Bstar:  ", 3.8936910308568993`, 
   "   Xstar:  ", 0.08082132551520899, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8936910308568993`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073661949196`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3405", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2191302290771997`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8979971709939862`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08051816284783239`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8979971709939862`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3405, "   tar:  ", 1.2575, "   tarstar:  ", 1.2975, "   R:  ", 
   3.2191302290771997`, "   Bstar:  ", 3.8979971709939862`, "   Xstar:  ", 
   0.08051816284783239, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8979971709939862`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607366217922*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3406", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219177234509442`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9023008854984416`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08021663972054036`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9023008854984416`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3406, "   tar:  ", 1.26, "   tarstar:  ", 1.2975, "   R:  ", 
   3.219177234509442, "   Bstar:  ", 3.9023008854984416`, "   Xstar:  ", 
   0.08021663972054036, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9023008854984416`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607366238924*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3407", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219222030851924`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9066021759614276`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07991674482369346`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9066021759614276`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3407, "   tar:  ", 1.2625, "   tarstar:  ", 1.2975, "   R:  ", 
   3.219222030851924, "   Bstar:  ", 3.9066021759614276`, "   Xstar:  ", 
   0.07991674482369346, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9066021759614276`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607366264927*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3408", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2192646455025384`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.910901044000486`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.07961846694002303`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.910901044000486`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3408, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.2975, 
   "   R:  ", 3.2192646455025384`, "   Bstar:  ", 3.910901044000486, 
   "   Xstar:  ", 0.07961846694002303, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.910901044000486^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073662899294`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3409", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2193051055319497`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.915197491259068`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07932179494379074`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.915197491259068`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3409, "   tar:  ", 1.2675, "   tarstar:  ", 1.2975, "   R:  ", 
   3.2193051055319497`, "   Bstar:  ", 3.915197491259068, "   Xstar:  ", 
   0.07932179494379074, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.915197491259068^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073663099313`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3410", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219343437687711`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.919491519406077`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07902671779995595`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.919491519406077`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3410, "   tar:  ", 1.27, "   tarstar:  ", 1.2975, "   R:  ", 
   3.219343437687711, "   Bstar:  ", 3.919491519406077, "   Xstar:  ", 
   0.07902671779995595, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.919491519406077^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607366331933*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3411", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219379668398327`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9237831301354698`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07873322456334671`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9237831301354698`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3411, "   tar:  ", 1.2725, "   tarstar:  ", 1.2975, "   R:  ", 
   3.219379668398327, "   Bstar:  ", 3.9237831301354698`, "   Xstar:  ", 
   0.07873322456334671, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9237831301354698`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073663499355`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3412", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219413823777275`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9280723251658234`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07844130437784279`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9280723251658234`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3412, "   tar:  ", 1.275, "   tarstar:  ", 1.2975, "   R:  ", 
   3.219413823777275, "   Bstar:  ", 3.9280723251658234`, "   Xstar:  ", 
   0.07844130437784279, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9280723251658234`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607366367937*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3413", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219445929626948`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9323591062398653`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0781509464755677`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9323591062398653`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3413, "   tar:  ", 1.2775, "   tarstar:  ", 1.2975, "   R:  ", 
   3.219445929626948, "   Bstar:  ", 3.9323591062398653`, "   Xstar:  ", 
   0.0781509464755677, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9323591062398653`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073663839383`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3414", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219476011442567`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9366434751241255`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07786214017608209`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9366434751241255`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3414, "   tar:  ", 1.28, "   tarstar:  ", 1.2975, "   R:  ", 
   3.219476011442567, "   Bstar:  ", 3.9366434751241255`, "   Xstar:  ", 
   0.07786214017608209, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9366434751241255`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360736640094*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3415", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2195040944160347`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.940925433608475`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07757487488559199`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.940925433608475`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3415, "   tar:  ", 1.2825, "   tarstar:  ", 1.2975, "   R:  ", 
   3.2195040944160347`, "   Bstar:  ", 3.940925433608475, "   Xstar:  ", 
   0.07757487488559199, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.940925433608475^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073664169416`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3416", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2195302034397284`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.945204983505746`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.07728914009615984`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.945204983505746`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3416, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.2975, 
   "   R:  ", 3.2195302034397284`, "   Bstar:  ", 3.945204983505746, 
   "   Xstar:  ", 0.07728914009615984, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.945204983505746^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607366440944*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3417", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219554363110255`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.949482126651341`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07700492538492425`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.949482126651341`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3417, "   tar:  ", 1.2875, "   tarstar:  ", 1.2975, "   R:  ", 
   3.219554363110255, "   Bstar:  ", 3.949482126651341, "   Xstar:  ", 
   0.07700492538492425, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.949482126651341^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073664639463`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3418", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2195765977321513`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.953756864902808`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07672222041332977`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.953756864902808`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3418, "   tar:  ", 1.29, "   tarstar:  ", 1.2975, "   R:  ", 
   3.2195765977321513`, "   Bstar:  ", 3.953756864902808, "   Xstar:  ", 
   0.07672222041332977, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.953756864902808^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607366490949*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3419", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2195969313215307`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9580292001394715`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07644101492636038`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9580292001394715`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3419, "   tar:  ", 1.2925, "   tarstar:  ", 1.2975, "   R:  ", 
   3.2195969313215307`, "   Bstar:  ", 3.9580292001394715`, "   Xstar:  ", 
   0.07644101492636038, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9580292001394715`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607366510951*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3420", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2196153876096907`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.962299134262064`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07616129875178143`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.962299134262064`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3420, "   tar:  ", 1.295, "   tarstar:  ", 1.2975, "   R:  ", 
   3.2196153876096907`, "   Bstar:  ", 3.962299134262064, "   Xstar:  ", 
   0.07616129875178143, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.962299134262064^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607366536954*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3421", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2196319900466683`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.966566669192316`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07588306179939118`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.966566669192316`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3421, "   tar:  ", 1.2975, "   tarstar:  ", 1.2975, "   R:  ", 
   3.2196319900466683`, "   Bstar:  ", 3.966566669192316, "   Xstar:  ", 
   0.07588306179939118, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.966566669192316^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607366560956*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3422", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.2975`", "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219646761804737`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.97083180687262`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07560629406027525`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.97083180687262`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3422, "   tar:  ", 1.3, "   tarstar:  ", 1.2975, "   R:  ", 
   3.219646761804737, "   Bstar:  ", 3.97083180687262, "   Xstar:  ", 
   0.07560629406027525, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.97083180687262^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607366586959*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3423", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.155`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2144889717577696`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.724554660181687`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09399445331713395`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.724554660181687`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3423, "   tar:  ", 1.155, "   tarstar:  ", 1.3, "   R:  ", 
   3.2144889717577696`, "   Bstar:  ", 3.724554660181687, "   Xstar:  ", 
   0.09399445331713395, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.724554660181687^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607366606961*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3424", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2146541570104796`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7289663681140457`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09361689611352791`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7289663681140457`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3424, "   tar:  ", 1.1575, "   tarstar:  ", 1.3, "   R:  ", 
   3.2146541570104796`, "   Bstar:  ", 3.7289663681140457`, "   Xstar:  ", 
   0.09361689611352791, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7289663681140457`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073666269627`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3425", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.214815681342864`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7333756048537152`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09324150905925675`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7333756048537152`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3425, "   tar:  ", 1.16, "   tarstar:  ", 1.3, "   R:  ", 
   3.214815681342864, "   Bstar:  ", 3.7333756048537152`, "   Xstar:  ", 
   0.09324150905925675, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7333756048537152`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607366651965*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3426", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.214973589780839`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7377823705254505`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09286827640628446`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7377823705254505`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3426, "   tar:  ", 1.1625, "   tarstar:  ", 1.3, "   R:  ", 
   3.214973589780839, "   Bstar:  ", 3.7377823705254505`, "   Xstar:  ", 
   0.09286827640628446, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7377823705254505`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073666759677`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3427", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.165`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2151279267968804`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.742186665304454`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09249718253977884`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.742186665304454`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3427, "   tar:  ", 1.165, "   tarstar:  ", 1.3, "   R:  ", 
   3.2151279267968804`, "   Bstar:  ", 3.742186665304454, "   Xstar:  ", 
   0.09249718253977884, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.742186665304454^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073667039704`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3428", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.215278736317202`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7465884894155517`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09212821197689185`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7465884894155517`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3428, "   tar:  ", 1.1675, "   tarstar:  ", 1.3, "   R:  ", 
   3.215278736317202, "   Bstar:  ", 3.7465884894155517`, "   Xstar:  ", 
   0.09212821197689185, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7465884894155517`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073667299733`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3429", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.215426061728851`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7509878431324433`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09176134936554577`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7509878431324433`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3429, "   tar:  ", 1.17, "   tarstar:  ", 1.3, "   R:  ", 
   3.215426061728851, "   Bstar:  ", 3.7509878431324433`, "   Xstar:  ", 
   0.09176134936554577, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7509878431324433`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073667629766`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3430", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.215569945886699`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.75538472677691`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0913965794832345`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.75538472677691`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3430, "   tar:  ", 1.1725, "   tarstar:  ", 1.3, "   R:  ", 
   3.215569945886699, "   Bstar:  ", 3.75538472677691, "   Xstar:  ", 
   0.0913965794832345, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.75538472677691^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073667939796`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3431", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.215710431120345`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7597791407180834`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09103388723583192`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7597791407180834`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3431, "   tar:  ", 1.175, "   tarstar:  ", 1.3, "   R:  ", 
   3.215710431120345, "   Bstar:  ", 3.7597791407180834`, "   Xstar:  ", 
   0.09103388723583192, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7597791407180834`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073668269825`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3432", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2158475592409173`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.764171085371652`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09067325765641639`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.764171085371652`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3432, "   tar:  ", 1.1775, "   tarstar:  ", 1.3, "   R:  ", 
   3.2158475592409173`, "   Bstar:  ", 3.764171085371652, "   Xstar:  ", 
   0.09067325765641639, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.764171085371652^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073668599863`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3433", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2159813715477834`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.768560561199162`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.09031467590409982`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.768560561199162`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3433, "   tar:  ", 1.18, "   tarstar:  ", 1.3, "   R:  ", 
   3.2159813715477834`, "   Bstar:  ", 3.768560561199162, "   Xstar:  ", 
   0.09031467590409982, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.768560561199162^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360736689799*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3434", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.216111908835174`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.772947568707291`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08995812726286995`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.772947568707291`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3434, "   tar:  ", 1.1825, "   tarstar:  ", 1.3, "   R:  ", 
   3.216111908835174, "   Bstar:  ", 3.772947568707291, "   Xstar:  ", 
   0.08995812726286995, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.772947568707291^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073669539957`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3435", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.185`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2162392113987077`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7773321084470872`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0896035971404468`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7773321084470872`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3435, "   tar:  ", 1.185, "   tarstar:  ", 1.3, "   R:  ", 
   3.2162392113987077`, "   Bstar:  ", 3.7773321084470872`, "   Xstar:  ", 
   0.0896035971404468, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7773321084470872`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607366992999*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3436", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.216363319041842`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.781714181013339`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08925107106714018`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.781714181013339`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3436, "   tar:  ", 1.1875, "   tarstar:  ", 1.3, "   R:  ", 
   3.216363319041842, "   Bstar:  ", 3.781714181013339, "   Xstar:  ", 
   0.08925107106714018, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.781714181013339^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073670230026`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3437", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.216484271082214`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7860937870437965`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08890053469473005`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7860937870437965`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3437, "   tar:  ", 1.19, "   tarstar:  ", 1.3, "   R:  ", 
   3.216484271082214, "   Bstar:  ", 3.7860937870437965`, "   Xstar:  ", 
   0.08890053469473005, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7860937870437965`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073670560055`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3438", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1925000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.3`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2166021063579118`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.7904709272185446`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08855197379534598`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7904709272185446`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3438, "   tar:  ", 1.1925000000000001`, "   tarstar:  ", 1.3, 
   "   R:  ", 3.2166021063579118`, "   Bstar:  ", 3.7904709272185446`, 
   "   Xstar:  ", 0.08855197379534598, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7904709272185446`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073670870085`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3439", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.195`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2167168632336636`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.7948456022592874`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08820537426036454`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.7948456022592874`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3439, "   tar:  ", 1.195, "   tarstar:  ", 1.3, "   R:  ", 
   3.2167168632336636`, "   Bstar:  ", 3.7948456022592874`, "   Xstar:  ", 
   0.08820537426036454, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.7948456022592874`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607367110011*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3440", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.216828579606919`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.799217812928742`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08786072209930927`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.799217812928742`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3440, "   tar:  ", 1.1975, "   tarstar:  ", 1.3, "   R:  ", 
   3.216828579606919, "   Bstar:  ", 3.799217812928742, "   Xstar:  ", 
   0.08786072209930927, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.799217812928742^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073671440144`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3441", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.216937292913879`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.803587560029886`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08751800343877277`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.803587560029886`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3441, "   tar:  ", 1.2, "   tarstar:  ", 1.3, "   R:  ", 
   3.216937292913879, "   Bstar:  ", 3.803587560029886, "   Xstar:  ", 
   0.08751800343877277, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.803587560029886^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073671620164`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3442", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2025000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.3`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2170430401354224`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8079548444054163`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08717720452133282`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8079548444054163`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3442, "   tar:  ", 1.2025000000000001`, "   tarstar:  ", 1.3, 
   "   R:  ", 3.2170430401354224`, "   Bstar:  ", 3.8079548444054163`, 
   "   Xstar:  ", 0.08717720452133282, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8079548444054163`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607367178018*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3443", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.205`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2171458578029477`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8123196669370176`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08683831170449459`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8123196669370176`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3443, "   tar:  ", 1.205, "   tarstar:  ", 1.3, "   R:  ", 
   3.2171458578029477`, "   Bstar:  ", 3.8123196669370176`, "   Xstar:  ", 
   0.08683831170449459, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8123196669370176`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073671950197`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3444", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2172457820041718`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.816682028544794`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08650131145963019`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.816682028544794`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3444, "   tar:  ", 1.2075, "   tarstar:  ", 1.3, "   R:  ", 
   3.2172457820041718`, "   Bstar:  ", 3.816682028544794, "   Xstar:  ", 
   0.08650131145963019, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.816682028544794^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073672130213`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3445", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2173428483887916`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.821041930186642`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08616619037093345`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.821041930186642`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3445, "   tar:  ", 1.21, "   tarstar:  ", 1.3, "   R:  ", 
   3.2173428483887916`, "   Bstar:  ", 3.821041930186642, "   Xstar:  ", 
   0.08616619037093345, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.821041930186642^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607367229023*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3446", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2125000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.3`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.217437092174125`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.825399372857612`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08583293513438615`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.825399372857612`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3446, "   tar:  ", 1.2125000000000001`, "   tarstar:  ", 1.3, 
   "   R:  ", 3.217437092174125, "   Bstar:  ", 3.825399372857612, 
   "   Xstar:  ", 0.08583293513438615, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.825399372857612^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607367246025*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3447", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.215`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2175285481506397`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.829754357589321`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08550153255673028`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.829754357589321`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3447, "   tar:  ", 1.215, "   tarstar:  ", 1.3, "   R:  ", 
   3.2175285481506397`, "   Bstar:  ", 3.829754357589321, "   Xstar:  ", 
   0.08550153255673028, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.829754357589321^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073672730274`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3448", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.217617250687429`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.834106885449365`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08517196955445094`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.834106885449365`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3448, "   tar:  ", 1.2175, "   tarstar:  ", 1.3, "   R:  ", 
   3.217617250687429, "   Bstar:  ", 3.834106885449365, "   Xstar:  ", 
   0.08517196955445094, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.834106885449365^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607367291029*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3449", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.217703233737589`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8384569575407315`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08484423315276905`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8384569575407315`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3449, "   tar:  ", 1.22, "   tarstar:  ", 1.3, "   R:  ", 
   3.217703233737589, "   Bstar:  ", 3.8384569575407315`, "   Xstar:  ", 
   0.08484423315276905, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8384569575407315`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607367309031*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3450", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2225000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.3`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2177865308435454`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.8428045750012148`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0845183104846442`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8428045750012148`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3450, "   tar:  ", 1.2225000000000001`, "   tarstar:  ", 1.3, 
   "   R:  ", 3.2177865308435454`, "   Bstar:  ", 3.8428045750012148`, 
   "   Xstar:  ", 0.0845183104846442, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8428045750012148`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607367327033*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3451", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.217867175142311`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.847149739002852`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08419418878978545`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.847149739002852`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3451, "   tar:  ", 1.225, "   tarstar:  ", 1.3, "   R:  ", 
   3.217867175142311, "   Bstar:  ", 3.847149739002852, "   Xstar:  ", 
   0.08419418878978545, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.847149739002852^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607367346035*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3452", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2179451993706314`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8514924507513784`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0838718554136713`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8514924507513784`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3452, "   tar:  ", 1.2275, "   tarstar:  ", 1.3, "   R:  ", 
   3.2179451993706314`, "   Bstar:  ", 3.8514924507513784`, "   Xstar:  ", 
   0.0838718554136713, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8514924507513784`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607367366037*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3453", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218020635870125`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.855832711485631`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08355129780658249`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.855832711485631`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3453, "   tar:  ", 1.23, "   tarstar:  ", 1.3, "   R:  ", 
   3.218020635870125, "   Bstar:  ", 3.855832711485631, "   Xstar:  ", 
   0.08355129780658249, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.855832711485631^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607367382038*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3454", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2180935165922966`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8601705224770484`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08323250352263772`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8601705224770484`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3454, "   tar:  ", 1.2325, "   tarstar:  ", 1.3, "   R:  ", 
   3.2180935165922966`, "   Bstar:  ", 3.8601705224770484`, "   Xstar:  ", 
   0.08323250352263772, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8601705224770484`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073674030404`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3455", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.235`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218163873103515`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8645058850291236`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08291546021884293`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8645058850291236`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3455, "   tar:  ", 1.235, "   tarstar:  ", 1.3, "   R:  ", 
   3.218163873103515, "   Bstar:  ", 3.8645058850291236`, "   Xstar:  ", 
   0.08291546021884293, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8645058850291236`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073674220424`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3456", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2375`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.21823173658991`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8688388004768544`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08260015565414937`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8688388004768544`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3456, "   tar:  ", 1.2375, "   tarstar:  ", 1.3, "   R:  ", 
   3.21823173658991, "   Bstar:  ", 3.8688388004768544`, "   Xstar:  ", 
   0.08260015565414937, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8688388004768544`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607367439044*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3457", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2182971378622147`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.873169270186259`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08228657768851688`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.873169270186259`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3457, "   tar:  ", 1.24, "   tarstar:  ", 1.3, "   R:  ", 
   3.2182971378622147`, "   Bstar:  ", 3.873169270186259, "   Xstar:  ", 
   0.08228657768851688, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.873169270186259^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607367458046*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3458", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218360107360529`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.877497295553809`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08197471428199281`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.877497295553809`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3458, "   tar:  ", 1.2425, "   tarstar:  ", 1.3, "   R:  ", 
   3.218360107360529, "   Bstar:  ", 3.877497295553809, "   Xstar:  ", 
   0.08197471428199281, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.877497295553809^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073674750476`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3459", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.245`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2184206751590305`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.881822878005977`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08166455349379133`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.881822878005977`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3459, "   tar:  ", 1.245, "   tarstar:  ", 1.3, "   R:  ", 
   3.2184206751590305`, "   Bstar:  ", 3.881822878005977, "   Xstar:  ", 
   0.08166455349379133, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.881822878005977^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073674930496`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3460", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2475`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2184788709706096`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.886146018998705`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08135608348138798`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.886146018998705`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3460, "   tar:  ", 1.2475, "   tarstar:  ", 1.3, "   R:  ", 
   3.2184788709706096`, "   Bstar:  ", 3.886146018998705, "   Xstar:  ", 
   0.08135608348138798, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.886146018998705^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607367511051*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3461", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2185347241514592`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.8904667200169167`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08104929249962002`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.8904667200169167`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3461, "   tar:  ", 1.25, "   tarstar:  ", 1.3, "   R:  ", 
   3.2185347241514592`, "   Bstar:  ", 3.8904667200169167`, "   Xstar:  ", 
   0.08104929249962002, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.8904667200169167`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607367547055*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3462", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218588263705588`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.894784982574031`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08074416889979613`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.894784982574031`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3462, "   tar:  ", 1.2525, "   tarstar:  ", 1.3, "   R:  ", 
   3.218588263705588, "   Bstar:  ", 3.894784982574031, "   Xstar:  ", 
   0.08074416889979613, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.894784982574031^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607367580058*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3463", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2550000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.3`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.218639518289282`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.899100808211505`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.08044070112881223`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.899100808211505`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3463, "   tar:  ", 1.2550000000000001`, "   tarstar:  ", 1.3, 
   "   R:  ", 3.218639518289282, "   Bstar:  ", 3.899100808211505, 
   "   Xstar:  ", 0.08044070112881223, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.899100808211505^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.68360736760406*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3464", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2186885162154906`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.903414198498331`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.08013887772828018`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.903414198498331`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3464, "   tar:  ", 1.2575, "   tarstar:  ", 1.3, "   R:  ", 
   3.2186885162154906`, "   Bstar:  ", 3.903414198498331, "   Xstar:  ", 
   0.08013887772828018, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.903414198498331^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607367630063*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3465", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2187352854581843`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.907725155030568`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07983868733366234`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.907725155030568`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3465, "   tar:  ", 1.26, "   tarstar:  ", 1.3, "   R:  ", 
   3.2187352854581843`, "   Bstar:  ", 3.907725155030568, "   Xstar:  ", 
   0.07983868733366234, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.907725155030568^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607367651065*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3466", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2187798536566197`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.912033679430949`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07954011867340965`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.912033679430949`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3466, "   tar:  ", 1.2625, "   tarstar:  ", 1.3, "   R:  ", 
   3.2187798536566197`, "   Bstar:  ", 3.912033679430949, "   Xstar:  ", 
   0.07954011867340965, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.912033679430949^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073676770678`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3467", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2650000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.3`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2188222481195683`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.916339773348316`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.0792431605681206`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.916339773348316`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3467, "   tar:  ", 1.2650000000000001`, "   tarstar:  ", 1.3, 
   "   R:  ", 3.2188222481195683`, "   Bstar:  ", 3.916339773348316, 
   "   Xstar:  ", 0.0792431605681206, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.916339773348316^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073677010703`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3468", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.218862495829486`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.920643438457301`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07894780192969118`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.920643438457301`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3468, "   tar:  ", 1.2675, "   tarstar:  ", 1.3, "   R:  ", 
   3.218862495829486, "   Bstar:  ", 3.920643438457301, "   Xstar:  ", 
   0.07894780192969118, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.920643438457301^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607367720072*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3469", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2189006234466175`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.924944676457773`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07865403176048968`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.924944676457773`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3469, "   tar:  ", 1.27, "   tarstar:  ", 1.3, "   R:  ", 
   3.2189006234466175`, "   Bstar:  ", 3.924944676457773, "   Xstar:  ", 
   0.07865403176048968, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.924944676457773^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073677360735`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3470", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2189366573130607`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9292434890744765`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0783618391525269`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9292434890744765`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3470, "   tar:  ", 1.2725, "   tarstar:  ", 1.3, "   R:  ", 
   3.2189366573130607`, "   Bstar:  ", 3.9292434890744765`, "   Xstar:  ", 
   0.0783618391525269, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9292434890744765`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073677540755`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3471", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2189706234567566`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9335398780565995`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07807121328663987`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9335398780565995`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3471, "   tar:  ", 1.275, "   tarstar:  ", 1.3, "   R:  ", 
   3.2189706234567566`, "   Bstar:  ", 3.9335398780565995`, "   Xstar:  ", 
   0.07807121328663987, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9335398780565995`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073677740774`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3472", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2190025475954527`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.937833845177314`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0777821434316838`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.937833845177314`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3472, "   tar:  ", 1.2775, "   tarstar:  ", 1.3, "   R:  ", 
   3.2190025475954527`, "   Bstar:  ", 3.937833845177314, "   Xstar:  ", 
   0.0777821434316838, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.937833845177314^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073677910795`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3473", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.28`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2190324551405776`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9421253922333874`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07749461894372975`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9421253922333874`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3473, "   tar:  ", 1.28, "   tarstar:  ", 1.3, "   R:  ", 
   3.2190324551405776`, "   Bstar:  ", 3.9421253922333874`, "   Xstar:  ", 
   0.07749461894372975, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9421253922333874`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607367806081*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3474", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219060371201111`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.946414521044783`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07720862926526981`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.946414521044783`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3474, "   tar:  ", 1.2825, "   tarstar:  ", 1.3, "   R:  ", 
   3.219060371201111, "   Bstar:  ", 3.946414521044783, "   Xstar:  ", 
   0.07720862926526981, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.946414521044783^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073678270826`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3475", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2850000000000001`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.3`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.21908632058735`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.9507012334542297`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.07692416392443262`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9507012334542297`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3475, "   tar:  ", 1.2850000000000001`, "   tarstar:  ", 1.3, 
   "   R:  ", 3.21908632058735, "   Bstar:  ", 3.9507012334542297`, 
   "   Xstar:  ", 0.07692416392443262, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9507012334542297`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607367847085*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3476", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2191103278146653`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.954985531326843`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.076641212534203`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.954985531326843`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3476, "   tar:  ", 1.2875, "   tarstar:  ", 1.3, "   R:  ", 
   3.2191103278146653`, "   Bstar:  ", 3.954985531326843, "   Xstar:  ", 
   0.076641212534203, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.954985531326843^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073678620863`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3477", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219132417107191`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.959267416549739`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07635976479165088`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.959267416549739`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3477, "   tar:  ", 1.29, "   tarstar:  ", 1.3, "   R:  ", 
   3.219132417107191, "   Bstar:  ", 3.959267416549739, "   Xstar:  ", 
   0.07635976479165088, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.959267416549739^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607367885089*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3478", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219152612401464`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9635468910316196`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07607981047716851`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9635468910316196`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3478, "   tar:  ", 1.2925, "   tarstar:  ", 1.3, "   R:  ", 
   3.219152612401464, "   Bstar:  ", 3.9635468910316196`, "   Xstar:  ", 
   0.07607981047716851, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9635468910316196`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073679040904`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3479", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.219170937350022`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.967823956702427`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.0758013394537122`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.967823956702427`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3479, "   tar:  ", 1.295, "   tarstar:  ", 1.3, "   R:  ", 
   3.219170937350022, "   Bstar:  ", 3.967823956702427, "   Xstar:  ", 
   0.0758013394537122, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.967823956702427^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073679250927`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3480", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2191874153249422`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.9720986155129507`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07552434166605372`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.9720986155129507`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3480, "   tar:  ", 1.2975, "   tarstar:  ", 1.3, "   R:  ", 
   3.2191874153249422`, "   Bstar:  ", 3.9720986155129507`, "   Xstar:  ", 
   0.07552434166605372, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.9720986155129507`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.6836073679420943`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3481", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.3`", 
   "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2192020694213497`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.976370869434429`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.07524880714004006`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.976370869434429`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3481, "   tar:  ", 1.3, "   tarstar:  ", 1.3, "   R:  ", 
   3.2192020694213497`, "   Bstar:  ", 3.976370869434429, "   Xstar:  ", 
   0.07524880714004006, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.976370869434429^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.6738575516171584`*^9, 
   3.673857945203026*^9, 3.6738587011766157`*^9, {3.673858741743672*^9, 
   3.6738587633898363`*^9}, 3.6738590350119963`*^9, 3.673859702105856*^9, 
   3.6738600187683663`*^9, 3.673860815490031*^9, 3.6738610082073*^9, 
   3.6745590850653877`*^9, 3.674559845550143*^9, 3.674560081889143*^9, 
   3.6745602745258923`*^9, 3.683607367957096*^9}]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["save result", "Subsubsection",
 CellChangeTimes->{{3.4475766687268753`*^9, 3.4475766712893753`*^9}, {
  3.45189577934375*^9, 3.45189578046875*^9}, {3.673762362042098*^9, 
  3.673762364104598*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Mat", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"AppendTo", "[", 
    RowBox[{"Mat", ",", "ivec"}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "tauvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "tarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "fxvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "fevec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Mvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Xvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Rvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "VPDvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "VPXvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Yvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Bvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "YDvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "YXvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Mevec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Wvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "LEMPvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"AppendTo", "[", 
    RowBox[{"Mat", ",", "PSIvec"}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "taustarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "tarstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "fxstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "festarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Mstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Xstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Rstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "VPDstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "VPXstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Ystarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Bstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "YDstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "YXstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Mestarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Wstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "LEMPstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"AppendTo", "[", 
    RowBox[{"Mat", ",", "PSIstarvec"}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Qvec"}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.621537280947799*^9, 3.6215373138086786`*^9}, {
   3.62153753289421*^9, 3.6215375346923127`*^9}, 3.6215375907055163`*^9, {
   3.6215780728885794`*^9, 3.621578089618537*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Mat", "=", 
   RowBox[{"Transpose", "[", "Mat", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4513823994362497`*^9, 3.4513824081237497`*^9}, {
  3.452074511703125*^9, 3.45207451434375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "[", "Mat", "]"}]], "Input",
 CellChangeTimes->{{3.6215376770564556`*^9, 3.6215376796626043`*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         TagBox[
          RowBox[{"(", "\[NoBreak]", 
           TemplateBox[{"1"},
            "OutputSizeLimit`Skeleton",
            DisplayFunction->(FrameBox[
              RowBox[{"\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}],
               Background -> GrayLevel[0.75], 
              BaseStyle -> {
               "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                ShowStringCharacters -> False}, BaselinePosition -> Baseline, 
              ContentPadding -> False, FrameMargins -> 1, FrameStyle -> 
              GrayLevel[0.75], RoundingRadius -> 7]& )], "\[NoBreak]", ")"}],
          Function[BoxForm`e$, 
           MatrixForm[BoxForm`e$]]],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {3., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{52., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
             Function[{OutputSizeLimit`Dump`x$}, 
              MatrixForm[OutputSizeLimit`Dump`x$]], 222, 18066031640527401991,
              5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
             Function[{OutputSizeLimit`Dump`x$}, 
              MatrixForm[OutputSizeLimit`Dump`x$]], 222, 18066031640527401991,
              5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{44., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
             Function[{OutputSizeLimit`Dump`x$}, 
              MatrixForm[OutputSizeLimit`Dump`x$]], 222, 18066031640527401991,
              Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{78., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[222]]], "Output",
 CellChangeTimes->{
  3.621537680825671*^9, 3.621542458536781*^9, 3.621545217721597*^9, 
   3.6215475199222755`*^9, 3.621576453692967*^9, 3.6215775321186495`*^9, 
   3.621578092659711*^9, 3.6215794860464077`*^9, 3.6215796412672863`*^9, 
   3.621582968020565*^9, {3.621583122644409*^9, 3.6215831498909674`*^9}, 
   3.621583870673194*^9, 3.6215843032719374`*^9, 3.6215855693843546`*^9, 
   3.6215861442802367`*^9, 3.6215866852821803`*^9, 3.621587506088128*^9, 
   3.6216036848999104`*^9, 3.6216170108974376`*^9, 3.6216188654186945`*^9, 
   3.621670840036039*^9, 3.621680813809506*^9, 3.621681455394202*^9, 
   3.62176092213122*^9, 3.621833554773526*^9, 3.621927647852975*^9, 
   3.6219663847126937`*^9, 3.622438075835374*^9, 3.6224434873258934`*^9, {
   3.622456844572884*^9, 3.622456864113002*^9}, 3.6224761975456367`*^9, 
   3.6224857325640087`*^9, 3.624880993367742*^9, 3.6249566561408315`*^9, 
   3.624965451478752*^9, 3.673760428070097*^9, 3.67376128131851*^9, 
   3.6737617883510175`*^9, 3.6737619896590304`*^9, 3.6737621588300695`*^9, 
   3.6737623667370977`*^9, 3.6737625268246202`*^9, 3.6738575571882725`*^9, 
   3.673857951770683*^9, 3.6738587053810363`*^9, 3.673858770563554*^9, 
   3.673859039904485*^9, 3.6738597074292355`*^9, 3.6738600248919787`*^9, 
   3.6738608193994217`*^9, 3.6738610775122304`*^9, 3.674559088951022*^9, 
   3.674559849517643*^9, 3.6745600878116426`*^9, 3.674560315087515*^9, 
   3.6836074552138205`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<calib_GM_monetary_nash_graph.csv\>\"", ",", "Mat"}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.461567546609375*^9, 3.461567547671875*^9}, {
   3.462104923833125*^9, 3.46210492878625*^9}, {3.462164642615625*^9, 
   3.46216464856875*^9}, 3.462164681225*^9, 3.462164850115625*^9, {
   3.4621659521625*^9, 3.462165954709375*^9}, 3.462601654785625*^9, 
   3.4626017250825*^9, {3.4639817865931253`*^9, 3.4639817915775003`*^9}, 
   3.4640615180375*^9, 3.46406289881875*^9, {3.478601922988125*^9, 
   3.478601924863125*^9}, {3.621531723740425*^9, 3.621531727259626*^9}, {
   3.621542422597725*^9, 3.6215424264459457`*^9}, {3.621544381659777*^9, 
   3.62154438328087*^9}, {3.621544441923224*^9, 3.6215444439433393`*^9}, {
   3.6215764673037453`*^9, 3.62157646843581*^9}, {3.673760236441653*^9, 
   3.673760237951676*^9}, {3.6745590934788475`*^9, 3.6745590946382904`*^9}, 
   3.696757751565443*^9}]
}, Closed]]
}, Open  ]]
},
WindowSize->{1350, 680},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (September 21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 100, 1, 49, "Subsection"],
Cell[682, 25, 2532, 83, 468, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[3251, 113, 158, 2, 41, "Subsection"],
Cell[3412, 117, 155, 3, 30, "Text"],
Cell[3570, 122, 1053, 25, 145, "Input"],
Cell[4626, 149, 925, 24, 164, "Input"],
Cell[5554, 175, 490, 12, 107, "Input"],
Cell[CellGroupData[{
Cell[6069, 191, 7160, 196, 335, "Input"],
Cell[13232, 389, 3481, 83, 81, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16750, 477, 1458, 40, 47, "Input"],
Cell[18211, 519, 2077, 34, 50, "Output"]
}, Open  ]],
Cell[20303, 556, 1798, 50, 316, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[22138, 611, 240, 3, 41, "Subsection"],
Cell[22381, 616, 1506, 32, 183, "Input"],
Cell[23890, 650, 1254, 33, 240, "Input"],
Cell[25147, 685, 365, 7, 126, "Input"],
Cell[25515, 694, 13186, 377, 734, "Input"],
Cell[CellGroupData[{
Cell[38726, 1075, 2615, 71, 87, "Input"],
Cell[41344, 1148, 2410, 41, 69, "Output"]
}, Open  ]],
Cell[43769, 1192, 1580, 47, 316, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[45386, 1244, 103, 1, 41, "Subsection"],
Cell[CellGroupData[{
Cell[45514, 1249, 117, 1, 39, "Subsubsection"],
Cell[45634, 1252, 607, 15, 126, "Input"],
Cell[46244, 1269, 298, 7, 69, "Input"],
Cell[46545, 1278, 1345, 23, 107, "Input"],
Cell[47893, 1303, 7057, 190, 297, "Input"],
Cell[CellGroupData[{
Cell[54975, 1497, 1347, 36, 47, "Input"],
Cell[56325, 1535, 2120, 34, 30, "Output"]
}, Open  ]],
Cell[58460, 1572, 1568, 43, 259, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[60065, 1620, 197, 3, 33, "Subsubsection"],
Cell[60265, 1625, 862, 19, 240, "Input"],
Cell[61130, 1646, 773, 18, 107, "Input"],
Cell[CellGroupData[{
Cell[61928, 1668, 36889, 829, 4129, "Input"],
Cell[CellGroupData[{
Cell[98842, 2501, 2377, 45, 29, "Print"],
Cell[101222, 2548, 2384, 45, 29, "Print"],
Cell[103609, 2595, 2377, 45, 29, "Print"],
Cell[105989, 2642, 2379, 45, 29, "Print"],
Cell[108371, 2689, 2380, 45, 29, "Print"],
Cell[110754, 2736, 2387, 45, 29, "Print"],
Cell[113144, 2783, 2369, 45, 29, "Print"],
Cell[115516, 2830, 2385, 45, 29, "Print"],
Cell[117904, 2877, 2379, 45, 29, "Print"],
Cell[120286, 2924, 2379, 45, 29, "Print"],
Cell[122668, 2971, 2373, 45, 29, "Print"],
Cell[125044, 3018, 2389, 45, 29, "Print"],
Cell[127436, 3065, 2381, 45, 29, "Print"],
Cell[129820, 3112, 2380, 45, 29, "Print"],
Cell[132203, 3159, 2385, 45, 29, "Print"],
Cell[134591, 3206, 2406, 45, 29, "Print"],
Cell[137000, 3253, 2387, 45, 29, "Print"],
Cell[139390, 3300, 2386, 45, 29, "Print"],
Cell[141779, 3347, 2374, 45, 29, "Print"],
Cell[144156, 3394, 2409, 45, 29, "Print"],
Cell[146568, 3441, 2378, 45, 29, "Print"],
Cell[148949, 3488, 2380, 45, 29, "Print"],
Cell[151332, 3535, 2365, 45, 29, "Print"],
Cell[153700, 3582, 2412, 45, 29, "Print"],
Cell[156115, 3629, 2378, 45, 29, "Print"],
Cell[158496, 3676, 2383, 45, 29, "Print"],
Cell[160882, 3723, 2374, 45, 29, "Print"],
Cell[163259, 3770, 2401, 45, 29, "Print"],
Cell[165663, 3817, 2385, 45, 29, "Print"],
Cell[168051, 3864, 2384, 45, 29, "Print"],
Cell[170438, 3911, 2380, 45, 29, "Print"],
Cell[172821, 3958, 2387, 45, 29, "Print"],
Cell[175211, 4005, 2384, 45, 29, "Print"],
Cell[177598, 4052, 2383, 45, 29, "Print"],
Cell[179984, 4099, 2382, 45, 29, "Print"],
Cell[182369, 4146, 2381, 45, 29, "Print"],
Cell[184753, 4193, 2385, 45, 29, "Print"],
Cell[187141, 4240, 2387, 45, 29, "Print"],
Cell[189531, 4287, 2371, 45, 29, "Print"],
Cell[191905, 4334, 2387, 45, 29, "Print"],
Cell[194295, 4381, 2405, 45, 29, "Print"],
Cell[196703, 4428, 2380, 45, 29, "Print"],
Cell[199086, 4475, 2374, 45, 29, "Print"],
Cell[201463, 4522, 2386, 45, 29, "Print"],
Cell[203852, 4569, 2414, 45, 29, "Print"],
Cell[206269, 4616, 2380, 45, 29, "Print"],
Cell[208652, 4663, 2376, 45, 29, "Print"],
Cell[211031, 4710, 2386, 45, 29, "Print"],
Cell[213420, 4757, 2376, 45, 29, "Print"],
Cell[215799, 4804, 2381, 45, 29, "Print"],
Cell[218183, 4851, 2380, 45, 29, "Print"],
Cell[220566, 4898, 2387, 45, 29, "Print"],
Cell[222956, 4945, 2406, 45, 29, "Print"],
Cell[225365, 4992, 2389, 45, 29, "Print"],
Cell[227757, 5039, 2383, 45, 29, "Print"],
Cell[230143, 5086, 2389, 45, 29, "Print"],
Cell[232535, 5133, 2381, 45, 29, "Print"],
Cell[234919, 5180, 2389, 45, 29, "Print"],
Cell[237311, 5227, 2378, 45, 29, "Print"],
Cell[239692, 5274, 2386, 45, 29, "Print"],
Cell[242081, 5321, 2382, 45, 29, "Print"],
Cell[244466, 5368, 2385, 45, 29, "Print"],
Cell[246854, 5415, 2379, 45, 29, "Print"],
Cell[249236, 5462, 2380, 45, 29, "Print"],
Cell[251619, 5509, 2388, 45, 29, "Print"],
Cell[254010, 5556, 2382, 45, 29, "Print"],
Cell[256395, 5603, 2385, 45, 29, "Print"],
Cell[258783, 5650, 2382, 45, 29, "Print"],
Cell[261168, 5697, 2383, 45, 29, "Print"],
Cell[263554, 5744, 2382, 45, 29, "Print"],
Cell[265939, 5791, 2383, 45, 29, "Print"],
Cell[268325, 5838, 2389, 45, 29, "Print"],
Cell[270717, 5885, 2386, 45, 29, "Print"],
Cell[273106, 5932, 2384, 45, 29, "Print"],
Cell[275493, 5979, 2410, 45, 29, "Print"],
Cell[277906, 6026, 2384, 45, 29, "Print"],
Cell[280293, 6073, 2382, 45, 29, "Print"],
Cell[282678, 6120, 2379, 45, 29, "Print"],
Cell[285060, 6167, 2407, 45, 29, "Print"],
Cell[287470, 6214, 2383, 45, 29, "Print"],
Cell[289856, 6261, 2389, 45, 29, "Print"],
Cell[292248, 6308, 2381, 45, 29, "Print"],
Cell[294632, 6355, 2416, 45, 29, "Print"],
Cell[297051, 6402, 2381, 45, 29, "Print"],
Cell[299435, 6449, 2388, 45, 29, "Print"],
Cell[301826, 6496, 2378, 45, 29, "Print"],
Cell[304207, 6543, 2414, 45, 29, "Print"],
Cell[306624, 6590, 2384, 45, 29, "Print"],
Cell[309011, 6637, 2389, 45, 29, "Print"],
Cell[311403, 6684, 2368, 45, 29, "Print"],
Cell[313774, 6731, 2382, 45, 29, "Print"],
Cell[316159, 6778, 2389, 45, 29, "Print"],
Cell[318551, 6825, 2384, 45, 29, "Print"],
Cell[320938, 6872, 2381, 45, 29, "Print"],
Cell[323322, 6919, 2391, 45, 29, "Print"],
Cell[325716, 6966, 2386, 45, 29, "Print"],
Cell[328105, 7013, 2385, 45, 29, "Print"],
Cell[330493, 7060, 2384, 45, 29, "Print"],
Cell[332880, 7107, 2380, 45, 29, "Print"],
Cell[335263, 7154, 2418, 45, 29, "Print"],
Cell[337684, 7201, 2391, 45, 29, "Print"],
Cell[340078, 7248, 2383, 45, 29, "Print"],
Cell[342464, 7295, 2385, 45, 29, "Print"],
Cell[344852, 7342, 2418, 45, 29, "Print"],
Cell[347273, 7389, 2390, 45, 29, "Print"],
Cell[349666, 7436, 2386, 45, 29, "Print"],
Cell[352055, 7483, 2393, 45, 29, "Print"],
Cell[354451, 7530, 2391, 45, 29, "Print"],
Cell[356845, 7577, 2390, 45, 29, "Print"],
Cell[359238, 7624, 2381, 45, 29, "Print"],
Cell[361622, 7671, 2384, 45, 29, "Print"],
Cell[364009, 7718, 2412, 45, 29, "Print"],
Cell[366424, 7765, 2390, 45, 29, "Print"],
Cell[368817, 7812, 2389, 45, 29, "Print"],
Cell[371209, 7859, 2385, 45, 29, "Print"],
Cell[373597, 7906, 2384, 45, 29, "Print"],
Cell[375984, 7953, 2382, 45, 29, "Print"],
Cell[378369, 8000, 2386, 45, 29, "Print"]
}, Open  ]],
Cell[380770, 8048, 720, 12, 39, "Message"],
Cell[CellGroupData[{
Cell[381515, 8064, 2382, 45, 29, "Print"],
Cell[383900, 8111, 2384, 45, 29, "Print"],
Cell[386287, 8158, 2377, 45, 29, "Print"],
Cell[388667, 8205, 2387, 45, 29, "Print"],
Cell[391057, 8252, 2372, 45, 29, "Print"],
Cell[393432, 8299, 2384, 45, 29, "Print"],
Cell[395819, 8346, 2382, 45, 29, "Print"],
Cell[398204, 8393, 2375, 45, 29, "Print"],
Cell[400582, 8440, 2379, 45, 29, "Print"],
Cell[402964, 8487, 2386, 45, 29, "Print"],
Cell[405353, 8534, 2383, 45, 29, "Print"],
Cell[407739, 8581, 2384, 45, 29, "Print"],
Cell[410126, 8628, 2384, 45, 29, "Print"],
Cell[412513, 8675, 2376, 45, 29, "Print"],
Cell[414892, 8722, 2385, 45, 29, "Print"],
Cell[417280, 8769, 2408, 45, 29, "Print"],
Cell[419691, 8816, 2385, 45, 29, "Print"],
Cell[422079, 8863, 2384, 45, 29, "Print"],
Cell[424466, 8910, 2380, 45, 29, "Print"],
Cell[426849, 8957, 2402, 45, 29, "Print"],
Cell[429254, 9004, 2387, 45, 29, "Print"],
Cell[431644, 9051, 2389, 45, 29, "Print"],
Cell[434036, 9098, 2383, 45, 29, "Print"],
Cell[436422, 9145, 2408, 45, 29, "Print"],
Cell[438833, 9192, 2376, 45, 29, "Print"],
Cell[441212, 9239, 2380, 45, 29, "Print"],
Cell[443595, 9286, 2380, 45, 29, "Print"],
Cell[445978, 9333, 2411, 45, 29, "Print"],
Cell[448392, 9380, 2377, 45, 29, "Print"],
Cell[450772, 9427, 2383, 45, 29, "Print"],
Cell[453158, 9474, 2377, 45, 29, "Print"],
Cell[455538, 9521, 2380, 45, 29, "Print"],
Cell[457921, 9568, 2378, 45, 29, "Print"],
Cell[460302, 9615, 2389, 45, 29, "Print"],
Cell[462694, 9662, 2380, 45, 29, "Print"],
Cell[465077, 9709, 2389, 45, 29, "Print"],
Cell[467469, 9756, 2382, 45, 29, "Print"],
Cell[469854, 9803, 2389, 45, 29, "Print"],
Cell[472246, 9850, 2377, 45, 29, "Print"],
Cell[474626, 9897, 2387, 45, 29, "Print"],
Cell[477016, 9944, 2405, 45, 29, "Print"],
Cell[479424, 9991, 2377, 45, 29, "Print"],
Cell[481804, 10038, 2375, 45, 29, "Print"],
Cell[484182, 10085, 2387, 45, 29, "Print"],
Cell[486572, 10132, 2409, 45, 29, "Print"],
Cell[488984, 10179, 2380, 45, 29, "Print"],
Cell[491367, 10226, 2380, 45, 29, "Print"],
Cell[493750, 10273, 2389, 45, 29, "Print"],
Cell[496142, 10320, 2378, 45, 29, "Print"],
Cell[498523, 10367, 2381, 45, 29, "Print"],
Cell[500907, 10414, 2376, 45, 29, "Print"],
Cell[503286, 10461, 2387, 45, 29, "Print"],
Cell[505676, 10508, 2405, 45, 29, "Print"],
Cell[508084, 10555, 2384, 45, 29, "Print"],
Cell[510471, 10602, 2379, 45, 29, "Print"],
Cell[512853, 10649, 2378, 45, 29, "Print"],
Cell[515234, 10696, 2379, 45, 29, "Print"],
Cell[517616, 10743, 2388, 45, 29, "Print"],
Cell[520007, 10790, 2380, 45, 29, "Print"],
Cell[522390, 10837, 2382, 45, 29, "Print"],
Cell[524775, 10884, 2382, 45, 29, "Print"],
Cell[527160, 10931, 2378, 45, 29, "Print"],
Cell[529541, 10978, 2384, 45, 29, "Print"],
Cell[531928, 11025, 2378, 45, 29, "Print"],
Cell[534309, 11072, 2388, 45, 29, "Print"],
Cell[536700, 11119, 2383, 45, 29, "Print"],
Cell[539086, 11166, 2390, 45, 29, "Print"],
Cell[541479, 11213, 2385, 45, 29, "Print"],
Cell[543867, 11260, 2393, 45, 29, "Print"],
Cell[546263, 11307, 2380, 45, 29, "Print"],
Cell[548646, 11354, 2393, 45, 29, "Print"],
Cell[551042, 11401, 2391, 45, 29, "Print"],
Cell[553436, 11448, 2387, 45, 29, "Print"],
Cell[555826, 11495, 2380, 45, 29, "Print"],
Cell[558209, 11542, 2409, 45, 29, "Print"],
Cell[560621, 11589, 2388, 45, 29, "Print"],
Cell[563012, 11636, 2391, 45, 29, "Print"],
Cell[565406, 11683, 2382, 45, 29, "Print"],
Cell[567791, 11730, 2418, 45, 29, "Print"],
Cell[570212, 11777, 2391, 45, 29, "Print"],
Cell[572606, 11824, 2387, 45, 29, "Print"],
Cell[574996, 11871, 2386, 45, 29, "Print"],
Cell[577385, 11918, 2406, 45, 29, "Print"],
Cell[579794, 11965, 2391, 45, 29, "Print"],
Cell[582188, 12012, 2387, 45, 29, "Print"],
Cell[584578, 12059, 2389, 45, 29, "Print"],
Cell[586970, 12106, 2416, 45, 29, "Print"],
Cell[589389, 12153, 2385, 45, 29, "Print"],
Cell[591777, 12200, 2387, 45, 29, "Print"],
Cell[594167, 12247, 2386, 45, 29, "Print"],
Cell[596556, 12294, 2385, 45, 29, "Print"],
Cell[598944, 12341, 2389, 45, 29, "Print"],
Cell[601336, 12388, 2382, 45, 29, "Print"],
Cell[603721, 12435, 2378, 45, 29, "Print"],
Cell[606102, 12482, 2387, 45, 29, "Print"],
Cell[608492, 12529, 2380, 45, 29, "Print"],
Cell[610875, 12576, 2390, 45, 29, "Print"],
Cell[613268, 12623, 2387, 45, 29, "Print"],
Cell[615658, 12670, 2387, 45, 29, "Print"],
Cell[618048, 12717, 2412, 45, 29, "Print"],
Cell[620463, 12764, 2393, 45, 29, "Print"],
Cell[622859, 12811, 2381, 45, 29, "Print"],
Cell[625243, 12858, 2387, 45, 29, "Print"],
Cell[627633, 12905, 2415, 45, 29, "Print"],
Cell[630051, 12952, 2391, 45, 29, "Print"],
Cell[632445, 12999, 2386, 45, 29, "Print"],
Cell[634834, 13046, 2388, 45, 29, "Print"],
Cell[637225, 13093, 2376, 45, 29, "Print"],
Cell[639604, 13140, 2393, 45, 29, "Print"],
Cell[642000, 13187, 2384, 45, 29, "Print"],
Cell[644387, 13234, 2387, 45, 29, "Print"],
Cell[646777, 13281, 2415, 45, 29, "Print"],
Cell[649195, 13328, 2384, 45, 29, "Print"],
Cell[651582, 13375, 2381, 45, 29, "Print"],
Cell[653966, 13422, 2383, 45, 29, "Print"],
Cell[656352, 13469, 2381, 45, 29, "Print"],
Cell[658736, 13516, 2390, 45, 29, "Print"],
Cell[661129, 13563, 2380, 45, 29, "Print"],
Cell[663512, 13610, 2387, 45, 29, "Print"],
Cell[665902, 13657, 2384, 45, 29, "Print"],
Cell[668289, 13704, 2384, 45, 29, "Print"],
Cell[670676, 13751, 2383, 45, 29, "Print"],
Cell[673062, 13798, 2387, 45, 29, "Print"],
Cell[675452, 13845, 2391, 45, 29, "Print"],
Cell[677846, 13892, 2385, 45, 29, "Print"],
Cell[680234, 13939, 2388, 45, 29, "Print"],
Cell[682625, 13986, 2384, 45, 29, "Print"],
Cell[685012, 14033, 2382, 45, 29, "Print"],
Cell[687397, 14080, 2385, 45, 29, "Print"],
Cell[689785, 14127, 2388, 45, 29, "Print"],
Cell[692176, 14174, 2389, 45, 29, "Print"],
Cell[694568, 14221, 2385, 45, 29, "Print"],
Cell[696956, 14268, 2381, 45, 29, "Print"],
Cell[699340, 14315, 2402, 45, 29, "Print"],
Cell[701745, 14362, 2378, 45, 29, "Print"],
Cell[704126, 14409, 2379, 45, 29, "Print"],
Cell[706508, 14456, 2383, 45, 29, "Print"],
Cell[708894, 14503, 2416, 45, 29, "Print"],
Cell[711313, 14550, 2383, 45, 29, "Print"],
Cell[713699, 14597, 2391, 45, 29, "Print"],
Cell[716093, 14644, 2376, 45, 29, "Print"],
Cell[718472, 14691, 2411, 45, 29, "Print"],
Cell[720886, 14738, 2387, 45, 29, "Print"],
Cell[723276, 14785, 2382, 45, 29, "Print"],
Cell[725661, 14832, 2376, 45, 29, "Print"],
Cell[728040, 14879, 2403, 45, 29, "Print"],
Cell[730446, 14926, 2389, 45, 29, "Print"],
Cell[732838, 14973, 2383, 45, 29, "Print"],
Cell[735224, 15020, 2387, 45, 29, "Print"],
Cell[737614, 15067, 2388, 45, 29, "Print"],
Cell[740005, 15114, 2381, 45, 29, "Print"],
Cell[742389, 15161, 2380, 45, 29, "Print"],
Cell[744772, 15208, 2382, 45, 29, "Print"],
Cell[747157, 15255, 2391, 45, 29, "Print"],
Cell[749551, 15302, 2387, 45, 29, "Print"],
Cell[751941, 15349, 2382, 45, 29, "Print"],
Cell[754326, 15396, 2376, 45, 29, "Print"],
Cell[756705, 15443, 2386, 45, 29, "Print"],
Cell[759094, 15490, 2408, 45, 29, "Print"],
Cell[761505, 15537, 2382, 45, 29, "Print"],
Cell[763890, 15584, 2376, 45, 29, "Print"],
Cell[766269, 15631, 2386, 45, 29, "Print"],
Cell[768658, 15678, 2414, 45, 29, "Print"],
Cell[771075, 15725, 2383, 45, 29, "Print"],
Cell[773461, 15772, 2378, 45, 29, "Print"],
Cell[775842, 15819, 2385, 45, 29, "Print"],
Cell[778230, 15866, 2378, 45, 29, "Print"],
Cell[780611, 15913, 2376, 45, 29, "Print"],
Cell[782990, 15960, 2374, 45, 29, "Print"],
Cell[785367, 16007, 2385, 45, 29, "Print"],
Cell[787755, 16054, 2403, 45, 29, "Print"],
Cell[790161, 16101, 2388, 45, 29, "Print"],
Cell[792552, 16148, 2380, 45, 29, "Print"],
Cell[794935, 16195, 2384, 45, 29, "Print"],
Cell[797322, 16242, 2386, 45, 29, "Print"],
Cell[799711, 16289, 2388, 45, 29, "Print"],
Cell[802102, 16336, 2375, 45, 29, "Print"],
Cell[804480, 16383, 2391, 45, 29, "Print"],
Cell[806874, 16430, 2388, 45, 29, "Print"],
Cell[809265, 16477, 2380, 45, 29, "Print"],
Cell[811648, 16524, 2387, 45, 29, "Print"],
Cell[814038, 16571, 2381, 45, 29, "Print"],
Cell[816422, 16618, 2390, 45, 29, "Print"],
Cell[818815, 16665, 2381, 45, 29, "Print"],
Cell[821199, 16712, 2384, 45, 29, "Print"],
Cell[823586, 16759, 2388, 45, 29, "Print"],
Cell[825977, 16806, 2382, 45, 29, "Print"],
Cell[828362, 16853, 2389, 45, 29, "Print"],
Cell[830754, 16900, 2382, 45, 29, "Print"],
Cell[833139, 16947, 2383, 45, 29, "Print"],
Cell[835525, 16994, 2393, 45, 29, "Print"],
Cell[837921, 17041, 2389, 45, 29, "Print"],
Cell[840313, 17088, 2412, 45, 29, "Print"],
Cell[842728, 17135, 2380, 45, 29, "Print"],
Cell[845111, 17182, 2390, 45, 29, "Print"],
Cell[847504, 17229, 2374, 45, 29, "Print"],
Cell[849881, 17276, 2409, 45, 29, "Print"],
Cell[852293, 17323, 2380, 45, 29, "Print"],
Cell[854676, 17370, 2391, 45, 29, "Print"],
Cell[857070, 17417, 2387, 45, 29, "Print"],
Cell[859460, 17464, 2407, 45, 29, "Print"],
Cell[861870, 17511, 2385, 45, 29, "Print"],
Cell[864258, 17558, 2393, 45, 29, "Print"],
Cell[866654, 17605, 2378, 45, 29, "Print"],
Cell[869035, 17652, 2416, 45, 29, "Print"],
Cell[871454, 17699, 2388, 45, 29, "Print"],
Cell[873845, 17746, 2387, 45, 29, "Print"],
Cell[876235, 17793, 2381, 45, 29, "Print"],
Cell[878619, 17840, 2384, 45, 29, "Print"],
Cell[881006, 17887, 2385, 45, 29, "Print"],
Cell[883394, 17934, 2390, 45, 29, "Print"],
Cell[885787, 17981, 2382, 45, 29, "Print"],
Cell[888172, 18028, 2390, 45, 29, "Print"],
Cell[890565, 18075, 2378, 45, 29, "Print"],
Cell[892946, 18122, 2393, 45, 29, "Print"],
Cell[895342, 18169, 2387, 45, 29, "Print"],
Cell[897732, 18216, 2390, 45, 29, "Print"],
Cell[900125, 18263, 2416, 45, 29, "Print"],
Cell[902544, 18310, 2388, 45, 29, "Print"],
Cell[904935, 18357, 2383, 45, 29, "Print"],
Cell[907321, 18404, 2387, 45, 29, "Print"],
Cell[909711, 18451, 2412, 45, 29, "Print"],
Cell[912126, 18498, 2387, 45, 29, "Print"],
Cell[914516, 18545, 2387, 45, 29, "Print"],
Cell[916906, 18592, 2391, 45, 29, "Print"],
Cell[919300, 18639, 2391, 45, 29, "Print"],
Cell[921694, 18686, 2382, 45, 29, "Print"],
Cell[924079, 18733, 2389, 45, 29, "Print"],
Cell[926471, 18780, 2393, 45, 29, "Print"],
Cell[928867, 18827, 2418, 45, 29, "Print"],
Cell[931288, 18874, 2387, 45, 29, "Print"],
Cell[933678, 18921, 2383, 45, 29, "Print"],
Cell[936064, 18968, 2386, 45, 29, "Print"],
Cell[938453, 19015, 2387, 45, 29, "Print"],
Cell[940843, 19062, 2381, 45, 29, "Print"],
Cell[943227, 19109, 2383, 45, 29, "Print"],
Cell[945613, 19156, 2387, 45, 29, "Print"],
Cell[948003, 19203, 2387, 45, 29, "Print"],
Cell[950393, 19250, 2377, 45, 29, "Print"],
Cell[952773, 19297, 2383, 45, 29, "Print"],
Cell[955159, 19344, 2379, 45, 29, "Print"],
Cell[957541, 19391, 2386, 45, 29, "Print"],
Cell[959930, 19438, 2383, 45, 29, "Print"],
Cell[962316, 19485, 2381, 45, 29, "Print"],
Cell[964700, 19532, 2374, 45, 29, "Print"],
Cell[967077, 19579, 2378, 45, 29, "Print"],
Cell[969458, 19626, 2385, 45, 29, "Print"],
Cell[971846, 19673, 2386, 45, 29, "Print"],
Cell[974235, 19720, 2381, 45, 29, "Print"],
Cell[976619, 19767, 2379, 45, 29, "Print"],
Cell[979001, 19814, 2376, 45, 29, "Print"],
Cell[981380, 19861, 2414, 45, 29, "Print"],
Cell[983797, 19908, 2384, 45, 29, "Print"],
Cell[986184, 19955, 2387, 45, 29, "Print"],
Cell[988574, 20002, 2374, 45, 29, "Print"],
Cell[990951, 20049, 2411, 45, 29, "Print"],
Cell[993365, 20096, 2385, 45, 29, "Print"],
Cell[995753, 20143, 2389, 45, 29, "Print"],
Cell[998145, 20190, 2380, 45, 29, "Print"],
Cell[1000528, 20237, 2406, 45, 29, "Print"],
Cell[1002937, 20284, 2382, 45, 29, "Print"],
Cell[1005322, 20331, 2386, 45, 29, "Print"],
Cell[1007711, 20378, 2374, 45, 29, "Print"],
Cell[1010088, 20425, 2402, 45, 29, "Print"],
Cell[1012493, 20472, 2370, 45, 29, "Print"],
Cell[1014866, 20519, 2386, 45, 29, "Print"],
Cell[1017255, 20566, 2385, 45, 29, "Print"],
Cell[1019643, 20613, 2387, 45, 29, "Print"],
Cell[1022033, 20660, 2381, 45, 29, "Print"],
Cell[1024417, 20707, 2380, 45, 29, "Print"],
Cell[1026800, 20754, 2375, 45, 29, "Print"],
Cell[1029178, 20801, 2383, 45, 29, "Print"],
Cell[1031564, 20848, 2385, 45, 29, "Print"],
Cell[1033952, 20895, 2387, 45, 29, "Print"],
Cell[1036342, 20942, 2379, 45, 29, "Print"],
Cell[1038724, 20989, 2384, 45, 29, "Print"],
Cell[1041111, 21036, 2406, 45, 29, "Print"],
Cell[1043520, 21083, 2389, 45, 29, "Print"],
Cell[1045912, 21130, 2385, 45, 29, "Print"],
Cell[1048300, 21177, 2389, 45, 29, "Print"],
Cell[1050692, 21224, 2414, 45, 29, "Print"],
Cell[1053109, 21271, 2375, 45, 29, "Print"],
Cell[1055487, 21318, 2379, 45, 29, "Print"],
Cell[1057869, 21365, 2389, 45, 29, "Print"],
Cell[1060261, 21412, 2387, 45, 29, "Print"],
Cell[1062651, 21459, 2378, 45, 29, "Print"],
Cell[1065032, 21506, 2376, 45, 29, "Print"],
Cell[1067411, 21553, 2383, 45, 29, "Print"],
Cell[1069797, 21600, 2407, 45, 29, "Print"],
Cell[1072207, 21647, 2378, 45, 29, "Print"],
Cell[1074588, 21694, 2379, 45, 29, "Print"],
Cell[1076970, 21741, 2385, 45, 29, "Print"],
Cell[1079358, 21788, 2375, 45, 29, "Print"],
Cell[1081736, 21835, 2385, 45, 29, "Print"],
Cell[1084124, 21882, 2376, 45, 29, "Print"],
Cell[1086503, 21929, 2385, 45, 29, "Print"],
Cell[1088891, 21976, 2390, 45, 29, "Print"],
Cell[1091284, 22023, 2377, 45, 29, "Print"],
Cell[1093664, 22070, 2384, 45, 29, "Print"],
Cell[1096051, 22117, 2388, 45, 29, "Print"],
Cell[1098442, 22164, 2393, 45, 29, "Print"],
Cell[1100838, 22211, 2384, 45, 29, "Print"],
Cell[1103225, 22258, 2385, 45, 29, "Print"],
Cell[1105613, 22305, 2389, 45, 29, "Print"],
Cell[1108005, 22352, 2387, 45, 29, "Print"],
Cell[1110395, 22399, 2375, 45, 31, "Print"],
Cell[1112773, 22446, 2385, 45, 31, "Print"],
Cell[1115161, 22493, 2389, 45, 31, "Print"],
Cell[1117553, 22540, 2387, 45, 31, "Print"],
Cell[1119943, 22587, 2380, 45, 31, "Print"],
Cell[1122326, 22634, 2407, 45, 31, "Print"],
Cell[1124736, 22681, 2385, 45, 29, "Print"],
Cell[1127124, 22728, 2390, 45, 29, "Print"],
Cell[1129517, 22775, 2375, 45, 29, "Print"],
Cell[1131895, 22822, 2409, 45, 29, "Print"],
Cell[1134307, 22869, 2383, 45, 29, "Print"],
Cell[1136693, 22916, 2391, 45, 29, "Print"],
Cell[1139087, 22963, 2378, 45, 29, "Print"],
Cell[1141468, 23010, 2413, 45, 29, "Print"],
Cell[1143884, 23057, 2388, 45, 29, "Print"],
Cell[1146275, 23104, 2391, 45, 29, "Print"],
Cell[1148669, 23151, 2371, 45, 29, "Print"],
Cell[1151043, 23198, 2412, 45, 29, "Print"],
Cell[1153458, 23245, 2380, 45, 29, "Print"],
Cell[1155841, 23292, 2388, 45, 29, "Print"],
Cell[1158232, 23339, 2383, 45, 29, "Print"],
Cell[1160618, 23386, 2385, 45, 29, "Print"],
Cell[1163006, 23433, 2380, 45, 29, "Print"],
Cell[1165389, 23480, 2387, 45, 29, "Print"],
Cell[1167779, 23527, 2383, 45, 29, "Print"],
Cell[1170165, 23574, 2388, 45, 29, "Print"],
Cell[1172556, 23621, 2391, 45, 29, "Print"],
Cell[1174950, 23668, 2390, 45, 29, "Print"],
Cell[1177343, 23715, 2381, 45, 29, "Print"],
Cell[1179727, 23762, 2388, 45, 29, "Print"],
Cell[1182118, 23809, 2413, 45, 29, "Print"],
Cell[1184534, 23856, 2387, 45, 29, "Print"],
Cell[1186924, 23903, 2376, 45, 29, "Print"],
Cell[1189303, 23950, 2390, 45, 29, "Print"],
Cell[1191696, 23997, 2416, 45, 29, "Print"],
Cell[1194115, 24044, 2390, 45, 29, "Print"],
Cell[1196508, 24091, 2377, 45, 29, "Print"],
Cell[1198888, 24138, 2393, 45, 29, "Print"],
Cell[1201284, 24185, 2381, 45, 29, "Print"],
Cell[1203668, 24232, 2384, 45, 29, "Print"],
Cell[1206055, 24279, 2382, 45, 29, "Print"],
Cell[1208440, 24326, 2387, 45, 29, "Print"],
Cell[1210830, 24373, 2412, 45, 29, "Print"],
Cell[1213245, 24420, 2390, 45, 29, "Print"],
Cell[1215638, 24467, 2388, 45, 29, "Print"],
Cell[1218029, 24514, 2383, 45, 29, "Print"],
Cell[1220415, 24561, 2388, 45, 29, "Print"],
Cell[1222806, 24608, 2381, 45, 29, "Print"],
Cell[1225190, 24655, 2381, 45, 29, "Print"],
Cell[1227574, 24702, 2383, 45, 29, "Print"],
Cell[1229960, 24749, 2377, 45, 29, "Print"],
Cell[1232340, 24796, 2387, 45, 29, "Print"],
Cell[1234730, 24843, 2380, 45, 29, "Print"],
Cell[1237113, 24890, 2372, 45, 29, "Print"],
Cell[1239488, 24937, 2391, 45, 29, "Print"],
Cell[1241882, 24984, 2382, 45, 29, "Print"],
Cell[1244267, 25031, 2391, 45, 29, "Print"],
Cell[1246661, 25078, 2380, 45, 29, "Print"],
Cell[1249044, 25125, 2378, 45, 29, "Print"],
Cell[1251425, 25172, 2385, 45, 29, "Print"],
Cell[1253813, 25219, 2385, 45, 29, "Print"],
Cell[1256201, 25266, 2386, 45, 31, "Print"],
Cell[1258590, 25313, 2386, 45, 31, "Print"],
Cell[1260979, 25360, 2378, 45, 31, "Print"],
Cell[1263360, 25407, 2405, 45, 31, "Print"],
Cell[1265768, 25454, 2386, 45, 31, "Print"],
Cell[1268157, 25501, 2382, 45, 31, "Print"],
Cell[1270542, 25548, 2373, 45, 31, "Print"],
Cell[1272918, 25595, 2413, 45, 31, "Print"],
Cell[1275334, 25642, 2378, 45, 31, "Print"],
Cell[1277715, 25689, 2382, 45, 31, "Print"],
Cell[1280100, 25736, 2375, 45, 31, "Print"],
Cell[1282478, 25783, 2416, 45, 31, "Print"],
Cell[1284897, 25830, 2389, 45, 31, "Print"],
Cell[1287289, 25877, 2389, 45, 31, "Print"],
Cell[1289681, 25924, 2387, 45, 31, "Print"],
Cell[1292071, 25971, 2413, 45, 31, "Print"],
Cell[1294487, 26018, 2383, 45, 31, "Print"],
Cell[1296873, 26065, 2382, 45, 31, "Print"],
Cell[1299258, 26112, 2385, 45, 29, "Print"],
Cell[1301646, 26159, 2386, 45, 29, "Print"],
Cell[1304035, 26206, 2380, 45, 29, "Print"],
Cell[1306418, 26253, 2389, 45, 29, "Print"],
Cell[1308810, 26300, 2385, 45, 29, "Print"],
Cell[1311198, 26347, 2388, 45, 29, "Print"],
Cell[1313589, 26394, 2384, 45, 29, "Print"],
Cell[1315976, 26441, 2388, 45, 29, "Print"],
Cell[1318367, 26488, 2376, 45, 29, "Print"],
Cell[1320746, 26535, 2389, 45, 29, "Print"],
Cell[1323138, 26582, 2414, 45, 29, "Print"],
Cell[1325555, 26629, 2388, 45, 29, "Print"],
Cell[1327946, 26676, 2387, 45, 29, "Print"],
Cell[1330336, 26723, 2383, 45, 29, "Print"],
Cell[1332722, 26770, 2408, 45, 29, "Print"],
Cell[1335133, 26817, 2382, 45, 29, "Print"],
Cell[1337518, 26864, 2385, 45, 29, "Print"],
Cell[1339906, 26911, 2389, 45, 29, "Print"],
Cell[1342298, 26958, 2373, 45, 29, "Print"],
Cell[1344674, 27005, 2388, 45, 29, "Print"],
Cell[1347065, 27052, 2377, 45, 29, "Print"],
Cell[1349445, 27099, 2382, 45, 29, "Print"],
Cell[1351830, 27146, 2410, 45, 29, "Print"],
Cell[1354243, 27193, 2385, 45, 29, "Print"],
Cell[1356631, 27240, 2378, 45, 29, "Print"],
Cell[1359012, 27287, 2390, 45, 31, "Print"],
Cell[1361405, 27334, 2377, 45, 31, "Print"],
Cell[1363785, 27381, 2385, 45, 31, "Print"],
Cell[1366173, 27428, 2379, 45, 31, "Print"],
Cell[1368555, 27475, 2383, 45, 31, "Print"],
Cell[1370941, 27522, 2380, 45, 31, "Print"],
Cell[1373324, 27569, 2380, 45, 31, "Print"],
Cell[1375707, 27616, 2378, 45, 31, "Print"],
Cell[1378088, 27663, 2380, 45, 31, "Print"],
Cell[1380471, 27710, 2385, 45, 31, "Print"],
Cell[1382859, 27757, 2379, 45, 31, "Print"],
Cell[1385241, 27804, 2378, 45, 31, "Print"],
Cell[1387622, 27851, 2379, 45, 31, "Print"],
Cell[1390004, 27898, 2387, 45, 31, "Print"],
Cell[1392394, 27945, 2386, 45, 31, "Print"],
Cell[1394783, 27992, 2385, 45, 31, "Print"],
Cell[1397171, 28039, 2382, 45, 31, "Print"],
Cell[1399556, 28086, 2381, 45, 31, "Print"],
Cell[1401940, 28133, 2387, 45, 31, "Print"],
Cell[1404330, 28180, 2418, 45, 31, "Print"],
Cell[1406751, 28227, 2388, 45, 31, "Print"],
Cell[1409142, 28274, 2385, 45, 31, "Print"],
Cell[1411530, 28321, 2384, 45, 31, "Print"],
Cell[1413917, 28368, 2407, 45, 31, "Print"],
Cell[1416327, 28415, 2383, 45, 31, "Print"],
Cell[1418713, 28462, 2387, 45, 31, "Print"],
Cell[1421103, 28509, 2389, 45, 31, "Print"],
Cell[1423495, 28556, 2410, 45, 31, "Print"],
Cell[1425908, 28603, 2382, 45, 31, "Print"],
Cell[1428293, 28650, 2390, 45, 31, "Print"],
Cell[1430686, 28697, 2383, 45, 31, "Print"],
Cell[1433072, 28744, 2418, 45, 31, "Print"],
Cell[1435493, 28791, 2383, 45, 31, "Print"],
Cell[1437879, 28838, 2381, 45, 31, "Print"],
Cell[1440263, 28885, 2380, 45, 31, "Print"],
Cell[1442646, 28932, 2384, 45, 31, "Print"],
Cell[1445033, 28979, 2385, 45, 31, "Print"],
Cell[1447421, 29026, 2393, 45, 31, "Print"],
Cell[1449817, 29073, 2377, 45, 31, "Print"],
Cell[1452197, 29120, 2385, 45, 31, "Print"],
Cell[1454585, 29167, 2380, 45, 31, "Print"],
Cell[1456968, 29214, 2384, 45, 31, "Print"],
Cell[1459355, 29261, 2378, 45, 31, "Print"],
Cell[1461736, 29308, 2387, 45, 31, "Print"],
Cell[1464126, 29355, 2416, 45, 31, "Print"],
Cell[1466545, 29402, 2391, 45, 31, "Print"],
Cell[1468939, 29449, 2387, 45, 31, "Print"],
Cell[1471329, 29496, 2384, 45, 31, "Print"],
Cell[1473716, 29543, 2412, 45, 31, "Print"],
Cell[1476131, 29590, 2385, 45, 31, "Print"],
Cell[1478519, 29637, 2386, 45, 31, "Print"],
Cell[1480908, 29684, 2388, 45, 31, "Print"],
Cell[1483299, 29731, 2390, 45, 31, "Print"],
Cell[1485692, 29778, 2390, 45, 31, "Print"],
Cell[1488085, 29825, 2383, 45, 31, "Print"],
Cell[1490471, 29872, 2386, 45, 31, "Print"],
Cell[1492860, 29919, 2408, 45, 31, "Print"],
Cell[1495271, 29966, 2389, 45, 31, "Print"],
Cell[1497663, 30013, 2386, 45, 31, "Print"],
Cell[1500052, 30060, 2383, 45, 31, "Print"],
Cell[1502438, 30107, 2379, 45, 31, "Print"],
Cell[1504820, 30154, 2392, 45, 31, "Print"],
Cell[1507215, 30201, 2378, 45, 31, "Print"],
Cell[1509596, 30248, 2373, 45, 31, "Print"],
Cell[1511972, 30295, 2383, 45, 29, "Print"],
Cell[1514358, 30342, 2379, 45, 29, "Print"],
Cell[1516740, 30389, 2381, 45, 29, "Print"],
Cell[1519124, 30436, 2384, 45, 29, "Print"],
Cell[1521511, 30483, 2387, 45, 29, "Print"],
Cell[1523901, 30530, 2382, 45, 29, "Print"],
Cell[1526286, 30577, 2386, 45, 29, "Print"],
Cell[1528675, 30624, 2381, 45, 29, "Print"],
Cell[1531059, 30671, 2384, 45, 29, "Print"],
Cell[1533446, 30718, 2382, 45, 29, "Print"],
Cell[1535831, 30765, 2389, 45, 29, "Print"],
Cell[1538223, 30812, 2374, 45, 29, "Print"],
Cell[1540600, 30859, 2381, 45, 29, "Print"],
Cell[1542984, 30906, 2379, 45, 29, "Print"],
Cell[1545366, 30953, 2406, 45, 29, "Print"],
Cell[1547775, 31000, 2376, 45, 29, "Print"],
Cell[1550154, 31047, 2384, 45, 29, "Print"],
Cell[1552541, 31094, 2383, 45, 29, "Print"],
Cell[1554927, 31141, 2405, 45, 29, "Print"],
Cell[1557335, 31188, 2381, 45, 29, "Print"],
Cell[1559719, 31235, 2383, 45, 29, "Print"],
Cell[1562105, 31282, 2376, 45, 29, "Print"],
Cell[1564484, 31329, 2411, 45, 29, "Print"],
Cell[1566898, 31376, 2382, 45, 29, "Print"],
Cell[1569283, 31423, 2387, 45, 29, "Print"],
Cell[1571673, 31470, 2382, 45, 31, "Print"],
Cell[1574058, 31517, 2409, 45, 31, "Print"],
Cell[1576470, 31564, 2378, 45, 31, "Print"],
Cell[1578851, 31611, 2381, 45, 31, "Print"],
Cell[1581235, 31658, 2385, 45, 31, "Print"],
Cell[1583623, 31705, 2380, 45, 31, "Print"],
Cell[1586006, 31752, 2381, 45, 31, "Print"],
Cell[1588390, 31799, 2389, 45, 31, "Print"],
Cell[1590782, 31846, 2377, 45, 31, "Print"],
Cell[1593162, 31893, 2389, 45, 31, "Print"],
Cell[1595554, 31940, 2382, 45, 31, "Print"],
Cell[1597939, 31987, 2383, 45, 31, "Print"],
Cell[1600325, 32034, 2376, 45, 31, "Print"],
Cell[1602704, 32081, 2381, 45, 31, "Print"],
Cell[1605088, 32128, 2414, 45, 31, "Print"],
Cell[1607505, 32175, 2375, 45, 31, "Print"],
Cell[1609883, 32222, 2385, 45, 31, "Print"],
Cell[1612271, 32269, 2389, 45, 31, "Print"],
Cell[1614663, 32316, 2408, 45, 31, "Print"],
Cell[1617074, 32363, 2382, 45, 31, "Print"],
Cell[1619459, 32410, 2381, 45, 31, "Print"],
Cell[1621843, 32457, 2381, 45, 31, "Print"],
Cell[1624227, 32504, 2371, 45, 31, "Print"],
Cell[1626601, 32551, 2376, 45, 31, "Print"],
Cell[1628980, 32598, 2378, 45, 31, "Print"],
Cell[1631361, 32645, 2383, 45, 31, "Print"],
Cell[1633747, 32692, 2413, 45, 31, "Print"],
Cell[1636163, 32739, 2379, 45, 31, "Print"],
Cell[1638545, 32786, 2382, 45, 31, "Print"],
Cell[1640930, 32833, 2375, 45, 31, "Print"],
Cell[1643308, 32880, 2374, 45, 31, "Print"],
Cell[1645685, 32927, 2380, 45, 31, "Print"],
Cell[1648068, 32974, 2371, 45, 31, "Print"],
Cell[1650442, 33021, 2391, 45, 31, "Print"],
Cell[1652836, 33068, 2385, 45, 31, "Print"],
Cell[1655224, 33115, 2389, 45, 31, "Print"],
Cell[1657616, 33162, 2385, 45, 31, "Print"],
Cell[1660004, 33209, 2391, 45, 31, "Print"],
Cell[1662398, 33256, 2381, 45, 31, "Print"],
Cell[1664782, 33303, 2381, 45, 31, "Print"],
Cell[1667166, 33350, 2391, 45, 31, "Print"],
Cell[1669560, 33397, 2386, 45, 31, "Print"],
Cell[1671949, 33444, 2390, 45, 31, "Print"],
Cell[1674342, 33491, 2383, 45, 31, "Print"],
Cell[1676728, 33538, 2382, 45, 31, "Print"],
Cell[1679113, 33585, 2391, 45, 31, "Print"],
Cell[1681507, 33632, 2390, 45, 31, "Print"],
Cell[1683900, 33679, 2381, 45, 31, "Print"],
Cell[1686284, 33726, 2410, 45, 31, "Print"],
Cell[1688697, 33773, 2383, 45, 31, "Print"],
Cell[1691083, 33820, 2393, 45, 31, "Print"],
Cell[1693479, 33867, 2379, 45, 31, "Print"],
Cell[1695861, 33914, 2410, 45, 31, "Print"],
Cell[1698274, 33961, 2382, 45, 31, "Print"],
Cell[1700659, 34008, 2391, 45, 31, "Print"],
Cell[1703053, 34055, 2383, 45, 31, "Print"],
Cell[1705439, 34102, 2406, 45, 31, "Print"],
Cell[1707848, 34149, 2388, 45, 31, "Print"],
Cell[1710239, 34196, 2377, 45, 31, "Print"],
Cell[1712619, 34243, 2375, 45, 31, "Print"],
Cell[1714997, 34290, 2418, 45, 31, "Print"],
Cell[1717418, 34337, 2385, 45, 31, "Print"],
Cell[1719806, 34384, 2382, 45, 31, "Print"],
Cell[1722191, 34431, 2378, 45, 31, "Print"],
Cell[1724572, 34478, 2390, 45, 31, "Print"],
Cell[1726965, 34525, 2388, 45, 31, "Print"],
Cell[1729356, 34572, 2388, 45, 31, "Print"],
Cell[1731747, 34619, 2380, 45, 31, "Print"],
Cell[1734130, 34666, 2382, 45, 31, "Print"],
Cell[1736515, 34713, 2382, 45, 31, "Print"],
Cell[1738900, 34760, 2382, 45, 31, "Print"],
Cell[1741285, 34807, 2381, 45, 31, "Print"],
Cell[1743669, 34854, 2391, 45, 31, "Print"],
Cell[1746063, 34901, 2409, 45, 31, "Print"],
Cell[1748475, 34948, 2388, 45, 31, "Print"],
Cell[1750866, 34995, 2389, 45, 31, "Print"],
Cell[1753258, 35042, 2390, 45, 31, "Print"],
Cell[1755651, 35089, 2412, 45, 31, "Print"],
Cell[1758066, 35136, 2381, 45, 31, "Print"],
Cell[1760450, 35183, 2381, 45, 31, "Print"],
Cell[1762834, 35230, 2381, 45, 31, "Print"],
Cell[1765218, 35277, 2382, 45, 31, "Print"],
Cell[1767603, 35324, 2392, 45, 31, "Print"],
Cell[1769998, 35371, 2386, 45, 31, "Print"],
Cell[1772387, 35418, 2390, 45, 31, "Print"],
Cell[1774780, 35465, 2415, 45, 31, "Print"],
Cell[1777198, 35512, 2385, 45, 31, "Print"],
Cell[1779586, 35559, 2383, 45, 31, "Print"],
Cell[1781972, 35606, 2386, 45, 31, "Print"],
Cell[1784361, 35653, 2386, 45, 31, "Print"],
Cell[1786750, 35700, 2386, 45, 31, "Print"],
Cell[1789139, 35747, 2381, 45, 31, "Print"],
Cell[1791523, 35794, 2380, 45, 31, "Print"],
Cell[1793906, 35841, 2389, 45, 31, "Print"],
Cell[1796298, 35888, 2381, 45, 31, "Print"],
Cell[1798682, 35935, 2388, 45, 31, "Print"],
Cell[1801073, 35982, 2387, 45, 31, "Print"],
Cell[1803463, 36029, 2380, 45, 31, "Print"],
Cell[1805846, 36076, 2384, 45, 31, "Print"],
Cell[1808233, 36123, 2391, 45, 31, "Print"],
Cell[1810627, 36170, 2380, 45, 31, "Print"],
Cell[1813010, 36217, 2391, 45, 31, "Print"],
Cell[1815404, 36264, 2378, 45, 31, "Print"],
Cell[1817785, 36311, 2382, 45, 31, "Print"],
Cell[1820170, 36358, 2383, 45, 31, "Print"],
Cell[1822556, 36405, 2388, 45, 31, "Print"],
Cell[1824947, 36452, 2384, 45, 31, "Print"],
Cell[1827334, 36499, 2409, 45, 31, "Print"],
Cell[1829746, 36546, 2389, 45, 31, "Print"],
Cell[1832138, 36593, 2389, 45, 31, "Print"],
Cell[1834530, 36640, 2377, 45, 31, "Print"],
Cell[1836910, 36687, 2402, 45, 31, "Print"],
Cell[1839315, 36734, 2387, 45, 31, "Print"],
Cell[1841705, 36781, 2388, 45, 31, "Print"],
Cell[1844096, 36828, 2385, 45, 31, "Print"],
Cell[1846484, 36875, 2413, 45, 31, "Print"],
Cell[1848900, 36922, 2389, 45, 31, "Print"],
Cell[1851292, 36969, 2386, 45, 31, "Print"],
Cell[1853681, 37016, 2379, 45, 31, "Print"],
Cell[1856063, 37063, 2407, 45, 31, "Print"],
Cell[1858473, 37110, 2384, 45, 31, "Print"],
Cell[1860860, 37157, 2388, 45, 31, "Print"],
Cell[1863251, 37204, 2387, 45, 31, "Print"],
Cell[1865641, 37251, 2383, 45, 31, "Print"],
Cell[1868027, 37298, 2371, 45, 31, "Print"],
Cell[1870401, 37345, 2382, 45, 31, "Print"],
Cell[1872786, 37392, 2387, 45, 31, "Print"],
Cell[1875176, 37439, 2382, 45, 31, "Print"],
Cell[1877561, 37486, 2380, 45, 31, "Print"],
Cell[1879944, 37533, 2374, 45, 31, "Print"],
Cell[1882321, 37580, 2382, 45, 31, "Print"],
Cell[1884706, 37627, 2378, 45, 31, "Print"],
Cell[1887087, 37674, 2408, 45, 31, "Print"],
Cell[1889498, 37721, 2382, 45, 31, "Print"],
Cell[1891883, 37768, 2382, 45, 31, "Print"],
Cell[1894268, 37815, 2382, 45, 31, "Print"],
Cell[1896653, 37862, 2402, 45, 31, "Print"],
Cell[1899058, 37909, 2387, 45, 31, "Print"],
Cell[1901448, 37956, 2383, 45, 31, "Print"],
Cell[1903834, 38003, 2388, 45, 31, "Print"],
Cell[1906225, 38050, 2383, 45, 31, "Print"],
Cell[1908611, 38097, 2384, 45, 31, "Print"],
Cell[1910998, 38144, 2386, 45, 31, "Print"],
Cell[1913387, 38191, 2390, 45, 31, "Print"],
Cell[1915780, 38238, 2405, 45, 31, "Print"],
Cell[1918188, 38285, 2379, 45, 31, "Print"],
Cell[1920570, 38332, 2380, 45, 31, "Print"],
Cell[1922953, 38379, 2379, 45, 31, "Print"],
Cell[1925335, 38426, 2383, 45, 31, "Print"],
Cell[1927721, 38473, 2377, 45, 31, "Print"],
Cell[1930101, 38520, 2379, 45, 31, "Print"],
Cell[1932483, 38567, 2382, 45, 31, "Print"],
Cell[1934868, 38614, 2387, 45, 31, "Print"],
Cell[1937258, 38661, 2383, 45, 31, "Print"],
Cell[1939644, 38708, 2384, 45, 31, "Print"],
Cell[1942031, 38755, 2383, 45, 31, "Print"],
Cell[1944417, 38802, 2393, 45, 31, "Print"],
Cell[1946813, 38849, 2380, 45, 31, "Print"],
Cell[1949196, 38896, 2385, 45, 31, "Print"],
Cell[1951584, 38943, 2391, 45, 31, "Print"],
Cell[1953978, 38990, 2387, 45, 31, "Print"],
Cell[1956368, 39037, 2389, 45, 31, "Print"],
Cell[1958760, 39084, 2382, 45, 31, "Print"],
Cell[1961145, 39131, 2378, 45, 31, "Print"],
Cell[1963526, 39178, 2388, 45, 31, "Print"],
Cell[1965917, 39225, 2387, 45, 31, "Print"],
Cell[1968307, 39272, 2413, 45, 31, "Print"],
Cell[1970723, 39319, 2385, 45, 31, "Print"],
Cell[1973111, 39366, 2390, 45, 31, "Print"],
Cell[1975504, 39413, 2384, 45, 31, "Print"],
Cell[1977891, 39460, 2412, 45, 31, "Print"],
Cell[1980306, 39507, 2388, 45, 31, "Print"],
Cell[1982697, 39554, 2393, 45, 31, "Print"],
Cell[1985093, 39601, 2381, 45, 31, "Print"],
Cell[1987477, 39648, 2410, 45, 31, "Print"]
}, Open  ]],
Cell[1989902, 39696, 720, 12, 39, "Message"],
Cell[CellGroupData[{
Cell[1990647, 39712, 2385, 45, 31, "Print"],
Cell[1993035, 39759, 2387, 45, 31, "Print"],
Cell[1995425, 39806, 2381, 45, 31, "Print"],
Cell[1997809, 39853, 2412, 45, 31, "Print"],
Cell[2000224, 39900, 2382, 45, 31, "Print"],
Cell[2002609, 39947, 2386, 45, 31, "Print"],
Cell[2004998, 39994, 2377, 45, 31, "Print"],
Cell[2007378, 40041, 2393, 45, 31, "Print"],
Cell[2009774, 40088, 2385, 45, 31, "Print"],
Cell[2012162, 40135, 2391, 45, 31, "Print"],
Cell[2014556, 40182, 2381, 45, 31, "Print"],
Cell[2016940, 40229, 2390, 45, 31, "Print"],
Cell[2019333, 40276, 2383, 45, 31, "Print"],
Cell[2021719, 40323, 2390, 45, 31, "Print"],
Cell[2024112, 40370, 2389, 45, 31, "Print"],
Cell[2026504, 40417, 2385, 45, 31, "Print"],
Cell[2028892, 40464, 2408, 45, 31, "Print"],
Cell[2031303, 40511, 2386, 45, 31, "Print"],
Cell[2033692, 40558, 2383, 45, 31, "Print"],
Cell[2036078, 40605, 2384, 45, 31, "Print"],
Cell[2038465, 40652, 2412, 45, 31, "Print"],
Cell[2040880, 40699, 2380, 45, 31, "Print"],
Cell[2043263, 40746, 2388, 45, 31, "Print"],
Cell[2045654, 40793, 2392, 45, 31, "Print"],
Cell[2048049, 40840, 2379, 45, 31, "Print"],
Cell[2050431, 40887, 2390, 45, 31, "Print"],
Cell[2052824, 40934, 2388, 45, 31, "Print"],
Cell[2055215, 40981, 2386, 45, 31, "Print"],
Cell[2057604, 41028, 2411, 45, 31, "Print"],
Cell[2060018, 41075, 2385, 45, 31, "Print"],
Cell[2062406, 41122, 2388, 45, 31, "Print"],
Cell[2064797, 41169, 2386, 45, 31, "Print"],
Cell[2067186, 41216, 2388, 45, 31, "Print"],
Cell[2069577, 41263, 2389, 45, 31, "Print"],
Cell[2071969, 41310, 2384, 45, 29, "Print"],
Cell[2074356, 41357, 2384, 45, 29, "Print"],
Cell[2076743, 41404, 2383, 45, 29, "Print"],
Cell[2079129, 41451, 2383, 45, 29, "Print"],
Cell[2081515, 41498, 2387, 45, 29, "Print"],
Cell[2083905, 41545, 2385, 45, 29, "Print"],
Cell[2086293, 41592, 2380, 45, 29, "Print"],
Cell[2088676, 41639, 2382, 45, 29, "Print"],
Cell[2091061, 41686, 2380, 45, 29, "Print"],
Cell[2093444, 41733, 2385, 45, 29, "Print"],
Cell[2095832, 41780, 2377, 45, 29, "Print"],
Cell[2098212, 41827, 2380, 45, 29, "Print"],
Cell[2100595, 41874, 2386, 45, 29, "Print"],
Cell[2102984, 41921, 2372, 45, 29, "Print"],
Cell[2105359, 41968, 2383, 45, 29, "Print"],
Cell[2107745, 42015, 2379, 45, 29, "Print"],
Cell[2110127, 42062, 2409, 45, 29, "Print"],
Cell[2112539, 42109, 2387, 45, 29, "Print"],
Cell[2114929, 42156, 2389, 45, 29, "Print"],
Cell[2117321, 42203, 2380, 45, 29, "Print"],
Cell[2119704, 42250, 2412, 45, 29, "Print"],
Cell[2122119, 42297, 2375, 45, 29, "Print"],
Cell[2124497, 42344, 2382, 45, 29, "Print"],
Cell[2126882, 42391, 2374, 45, 29, "Print"],
Cell[2129259, 42438, 2403, 45, 29, "Print"],
Cell[2131665, 42485, 2376, 45, 31, "Print"],
Cell[2134044, 42532, 2389, 45, 31, "Print"],
Cell[2136436, 42579, 2385, 45, 31, "Print"],
Cell[2138824, 42626, 2408, 45, 31, "Print"],
Cell[2141235, 42673, 2374, 45, 31, "Print"],
Cell[2143612, 42720, 2383, 45, 31, "Print"],
Cell[2145998, 42767, 2377, 45, 31, "Print"],
Cell[2148378, 42814, 2386, 45, 31, "Print"],
Cell[2150767, 42861, 2374, 45, 31, "Print"],
Cell[2153144, 42908, 2387, 45, 31, "Print"],
Cell[2155534, 42955, 2379, 45, 31, "Print"],
Cell[2157916, 43002, 2386, 45, 31, "Print"],
Cell[2160305, 43049, 2375, 45, 31, "Print"],
Cell[2162683, 43096, 2384, 45, 31, "Print"],
Cell[2165070, 43143, 2385, 45, 31, "Print"],
Cell[2167458, 43190, 2389, 45, 31, "Print"],
Cell[2169850, 43237, 2408, 45, 31, "Print"],
Cell[2172261, 43284, 2385, 45, 31, "Print"],
Cell[2174649, 43331, 2375, 45, 31, "Print"],
Cell[2177027, 43378, 2385, 45, 31, "Print"],
Cell[2179415, 43425, 2411, 45, 31, "Print"],
Cell[2181829, 43472, 2388, 45, 31, "Print"],
Cell[2184220, 43519, 2384, 45, 31, "Print"],
Cell[2186607, 43566, 2380, 45, 31, "Print"],
Cell[2188990, 43613, 2386, 45, 31, "Print"],
Cell[2191379, 43660, 2377, 45, 31, "Print"],
Cell[2193759, 43707, 2382, 45, 31, "Print"],
Cell[2196144, 43754, 2383, 45, 31, "Print"],
Cell[2198530, 43801, 2408, 45, 31, "Print"],
Cell[2200941, 43848, 2379, 45, 31, "Print"],
Cell[2203323, 43895, 2384, 45, 31, "Print"],
Cell[2205710, 43942, 2386, 45, 31, "Print"],
Cell[2208099, 43989, 2371, 45, 31, "Print"],
Cell[2210473, 44036, 2388, 45, 31, "Print"],
Cell[2212864, 44083, 2374, 45, 31, "Print"],
Cell[2215241, 44130, 2407, 45, 31, "Print"],
Cell[2217651, 44177, 2410, 45, 31, "Print"],
Cell[2220064, 44224, 2401, 45, 31, "Print"],
Cell[2222468, 44271, 2415, 45, 31, "Print"],
Cell[2224886, 44318, 2414, 45, 31, "Print"],
Cell[2227303, 44365, 2412, 45, 31, "Print"],
Cell[2229718, 44412, 2414, 45, 31, "Print"],
Cell[2232135, 44459, 2409, 45, 31, "Print"],
Cell[2234547, 44506, 2413, 45, 31, "Print"],
Cell[2236963, 44553, 2418, 45, 31, "Print"],
Cell[2239384, 44600, 2405, 45, 31, "Print"],
Cell[2241792, 44647, 2413, 45, 31, "Print"],
Cell[2244208, 44694, 2408, 45, 31, "Print"],
Cell[2246619, 44741, 2411, 45, 31, "Print"],
Cell[2249033, 44788, 2399, 45, 31, "Print"],
Cell[2251435, 44835, 2436, 46, 31, "Print"],
Cell[2253874, 44883, 2416, 45, 31, "Print"],
Cell[2256293, 44930, 2410, 45, 31, "Print"],
Cell[2258706, 44977, 2412, 45, 31, "Print"],
Cell[2261121, 45024, 2441, 46, 31, "Print"],
Cell[2263565, 45072, 2408, 45, 31, "Print"],
Cell[2265976, 45119, 2407, 45, 31, "Print"],
Cell[2268386, 45166, 2414, 45, 31, "Print"],
Cell[2270803, 45213, 2441, 46, 31, "Print"],
Cell[2273247, 45261, 2416, 45, 31, "Print"],
Cell[2275666, 45308, 2415, 45, 31, "Print"],
Cell[2278084, 45355, 2414, 45, 31, "Print"],
Cell[2280501, 45402, 2444, 46, 31, "Print"],
Cell[2282948, 45450, 2408, 45, 31, "Print"],
Cell[2285359, 45497, 2413, 45, 31, "Print"],
Cell[2287775, 45544, 2414, 45, 31, "Print"],
Cell[2290192, 45591, 2412, 45, 31, "Print"],
Cell[2292607, 45638, 2411, 45, 31, "Print"],
Cell[2295021, 45685, 2415, 45, 31, "Print"],
Cell[2297439, 45732, 2409, 45, 31, "Print"],
Cell[2299851, 45779, 2413, 45, 31, "Print"],
Cell[2302267, 45826, 2408, 45, 31, "Print"],
Cell[2304678, 45873, 2405, 45, 31, "Print"],
Cell[2307086, 45920, 2408, 45, 31, "Print"],
Cell[2309497, 45967, 2411, 45, 31, "Print"],
Cell[2311911, 46014, 2435, 46, 31, "Print"],
Cell[2314349, 46062, 2412, 45, 31, "Print"],
Cell[2316764, 46109, 2409, 45, 31, "Print"],
Cell[2319176, 46156, 2412, 45, 31, "Print"],
Cell[2321591, 46203, 2443, 46, 31, "Print"],
Cell[2324037, 46251, 2405, 45, 31, "Print"],
Cell[2326445, 46298, 2400, 45, 31, "Print"],
Cell[2328848, 46345, 2408, 45, 31, "Print"],
Cell[2331259, 46392, 2409, 45, 31, "Print"],
Cell[2333671, 46439, 2414, 45, 31, "Print"],
Cell[2336088, 46486, 2403, 45, 31, "Print"],
Cell[2338494, 46533, 2412, 45, 31, "Print"],
Cell[2340909, 46580, 2437, 46, 31, "Print"],
Cell[2343349, 46628, 2414, 45, 31, "Print"],
Cell[2345766, 46675, 2402, 45, 31, "Print"],
Cell[2348171, 46722, 2415, 45, 31, "Print"],
Cell[2350589, 46769, 2415, 45, 31, "Print"],
Cell[2353007, 46816, 2412, 45, 31, "Print"],
Cell[2355422, 46863, 2400, 45, 29, "Print"],
Cell[2357825, 46910, 2384, 45, 29, "Print"],
Cell[2360212, 46957, 2385, 45, 29, "Print"],
Cell[2362600, 47004, 2387, 45, 29, "Print"],
Cell[2364990, 47051, 2391, 45, 29, "Print"],
Cell[2367384, 47098, 2386, 45, 29, "Print"],
Cell[2369773, 47145, 2383, 45, 29, "Print"],
Cell[2372159, 47192, 2381, 45, 29, "Print"],
Cell[2374543, 47239, 2382, 45, 29, "Print"],
Cell[2376928, 47286, 2378, 45, 29, "Print"],
Cell[2379309, 47333, 2388, 45, 29, "Print"],
Cell[2381700, 47380, 2384, 45, 29, "Print"],
Cell[2384087, 47427, 2388, 45, 29, "Print"],
Cell[2386478, 47474, 2380, 45, 29, "Print"],
Cell[2388861, 47521, 2391, 45, 29, "Print"],
Cell[2391255, 47568, 2382, 45, 29, "Print"],
Cell[2393640, 47615, 2416, 45, 29, "Print"],
Cell[2396059, 47662, 2389, 45, 29, "Print"],
Cell[2398451, 47709, 2386, 45, 29, "Print"],
Cell[2400840, 47756, 2377, 45, 29, "Print"],
Cell[2403220, 47803, 2407, 45, 29, "Print"],
Cell[2405630, 47850, 2381, 45, 29, "Print"],
Cell[2408014, 47897, 2388, 45, 29, "Print"],
Cell[2410405, 47944, 2382, 45, 29, "Print"],
Cell[2412790, 47991, 2410, 45, 29, "Print"],
Cell[2415203, 48038, 2377, 45, 31, "Print"],
Cell[2417583, 48085, 2380, 45, 31, "Print"],
Cell[2419966, 48132, 2382, 45, 31, "Print"],
Cell[2422351, 48179, 2410, 45, 31, "Print"],
Cell[2424764, 48226, 2389, 45, 31, "Print"],
Cell[2427156, 48273, 2389, 45, 31, "Print"],
Cell[2429548, 48320, 2384, 45, 31, "Print"],
Cell[2431935, 48367, 2391, 45, 31, "Print"],
Cell[2434329, 48414, 2387, 45, 31, "Print"],
Cell[2436719, 48461, 2382, 45, 31, "Print"],
Cell[2439104, 48508, 2387, 45, 31, "Print"],
Cell[2441494, 48555, 2386, 45, 31, "Print"],
Cell[2443883, 48602, 2387, 45, 31, "Print"],
Cell[2446273, 48649, 2387, 45, 31, "Print"],
Cell[2448663, 48696, 2386, 45, 31, "Print"],
Cell[2451052, 48743, 2382, 45, 31, "Print"],
Cell[2453437, 48790, 2415, 45, 31, "Print"],
Cell[2455855, 48837, 2388, 45, 31, "Print"],
Cell[2458246, 48884, 2383, 45, 31, "Print"],
Cell[2460632, 48931, 2379, 45, 31, "Print"],
Cell[2463014, 48978, 2404, 45, 31, "Print"],
Cell[2465421, 49025, 2382, 45, 31, "Print"],
Cell[2467806, 49072, 2377, 45, 31, "Print"],
Cell[2470186, 49119, 2388, 45, 31, "Print"],
Cell[2472577, 49166, 2382, 45, 31, "Print"],
Cell[2474962, 49213, 2387, 45, 31, "Print"],
Cell[2477352, 49260, 2384, 45, 31, "Print"],
Cell[2479739, 49307, 2381, 45, 31, "Print"],
Cell[2482123, 49354, 2404, 45, 31, "Print"],
Cell[2484530, 49401, 2387, 45, 31, "Print"],
Cell[2486920, 49448, 2384, 45, 31, "Print"],
Cell[2489307, 49495, 2385, 45, 31, "Print"],
Cell[2491695, 49542, 2381, 45, 31, "Print"],
Cell[2494079, 49589, 2387, 45, 31, "Print"],
Cell[2496469, 49636, 2377, 45, 31, "Print"],
Cell[2498849, 49683, 2393, 45, 31, "Print"],
Cell[2501245, 49730, 2384, 45, 31, "Print"],
Cell[2503632, 49777, 2382, 45, 31, "Print"],
Cell[2506017, 49824, 2395, 45, 31, "Print"],
Cell[2508415, 49871, 2390, 45, 31, "Print"],
Cell[2510808, 49918, 2382, 45, 31, "Print"],
Cell[2513193, 49965, 2386, 45, 31, "Print"],
Cell[2515582, 50012, 2395, 45, 31, "Print"],
Cell[2517980, 50059, 2384, 45, 31, "Print"],
Cell[2520367, 50106, 2387, 45, 31, "Print"],
Cell[2522757, 50153, 2383, 45, 31, "Print"],
Cell[2525143, 50200, 2392, 45, 31, "Print"],
Cell[2527538, 50247, 2387, 45, 31, "Print"],
Cell[2529928, 50294, 2392, 45, 31, "Print"],
Cell[2532323, 50341, 2388, 45, 31, "Print"],
Cell[2534714, 50388, 2407, 45, 31, "Print"],
Cell[2537124, 50435, 2385, 45, 31, "Print"],
Cell[2539512, 50482, 2392, 45, 31, "Print"],
Cell[2541907, 50529, 2389, 45, 31, "Print"],
Cell[2544299, 50576, 2411, 45, 31, "Print"],
Cell[2546713, 50623, 2393, 45, 31, "Print"],
Cell[2549109, 50670, 2390, 45, 31, "Print"],
Cell[2551502, 50717, 2385, 45, 31, "Print"],
Cell[2553890, 50764, 2414, 45, 31, "Print"],
Cell[2556307, 50811, 2385, 45, 31, "Print"],
Cell[2558695, 50858, 2389, 45, 31, "Print"],
Cell[2561087, 50905, 2385, 45, 31, "Print"],
Cell[2563475, 50952, 2411, 45, 31, "Print"],
Cell[2565889, 50999, 2378, 45, 31, "Print"],
Cell[2568270, 51046, 2389, 45, 31, "Print"],
Cell[2570662, 51093, 2391, 45, 31, "Print"],
Cell[2573056, 51140, 2395, 45, 31, "Print"],
Cell[2575454, 51187, 2393, 45, 31, "Print"],
Cell[2577850, 51234, 2390, 45, 31, "Print"],
Cell[2580243, 51281, 2386, 45, 31, "Print"],
Cell[2582632, 51328, 2385, 45, 31, "Print"],
Cell[2585020, 51375, 2389, 45, 31, "Print"],
Cell[2587412, 51422, 2381, 45, 31, "Print"],
Cell[2589796, 51469, 2384, 45, 31, "Print"],
Cell[2592183, 51516, 2391, 45, 31, "Print"],
Cell[2594577, 51563, 2408, 45, 31, "Print"],
Cell[2596988, 51610, 2394, 45, 31, "Print"],
Cell[2599385, 51657, 2385, 45, 31, "Print"],
Cell[2601773, 51704, 2391, 45, 31, "Print"],
Cell[2604167, 51751, 2417, 45, 31, "Print"],
Cell[2606587, 51798, 2392, 45, 31, "Print"],
Cell[2608982, 51845, 2385, 45, 31, "Print"],
Cell[2611370, 51892, 2391, 45, 31, "Print"],
Cell[2613764, 51939, 2386, 45, 31, "Print"],
Cell[2616153, 51986, 2386, 45, 31, "Print"],
Cell[2618542, 52033, 2388, 45, 31, "Print"],
Cell[2620933, 52080, 2391, 45, 31, "Print"],
Cell[2623327, 52127, 2414, 45, 31, "Print"],
Cell[2625744, 52174, 2386, 45, 31, "Print"],
Cell[2628133, 52221, 2384, 45, 31, "Print"],
Cell[2630520, 52268, 2391, 45, 31, "Print"],
Cell[2632914, 52315, 2384, 45, 31, "Print"],
Cell[2635301, 52362, 2391, 45, 31, "Print"],
Cell[2637695, 52409, 2385, 45, 31, "Print"],
Cell[2640083, 52456, 2379, 45, 31, "Print"],
Cell[2642465, 52503, 2387, 45, 31, "Print"],
Cell[2644855, 52550, 2380, 45, 31, "Print"],
Cell[2647238, 52597, 2384, 45, 31, "Print"],
Cell[2649625, 52644, 2376, 45, 31, "Print"],
Cell[2652004, 52691, 2387, 45, 31, "Print"],
Cell[2654394, 52738, 2385, 45, 31, "Print"],
Cell[2656782, 52785, 2378, 45, 31, "Print"]
}, Open  ]],
Cell[2659175, 52833, 722, 12, 39, "Message"],
Cell[2659900, 52847, 577, 11, 21, "Message"],
Cell[CellGroupData[{
Cell[2660502, 52862, 2381, 45, 31, "Print"],
Cell[2662886, 52909, 2381, 45, 31, "Print"],
Cell[2665270, 52956, 2380, 45, 31, "Print"],
Cell[2667653, 53003, 2383, 45, 31, "Print"],
Cell[2670039, 53050, 2385, 45, 31, "Print"],
Cell[2672427, 53097, 2383, 45, 31, "Print"],
Cell[2674813, 53144, 2374, 45, 31, "Print"],
Cell[2677190, 53191, 2398, 45, 31, "Print"],
Cell[2679591, 53238, 2385, 45, 31, "Print"],
Cell[2681979, 53285, 2387, 45, 31, "Print"],
Cell[2684369, 53332, 2374, 45, 31, "Print"],
Cell[2686746, 53379, 2411, 45, 29, "Print"],
Cell[2689160, 53426, 2387, 45, 29, "Print"],
Cell[2691550, 53473, 2379, 45, 29, "Print"],
Cell[2693932, 53520, 2380, 45, 29, "Print"],
Cell[2696315, 53567, 2405, 45, 29, "Print"],
Cell[2698723, 53614, 2381, 45, 29, "Print"],
Cell[2701107, 53661, 2384, 45, 29, "Print"],
Cell[2703494, 53708, 2374, 45, 29, "Print"],
Cell[2705871, 53755, 2411, 45, 29, "Print"],
Cell[2708285, 53802, 2381, 45, 29, "Print"],
Cell[2710669, 53849, 2386, 45, 29, "Print"],
Cell[2713058, 53896, 2370, 45, 29, "Print"],
Cell[2715431, 53943, 2384, 45, 29, "Print"],
Cell[2717818, 53990, 2379, 45, 29, "Print"],
Cell[2720200, 54037, 2383, 45, 29, "Print"],
Cell[2722586, 54084, 2383, 45, 29, "Print"],
Cell[2724972, 54131, 2382, 45, 29, "Print"],
Cell[2727357, 54178, 2371, 45, 29, "Print"],
Cell[2729731, 54225, 2377, 45, 29, "Print"],
Cell[2732111, 54272, 2375, 45, 29, "Print"],
Cell[2734489, 54319, 2385, 45, 29, "Print"],
Cell[2736877, 54366, 2408, 45, 29, "Print"],
Cell[2739288, 54413, 2376, 45, 29, "Print"],
Cell[2741667, 54460, 2384, 45, 29, "Print"],
Cell[2744054, 54507, 2388, 45, 29, "Print"],
Cell[2746445, 54554, 2409, 45, 31, "Print"],
Cell[2748857, 54601, 2383, 45, 31, "Print"],
Cell[2751243, 54648, 2376, 45, 31, "Print"],
Cell[2753622, 54695, 2386, 45, 31, "Print"],
Cell[2756011, 54742, 2375, 45, 31, "Print"],
Cell[2758389, 54789, 2388, 45, 31, "Print"],
Cell[2760780, 54836, 2376, 45, 31, "Print"],
Cell[2763159, 54883, 2380, 45, 31, "Print"],
Cell[2765542, 54930, 2413, 45, 31, "Print"],
Cell[2767958, 54977, 2380, 45, 31, "Print"],
Cell[2770341, 55024, 2375, 45, 31, "Print"],
Cell[2772719, 55071, 2380, 45, 31, "Print"],
Cell[2775102, 55118, 2384, 45, 31, "Print"],
Cell[2777489, 55165, 2379, 45, 31, "Print"],
Cell[2779871, 55212, 2373, 45, 31, "Print"],
Cell[2782247, 55259, 2410, 45, 31, "Print"],
Cell[2784660, 55306, 2414, 45, 31, "Print"],
Cell[2787077, 55353, 2414, 45, 31, "Print"],
Cell[2789494, 55400, 2412, 45, 31, "Print"],
Cell[2791909, 55447, 2418, 45, 31, "Print"],
Cell[2794330, 55494, 2408, 45, 31, "Print"],
Cell[2796741, 55541, 2410, 45, 31, "Print"],
Cell[2799154, 55588, 2420, 45, 31, "Print"],
Cell[2801577, 55635, 2415, 45, 31, "Print"],
Cell[2803995, 55682, 2418, 45, 31, "Print"],
Cell[2806416, 55729, 2407, 45, 31, "Print"],
Cell[2808826, 55776, 2405, 45, 31, "Print"],
Cell[2811234, 55823, 2410, 45, 31, "Print"],
Cell[2813647, 55870, 2409, 45, 31, "Print"],
Cell[2816059, 55917, 2410, 45, 31, "Print"],
Cell[2818472, 55964, 2443, 46, 31, "Print"],
Cell[2820918, 56012, 2415, 45, 31, "Print"],
Cell[2823336, 56059, 2418, 45, 31, "Print"],
Cell[2825757, 56106, 2412, 45, 31, "Print"],
Cell[2828172, 56153, 2441, 46, 31, "Print"],
Cell[2830616, 56201, 2407, 45, 31, "Print"],
Cell[2833026, 56248, 2414, 45, 31, "Print"],
Cell[2835443, 56295, 2411, 45, 31, "Print"],
Cell[2837857, 56342, 2441, 46, 31, "Print"],
Cell[2840301, 56390, 2408, 45, 31, "Print"],
Cell[2842712, 56437, 2414, 45, 31, "Print"],
Cell[2845129, 56484, 2413, 45, 31, "Print"],
Cell[2847545, 56531, 2446, 46, 31, "Print"],
Cell[2849994, 56579, 2406, 45, 31, "Print"],
Cell[2852403, 56626, 2409, 45, 31, "Print"],
Cell[2854815, 56673, 2410, 45, 31, "Print"],
Cell[2857228, 56720, 2407, 45, 31, "Print"],
Cell[2859638, 56767, 2418, 45, 31, "Print"],
Cell[2862059, 56814, 2419, 45, 31, "Print"],
Cell[2864481, 56861, 2409, 45, 31, "Print"],
Cell[2866893, 56908, 2413, 45, 31, "Print"],
Cell[2869309, 56955, 2409, 45, 31, "Print"],
Cell[2871721, 57002, 2419, 45, 31, "Print"],
Cell[2874143, 57049, 2412, 45, 31, "Print"],
Cell[2876558, 57096, 2410, 45, 31, "Print"],
Cell[2878971, 57143, 2446, 46, 31, "Print"],
Cell[2881420, 57191, 2416, 45, 31, "Print"],
Cell[2883839, 57238, 2410, 45, 31, "Print"],
Cell[2886252, 57285, 2419, 45, 31, "Print"],
Cell[2888674, 57332, 2446, 46, 31, "Print"],
Cell[2891123, 57380, 2413, 45, 31, "Print"],
Cell[2893539, 57427, 2409, 45, 31, "Print"],
Cell[2895951, 57474, 2414, 45, 31, "Print"],
Cell[2898368, 57521, 2414, 45, 31, "Print"],
Cell[2900785, 57568, 2410, 45, 31, "Print"],
Cell[2903198, 57615, 2404, 45, 31, "Print"],
Cell[2905605, 57662, 2408, 45, 31, "Print"],
Cell[2908016, 57709, 2439, 46, 31, "Print"],
Cell[2910458, 57757, 2408, 45, 31, "Print"],
Cell[2912869, 57804, 2407, 45, 31, "Print"],
Cell[2915279, 57851, 2406, 45, 31, "Print"],
Cell[2917688, 57898, 2410, 45, 31, "Print"],
Cell[2920101, 57945, 2419, 45, 31, "Print"],
Cell[2922523, 57992, 2407, 45, 31, "Print"],
Cell[2924933, 58039, 2388, 45, 31, "Print"],
Cell[2927324, 58086, 2391, 45, 31, "Print"],
Cell[2929718, 58133, 2387, 45, 31, "Print"],
Cell[2932108, 58180, 2385, 45, 31, "Print"],
Cell[2934496, 58227, 2385, 45, 31, "Print"],
Cell[2936884, 58274, 2391, 45, 31, "Print"],
Cell[2939278, 58321, 2387, 45, 31, "Print"],
Cell[2941668, 58368, 2390, 45, 31, "Print"],
Cell[2944061, 58415, 2388, 45, 31, "Print"],
Cell[2946452, 58462, 2378, 45, 31, "Print"],
Cell[2948833, 58509, 2383, 45, 31, "Print"],
Cell[2951219, 58556, 2381, 45, 31, "Print"],
Cell[2953603, 58603, 2385, 45, 31, "Print"],
Cell[2955991, 58650, 2385, 45, 31, "Print"],
Cell[2958379, 58697, 2383, 45, 31, "Print"],
Cell[2960765, 58744, 2409, 45, 31, "Print"],
Cell[2963177, 58791, 2385, 45, 31, "Print"],
Cell[2965565, 58838, 2381, 45, 31, "Print"],
Cell[2967949, 58885, 2382, 45, 31, "Print"],
Cell[2970334, 58932, 2409, 45, 31, "Print"],
Cell[2972746, 58979, 2386, 45, 31, "Print"],
Cell[2975135, 59026, 2388, 45, 31, "Print"],
Cell[2977526, 59073, 2389, 45, 31, "Print"],
Cell[2979918, 59120, 2418, 45, 31, "Print"],
Cell[2982339, 59167, 2389, 45, 31, "Print"],
Cell[2984731, 59214, 2386, 45, 31, "Print"],
Cell[2987120, 59261, 2387, 45, 31, "Print"],
Cell[2989510, 59308, 2411, 45, 31, "Print"],
Cell[2991924, 59355, 2386, 45, 31, "Print"],
Cell[2994313, 59402, 2391, 45, 31, "Print"],
Cell[2996707, 59449, 2389, 45, 31, "Print"],
Cell[2999099, 59496, 2384, 45, 31, "Print"],
Cell[3001486, 59543, 2384, 45, 31, "Print"],
Cell[3003873, 59590, 2392, 45, 31, "Print"],
Cell[3006268, 59637, 2388, 45, 31, "Print"],
Cell[3008659, 59684, 2386, 45, 31, "Print"],
Cell[3011048, 59731, 2376, 45, 31, "Print"],
Cell[3013427, 59778, 2379, 45, 31, "Print"],
Cell[3015809, 59825, 2386, 45, 31, "Print"],
Cell[3018198, 59872, 2383, 45, 31, "Print"],
Cell[3020584, 59919, 2411, 45, 31, "Print"],
Cell[3022998, 59966, 2389, 45, 31, "Print"],
Cell[3025390, 60013, 2383, 45, 31, "Print"],
Cell[3027776, 60060, 2392, 45, 31, "Print"],
Cell[3030171, 60107, 2409, 45, 31, "Print"],
Cell[3032583, 60154, 2380, 45, 31, "Print"],
Cell[3034966, 60201, 2382, 45, 31, "Print"],
Cell[3037351, 60248, 2392, 45, 31, "Print"],
Cell[3039746, 60295, 2390, 45, 31, "Print"],
Cell[3042139, 60342, 2387, 45, 31, "Print"],
Cell[3044529, 60389, 2386, 45, 31, "Print"],
Cell[3046918, 60436, 2392, 45, 31, "Print"],
Cell[3049313, 60483, 2412, 45, 31, "Print"],
Cell[3051728, 60530, 2382, 45, 31, "Print"],
Cell[3054113, 60577, 2386, 45, 31, "Print"],
Cell[3056502, 60624, 2387, 45, 31, "Print"],
Cell[3058892, 60671, 2382, 45, 31, "Print"],
Cell[3061277, 60718, 2387, 45, 31, "Print"],
Cell[3063667, 60765, 2386, 45, 31, "Print"],
Cell[3066056, 60812, 2384, 45, 31, "Print"],
Cell[3068443, 60859, 2393, 45, 31, "Print"],
Cell[3070839, 60906, 2380, 45, 31, "Print"],
Cell[3073222, 60953, 2392, 45, 31, "Print"],
Cell[3075617, 61000, 2390, 45, 29, "Print"],
Cell[3078010, 61047, 2395, 45, 29, "Print"],
Cell[3080408, 61094, 2385, 45, 29, "Print"],
Cell[3082796, 61141, 2392, 45, 29, "Print"],
Cell[3085191, 61188, 2385, 45, 29, "Print"],
Cell[3087579, 61235, 2393, 45, 29, "Print"],
Cell[3089975, 61282, 2383, 45, 29, "Print"],
Cell[3092361, 61329, 2393, 45, 29, "Print"],
Cell[3094757, 61376, 2382, 45, 29, "Print"],
Cell[3097142, 61423, 2389, 45, 29, "Print"],
Cell[3099534, 61470, 2388, 45, 29, "Print"],
Cell[3101925, 61517, 2414, 45, 29, "Print"],
Cell[3104342, 61564, 2385, 45, 29, "Print"],
Cell[3106730, 61611, 2392, 45, 29, "Print"],
Cell[3109125, 61658, 2389, 45, 29, "Print"],
Cell[3111517, 61705, 2414, 45, 29, "Print"],
Cell[3113934, 61752, 2391, 45, 29, "Print"],
Cell[3116328, 61799, 2389, 45, 29, "Print"],
Cell[3118720, 61846, 2383, 45, 29, "Print"],
Cell[3121106, 61893, 2409, 45, 29, "Print"],
Cell[3123518, 61940, 2385, 45, 29, "Print"],
Cell[3125906, 61987, 2382, 45, 29, "Print"],
Cell[3128291, 62034, 2389, 45, 29, "Print"],
Cell[3130683, 62081, 2414, 45, 29, "Print"],
Cell[3133100, 62128, 2385, 45, 29, "Print"],
Cell[3135488, 62175, 2392, 45, 31, "Print"],
Cell[3137883, 62222, 2391, 45, 31, "Print"],
Cell[3140277, 62269, 2383, 45, 31, "Print"],
Cell[3142663, 62316, 2383, 45, 31, "Print"],
Cell[3145049, 62363, 2391, 45, 31, "Print"],
Cell[3147443, 62410, 2379, 45, 31, "Print"],
Cell[3149825, 62457, 2382, 45, 31, "Print"],
Cell[3152210, 62504, 2387, 45, 31, "Print"],
Cell[3154600, 62551, 2389, 45, 31, "Print"],
Cell[3156992, 62598, 2384, 45, 31, "Print"],
Cell[3159379, 62645, 2382, 45, 31, "Print"],
Cell[3161764, 62692, 2410, 45, 31, "Print"],
Cell[3164177, 62739, 2391, 45, 31, "Print"],
Cell[3166571, 62786, 2382, 45, 31, "Print"],
Cell[3168956, 62833, 2389, 45, 31, "Print"],
Cell[3171348, 62880, 2419, 45, 31, "Print"],
Cell[3173770, 62927, 2388, 45, 31, "Print"],
Cell[3176161, 62974, 2379, 45, 31, "Print"],
Cell[3178543, 63021, 2388, 45, 31, "Print"],
Cell[3180934, 63068, 2390, 45, 31, "Print"],
Cell[3183327, 63115, 2388, 45, 31, "Print"],
Cell[3185718, 63162, 2385, 45, 31, "Print"],
Cell[3188106, 63209, 2386, 45, 31, "Print"],
Cell[3190495, 63256, 2414, 45, 31, "Print"],
Cell[3192912, 63303, 2389, 45, 31, "Print"],
Cell[3195304, 63350, 2378, 45, 31, "Print"],
Cell[3197685, 63397, 2391, 45, 31, "Print"],
Cell[3200079, 63444, 2390, 45, 31, "Print"],
Cell[3202472, 63491, 2385, 45, 31, "Print"],
Cell[3204860, 63538, 2388, 45, 31, "Print"],
Cell[3207251, 63585, 2384, 45, 31, "Print"],
Cell[3209638, 63632, 2389, 45, 31, "Print"],
Cell[3212030, 63679, 2378, 45, 31, "Print"],
Cell[3214411, 63726, 2386, 45, 31, "Print"],
Cell[3216800, 63773, 2384, 45, 31, "Print"],
Cell[3219187, 63820, 2380, 45, 31, "Print"],
Cell[3221570, 63867, 2377, 45, 31, "Print"],
Cell[3223950, 63914, 2380, 45, 31, "Print"],
Cell[3226333, 63961, 2386, 45, 31, "Print"],
Cell[3228722, 64008, 2384, 45, 31, "Print"],
Cell[3231109, 64055, 2385, 45, 31, "Print"],
Cell[3233497, 64102, 2381, 45, 31, "Print"],
Cell[3235881, 64149, 2386, 45, 31, "Print"],
Cell[3238270, 64196, 2386, 45, 31, "Print"],
Cell[3240659, 64243, 2385, 45, 31, "Print"],
Cell[3243047, 64290, 2413, 45, 31, "Print"],
Cell[3245463, 64337, 2386, 45, 31, "Print"],
Cell[3247852, 64384, 2385, 45, 31, "Print"],
Cell[3250240, 64431, 2382, 45, 31, "Print"],
Cell[3252625, 64478, 2410, 45, 31, "Print"],
Cell[3255038, 64525, 2389, 45, 31, "Print"],
Cell[3257430, 64572, 2385, 45, 31, "Print"],
Cell[3259818, 64619, 2382, 45, 31, "Print"],
Cell[3262203, 64666, 2411, 45, 31, "Print"],
Cell[3264617, 64713, 2387, 45, 31, "Print"],
Cell[3267007, 64760, 2391, 45, 31, "Print"],
Cell[3269401, 64807, 2376, 45, 31, "Print"],
Cell[3271780, 64854, 2408, 45, 31, "Print"],
Cell[3274191, 64901, 2373, 45, 31, "Print"],
Cell[3276567, 64948, 2384, 45, 31, "Print"],
Cell[3278954, 64995, 2369, 45, 31, "Print"],
Cell[3281326, 65042, 2378, 45, 31, "Print"],
Cell[3283707, 65089, 2385, 45, 31, "Print"],
Cell[3286095, 65136, 2385, 45, 31, "Print"],
Cell[3288483, 65183, 2377, 45, 31, "Print"],
Cell[3290863, 65230, 2387, 45, 31, "Print"],
Cell[3293253, 65277, 2386, 45, 31, "Print"],
Cell[3295642, 65324, 2382, 45, 31, "Print"],
Cell[3298027, 65371, 2380, 45, 31, "Print"],
Cell[3300410, 65418, 2384, 45, 31, "Print"],
Cell[3302797, 65465, 2412, 45, 31, "Print"],
Cell[3305212, 65512, 2380, 45, 31, "Print"],
Cell[3307595, 65559, 2384, 45, 31, "Print"],
Cell[3309982, 65606, 2385, 45, 31, "Print"],
Cell[3312370, 65653, 2412, 45, 31, "Print"],
Cell[3314785, 65700, 2384, 45, 31, "Print"],
Cell[3317172, 65747, 2375, 45, 31, "Print"],
Cell[3319550, 65794, 2385, 45, 31, "Print"],
Cell[3321938, 65841, 2383, 45, 31, "Print"],
Cell[3324324, 65888, 2375, 45, 31, "Print"],
Cell[3326702, 65935, 2380, 45, 31, "Print"],
Cell[3329085, 65982, 2387, 45, 31, "Print"],
Cell[3331475, 66029, 2413, 45, 31, "Print"],
Cell[3333891, 66076, 2382, 45, 29, "Print"],
Cell[3336276, 66123, 2383, 45, 29, "Print"],
Cell[3338662, 66170, 2390, 45, 29, "Print"],
Cell[3341055, 66217, 2386, 45, 29, "Print"],
Cell[3343444, 66264, 2381, 45, 29, "Print"],
Cell[3345828, 66311, 2375, 45, 29, "Print"],
Cell[3348206, 66358, 2412, 45, 29, "Print"],
Cell[3350621, 66405, 2407, 45, 29, "Print"],
Cell[3353031, 66452, 2411, 45, 29, "Print"],
Cell[3355445, 66499, 2414, 45, 29, "Print"],
Cell[3357862, 66546, 2408, 45, 29, "Print"],
Cell[3360273, 66593, 2415, 45, 29, "Print"],
Cell[3362691, 66640, 2407, 45, 29, "Print"],
Cell[3365101, 66687, 2420, 45, 29, "Print"],
Cell[3367524, 66734, 2407, 45, 29, "Print"],
Cell[3369934, 66781, 2418, 45, 29, "Print"],
Cell[3372355, 66828, 2414, 45, 29, "Print"],
Cell[3374772, 66875, 2412, 45, 29, "Print"],
Cell[3377187, 66922, 2415, 45, 29, "Print"],
Cell[3379605, 66969, 2418, 45, 29, "Print"],
Cell[3382026, 67016, 2413, 45, 29, "Print"],
Cell[3384442, 67063, 2443, 46, 29, "Print"],
Cell[3386888, 67111, 2413, 45, 29, "Print"],
Cell[3389304, 67158, 2405, 45, 29, "Print"],
Cell[3391712, 67205, 2409, 45, 29, "Print"],
Cell[3394124, 67252, 2449, 46, 29, "Print"],
Cell[3396576, 67300, 2412, 45, 29, "Print"],
Cell[3398991, 67347, 2417, 45, 29, "Print"],
Cell[3401411, 67394, 2416, 45, 29, "Print"],
Cell[3403830, 67441, 2442, 46, 29, "Print"],
Cell[3406275, 67489, 2416, 45, 29, "Print"],
Cell[3408694, 67536, 2412, 45, 29, "Print"],
Cell[3411109, 67583, 2410, 45, 29, "Print"],
Cell[3413522, 67630, 2440, 46, 29, "Print"],
Cell[3415965, 67678, 2412, 45, 29, "Print"],
Cell[3418380, 67725, 2409, 45, 29, "Print"],
Cell[3420792, 67772, 2415, 45, 29, "Print"],
Cell[3423210, 67819, 2417, 45, 29, "Print"],
Cell[3425630, 67866, 2417, 45, 29, "Print"],
Cell[3428050, 67913, 2409, 45, 29, "Print"],
Cell[3430462, 67960, 2415, 45, 29, "Print"],
Cell[3432880, 68007, 2414, 45, 29, "Print"],
Cell[3435297, 68054, 2414, 45, 29, "Print"],
Cell[3437714, 68101, 2411, 45, 31, "Print"],
Cell[3440128, 68148, 2412, 45, 31, "Print"],
Cell[3442543, 68195, 2413, 45, 31, "Print"],
Cell[3444959, 68242, 2440, 46, 31, "Print"],
Cell[3447402, 68290, 2419, 45, 31, "Print"],
Cell[3449824, 68337, 2401, 45, 31, "Print"],
Cell[3452228, 68384, 2419, 45, 31, "Print"],
Cell[3454650, 68431, 2448, 46, 31, "Print"],
Cell[3457101, 68479, 2419, 45, 31, "Print"],
Cell[3459523, 68526, 2413, 45, 31, "Print"],
Cell[3461939, 68573, 2417, 45, 31, "Print"],
Cell[3464359, 68620, 2409, 45, 31, "Print"],
Cell[3466771, 68667, 2417, 45, 31, "Print"],
Cell[3469191, 68714, 2409, 45, 31, "Print"],
Cell[3471603, 68761, 2410, 45, 31, "Print"],
Cell[3474016, 68808, 2441, 46, 31, "Print"],
Cell[3476460, 68856, 2407, 45, 31, "Print"],
Cell[3478870, 68903, 2404, 45, 31, "Print"],
Cell[3481277, 68950, 2410, 45, 31, "Print"],
Cell[3483690, 68997, 2415, 45, 31, "Print"],
Cell[3486108, 69044, 2414, 45, 31, "Print"],
Cell[3488525, 69091, 2409, 45, 31, "Print"],
Cell[3490937, 69138, 2386, 45, 31, "Print"],
Cell[3493326, 69185, 2390, 45, 31, "Print"],
Cell[3495719, 69232, 2389, 45, 31, "Print"],
Cell[3498111, 69279, 2383, 45, 31, "Print"],
Cell[3500497, 69326, 2391, 45, 31, "Print"],
Cell[3502891, 69373, 2388, 45, 31, "Print"],
Cell[3505282, 69420, 2380, 45, 31, "Print"],
Cell[3507665, 69467, 2390, 45, 31, "Print"],
Cell[3510058, 69514, 2388, 45, 31, "Print"],
Cell[3512449, 69561, 2387, 45, 31, "Print"],
Cell[3514839, 69608, 2383, 45, 31, "Print"],
Cell[3517225, 69655, 2382, 45, 31, "Print"],
Cell[3519610, 69702, 2388, 45, 31, "Print"],
Cell[3522001, 69749, 2390, 45, 31, "Print"],
Cell[3524394, 69796, 2377, 45, 31, "Print"],
Cell[3526774, 69843, 2413, 45, 31, "Print"],
Cell[3529190, 69890, 2379, 45, 31, "Print"],
Cell[3531572, 69937, 2382, 45, 31, "Print"],
Cell[3533957, 69984, 2385, 45, 31, "Print"],
Cell[3536345, 70031, 2418, 45, 31, "Print"],
Cell[3538766, 70078, 2391, 45, 31, "Print"],
Cell[3541160, 70125, 2384, 45, 31, "Print"],
Cell[3543547, 70172, 2386, 45, 31, "Print"],
Cell[3545936, 70219, 2407, 45, 31, "Print"],
Cell[3548346, 70266, 2389, 45, 31, "Print"],
Cell[3550738, 70313, 2393, 45, 31, "Print"],
Cell[3553134, 70360, 2383, 45, 31, "Print"],
Cell[3555520, 70407, 2415, 45, 31, "Print"],
Cell[3557938, 70454, 2388, 45, 31, "Print"],
Cell[3560329, 70501, 2386, 45, 31, "Print"],
Cell[3562718, 70548, 2388, 45, 31, "Print"],
Cell[3565109, 70595, 2386, 45, 31, "Print"],
Cell[3567498, 70642, 2388, 45, 31, "Print"],
Cell[3569889, 70689, 2386, 45, 31, "Print"],
Cell[3572278, 70736, 2386, 45, 31, "Print"],
Cell[3574667, 70783, 2383, 45, 31, "Print"],
Cell[3577053, 70830, 2382, 45, 31, "Print"],
Cell[3579438, 70877, 2383, 45, 31, "Print"],
Cell[3581824, 70924, 2377, 45, 31, "Print"],
Cell[3584204, 70971, 2390, 45, 31, "Print"],
Cell[3586597, 71018, 2409, 45, 31, "Print"],
Cell[3589009, 71065, 2383, 45, 31, "Print"],
Cell[3591395, 71112, 2377, 45, 31, "Print"],
Cell[3593775, 71159, 2384, 45, 31, "Print"],
Cell[3596162, 71206, 2412, 45, 31, "Print"],
Cell[3598577, 71253, 2379, 45, 31, "Print"],
Cell[3600959, 71300, 2385, 45, 31, "Print"],
Cell[3603347, 71347, 2387, 45, 31, "Print"],
Cell[3605737, 71394, 2384, 45, 31, "Print"],
Cell[3608124, 71441, 2381, 45, 31, "Print"],
Cell[3610508, 71488, 2382, 45, 31, "Print"],
Cell[3612893, 71535, 2390, 45, 31, "Print"],
Cell[3615286, 71582, 2412, 45, 31, "Print"],
Cell[3617701, 71629, 2387, 45, 31, "Print"],
Cell[3620091, 71676, 2386, 45, 31, "Print"],
Cell[3622480, 71723, 2386, 45, 31, "Print"],
Cell[3624869, 71770, 2390, 45, 31, "Print"],
Cell[3627262, 71817, 2385, 45, 31, "Print"],
Cell[3629650, 71864, 2386, 45, 31, "Print"],
Cell[3632039, 71911, 2379, 45, 31, "Print"],
Cell[3634421, 71958, 2386, 45, 29, "Print"],
Cell[3636810, 72005, 2386, 45, 29, "Print"],
Cell[3639199, 72052, 2392, 45, 29, "Print"],
Cell[3641594, 72099, 2385, 45, 29, "Print"],
Cell[3643982, 72146, 2395, 45, 29, "Print"],
Cell[3646380, 72193, 2385, 45, 29, "Print"],
Cell[3648768, 72240, 2386, 45, 29, "Print"],
Cell[3651157, 72287, 2390, 45, 29, "Print"],
Cell[3653550, 72334, 2389, 45, 29, "Print"],
Cell[3655942, 72381, 2386, 45, 29, "Print"],
Cell[3658331, 72428, 2395, 45, 29, "Print"],
Cell[3660729, 72475, 2384, 45, 29, "Print"],
Cell[3663116, 72522, 2395, 45, 29, "Print"],
Cell[3665514, 72569, 2385, 45, 29, "Print"],
Cell[3667902, 72616, 2414, 45, 29, "Print"],
Cell[3670319, 72663, 2391, 45, 29, "Print"],
Cell[3672713, 72710, 2382, 45, 29, "Print"],
Cell[3675098, 72757, 2384, 45, 29, "Print"],
Cell[3677485, 72804, 2420, 45, 29, "Print"],
Cell[3679908, 72851, 2387, 45, 29, "Print"],
Cell[3682298, 72898, 2395, 45, 29, "Print"],
Cell[3684696, 72945, 2386, 45, 29, "Print"],
Cell[3687085, 72992, 2420, 45, 29, "Print"],
Cell[3689508, 73039, 2384, 45, 29, "Print"],
Cell[3691895, 73086, 2394, 45, 29, "Print"],
Cell[3694292, 73133, 2386, 45, 31, "Print"],
Cell[3696681, 73180, 2402, 45, 31, "Print"],
Cell[3699086, 73227, 2386, 45, 31, "Print"],
Cell[3701475, 73274, 2389, 45, 31, "Print"],
Cell[3703867, 73321, 2388, 45, 31, "Print"],
Cell[3706258, 73368, 2388, 45, 31, "Print"],
Cell[3708649, 73415, 2386, 45, 31, "Print"],
Cell[3711038, 73462, 2391, 45, 31, "Print"],
Cell[3713432, 73509, 2387, 45, 31, "Print"],
Cell[3715822, 73556, 2391, 45, 31, "Print"],
Cell[3718216, 73603, 2384, 45, 31, "Print"],
Cell[3720603, 73650, 2386, 45, 31, "Print"],
Cell[3722992, 73697, 2383, 45, 31, "Print"],
Cell[3725378, 73744, 2383, 45, 31, "Print"],
Cell[3727764, 73791, 2412, 45, 31, "Print"],
Cell[3730179, 73838, 2388, 45, 31, "Print"],
Cell[3732570, 73885, 2387, 45, 31, "Print"],
Cell[3734960, 73932, 2385, 45, 31, "Print"],
Cell[3737348, 73979, 2408, 45, 31, "Print"],
Cell[3739759, 74026, 2382, 45, 31, "Print"],
Cell[3742144, 74073, 2385, 45, 31, "Print"],
Cell[3744532, 74120, 2389, 45, 31, "Print"],
Cell[3746924, 74167, 2379, 45, 31, "Print"],
Cell[3749306, 74214, 2389, 45, 31, "Print"],
Cell[3751698, 74261, 2384, 45, 31, "Print"],
Cell[3754085, 74308, 2388, 45, 31, "Print"],
Cell[3756476, 74355, 2414, 45, 31, "Print"],
Cell[3758893, 74402, 2381, 45, 31, "Print"],
Cell[3761277, 74449, 2380, 45, 31, "Print"],
Cell[3763660, 74496, 2392, 45, 31, "Print"],
Cell[3766055, 74543, 2392, 45, 31, "Print"],
Cell[3768450, 74590, 2383, 45, 31, "Print"],
Cell[3770836, 74637, 2382, 45, 31, "Print"],
Cell[3773221, 74684, 2380, 45, 31, "Print"],
Cell[3775604, 74731, 2386, 45, 31, "Print"],
Cell[3777993, 74778, 2371, 45, 31, "Print"],
Cell[3780367, 74825, 2386, 45, 31, "Print"],
Cell[3782756, 74872, 2386, 45, 31, "Print"],
Cell[3785145, 74919, 2388, 45, 31, "Print"],
Cell[3787536, 74966, 2378, 45, 31, "Print"],
Cell[3789917, 75013, 2382, 45, 31, "Print"],
Cell[3792302, 75060, 2386, 45, 31, "Print"],
Cell[3794691, 75107, 2389, 45, 31, "Print"],
Cell[3797083, 75154, 2384, 45, 31, "Print"],
Cell[3799470, 75201, 2386, 45, 31, "Print"],
Cell[3801859, 75248, 2383, 45, 31, "Print"],
Cell[3804245, 75295, 2385, 45, 31, "Print"],
Cell[3806633, 75342, 2379, 45, 31, "Print"],
Cell[3809015, 75389, 2407, 45, 31, "Print"],
Cell[3811425, 75436, 2379, 45, 31, "Print"],
Cell[3813807, 75483, 2388, 45, 31, "Print"],
Cell[3816198, 75530, 2385, 45, 31, "Print"],
Cell[3818586, 75577, 2416, 45, 31, "Print"],
Cell[3821005, 75624, 2386, 45, 31, "Print"],
Cell[3823394, 75671, 2380, 45, 31, "Print"],
Cell[3825777, 75718, 2382, 45, 31, "Print"],
Cell[3828162, 75765, 2411, 45, 31, "Print"],
Cell[3830576, 75812, 2382, 45, 31, "Print"],
Cell[3832961, 75859, 2387, 45, 31, "Print"],
Cell[3835351, 75906, 2383, 45, 31, "Print"],
Cell[3837737, 75953, 2415, 45, 31, "Print"],
Cell[3840155, 76000, 2382, 45, 31, "Print"],
Cell[3842540, 76047, 2381, 45, 31, "Print"],
Cell[3844924, 76094, 2380, 45, 31, "Print"],
Cell[3847307, 76141, 2378, 45, 31, "Print"],
Cell[3849688, 76188, 2388, 45, 31, "Print"],
Cell[3852079, 76235, 2382, 45, 31, "Print"],
Cell[3854464, 76282, 2376, 45, 31, "Print"],
Cell[3856843, 76329, 2382, 45, 31, "Print"],
Cell[3859228, 76376, 2369, 45, 31, "Print"],
Cell[3861600, 76423, 2388, 45, 31, "Print"],
Cell[3863991, 76470, 2380, 45, 31, "Print"],
Cell[3866374, 76517, 2387, 45, 31, "Print"],
Cell[3868764, 76564, 2410, 45, 31, "Print"],
Cell[3871177, 76611, 2380, 45, 31, "Print"],
Cell[3873560, 76658, 2381, 45, 31, "Print"],
Cell[3875944, 76705, 2387, 45, 31, "Print"],
Cell[3878334, 76752, 2412, 45, 31, "Print"],
Cell[3880749, 76799, 2390, 45, 31, "Print"],
Cell[3883142, 76846, 2386, 45, 31, "Print"],
Cell[3885531, 76893, 2383, 45, 31, "Print"],
Cell[3887917, 76940, 2385, 45, 31, "Print"],
Cell[3890305, 76987, 2382, 45, 31, "Print"],
Cell[3892690, 77034, 2380, 45, 31, "Print"],
Cell[3895073, 77081, 2379, 45, 31, "Print"],
Cell[3897455, 77128, 2406, 45, 31, "Print"],
Cell[3899864, 77175, 2390, 45, 31, "Print"],
Cell[3902257, 77222, 2381, 45, 31, "Print"],
Cell[3904641, 77269, 2382, 45, 31, "Print"],
Cell[3907026, 77316, 2386, 45, 31, "Print"],
Cell[3909415, 77363, 2380, 45, 31, "Print"],
Cell[3911798, 77410, 2381, 45, 31, "Print"],
Cell[3914182, 77457, 2416, 45, 31, "Print"],
Cell[3916601, 77504, 2409, 45, 31, "Print"],
Cell[3919013, 77551, 2411, 45, 31, "Print"],
Cell[3921427, 77598, 2409, 45, 31, "Print"],
Cell[3923839, 77645, 2415, 45, 31, "Print"],
Cell[3926257, 77692, 2418, 45, 31, "Print"],
Cell[3928678, 77739, 2414, 45, 31, "Print"],
Cell[3931095, 77786, 2415, 45, 31, "Print"],
Cell[3933513, 77833, 2416, 45, 31, "Print"],
Cell[3935932, 77880, 2417, 45, 31, "Print"],
Cell[3938352, 77927, 2410, 45, 31, "Print"],
Cell[3940765, 77974, 2414, 45, 31, "Print"],
Cell[3943182, 78021, 2418, 45, 31, "Print"],
Cell[3945603, 78068, 2415, 45, 31, "Print"],
Cell[3948021, 78115, 2413, 45, 31, "Print"],
Cell[3950437, 78162, 2443, 46, 31, "Print"],
Cell[3952883, 78210, 2400, 45, 31, "Print"],
Cell[3955286, 78257, 2412, 45, 31, "Print"],
Cell[3957701, 78304, 2409, 45, 31, "Print"],
Cell[3960113, 78351, 2449, 46, 31, "Print"],
Cell[3962565, 78399, 2413, 45, 31, "Print"],
Cell[3964981, 78446, 2411, 45, 31, "Print"],
Cell[3967395, 78493, 2408, 45, 31, "Print"],
Cell[3969806, 78540, 2446, 46, 31, "Print"],
Cell[3972255, 78588, 2408, 45, 31, "Print"],
Cell[3974666, 78635, 2414, 45, 31, "Print"],
Cell[3977083, 78682, 2406, 45, 31, "Print"],
Cell[3979492, 78729, 2448, 46, 31, "Print"],
Cell[3981943, 78777, 2417, 45, 31, "Print"],
Cell[3984363, 78824, 2414, 45, 31, "Print"],
Cell[3986780, 78871, 2412, 45, 31, "Print"],
Cell[3989195, 78918, 2408, 45, 31, "Print"],
Cell[3991606, 78965, 2415, 45, 31, "Print"],
Cell[3994024, 79012, 2409, 45, 31, "Print"],
Cell[3996436, 79059, 2407, 45, 31, "Print"],
Cell[3998846, 79106, 2417, 45, 31, "Print"],
Cell[4001266, 79153, 2406, 45, 31, "Print"],
Cell[4003675, 79200, 2412, 45, 31, "Print"],
Cell[4006090, 79247, 2405, 45, 31, "Print"],
Cell[4008498, 79294, 2417, 45, 31, "Print"],
Cell[4010918, 79341, 2445, 46, 31, "Print"],
Cell[4013366, 79389, 2407, 45, 31, "Print"],
Cell[4015776, 79436, 2410, 45, 31, "Print"],
Cell[4018189, 79483, 2419, 45, 31, "Print"],
Cell[4020611, 79530, 2446, 46, 31, "Print"],
Cell[4023060, 79578, 2419, 45, 31, "Print"],
Cell[4025482, 79625, 2408, 45, 31, "Print"],
Cell[4027893, 79672, 2413, 45, 31, "Print"],
Cell[4030309, 79719, 2415, 45, 31, "Print"],
Cell[4032727, 79766, 2416, 45, 31, "Print"],
Cell[4035146, 79813, 2412, 45, 31, "Print"],
Cell[4037561, 79860, 2417, 45, 31, "Print"],
Cell[4039981, 79907, 2439, 46, 31, "Print"],
Cell[4042423, 79955, 2413, 45, 31, "Print"],
Cell[4044839, 80002, 2407, 45, 31, "Print"],
Cell[4047249, 80049, 2419, 45, 31, "Print"],
Cell[4049671, 80096, 2415, 45, 31, "Print"],
Cell[4052089, 80143, 2413, 45, 31, "Print"],
Cell[4054505, 80190, 2403, 45, 31, "Print"],
Cell[4056911, 80237, 2382, 45, 31, "Print"],
Cell[4059296, 80284, 2388, 45, 31, "Print"],
Cell[4061687, 80331, 2383, 45, 31, "Print"],
Cell[4064073, 80378, 2391, 45, 31, "Print"],
Cell[4066467, 80425, 2379, 45, 31, "Print"],
Cell[4068849, 80472, 2393, 45, 31, "Print"],
Cell[4071245, 80519, 2380, 45, 31, "Print"],
Cell[4073628, 80566, 2393, 45, 31, "Print"],
Cell[4076024, 80613, 2380, 45, 31, "Print"],
Cell[4078407, 80660, 2390, 45, 31, "Print"],
Cell[4080800, 80707, 2383, 45, 29, "Print"],
Cell[4083186, 80754, 2390, 45, 29, "Print"],
Cell[4085579, 80801, 2389, 45, 29, "Print"],
Cell[4087971, 80848, 2384, 45, 29, "Print"],
Cell[4090358, 80895, 2380, 45, 29, "Print"],
Cell[4092741, 80942, 2413, 45, 29, "Print"],
Cell[4095157, 80989, 2383, 45, 29, "Print"],
Cell[4097543, 81036, 2382, 45, 29, "Print"],
Cell[4099928, 81083, 2382, 45, 29, "Print"],
Cell[4102313, 81130, 2415, 45, 29, "Print"],
Cell[4104731, 81177, 2382, 45, 29, "Print"],
Cell[4107116, 81224, 2379, 45, 29, "Print"],
Cell[4109498, 81271, 2379, 45, 29, "Print"],
Cell[4111880, 81318, 2411, 45, 29, "Print"],
Cell[4114294, 81365, 2382, 45, 29, "Print"],
Cell[4116679, 81412, 2379, 45, 29, "Print"],
Cell[4119061, 81459, 2375, 45, 29, "Print"],
Cell[4121439, 81506, 2417, 45, 29, "Print"],
Cell[4123859, 81553, 2382, 45, 29, "Print"],
Cell[4126244, 81600, 2390, 45, 29, "Print"],
Cell[4128637, 81647, 2386, 45, 29, "Print"],
Cell[4131026, 81694, 2392, 45, 29, "Print"],
Cell[4133421, 81741, 2388, 45, 29, "Print"],
Cell[4135812, 81788, 2392, 45, 29, "Print"],
Cell[4138207, 81835, 2382, 45, 29, "Print"],
Cell[4140592, 81882, 2379, 45, 31, "Print"],
Cell[4142974, 81929, 2387, 45, 31, "Print"],
Cell[4145364, 81976, 2379, 45, 31, "Print"],
Cell[4147746, 82023, 2383, 45, 31, "Print"],
Cell[4150132, 82070, 2387, 45, 31, "Print"],
Cell[4152522, 82117, 2409, 45, 31, "Print"],
Cell[4154934, 82164, 2384, 45, 31, "Print"],
Cell[4157321, 82211, 2388, 45, 31, "Print"],
Cell[4159712, 82258, 2383, 45, 31, "Print"],
Cell[4162098, 82305, 2409, 45, 31, "Print"],
Cell[4164510, 82352, 2389, 45, 31, "Print"],
Cell[4166902, 82399, 2377, 45, 31, "Print"],
Cell[4169282, 82446, 2383, 45, 31, "Print"],
Cell[4171668, 82493, 2375, 45, 31, "Print"],
Cell[4174046, 82540, 2384, 45, 31, "Print"],
Cell[4176433, 82587, 2379, 45, 31, "Print"],
Cell[4178815, 82634, 2386, 45, 31, "Print"],
Cell[4181204, 82681, 2410, 45, 31, "Print"],
Cell[4183617, 82728, 2383, 45, 31, "Print"],
Cell[4186003, 82775, 2386, 45, 31, "Print"],
Cell[4188392, 82822, 2383, 45, 31, "Print"],
Cell[4190778, 82869, 2382, 45, 31, "Print"],
Cell[4193163, 82916, 2389, 45, 31, "Print"],
Cell[4195555, 82963, 2384, 45, 31, "Print"],
Cell[4197942, 83010, 2387, 45, 31, "Print"],
Cell[4200332, 83057, 2387, 45, 31, "Print"],
Cell[4202722, 83104, 2388, 45, 31, "Print"],
Cell[4205113, 83151, 2395, 45, 31, "Print"],
Cell[4207511, 83198, 2385, 45, 31, "Print"],
Cell[4209899, 83245, 2392, 45, 31, "Print"],
Cell[4212294, 83292, 2380, 45, 31, "Print"],
Cell[4214677, 83339, 2390, 45, 31, "Print"],
Cell[4217070, 83386, 2388, 45, 31, "Print"],
Cell[4219461, 83433, 2387, 45, 31, "Print"],
Cell[4221851, 83480, 2385, 45, 31, "Print"],
Cell[4224239, 83527, 2392, 45, 31, "Print"],
Cell[4226634, 83574, 2384, 45, 31, "Print"],
Cell[4229021, 83621, 2395, 45, 31, "Print"],
Cell[4231419, 83668, 2379, 45, 31, "Print"],
Cell[4233801, 83715, 2414, 45, 31, "Print"],
Cell[4236218, 83762, 2385, 45, 31, "Print"],
Cell[4238606, 83809, 2395, 45, 31, "Print"],
Cell[4241004, 83856, 2383, 45, 31, "Print"],
Cell[4243390, 83903, 2414, 45, 31, "Print"],
Cell[4245807, 83950, 2389, 45, 31, "Print"],
Cell[4248199, 83997, 2389, 45, 31, "Print"],
Cell[4250591, 84044, 2382, 45, 31, "Print"],
Cell[4252976, 84091, 2410, 45, 31, "Print"],
Cell[4255389, 84138, 2387, 45, 31, "Print"],
Cell[4257779, 84185, 2382, 45, 31, "Print"],
Cell[4260164, 84232, 2388, 45, 31, "Print"],
Cell[4262555, 84279, 2416, 45, 31, "Print"],
Cell[4264974, 84326, 2383, 45, 31, "Print"],
Cell[4267360, 84373, 2392, 45, 31, "Print"],
Cell[4269755, 84420, 2384, 45, 31, "Print"],
Cell[4272142, 84467, 2389, 45, 31, "Print"],
Cell[4274534, 84514, 2390, 45, 31, "Print"],
Cell[4276927, 84561, 2385, 45, 31, "Print"],
Cell[4279315, 84608, 2386, 45, 31, "Print"],
Cell[4281704, 84655, 2386, 45, 31, "Print"],
Cell[4284093, 84702, 2387, 45, 31, "Print"],
Cell[4286483, 84749, 2394, 45, 31, "Print"],
Cell[4288880, 84796, 2387, 45, 31, "Print"],
Cell[4291270, 84843, 2389, 45, 31, "Print"],
Cell[4293662, 84890, 2417, 45, 31, "Print"],
Cell[4296082, 84937, 2386, 45, 31, "Print"],
Cell[4298471, 84984, 2381, 45, 31, "Print"],
Cell[4300855, 85031, 2383, 45, 31, "Print"],
Cell[4303241, 85078, 2416, 45, 31, "Print"],
Cell[4305660, 85125, 2394, 45, 31, "Print"],
Cell[4308057, 85172, 2387, 45, 31, "Print"],
Cell[4310447, 85219, 2392, 45, 29, "Print"],
Cell[4312842, 85266, 2392, 45, 29, "Print"],
Cell[4315237, 85313, 2391, 45, 29, "Print"],
Cell[4317631, 85360, 2382, 45, 29, "Print"],
Cell[4320016, 85407, 2388, 45, 29, "Print"],
Cell[4322407, 85454, 2411, 45, 29, "Print"],
Cell[4324821, 85501, 2392, 45, 29, "Print"],
Cell[4327216, 85548, 2375, 45, 29, "Print"],
Cell[4329594, 85595, 2391, 45, 29, "Print"],
Cell[4331988, 85642, 2389, 45, 29, "Print"],
Cell[4334380, 85689, 2389, 45, 29, "Print"],
Cell[4336772, 85736, 2386, 45, 29, "Print"],
Cell[4339161, 85783, 2380, 45, 29, "Print"],
Cell[4341544, 85830, 2386, 45, 29, "Print"],
Cell[4343933, 85877, 2385, 45, 29, "Print"],
Cell[4346321, 85924, 2386, 45, 29, "Print"],
Cell[4348710, 85971, 2384, 45, 29, "Print"],
Cell[4351097, 86018, 2388, 45, 29, "Print"],
Cell[4353488, 86065, 2376, 45, 29, "Print"],
Cell[4355867, 86112, 2388, 45, 29, "Print"],
Cell[4358258, 86159, 2375, 45, 29, "Print"],
Cell[4360636, 86206, 2391, 45, 29, "Print"],
Cell[4363030, 86253, 2382, 45, 29, "Print"],
Cell[4365415, 86300, 2385, 45, 29, "Print"],
Cell[4367803, 86347, 2383, 45, 29, "Print"],
Cell[4370189, 86394, 2379, 45, 31, "Print"],
Cell[4372571, 86441, 2381, 45, 31, "Print"],
Cell[4374955, 86488, 2414, 45, 31, "Print"],
Cell[4377372, 86535, 2381, 45, 31, "Print"],
Cell[4379756, 86582, 2388, 45, 31, "Print"],
Cell[4382147, 86629, 2382, 45, 31, "Print"],
Cell[4384532, 86676, 2409, 45, 31, "Print"],
Cell[4386944, 86723, 2376, 45, 31, "Print"],
Cell[4389323, 86770, 2390, 45, 31, "Print"],
Cell[4391716, 86817, 2381, 45, 31, "Print"],
Cell[4394100, 86864, 2412, 45, 31, "Print"],
Cell[4396515, 86911, 2377, 45, 31, "Print"],
Cell[4398895, 86958, 2385, 45, 31, "Print"],
Cell[4401283, 87005, 2381, 45, 31, "Print"],
Cell[4403667, 87052, 2412, 45, 31, "Print"],
Cell[4406082, 87099, 2386, 45, 31, "Print"],
Cell[4408471, 87146, 2379, 45, 31, "Print"],
Cell[4410853, 87193, 2380, 45, 29, "Print"],
Cell[4413236, 87240, 2388, 45, 29, "Print"],
Cell[4415627, 87287, 2385, 45, 29, "Print"],
Cell[4418015, 87334, 2381, 45, 29, "Print"],
Cell[4420399, 87381, 2384, 45, 29, "Print"],
Cell[4422786, 87428, 2387, 45, 29, "Print"],
Cell[4425176, 87475, 2386, 45, 29, "Print"],
Cell[4427565, 87522, 2382, 45, 29, "Print"],
Cell[4429950, 87569, 2383, 45, 29, "Print"],
Cell[4432336, 87616, 2388, 45, 29, "Print"],
Cell[4434727, 87663, 2415, 45, 29, "Print"],
Cell[4437145, 87710, 2387, 45, 29, "Print"],
Cell[4439535, 87757, 2377, 45, 29, "Print"],
Cell[4441915, 87804, 2379, 45, 29, "Print"],
Cell[4444297, 87851, 2415, 45, 29, "Print"],
Cell[4446715, 87898, 2390, 45, 29, "Print"],
Cell[4449108, 87945, 2384, 45, 29, "Print"],
Cell[4451495, 87992, 2385, 45, 29, "Print"],
Cell[4453883, 88039, 2382, 45, 29, "Print"],
Cell[4456268, 88086, 2390, 45, 29, "Print"],
Cell[4458661, 88133, 2375, 45, 29, "Print"],
Cell[4461039, 88180, 2384, 45, 29, "Print"],
Cell[4463426, 88227, 2406, 45, 29, "Print"],
Cell[4465835, 88274, 2388, 45, 29, "Print"],
Cell[4468226, 88321, 2378, 45, 29, "Print"],
Cell[4470607, 88368, 2379, 45, 31, "Print"],
Cell[4472989, 88415, 2386, 45, 31, "Print"],
Cell[4475378, 88462, 2380, 45, 31, "Print"],
Cell[4477761, 88509, 2373, 45, 31, "Print"],
Cell[4480137, 88556, 2390, 45, 31, "Print"],
Cell[4482530, 88603, 2384, 45, 31, "Print"],
Cell[4484917, 88650, 2389, 45, 31, "Print"],
Cell[4487309, 88697, 2388, 45, 31, "Print"],
Cell[4489700, 88744, 2391, 45, 31, "Print"],
Cell[4492094, 88791, 2390, 45, 31, "Print"],
Cell[4494487, 88838, 2385, 45, 31, "Print"],
Cell[4496875, 88885, 2393, 45, 31, "Print"],
Cell[4499271, 88932, 2393, 45, 31, "Print"],
Cell[4501667, 88979, 2392, 45, 31, "Print"],
Cell[4504062, 89026, 2385, 45, 31, "Print"],
Cell[4506450, 89073, 2384, 45, 31, "Print"],
Cell[4508837, 89120, 2388, 45, 31, "Print"],
Cell[4511228, 89167, 2389, 45, 31, "Print"],
Cell[4513620, 89214, 2375, 45, 31, "Print"],
Cell[4515998, 89261, 2420, 45, 31, "Print"],
Cell[4518421, 89308, 2387, 45, 31, "Print"],
Cell[4520811, 89355, 2389, 45, 31, "Print"],
Cell[4523203, 89402, 2378, 45, 31, "Print"],
Cell[4525584, 89449, 2419, 45, 31, "Print"],
Cell[4528006, 89496, 2389, 45, 31, "Print"],
Cell[4530398, 89543, 2394, 45, 31, "Print"],
Cell[4532795, 89590, 2387, 45, 31, "Print"],
Cell[4535185, 89637, 2408, 45, 31, "Print"],
Cell[4537596, 89684, 2392, 45, 31, "Print"],
Cell[4539991, 89731, 2389, 45, 31, "Print"],
Cell[4542383, 89778, 2379, 45, 31, "Print"],
Cell[4544765, 89825, 2411, 45, 31, "Print"],
Cell[4547179, 89872, 2387, 45, 31, "Print"],
Cell[4549569, 89919, 2394, 45, 31, "Print"],
Cell[4551966, 89966, 2390, 45, 31, "Print"],
Cell[4554359, 90013, 2388, 45, 31, "Print"],
Cell[4556750, 90060, 2392, 45, 31, "Print"],
Cell[4559145, 90107, 2388, 45, 31, "Print"],
Cell[4561536, 90154, 2381, 45, 31, "Print"],
Cell[4563920, 90201, 2386, 45, 31, "Print"],
Cell[4566309, 90248, 2380, 45, 31, "Print"],
Cell[4568692, 90295, 2389, 45, 31, "Print"],
Cell[4571084, 90342, 2387, 45, 31, "Print"],
Cell[4573474, 90389, 2383, 45, 31, "Print"],
Cell[4575860, 90436, 2411, 45, 31, "Print"],
Cell[4578274, 90483, 2394, 45, 31, "Print"],
Cell[4580671, 90530, 2384, 45, 31, "Print"],
Cell[4583058, 90577, 2383, 45, 31, "Print"],
Cell[4585444, 90624, 2414, 45, 31, "Print"],
Cell[4587861, 90671, 2388, 45, 31, "Print"],
Cell[4590252, 90718, 2388, 45, 31, "Print"],
Cell[4592643, 90765, 2384, 45, 31, "Print"],
Cell[4595030, 90812, 2392, 45, 31, "Print"],
Cell[4597425, 90859, 2391, 45, 31, "Print"],
Cell[4599819, 90906, 2384, 45, 31, "Print"],
Cell[4602206, 90953, 2388, 45, 31, "Print"],
Cell[4604597, 91000, 2419, 45, 31, "Print"],
Cell[4607019, 91047, 2389, 45, 31, "Print"],
Cell[4609411, 91094, 2387, 45, 31, "Print"],
Cell[4611801, 91141, 2391, 45, 31, "Print"],
Cell[4614195, 91188, 2389, 45, 31, "Print"],
Cell[4616587, 91235, 2386, 45, 31, "Print"],
Cell[4618976, 91282, 2375, 45, 31, "Print"],
Cell[4621354, 91329, 2389, 45, 31, "Print"],
Cell[4623746, 91376, 2387, 45, 31, "Print"],
Cell[4626136, 91423, 2387, 45, 31, "Print"],
Cell[4628526, 91470, 2390, 45, 31, "Print"],
Cell[4630919, 91517, 2380, 45, 31, "Print"],
Cell[4633302, 91564, 2390, 45, 31, "Print"],
Cell[4635695, 91611, 2386, 45, 31, "Print"],
Cell[4638084, 91658, 2393, 45, 31, "Print"],
Cell[4640480, 91705, 2391, 45, 31, "Print"],
Cell[4642874, 91752, 2393, 45, 31, "Print"],
Cell[4645270, 91799, 2389, 45, 31, "Print"],
Cell[4647662, 91846, 2384, 45, 31, "Print"],
Cell[4650049, 91893, 2388, 45, 31, "Print"],
Cell[4652440, 91940, 2391, 45, 31, "Print"],
Cell[4654834, 91987, 2386, 45, 31, "Print"],
Cell[4657223, 92034, 2416, 45, 31, "Print"],
Cell[4659642, 92081, 2385, 45, 31, "Print"],
Cell[4662030, 92128, 2384, 45, 31, "Print"],
Cell[4664417, 92175, 2381, 45, 31, "Print"],
Cell[4666801, 92222, 2415, 45, 31, "Print"],
Cell[4669219, 92269, 2382, 45, 31, "Print"],
Cell[4671604, 92316, 2386, 45, 31, "Print"],
Cell[4673993, 92363, 2388, 45, 31, "Print"],
Cell[4676384, 92410, 2414, 45, 31, "Print"],
Cell[4678801, 92457, 2379, 45, 31, "Print"],
Cell[4681183, 92504, 2392, 45, 31, "Print"],
Cell[4683578, 92551, 2388, 45, 31, "Print"],
Cell[4685969, 92598, 2411, 45, 31, "Print"],
Cell[4688383, 92645, 2384, 45, 31, "Print"],
Cell[4690770, 92692, 2390, 45, 31, "Print"],
Cell[4693163, 92739, 2382, 45, 31, "Print"],
Cell[4695548, 92786, 2389, 45, 31, "Print"],
Cell[4697940, 92833, 2384, 45, 31, "Print"],
Cell[4700327, 92880, 2392, 45, 31, "Print"],
Cell[4702722, 92927, 2379, 45, 31, "Print"],
Cell[4705104, 92974, 2379, 45, 31, "Print"],
Cell[4707486, 93021, 2390, 45, 31, "Print"],
Cell[4709879, 93068, 2390, 45, 31, "Print"],
Cell[4712272, 93115, 2385, 45, 31, "Print"],
Cell[4714660, 93162, 2387, 45, 31, "Print"],
Cell[4717050, 93209, 2414, 45, 31, "Print"],
Cell[4719467, 93256, 2387, 45, 31, "Print"],
Cell[4721857, 93303, 2386, 45, 31, "Print"],
Cell[4724246, 93350, 2392, 45, 31, "Print"],
Cell[4726641, 93397, 2411, 45, 31, "Print"],
Cell[4729055, 93444, 2381, 45, 31, "Print"],
Cell[4731439, 93491, 2382, 45, 31, "Print"],
Cell[4733824, 93538, 2387, 45, 31, "Print"],
Cell[4736214, 93585, 2388, 45, 31, "Print"],
Cell[4738605, 93632, 2386, 45, 31, "Print"],
Cell[4740994, 93679, 2379, 45, 31, "Print"],
Cell[4743376, 93726, 2392, 45, 31, "Print"],
Cell[4745771, 93773, 2411, 45, 31, "Print"],
Cell[4748185, 93820, 2380, 45, 31, "Print"],
Cell[4750568, 93867, 2383, 45, 31, "Print"],
Cell[4752954, 93914, 2383, 45, 31, "Print"],
Cell[4755340, 93961, 2387, 45, 31, "Print"],
Cell[4757730, 94008, 2386, 45, 31, "Print"],
Cell[4760119, 94055, 2380, 45, 31, "Print"],
Cell[4762502, 94102, 2382, 45, 31, "Print"],
Cell[4764887, 94149, 2386, 45, 31, "Print"],
Cell[4767276, 94196, 2383, 45, 31, "Print"],
Cell[4769662, 94243, 2395, 45, 31, "Print"],
Cell[4772060, 94290, 2388, 45, 31, "Print"],
Cell[4774451, 94337, 2389, 45, 31, "Print"],
Cell[4776843, 94384, 2391, 45, 31, "Print"],
Cell[4779237, 94431, 2386, 45, 31, "Print"],
Cell[4781626, 94478, 2383, 45, 31, "Print"],
Cell[4784012, 94525, 2384, 45, 31, "Print"],
Cell[4786399, 94572, 2391, 45, 31, "Print"],
Cell[4788793, 94619, 2387, 45, 31, "Print"],
Cell[4791183, 94666, 2390, 45, 31, "Print"],
Cell[4793576, 94713, 2389, 45, 31, "Print"],
Cell[4795968, 94760, 2388, 45, 31, "Print"],
Cell[4798359, 94807, 2412, 45, 31, "Print"],
Cell[4800774, 94854, 2389, 45, 31, "Print"],
Cell[4803166, 94901, 2385, 45, 31, "Print"],
Cell[4805554, 94948, 2377, 45, 31, "Print"],
Cell[4807934, 94995, 2414, 45, 31, "Print"],
Cell[4810351, 95042, 2392, 45, 31, "Print"],
Cell[4812746, 95089, 2391, 45, 31, "Print"],
Cell[4815140, 95136, 2385, 45, 31, "Print"],
Cell[4817528, 95183, 2413, 45, 31, "Print"],
Cell[4819944, 95230, 2392, 45, 31, "Print"],
Cell[4822339, 95277, 2388, 45, 31, "Print"],
Cell[4824730, 95324, 2388, 45, 31, "Print"],
Cell[4827121, 95371, 2416, 45, 31, "Print"],
Cell[4829540, 95418, 2381, 45, 31, "Print"],
Cell[4831924, 95465, 2388, 45, 31, "Print"],
Cell[4834315, 95512, 2385, 45, 31, "Print"],
Cell[4836703, 95559, 2391, 45, 31, "Print"],
Cell[4839097, 95606, 2387, 45, 31, "Print"],
Cell[4841487, 95653, 2385, 45, 31, "Print"],
Cell[4843875, 95700, 2379, 45, 31, "Print"],
Cell[4846257, 95747, 2387, 45, 31, "Print"],
Cell[4848647, 95794, 2389, 45, 31, "Print"],
Cell[4851039, 95841, 2386, 45, 31, "Print"],
Cell[4853428, 95888, 2378, 45, 31, "Print"],
Cell[4855809, 95935, 2394, 45, 31, "Print"],
Cell[4858206, 95982, 2411, 45, 31, "Print"],
Cell[4860620, 96029, 2386, 45, 31, "Print"],
Cell[4863009, 96076, 2390, 45, 31, "Print"],
Cell[4865402, 96123, 2389, 45, 31, "Print"],
Cell[4867794, 96170, 2419, 45, 31, "Print"],
Cell[4870216, 96217, 2392, 45, 31, "Print"],
Cell[4872611, 96264, 2387, 45, 31, "Print"],
Cell[4875001, 96311, 2383, 45, 31, "Print"],
Cell[4877387, 96358, 2389, 45, 31, "Print"],
Cell[4879779, 96405, 2394, 45, 31, "Print"],
Cell[4882176, 96452, 2383, 45, 31, "Print"],
Cell[4884562, 96499, 2394, 45, 31, "Print"],
Cell[4886959, 96546, 2414, 45, 31, "Print"],
Cell[4889376, 96593, 2391, 45, 31, "Print"],
Cell[4891770, 96640, 2387, 45, 31, "Print"],
Cell[4894160, 96687, 2383, 45, 31, "Print"],
Cell[4896546, 96734, 2386, 45, 31, "Print"],
Cell[4898935, 96781, 2394, 45, 31, "Print"],
Cell[4901332, 96828, 2385, 45, 31, "Print"],
Cell[4903720, 96875, 2382, 45, 31, "Print"],
Cell[4906105, 96922, 2389, 45, 31, "Print"],
Cell[4908497, 96969, 2378, 45, 31, "Print"],
Cell[4910878, 97016, 2388, 45, 31, "Print"],
Cell[4913269, 97063, 2386, 45, 31, "Print"],
Cell[4915658, 97110, 2378, 45, 31, "Print"],
Cell[4918039, 97157, 2382, 45, 31, "Print"],
Cell[4920424, 97204, 2385, 45, 31, "Print"],
Cell[4922812, 97251, 2381, 45, 31, "Print"],
Cell[4925196, 97298, 2386, 45, 31, "Print"],
Cell[4927585, 97345, 2385, 45, 31, "Print"],
Cell[4929973, 97392, 2383, 45, 31, "Print"],
Cell[4932359, 97439, 2383, 45, 31, "Print"],
Cell[4934745, 97486, 2385, 45, 31, "Print"],
Cell[4937133, 97533, 2380, 45, 31, "Print"],
Cell[4939516, 97580, 2413, 45, 31, "Print"],
Cell[4941932, 97627, 2379, 45, 31, "Print"],
Cell[4944314, 97674, 2382, 45, 31, "Print"],
Cell[4946699, 97721, 2379, 45, 31, "Print"],
Cell[4949081, 97768, 2407, 45, 31, "Print"],
Cell[4951491, 97815, 2377, 45, 31, "Print"],
Cell[4953871, 97862, 2390, 45, 31, "Print"],
Cell[4956264, 97909, 2371, 45, 31, "Print"],
Cell[4958638, 97956, 2413, 45, 31, "Print"],
Cell[4961054, 98003, 2378, 45, 31, "Print"],
Cell[4963435, 98050, 2390, 45, 31, "Print"],
Cell[4965828, 98097, 2383, 45, 31, "Print"],
Cell[4968214, 98144, 2405, 45, 31, "Print"],
Cell[4970622, 98191, 2377, 45, 31, "Print"],
Cell[4973002, 98238, 2384, 45, 31, "Print"],
Cell[4975389, 98285, 2380, 45, 31, "Print"],
Cell[4977772, 98332, 2381, 45, 31, "Print"],
Cell[4980156, 98379, 2379, 45, 31, "Print"],
Cell[4982538, 98426, 2387, 45, 31, "Print"],
Cell[4984928, 98473, 2386, 45, 31, "Print"],
Cell[4987317, 98520, 2382, 45, 31, "Print"],
Cell[4989702, 98567, 2377, 45, 31, "Print"],
Cell[4992082, 98614, 2384, 45, 31, "Print"],
Cell[4994469, 98661, 2384, 45, 31, "Print"],
Cell[4996856, 98708, 2388, 45, 31, "Print"],
Cell[4999247, 98755, 2409, 45, 31, "Print"],
Cell[5001659, 98802, 2384, 45, 31, "Print"],
Cell[5004046, 98849, 2370, 45, 31, "Print"],
Cell[5006419, 98896, 2379, 45, 31, "Print"],
Cell[5008801, 98943, 2413, 45, 31, "Print"],
Cell[5011217, 98990, 2388, 45, 31, "Print"],
Cell[5013608, 99037, 2381, 45, 31, "Print"],
Cell[5015992, 99084, 2387, 45, 31, "Print"],
Cell[5018382, 99131, 2386, 45, 29, "Print"],
Cell[5020771, 99178, 2390, 45, 29, "Print"],
Cell[5023164, 99225, 2383, 45, 29, "Print"],
Cell[5025550, 99272, 2387, 45, 29, "Print"],
Cell[5027940, 99319, 2410, 45, 29, "Print"],
Cell[5030353, 99366, 2380, 45, 29, "Print"],
Cell[5032736, 99413, 2374, 45, 29, "Print"],
Cell[5035113, 99460, 2388, 45, 29, "Print"],
Cell[5037504, 99507, 2383, 45, 29, "Print"],
Cell[5039890, 99554, 2388, 45, 29, "Print"],
Cell[5042281, 99601, 2382, 45, 29, "Print"],
Cell[5044666, 99648, 2381, 45, 29, "Print"],
Cell[5047050, 99695, 2392, 45, 29, "Print"],
Cell[5049445, 99742, 2388, 45, 29, "Print"],
Cell[5051836, 99789, 2384, 45, 29, "Print"],
Cell[5054223, 99836, 2388, 45, 29, "Print"],
Cell[5056614, 99883, 2386, 45, 29, "Print"],
Cell[5059003, 99930, 2389, 45, 29, "Print"],
Cell[5061395, 99977, 2384, 45, 29, "Print"],
Cell[5063782, 100024, 2393, 45, 29, "Print"],
Cell[5066178, 100071, 2389, 45, 29, "Print"],
Cell[5068570, 100118, 2383, 45, 29, "Print"],
Cell[5070956, 100165, 2389, 45, 29, "Print"],
Cell[5073348, 100212, 2391, 45, 29, "Print"],
Cell[5075742, 100259, 2382, 45, 29, "Print"],
Cell[5078127, 100306, 2387, 45, 29, "Print"],
Cell[5080517, 100353, 2410, 45, 29, "Print"],
Cell[5082930, 100400, 2387, 45, 29, "Print"],
Cell[5085320, 100447, 2394, 45, 29, "Print"],
Cell[5087717, 100494, 2373, 45, 29, "Print"],
Cell[5090093, 100541, 2417, 45, 29, "Print"],
Cell[5092513, 100588, 2392, 45, 29, "Print"],
Cell[5094908, 100635, 2381, 45, 31, "Print"],
Cell[5097292, 100682, 2384, 45, 31, "Print"],
Cell[5099679, 100729, 2413, 45, 31, "Print"],
Cell[5102095, 100776, 2386, 45, 31, "Print"],
Cell[5104484, 100823, 2394, 45, 31, "Print"],
Cell[5106881, 100870, 2385, 45, 31, "Print"],
Cell[5109269, 100917, 2416, 45, 31, "Print"],
Cell[5111688, 100964, 2386, 45, 31, "Print"],
Cell[5114077, 101011, 2383, 45, 31, "Print"],
Cell[5116463, 101058, 2390, 45, 31, "Print"],
Cell[5118856, 101105, 2389, 45, 31, "Print"],
Cell[5121248, 101152, 2384, 45, 31, "Print"],
Cell[5123635, 101199, 2394, 45, 31, "Print"],
Cell[5126032, 101246, 2380, 45, 31, "Print"],
Cell[5128415, 101293, 2385, 45, 31, "Print"],
Cell[5130803, 101340, 2390, 45, 31, "Print"],
Cell[5133196, 101387, 2389, 45, 31, "Print"],
Cell[5135588, 101434, 2385, 45, 31, "Print"],
Cell[5137976, 101481, 2386, 45, 31, "Print"],
Cell[5140365, 101528, 2408, 45, 31, "Print"],
Cell[5142776, 101575, 2383, 45, 31, "Print"],
Cell[5145162, 101622, 2384, 45, 31, "Print"],
Cell[5147549, 101669, 2388, 45, 31, "Print"],
Cell[5149940, 101716, 2411, 45, 31, "Print"],
Cell[5152354, 101763, 2388, 45, 31, "Print"],
Cell[5154745, 101810, 2390, 45, 31, "Print"],
Cell[5157138, 101857, 2388, 45, 31, "Print"],
Cell[5159529, 101904, 2389, 45, 31, "Print"],
Cell[5161921, 101951, 2394, 45, 31, "Print"],
Cell[5164318, 101998, 2379, 45, 31, "Print"],
Cell[5166700, 102045, 2391, 45, 31, "Print"],
Cell[5169094, 102092, 2417, 45, 31, "Print"],
Cell[5171514, 102139, 2384, 45, 31, "Print"],
Cell[5173901, 102186, 2384, 45, 31, "Print"],
Cell[5176288, 102233, 2391, 45, 31, "Print"],
Cell[5178682, 102280, 2384, 45, 31, "Print"],
Cell[5181069, 102327, 2385, 45, 31, "Print"],
Cell[5183457, 102374, 2385, 45, 31, "Print"],
Cell[5185845, 102421, 2388, 45, 31, "Print"],
Cell[5188236, 102468, 2383, 45, 31, "Print"],
Cell[5190622, 102515, 2383, 45, 31, "Print"],
Cell[5193008, 102562, 2390, 45, 31, "Print"],
Cell[5195401, 102609, 2391, 45, 31, "Print"],
Cell[5197795, 102656, 2393, 45, 31, "Print"],
Cell[5200191, 102703, 2384, 45, 31, "Print"],
Cell[5202578, 102750, 2390, 45, 31, "Print"],
Cell[5204971, 102797, 2383, 45, 31, "Print"],
Cell[5207357, 102844, 2385, 45, 31, "Print"],
Cell[5209745, 102891, 2380, 45, 31, "Print"],
Cell[5212128, 102938, 2390, 45, 31, "Print"],
Cell[5214521, 102985, 2378, 45, 31, "Print"],
Cell[5216902, 103032, 2392, 45, 31, "Print"],
Cell[5219297, 103079, 2383, 45, 31, "Print"],
Cell[5221683, 103126, 2411, 45, 31, "Print"],
Cell[5224097, 103173, 2382, 45, 31, "Print"],
Cell[5226482, 103220, 2387, 45, 31, "Print"],
Cell[5228872, 103267, 2377, 45, 31, "Print"],
Cell[5231252, 103314, 2414, 45, 31, "Print"],
Cell[5233669, 103361, 2387, 45, 31, "Print"],
Cell[5236059, 103408, 2387, 45, 31, "Print"],
Cell[5238449, 103455, 2377, 45, 31, "Print"],
Cell[5240829, 103502, 2417, 45, 31, "Print"],
Cell[5243249, 103549, 2381, 45, 31, "Print"],
Cell[5245633, 103596, 2392, 45, 31, "Print"],
Cell[5248028, 103643, 2375, 45, 31, "Print"],
Cell[5250406, 103690, 2417, 45, 31, "Print"],
Cell[5252826, 103737, 2377, 45, 31, "Print"],
Cell[5255206, 103784, 2389, 45, 31, "Print"],
Cell[5257598, 103831, 2383, 45, 31, "Print"],
Cell[5259984, 103878, 2392, 45, 31, "Print"],
Cell[5262379, 103925, 2386, 45, 31, "Print"],
Cell[5264768, 103972, 2384, 45, 31, "Print"],
Cell[5267155, 104019, 2380, 45, 31, "Print"],
Cell[5269538, 104066, 2383, 45, 31, "Print"],
Cell[5271924, 104113, 2385, 45, 31, "Print"],
Cell[5274312, 104160, 2390, 45, 31, "Print"],
Cell[5276705, 104207, 2382, 45, 31, "Print"],
Cell[5279090, 104254, 2390, 45, 31, "Print"],
Cell[5281483, 104301, 2414, 45, 31, "Print"],
Cell[5283900, 104348, 2381, 45, 31, "Print"],
Cell[5286284, 104395, 2379, 45, 31, "Print"],
Cell[5288666, 104442, 2390, 45, 31, "Print"],
Cell[5291059, 104489, 2415, 45, 31, "Print"],
Cell[5293477, 104536, 2384, 45, 31, "Print"],
Cell[5295864, 104583, 2386, 45, 31, "Print"],
Cell[5298253, 104630, 2390, 45, 31, "Print"],
Cell[5300646, 104677, 2384, 45, 31, "Print"],
Cell[5303033, 104724, 2389, 45, 31, "Print"],
Cell[5305425, 104771, 2375, 45, 31, "Print"],
Cell[5307803, 104818, 2384, 45, 31, "Print"],
Cell[5310190, 104865, 2409, 45, 31, "Print"],
Cell[5312602, 104912, 2389, 45, 31, "Print"],
Cell[5314994, 104959, 2373, 45, 31, "Print"],
Cell[5317370, 105006, 2386, 45, 31, "Print"],
Cell[5319759, 105053, 2380, 45, 31, "Print"],
Cell[5322142, 105100, 2386, 45, 31, "Print"],
Cell[5324531, 105147, 2375, 45, 31, "Print"],
Cell[5326909, 105194, 2387, 45, 31, "Print"],
Cell[5329299, 105241, 2392, 45, 31, "Print"],
Cell[5331694, 105288, 2380, 45, 31, "Print"],
Cell[5334077, 105335, 2387, 45, 31, "Print"],
Cell[5336467, 105382, 2391, 45, 31, "Print"],
Cell[5338861, 105429, 2395, 45, 31, "Print"],
Cell[5341259, 105476, 2388, 45, 31, "Print"],
Cell[5343650, 105523, 2395, 45, 31, "Print"],
Cell[5346048, 105570, 2393, 45, 31, "Print"],
Cell[5348444, 105617, 2390, 45, 31, "Print"],
Cell[5350837, 105664, 2388, 45, 31, "Print"],
Cell[5353228, 105711, 2392, 45, 31, "Print"],
Cell[5355623, 105758, 2381, 45, 31, "Print"],
Cell[5358007, 105805, 2394, 45, 31, "Print"],
Cell[5360404, 105852, 2380, 45, 31, "Print"],
Cell[5362787, 105899, 2417, 45, 31, "Print"],
Cell[5365207, 105946, 2392, 45, 31, "Print"],
Cell[5367602, 105993, 2388, 45, 31, "Print"],
Cell[5369993, 106040, 2388, 45, 31, "Print"],
Cell[5372384, 106087, 2419, 45, 31, "Print"],
Cell[5374806, 106134, 2392, 45, 31, "Print"],
Cell[5377201, 106181, 2391, 45, 31, "Print"],
Cell[5379595, 106228, 2377, 45, 31, "Print"],
Cell[5381975, 106275, 2414, 45, 31, "Print"],
Cell[5384392, 106322, 2387, 45, 31, "Print"],
Cell[5386782, 106369, 2391, 45, 31, "Print"],
Cell[5389176, 106416, 2390, 45, 31, "Print"],
Cell[5391569, 106463, 2417, 45, 31, "Print"],
Cell[5393989, 106510, 2385, 45, 31, "Print"],
Cell[5396377, 106557, 2391, 45, 31, "Print"],
Cell[5398771, 106604, 2385, 45, 31, "Print"],
Cell[5401159, 106651, 2383, 45, 31, "Print"],
Cell[5403545, 106698, 2386, 45, 31, "Print"],
Cell[5405934, 106745, 2385, 45, 31, "Print"],
Cell[5408322, 106792, 2377, 45, 31, "Print"],
Cell[5410702, 106839, 2387, 45, 31, "Print"],
Cell[5413092, 106886, 2390, 45, 31, "Print"],
Cell[5415485, 106933, 2389, 45, 31, "Print"],
Cell[5417877, 106980, 2385, 45, 31, "Print"],
Cell[5420265, 107027, 2392, 45, 31, "Print"],
Cell[5422660, 107074, 2419, 45, 31, "Print"],
Cell[5425082, 107121, 2391, 45, 31, "Print"],
Cell[5427476, 107168, 2388, 45, 31, "Print"],
Cell[5429867, 107215, 2382, 45, 31, "Print"],
Cell[5432252, 107262, 2414, 45, 31, "Print"],
Cell[5434669, 107309, 2383, 45, 31, "Print"],
Cell[5437055, 107356, 2388, 45, 31, "Print"],
Cell[5439446, 107403, 2391, 45, 31, "Print"],
Cell[5441840, 107450, 2392, 45, 31, "Print"],
Cell[5444235, 107497, 2389, 45, 31, "Print"],
Cell[5446627, 107544, 2378, 45, 31, "Print"],
Cell[5449008, 107591, 2392, 45, 31, "Print"],
Cell[5451403, 107638, 2408, 45, 31, "Print"],
Cell[5453814, 107685, 2383, 45, 31, "Print"],
Cell[5456200, 107732, 2390, 45, 31, "Print"],
Cell[5458593, 107779, 2389, 45, 31, "Print"],
Cell[5460985, 107826, 2388, 45, 31, "Print"],
Cell[5463376, 107873, 2386, 45, 31, "Print"],
Cell[5465765, 107920, 2388, 45, 31, "Print"],
Cell[5468156, 107967, 2383, 45, 31, "Print"],
Cell[5470542, 108014, 2391, 45, 31, "Print"],
Cell[5472936, 108061, 2384, 45, 31, "Print"],
Cell[5475323, 108108, 2385, 45, 31, "Print"],
Cell[5477711, 108155, 2389, 45, 31, "Print"],
Cell[5480103, 108202, 2385, 45, 31, "Print"],
Cell[5482491, 108249, 2382, 45, 31, "Print"],
Cell[5484876, 108296, 2388, 45, 31, "Print"],
Cell[5487267, 108343, 2381, 45, 31, "Print"],
Cell[5489651, 108390, 2381, 45, 31, "Print"],
Cell[5492035, 108437, 2386, 45, 31, "Print"],
Cell[5494424, 108484, 2377, 45, 31, "Print"],
Cell[5496804, 108531, 2378, 45, 31, "Print"],
Cell[5499185, 108578, 2384, 45, 31, "Print"],
Cell[5501572, 108625, 2374, 45, 31, "Print"],
Cell[5503949, 108672, 2410, 45, 31, "Print"],
Cell[5506362, 108719, 2388, 45, 31, "Print"],
Cell[5508753, 108766, 2382, 45, 31, "Print"],
Cell[5511138, 108813, 2376, 45, 31, "Print"],
Cell[5513517, 108860, 2413, 45, 31, "Print"],
Cell[5515933, 108907, 2388, 45, 31, "Print"],
Cell[5518324, 108954, 2379, 45, 31, "Print"],
Cell[5520706, 109001, 2381, 45, 31, "Print"],
Cell[5523090, 109048, 2410, 45, 31, "Print"],
Cell[5525503, 109095, 2380, 45, 31, "Print"],
Cell[5527886, 109142, 2385, 45, 31, "Print"],
Cell[5530274, 109189, 2380, 45, 31, "Print"],
Cell[5532657, 109236, 2406, 45, 31, "Print"],
Cell[5535066, 109283, 2385, 45, 31, "Print"],
Cell[5537454, 109330, 2387, 45, 31, "Print"],
Cell[5539844, 109377, 2380, 45, 31, "Print"],
Cell[5542227, 109424, 2381, 45, 31, "Print"],
Cell[5544611, 109471, 2388, 45, 31, "Print"],
Cell[5547002, 109518, 2385, 45, 31, "Print"],
Cell[5549390, 109565, 2384, 45, 31, "Print"],
Cell[5551777, 109612, 2390, 45, 31, "Print"],
Cell[5554170, 109659, 2380, 45, 29, "Print"],
Cell[5556553, 109706, 2379, 45, 29, "Print"],
Cell[5558935, 109753, 2383, 45, 29, "Print"],
Cell[5561321, 109800, 2382, 45, 29, "Print"],
Cell[5563706, 109847, 2413, 45, 29, "Print"],
Cell[5566122, 109894, 2381, 45, 29, "Print"],
Cell[5568506, 109941, 2377, 45, 29, "Print"],
Cell[5570886, 109988, 2380, 45, 29, "Print"],
Cell[5573269, 110035, 2412, 45, 29, "Print"],
Cell[5575684, 110082, 2390, 45, 29, "Print"],
Cell[5578077, 110129, 2386, 45, 29, "Print"],
Cell[5580466, 110176, 2390, 45, 29, "Print"],
Cell[5582859, 110223, 2379, 45, 29, "Print"],
Cell[5585241, 110270, 2385, 45, 29, "Print"],
Cell[5587629, 110317, 2384, 45, 29, "Print"],
Cell[5590016, 110364, 2382, 45, 29, "Print"],
Cell[5592401, 110411, 2404, 45, 29, "Print"],
Cell[5594808, 110458, 2379, 45, 29, "Print"],
Cell[5597190, 110505, 2372, 45, 29, "Print"],
Cell[5599565, 110552, 2390, 45, 29, "Print"],
Cell[5601958, 110599, 2383, 45, 29, "Print"],
Cell[5604344, 110646, 2382, 45, 29, "Print"],
Cell[5606729, 110693, 2375, 45, 29, "Print"],
Cell[5609107, 110740, 2393, 45, 29, "Print"],
Cell[5611503, 110787, 2392, 45, 29, "Print"],
Cell[5613898, 110834, 2382, 45, 31, "Print"],
Cell[5616283, 110881, 2389, 45, 31, "Print"],
Cell[5618675, 110928, 2390, 45, 31, "Print"],
Cell[5621068, 110975, 2392, 45, 31, "Print"],
Cell[5623463, 111022, 2383, 45, 31, "Print"],
Cell[5625849, 111069, 2387, 45, 31, "Print"],
Cell[5628239, 111116, 2386, 45, 31, "Print"],
Cell[5630628, 111163, 2394, 45, 31, "Print"],
Cell[5633025, 111210, 2384, 45, 31, "Print"],
Cell[5635412, 111257, 2392, 45, 31, "Print"],
Cell[5637807, 111304, 2382, 45, 31, "Print"],
Cell[5640192, 111351, 2384, 45, 31, "Print"],
Cell[5642579, 111398, 2383, 45, 31, "Print"],
Cell[5644965, 111445, 2406, 45, 31, "Print"],
Cell[5647374, 111492, 2390, 45, 31, "Print"],
Cell[5649767, 111539, 2383, 45, 31, "Print"],
Cell[5652153, 111586, 2388, 45, 31, "Print"],
Cell[5654544, 111633, 2419, 45, 31, "Print"],
Cell[5656966, 111680, 2390, 45, 31, "Print"],
Cell[5659359, 111727, 2392, 45, 31, "Print"],
Cell[5661754, 111774, 2385, 45, 31, "Print"],
Cell[5664142, 111821, 2419, 45, 31, "Print"],
Cell[5666564, 111868, 2386, 45, 31, "Print"],
Cell[5668953, 111915, 2392, 45, 31, "Print"],
Cell[5671348, 111962, 2388, 45, 31, "Print"],
Cell[5673739, 112009, 2416, 45, 31, "Print"],
Cell[5676158, 112056, 2390, 45, 31, "Print"],
Cell[5678551, 112103, 2386, 45, 31, "Print"],
Cell[5680940, 112150, 2388, 45, 31, "Print"],
Cell[5683331, 112197, 2383, 45, 31, "Print"],
Cell[5685717, 112244, 2386, 45, 31, "Print"],
Cell[5688106, 112291, 2394, 45, 31, "Print"],
Cell[5690503, 112338, 2390, 45, 31, "Print"],
Cell[5692896, 112385, 2394, 45, 31, "Print"],
Cell[5695293, 112432, 2375, 45, 31, "Print"],
Cell[5697671, 112479, 2394, 45, 31, "Print"],
Cell[5700068, 112526, 2377, 45, 31, "Print"],
Cell[5702448, 112573, 2384, 45, 31, "Print"],
Cell[5704835, 112620, 2413, 45, 31, "Print"],
Cell[5707251, 112667, 2385, 45, 31, "Print"],
Cell[5709639, 112714, 2390, 45, 31, "Print"],
Cell[5712032, 112761, 2388, 45, 31, "Print"],
Cell[5714423, 112808, 2417, 45, 31, "Print"],
Cell[5716843, 112855, 2394, 45, 31, "Print"],
Cell[5719240, 112902, 2390, 45, 31, "Print"],
Cell[5721633, 112949, 2388, 45, 31, "Print"],
Cell[5724024, 112996, 2390, 45, 31, "Print"],
Cell[5726417, 113043, 2385, 45, 31, "Print"],
Cell[5728805, 113090, 2384, 45, 31, "Print"],
Cell[5731192, 113137, 2388, 45, 31, "Print"],
Cell[5733583, 113184, 2408, 45, 31, "Print"],
Cell[5735994, 113231, 2386, 45, 31, "Print"],
Cell[5738383, 113278, 2381, 45, 31, "Print"],
Cell[5740767, 113325, 2394, 45, 31, "Print"],
Cell[5743164, 113372, 2381, 45, 31, "Print"],
Cell[5745548, 113419, 2391, 45, 31, "Print"],
Cell[5747942, 113466, 2383, 45, 31, "Print"],
Cell[5750328, 113513, 2410, 45, 31, "Print"],
Cell[5752741, 113560, 2418, 45, 31, "Print"],
Cell[5755162, 113607, 2411, 45, 31, "Print"],
Cell[5757576, 113654, 2412, 45, 31, "Print"],
Cell[5759991, 113701, 2408, 45, 31, "Print"],
Cell[5762402, 113748, 2420, 45, 31, "Print"],
Cell[5764825, 113795, 2409, 45, 31, "Print"],
Cell[5767237, 113842, 2406, 45, 31, "Print"],
Cell[5769646, 113889, 2407, 45, 31, "Print"],
Cell[5772056, 113936, 2419, 45, 31, "Print"],
Cell[5774478, 113983, 2404, 45, 31, "Print"],
Cell[5776885, 114030, 2416, 45, 31, "Print"],
Cell[5779304, 114077, 2408, 45, 31, "Print"],
Cell[5781715, 114124, 2414, 45, 31, "Print"],
Cell[5784132, 114171, 2404, 45, 31, "Print"],
Cell[5786539, 114218, 2445, 46, 31, "Print"],
Cell[5788987, 114266, 2406, 45, 31, "Print"],
Cell[5791396, 114313, 2413, 45, 31, "Print"],
Cell[5793812, 114360, 2411, 45, 31, "Print"],
Cell[5796226, 114407, 2448, 46, 31, "Print"],
Cell[5798677, 114455, 2411, 45, 31, "Print"],
Cell[5801091, 114502, 2416, 45, 31, "Print"],
Cell[5803510, 114549, 2405, 45, 31, "Print"],
Cell[5805918, 114596, 2446, 46, 31, "Print"],
Cell[5808367, 114644, 2408, 45, 31, "Print"],
Cell[5810778, 114691, 2413, 45, 31, "Print"],
Cell[5813194, 114738, 2407, 45, 31, "Print"],
Cell[5815604, 114785, 2445, 46, 31, "Print"],
Cell[5818052, 114833, 2417, 45, 31, "Print"],
Cell[5820472, 114880, 2411, 45, 31, "Print"],
Cell[5822886, 114927, 2410, 45, 31, "Print"],
Cell[5825299, 114974, 2408, 45, 31, "Print"],
Cell[5827710, 115021, 2417, 45, 31, "Print"],
Cell[5830130, 115068, 2407, 45, 31, "Print"],
Cell[5832540, 115115, 2413, 45, 31, "Print"],
Cell[5834956, 115162, 2416, 45, 31, "Print"],
Cell[5837375, 115209, 2415, 45, 31, "Print"],
Cell[5839793, 115256, 2413, 45, 31, "Print"],
Cell[5842209, 115303, 2405, 45, 31, "Print"],
Cell[5844617, 115350, 2408, 45, 31, "Print"],
Cell[5847028, 115397, 2448, 46, 31, "Print"],
Cell[5849479, 115445, 2412, 45, 31, "Print"],
Cell[5851894, 115492, 2413, 45, 31, "Print"],
Cell[5854310, 115539, 2412, 45, 31, "Print"],
Cell[5856725, 115586, 2436, 46, 31, "Print"],
Cell[5859164, 115634, 2419, 45, 31, "Print"],
Cell[5861586, 115681, 2411, 45, 31, "Print"],
Cell[5864000, 115728, 2416, 45, 31, "Print"],
Cell[5866419, 115775, 2412, 45, 31, "Print"],
Cell[5868834, 115822, 2419, 45, 31, "Print"],
Cell[5871256, 115869, 2412, 45, 31, "Print"],
Cell[5873671, 115916, 2410, 45, 31, "Print"],
Cell[5876084, 115963, 2448, 46, 31, "Print"],
Cell[5878535, 116011, 2419, 45, 31, "Print"],
Cell[5880957, 116058, 2404, 45, 31, "Print"],
Cell[5883364, 116105, 2410, 45, 31, "Print"],
Cell[5885777, 116152, 2415, 45, 31, "Print"],
Cell[5888195, 116199, 2411, 45, 31, "Print"],
Cell[5890609, 116246, 2407, 45, 31, "Print"],
Cell[5893019, 116293, 2384, 45, 31, "Print"],
Cell[5895406, 116340, 2389, 45, 31, "Print"],
Cell[5897798, 116387, 2383, 45, 31, "Print"],
Cell[5900184, 116434, 2388, 45, 31, "Print"],
Cell[5902575, 116481, 2393, 45, 31, "Print"],
Cell[5904971, 116528, 2392, 45, 31, "Print"],
Cell[5907366, 116575, 2384, 45, 31, "Print"],
Cell[5909753, 116622, 2381, 45, 31, "Print"],
Cell[5912137, 116669, 2383, 45, 31, "Print"],
Cell[5914523, 116716, 2394, 45, 31, "Print"],
Cell[5916920, 116763, 2382, 45, 31, "Print"],
Cell[5919305, 116810, 2389, 45, 31, "Print"],
Cell[5921697, 116857, 2392, 45, 31, "Print"],
Cell[5924092, 116904, 2391, 45, 31, "Print"],
Cell[5926486, 116951, 2385, 45, 31, "Print"],
Cell[5928874, 116998, 2417, 45, 31, "Print"],
Cell[5931294, 117045, 2386, 45, 31, "Print"],
Cell[5933683, 117092, 2391, 45, 31, "Print"],
Cell[5936077, 117139, 2386, 45, 31, "Print"],
Cell[5938466, 117186, 2408, 45, 31, "Print"],
Cell[5940877, 117233, 2389, 45, 31, "Print"],
Cell[5943269, 117280, 2394, 45, 31, "Print"],
Cell[5945666, 117327, 2388, 45, 31, "Print"],
Cell[5948057, 117374, 2410, 45, 31, "Print"],
Cell[5950470, 117421, 2390, 45, 31, "Print"],
Cell[5952863, 117468, 2386, 45, 31, "Print"],
Cell[5955252, 117515, 2382, 45, 31, "Print"],
Cell[5957637, 117562, 2410, 45, 31, "Print"],
Cell[5960050, 117609, 2378, 45, 31, "Print"],
Cell[5962431, 117656, 2383, 45, 31, "Print"],
Cell[5964817, 117703, 2382, 45, 31, "Print"],
Cell[5967202, 117750, 2391, 45, 31, "Print"],
Cell[5969596, 117797, 2390, 45, 31, "Print"],
Cell[5971989, 117844, 2385, 45, 31, "Print"],
Cell[5974377, 117891, 2384, 45, 31, "Print"],
Cell[5976764, 117938, 2382, 45, 31, "Print"],
Cell[5979149, 117985, 2392, 45, 31, "Print"],
Cell[5981544, 118032, 2386, 45, 31, "Print"],
Cell[5983933, 118079, 2388, 45, 31, "Print"],
Cell[5986324, 118126, 2392, 45, 31, "Print"],
Cell[5988719, 118173, 2413, 45, 31, "Print"],
Cell[5991135, 118220, 2391, 45, 31, "Print"],
Cell[5993529, 118267, 2385, 45, 31, "Print"],
Cell[5995917, 118314, 2383, 45, 31, "Print"],
Cell[5998303, 118361, 2409, 45, 31, "Print"],
Cell[6000715, 118408, 2392, 45, 31, "Print"],
Cell[6003110, 118455, 2390, 45, 31, "Print"],
Cell[6005503, 118502, 2390, 45, 31, "Print"],
Cell[6007896, 118549, 2390, 45, 31, "Print"],
Cell[6010289, 118596, 2394, 45, 31, "Print"],
Cell[6012686, 118643, 2381, 45, 31, "Print"],
Cell[6015070, 118690, 2388, 45, 31, "Print"],
Cell[6017461, 118737, 2416, 45, 31, "Print"],
Cell[6019880, 118784, 2386, 45, 31, "Print"],
Cell[6022269, 118831, 2377, 45, 31, "Print"],
Cell[6024649, 118878, 2391, 45, 31, "Print"],
Cell[6027043, 118925, 2392, 45, 31, "Print"],
Cell[6029438, 118972, 2383, 45, 31, "Print"],
Cell[6031824, 119019, 2382, 45, 31, "Print"],
Cell[6034209, 119066, 2387, 45, 31, "Print"],
Cell[6036599, 119113, 2385, 45, 31, "Print"],
Cell[6038987, 119160, 2381, 45, 31, "Print"],
Cell[6041371, 119207, 2389, 45, 31, "Print"],
Cell[6043763, 119254, 2385, 45, 31, "Print"],
Cell[6046151, 119301, 2383, 45, 31, "Print"],
Cell[6048537, 119348, 2378, 45, 31, "Print"],
Cell[6050918, 119395, 2390, 45, 31, "Print"],
Cell[6053311, 119442, 2388, 45, 31, "Print"],
Cell[6055702, 119489, 2387, 45, 31, "Print"],
Cell[6058092, 119536, 2386, 45, 29, "Print"],
Cell[6060481, 119583, 2387, 45, 29, "Print"],
Cell[6062871, 119630, 2382, 45, 29, "Print"],
Cell[6065256, 119677, 2390, 45, 29, "Print"],
Cell[6067649, 119724, 2383, 45, 29, "Print"],
Cell[6070035, 119771, 2412, 45, 29, "Print"],
Cell[6072450, 119818, 2388, 45, 29, "Print"],
Cell[6074841, 119865, 2382, 45, 29, "Print"],
Cell[6077226, 119912, 2380, 45, 29, "Print"],
Cell[6079609, 119959, 2407, 45, 29, "Print"],
Cell[6082019, 120006, 2375, 45, 29, "Print"],
Cell[6084397, 120053, 2387, 45, 29, "Print"],
Cell[6086787, 120100, 2386, 45, 29, "Print"],
Cell[6089176, 120147, 2413, 45, 29, "Print"],
Cell[6091592, 120194, 2380, 45, 29, "Print"],
Cell[6093975, 120241, 2390, 45, 29, "Print"],
Cell[6096368, 120288, 2375, 45, 29, "Print"],
Cell[6098746, 120335, 2403, 45, 29, "Print"],
Cell[6101152, 120382, 2385, 45, 29, "Print"],
Cell[6103540, 120429, 2382, 45, 29, "Print"],
Cell[6105925, 120476, 2386, 45, 29, "Print"],
Cell[6108314, 120523, 2387, 45, 29, "Print"],
Cell[6110704, 120570, 2388, 45, 29, "Print"],
Cell[6113095, 120617, 2382, 45, 29, "Print"],
Cell[6115480, 120664, 2374, 45, 29, "Print"],
Cell[6117857, 120711, 2390, 45, 29, "Print"],
Cell[6120250, 120758, 2388, 45, 29, "Print"],
Cell[6122641, 120805, 2377, 45, 29, "Print"],
Cell[6125021, 120852, 2371, 45, 29, "Print"],
Cell[6127395, 120899, 2387, 45, 29, "Print"],
Cell[6129785, 120946, 2410, 45, 29, "Print"],
Cell[6132198, 120993, 2387, 45, 29, "Print"],
Cell[6134588, 121040, 2380, 45, 29, "Print"],
Cell[6136971, 121087, 2388, 45, 29, "Print"],
Cell[6139362, 121134, 2404, 45, 29, "Print"],
Cell[6141769, 121181, 2388, 45, 29, "Print"],
Cell[6144160, 121228, 2386, 45, 29, "Print"],
Cell[6146549, 121275, 2390, 45, 29, "Print"],
Cell[6148942, 121322, 2382, 45, 29, "Print"],
Cell[6151327, 121369, 2388, 45, 31, "Print"],
Cell[6153718, 121416, 2371, 45, 31, "Print"],
Cell[6156092, 121463, 2384, 45, 31, "Print"],
Cell[6158479, 121510, 2407, 45, 31, "Print"],
Cell[6160889, 121557, 2387, 45, 31, "Print"],
Cell[6163279, 121604, 2372, 45, 31, "Print"],
Cell[6165654, 121651, 2388, 45, 31, "Print"],
Cell[6168045, 121698, 2388, 45, 31, "Print"],
Cell[6170436, 121745, 2388, 45, 31, "Print"],
Cell[6172827, 121792, 2379, 45, 31, "Print"],
Cell[6175209, 121839, 2390, 45, 31, "Print"],
Cell[6177602, 121886, 2386, 45, 29, "Print"],
Cell[6179991, 121933, 2383, 45, 29, "Print"],
Cell[6182377, 121980, 2389, 45, 29, "Print"],
Cell[6184769, 122027, 2387, 45, 29, "Print"],
Cell[6187159, 122074, 2392, 45, 29, "Print"],
Cell[6189554, 122121, 2388, 45, 29, "Print"],
Cell[6191945, 122168, 2383, 45, 29, "Print"],
Cell[6194331, 122215, 2390, 45, 29, "Print"],
Cell[6196724, 122262, 2392, 45, 29, "Print"],
Cell[6199119, 122309, 2381, 45, 29, "Print"],
Cell[6201503, 122356, 2392, 45, 29, "Print"],
Cell[6203898, 122403, 2390, 45, 29, "Print"],
Cell[6206291, 122450, 2382, 45, 29, "Print"],
Cell[6208676, 122497, 2383, 45, 29, "Print"],
Cell[6211062, 122544, 2417, 45, 29, "Print"],
Cell[6213482, 122591, 2387, 45, 29, "Print"],
Cell[6215872, 122638, 2386, 45, 29, "Print"],
Cell[6218261, 122685, 2383, 45, 29, "Print"],
Cell[6220647, 122732, 2412, 45, 29, "Print"],
Cell[6223062, 122779, 2384, 45, 29, "Print"],
Cell[6225449, 122826, 2394, 45, 29, "Print"],
Cell[6227846, 122873, 2388, 45, 29, "Print"],
Cell[6230237, 122920, 2416, 45, 29, "Print"],
Cell[6232656, 122967, 2386, 45, 29, "Print"],
Cell[6235045, 123014, 2389, 45, 29, "Print"],
Cell[6237437, 123061, 2381, 45, 29, "Print"],
Cell[6239821, 123108, 2417, 45, 29, "Print"],
Cell[6242241, 123155, 2389, 45, 29, "Print"],
Cell[6244633, 123202, 2392, 45, 29, "Print"],
Cell[6247028, 123249, 2387, 45, 29, "Print"],
Cell[6249418, 123296, 2392, 45, 29, "Print"],
Cell[6251813, 123343, 2379, 45, 29, "Print"],
Cell[6254195, 123390, 2391, 45, 29, "Print"],
Cell[6256589, 123437, 2385, 45, 29, "Print"],
Cell[6258977, 123484, 2390, 45, 29, "Print"],
Cell[6261370, 123531, 2392, 45, 29, "Print"],
Cell[6263765, 123578, 2394, 45, 29, "Print"],
Cell[6266162, 123625, 2388, 45, 29, "Print"],
Cell[6268553, 123672, 2394, 45, 29, "Print"],
Cell[6270950, 123719, 2413, 45, 29, "Print"],
Cell[6273366, 123766, 2394, 45, 29, "Print"],
Cell[6275763, 123813, 2377, 45, 29, "Print"],
Cell[6278143, 123860, 2388, 45, 31, "Print"],
Cell[6280534, 123907, 2413, 45, 31, "Print"],
Cell[6282950, 123954, 2387, 45, 31, "Print"],
Cell[6285340, 124001, 2379, 45, 31, "Print"],
Cell[6287722, 124048, 2394, 45, 31, "Print"],
Cell[6290119, 124095, 2390, 45, 31, "Print"],
Cell[6292512, 124142, 2381, 45, 31, "Print"],
Cell[6294896, 124189, 2382, 45, 31, "Print"],
Cell[6297281, 124236, 2387, 45, 31, "Print"],
Cell[6299671, 124283, 2408, 45, 31, "Print"],
Cell[6302082, 124330, 2392, 45, 31, "Print"],
Cell[6304477, 124377, 2388, 45, 31, "Print"],
Cell[6306868, 124424, 2392, 45, 31, "Print"],
Cell[6309263, 124471, 2390, 45, 31, "Print"],
Cell[6311656, 124518, 2383, 45, 31, "Print"],
Cell[6314042, 124565, 2380, 45, 31, "Print"],
Cell[6316425, 124612, 2407, 45, 31, "Print"],
Cell[6318835, 124659, 2417, 45, 31, "Print"],
Cell[6321255, 124706, 2408, 45, 31, "Print"],
Cell[6323666, 124753, 2411, 45, 31, "Print"],
Cell[6326080, 124800, 2417, 45, 31, "Print"],
Cell[6328500, 124847, 2414, 45, 31, "Print"],
Cell[6330917, 124894, 2413, 45, 31, "Print"],
Cell[6333333, 124941, 2416, 45, 31, "Print"],
Cell[6335752, 124988, 2414, 45, 31, "Print"],
Cell[6338169, 125035, 2416, 45, 31, "Print"],
Cell[6340588, 125082, 2412, 45, 31, "Print"],
Cell[6343003, 125129, 2414, 45, 31, "Print"],
Cell[6345420, 125176, 2409, 45, 31, "Print"],
Cell[6347832, 125223, 2408, 45, 31, "Print"],
Cell[6350243, 125270, 2402, 45, 31, "Print"],
Cell[6352648, 125317, 2440, 46, 31, "Print"],
Cell[6355091, 125365, 2417, 45, 31, "Print"],
Cell[6357511, 125412, 2406, 45, 31, "Print"],
Cell[6359920, 125459, 2410, 45, 31, "Print"],
Cell[6362333, 125506, 2443, 46, 31, "Print"],
Cell[6364779, 125554, 2404, 45, 31, "Print"],
Cell[6367186, 125601, 2417, 45, 31, "Print"],
Cell[6369606, 125648, 2406, 45, 31, "Print"],
Cell[6372015, 125695, 2442, 46, 31, "Print"],
Cell[6374460, 125743, 2406, 45, 31, "Print"],
Cell[6376869, 125790, 2419, 45, 31, "Print"],
Cell[6379291, 125837, 2415, 45, 31, "Print"],
Cell[6381709, 125884, 2435, 46, 31, "Print"],
Cell[6384147, 125932, 2412, 45, 31, "Print"],
Cell[6386562, 125979, 2417, 45, 31, "Print"],
Cell[6388982, 126026, 2404, 45, 31, "Print"],
Cell[6391389, 126073, 2419, 45, 31, "Print"],
Cell[6393811, 126120, 2415, 45, 31, "Print"],
Cell[6396229, 126167, 2404, 45, 31, "Print"],
Cell[6398636, 126214, 2415, 45, 31, "Print"],
Cell[6401054, 126261, 2417, 45, 31, "Print"],
Cell[6403474, 126308, 2408, 45, 31, "Print"],
Cell[6405885, 126355, 2419, 45, 31, "Print"],
Cell[6408307, 126402, 2400, 45, 31, "Print"],
Cell[6410710, 126449, 2415, 45, 31, "Print"],
Cell[6413128, 126496, 2443, 46, 31, "Print"],
Cell[6415574, 126544, 2416, 45, 31, "Print"],
Cell[6417993, 126591, 2407, 45, 31, "Print"],
Cell[6420403, 126638, 2416, 45, 31, "Print"],
Cell[6422822, 126685, 2448, 46, 31, "Print"],
Cell[6425273, 126733, 2417, 45, 31, "Print"],
Cell[6427693, 126780, 2401, 45, 31, "Print"],
Cell[6430097, 126827, 2419, 45, 31, "Print"],
Cell[6432519, 126874, 2408, 45, 31, "Print"],
Cell[6434930, 126921, 2419, 45, 31, "Print"],
Cell[6437352, 126968, 2404, 45, 31, "Print"],
Cell[6439759, 127015, 2417, 45, 31, "Print"],
Cell[6442179, 127062, 2437, 46, 31, "Print"],
Cell[6444619, 127110, 2419, 45, 31, "Print"],
Cell[6447041, 127157, 2403, 45, 31, "Print"],
Cell[6449447, 127204, 2408, 45, 31, "Print"],
Cell[6451858, 127251, 2411, 45, 31, "Print"],
Cell[6454272, 127298, 2409, 45, 31, "Print"],
Cell[6456684, 127345, 2405, 45, 31, "Print"],
Cell[6459092, 127392, 2386, 45, 31, "Print"],
Cell[6461481, 127439, 2389, 45, 31, "Print"],
Cell[6463873, 127486, 2385, 45, 31, "Print"],
Cell[6466261, 127533, 2389, 45, 31, "Print"],
Cell[6468653, 127580, 2392, 45, 31, "Print"],
Cell[6471048, 127627, 2383, 45, 31, "Print"],
Cell[6473434, 127674, 2381, 45, 31, "Print"],
Cell[6475818, 127721, 2388, 45, 29, "Print"],
Cell[6478209, 127768, 2386, 45, 29, "Print"],
Cell[6480598, 127815, 2386, 45, 29, "Print"],
Cell[6482987, 127862, 2384, 45, 29, "Print"],
Cell[6485374, 127909, 2391, 45, 29, "Print"],
Cell[6487768, 127956, 2386, 45, 29, "Print"],
Cell[6490157, 128003, 2391, 45, 29, "Print"],
Cell[6492551, 128050, 2382, 45, 29, "Print"],
Cell[6494936, 128097, 2416, 45, 29, "Print"],
Cell[6497355, 128144, 2389, 45, 29, "Print"],
Cell[6499747, 128191, 2392, 45, 29, "Print"],
Cell[6502142, 128238, 2386, 45, 29, "Print"],
Cell[6504531, 128285, 2414, 45, 29, "Print"],
Cell[6506948, 128332, 2390, 45, 29, "Print"],
Cell[6509341, 128379, 2388, 45, 29, "Print"],
Cell[6511732, 128426, 2387, 45, 29, "Print"],
Cell[6514122, 128473, 2411, 45, 29, "Print"],
Cell[6516536, 128520, 2392, 45, 29, "Print"],
Cell[6518931, 128567, 2385, 45, 29, "Print"],
Cell[6521319, 128614, 2378, 45, 29, "Print"],
Cell[6523700, 128661, 2413, 45, 29, "Print"],
Cell[6526116, 128708, 2389, 45, 29, "Print"],
Cell[6528508, 128755, 2384, 45, 29, "Print"],
Cell[6530895, 128802, 2385, 45, 29, "Print"],
Cell[6533283, 128849, 2388, 45, 29, "Print"],
Cell[6535674, 128896, 2383, 45, 29, "Print"],
Cell[6538060, 128943, 2394, 45, 29, "Print"],
Cell[6540457, 128990, 2384, 45, 31, "Print"],
Cell[6542844, 129037, 2392, 45, 31, "Print"],
Cell[6545239, 129084, 2388, 45, 31, "Print"],
Cell[6547630, 129131, 2394, 45, 31, "Print"],
Cell[6550027, 129178, 2387, 45, 31, "Print"],
Cell[6552417, 129225, 2379, 45, 31, "Print"],
Cell[6554799, 129272, 2410, 45, 31, "Print"],
Cell[6557212, 129319, 2383, 45, 31, "Print"],
Cell[6559598, 129366, 2383, 45, 31, "Print"],
Cell[6561984, 129413, 2391, 45, 31, "Print"],
Cell[6564378, 129460, 2411, 45, 31, "Print"],
Cell[6566792, 129507, 2391, 45, 31, "Print"],
Cell[6569186, 129554, 2390, 45, 31, "Print"],
Cell[6571579, 129601, 2386, 45, 31, "Print"],
Cell[6573968, 129648, 2381, 45, 31, "Print"],
Cell[6576352, 129695, 2386, 45, 31, "Print"],
Cell[6578741, 129742, 2384, 45, 31, "Print"],
Cell[6581128, 129789, 2392, 45, 31, "Print"],
Cell[6583523, 129836, 2406, 45, 31, "Print"],
Cell[6585932, 129883, 2385, 45, 31, "Print"],
Cell[6588320, 129930, 2384, 45, 31, "Print"],
Cell[6590707, 129977, 2394, 45, 31, "Print"],
Cell[6593104, 130024, 2383, 45, 31, "Print"],
Cell[6595490, 130071, 2383, 45, 31, "Print"],
Cell[6597876, 130118, 2379, 45, 31, "Print"],
Cell[6600258, 130165, 2388, 45, 31, "Print"],
Cell[6602649, 130212, 2381, 45, 31, "Print"],
Cell[6605033, 130259, 2381, 45, 31, "Print"],
Cell[6607417, 130306, 2379, 45, 31, "Print"],
Cell[6609799, 130353, 2388, 45, 31, "Print"],
Cell[6612190, 130400, 2387, 45, 31, "Print"],
Cell[6614580, 130447, 2381, 45, 31, "Print"],
Cell[6616964, 130494, 2390, 45, 31, "Print"],
Cell[6619357, 130541, 2379, 45, 31, "Print"],
Cell[6621739, 130588, 2379, 45, 31, "Print"],
Cell[6624121, 130635, 2386, 45, 31, "Print"],
Cell[6626510, 130682, 2381, 45, 31, "Print"],
Cell[6628894, 130729, 2388, 45, 31, "Print"],
Cell[6631285, 130776, 2390, 45, 31, "Print"],
Cell[6633678, 130823, 2381, 45, 31, "Print"],
Cell[6636062, 130870, 2404, 45, 31, "Print"],
Cell[6638469, 130917, 2377, 45, 31, "Print"],
Cell[6640849, 130964, 2388, 45, 31, "Print"],
Cell[6643240, 131011, 2378, 45, 31, "Print"],
Cell[6645621, 131058, 2412, 45, 31, "Print"],
Cell[6648036, 131105, 2375, 45, 31, "Print"],
Cell[6650414, 131152, 2387, 45, 31, "Print"],
Cell[6652804, 131199, 2386, 45, 31, "Print"],
Cell[6655193, 131246, 2415, 45, 31, "Print"],
Cell[6657611, 131293, 2385, 45, 31, "Print"],
Cell[6659999, 131340, 2377, 45, 31, "Print"],
Cell[6662379, 131387, 2377, 45, 31, "Print"],
Cell[6664759, 131434, 2404, 45, 31, "Print"],
Cell[6667166, 131481, 2386, 45, 31, "Print"],
Cell[6669555, 131528, 2379, 45, 31, "Print"],
Cell[6671937, 131575, 2375, 45, 31, "Print"],
Cell[6674315, 131622, 2390, 45, 31, "Print"],
Cell[6676708, 131669, 2388, 45, 31, "Print"],
Cell[6679099, 131716, 2381, 45, 31, "Print"],
Cell[6681483, 131763, 2380, 45, 31, "Print"],
Cell[6683866, 131810, 2379, 45, 31, "Print"],
Cell[6686248, 131857, 2381, 45, 31, "Print"],
Cell[6688632, 131904, 2379, 45, 31, "Print"],
Cell[6691014, 131951, 2378, 45, 31, "Print"],
Cell[6693395, 131998, 2385, 45, 31, "Print"],
Cell[6695783, 132045, 2413, 45, 31, "Print"],
Cell[6698199, 132092, 2390, 45, 31, "Print"],
Cell[6700592, 132139, 2377, 45, 31, "Print"],
Cell[6702972, 132186, 2390, 45, 31, "Print"],
Cell[6705365, 132233, 2407, 45, 31, "Print"],
Cell[6707775, 132280, 2385, 45, 31, "Print"],
Cell[6710163, 132327, 2381, 45, 31, "Print"],
Cell[6712547, 132374, 2381, 45, 31, "Print"],
Cell[6714931, 132421, 2388, 45, 31, "Print"],
Cell[6717322, 132468, 2388, 45, 31, "Print"],
Cell[6719713, 132515, 2376, 45, 31, "Print"],
Cell[6722092, 132562, 2385, 45, 31, "Print"],
Cell[6724480, 132609, 2413, 45, 31, "Print"],
Cell[6726896, 132656, 2381, 45, 31, "Print"],
Cell[6729280, 132703, 2381, 45, 31, "Print"],
Cell[6731664, 132750, 2381, 45, 31, "Print"],
Cell[6734048, 132797, 2375, 45, 31, "Print"],
Cell[6736426, 132844, 2379, 45, 31, "Print"],
Cell[6738808, 132891, 2373, 45, 31, "Print"],
Cell[6741184, 132938, 2384, 45, 31, "Print"],
Cell[6743571, 132985, 2392, 45, 31, "Print"],
Cell[6745966, 133032, 2381, 45, 31, "Print"],
Cell[6748350, 133079, 2389, 45, 31, "Print"],
Cell[6750742, 133126, 2388, 45, 31, "Print"],
Cell[6753133, 133173, 2391, 45, 31, "Print"],
Cell[6755527, 133220, 2379, 45, 31, "Print"],
Cell[6757909, 133267, 2385, 45, 31, "Print"],
Cell[6760297, 133314, 2392, 45, 31, "Print"],
Cell[6762692, 133361, 2385, 45, 31, "Print"],
Cell[6765080, 133408, 2381, 45, 31, "Print"],
Cell[6767464, 133455, 2386, 45, 31, "Print"],
Cell[6769853, 133502, 2384, 45, 31, "Print"],
Cell[6772240, 133549, 2392, 45, 31, "Print"],
Cell[6774635, 133596, 2384, 45, 31, "Print"],
Cell[6777022, 133643, 2406, 45, 31, "Print"],
Cell[6779431, 133690, 2392, 45, 31, "Print"],
Cell[6781826, 133737, 2392, 45, 31, "Print"],
Cell[6784221, 133784, 2385, 45, 31, "Print"],
Cell[6786609, 133831, 2416, 45, 31, "Print"],
Cell[6789028, 133878, 2387, 45, 31, "Print"],
Cell[6791418, 133925, 2389, 45, 31, "Print"],
Cell[6793810, 133972, 2387, 45, 31, "Print"],
Cell[6796200, 134019, 2413, 45, 31, "Print"],
Cell[6798616, 134066, 2387, 45, 31, "Print"],
Cell[6801006, 134113, 2391, 45, 31, "Print"],
Cell[6803400, 134160, 2386, 45, 31, "Print"],
Cell[6805789, 134207, 2411, 45, 31, "Print"],
Cell[6808203, 134254, 2384, 45, 31, "Print"],
Cell[6810590, 134301, 2383, 45, 31, "Print"],
Cell[6812976, 134348, 2377, 45, 31, "Print"],
Cell[6815356, 134395, 2394, 45, 31, "Print"],
Cell[6817753, 134442, 2392, 45, 31, "Print"],
Cell[6820148, 134489, 2389, 45, 31, "Print"],
Cell[6822540, 134536, 2381, 45, 31, "Print"],
Cell[6824924, 134583, 2383, 45, 31, "Print"],
Cell[6827310, 134630, 2389, 45, 31, "Print"],
Cell[6829702, 134677, 2388, 45, 31, "Print"],
Cell[6832093, 134724, 2382, 45, 31, "Print"],
Cell[6834478, 134771, 2383, 45, 31, "Print"],
Cell[6836864, 134818, 2419, 45, 31, "Print"],
Cell[6839286, 134865, 2391, 45, 31, "Print"],
Cell[6841680, 134912, 2379, 45, 31, "Print"],
Cell[6844062, 134959, 2388, 45, 31, "Print"],
Cell[6846453, 135006, 2413, 45, 31, "Print"],
Cell[6848869, 135053, 2385, 45, 31, "Print"],
Cell[6851257, 135100, 2390, 45, 31, "Print"],
Cell[6853650, 135147, 2394, 45, 29, "Print"],
Cell[6856047, 135194, 2386, 45, 29, "Print"],
Cell[6858436, 135241, 2391, 45, 29, "Print"],
Cell[6860830, 135288, 2380, 45, 29, "Print"],
Cell[6863213, 135335, 2379, 45, 29, "Print"],
Cell[6865595, 135382, 2416, 45, 29, "Print"],
Cell[6868014, 135429, 2392, 45, 29, "Print"],
Cell[6870409, 135476, 2390, 45, 29, "Print"],
Cell[6872802, 135523, 2391, 45, 29, "Print"],
Cell[6875196, 135570, 2392, 45, 29, "Print"],
Cell[6877591, 135617, 2386, 45, 29, "Print"],
Cell[6879980, 135664, 2376, 45, 29, "Print"],
Cell[6882359, 135711, 2378, 45, 29, "Print"],
Cell[6884740, 135758, 2386, 45, 29, "Print"],
Cell[6887129, 135805, 2371, 45, 29, "Print"],
Cell[6889503, 135852, 2387, 45, 29, "Print"],
Cell[6891893, 135899, 2388, 45, 29, "Print"],
Cell[6894284, 135946, 2392, 45, 29, "Print"],
Cell[6896679, 135993, 2379, 45, 29, "Print"],
Cell[6899061, 136040, 2383, 45, 29, "Print"],
Cell[6901447, 136087, 2381, 45, 29, "Print"],
Cell[6903831, 136134, 2389, 45, 29, "Print"],
Cell[6906223, 136181, 2386, 45, 29, "Print"],
Cell[6908612, 136228, 2383, 45, 29, "Print"],
Cell[6910998, 136275, 2384, 45, 29, "Print"],
Cell[6913385, 136322, 2387, 45, 29, "Print"],
Cell[6915775, 136369, 2383, 45, 29, "Print"],
Cell[6918161, 136416, 2409, 45, 29, "Print"],
Cell[6920573, 136463, 2387, 45, 29, "Print"],
Cell[6922963, 136510, 2387, 45, 29, "Print"],
Cell[6925353, 136557, 2381, 45, 29, "Print"],
Cell[6927737, 136604, 2414, 45, 29, "Print"],
Cell[6930154, 136651, 2390, 45, 29, "Print"],
Cell[6932547, 136698, 2384, 45, 29, "Print"],
Cell[6934934, 136745, 2379, 45, 29, "Print"],
Cell[6937316, 136792, 2411, 45, 29, "Print"],
Cell[6939730, 136839, 2382, 45, 29, "Print"],
Cell[6942115, 136886, 2389, 45, 29, "Print"],
Cell[6944507, 136933, 2382, 45, 31, "Print"],
Cell[6946892, 136980, 2406, 45, 31, "Print"],
Cell[6949301, 137027, 2387, 45, 31, "Print"],
Cell[6951691, 137074, 2384, 45, 31, "Print"],
Cell[6954078, 137121, 2386, 45, 31, "Print"],
Cell[6956467, 137168, 2379, 45, 31, "Print"],
Cell[6958849, 137215, 2381, 45, 31, "Print"],
Cell[6961233, 137262, 2390, 45, 31, "Print"],
Cell[6963626, 137309, 2380, 45, 31, "Print"],
Cell[6966009, 137356, 2390, 45, 31, "Print"],
Cell[6968402, 137403, 2388, 45, 31, "Print"],
Cell[6970793, 137450, 2390, 45, 31, "Print"],
Cell[6973186, 137497, 2377, 45, 31, "Print"],
Cell[6975566, 137544, 2386, 45, 31, "Print"],
Cell[6977955, 137591, 2411, 45, 31, "Print"],
Cell[6980369, 137638, 2388, 45, 31, "Print"],
Cell[6982760, 137685, 2388, 45, 29, "Print"],
Cell[6985151, 137732, 2388, 45, 29, "Print"],
Cell[6987542, 137779, 2411, 45, 29, "Print"],
Cell[6989956, 137826, 2392, 45, 29, "Print"],
Cell[6992351, 137873, 2385, 45, 29, "Print"],
Cell[6994739, 137920, 2390, 45, 29, "Print"],
Cell[6997132, 137967, 2381, 45, 29, "Print"],
Cell[6999516, 138014, 2390, 45, 29, "Print"],
Cell[7001909, 138061, 2388, 45, 29, "Print"],
Cell[7004300, 138108, 2392, 45, 29, "Print"],
Cell[7006695, 138155, 2417, 45, 29, "Print"],
Cell[7009115, 138202, 2390, 45, 29, "Print"],
Cell[7011508, 138249, 2388, 45, 29, "Print"],
Cell[7013899, 138296, 2381, 45, 29, "Print"],
Cell[7016283, 138343, 2390, 45, 29, "Print"],
Cell[7018676, 138390, 2392, 45, 29, "Print"],
Cell[7021071, 138437, 2377, 45, 29, "Print"],
Cell[7023451, 138484, 2392, 45, 29, "Print"],
Cell[7025846, 138531, 2385, 45, 29, "Print"],
Cell[7028234, 138578, 2386, 45, 29, "Print"],
Cell[7030623, 138625, 2384, 45, 29, "Print"],
Cell[7033010, 138672, 2390, 45, 29, "Print"],
Cell[7035403, 138719, 2383, 45, 29, "Print"],
Cell[7037789, 138766, 2371, 45, 29, "Print"],
Cell[7040163, 138813, 2391, 45, 29, "Print"],
Cell[7042557, 138860, 2383, 45, 29, "Print"],
Cell[7044943, 138907, 2383, 45, 29, "Print"],
Cell[7047329, 138954, 2388, 45, 29, "Print"],
Cell[7049720, 139001, 2385, 45, 29, "Print"],
Cell[7052108, 139048, 2383, 45, 29, "Print"],
Cell[7054494, 139095, 2385, 45, 29, "Print"],
Cell[7056882, 139142, 2386, 45, 29, "Print"],
Cell[7059271, 139189, 2417, 45, 29, "Print"],
Cell[7061691, 139236, 2390, 45, 29, "Print"],
Cell[7064084, 139283, 2394, 45, 29, "Print"],
Cell[7066481, 139330, 2385, 45, 29, "Print"],
Cell[7068869, 139377, 2416, 45, 29, "Print"],
Cell[7071288, 139424, 2390, 45, 29, "Print"],
Cell[7073681, 139471, 2391, 45, 29, "Print"],
Cell[7076075, 139518, 2385, 45, 29, "Print"],
Cell[7078463, 139565, 2410, 45, 29, "Print"],
Cell[7080876, 139612, 2384, 45, 29, "Print"],
Cell[7083263, 139659, 2379, 45, 29, "Print"],
Cell[7085645, 139706, 2384, 45, 29, "Print"],
Cell[7088032, 139753, 2419, 45, 29, "Print"],
Cell[7090454, 139800, 2386, 45, 29, "Print"],
Cell[7092843, 139847, 2381, 45, 29, "Print"],
Cell[7095227, 139894, 2385, 45, 29, "Print"],
Cell[7097615, 139941, 2392, 45, 29, "Print"],
Cell[7100010, 139988, 2384, 45, 29, "Print"],
Cell[7102397, 140035, 2389, 45, 29, "Print"],
Cell[7104789, 140082, 2381, 45, 29, "Print"],
Cell[7107173, 140129, 2386, 45, 29, "Print"],
Cell[7109562, 140176, 2389, 45, 29, "Print"],
Cell[7111954, 140223, 2389, 45, 31, "Print"],
Cell[7114346, 140270, 2390, 45, 31, "Print"],
Cell[7116739, 140317, 2386, 45, 31, "Print"],
Cell[7119128, 140364, 2419, 45, 31, "Print"],
Cell[7121550, 140411, 2392, 45, 31, "Print"],
Cell[7123945, 140458, 2388, 45, 31, "Print"],
Cell[7126336, 140505, 2385, 45, 31, "Print"],
Cell[7128724, 140552, 2416, 45, 31, "Print"],
Cell[7131143, 140599, 2392, 45, 31, "Print"],
Cell[7133538, 140646, 2388, 45, 31, "Print"],
Cell[7135929, 140693, 2390, 45, 31, "Print"],
Cell[7138322, 140740, 2386, 45, 29, "Print"],
Cell[7140711, 140787, 2388, 45, 29, "Print"],
Cell[7143102, 140834, 2387, 45, 29, "Print"],
Cell[7145492, 140881, 2392, 45, 29, "Print"],
Cell[7147887, 140928, 2407, 45, 29, "Print"],
Cell[7150297, 140975, 2385, 45, 29, "Print"],
Cell[7152685, 141022, 2381, 45, 29, "Print"],
Cell[7155069, 141069, 2385, 45, 29, "Print"],
Cell[7157457, 141116, 2387, 45, 29, "Print"],
Cell[7159847, 141163, 2392, 45, 29, "Print"],
Cell[7162242, 141210, 2375, 45, 29, "Print"],
Cell[7164620, 141257, 2375, 45, 29, "Print"],
Cell[7166998, 141304, 2387, 45, 29, "Print"],
Cell[7169388, 141351, 2384, 45, 29, "Print"],
Cell[7171775, 141398, 2384, 45, 29, "Print"],
Cell[7174162, 141445, 2378, 45, 29, "Print"],
Cell[7176543, 141492, 2390, 45, 29, "Print"],
Cell[7178936, 141539, 2373, 45, 29, "Print"],
Cell[7181312, 141586, 2388, 45, 29, "Print"],
Cell[7183703, 141633, 2386, 45, 29, "Print"],
Cell[7186092, 141680, 2381, 45, 29, "Print"],
Cell[7188476, 141727, 2381, 45, 29, "Print"],
Cell[7190860, 141774, 2385, 45, 29, "Print"],
Cell[7193248, 141821, 2385, 45, 29, "Print"],
Cell[7195636, 141868, 2390, 45, 29, "Print"],
Cell[7198029, 141915, 2384, 45, 31, "Print"],
Cell[7200416, 141962, 2404, 45, 31, "Print"],
Cell[7202823, 142009, 2386, 45, 31, "Print"],
Cell[7205212, 142056, 2377, 45, 31, "Print"],
Cell[7207592, 142103, 2381, 45, 29, "Print"],
Cell[7209976, 142150, 2409, 45, 29, "Print"],
Cell[7212388, 142197, 2383, 45, 29, "Print"],
Cell[7214774, 142244, 2381, 45, 29, "Print"],
Cell[7217158, 142291, 2383, 45, 29, "Print"],
Cell[7219544, 142338, 2405, 45, 29, "Print"],
Cell[7221952, 142385, 2377, 45, 29, "Print"],
Cell[7224332, 142432, 2387, 45, 29, "Print"],
Cell[7226722, 142479, 2384, 45, 29, "Print"],
Cell[7229109, 142526, 2415, 45, 29, "Print"],
Cell[7231527, 142573, 2379, 45, 29, "Print"],
Cell[7233909, 142620, 2382, 45, 29, "Print"],
Cell[7236294, 142667, 2384, 45, 29, "Print"],
Cell[7238681, 142714, 2390, 45, 29, "Print"],
Cell[7241074, 142761, 2384, 45, 29, "Print"],
Cell[7243461, 142808, 2387, 45, 29, "Print"],
Cell[7245851, 142855, 2380, 45, 29, "Print"],
Cell[7248234, 142902, 2390, 45, 29, "Print"],
Cell[7250627, 142949, 2382, 45, 29, "Print"],
Cell[7253012, 142996, 2390, 45, 29, "Print"],
Cell[7255405, 143043, 2386, 45, 29, "Print"],
Cell[7257794, 143090, 2377, 45, 29, "Print"],
Cell[7260174, 143137, 2412, 45, 29, "Print"],
Cell[7262589, 143184, 2381, 45, 29, "Print"],
Cell[7264973, 143231, 2374, 45, 29, "Print"],
Cell[7267350, 143278, 2382, 45, 31, "Print"],
Cell[7269735, 143325, 2412, 45, 31, "Print"],
Cell[7272150, 143372, 2384, 45, 31, "Print"],
Cell[7274537, 143419, 2386, 45, 31, "Print"],
Cell[7276926, 143466, 2385, 45, 31, "Print"],
Cell[7279314, 143513, 2381, 45, 31, "Print"],
Cell[7281698, 143560, 2378, 45, 31, "Print"],
Cell[7284079, 143607, 2375, 45, 31, "Print"],
Cell[7286457, 143654, 2384, 45, 31, "Print"],
Cell[7288844, 143701, 2415, 45, 31, "Print"],
Cell[7291262, 143748, 2384, 45, 31, "Print"],
Cell[7293649, 143795, 2378, 45, 31, "Print"],
Cell[7296030, 143842, 2384, 45, 31, "Print"],
Cell[7298417, 143889, 2385, 45, 31, "Print"],
Cell[7300805, 143936, 2388, 45, 31, "Print"],
Cell[7303196, 143983, 2375, 45, 31, "Print"],
Cell[7305574, 144030, 2389, 45, 29, "Print"],
Cell[7307966, 144077, 2383, 45, 29, "Print"],
Cell[7310352, 144124, 2384, 45, 29, "Print"],
Cell[7312739, 144171, 2387, 45, 29, "Print"],
Cell[7315129, 144218, 2390, 45, 29, "Print"],
Cell[7317522, 144265, 2383, 45, 29, "Print"],
Cell[7319908, 144312, 2384, 45, 29, "Print"],
Cell[7322295, 144359, 2388, 45, 29, "Print"],
Cell[7324686, 144406, 2389, 45, 29, "Print"],
Cell[7327078, 144453, 2383, 45, 29, "Print"],
Cell[7329464, 144500, 2381, 45, 29, "Print"],
Cell[7331848, 144547, 2391, 45, 29, "Print"],
Cell[7334242, 144594, 2380, 45, 29, "Print"],
Cell[7336625, 144641, 2388, 45, 29, "Print"],
Cell[7339016, 144688, 2379, 45, 29, "Print"],
Cell[7341398, 144735, 2417, 45, 29, "Print"],
Cell[7343818, 144782, 2390, 45, 29, "Print"],
Cell[7346211, 144829, 2381, 45, 29, "Print"],
Cell[7348595, 144876, 2375, 45, 29, "Print"],
Cell[7350973, 144923, 2416, 45, 29, "Print"],
Cell[7353392, 144970, 2379, 45, 29, "Print"],
Cell[7355774, 145017, 2389, 45, 29, "Print"],
Cell[7358166, 145064, 2388, 45, 29, "Print"],
Cell[7360557, 145111, 2416, 45, 29, "Print"],
Cell[7362976, 145158, 2390, 45, 29, "Print"],
Cell[7365369, 145205, 2392, 45, 29, "Print"],
Cell[7367764, 145252, 2384, 45, 29, "Print"],
Cell[7370151, 145299, 2408, 45, 29, "Print"],
Cell[7372562, 145346, 2384, 45, 29, "Print"],
Cell[7374949, 145393, 2389, 45, 29, "Print"],
Cell[7377341, 145440, 2384, 45, 29, "Print"],
Cell[7379728, 145487, 2385, 45, 29, "Print"],
Cell[7382116, 145534, 2390, 45, 29, "Print"],
Cell[7384509, 145581, 2394, 45, 29, "Print"],
Cell[7386906, 145628, 2387, 45, 29, "Print"],
Cell[7389296, 145675, 2394, 45, 29, "Print"],
Cell[7391693, 145722, 2383, 45, 29, "Print"],
Cell[7394079, 145769, 2392, 45, 29, "Print"],
Cell[7396474, 145816, 2388, 45, 29, "Print"],
Cell[7398865, 145863, 2386, 45, 29, "Print"],
Cell[7401254, 145910, 2414, 45, 29, "Print"],
Cell[7403671, 145957, 2388, 45, 29, "Print"],
Cell[7406062, 146004, 2381, 45, 29, "Print"],
Cell[7408446, 146051, 2389, 45, 29, "Print"],
Cell[7410838, 146098, 2419, 45, 29, "Print"],
Cell[7413260, 146145, 2388, 45, 29, "Print"],
Cell[7415651, 146192, 2387, 45, 29, "Print"],
Cell[7418041, 146239, 2386, 45, 29, "Print"],
Cell[7420430, 146286, 2383, 45, 29, "Print"],
Cell[7422816, 146333, 2388, 45, 29, "Print"],
Cell[7425207, 146380, 2387, 45, 29, "Print"],
Cell[7427597, 146427, 2383, 45, 29, "Print"],
Cell[7429983, 146474, 2416, 45, 29, "Print"],
Cell[7432402, 146521, 2394, 45, 29, "Print"],
Cell[7434799, 146568, 2379, 45, 29, "Print"],
Cell[7437181, 146615, 2391, 45, 29, "Print"],
Cell[7439575, 146662, 2388, 45, 29, "Print"],
Cell[7441966, 146709, 2383, 45, 29, "Print"],
Cell[7444352, 146756, 2376, 45, 29, "Print"],
Cell[7446731, 146803, 2409, 45, 29, "Print"],
Cell[7449143, 146850, 2416, 45, 29, "Print"],
Cell[7451562, 146897, 2412, 45, 29, "Print"],
Cell[7453977, 146944, 2410, 45, 29, "Print"],
Cell[7456390, 146991, 2404, 45, 29, "Print"],
Cell[7458797, 147038, 2411, 45, 29, "Print"],
Cell[7461211, 147085, 2413, 45, 29, "Print"],
Cell[7463627, 147132, 2413, 45, 29, "Print"],
Cell[7466043, 147179, 2414, 45, 29, "Print"],
Cell[7468460, 147226, 2416, 45, 29, "Print"],
Cell[7470879, 147273, 2406, 45, 29, "Print"],
Cell[7473288, 147320, 2408, 45, 29, "Print"],
Cell[7475699, 147367, 2415, 45, 29, "Print"],
Cell[7478117, 147414, 2419, 45, 31, "Print"],
Cell[7480539, 147461, 2407, 45, 31, "Print"],
Cell[7482949, 147508, 2445, 46, 31, "Print"],
Cell[7485397, 147556, 2406, 45, 31, "Print"],
Cell[7487806, 147603, 2419, 45, 31, "Print"],
Cell[7490228, 147650, 2408, 45, 31, "Print"],
Cell[7492639, 147697, 2437, 46, 31, "Print"],
Cell[7495079, 147745, 2415, 45, 31, "Print"],
Cell[7497497, 147792, 2410, 45, 31, "Print"],
Cell[7499910, 147839, 2412, 45, 31, "Print"],
Cell[7502325, 147886, 2448, 46, 31, "Print"],
Cell[7504776, 147934, 2411, 45, 31, "Print"],
Cell[7507190, 147981, 2413, 45, 31, "Print"],
Cell[7509606, 148028, 2413, 45, 31, "Print"],
Cell[7512022, 148075, 2448, 46, 31, "Print"],
Cell[7514473, 148123, 2406, 45, 31, "Print"],
Cell[7516882, 148170, 2412, 45, 31, "Print"],
Cell[7519297, 148217, 2413, 45, 31, "Print"],
Cell[7521713, 148264, 2409, 45, 31, "Print"],
Cell[7524125, 148311, 2417, 45, 31, "Print"],
Cell[7526545, 148358, 2411, 45, 31, "Print"],
Cell[7528959, 148405, 2410, 45, 31, "Print"],
Cell[7531372, 148452, 2417, 45, 31, "Print"],
Cell[7533792, 148499, 2406, 45, 31, "Print"],
Cell[7536201, 148546, 2406, 45, 31, "Print"],
Cell[7538610, 148593, 2412, 45, 31, "Print"],
Cell[7541025, 148640, 2417, 45, 31, "Print"],
Cell[7543445, 148687, 2440, 46, 31, "Print"],
Cell[7545888, 148735, 2417, 45, 31, "Print"],
Cell[7548308, 148782, 2410, 45, 31, "Print"],
Cell[7550721, 148829, 2412, 45, 31, "Print"],
Cell[7553136, 148876, 2443, 46, 31, "Print"],
Cell[7555582, 148924, 2406, 45, 31, "Print"],
Cell[7557991, 148971, 2404, 45, 31, "Print"],
Cell[7560398, 149018, 2416, 45, 31, "Print"],
Cell[7562817, 149065, 2411, 45, 31, "Print"],
Cell[7565231, 149112, 2413, 45, 31, "Print"],
Cell[7567647, 149159, 2415, 45, 31, "Print"],
Cell[7570065, 149206, 2413, 45, 31, "Print"],
Cell[7572481, 149253, 2439, 46, 31, "Print"],
Cell[7574923, 149301, 2415, 45, 31, "Print"],
Cell[7577341, 149348, 2406, 45, 31, "Print"],
Cell[7579750, 149395, 2413, 45, 31, "Print"],
Cell[7582166, 149442, 2414, 45, 31, "Print"],
Cell[7584583, 149489, 2414, 45, 31, "Print"],
Cell[7587000, 149536, 2398, 45, 31, "Print"],
Cell[7589401, 149583, 2392, 45, 29, "Print"],
Cell[7591796, 149630, 2388, 45, 29, "Print"],
Cell[7594187, 149677, 2380, 45, 29, "Print"],
Cell[7596570, 149724, 2386, 45, 29, "Print"],
Cell[7598959, 149771, 2387, 45, 29, "Print"],
Cell[7601349, 149818, 2383, 45, 29, "Print"],
Cell[7603735, 149865, 2388, 45, 29, "Print"],
Cell[7606126, 149912, 2392, 45, 29, "Print"],
Cell[7608521, 149959, 2389, 45, 29, "Print"],
Cell[7610913, 150006, 2388, 45, 29, "Print"],
Cell[7613304, 150053, 2379, 45, 29, "Print"],
Cell[7615686, 150100, 2391, 45, 29, "Print"],
Cell[7618080, 150147, 2381, 45, 29, "Print"],
Cell[7620464, 150194, 2389, 45, 29, "Print"],
Cell[7622856, 150241, 2384, 45, 29, "Print"],
Cell[7625243, 150288, 2414, 45, 29, "Print"],
Cell[7627660, 150335, 2387, 45, 29, "Print"],
Cell[7630050, 150382, 2394, 45, 29, "Print"],
Cell[7632447, 150429, 2388, 45, 29, "Print"],
Cell[7634838, 150476, 2411, 45, 29, "Print"],
Cell[7637252, 150523, 2381, 45, 29, "Print"],
Cell[7639636, 150570, 2388, 45, 29, "Print"],
Cell[7642027, 150617, 2387, 45, 29, "Print"],
Cell[7644417, 150664, 2413, 45, 29, "Print"],
Cell[7646833, 150711, 2386, 45, 29, "Print"],
Cell[7649222, 150758, 2390, 45, 31, "Print"],
Cell[7651615, 150805, 2385, 45, 31, "Print"],
Cell[7654003, 150852, 2419, 45, 31, "Print"],
Cell[7656425, 150899, 2390, 45, 31, "Print"],
Cell[7658818, 150946, 2392, 45, 31, "Print"],
Cell[7661213, 150993, 2381, 45, 31, "Print"],
Cell[7663597, 151040, 2383, 45, 31, "Print"],
Cell[7665983, 151087, 2390, 45, 31, "Print"],
Cell[7668376, 151134, 2386, 45, 31, "Print"],
Cell[7670765, 151181, 2379, 45, 31, "Print"],
Cell[7673147, 151228, 2386, 45, 31, "Print"],
Cell[7675536, 151275, 2382, 45, 31, "Print"],
Cell[7677921, 151322, 2392, 45, 31, "Print"],
Cell[7680316, 151369, 2385, 45, 31, "Print"],
Cell[7682704, 151416, 2385, 45, 29, "Print"],
Cell[7685092, 151463, 2414, 45, 29, "Print"],
Cell[7687509, 151510, 2379, 45, 29, "Print"],
Cell[7689891, 151557, 2390, 45, 29, "Print"],
Cell[7692284, 151604, 2394, 45, 29, "Print"],
Cell[7694681, 151651, 2413, 45, 29, "Print"],
Cell[7697097, 151698, 2392, 45, 29, "Print"],
Cell[7699492, 151745, 2390, 45, 29, "Print"],
Cell[7701885, 151792, 2383, 45, 29, "Print"],
Cell[7704271, 151839, 2390, 45, 29, "Print"],
Cell[7706664, 151886, 2389, 45, 29, "Print"],
Cell[7709056, 151933, 2385, 45, 29, "Print"],
Cell[7711444, 151980, 2383, 45, 29, "Print"],
Cell[7713830, 152027, 2419, 45, 29, "Print"],
Cell[7716252, 152074, 2383, 45, 29, "Print"],
Cell[7718638, 152121, 2384, 45, 29, "Print"],
Cell[7721025, 152168, 2391, 45, 29, "Print"],
Cell[7723419, 152215, 2392, 45, 29, "Print"],
Cell[7725814, 152262, 2389, 45, 29, "Print"],
Cell[7728206, 152309, 2386, 45, 29, "Print"],
Cell[7730595, 152356, 2379, 45, 29, "Print"],
Cell[7732977, 152403, 2382, 45, 29, "Print"],
Cell[7735362, 152450, 2377, 45, 29, "Print"],
Cell[7737742, 152497, 2388, 45, 29, "Print"],
Cell[7740133, 152544, 2382, 45, 29, "Print"],
Cell[7742518, 152591, 2385, 45, 31, "Print"],
Cell[7744906, 152638, 2374, 45, 31, "Print"],
Cell[7747283, 152685, 2385, 45, 31, "Print"],
Cell[7749671, 152732, 2385, 45, 31, "Print"],
Cell[7752059, 152779, 2388, 45, 31, "Print"],
Cell[7754450, 152826, 2386, 45, 31, "Print"],
Cell[7756839, 152873, 2384, 45, 29, "Print"],
Cell[7759226, 152920, 2386, 45, 29, "Print"],
Cell[7761615, 152967, 2385, 45, 29, "Print"],
Cell[7764003, 153014, 2381, 45, 29, "Print"],
Cell[7766387, 153061, 2410, 45, 29, "Print"],
Cell[7768800, 153108, 2386, 45, 29, "Print"],
Cell[7771189, 153155, 2385, 45, 29, "Print"],
Cell[7773577, 153202, 2376, 45, 29, "Print"],
Cell[7775956, 153249, 2415, 45, 29, "Print"],
Cell[7778374, 153296, 2382, 45, 29, "Print"],
Cell[7780759, 153343, 2384, 45, 29, "Print"],
Cell[7783146, 153390, 2383, 45, 29, "Print"],
Cell[7785532, 153437, 2410, 45, 29, "Print"],
Cell[7787945, 153484, 2386, 45, 29, "Print"],
Cell[7790334, 153531, 2377, 45, 29, "Print"],
Cell[7792714, 153578, 2381, 45, 29, "Print"],
Cell[7795098, 153625, 2403, 45, 29, "Print"],
Cell[7797504, 153672, 2388, 45, 29, "Print"],
Cell[7799895, 153719, 2388, 45, 29, "Print"],
Cell[7802286, 153766, 2386, 45, 29, "Print"],
Cell[7804675, 153813, 2390, 45, 29, "Print"],
Cell[7807068, 153860, 2377, 45, 29, "Print"],
Cell[7809448, 153907, 2382, 45, 29, "Print"],
Cell[7811833, 153954, 2381, 45, 29, "Print"],
Cell[7814217, 154001, 2384, 45, 29, "Print"],
Cell[7816604, 154048, 2383, 45, 29, "Print"],
Cell[7818990, 154095, 2388, 45, 29, "Print"],
Cell[7821381, 154142, 2377, 45, 29, "Print"],
Cell[7823761, 154189, 2388, 45, 29, "Print"],
Cell[7826152, 154236, 2406, 45, 29, "Print"],
Cell[7828561, 154283, 2382, 45, 29, "Print"],
Cell[7830946, 154330, 2375, 45, 29, "Print"],
Cell[7833324, 154377, 2383, 45, 29, "Print"],
Cell[7835710, 154424, 2413, 45, 29, "Print"],
Cell[7838126, 154471, 2385, 45, 29, "Print"],
Cell[7840514, 154518, 2378, 45, 29, "Print"],
Cell[7842895, 154565, 2379, 45, 29, "Print"],
Cell[7845277, 154612, 2377, 45, 29, "Print"],
Cell[7847657, 154659, 2390, 45, 29, "Print"],
Cell[7850050, 154706, 2386, 45, 29, "Print"],
Cell[7852439, 154753, 2384, 45, 29, "Print"],
Cell[7854826, 154800, 2412, 45, 29, "Print"],
Cell[7857241, 154847, 2388, 45, 29, "Print"],
Cell[7859632, 154894, 2386, 45, 29, "Print"],
Cell[7862021, 154941, 2378, 45, 29, "Print"],
Cell[7864402, 154988, 2384, 45, 29, "Print"],
Cell[7866789, 155035, 2382, 45, 29, "Print"],
Cell[7869174, 155082, 2376, 45, 29, "Print"],
Cell[7871553, 155129, 2383, 45, 29, "Print"],
Cell[7873939, 155176, 2385, 45, 29, "Print"],
Cell[7876327, 155223, 2381, 45, 29, "Print"],
Cell[7878711, 155270, 2391, 45, 29, "Print"],
Cell[7881105, 155317, 2388, 45, 29, "Print"],
Cell[7883496, 155364, 2392, 45, 29, "Print"],
Cell[7885891, 155411, 2387, 45, 29, "Print"],
Cell[7888281, 155458, 2385, 45, 29, "Print"],
Cell[7890669, 155505, 2384, 45, 29, "Print"],
Cell[7893056, 155552, 2388, 45, 29, "Print"],
Cell[7895447, 155599, 2385, 45, 29, "Print"],
Cell[7897835, 155646, 2394, 45, 29, "Print"],
Cell[7900232, 155693, 2390, 45, 29, "Print"],
Cell[7902625, 155740, 2386, 45, 29, "Print"],
Cell[7905014, 155787, 2385, 45, 29, "Print"],
Cell[7907402, 155834, 2408, 45, 29, "Print"],
Cell[7909813, 155881, 2387, 45, 29, "Print"],
Cell[7912203, 155928, 2394, 45, 29, "Print"],
Cell[7914600, 155975, 2386, 45, 29, "Print"],
Cell[7916989, 156022, 2406, 45, 29, "Print"],
Cell[7919398, 156069, 2387, 45, 29, "Print"],
Cell[7921788, 156116, 2381, 45, 29, "Print"],
Cell[7924172, 156163, 2390, 45, 29, "Print"],
Cell[7926565, 156210, 2410, 45, 29, "Print"],
Cell[7928978, 156257, 2386, 45, 31, "Print"],
Cell[7931367, 156304, 2390, 45, 31, "Print"],
Cell[7933760, 156351, 2373, 45, 31, "Print"],
Cell[7936136, 156398, 2408, 45, 31, "Print"],
Cell[7938547, 156445, 2390, 45, 31, "Print"],
Cell[7940940, 156492, 2388, 45, 31, "Print"],
Cell[7943331, 156539, 2374, 45, 31, "Print"],
Cell[7945708, 156586, 2394, 45, 31, "Print"],
Cell[7948105, 156633, 2387, 45, 31, "Print"],
Cell[7950495, 156680, 2389, 45, 31, "Print"],
Cell[7952887, 156727, 2382, 45, 31, "Print"],
Cell[7955272, 156774, 2385, 45, 31, "Print"],
Cell[7957660, 156821, 2386, 45, 31, "Print"],
Cell[7960049, 156868, 2381, 45, 31, "Print"],
Cell[7962433, 156915, 2388, 45, 31, "Print"],
Cell[7964824, 156962, 2391, 45, 31, "Print"],
Cell[7967218, 157009, 2410, 45, 31, "Print"],
Cell[7969631, 157056, 2383, 45, 31, "Print"],
Cell[7972017, 157103, 2384, 45, 31, "Print"],
Cell[7974404, 157150, 2391, 45, 31, "Print"],
Cell[7976798, 157197, 2417, 45, 31, "Print"],
Cell[7979218, 157244, 2382, 45, 31, "Print"],
Cell[7981603, 157291, 2390, 45, 29, "Print"],
Cell[7983996, 157338, 2387, 45, 29, "Print"],
Cell[7986386, 157385, 2390, 45, 29, "Print"],
Cell[7988779, 157432, 2385, 45, 29, "Print"],
Cell[7991167, 157479, 2377, 45, 29, "Print"],
Cell[7993547, 157526, 2382, 45, 29, "Print"],
Cell[7995932, 157573, 2408, 45, 29, "Print"],
Cell[7998343, 157620, 2386, 45, 29, "Print"],
Cell[8000732, 157667, 2387, 45, 29, "Print"],
Cell[8003122, 157714, 2385, 45, 29, "Print"],
Cell[8005510, 157761, 2390, 45, 29, "Print"],
Cell[8007903, 157808, 2388, 45, 29, "Print"],
Cell[8010294, 157855, 2382, 45, 29, "Print"],
Cell[8012679, 157902, 2382, 45, 29, "Print"],
Cell[8015064, 157949, 2390, 45, 29, "Print"],
Cell[8017457, 157996, 2377, 45, 29, "Print"],
Cell[8019837, 158043, 2386, 45, 29, "Print"],
Cell[8022226, 158090, 2390, 45, 29, "Print"],
Cell[8024619, 158137, 2387, 45, 29, "Print"],
Cell[8027009, 158184, 2382, 45, 29, "Print"],
Cell[8029394, 158231, 2386, 45, 29, "Print"],
Cell[8031783, 158278, 2383, 45, 29, "Print"],
Cell[8034169, 158325, 2390, 45, 29, "Print"],
Cell[8036562, 158372, 2388, 45, 29, "Print"],
Cell[8038953, 158419, 2386, 45, 29, "Print"],
Cell[8041342, 158466, 2380, 45, 29, "Print"],
Cell[8043725, 158513, 2392, 45, 29, "Print"],
Cell[8046120, 158560, 2373, 45, 29, "Print"],
Cell[8048496, 158607, 2417, 45, 29, "Print"],
Cell[8050916, 158654, 2382, 45, 29, "Print"],
Cell[8053301, 158701, 2387, 45, 29, "Print"],
Cell[8055691, 158748, 2377, 45, 29, "Print"],
Cell[8058071, 158795, 2415, 45, 29, "Print"],
Cell[8060489, 158842, 2377, 45, 29, "Print"],
Cell[8062869, 158889, 2382, 45, 29, "Print"],
Cell[8065254, 158936, 2384, 45, 29, "Print"],
Cell[8067641, 158983, 2408, 45, 29, "Print"],
Cell[8070052, 159030, 2385, 45, 29, "Print"],
Cell[8072440, 159077, 2389, 45, 29, "Print"],
Cell[8074832, 159124, 2381, 45, 29, "Print"],
Cell[8077216, 159171, 2417, 45, 29, "Print"],
Cell[8079636, 159218, 2387, 45, 29, "Print"],
Cell[8082026, 159265, 2384, 45, 29, "Print"],
Cell[8084413, 159312, 2371, 45, 29, "Print"],
Cell[8086787, 159359, 2386, 45, 29, "Print"],
Cell[8089176, 159406, 2384, 45, 29, "Print"],
Cell[8091563, 159453, 2392, 45, 29, "Print"],
Cell[8093958, 159500, 2383, 45, 29, "Print"],
Cell[8096344, 159547, 2381, 45, 29, "Print"],
Cell[8098728, 159594, 2384, 45, 29, "Print"],
Cell[8101115, 159641, 2384, 45, 29, "Print"],
Cell[8103502, 159688, 2384, 45, 29, "Print"],
Cell[8105889, 159735, 2382, 45, 29, "Print"],
Cell[8108274, 159782, 2417, 45, 29, "Print"],
Cell[8110694, 159829, 2381, 45, 29, "Print"],
Cell[8113078, 159876, 2385, 45, 29, "Print"],
Cell[8115466, 159923, 2387, 45, 29, "Print"],
Cell[8117856, 159970, 2409, 45, 29, "Print"],
Cell[8120268, 160017, 2381, 45, 29, "Print"],
Cell[8122652, 160064, 2388, 45, 29, "Print"],
Cell[8125043, 160111, 2390, 45, 29, "Print"],
Cell[8127436, 160158, 2379, 45, 29, "Print"],
Cell[8129818, 160205, 2381, 45, 29, "Print"],
Cell[8132202, 160252, 2385, 45, 29, "Print"],
Cell[8134590, 160299, 2381, 45, 29, "Print"],
Cell[8136974, 160346, 2417, 45, 29, "Print"],
Cell[8139394, 160393, 2392, 45, 29, "Print"],
Cell[8141789, 160440, 2388, 45, 29, "Print"],
Cell[8144180, 160487, 2389, 45, 29, "Print"],
Cell[8146572, 160534, 2387, 45, 29, "Print"],
Cell[8148962, 160581, 2387, 45, 29, "Print"],
Cell[8151352, 160628, 2377, 45, 29, "Print"],
Cell[8153732, 160675, 2383, 45, 29, "Print"],
Cell[8156118, 160722, 2385, 45, 29, "Print"],
Cell[8158506, 160769, 2378, 45, 29, "Print"],
Cell[8160887, 160816, 2382, 45, 29, "Print"],
Cell[8163272, 160863, 2392, 45, 29, "Print"],
Cell[8165667, 160910, 2387, 45, 29, "Print"],
Cell[8168057, 160957, 2385, 45, 29, "Print"],
Cell[8170445, 161004, 2392, 45, 29, "Print"],
Cell[8172840, 161051, 2390, 45, 29, "Print"],
Cell[8175233, 161098, 2394, 45, 29, "Print"],
Cell[8177630, 161145, 2388, 45, 29, "Print"],
Cell[8180021, 161192, 2392, 45, 29, "Print"],
Cell[8182416, 161239, 2389, 45, 29, "Print"],
Cell[8184808, 161286, 2389, 45, 29, "Print"],
Cell[8187200, 161333, 2384, 45, 29, "Print"],
Cell[8189587, 161380, 2414, 45, 29, "Print"],
Cell[8192004, 161427, 2386, 45, 29, "Print"],
Cell[8194393, 161474, 2391, 45, 29, "Print"],
Cell[8196787, 161521, 2386, 45, 29, "Print"],
Cell[8199176, 161568, 2400, 45, 29, "Print"],
Cell[8201579, 161615, 2387, 45, 29, "Print"],
Cell[8203969, 161662, 2392, 45, 29, "Print"],
Cell[8206364, 161709, 2385, 45, 29, "Print"],
Cell[8208752, 161756, 2419, 45, 29, "Print"],
Cell[8211174, 161803, 2377, 45, 29, "Print"],
Cell[8213554, 161850, 2391, 45, 29, "Print"],
Cell[8215948, 161897, 2381, 45, 29, "Print"],
Cell[8218332, 161944, 2416, 45, 29, "Print"],
Cell[8220751, 161991, 2390, 45, 29, "Print"],
Cell[8223144, 162038, 2389, 45, 29, "Print"],
Cell[8225536, 162085, 2379, 45, 29, "Print"],
Cell[8227918, 162132, 2384, 45, 29, "Print"],
Cell[8230305, 162179, 2387, 45, 29, "Print"],
Cell[8232695, 162226, 2389, 45, 29, "Print"],
Cell[8235087, 162273, 2387, 45, 29, "Print"],
Cell[8237477, 162320, 2391, 45, 29, "Print"],
Cell[8239871, 162367, 2384, 45, 29, "Print"],
Cell[8242258, 162414, 2392, 45, 29, "Print"],
Cell[8244653, 162461, 2382, 45, 29, "Print"],
Cell[8247038, 162508, 2383, 45, 29, "Print"],
Cell[8249424, 162555, 2419, 45, 29, "Print"],
Cell[8251846, 162602, 2392, 45, 29, "Print"],
Cell[8254241, 162649, 2385, 45, 29, "Print"],
Cell[8256629, 162696, 2389, 45, 29, "Print"],
Cell[8259021, 162743, 2413, 45, 29, "Print"],
Cell[8261437, 162790, 2388, 45, 29, "Print"],
Cell[8263828, 162837, 2379, 45, 29, "Print"],
Cell[8266210, 162884, 2391, 45, 29, "Print"],
Cell[8268604, 162931, 2387, 45, 29, "Print"],
Cell[8270994, 162978, 2389, 45, 29, "Print"],
Cell[8273386, 163025, 2384, 45, 29, "Print"],
Cell[8275773, 163072, 2388, 45, 29, "Print"],
Cell[8278164, 163119, 2411, 45, 29, "Print"],
Cell[8280578, 163166, 2385, 45, 29, "Print"],
Cell[8282966, 163213, 2382, 45, 29, "Print"],
Cell[8285351, 163260, 2392, 45, 29, "Print"],
Cell[8287746, 163307, 2384, 45, 29, "Print"],
Cell[8290133, 163354, 2386, 45, 29, "Print"],
Cell[8292522, 163401, 2373, 45, 29, "Print"],
Cell[8294898, 163448, 2378, 45, 29, "Print"],
Cell[8297279, 163495, 2388, 45, 29, "Print"],
Cell[8299670, 163542, 2379, 45, 29, "Print"],
Cell[8302052, 163589, 2385, 45, 29, "Print"],
Cell[8304440, 163636, 2380, 45, 29, "Print"],
Cell[8306823, 163683, 2385, 45, 29, "Print"],
Cell[8309211, 163730, 2381, 45, 29, "Print"],
Cell[8311595, 163777, 2373, 45, 29, "Print"],
Cell[8313971, 163824, 2383, 45, 29, "Print"],
Cell[8316357, 163871, 2382, 45, 29, "Print"],
Cell[8318742, 163918, 2375, 45, 29, "Print"],
Cell[8321120, 163965, 2379, 45, 29, "Print"],
Cell[8323502, 164012, 2382, 45, 29, "Print"],
Cell[8325887, 164059, 2379, 45, 29, "Print"],
Cell[8328269, 164106, 2381, 45, 29, "Print"],
Cell[8330653, 164153, 2413, 45, 29, "Print"],
Cell[8333069, 164200, 2384, 45, 29, "Print"],
Cell[8335456, 164247, 2379, 45, 29, "Print"],
Cell[8337838, 164294, 2373, 45, 29, "Print"],
Cell[8340214, 164341, 2411, 45, 29, "Print"],
Cell[8342628, 164388, 2386, 45, 29, "Print"],
Cell[8345017, 164435, 2382, 45, 29, "Print"],
Cell[8347402, 164482, 2376, 45, 29, "Print"],
Cell[8349781, 164529, 2402, 45, 29, "Print"],
Cell[8352186, 164576, 2380, 45, 29, "Print"],
Cell[8354569, 164623, 2377, 45, 29, "Print"],
Cell[8356949, 164670, 2379, 45, 29, "Print"],
Cell[8359331, 164717, 2409, 45, 29, "Print"],
Cell[8361743, 164764, 2375, 45, 29, "Print"],
Cell[8364121, 164811, 2384, 45, 29, "Print"],
Cell[8366508, 164858, 2373, 45, 29, "Print"],
Cell[8368884, 164905, 2388, 45, 29, "Print"],
Cell[8371275, 164952, 2383, 45, 29, "Print"],
Cell[8373661, 164999, 2381, 45, 29, "Print"],
Cell[8376045, 165046, 2376, 45, 29, "Print"],
Cell[8378424, 165093, 2379, 45, 29, "Print"],
Cell[8380806, 165140, 2380, 45, 29, "Print"],
Cell[8383189, 165187, 2380, 45, 29, "Print"],
Cell[8385572, 165234, 2382, 45, 29, "Print"],
Cell[8387957, 165281, 2377, 45, 29, "Print"],
Cell[8390337, 165328, 2401, 45, 29, "Print"],
Cell[8392741, 165375, 2380, 45, 29, "Print"],
Cell[8395124, 165422, 2376, 45, 29, "Print"],
Cell[8397503, 165469, 2382, 45, 29, "Print"],
Cell[8399888, 165516, 2405, 45, 29, "Print"],
Cell[8402296, 165563, 2377, 45, 29, "Print"],
Cell[8404676, 165610, 2378, 45, 29, "Print"],
Cell[8407057, 165657, 2386, 45, 29, "Print"],
Cell[8409446, 165704, 2386, 45, 29, "Print"],
Cell[8411835, 165751, 2380, 45, 29, "Print"],
Cell[8414218, 165798, 2382, 45, 29, "Print"],
Cell[8416603, 165845, 2379, 45, 29, "Print"],
Cell[8418985, 165892, 2406, 45, 29, "Print"],
Cell[8421394, 165939, 2378, 45, 29, "Print"],
Cell[8423775, 165986, 2373, 45, 29, "Print"],
Cell[8426151, 166033, 2385, 45, 29, "Print"],
Cell[8428539, 166080, 2375, 45, 29, "Print"],
Cell[8430917, 166127, 2388, 45, 29, "Print"],
Cell[8433308, 166174, 2374, 45, 29, "Print"]
}, Open  ]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[8435743, 166226, 202, 3, 33, "Subsubsection"],
Cell[8435948, 166231, 4436, 120, 1418, "Input"],
Cell[8440387, 166353, 226, 5, 47, "Input"],
Cell[CellGroupData[{
Cell[8440638, 166362, 135, 2, 47, "Input"],
Cell[8440776, 166366, 9413, 225, 89, "Output"]
}, Open  ]],
Cell[8450204, 166594, 961, 16, 47, "Input"]
}, Closed]]
}, Open  ]]
}
]
*)

