(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    450653,       8620]
NotebookOptionsPosition[    443587,       8426]
NotebookOutlinePosition[    443933,       8441]
CellTagsIndexPosition[    443890,       8438]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["parameters", "Subsection",
 CellChangeTimes->{{3.619197530463784*^9, 3.6191975338801904`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"delta", "=", "0.025"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"sigma", "=", "2"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"beta", "=", ".99"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"eta", "=", "0.0025"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"newphi", "=", "1"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"kappa", "=", "0.3278"}], ";"}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"theta", "=", "3.8"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"phi", "=", "theta"}], ";"}], "\[IndentingNewLine]", "\n", 
  RowBox[{"(*", 
   RowBox[{"fixed", " ", "costs"}], " ", "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"fe", "=", "1"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"fx", "=", 
   RowBox[{".235", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"beta", 
        RowBox[{"(", 
         RowBox[{"1", "-", "delta"}], ")"}]}]}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{"beta", 
       RowBox[{"(", 
        RowBox[{"1", "-", "delta"}], ")"}]}], ")"}]}], " ", "fe"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"fx", "=", 
    RowBox[{".109", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"beta", 
         RowBox[{"(", 
          RowBox[{"1", "-", "delta"}], ")"}]}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"beta", 
        RowBox[{"(", 
         RowBox[{"1", "-", "delta"}], ")"}]}], ")"}]}], " ", "fe"}]}], ";"}], 
  "\[IndentingNewLine]", "\n", 
  RowBox[{"(*", " ", 
   RowBox[{"Pareto", "-", "Distribution", "-", "Parameters"}], " ", 
   "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"k", "=", "1"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"kp", "=", "3.4"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"gamma", "=", 
   RowBox[{"kp", "-", "theta", "+", "1"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"A", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"kp", "/", "gamma"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"1", "/", 
        RowBox[{"(", 
         RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}], "*", "k"}]}], ";"}], 
  "\[IndentingNewLine]", "\n", 
  RowBox[{"(*", " ", 
   RowBox[{"Trade", " ", "Costs"}], " ", "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"tau", "=", "1.3"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"taustar", "=", "1.3"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6191973033509865`*^9, 3.6191973817099237`*^9}, 
   3.619197421240393*^9, {3.6191974663320723`*^9, 3.6191975456426115`*^9}, {
   3.619238081964215*^9, 3.6192380907637177`*^9}, {3.6215439937315893`*^9, 
   3.621544030483691*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Steady state symmetric", "Subsection",
 CellChangeTimes->{{3.619197552803024*^9, 3.619197557093031*^9}, {
  3.67367925829217*^9, 3.673679259579299*^9}}],

Cell["\<\
NEW calibrate tau and fx and choose tar in accordance with data\
\>", "Text",
 CellChangeTimes->{{3.673605035730955*^9, 3.6736050754209237`*^9}}],

Cell[BoxData[{
 RowBox[{"tau", "=."}], "\[IndentingNewLine]", 
 RowBox[{"taustar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"fx", "=."}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tar", "=", "1.02"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarstar", "=", "tar"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tradeshare", "=", "0.3"}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"http", ":"}], "//", 
    RowBox[{
     RowBox[{
      RowBox[{"data", ".", "worldbank", ".", "org"}], "/", "indicator"}], "/", 
     RowBox[{"NE", ".", "TRD", ".", "GNFS", ".", "ZS"}]}]}], " ", "*)"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Xshare", "=", "0.21"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6736050796513467`*^9, 3.673605089965378*^9}, {
  3.6736051589452753`*^9, 3.6736051611364946`*^9}, {3.673605498842304*^9, 
  3.673605502224966*^9}, {3.673605600586129*^9, 3.6736056008101068`*^9}, {
  3.6736056402351637`*^9, 3.6736056428669004`*^9}, {3.6736063851318955`*^9, 
  3.6736064046918516`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"MUD", "=", 
   RowBox[{"phi", "/", 
    RowBox[{"(", 
     RowBox[{"phi", "-", "1"}], ")"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"MUX", "=", 
   RowBox[{"phi", "/", 
    RowBox[{"(", 
     RowBox[{"phi", "-", "1"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAI", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAID", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAIX", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Z", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Q", "=", "1"}], ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.6191968580590043`*^9, 3.6191969578043795`*^9}, {
  3.6191970052128625`*^9, 3.6191970085512686`*^9}, {3.61919787517759*^9, 
  3.6191978772367935`*^9}, {3.621529256141286*^9, 3.621529262010622*^9}, {
  3.6736054818140078`*^9, 3.6736054820919795`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Xstar", ":=", "X"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Mstar", ":=", "M"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPXstar", ":=", "VPX"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ystar", ":=", "Y"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YXstar", ":=", "YX"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6191977478657665`*^9, 3.6191978056326675`*^9}, {
  3.67360562217397*^9, 3.673605630667121*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"eqns", "=", 
  RowBox[{"{", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"1", "==", 
     RowBox[{
      RowBox[{
       RowBox[{"M", "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", "phi"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
       RowBox[{"VPD", "^", 
        RowBox[{"(", 
         RowBox[{"1", "-", "phi"}], ")"}]}]}], "+", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Xstar", "*", "Mstar"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", "phi"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
       RowBox[{"VPXstar", "^", 
        RowBox[{"(", 
         RowBox[{"1", "-", "phi"}], ")"}]}]}]}]}], ",", "\n", 
    RowBox[{
     RowBox[{
      RowBox[{"VPX", "^", 
       RowBox[{"(", 
        RowBox[{"-", "phi"}], ")"}]}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"X", "*", "M"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"theta", "-", "phi"}], ")"}], "/", 
         RowBox[{"(", 
          RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Ystar"}], 
     "\[Equal]", 
     RowBox[{
      RowBox[{"1", "/", "tau"}], 
      RowBox[{"(", 
       RowBox[{"theta", "-", "1"}], ")"}], "*", 
      RowBox[{"kp", "/", "gamma"}], "*", "B", "*", "fx"}]}], ",", "\n", 
    RowBox[{"LEMP", "==", 
     RowBox[{
      RowBox[{"M", "*", 
       RowBox[{"YD", "/", 
        RowBox[{"(", 
         RowBox[{"Z", "*", "A"}], ")"}]}]}], "+", 
      RowBox[{"M", "*", "X", "*", 
       RowBox[{"YX", "/", 
        RowBox[{"(", 
         RowBox[{"Z", "*", "B"}], ")"}]}], "*", "tau"}], "+", 
      RowBox[{"Me", "*", 
       RowBox[{"fe", "/", "Z"}]}], "+", 
      RowBox[{"M", "*", "X", "*", 
       RowBox[{"fx", "/", "Z"}]}]}]}], ",", "\n", 
    RowBox[{"1", "==", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "delta"}], ")"}], "beta", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"X", "*", 
           RowBox[{"fx", "/", "fe"}]}]}], ")"}], "+", 
        RowBox[{
         RowBox[{"1", "/", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"theta", "-", "1"}], ")"}], "*", "fe", "  ", "A"}], 
           ")"}]}], "*", 
         RowBox[{"(", 
          RowBox[{"YD", "+", 
           RowBox[{"X", "*", "Q", "*", 
            RowBox[{"VPX", "/", "VPD"}], " ", "*", 
            RowBox[{"1", "/", "tar"}], "*", 
            RowBox[{"MUD", "/", "MUX"}], "*", "YX"}]}], ")"}]}]}], ")"}]}]}], 
    ",", "\n", 
    RowBox[{"LEMP", "\[Equal]", "1"}], ",", "\n", 
    RowBox[{"M", "\[Equal]", 
     RowBox[{
      RowBox[{"M", "*", 
       RowBox[{"(", 
        RowBox[{"1", "-", "delta"}], ")"}]}], "+", 
      RowBox[{"Me", "*", 
       RowBox[{"(", 
        RowBox[{"1", "-", "delta"}], ")"}]}]}]}], ",", "\n", 
    RowBox[{"B", "==", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"kp", "/", "gamma"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"1", "/", 
         RowBox[{"(", 
          RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}], "*", "PSI"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"X", "==", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"k", "/", "PSI"}], ")"}], "^", "kp"}]}], ",", "\n", 
    RowBox[{"VPD", "==", 
     RowBox[{"MUD", "*", 
      RowBox[{
       RowBox[{"W", "/", "A"}], "/", "Z"}]}]}], ",", "\n", 
    RowBox[{"VPX", "==", 
     RowBox[{"MUX", "*", "tau", "*", 
      RowBox[{"tar", "/", "Q"}], "*", 
      RowBox[{
       RowBox[{"W", "/", "B"}], "/", "Z"}]}]}], ",", "\n", 
    RowBox[{"YD", "==", 
     RowBox[{
      RowBox[{"VPD", "^", 
       RowBox[{"(", 
        RowBox[{"-", "phi"}], ")"}]}], "*", 
      RowBox[{"M", "^", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"theta", "-", "phi"}], ")"}], "/", 
         RowBox[{"(", 
          RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Y"}]}], ",", 
    "\n", 
    RowBox[{"YX", "==", 
     RowBox[{
      RowBox[{"VPX", "^", 
       RowBox[{"(", 
        RowBox[{"-", "phi"}], ")"}]}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"M", "*", "X"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"theta", "-", "phi"}], ")"}], "/", 
         RowBox[{"(", 
          RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Ystar"}]}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"Y", "==", 
     RowBox[{"R", "+", 
      RowBox[{
       RowBox[{"nu", "/", "2"}], "*", 
       RowBox[{"PAID", "^", "2"}], "*", "YD", "*", 
       RowBox[{"M", "^", 
        RowBox[{"(", 
         RowBox[{"theta", "/", 
          RowBox[{"(", 
           RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}], "+", 
      RowBox[{
       RowBox[{"nu", "/", "2"}], "*", 
       RowBox[{"PAIX", "^", "2"}], "*", "YX", "*", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"M", "*", "X"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"theta", "/", 
          RowBox[{"(", 
           RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}]}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"X", "\[Equal]", "Xshare"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"Q", "*", "M", "*", "X", "*", "VPX", "*", 
       RowBox[{"YX", "/", "tarstar"}]}], "+", 
      RowBox[{"Mstar", "*", "Xstar", "*", "VPXstar", "*", 
       RowBox[{"YXstar", "/", "tar"}]}]}], "\[Equal]", 
     RowBox[{"tradeshare", " ", "R"}]}]}], " ", "\[IndentingNewLine]", 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.6191965168288054`*^9, 3.6191965621312847`*^9}, {
   3.6191966415930243`*^9, 3.6191967832256727`*^9}, {3.619196835454565*^9, 
   3.6191968622242117`*^9}, {3.6191969648243914`*^9, 
   3.6191970844286013`*^9}, {3.6191971810711713`*^9, 3.6191972373784704`*^9}, 
   3.619197487033308*^9, 3.6191975694950533`*^9, {3.6191976202419424`*^9, 
   3.619197622800347*^9}, {3.619197668102826*^9, 3.6191976845140553`*^9}, {
   3.6191981985973577`*^9, 3.61919820537097*^9}, {3.619198339297205*^9, 
   3.619198359670841*^9}, 3.619198797953611*^9, {3.620542289594885*^9, 
   3.620542294201148*^9}, 3.620543078229992*^9, 3.620546844721423*^9, 
   3.620548211634606*^9, 3.620548783694326*^9, {3.6205488231705837`*^9, 
   3.6205488233055916`*^9}, 3.620551333617173*^9, {3.620552204713997*^9, 
   3.62055220494501*^9}, {3.620552834447016*^9, 3.6205528355760803`*^9}, {
   3.6215068584817333`*^9, 3.621506859914815*^9}, {3.6215074006937456`*^9, 
   3.621507400750749*^9}, {3.6215074622992697`*^9, 3.6215074723048415`*^9}, {
   3.621507619504261*^9, 3.6215076199332857`*^9}, {3.6736051814995303`*^9, 
   3.6736051891322937`*^9}, {3.673605223229703*^9, 3.6736052363570156`*^9}, {
   3.6736052666790476`*^9, 3.673605302097589*^9}, 3.6736053896982203`*^9, {
   3.6736056046037273`*^9, 3.673605635047683*^9}, {3.6736063723496175`*^9, 
   3.6736064115435367`*^9}, {3.6737587517813463`*^9, 3.673758753656876*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"1", "\[Equal]", 
    RowBox[{
     FractionBox[
      SuperscriptBox["M", "1.`"], 
      SuperscriptBox["VPD", "2.8`"]], "+", 
     FractionBox[
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"M", " ", "X"}], ")"}], "1.`"], 
      SuperscriptBox["VPX", "2.8`"]]}]}], ",", 
   RowBox[{
    FractionBox[
     RowBox[{"1.`", " ", "Y"}], 
     SuperscriptBox["VPX", "3.8`"]], "\[Equal]", 
    FractionBox[
     RowBox[{"15.866666666666664`", " ", "B", " ", "fx"}], "tau"]}], ",", 
   RowBox[{"LEMP", "\[Equal]", 
    RowBox[{"Me", "+", 
     RowBox[{"fx", " ", "M", " ", "X"}], "+", 
     RowBox[{"0.5382132742020225`", " ", "M", " ", "YD"}], "+", 
     FractionBox[
      RowBox[{"M", " ", "tau", " ", "X", " ", "YX"}], "B"]}]}], ",", 
   RowBox[{"1", "\[Equal]", 
    RowBox[{"0.9652499999999999`", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"fx", " ", "X"}], "+", 
       RowBox[{"0.1922190265007223`", " ", 
        RowBox[{"(", 
         RowBox[{"YD", "+", 
          FractionBox[
           RowBox[{"0.9803921568627451`", " ", "VPX", " ", "X", " ", "YX"}], 
           "VPD"]}], ")"}]}]}], ")"}]}]}], ",", 
   RowBox[{"LEMP", "\[Equal]", "1"}], ",", 
   RowBox[{"M", "\[Equal]", 
    RowBox[{
     RowBox[{"0.975`", " ", "M"}], "+", 
     RowBox[{"0.975`", " ", "Me"}]}]}], ",", 
   RowBox[{"B", "\[Equal]", 
    RowBox[{"1.8579995104777782`", " ", "PSI"}]}], ",", 
   RowBox[{"X", "\[Equal]", 
    SuperscriptBox[
     RowBox[{"(", 
      FractionBox["1", "PSI"], ")"}], "3.4`"]}], ",", 
   RowBox[{"VPD", "\[Equal]", 
    RowBox[{"0.7304323007027448`", " ", "W"}]}], ",", 
   RowBox[{"VPX", "\[Equal]", 
    FractionBox[
     RowBox[{"1.3842857142857143`", " ", "tau", " ", "W"}], "B"]}], ",", 
   RowBox[{"YD", "\[Equal]", 
    FractionBox[
     RowBox[{"1.`", " ", "Y"}], 
     SuperscriptBox["VPD", "3.8`"]]}], ",", 
   RowBox[{"YX", "\[Equal]", 
    FractionBox[
     RowBox[{"1.`", " ", "Y"}], 
     SuperscriptBox["VPX", "3.8`"]]}], ",", 
   RowBox[{"Y", "\[Equal]", "R"}], ",", 
   RowBox[{"X", "\[Equal]", "0.21`"}], ",", 
   RowBox[{
    RowBox[{
    "1.9607843137254901`", " ", "M", " ", "VPX", " ", "X", " ", "YX"}], 
    "\[Equal]", 
    RowBox[{"0.3`", " ", "R"}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.6191975635202427`*^9, {3.619197677806043*^9, 3.6191976869788594`*^9}, 
   3.619197758941786*^9, 3.6191978082534723`*^9, {3.6191978799823985`*^9, 
   3.61919788640961*^9}, 3.619198209052576*^9, 3.6191983713864613`*^9, 
   3.6191985007106886`*^9, {3.619198761886348*^9, 3.619198768469559*^9}, 
   3.619198798936413*^9, 3.619200046699803*^9, 3.619238115258119*^9, 
   3.6202322550836535`*^9, 3.6202343107122283`*^9, 3.6202345638997097`*^9, 
   3.62057748157673*^9, 3.621529219339181*^9, 3.621529265134801*^9, 
   3.621530372108116*^9, 3.6215368922605677`*^9, 3.621545206490955*^9, 
   3.6215474956708884`*^9, 3.6736054305701323`*^9, {3.673605487179471*^9, 
   3.673605505024686*^9}, 3.6736056527412863`*^9, 3.673605738487286*^9, 
   3.6736064178581676`*^9, 3.6736069745028267`*^9, 3.6736702928876867`*^9, 
   3.673671197068095*^9, 3.6736763493360133`*^9, 3.673680775681894*^9, 
   3.6737550079675617`*^9, 3.673755137222049*^9, 3.67375578813643*^9, 
   3.673758279813096*^9, 3.673758771369648*^9, 3.6737602674871297`*^9, 
   3.673777591290694*^9, 3.67385624531319*^9, 3.674367260732229*^9, 
   3.674367349022229*^9, 3.6743674578292294`*^9, 3.6745621835242863`*^9, 
   3.674966646597378*^9, 3.683530336988574*^9, 3.696758008747158*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sol", "=", 
  RowBox[{"FindRoot", "[", 
   RowBox[{"eqns", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"M", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"X", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"R", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"VPD", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"VPX", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Y", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"B", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"YD", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"YX", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Me", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"W", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"LEMP", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"PSI", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"fx", ",", "0.004"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"tau", ",", "1.5"}], "}"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6191978141034827`*^9, 3.619197843166334*^9}, {
  3.619197917921665*^9, 3.6191979245204763`*^9}, {3.619198817406845*^9, 
  3.6191988188264475`*^9}, {3.6736053942927604`*^9, 3.673605424486741*^9}, {
  3.6736057408782864`*^9, 3.673605750862286*^9}, {3.673606420118394*^9, 
  3.673606422941676*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"M", "\[Rule]", "7.681956608076927`"}], ",", 
   RowBox[{"X", "\[Rule]", "0.21`"}], ",", 
   RowBox[{"R", "\[Rule]", "3.2581992918539098`"}], ",", 
   RowBox[{"VPD", "\[Rule]", "2.197838978040491`"}], ",", 
   RowBox[{"VPX", "\[Rule]", "2.319300601261253`"}], ",", 
   RowBox[{"Y", "\[Rule]", "3.2581992918539098`"}], ",", 
   RowBox[{"B", "\[Rule]", "2.940308243349815`"}], ",", 
   RowBox[{"YD", "\[Rule]", "0.16345316499482943`"}], ",", 
   RowBox[{"YX", "\[Rule]", "0.1332357867506878`"}], ",", 
   RowBox[{"Me", "\[Rule]", "0.19697324636094704`"}], ",", 
   RowBox[{"W", "\[Rule]", "3.008956443911315`"}], ",", 
   RowBox[{"LEMP", "\[Rule]", "1.`"}], ",", 
   RowBox[{"PSI", "\[Rule]", "1.582512926816501`"}], ",", 
   RowBox[{"fx", "\[Rule]", "0.0046757425992531325`"}], ",", 
   RowBox[{"tau", "\[Rule]", "1.6372246089877627`"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.619197695418474*^9, {3.6191978151018844`*^9, 3.6191978439931355`*^9}, {
   3.6191978822756023`*^9, 3.6191978880632124`*^9}, 3.6191979279836826`*^9, 
   3.6191982107685795`*^9, 3.6191983733676653`*^9, 3.619198806798826*^9, 
   3.6191990570544662`*^9, 3.619200047791805*^9, 3.619238116368182*^9, 
   3.62023225555168*^9, 3.62023431074223*^9, 3.620234563925711*^9, 
   3.620577481902748*^9, 3.621529219808208*^9, 3.621529266540881*^9, 
   3.621530372143118*^9, 3.621536892289569*^9, 3.621545206508956*^9, 
   3.6215474956888895`*^9, {3.6736054259885907`*^9, 3.6736054322679625`*^9}, {
   3.67360548928726*^9, 3.6736055069844904`*^9}, 3.673605656325286*^9, {
   3.673605745973286*^9, 3.6736057514452863`*^9}, 3.6736064236607485`*^9, 
   3.673606974519829*^9, 3.6736702929276905`*^9, 3.6736711970900974`*^9, 
   3.6736763493610134`*^9, 3.673680775697895*^9, 3.6737550079875593`*^9, 
   3.673755137237047*^9, 3.673755788151428*^9, 3.673758279825597*^9, 
   3.6737587713921485`*^9, 3.6737602676671324`*^9, 3.6737775913126965`*^9, 
   3.6738562453371897`*^9, 3.6743672607492294`*^9, 3.6743673490342293`*^9, 
   3.6743674578432293`*^9, 3.674562183539287*^9, 3.674966646631381*^9, 
   3.6835303370185747`*^9, 3.6967580087741613`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Msol", "=", 
   RowBox[{"M", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Xsol", "=", 
   RowBox[{"X", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rsol", "=", 
   RowBox[{"R", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPDsol", "=", 
   RowBox[{"VPD", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPXsol", "=", 
   RowBox[{"VPX", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ysol", "=", 
   RowBox[{"Y", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Bsol", "=", 
   RowBox[{"B", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YDsol", "=", 
   RowBox[{"YD", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YXsol", "=", 
   RowBox[{"YX", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Mesol", "=", 
   RowBox[{"Me", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Wsol", "=", 
   RowBox[{"W", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LEMPsol", "=", 
   RowBox[{"LEMP", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PSIsol", "=", 
   RowBox[{"PSI", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fxsol", "=", 
   RowBox[{"fx", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tausol", "=", 
   RowBox[{"tau", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"taustarsol", "=", "tau"}], ";"}]}], "Input",
 CellChangeTimes->{{3.619198874284545*^9, 3.619199047226449*^9}, {
  3.619199543739721*^9, 3.619199546734926*^9}, {3.6736064476141434`*^9, 
  3.6736064612945113`*^9}, {3.6736763315450134`*^9, 3.6736763390320134`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Steady state, asymmetric", "Subsection",
 CellChangeTimes->{{3.619197552803024*^9, 3.619197557093031*^9}, {
   3.673670296993097*^9, 3.6736703046628637`*^9}, 3.674557723101718*^9, {
   3.6967579874000235`*^9, 3.696757987622046*^9}}],

Cell[BoxData[{
 RowBox[{"tau", "=."}], "\[IndentingNewLine]", 
 RowBox[{"taustar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"fx", "=."}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tar", "=", "1.014"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarstar", "=", "1.02"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tradeshare", "=", "0.3"}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"http", ":"}], "//", 
    RowBox[{
     RowBox[{
      RowBox[{"data", ".", "worldbank", ".", "org"}], "/", "indicator"}], "/", 
     RowBox[{"NE", ".", "TRD", ".", "GNFS", ".", "ZS"}]}]}], " ", "*)"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tradeshareEU", "=", "tradeshare"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Xshare", "=", "0.21"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"XshareEU", "=", "0.18"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6736050796513467`*^9, 3.673605089965378*^9}, {
  3.6736051589452753`*^9, 3.6736051611364946`*^9}, {3.673605498842304*^9, 
  3.673605502224966*^9}, {3.673605600586129*^9, 3.6736056008101068`*^9}, {
  3.6736056402351637`*^9, 3.6736056428669004`*^9}, {3.6736063851318955`*^9, 
  3.6736064046918516`*^9}, {3.673670320876485*^9, 3.6736703289592934`*^9}, {
  3.6736703626246595`*^9, 3.6736703872491217`*^9}, {3.67367052255165*^9, 
  3.6736705236077557`*^9}, {3.673671126530042*^9, 3.6736711290582952`*^9}, {
  3.674558029718429*^9, 3.674558051396262*^9}, {3.6835303717896185`*^9, 
  3.683530380234873*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"MUD", "=", 
   RowBox[{"phi", "/", 
    RowBox[{"(", 
     RowBox[{"phi", "-", "1"}], ")"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"MUX", "=", 
   RowBox[{"phi", "/", 
    RowBox[{"(", 
     RowBox[{"phi", "-", "1"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAI", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAID", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAIX", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Z", "=", "1"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MUDstar", "=", "MUD"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MUXstar", "=", "MUX"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAIDstar", "=", "PAID"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAIXstar", "=", "PAIX"}], ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.6191968580590043`*^9, 3.6191969578043795`*^9}, {
  3.6191970052128625`*^9, 3.6191970085512686`*^9}, {3.61919787517759*^9, 
  3.6191978772367935`*^9}, {3.621529256141286*^9, 3.621529262010622*^9}, {
  3.6736054818140078`*^9, 3.6736054820919795`*^9}, {3.673670806284021*^9, 
  3.673670808996292*^9}}],

Cell[BoxData[{
 RowBox[{"Q", "=."}], "\[IndentingNewLine]", 
 RowBox[{"Xstar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"Mstar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"VPXstar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"Ystar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"YXstar", "=."}]}], "Input",
 CellChangeTimes->{{3.67367069095949*^9, 3.673670723288722*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqnsas", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"1", "==", 
      RowBox[{
       RowBox[{
        RowBox[{"M", "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "phi"}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
        RowBox[{"VPD", "^", 
         RowBox[{"(", 
          RowBox[{"1", "-", "phi"}], ")"}]}]}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Xstar", "*", "Mstar"}], ")"}], "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "phi"}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
        RowBox[{"VPXstar", "^", 
         RowBox[{"(", 
          RowBox[{"1", "-", "phi"}], ")"}]}]}]}]}], ",", "\n", 
     RowBox[{
      RowBox[{
       RowBox[{"VPX", "^", 
        RowBox[{"(", 
         RowBox[{"-", "phi"}], ")"}]}], "*", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"X", "*", "M"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"theta", "-", "phi"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Ystar"}], "==", 
      RowBox[{
       RowBox[{"1", "/", "taustar"}], 
       RowBox[{"(", 
        RowBox[{"theta", "-", "1"}], ")"}], "*", 
       RowBox[{"kp", "/", "gamma"}], "*", "B", "*", "fx"}]}], ",", "\n", 
     RowBox[{"LEMP", "==", 
      RowBox[{
       RowBox[{"M", "*", 
        RowBox[{"YD", "/", 
         RowBox[{"(", 
          RowBox[{"Z", "*", "A"}], ")"}]}]}], "+", 
       RowBox[{"M", "*", "X", "*", 
        RowBox[{"YX", "/", 
         RowBox[{"(", 
          RowBox[{"Z", "*", "B"}], ")"}]}], "*", "taustar"}], "+", 
       RowBox[{"Me", "*", 
        RowBox[{"fe", "/", "Z"}]}], "+", 
       RowBox[{"M", "*", "X", "*", 
        RowBox[{"fx", "/", "Z"}]}]}]}], ",", "\n", 
     RowBox[{"1", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "delta"}], ")"}], "beta", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"X", "*", 
            RowBox[{"fx", "/", "fe"}]}]}], ")"}], "+", 
         RowBox[{
          RowBox[{"1", "/", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"theta", "-", "1"}], ")"}], "*", "fe", "  ", "A"}], 
            ")"}]}], "*", 
          RowBox[{"(", 
           RowBox[{"YD", "+", 
            RowBox[{"X", "*", "Q", "*", 
             RowBox[{"VPX", "/", "VPD"}], " ", "*", 
             RowBox[{"1", "/", "tarstar"}], "*", 
             RowBox[{"MUD", "/", "MUX"}], "*", "YX"}]}], ")"}]}]}], ")"}]}]}],
      ",", "\n", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
        RowBox[{"LEMP", "^", "newphi"}], "==", 
        RowBox[{
         RowBox[{"R", "^", 
          RowBox[{"(", 
           RowBox[{"-", "sigma"}], ")"}]}], "*", "W"}]}], ","}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"LEMP", "\[Equal]", "1"}], ",", "\n", 
     RowBox[{"M", "\[Equal]", 
      RowBox[{
       RowBox[{"M", "*", 
        RowBox[{"(", 
         RowBox[{"1", "-", "delta"}], ")"}]}], "+", 
       RowBox[{"Me", "*", 
        RowBox[{"(", 
         RowBox[{"1", "-", "delta"}], ")"}]}]}]}], ",", "\n", 
     RowBox[{"B", "==", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"kp", "/", "gamma"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"1", "/", 
          RowBox[{"(", 
           RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}], "*", "PSI"}]}], ",",
      "\[IndentingNewLine]", 
     RowBox[{"X", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", "/", "PSI"}], ")"}], "^", "kp"}]}], ",", "\n", 
     RowBox[{"VPD", "==", 
      RowBox[{"MUD", "*", 
       RowBox[{
        RowBox[{"W", "/", "A"}], "/", "Z"}]}]}], ",", "\n", 
     RowBox[{"VPX", "==", 
      RowBox[{"MUX", "*", "taustar", " ", 
       RowBox[{"tarstar", "/", "Q"}], "*", 
       RowBox[{
        RowBox[{"W", "/", "B"}], "/", "Z"}]}]}], ",", "\n", 
     RowBox[{"YD", "==", 
      RowBox[{
       RowBox[{"VPD", "^", 
        RowBox[{"(", 
         RowBox[{"-", "phi"}], ")"}]}], "*", 
       RowBox[{"M", "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"theta", "-", "phi"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Y"}]}], ",", 
     "\n", 
     RowBox[{"YX", "==", 
      RowBox[{
       RowBox[{"VPX", "^", 
        RowBox[{"(", 
         RowBox[{"-", "phi"}], ")"}]}], "*", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"M", "*", "X"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"theta", "-", "phi"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Ystar"}]}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"Y", "==", 
      RowBox[{"R", "+", 
       RowBox[{
        RowBox[{"nu", "/", "2"}], "*", 
        RowBox[{"PAID", "^", "2"}], "*", "YD", "*", 
        RowBox[{"M", "^", 
         RowBox[{"(", 
          RowBox[{"theta", "/", 
           RowBox[{"(", 
            RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}], "+", 
       RowBox[{
        RowBox[{"nu", "/", "2"}], "*", 
        RowBox[{"PAIX", "^", "2"}], "*", "YX", "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"M", "*", "X"}], ")"}], "^", 
         RowBox[{"(", 
          RowBox[{"theta", "/", 
           RowBox[{"(", 
            RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}]}]}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"1", "==", 
      RowBox[{
       RowBox[{
        RowBox[{"Mstar", "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "phi"}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
        RowBox[{"VPDstar", "^", 
         RowBox[{"(", 
          RowBox[{"1", "-", "phi"}], ")"}]}]}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"X", "*", "M"}], ")"}], "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "phi"}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
        RowBox[{"VPX", "^", 
         RowBox[{"(", 
          RowBox[{"1", "-", "phi"}], ")"}]}]}]}]}], ",", "\n", 
     RowBox[{
      RowBox[{
       RowBox[{"VPXstar", "^", 
        RowBox[{"(", 
         RowBox[{"-", "phi"}], ")"}]}], "*", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Xstar", "*", "Mstar"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"theta", "-", "phi"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Y"}], "==", 
      RowBox[{
       RowBox[{"1", "/", "tau"}], 
       RowBox[{"(", 
        RowBox[{"theta", "-", "1"}], ")"}], 
       RowBox[{"kp", "/", "gamma"}], "*", "Bstar", "*", "fxstar"}]}], ",", 
     "\n", 
     RowBox[{"LEMPstar", "==", 
      RowBox[{
       RowBox[{"Mstar", "*", 
        RowBox[{"YDstar", "/", 
         RowBox[{"(", 
          RowBox[{"Z", "*", "A"}], ")"}]}]}], "+", 
       RowBox[{"Mstar", "*", "Xstar", "*", 
        RowBox[{"YXstar", "/", 
         RowBox[{"(", 
          RowBox[{"Z", "*", "Bstar"}], ")"}]}], "*", "tau"}], "+", 
       RowBox[{"Mestar", "*", 
        RowBox[{"fe", "/", "Z"}]}], "+", 
       RowBox[{"Mstar", "*", "Xstar", "*", 
        RowBox[{"fxstar", "/", "Z"}]}]}]}], ",", "\n", 
     RowBox[{"1", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "delta"}], ")"}], "beta", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"Xstar", "*", 
            RowBox[{"fxstar", "/", "fe"}]}]}], ")"}], "+", 
         RowBox[{
          RowBox[{"1", "/", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"theta", "-", "1"}], ")"}], "*", "fe", " ", "A"}], 
            ")"}]}], "*", 
          RowBox[{"(", 
           RowBox[{"YDstar", "+", 
            RowBox[{
             RowBox[{"Xstar", "/", "Q"}], "*", 
             RowBox[{"VPXstar", "/", "VPDstar"}], " ", "*", 
             RowBox[{"1", "/", "tar"}], "*", 
             RowBox[{"MUDstar", "/", "MUXstar"}], "*", "YXstar"}]}], 
           ")"}]}]}], ")"}]}]}], ",", "\n", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
        RowBox[{"LEMPstar", "^", "newphi"}], "==", 
        RowBox[{
         RowBox[{"Rstar", "^", 
          RowBox[{"(", 
           RowBox[{"-", "sigma"}], ")"}]}], "*", "Wstar"}]}], ","}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"LEMPstar", "\[Equal]", "1"}], ",", "\n", 
     RowBox[{"Mstar", "==", 
      RowBox[{
       RowBox[{"Mstar", "*", 
        RowBox[{"(", 
         RowBox[{"1", "-", "delta"}], ")"}]}], "+", 
       RowBox[{"Mestar", "*", 
        RowBox[{"(", 
         RowBox[{"1", "-", "delta"}], ")"}]}]}]}], ",", "\n", 
     RowBox[{"Bstar", "==", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"kp", "/", "gamma"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"1", "/", 
          RowBox[{"(", 
           RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}], "*", "PSIstar"}]}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"Xstar", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", "/", "PSIstar"}], ")"}], "^", "kp"}]}], ",", "\n", 
     RowBox[{"VPDstar", "==", 
      RowBox[{"MUD", "*", 
       RowBox[{
        RowBox[{"Wstar", "/", "A"}], "/", "Z"}]}]}], ",", "\n", 
     RowBox[{"VPXstar", "==", 
      RowBox[{"MUX", "*", "tau", "*", "tar", "*", "Q", "*", 
       RowBox[{
        RowBox[{"Wstar", "/", "Bstar"}], "/", "Z"}]}]}], ",", "\n", 
     RowBox[{"YDstar", "==", 
      RowBox[{
       RowBox[{"VPDstar", "^", 
        RowBox[{"(", 
         RowBox[{"-", "phi"}], ")"}]}], "*", 
       RowBox[{"Mstar", "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"theta", "-", "phi"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Ystar"}]}], 
     ",", "\n", 
     RowBox[{"YXstar", "==", 
      RowBox[{
       RowBox[{"VPXstar", "^", 
        RowBox[{"(", 
         RowBox[{"-", "phi"}], ")"}]}], "*", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Mstar", "*", "Xstar"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"theta", "-", "phi"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Y"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Ystar", "==", 
      RowBox[{"Rstar", "+", 
       RowBox[{
        RowBox[{"nu", "/", "2"}], "*", 
        RowBox[{"PAIDstar", "^", "2"}], "*", "YDstar", "*", 
        RowBox[{"Mstar", "^", 
         RowBox[{"(", 
          RowBox[{"theta", "/", 
           RowBox[{"(", 
            RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}], "+", 
       RowBox[{
        RowBox[{"nu", "/", "2"}], "*", 
        RowBox[{"PAIXstar", "^", "2"}], "*", "YXstar", "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Mstar", "*", "Xstar"}], ")"}], "^", 
         RowBox[{"(", 
          RowBox[{"theta", "/", 
           RowBox[{"(", 
            RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}]}]}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"-", "Q"}], "*", "M", "*", "X", "*", "VPX", "*", 
        RowBox[{"YX", "/", "tarstar"}]}], "+", 
       RowBox[{"Mstar", "*", "Xstar", "*", "VPXstar", "*", 
        RowBox[{"YXstar", "/", "tar"}]}]}], "\[Equal]", "0"}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"X", "\[Equal]", "Xshare"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"Q", "*", "M", "*", "X", "*", "VPX", "*", 
        RowBox[{"YX", "/", "tarstar"}]}], "+", 
       RowBox[{"Mstar", "*", "Xstar", "*", "VPXstar", "*", 
        RowBox[{"YXstar", "/", "tar"}]}]}], "\[Equal]", 
      RowBox[{"tradeshare", " ", "R"}]}], " ", ",", "\[IndentingNewLine]", 
     RowBox[{"fxstar", "\[Equal]", "fx"}], ",", "\[IndentingNewLine]", 
     RowBox[{"taustar", "\[Equal]", "tau"}]}], "\[IndentingNewLine]", "}"}]}],
   ";"}]], "Input",
 CellChangeTimes->{{3.673670439061302*^9, 3.673670439619358*^9}, {
   3.6736705413925343`*^9, 3.6736706227716713`*^9}, 3.6736708689632883`*^9, {
   3.6736710632967196`*^9, 3.6736710634727373`*^9}, 3.6736711655759463`*^9, {
   3.6736724100493546`*^9, 3.6736724244702377`*^9}, {3.673672928422223*^9, 
   3.67367293239462*^9}, {3.673672969025283*^9, 3.6736729989552755`*^9}, {
   3.674558105787098*^9, 3.67455810854214*^9}, {3.6745581920209217`*^9, 
   3.6745581984835215`*^9}, {3.674558232859049*^9, 3.674558234799079*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sol", "=", 
  RowBox[{"FindRoot", "[", 
   RowBox[{"eqnsas", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"M", ",", "Msol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"X", ",", "Xsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"R", ",", "Rsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"VPD", ",", "VPDsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"VPX", ",", "VPXsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Y", ",", "Ysol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"B", ",", "Bsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"YD", ",", "YDsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"YX", ",", "YXsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Me", ",", "Mesol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"W", ",", "Wsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"LEMP", ",", "LEMPsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"PSI", ",", "PSIsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Mstar", ",", "Msol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Xstar", ",", "Xsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Rstar", ",", "Rsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"VPDstar", ",", "VPDsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"VPXstar", ",", "VPXsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Ystar", ",", "Ysol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Bstar", ",", "Bsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"YDstar", ",", "YDsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"YXstar", ",", "YXsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Mestar", ",", "Mesol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Wstar", ",", "Wsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"LEMPstar", ",", "LEMPsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"PSIstar", ",", "PSIsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Q", ",", ".91"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"fx", ",", "0.005"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"tau", ",", "1.5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"fxstar", ",", "0.006"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"taustar", ",", "1.5"}], "}"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6736710789202814`*^9, 3.6736711052179112`*^9}, 
   3.6736712768109503`*^9, {3.6736721646618595`*^9, 3.673672204663859*^9}, {
   3.673672235418435*^9, 3.6736723318957267`*^9}, {3.674558876088245*^9, 
   3.674558877635002*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"M", "\[Rule]", "7.682160612686244`"}], ",", 
   RowBox[{"X", "\[Rule]", "0.21`"}], ",", 
   RowBox[{"R", "\[Rule]", "3.254063523199475`"}], ",", 
   RowBox[{"VPD", "\[Rule]", "2.1970263567164556`"}], ",", 
   RowBox[{"VPX", "\[Rule]", "2.3227586660532413`"}], ",", 
   RowBox[{"Y", "\[Rule]", "3.254063523199475`"}], ",", 
   RowBox[{"B", "\[Rule]", "2.940308243349815`"}], ",", 
   RowBox[{"YD", "\[Rule]", "0.16347525071465294`"}], ",", 
   RowBox[{"YX", "\[Rule]", "0.13245358151108846`"}], ",", 
   RowBox[{"Me", "\[Rule]", "0.1969784772483654`"}], ",", 
   RowBox[{"W", "\[Rule]", "3.00784392284228`"}], ",", 
   RowBox[{"LEMP", "\[Rule]", "1.`"}], ",", 
   RowBox[{"PSI", "\[Rule]", "1.582512926816501`"}], ",", 
   RowBox[{"Mstar", "\[Rule]", "7.682895086497929`"}], ",", 
   RowBox[{"Xstar", "\[Rule]", "0.20929897035265912`"}], ",", 
   RowBox[{"Rstar", "\[Rule]", "3.2574611475238306`"}], ",", 
   RowBox[{"VPDstar", "\[Rule]", "2.1973486192052984`"}], ",", 
   RowBox[{"VPXstar", "\[Rule]", "2.3215199579134373`"}], ",", 
   RowBox[{"Ystar", "\[Rule]", "3.2574611475238306`"}], ",", 
   RowBox[{"Bstar", "\[Rule]", "2.943201390417502`"}], ",", 
   RowBox[{"YDstar", "\[Rule]", "0.16355475578764112`"}], ",", 
   RowBox[{"YXstar", "\[Rule]", "0.13258391059880237`"}], ",", 
   RowBox[{"Mestar", "\[Rule]", "0.1969973099102035`"}], ",", 
   RowBox[{"Wstar", "\[Rule]", "3.0082851170344496`"}], ",", 
   RowBox[{"LEMPstar", "\[Rule]", "1.`"}], ",", 
   RowBox[{"PSIstar", "\[Rule]", "1.584070056972549`"}], ",", 
   RowBox[{"Q", "\[Rule]", "1.003106361933458`"}], ",", 
   RowBox[{"fx", "\[Rule]", "0.004671410665004113`"}], ",", 
   RowBox[{"tau", "\[Rule]", "1.6453674496705013`"}], ",", 
   RowBox[{"fxstar", "\[Rule]", "0.004671410665004113`"}], ",", 
   RowBox[{"taustar", "\[Rule]", "1.6453674496705013`"}]}], "}"}]], "Output",
 CellChangeTimes->{3.683530403818081*^9, 3.6967580089611797`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Msol", "=", 
   RowBox[{"M", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Xsol", "=", 
   RowBox[{"X", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rsol", "=", 
   RowBox[{"R", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPDsol", "=", 
   RowBox[{"VPD", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPXsol", "=", 
   RowBox[{"VPX", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ysol", "=", 
   RowBox[{"Y", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Bsol", "=", 
   RowBox[{"B", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YDsol", "=", 
   RowBox[{"YD", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YXsol", "=", 
   RowBox[{"YX", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Mesol", "=", 
   RowBox[{"Me", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Wsol", "=", 
   RowBox[{"W", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LEMPsol", "=", 
   RowBox[{"LEMP", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PSIsol", "=", 
   RowBox[{"PSI", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fxsol", "=", 
   RowBox[{"fx", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tausol", "=", 
   RowBox[{"tau", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"taustarsol", "=", "tau"}], ";"}]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Calibration", "Subsection",
 CellChangeTimes->{{3.6191994410179405`*^9, 3.6191994423439426`*^9}}],

Cell[CellGroupData[{

Cell["initial steady state", "Subsubsection",
 CellChangeTimes->{{3.6191994410179405`*^9, 3.6191994423439426`*^9}, {
   3.673760063985503*^9, 3.673760066120536*^9}, 3.673760278787303*^9, 
   3.673760378111329*^9, {3.6737970923906364`*^9, 3.6737970964723206`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"tau", "=", "tausol"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"taustar", "=", "tausol"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fx", "=", "fxsol"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6736763647370133`*^9, 3.6736763792460136`*^9}}],

Cell[BoxData[{
 RowBox[{"Q", "=."}], "\[IndentingNewLine]", 
 RowBox[{"Xstar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"Mstar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"VPXstar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"Ystar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"YXstar", "=."}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tar", "=."}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MUDstar", "=", "MUD"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MUXstar", "=", "MUX"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAIDstar", "=", "PAID"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAIXstar", "=", "PAIX"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6202337306140485`*^9, 3.620233773423497*^9}, {
  3.621529281428733*^9, 3.6215292829778214`*^9}, {3.673760143519225*^9, 
  3.6737601467042737`*^9}, {3.673777631714736*^9, 3.673777633522917*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"tarmin", "=", "1.014"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarstarmin", "=", "1.02"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarmax", "=", "1.014"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarstarmax", "=", "1.02"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarstep", "=", "0.01"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6737555636308737`*^9, 3.6737555636758685`*^9}, {
   3.6737603572710085`*^9, 3.673760368233677*^9}, {3.6737604070492735`*^9, 
   3.67376040744928*^9}, {3.6737612471212034`*^9, 3.6737612718300953`*^9}, {
   3.6737617614863496`*^9, 3.67376176937919*^9}, {3.6737619800807643`*^9, 
   3.673761982003418*^9}, {3.6737621444139166`*^9, 3.673762148846771*^9}, {
   3.6737623451595984`*^9, 3.673762357469598*^9}, {3.6737625172400036`*^9, 
   3.6737625174699945`*^9}, {3.6737776564212065`*^9, 
   3.6737776713326974`*^9}, {3.673778276239182*^9, 3.673778278428401*^9}, {
   3.673778607523307*^9, 3.6737786104976044`*^9}, 3.673782667065244*^9, {
   3.673797217293651*^9, 3.673797228456418*^9}, 3.67385680589819*^9, 
   3.6738568391201897`*^9, {3.674367407993229*^9, 3.674367414153229*^9}, {
   3.683530438544123*^9, 3.6835304468543725`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"i", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"j", "=", "1"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ivec", "=", 
    RowBox[{"{", "\"\<i\>\"", "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tauvec", "=", 
   RowBox[{"{", "\"\<icebergSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarvec", "=", 
   RowBox[{"{", "\"\<tarr\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fxvec", "=", 
   RowBox[{"{", "\"\<fxSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fevec", "=", 
   RowBox[{"{", "\"\<feSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Mvec", "=", 
   RowBox[{"{", "\"\<MSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Xvec", "=", 
   RowBox[{"{", "\"\<XSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rvec", "=", 
   RowBox[{"{", "\"\<RSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPDvec", "=", 
   RowBox[{"{", "\"\<VPDSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPXvec", "=", 
   RowBox[{"{", "\"\<VPXSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Yvec", "=", 
   RowBox[{"{", "\"\<YSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Bvec", "=", 
   RowBox[{"{", "\"\<BSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YDvec", "=", 
   RowBox[{"{", "\"\<YDSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YXvec", "=", 
   RowBox[{"{", "\"\<YXSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Mevec", "=", 
   RowBox[{"{", "\"\<MeSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Wvec", "=", 
   RowBox[{"{", "\"\<wageSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LEMPvec", "=", 
   RowBox[{"{", "\"\<employmentSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PSIvec", "=", 
    RowBox[{"{", "\"\<psiSS\>\"", "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"taustarvec", "=", 
   RowBox[{"{", "\"\<icebergstarSS\>\"", "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarstarvec", "=", 
   RowBox[{"{", "\"\<tarstar\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fxstarvec", "=", 
   RowBox[{"{", "\"\<fxstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"festarvec", "=", 
   RowBox[{"{", "\"\<festarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Mstarvec", "=", 
   RowBox[{"{", "\"\<MstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Xstarvec", "=", 
   RowBox[{"{", "\"\<XstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rstarvec", "=", 
   RowBox[{"{", "\"\<RstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPDstarvec", "=", 
   RowBox[{"{", "\"\<VPDstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPXstarvec", "=", 
   RowBox[{"{", "\"\<VPXstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ystarvec", "=", 
   RowBox[{"{", "\"\<YstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Bstarvec", "=", 
   RowBox[{"{", "\"\<BstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YDstarvec", "=", 
   RowBox[{"{", "\"\<YDstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YXstarvec", "=", 
   RowBox[{"{", "\"\<YXstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Mestarvec", "=", 
   RowBox[{"{", "\"\<MestarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Wstarvec", "=", 
   RowBox[{"{", "\"\<wagestarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LEMPstarvec", "=", 
   RowBox[{"{", "\"\<employmentstarSS\>\"", "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PSIstarvec", "=", 
    RowBox[{"{", "\"\<psistarSS\>\"", "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Qvec", " ", "=", 
    RowBox[{"{", "\"\<QSS\>\"", "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"payoffmat", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"payoffstarmat", "=", 
    RowBox[{"{", "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"payoffvec", "=", 
     RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"payoffstarvec", "=", 
     RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Do", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"eqnsloop", "=", 
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"1", "==", 
            RowBox[{
             RowBox[{
              RowBox[{"M", "^", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "-", "phi"}], ")"}], "/", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
              RowBox[{"VPD", "^", 
               RowBox[{"(", 
                RowBox[{"1", "-", "phi"}], ")"}]}]}], "+", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"Xstar", "*", "Mstar"}], ")"}], "^", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "-", "phi"}], ")"}], "/", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
              RowBox[{"VPXstar", "^", 
               RowBox[{"(", 
                RowBox[{"1", "-", "phi"}], ")"}]}]}]}]}], ",", "\n", 
           RowBox[{
            RowBox[{
             RowBox[{"VPX", "^", 
              RowBox[{"(", 
               RowBox[{"-", "phi"}], ")"}]}], "*", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"X", "*", "M"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"theta", "-", "phi"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
             "Ystar"}], "==", 
            RowBox[{
             RowBox[{"1", "/", "taustar"}], 
             RowBox[{"(", 
              RowBox[{"theta", "-", "1"}], ")"}], "*", 
             RowBox[{"kp", "/", "gamma"}], "*", "B", "*", "fx"}]}], ",", "\n", 
           RowBox[{"LEMP", "==", 
            RowBox[{
             RowBox[{"M", "*", 
              RowBox[{"YD", "/", 
               RowBox[{"(", 
                RowBox[{"Z", "*", "A"}], ")"}]}]}], "+", 
             RowBox[{"M", "*", "X", "*", 
              RowBox[{"YX", "/", 
               RowBox[{"(", 
                RowBox[{"Z", "*", "B"}], ")"}]}], "*", "taustar"}], "+", 
             RowBox[{"Me", "*", 
              RowBox[{"fe", "/", "Z"}]}], "+", 
             RowBox[{"M", "*", "X", "*", 
              RowBox[{"fx", "/", "Z"}]}]}]}], ",", "\n", 
           RowBox[{"1", "==", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "-", "delta"}], ")"}], "beta", "*", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "-", 
                 RowBox[{"X", "*", 
                  RowBox[{"fx", "/", "fe"}]}]}], ")"}], "+", 
               RowBox[{
                RowBox[{"1", "/", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"theta", "-", "1"}], ")"}], "*", "fe", "  ", 
                   "A"}], ")"}]}], "*", 
                RowBox[{"(", 
                 RowBox[{"YD", "+", 
                  RowBox[{"X", "*", "Q", "*", 
                   RowBox[{"VPX", "/", "VPD"}], " ", "*", 
                   RowBox[{"1", "/", "tarstar"}], "*", 
                   RowBox[{"MUD", "/", "MUX"}], "*", "YX"}]}], ")"}]}]}], 
              ")"}]}]}], ",", "\n", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{
              RowBox[{"LEMP", "^", "newphi"}], "==", 
              RowBox[{
               RowBox[{"R", "^", 
                RowBox[{"(", 
                 RowBox[{"-", "sigma"}], ")"}]}], "*", "W"}]}], ","}], "*)"}],
            "\[IndentingNewLine]", 
           RowBox[{"LEMP", "\[Equal]", "1"}], ",", "\n", 
           RowBox[{"M", "\[Equal]", 
            RowBox[{
             RowBox[{"M", "*", 
              RowBox[{"(", 
               RowBox[{"1", "-", "delta"}], ")"}]}], "+", 
             RowBox[{"Me", "*", 
              RowBox[{"(", 
               RowBox[{"1", "-", "delta"}], ")"}]}]}]}], ",", "\n", 
           RowBox[{"B", "==", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"kp", "/", "gamma"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{"1", "/", 
                RowBox[{"(", 
                 RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}], "*", 
             "PSI"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"X", "==", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"k", "/", "PSI"}], ")"}], "^", "kp"}]}], ",", "\n", 
           RowBox[{"VPD", "==", 
            RowBox[{"MUD", "*", 
             RowBox[{
              RowBox[{"W", "/", "A"}], "/", "Z"}]}]}], ",", "\n", 
           RowBox[{"VPX", "==", 
            RowBox[{"MUX", "*", "taustar", " ", 
             RowBox[{"tarstar", "/", "Q"}], "*", 
             RowBox[{
              RowBox[{"W", "/", "B"}], "/", "Z"}]}]}], ",", "\n", 
           RowBox[{"YD", "==", 
            RowBox[{
             RowBox[{"VPD", "^", 
              RowBox[{"(", 
               RowBox[{"-", "phi"}], ")"}]}], "*", 
             RowBox[{"M", "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"theta", "-", "phi"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Y"}]}], 
           ",", "\n", 
           RowBox[{"YX", "==", 
            RowBox[{
             RowBox[{"VPX", "^", 
              RowBox[{"(", 
               RowBox[{"-", "phi"}], ")"}]}], "*", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"M", "*", "X"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"theta", "-", "phi"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
             "Ystar"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"Y", "==", 
            RowBox[{"R", "+", 
             RowBox[{
              RowBox[{"nu", "/", "2"}], "*", 
              RowBox[{"PAID", "^", "2"}], "*", "YD", "*", 
              RowBox[{"M", "^", 
               RowBox[{"(", 
                RowBox[{"theta", "/", 
                 RowBox[{"(", 
                  RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}], "+", 
             RowBox[{
              RowBox[{"nu", "/", "2"}], "*", 
              RowBox[{"PAIX", "^", "2"}], "*", "YX", "*", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"M", "*", "X"}], ")"}], "^", 
               RowBox[{"(", 
                RowBox[{"theta", "/", 
                 RowBox[{"(", 
                  RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}]}]}], ",", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"1", "==", 
            RowBox[{
             RowBox[{
              RowBox[{"Mstar", "^", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "-", "phi"}], ")"}], "/", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
              RowBox[{"VPDstar", "^", 
               RowBox[{"(", 
                RowBox[{"1", "-", "phi"}], ")"}]}]}], "+", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"X", "*", "M"}], ")"}], "^", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "-", "phi"}], ")"}], "/", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
              RowBox[{"VPX", "^", 
               RowBox[{"(", 
                RowBox[{"1", "-", "phi"}], ")"}]}]}]}]}], ",", "\n", 
           RowBox[{
            RowBox[{
             RowBox[{"VPXstar", "^", 
              RowBox[{"(", 
               RowBox[{"-", "phi"}], ")"}]}], "*", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"Xstar", "*", "Mstar"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"theta", "-", "phi"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Y"}], "==", 
            RowBox[{
             RowBox[{"1", "/", "tau"}], 
             RowBox[{"(", 
              RowBox[{"theta", "-", "1"}], ")"}], 
             RowBox[{"kp", "/", "gamma"}], "*", "Bstar", "*", "fx"}]}], ",", 
           "\n", 
           RowBox[{"LEMPstar", "==", 
            RowBox[{
             RowBox[{"Mstar", "*", 
              RowBox[{"YDstar", "/", 
               RowBox[{"(", 
                RowBox[{"Z", "*", "A"}], ")"}]}]}], "+", 
             RowBox[{"Mstar", "*", "Xstar", "*", 
              RowBox[{"YXstar", "/", 
               RowBox[{"(", 
                RowBox[{"Z", "*", "Bstar"}], ")"}]}], "*", "tau"}], "+", 
             RowBox[{"Mestar", "*", 
              RowBox[{"fe", "/", "Z"}]}], "+", 
             RowBox[{"Mstar", "*", "Xstar", "*", 
              RowBox[{"fx", "/", "Z"}]}]}]}], ",", "\n", 
           RowBox[{"1", "==", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "-", "delta"}], ")"}], "beta", "*", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "-", 
                 RowBox[{"Xstar", "*", 
                  RowBox[{"fx", "/", "fe"}]}]}], ")"}], "+", 
               RowBox[{
                RowBox[{"1", "/", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"theta", "-", "1"}], ")"}], "*", "fe", " ", "A"}],
                   ")"}]}], "*", 
                RowBox[{"(", 
                 RowBox[{"YDstar", "+", 
                  RowBox[{
                   RowBox[{"Xstar", "/", "Q"}], "*", 
                   RowBox[{"VPXstar", "/", "VPDstar"}], " ", "*", 
                   RowBox[{"1", "/", "tar"}], "*", 
                   RowBox[{"MUDstar", "/", "MUXstar"}], "*", "YXstar"}]}], 
                 ")"}]}]}], ")"}]}]}], ",", "\n", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{
              RowBox[{"LEMPstar", "^", "newphi"}], "==", 
              RowBox[{
               RowBox[{"Rstar", "^", 
                RowBox[{"(", 
                 RowBox[{"-", "sigma"}], ")"}]}], "*", "Wstar"}]}], ","}], 
            "*)"}], "\[IndentingNewLine]", 
           RowBox[{"LEMPstar", "\[Equal]", "1"}], ",", "\n", 
           RowBox[{"Mstar", "==", 
            RowBox[{
             RowBox[{"Mstar", "*", 
              RowBox[{"(", 
               RowBox[{"1", "-", "delta"}], ")"}]}], "+", 
             RowBox[{"Mestar", "*", 
              RowBox[{"(", 
               RowBox[{"1", "-", "delta"}], ")"}]}]}]}], ",", "\n", 
           RowBox[{"Bstar", "==", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"kp", "/", "gamma"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{"1", "/", 
                RowBox[{"(", 
                 RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}], "*", 
             "PSIstar"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"Xstar", "==", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"k", "/", "PSIstar"}], ")"}], "^", "kp"}]}], ",", "\n", 
           RowBox[{"VPDstar", "==", 
            RowBox[{"MUD", "*", 
             RowBox[{
              RowBox[{"Wstar", "/", "A"}], "/", "Z"}]}]}], ",", "\n", 
           RowBox[{"VPXstar", "==", 
            RowBox[{"MUX", "*", "tau", "*", "tar", "*", "Q", "*", 
             RowBox[{
              RowBox[{"Wstar", "/", "Bstar"}], "/", "Z"}]}]}], ",", "\n", 
           RowBox[{"YDstar", "==", 
            RowBox[{
             RowBox[{"VPDstar", "^", 
              RowBox[{"(", 
               RowBox[{"-", "phi"}], ")"}]}], "*", 
             RowBox[{"Mstar", "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"theta", "-", "phi"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
             "Ystar"}]}], ",", "\n", 
           RowBox[{"YXstar", "==", 
            RowBox[{
             RowBox[{"VPXstar", "^", 
              RowBox[{"(", 
               RowBox[{"-", "phi"}], ")"}]}], "*", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"Mstar", "*", "Xstar"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"theta", "-", "phi"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Y"}]}], 
           ",", "\[IndentingNewLine]", 
           RowBox[{"Ystar", "==", 
            RowBox[{"Rstar", "+", 
             RowBox[{
              RowBox[{"nu", "/", "2"}], "*", 
              RowBox[{"PAIDstar", "^", "2"}], "*", "YDstar", "*", 
              RowBox[{"Mstar", "^", 
               RowBox[{"(", 
                RowBox[{"theta", "/", 
                 RowBox[{"(", 
                  RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}], "+", 
             RowBox[{
              RowBox[{"nu", "/", "2"}], "*", 
              RowBox[{"PAIXstar", "^", "2"}], "*", "YXstar", "*", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"Mstar", "*", "Xstar"}], ")"}], "^", 
               RowBox[{"(", 
                RowBox[{"theta", "/", 
                 RowBox[{"(", 
                  RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}]}]}], ",", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Q", "*", "M", "*", "X", "*", "VPX", "*", 
             RowBox[{"YX", "/", "tarstar"}]}], "==", 
            RowBox[{"Mstar", "*", "Xstar", "*", "VPXstar", "*", 
             RowBox[{"YXstar", "/", "tar"}]}]}]}], "\[IndentingNewLine]", 
          "}"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"solloop", "=", 
         RowBox[{"FindRoot", "[", 
          RowBox[{"eqnsloop", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"M", ",", "Msol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"X", ",", "Xsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"R", ",", "Rsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"VPD", ",", "VPDsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"VPX", ",", "VPXsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Y", ",", "Ysol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"B", ",", "Bsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"YD", ",", "YDsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"YX", ",", "YXsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Me", ",", "Mesol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"W", ",", "Wsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"LEMP", ",", "LEMPsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"PSI", ",", "PSIsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Mstar", ",", "Msol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Xstar", ",", "Xsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Rstar", ",", "Rsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"VPDstar", ",", "VPDsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"VPXstar", ",", "VPXsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Ystar", ",", "Ysol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Bstar", ",", "Bsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"YDstar", ",", "YDsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"YXstar", ",", "YXsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Mestar", ",", "Mesol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Wstar", ",", "Wsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"LEMPstar", ",", "LEMPsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"PSIstar", ",", "PSIsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Q", ",", "1"}], "}"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"Msol", "=", 
         RowBox[{"M", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Xsol", "=", 
         RowBox[{"X", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Rsol", "=", 
         RowBox[{"R", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"VPDsol", "=", 
         RowBox[{"VPD", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"VPXsol", "=", 
         RowBox[{"VPX", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Ysol", "=", 
         RowBox[{"Y", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Bsol", "=", 
         RowBox[{"B", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"YDsol", "=", 
         RowBox[{"YD", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"YXsol", "=", 
         RowBox[{"YX", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Mesol", "=", 
         RowBox[{"Me", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Wsol", "=", 
         RowBox[{"W", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"LEMPsol", "=", 
         RowBox[{"LEMP", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"PSIsol", "=", 
         RowBox[{"PSI", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"Mstarsol", "=", 
         RowBox[{"Mstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Xstarsol", "=", 
         RowBox[{"Xstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Rstarsol", "=", 
         RowBox[{"Rstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"VPDstarsol", "=", 
         RowBox[{"VPDstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"VPXstarsol", "=", 
         RowBox[{"VPXstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Ystarsol", "=", 
         RowBox[{"Ystar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Bstarsol", "=", 
         RowBox[{"Bstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"YDstarsol", "=", 
         RowBox[{"YDstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"YXstarsol", "=", 
         RowBox[{"YXstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Mestarsol", "=", 
         RowBox[{"Mestar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Wstarsol", "=", 
         RowBox[{"Wstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"LEMPstarsol", "=", 
         RowBox[{"LEMPstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"PSIstarsol", "=", 
         RowBox[{"PSIstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"Qsol", "=", 
         RowBox[{"Q", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"ivec", ",", "i"}], "]"}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"tauvec", ",", "tau"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"tarvec", ",", "tar"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"fxvec", ",", "fx"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"fevec", ",", "fe"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Mvec", ",", "Msol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Xvec", ",", "Xsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Rvec", ",", "Rsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"VPDvec", ",", "VPDsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"VPXvec", ",", "VPXsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Yvec", ",", "Ysol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Bvec", ",", "Bsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"YDvec", ",", "YDsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"YXvec", ",", "YXsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Mevec", ",", "Mesol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Wvec", ",", "Wsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"LEMPvec", ",", "LEMPsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"PSIvec", ",", "PSIsol"}], "]"}], ";", "\[IndentingNewLine]",
         "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"taustarvec", ",", "taustar"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"tarstarvec", ",", "tarstar"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"fxstarvec", ",", "fx"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"festarvec", ",", "fe"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Mstarvec", ",", "Mstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Xstarvec", ",", "Xstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Rstarvec", ",", "Rstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"VPDstarvec", ",", "VPDstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"VPXstarvec", ",", "VPXstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Ystarvec", ",", "Ystarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Bstarvec", ",", "Bstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"YDstarvec", ",", "YDstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"YXstarvec", ",", "YXstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Mestarvec", ",", "Mestarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Wstarvec", ",", "Wstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"LEMPstarvec", ",", "LEMPstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"PSIstarvec", ",", "PSIstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Qvec", ",", "Qsol"}], "]"}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"payoffvec", ",", "Rsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"payoffstarvec", ",", "Rstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"Print", "[", 
         RowBox[{
         "\"\<i:  \>\"", ",", "i", ",", "\"\<   tar:  \>\"", ",", "tar", ",", 
          "\"\<   tarstar:  \>\"", ",", "tarstar", ",", " ", 
          "\"\<   R:  \>\"", ",", "Rsol", ",", "\"\<   Bstar:  \>\"", ",", 
          "Bstarsol", ",", "\"\<   Xstar:  \>\"", ",", "Xstarsol", ",", 
          "\"\<   check:  \>\"", ",", 
          RowBox[{
           RowBox[{"k", "^", "c"}], " ", 
           RowBox[{"Bstarsol", "^", 
            RowBox[{"(", 
             RowBox[{"-", "c"}], ")"}]}], 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"c", "/", "gamma"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"c", "/", 
              RowBox[{"(", 
               RowBox[{"epselonstar", "-", "1"}], ")"}]}], ")"}]}]}]}], "]"}],
         ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"i", "=", 
         RowBox[{"i", "+", "1"}]}], ";"}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"tar", ",", "tarmin", ",", "tarmax", ",", "tarstep"}], 
        "}"}]}], "]"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"payoffmat", ",", "payoffvec"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"AppendTo", "[", 
     RowBox[{"payoffstarmat", ",", "payoffstarvec"}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"j", "=", 
     RowBox[{"j", "+", "1"}]}], ";"}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"tarstar", ",", "tarstarmin", ",", "tarstarmax", ",", "tarstep"}],
     "}"}]}], "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.6191965168288054`*^9, 3.6191965621312847`*^9}, {
   3.6191966415930243`*^9, 3.6191967832256727`*^9}, {3.619196835454565*^9, 
   3.6191968622242117`*^9}, {3.6191969648243914`*^9, 
   3.6191970844286013`*^9}, {3.6191971810711713`*^9, 3.6191972373784704`*^9}, 
   3.619197487033308*^9, 3.6191975694950533`*^9, {3.6191976202419424`*^9, 
   3.619197622800347*^9}, {3.619197668102826*^9, 3.6191976845140553`*^9}, {
   3.6191981985973577`*^9, 3.61919820537097*^9}, {3.619198339297205*^9, 
   3.619198359670841*^9}, 3.619198797953611*^9, {3.619199455089165*^9, 
   3.6191995288460946`*^9}, {3.619199573356172*^9, 3.6191996258734636`*^9}, {
   3.6191996735315475`*^9, 3.619199730705648*^9}, {3.619199761125701*^9, 
   3.6191999114631653`*^9}, {3.619199971492071*^9, 3.619200042269395*^9}, {
   3.6192381211584563`*^9, 3.619238174356499*^9}, {3.6192383350676913`*^9, 
   3.6192383819023705`*^9}, {3.6192410255115757`*^9, 3.619241031738932*^9}, {
   3.6202319594957466`*^9, 3.620231961003833*^9}, {3.6202320622996264`*^9, 
   3.6202320635536985`*^9}, {3.6202321085952744`*^9, 
   3.6202321388450046`*^9}, {3.620232221274719*^9, 3.620232227722088*^9}, {
   3.6202325980302687`*^9, 3.62023265487952*^9}, {3.620232767578966*^9, 
   3.620232831315612*^9}, {3.620232942812989*^9, 3.6202330186483264`*^9}, {
   3.620233118865059*^9, 3.620233236137766*^9}, {3.6202332681025944`*^9, 
   3.62023342432753*^9}, {3.6202336756179028`*^9, 3.6202336776830215`*^9}, {
   3.6202337670981355`*^9, 3.6202337781637683`*^9}, 3.6202340392176995`*^9, 
   3.620234094767877*^9, {3.620234505106347*^9, 3.620234508500541*^9}, {
   3.6202345526540666`*^9, 3.6202345543971663`*^9}, {3.6202345897901907`*^9, 
   3.6202346547879086`*^9}, {3.6202347013805733`*^9, 
   3.6202347055138097`*^9}, {3.620234759399892*^9, 3.6202347641651645`*^9}, {
   3.6202348031523943`*^9, 3.620234806209569*^9}, {3.620234837786375*^9, 
   3.620234965735694*^9}, {3.6202349981695485`*^9, 3.620235001282727*^9}, {
   3.620235033262556*^9, 3.620235058825018*^9}, {3.620235169738362*^9, 
   3.6202351955418377`*^9}, {3.620235353596878*^9, 3.620235356383037*^9}, {
   3.6202354139023275`*^9, 3.6202354203206944`*^9}, {3.6202356597233877`*^9, 
   3.620235676172328*^9}, {3.620235720801881*^9, 3.620235720889886*^9}, {
   3.620542305383788*^9, 3.6205423104110756`*^9}, {3.6205423712545557`*^9, 
   3.6205423780079412`*^9}, 3.6205430887035913`*^9, {3.6205431552073946`*^9, 
   3.6205431695762167`*^9}, {3.6205468280554695`*^9, 3.620546836154933*^9}, {
   3.620548217195924*^9, 3.620548220143093*^9}, {3.6205485683590097`*^9, 
   3.620548593578452*^9}, {3.6205486525518255`*^9, 3.620548672782982*^9}, {
   3.620548831708072*^9, 3.620548839484517*^9}, {3.6205511884338694`*^9, 
   3.6205511892259145`*^9}, {3.620551235085538*^9, 3.6205513130859985`*^9}, {
   3.6205521933383465`*^9, 3.620552196829546*^9}, {3.620552843395528*^9, 
   3.62055285391813*^9}, {3.6205772954610844`*^9, 3.6205772993913093`*^9}, {
   3.620577377503777*^9, 3.620577381496005*^9}, {3.620577424325455*^9, 
   3.6205774669748945`*^9}, {3.620578426939171*^9, 3.620578429665327*^9}, {
   3.620578541178705*^9, 3.620578578222824*^9}, {3.620578681344722*^9, 
   3.620578707136197*^9}, 3.621506873651601*^9, {3.6215070174848275`*^9, 
   3.621507023980199*^9}, {3.6215070583341637`*^9, 3.621507067121667*^9}, {
   3.6215195075519557`*^9, 3.6215195158654313`*^9}, {3.6215303441155148`*^9, 
   3.621530353929076*^9}, {3.621530407725153*^9, 3.6215304133084726`*^9}, 
   3.621536801544379*^9, {3.6215368571675606`*^9, 3.621536864060955*^9}, {
   3.621537024513132*^9, 3.6215370287583747`*^9}, {3.62153707342793*^9, 
   3.62153709318906*^9}, {3.6215374457192235`*^9, 3.621537448222367*^9}, {
   3.6215374901527653`*^9, 3.6215374908368044`*^9}, {3.62153756157285*^9, 
   3.621537582923071*^9}, {3.6215475027332926`*^9, 3.621547509739693*^9}, {
   3.6215763985688143`*^9, 3.621576439029128*^9}, 3.621577523791173*^9, {
   3.6215780129901533`*^9, 3.6215780575677032`*^9}, {3.621579477401913*^9, 
   3.62157947996706*^9}, {3.621579606477296*^9, 3.621579629670623*^9}, {
   3.6215829479054146`*^9, 3.621582951807638*^9}, {3.6215831128448486`*^9, 
   3.6215831444686575`*^9}, {3.621583862142706*^9, 3.621583862476725*^9}, {
   3.6215842970495815`*^9, 3.621584297094584*^9}, {3.6215855504982743`*^9, 
   3.6215855634920177`*^9}, {3.621586136710804*^9, 3.621586139668973*^9}, {
   3.621586655954503*^9, 3.6215866804409037`*^9}, {3.6215874892591653`*^9, 
   3.621587490074212*^9}, {3.6216035157982388`*^9, 3.621603517814354*^9}, {
   3.6216036041272907`*^9, 3.621603606820444*^9}, {3.621616881666811*^9, 
   3.6216168855824175`*^9}, {3.621616927936492*^9, 3.6216169494645295`*^9}, {
   3.6216169960774117`*^9, 3.6216170028790236`*^9}, 3.6216188484302645`*^9, {
   3.621670817363742*^9, 3.6216708193998585`*^9}, {3.6216807967345295`*^9, 
   3.6216808029928875`*^9}, {3.621680849790564*^9, 3.6216808660254927`*^9}, {
   3.6216810122978587`*^9, 3.6216810128518906`*^9}, {3.621742414648652*^9, 
   3.621742415218685*^9}, 3.621742461411327*^9, {3.621833525976879*^9, 
   3.621833528596029*^9}, {3.6219275306952734`*^9, 3.6219275349855194`*^9}, {
   3.621927607487666*^9, 3.621927610337829*^9}, 3.6224378418199887`*^9, {
   3.622437964156986*^9, 3.62243797330851*^9}, 3.622438061666563*^9, 
   3.622443411054531*^9, {3.6224568139981356`*^9, 3.6224568150951977`*^9}, {
   3.6224568573336143`*^9, 3.6224568578636446`*^9}, 3.622485427170541*^9, 
   3.6224855055110216`*^9, {3.622485547143403*^9, 3.6224855472274075`*^9}, {
   3.622485706947543*^9, 3.622485707222559*^9}, {3.6224859898007216`*^9, 
   3.62248599047676*^9}, 3.624880962492976*^9, {3.6249565699689026`*^9, 
   3.624956571376983*^9}, {3.624956649528453*^9, 3.624956649959478*^9}, {
   3.624965363432197*^9, 3.6249653647425995`*^9}, {3.6737601374391317`*^9, 
   3.673760138106642*^9}, {3.6737972564608164`*^9, 3.673797257815545*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.014`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2540635231994757`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "2.9432013904175087`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.20929897035265768`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["2.9432013904175087`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1, "   tar:  ", 1.014, "   tarstar:  ", 1.02, "   R:  ", 
   3.2540635231994757`, "   Bstar:  ", 2.9432013904175087`, "   Xstar:  ", 
   0.20929897035265768`, "   check:  ", 
   1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
   2.9432013904175087`^(-$CellContext`c) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.62192755126945*^9, 3.621927611470894*^9, 3.6219663771934805`*^9, 
   3.6224380658578033`*^9, 3.6224434761342535`*^9, {3.622456834336299*^9, 
   3.622456858025654*^9}, 3.6224761878760834`*^9, 3.622485438326179*^9, 
   3.622485510229292*^9, 3.6224855481984634`*^9, 3.622485708325622*^9, 
   3.6248569822304792`*^9, 3.624880975310709*^9, {3.624956630508365*^9, 
   3.6249566507205215`*^9}, 3.6249653686426067`*^9, 3.6737603819113874`*^9, 
   3.673760419974472*^9, {3.6737612637997055`*^9, 3.6737612776797004`*^9}, 
   3.6737617838919125`*^9, 3.673761983553542*^9, 3.6737621533921347`*^9, 
   3.673762361182098*^9, 3.6737625210598507`*^9, 3.673777705482112*^9, 
   3.6737782818317413`*^9, 3.673778669546509*^9, 3.6737826695744953`*^9, 
   3.67379723759459*^9, 3.673797444476221*^9, 3.6737995740398717`*^9, 
   3.6738562537381897`*^9, 3.674367263969229*^9, 3.6743673526622295`*^9, 
   3.674367462135229*^9, 3.6743742617214465`*^9, 3.6743794018804345`*^9, 
   3.6743812857428017`*^9, 3.674383607146919*^9, 3.674383708895093*^9, 
   3.674391113751161*^9, 3.674403299585882*^9, 3.674403376320136*^9, 
   3.6744036570256505`*^9, 3.6744055457927203`*^9, 3.6744084797478666`*^9, 
   3.674410809278202*^9, 3.674411194285597*^9, 3.6744122882449775`*^9, 
   3.6744137490782256`*^9, 3.67441381616014*^9, 3.67441389558014*^9, 
   3.674562188049467*^9, 3.67496665172089*^9, 3.6835304537545795`*^9, 
   3.6835307384151907`*^9, 3.6835369369881277`*^9, 3.6967580092212057`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["loop", "Subsubsection",
 CellChangeTimes->{{3.6191994410179405`*^9, 3.6191994423439426`*^9}, {
   3.673760063985503*^9, 3.673760066120536*^9}, 3.673760278787303*^9, 
   3.673760378111329*^9, {3.6744033772867956`*^9, 3.674403378451295*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"tarmin", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarstarmin", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarmax", "=", "1.0001"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarstarmax", "=", "1.01"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarstep", "=", "0.0001"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarstarstep", "=", "0.0001"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6737555636308737`*^9, 3.6737555636758685`*^9}, {
   3.6737603572710085`*^9, 3.673760368233677*^9}, {3.6737604070492735`*^9, 
   3.67376040744928*^9}, {3.6737612471212034`*^9, 3.6737612718300953`*^9}, {
   3.6737617614863496`*^9, 3.67376176937919*^9}, {3.6737619800807643`*^9, 
   3.673761982003418*^9}, {3.6737621444139166`*^9, 3.673762148846771*^9}, {
   3.6737623451595984`*^9, 3.673762357469598*^9}, {3.6737625172400036`*^9, 
   3.6737625174699945`*^9}, {3.6737776564212065`*^9, 
   3.6737776713326974`*^9}, {3.673778276239182*^9, 3.673778278428401*^9}, {
   3.673778607523307*^9, 3.6737786104976044`*^9}, 3.673782667065244*^9, 
   3.6737995809045973`*^9, {3.6737999399725*^9, 3.6737999435950003`*^9}, {
   3.673800756193037*^9, 3.673800784345289*^9}, {3.6738014075278063`*^9, 
   3.6738014104654236`*^9}, {3.673801478020626*^9, 3.673801478250635*^9}, {
   3.67385684735219*^9, 3.6738568650141897`*^9}, {3.67385694449819*^9, 
   3.6738569638811903`*^9}, {3.6738571274541903`*^9, 3.67385713466219*^9}, {
   3.674367000373356*^9, 3.674367012206539*^9}, {3.6743742248297577`*^9, 
   3.6743742265019245`*^9}, {3.674379410709317*^9, 3.674379410973344*^9}, {
   3.6743812945426817`*^9, 3.674381308455073*^9}, {3.674383614817686*^9, 
   3.6743836197461786`*^9}, {3.6743837178139844`*^9, 3.674383722262429*^9}, {
   3.6743910978960543`*^9, 3.6743911060774794`*^9}, {3.6744033064802203`*^9, 
   3.67440335687525*^9}, {3.6744036639175587`*^9, 3.6744036718426275`*^9}, {
   3.674405549545521*^9, 3.674405558698753*^9}, {3.6744084693074493`*^9, 
   3.6744084745051565`*^9}, {3.674410814588202*^9, 3.6744108244132023`*^9}, {
   3.674411198954064*^9, 3.674411206976866*^9}, {3.6744122819253454`*^9, 
   3.674412285128666*^9}, {3.6744137651646166`*^9, 3.674413771274006*^9}, {
   3.67441380969314*^9, 3.6744138117691402`*^9}, {3.67441390087414*^9, 
   3.67441390562014*^9}, {3.674562339941544*^9, 3.674562343394182*^9}, {
   3.6745624508534803`*^9, 3.67456246684162*^9}, {3.674562557498747*^9, 
   3.6745625608513813`*^9}, {3.6835304833454676`*^9, 
   3.6835305001234713`*^9}, {3.6835306016297197`*^9, 
   3.6835306022497444`*^9}, {3.683536890867255*^9, 3.6835368939123774`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"i", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"j", "=", "1"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"payoffvec", "=", 
     RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"payoffstarvec", "=", 
     RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"diffvec", " ", "=", 
     RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"diffstarvec", "=", 
     RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"diffdiffvec", "=", 
     RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Do", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"eqnsloop", "=", 
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"1", "==", 
            RowBox[{
             RowBox[{
              RowBox[{"M", "^", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "-", "phi"}], ")"}], "/", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
              RowBox[{"VPD", "^", 
               RowBox[{"(", 
                RowBox[{"1", "-", "phi"}], ")"}]}]}], "+", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"Xstar", "*", "Mstar"}], ")"}], "^", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "-", "phi"}], ")"}], "/", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
              RowBox[{"VPXstar", "^", 
               RowBox[{"(", 
                RowBox[{"1", "-", "phi"}], ")"}]}]}]}]}], ",", "\n", 
           RowBox[{
            RowBox[{
             RowBox[{"VPX", "^", 
              RowBox[{"(", 
               RowBox[{"-", "phi"}], ")"}]}], "*", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"X", "*", "M"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"theta", "-", "phi"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
             "Ystar"}], "==", 
            RowBox[{
             RowBox[{"1", "/", "taustar"}], 
             RowBox[{"(", 
              RowBox[{"theta", "-", "1"}], ")"}], "*", 
             RowBox[{"kp", "/", "gamma"}], "*", "B", "*", "fx"}]}], ",", "\n", 
           RowBox[{"LEMP", "==", 
            RowBox[{
             RowBox[{"M", "*", 
              RowBox[{"YD", "/", 
               RowBox[{"(", 
                RowBox[{"Z", "*", "A"}], ")"}]}]}], "+", 
             RowBox[{"M", "*", "X", "*", 
              RowBox[{"YX", "/", 
               RowBox[{"(", 
                RowBox[{"Z", "*", "B"}], ")"}]}], "*", "taustar"}], "+", 
             RowBox[{"Me", "*", 
              RowBox[{"fe", "/", "Z"}]}], "+", 
             RowBox[{"M", "*", "X", "*", 
              RowBox[{"fx", "/", "Z"}]}]}]}], ",", "\n", 
           RowBox[{"1", "==", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "-", "delta"}], ")"}], "beta", "*", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "-", 
                 RowBox[{"X", "*", 
                  RowBox[{"fx", "/", "fe"}]}]}], ")"}], "+", 
               RowBox[{
                RowBox[{"1", "/", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"theta", "-", "1"}], ")"}], "*", "fe", "  ", 
                   "A"}], ")"}]}], "*", 
                RowBox[{"(", 
                 RowBox[{"YD", "+", 
                  RowBox[{"X", "*", "Q", "*", 
                   RowBox[{"VPX", "/", "VPD"}], " ", "*", 
                   RowBox[{"1", "/", "tarstar"}], "*", 
                   RowBox[{"MUD", "/", "MUX"}], "*", "YX"}]}], ")"}]}]}], 
              ")"}]}]}], ",", "\n", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{
              RowBox[{"LEMP", "^", "newphi"}], "==", 
              RowBox[{
               RowBox[{"R", "^", 
                RowBox[{"(", 
                 RowBox[{"-", "sigma"}], ")"}]}], "*", "W"}]}], ","}], "*)"}],
            "\[IndentingNewLine]", 
           RowBox[{"LEMP", "\[Equal]", "1"}], ",", "\n", 
           RowBox[{"M", "\[Equal]", 
            RowBox[{
             RowBox[{"M", "*", 
              RowBox[{"(", 
               RowBox[{"1", "-", "delta"}], ")"}]}], "+", 
             RowBox[{"Me", "*", 
              RowBox[{"(", 
               RowBox[{"1", "-", "delta"}], ")"}]}]}]}], ",", "\n", 
           RowBox[{"B", "==", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"kp", "/", "gamma"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{"1", "/", 
                RowBox[{"(", 
                 RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}], "*", 
             "PSI"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"X", "==", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"k", "/", "PSI"}], ")"}], "^", "kp"}]}], ",", "\n", 
           RowBox[{"VPD", "==", 
            RowBox[{"MUD", "*", 
             RowBox[{
              RowBox[{"W", "/", "A"}], "/", "Z"}]}]}], ",", "\n", 
           RowBox[{"VPX", "==", 
            RowBox[{"MUX", "*", "taustar", " ", 
             RowBox[{"tarstar", "/", "Q"}], "*", 
             RowBox[{
              RowBox[{"W", "/", "B"}], "/", "Z"}]}]}], ",", "\n", 
           RowBox[{"YD", "==", 
            RowBox[{
             RowBox[{"VPD", "^", 
              RowBox[{"(", 
               RowBox[{"-", "phi"}], ")"}]}], "*", 
             RowBox[{"M", "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"theta", "-", "phi"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Y"}]}], 
           ",", "\n", 
           RowBox[{"YX", "==", 
            RowBox[{
             RowBox[{"VPX", "^", 
              RowBox[{"(", 
               RowBox[{"-", "phi"}], ")"}]}], "*", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"M", "*", "X"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"theta", "-", "phi"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
             "Ystar"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"Y", "==", 
            RowBox[{"R", "+", 
             RowBox[{
              RowBox[{"nu", "/", "2"}], "*", 
              RowBox[{"PAID", "^", "2"}], "*", "YD", "*", 
              RowBox[{"M", "^", 
               RowBox[{"(", 
                RowBox[{"theta", "/", 
                 RowBox[{"(", 
                  RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}], "+", 
             RowBox[{
              RowBox[{"nu", "/", "2"}], "*", 
              RowBox[{"PAIX", "^", "2"}], "*", "YX", "*", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"M", "*", "X"}], ")"}], "^", 
               RowBox[{"(", 
                RowBox[{"theta", "/", 
                 RowBox[{"(", 
                  RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}]}]}], ",", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"1", "==", 
            RowBox[{
             RowBox[{
              RowBox[{"Mstar", "^", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "-", "phi"}], ")"}], "/", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
              RowBox[{"VPDstar", "^", 
               RowBox[{"(", 
                RowBox[{"1", "-", "phi"}], ")"}]}]}], "+", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"X", "*", "M"}], ")"}], "^", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "-", "phi"}], ")"}], "/", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
              RowBox[{"VPX", "^", 
               RowBox[{"(", 
                RowBox[{"1", "-", "phi"}], ")"}]}]}]}]}], ",", "\n", 
           RowBox[{
            RowBox[{
             RowBox[{"VPXstar", "^", 
              RowBox[{"(", 
               RowBox[{"-", "phi"}], ")"}]}], "*", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"Xstar", "*", "Mstar"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"theta", "-", "phi"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Y"}], "==", 
            RowBox[{
             RowBox[{"1", "/", "tau"}], 
             RowBox[{"(", 
              RowBox[{"theta", "-", "1"}], ")"}], 
             RowBox[{"kp", "/", "gamma"}], "*", "Bstar", "*", "fx"}]}], ",", 
           "\n", 
           RowBox[{"LEMPstar", "==", 
            RowBox[{
             RowBox[{"Mstar", "*", 
              RowBox[{"YDstar", "/", 
               RowBox[{"(", 
                RowBox[{"Z", "*", "A"}], ")"}]}]}], "+", 
             RowBox[{"Mstar", "*", "Xstar", "*", 
              RowBox[{"YXstar", "/", 
               RowBox[{"(", 
                RowBox[{"Z", "*", "Bstar"}], ")"}]}], "*", "tau"}], "+", 
             RowBox[{"Mestar", "*", 
              RowBox[{"fe", "/", "Z"}]}], "+", 
             RowBox[{"Mstar", "*", "Xstar", "*", 
              RowBox[{"fx", "/", "Z"}]}]}]}], ",", "\n", 
           RowBox[{"1", "==", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "-", "delta"}], ")"}], "beta", "*", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "-", 
                 RowBox[{"Xstar", "*", 
                  RowBox[{"fx", "/", "fe"}]}]}], ")"}], "+", 
               RowBox[{
                RowBox[{"1", "/", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"theta", "-", "1"}], ")"}], "*", "fe", " ", "A"}],
                   ")"}]}], "*", 
                RowBox[{"(", 
                 RowBox[{"YDstar", "+", 
                  RowBox[{
                   RowBox[{"Xstar", "/", "Q"}], "*", 
                   RowBox[{"VPXstar", "/", "VPDstar"}], " ", "*", 
                   RowBox[{"1", "/", "tar"}], "*", 
                   RowBox[{"MUDstar", "/", "MUXstar"}], "*", "YXstar"}]}], 
                 ")"}]}]}], ")"}]}]}], ",", "\n", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{
              RowBox[{"LEMPstar", "^", "newphi"}], "==", 
              RowBox[{
               RowBox[{"Rstar", "^", 
                RowBox[{"(", 
                 RowBox[{"-", "sigma"}], ")"}]}], "*", "Wstar"}]}], ","}], 
            "*)"}], "\[IndentingNewLine]", 
           RowBox[{"LEMPstar", "\[Equal]", "1"}], ",", "\n", 
           RowBox[{"Mstar", "==", 
            RowBox[{
             RowBox[{"Mstar", "*", 
              RowBox[{"(", 
               RowBox[{"1", "-", "delta"}], ")"}]}], "+", 
             RowBox[{"Mestar", "*", 
              RowBox[{"(", 
               RowBox[{"1", "-", "delta"}], ")"}]}]}]}], ",", "\n", 
           RowBox[{"Bstar", "==", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"kp", "/", "gamma"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{"1", "/", 
                RowBox[{"(", 
                 RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}], "*", 
             "PSIstar"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"Xstar", "==", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"k", "/", "PSIstar"}], ")"}], "^", "kp"}]}], ",", "\n", 
           RowBox[{"VPDstar", "==", 
            RowBox[{"MUD", "*", 
             RowBox[{
              RowBox[{"Wstar", "/", "A"}], "/", "Z"}]}]}], ",", "\n", 
           RowBox[{"VPXstar", "==", 
            RowBox[{"MUX", "*", "tau", "*", "tar", "*", "Q", "*", 
             RowBox[{
              RowBox[{"Wstar", "/", "Bstar"}], "/", "Z"}]}]}], ",", "\n", 
           RowBox[{"YDstar", "==", 
            RowBox[{
             RowBox[{"VPDstar", "^", 
              RowBox[{"(", 
               RowBox[{"-", "phi"}], ")"}]}], "*", 
             RowBox[{"Mstar", "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"theta", "-", "phi"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
             "Ystar"}]}], ",", "\n", 
           RowBox[{"YXstar", "==", 
            RowBox[{
             RowBox[{"VPXstar", "^", 
              RowBox[{"(", 
               RowBox[{"-", "phi"}], ")"}]}], "*", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"Mstar", "*", "Xstar"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"theta", "-", "phi"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Y"}]}], 
           ",", "\[IndentingNewLine]", 
           RowBox[{"Ystar", "==", 
            RowBox[{"Rstar", "+", 
             RowBox[{
              RowBox[{"nu", "/", "2"}], "*", 
              RowBox[{"PAIDstar", "^", "2"}], "*", "YDstar", "*", 
              RowBox[{"Mstar", "^", 
               RowBox[{"(", 
                RowBox[{"theta", "/", 
                 RowBox[{"(", 
                  RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}], "+", 
             RowBox[{
              RowBox[{"nu", "/", "2"}], "*", 
              RowBox[{"PAIXstar", "^", "2"}], "*", "YXstar", "*", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"Mstar", "*", "Xstar"}], ")"}], "^", 
               RowBox[{"(", 
                RowBox[{"theta", "/", 
                 RowBox[{"(", 
                  RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}]}]}], ",", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Q", "*", "M", "*", "X", "*", "VPX", "*", 
             RowBox[{"YX", "/", "tarstar"}]}], "==", 
            RowBox[{"Mstar", "*", "Xstar", "*", "VPXstar", "*", 
             RowBox[{"YXstar", "/", "tar"}]}]}]}], "\[IndentingNewLine]", 
          "}"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"solloop", "=", 
         RowBox[{"FindRoot", "[", 
          RowBox[{"eqnsloop", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"M", ",", "Msol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"X", ",", "Xsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"R", ",", "Rsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"VPD", ",", "VPDsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"VPX", ",", "VPXsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Y", ",", "Ysol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"B", ",", "Bsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"YD", ",", "YDsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"YX", ",", "YXsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Me", ",", "Mesol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"W", ",", "Wsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"LEMP", ",", "LEMPsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"PSI", ",", "PSIsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Mstar", ",", "Msol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Xstar", ",", "Xsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Rstar", ",", "Rsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"VPDstar", ",", "VPDsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"VPXstar", ",", "VPXsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Ystar", ",", "Ysol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Bstar", ",", "Bsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"YDstar", ",", "YDsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"YXstar", ",", "YXsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Mestar", ",", "Mesol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Wstar", ",", "Wsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"LEMPstar", ",", "LEMPsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"PSIstar", ",", "PSIsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Q", ",", "1"}], "}"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"Msol", "=", 
         RowBox[{"M", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Xsol", "=", 
         RowBox[{"X", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Rsol", "=", 
         RowBox[{"R", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"VPDsol", "=", 
         RowBox[{"VPD", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"VPXsol", "=", 
         RowBox[{"VPX", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Ysol", "=", 
         RowBox[{"Y", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Bsol", "=", 
         RowBox[{"B", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"YDsol", "=", 
         RowBox[{"YD", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"YXsol", "=", 
         RowBox[{"YX", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Mesol", "=", 
         RowBox[{"Me", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Wsol", "=", 
         RowBox[{"W", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"LEMPsol", "=", 
         RowBox[{"LEMP", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"PSIsol", "=", 
         RowBox[{"PSI", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"Mstarsol", "=", 
         RowBox[{"Mstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Xstarsol", "=", 
         RowBox[{"Xstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Rstarsol", "=", 
         RowBox[{"Rstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"VPDstarsol", "=", 
         RowBox[{"VPDstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"VPXstarsol", "=", 
         RowBox[{"VPXstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Ystarsol", "=", 
         RowBox[{"Ystar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Bstarsol", "=", 
         RowBox[{"Bstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"YDstarsol", "=", 
         RowBox[{"YDstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"YXstarsol", "=", 
         RowBox[{"YXstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Mestarsol", "=", 
         RowBox[{"Mestar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Wstarsol", "=", 
         RowBox[{"Wstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"LEMPstarsol", "=", 
         RowBox[{"LEMPstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"PSIstarsol", "=", 
         RowBox[{"PSIstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"diff", "=", 
         RowBox[{"Rsol", "-", 
          RowBox[{"Rvec", "[", 
           RowBox[{"[", "2", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"diffstar", "=", 
         RowBox[{"Rstarsol", "-", 
          RowBox[{"Rstarvec", "[", 
           RowBox[{"[", "2", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"diffdiff", "=", 
         RowBox[{"Abs", "[", 
          RowBox[{"diff", "-", "diffstar"}], "]"}]}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"Qsol", "=", 
         RowBox[{"Q", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"ivec", ",", "i"}], "]"}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"tauvec", ",", "tau"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"tarvec", ",", "tar"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"fxvec", ",", "fx"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"fevec", ",", "fe"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Mvec", ",", "Msol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Xvec", ",", "Xsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Rvec", ",", "Rsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"VPDvec", ",", "VPDsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"VPXvec", ",", "VPXsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Yvec", ",", "Ysol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Bvec", ",", "Bsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"YDvec", ",", "YDsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"YXvec", ",", "YXsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Mevec", ",", "Mesol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Wvec", ",", "Wsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"LEMPvec", ",", "LEMPsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"PSIvec", ",", "PSIsol"}], "]"}], ";", "\[IndentingNewLine]",
         "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"taustarvec", ",", "taustar"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"tarstarvec", ",", "tarstar"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"fxstarvec", ",", "fx"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"festarvec", ",", "fe"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Mstarvec", ",", "Mstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Xstarvec", ",", "Xstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Rstarvec", ",", "Rstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"VPDstarvec", ",", "VPDstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"VPXstarvec", ",", "VPXstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Ystarvec", ",", "Ystarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Bstarvec", ",", "Bstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"YDstarvec", ",", "YDstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"YXstarvec", ",", "YXstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Mestarvec", ",", "Mestarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Wstarvec", ",", "Wstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"LEMPstarvec", ",", "LEMPstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"PSIstarvec", ",", "PSIstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Qvec", ",", "Qsol"}], "]"}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"payoffvec", ",", "Rsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"payoffstarvec", ",", "Rstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"diffvec", ",", "diff"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"diffstarvec", ",", "diffstar"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"diffdiffvec", ",", "diffdiff"}], "]"}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<i:  \>\"", ",", "i", ",", "\"\<   tar:  \>\"", ",", "tar", 
            ",", "\"\<   tarstar:  \>\"", ",", "tarstar", ",", " ", 
            "\"\<   R:  \>\"", ",", "Rsol", ",", "\"\< diff, \>\"", " ", ",", 
            RowBox[{"Rsol", "-", 
             RowBox[{"Rvec", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ",", "\"\< diffstar, \>\"", 
            ",", " ", 
            RowBox[{"Rstarsol", "-", 
             RowBox[{"Rstarvec", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}]}], "]"}], ";"}], "*)"}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"i", "=", 
         RowBox[{"i", "+", "1"}]}], ";"}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"tar", ",", "tarmin", ",", "tarmax", ",", "tarstep"}], 
        "}"}]}], "]"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"payoffmat", ",", "payoffvec"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"AppendTo", "[", 
     RowBox[{"payoffstarmat", ",", "payoffstarvec"}], "]"}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"Print", "[", 
     RowBox[{"\"\<j: \>\"", ",", " ", "j", ",", "\"\<  diffsum:  \>\"", ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"diffvec", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{
             RowBox[{"Position", "[", 
              RowBox[{"diffdiffvec", ",", 
               RowBox[{"Min", "[", "diffdiffvec", "]"}]}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], "+", " ", 
         RowBox[{"diffstarvec", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{
             RowBox[{"Position", "[", 
              RowBox[{"diffdiffvec", ",", 
               RowBox[{"Min", "[", "diffdiffvec", "]"}]}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}]}], ")"}], "100"}], 
      ",", "\"\<  tar:  \>\"", ",", 
      RowBox[{"tarvec", "[", 
       RowBox[{"[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Position", "[", 
            RowBox[{"diffdiffvec", ",", 
             RowBox[{"Min", "[", "diffdiffvec", "]"}]}], "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], "+", "2"}], "]"}], "]"}], ",", 
      "\"\<  tarstar:  \>\"", ",", "tarstar"}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"j", "=", 
     RowBox[{"j", "+", "1"}]}], ";"}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{
    "tarstar", ",", "tarstarmin", ",", "tarstarmax", ",", "tarstarstep"}], 
    "}"}]}], "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.6191965168288054`*^9, 3.6191965621312847`*^9}, {
   3.6191966415930243`*^9, 3.6191967832256727`*^9}, {3.619196835454565*^9, 
   3.6191968622242117`*^9}, {3.6191969648243914`*^9, 
   3.6191970844286013`*^9}, {3.6191971810711713`*^9, 3.6191972373784704`*^9}, 
   3.619197487033308*^9, 3.6191975694950533`*^9, {3.6191976202419424`*^9, 
   3.619197622800347*^9}, {3.619197668102826*^9, 3.6191976845140553`*^9}, {
   3.6191981985973577`*^9, 3.61919820537097*^9}, {3.619198339297205*^9, 
   3.619198359670841*^9}, 3.619198797953611*^9, {3.619199455089165*^9, 
   3.6191995288460946`*^9}, {3.619199573356172*^9, 3.6191996258734636`*^9}, {
   3.6191996735315475`*^9, 3.619199730705648*^9}, {3.619199761125701*^9, 
   3.6191999114631653`*^9}, {3.619199971492071*^9, 3.619200042269395*^9}, {
   3.6192381211584563`*^9, 3.619238174356499*^9}, {3.6192383350676913`*^9, 
   3.6192383819023705`*^9}, {3.6192410255115757`*^9, 3.619241031738932*^9}, {
   3.6202319594957466`*^9, 3.620231961003833*^9}, {3.6202320622996264`*^9, 
   3.6202320635536985`*^9}, {3.6202321085952744`*^9, 
   3.6202321388450046`*^9}, {3.620232221274719*^9, 3.620232227722088*^9}, {
   3.6202325980302687`*^9, 3.62023265487952*^9}, {3.620232767578966*^9, 
   3.620232831315612*^9}, {3.620232942812989*^9, 3.6202330186483264`*^9}, {
   3.620233118865059*^9, 3.620233236137766*^9}, {3.6202332681025944`*^9, 
   3.62023342432753*^9}, {3.6202336756179028`*^9, 3.6202336776830215`*^9}, {
   3.6202337670981355`*^9, 3.6202337781637683`*^9}, 3.6202340392176995`*^9, 
   3.620234094767877*^9, {3.620234505106347*^9, 3.620234508500541*^9}, {
   3.6202345526540666`*^9, 3.6202345543971663`*^9}, {3.6202345897901907`*^9, 
   3.6202346547879086`*^9}, {3.6202347013805733`*^9, 
   3.6202347055138097`*^9}, {3.620234759399892*^9, 3.6202347641651645`*^9}, {
   3.6202348031523943`*^9, 3.620234806209569*^9}, {3.620234837786375*^9, 
   3.620234965735694*^9}, {3.6202349981695485`*^9, 3.620235001282727*^9}, {
   3.620235033262556*^9, 3.620235058825018*^9}, {3.620235169738362*^9, 
   3.6202351955418377`*^9}, {3.620235353596878*^9, 3.620235356383037*^9}, {
   3.6202354139023275`*^9, 3.6202354203206944`*^9}, {3.6202356597233877`*^9, 
   3.620235676172328*^9}, {3.620235720801881*^9, 3.620235720889886*^9}, {
   3.620542305383788*^9, 3.6205423104110756`*^9}, {3.6205423712545557`*^9, 
   3.6205423780079412`*^9}, 3.6205430887035913`*^9, {3.6205431552073946`*^9, 
   3.6205431695762167`*^9}, {3.6205468280554695`*^9, 3.620546836154933*^9}, {
   3.620548217195924*^9, 3.620548220143093*^9}, {3.6205485683590097`*^9, 
   3.620548593578452*^9}, {3.6205486525518255`*^9, 3.620548672782982*^9}, {
   3.620548831708072*^9, 3.620548839484517*^9}, {3.6205511884338694`*^9, 
   3.6205511892259145`*^9}, {3.620551235085538*^9, 3.6205513130859985`*^9}, {
   3.6205521933383465`*^9, 3.620552196829546*^9}, {3.620552843395528*^9, 
   3.62055285391813*^9}, {3.6205772954610844`*^9, 3.6205772993913093`*^9}, {
   3.620577377503777*^9, 3.620577381496005*^9}, {3.620577424325455*^9, 
   3.6205774669748945`*^9}, {3.620578426939171*^9, 3.620578429665327*^9}, {
   3.620578541178705*^9, 3.620578578222824*^9}, {3.620578681344722*^9, 
   3.620578707136197*^9}, 3.621506873651601*^9, {3.6215070174848275`*^9, 
   3.621507023980199*^9}, {3.6215070583341637`*^9, 3.621507067121667*^9}, {
   3.6215195075519557`*^9, 3.6215195158654313`*^9}, {3.6215303441155148`*^9, 
   3.621530353929076*^9}, {3.621530407725153*^9, 3.6215304133084726`*^9}, 
   3.621536801544379*^9, {3.6215368571675606`*^9, 3.621536864060955*^9}, {
   3.621537024513132*^9, 3.6215370287583747`*^9}, {3.62153707342793*^9, 
   3.62153709318906*^9}, {3.6215374457192235`*^9, 3.621537448222367*^9}, {
   3.6215374901527653`*^9, 3.6215374908368044`*^9}, {3.62153756157285*^9, 
   3.621537582923071*^9}, {3.6215475027332926`*^9, 3.621547509739693*^9}, {
   3.6215763985688143`*^9, 3.621576439029128*^9}, 3.621577523791173*^9, {
   3.6215780129901533`*^9, 3.6215780575677032`*^9}, {3.621579477401913*^9, 
   3.62157947996706*^9}, {3.621579606477296*^9, 3.621579629670623*^9}, {
   3.6215829479054146`*^9, 3.621582951807638*^9}, {3.6215831128448486`*^9, 
   3.6215831444686575`*^9}, {3.621583862142706*^9, 3.621583862476725*^9}, {
   3.6215842970495815`*^9, 3.621584297094584*^9}, {3.6215855504982743`*^9, 
   3.6215855634920177`*^9}, {3.621586136710804*^9, 3.621586139668973*^9}, {
   3.621586655954503*^9, 3.6215866804409037`*^9}, {3.6215874892591653`*^9, 
   3.621587490074212*^9}, {3.6216035157982388`*^9, 3.621603517814354*^9}, {
   3.6216036041272907`*^9, 3.621603606820444*^9}, {3.621616881666811*^9, 
   3.6216168855824175`*^9}, {3.621616927936492*^9, 3.6216169494645295`*^9}, {
   3.6216169960774117`*^9, 3.6216170028790236`*^9}, 3.6216188484302645`*^9, {
   3.621670817363742*^9, 3.6216708193998585`*^9}, {3.6216807967345295`*^9, 
   3.6216808029928875`*^9}, {3.621680849790564*^9, 3.6216808660254927`*^9}, {
   3.6216810122978587`*^9, 3.6216810128518906`*^9}, {3.621742414648652*^9, 
   3.621742415218685*^9}, 3.621742461411327*^9, {3.621833525976879*^9, 
   3.621833528596029*^9}, {3.6219275306952734`*^9, 3.6219275349855194`*^9}, {
   3.621927607487666*^9, 3.621927610337829*^9}, 3.6224378418199887`*^9, {
   3.622437964156986*^9, 3.62243797330851*^9}, 3.622438061666563*^9, 
   3.622443411054531*^9, {3.6224568139981356`*^9, 3.6224568150951977`*^9}, {
   3.6224568573336143`*^9, 3.6224568578636446`*^9}, 3.622485427170541*^9, 
   3.6224855055110216`*^9, {3.622485547143403*^9, 3.6224855472274075`*^9}, {
   3.622485706947543*^9, 3.622485707222559*^9}, {3.6224859898007216`*^9, 
   3.62248599047676*^9}, 3.624880962492976*^9, {3.6249565699689026`*^9, 
   3.624956571376983*^9}, {3.624956649528453*^9, 3.624956649959478*^9}, {
   3.624965363432197*^9, 3.6249653647425995`*^9}, {3.6737601374391317`*^9, 
   3.673760138106642*^9}, {3.6737972735723934`*^9, 3.6737972940033064`*^9}, 
   3.6737973269392176`*^9, {3.6737996296376476`*^9, 3.6737997419525003`*^9}, {
   3.6738018806792316`*^9, 3.6738019485969477`*^9}, {3.673801986993484*^9, 
   3.673802087377499*^9}, {3.6738021197637944`*^9, 3.6738021620654864`*^9}, {
   3.67385626437719*^9, 3.67385631840619*^9}, {3.67385640571719*^9, 
   3.67385642707019*^9}, {3.67385645727219*^9, 3.67385646106319*^9}, {
   3.6738565729661903`*^9, 3.67385662665819*^9}, {3.6738567214551897`*^9, 
   3.67385676840419*^9}, {3.6738568780141897`*^9, 3.67385687843419*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.06919183745659474`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", "1.`"}],
  SequenceForm[
  "j: ", 1, "  diffsum:  ", -0.06919183745659474, "  tar:  ", 1., 
   "  tarstar:  ", 1.],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580094802313`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.06880836492171305`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0001`"}],
  SequenceForm[
  "j: ", 2, "  diffsum:  ", -0.06880836492171305, "  tar:  ", 1., 
   "  tarstar:  ", 1.0001],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758009483232*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.06842602884109539`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0002`"}],
  SequenceForm[
  "j: ", 3, "  diffsum:  ", -0.06842602884109539, "  tar:  ", 1., 
   "  tarstar:  ", 1.0002],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580094932327`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.06804482860496286`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0003`"}],
  SequenceForm[
  "j: ", 4, "  diffsum:  ", -0.06804482860496286, "  tar:  ", 1., 
   "  tarstar:  ", 1.0003],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580094992332`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "5", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.06766476360264839`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0004`"}],
  SequenceForm[
  "j: ", 5, "  diffsum:  ", -0.06766476360264839, "  tar:  ", 1., 
   "  tarstar:  ", 1.0004],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580095092344`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "6", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.06728583322446191`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0005`"}],
  SequenceForm[
  "j: ", 6, "  diffsum:  ", -0.06728583322446191, "  tar:  ", 1., 
   "  tarstar:  ", 1.0005],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758009515235*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "7", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.0669080368605357`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0006`"}],
  SequenceForm[
  "j: ", 7, "  diffsum:  ", -0.0669080368605357, "  tar:  ", 1., 
   "  tarstar:  ", 1.0006],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580095192356`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "8", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.06653137390202346`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0007`"}],
  SequenceForm[
  "j: ", 8, "  diffsum:  ", -0.06653137390202346, "  tar:  ", 1., 
   "  tarstar:  ", 1.0007],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580095292363`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "9", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.06615584374007888`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0008`"}],
  SequenceForm[
  "j: ", 9, "  diffsum:  ", -0.06615584374007888, "  tar:  ", 1., 
   "  tarstar:  ", 1.0008],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580095332365`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "10", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.06578144576545597`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0009`"}],
  SequenceForm[
  "j: ", 10, "  diffsum:  ", -0.06578144576545597, "  tar:  ", 1., 
   "  tarstar:  ", 1.0009],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758009541238*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "11", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.06540817937024102`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.001`"}],
  SequenceForm[
  "j: ", 11, "  diffsum:  ", -0.06540817937024102, "  tar:  ", 1., 
   "  tarstar:  ", 1.001],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758009546238*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "12", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.06503604394629825`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0011`"}],
  SequenceForm[
  "j: ", 12, "  diffsum:  ", -0.06503604394629825, "  tar:  ", 1., 
   "  tarstar:  ", 1.0011],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758009551239*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "13", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.0646650388854475`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0012`"}],
  SequenceForm[
  "j: ", 13, "  diffsum:  ", -0.0646650388854475, "  tar:  ", 1., 
   "  tarstar:  ", 1.0012],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580095582395`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "14", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.06429516358048559`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0013`"}],
  SequenceForm[
  "j: ", 14, "  diffsum:  ", -0.06429516358048559, "  tar:  ", 1., 
   "  tarstar:  ", 1.0013],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.69675800956324*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "15", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.06392641742420935`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0014`"}],
  SequenceForm[
  "j: ", 15, "  diffsum:  ", -0.06392641742420935, "  tar:  ", 1., 
   "  tarstar:  ", 1.0014],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580095792418`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "16", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.06355879980959322`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0015`"}],
  SequenceForm[
  "j: ", 16, "  diffsum:  ", -0.06355879980959322, "  tar:  ", 1., 
   "  tarstar:  ", 1.0015],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580095922427`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "17", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.06319231012965609`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0016`"}],
  SequenceForm[
  "j: ", 17, "  diffsum:  ", -0.06319231012965609, "  tar:  ", 1., 
   "  tarstar:  ", 1.0016],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758009604244*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "18", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.06282694777861586`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0017`"}],
  SequenceForm[
  "j: ", 18, "  diffsum:  ", -0.06282694777861586, "  tar:  ", 1., 
   "  tarstar:  ", 1.0017],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758009620246*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "19", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.06246271215024635`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0018`"}],
  SequenceForm[
  "j: ", 19, "  diffsum:  ", -0.06246271215024635, "  tar:  ", 1., 
   "  tarstar:  ", 1.0018],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758009632247*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "20", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.06209960263827696`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0019`"}],
  SequenceForm[
  "j: ", 20, "  diffsum:  ", -0.06209960263827696, "  tar:  ", 1., 
   "  tarstar:  ", 1.0019],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758009646248*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "21", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.06173761863772498`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.002`"}],
  SequenceForm[
  "j: ", 21, "  diffsum:  ", -0.06173761863772498, "  tar:  ", 1., 
   "  tarstar:  ", 1.002],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.69675800966525*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "22", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.061376759543074755`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0021`"}],
  SequenceForm[
  "j: ", 22, "  diffsum:  ", -0.061376759543074755`, "  tar:  ", 1., 
   "  tarstar:  ", 1.0021],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758009677251*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "23", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.0610170247495212`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0022`"}],
  SequenceForm[
  "j: ", 23, "  diffsum:  ", -0.0610170247495212, "  tar:  ", 1., 
   "  tarstar:  ", 1.0022],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580096902523`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "24", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.06065841365252567`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0023`"}],
  SequenceForm[
  "j: ", 24, "  diffsum:  ", -0.06065841365252567, "  tar:  ", 1., 
   "  tarstar:  ", 1.0023],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580097462583`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "25", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.060300925647727155`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0024`"}],
  SequenceForm[
  "j: ", 25, "  diffsum:  ", -0.060300925647727155`, "  tar:  ", 1., 
   "  tarstar:  ", 1.0024],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580097892623`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "26", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.05994456013134197`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0025`"}],
  SequenceForm[
  "j: ", 26, "  diffsum:  ", -0.05994456013134197, "  tar:  ", 1., 
   "  tarstar:  ", 1.0025],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580097932625`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "27", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.05958931649874266`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0026`"}],
  SequenceForm[
  "j: ", 27, "  diffsum:  ", -0.05958931649874266, "  tar:  ", 1., 
   "  tarstar:  ", 1.0026],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758009830267*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "28", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.059235194147255754`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0027`"}],
  SequenceForm[
  "j: ", 28, "  diffsum:  ", -0.059235194147255754`, "  tar:  ", 1., 
   "  tarstar:  ", 1.0027],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580098402677`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "29", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.05888219247300874`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0028`"}],
  SequenceForm[
  "j: ", 29, "  diffsum:  ", -0.05888219247300874, "  tar:  ", 1., 
   "  tarstar:  ", 1.0028],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580098452682`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "30", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.05853031087390548`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0029`"}],
  SequenceForm[
  "j: ", 30, "  diffsum:  ", -0.05853031087390548, "  tar:  ", 1., 
   "  tarstar:  ", 1.0029],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580098592696`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "31", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.0581795487468284`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.003`"}],
  SequenceForm[
  "j: ", 31, "  diffsum:  ", -0.0581795487468284, "  tar:  ", 1., 
   "  tarstar:  ", 1.003],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580098722706`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "32", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.0578299054893705`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0031`"}],
  SequenceForm[
  "j: ", 32, "  diffsum:  ", -0.0578299054893705, "  tar:  ", 1., 
   "  tarstar:  ", 1.0031],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758009884272*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "33", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.057481380499657675`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0032`"}],
  SequenceForm[
  "j: ", 33, "  diffsum:  ", -0.057481380499657675`, "  tar:  ", 1., 
   "  tarstar:  ", 1.0032],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580101993036`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "34", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.05713397317594904`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0033`"}],
  SequenceForm[
  "j: ", 34, "  diffsum:  ", -0.05713397317594904, "  tar:  ", 1., 
   "  tarstar:  ", 1.0033],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580102103043`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "35", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.05678768291672576`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0034`"}],
  SequenceForm[
  "j: ", 35, "  diffsum:  ", -0.05678768291672576, "  tar:  ", 1., 
   "  tarstar:  ", 1.0034],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580102163053`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "36", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.056442509121001905`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0035`"}],
  SequenceForm[
  "j: ", 36, "  diffsum:  ", -0.056442509121001905`, "  tar:  ", 1., 
   "  tarstar:  ", 1.0035],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758010224306*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "37", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.05609845118721424`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0036`"}],
  SequenceForm[
  "j: ", 37, "  diffsum:  ", -0.05609845118721424, "  tar:  ", 1., 
   "  tarstar:  ", 1.0036],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580102303066`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "38", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.05575550851584232`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0037`"}],
  SequenceForm[
  "j: ", 38, "  diffsum:  ", -0.05575550851584232, "  tar:  ", 1., 
   "  tarstar:  ", 1.0037],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580102393074`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "39", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.05541368050558937`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0038`"}],
  SequenceForm[
  "j: ", 39, "  diffsum:  ", -0.05541368050558937, "  tar:  ", 1., 
   "  tarstar:  ", 1.0038],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580102463083`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "40", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.05507296655657967`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0039`"}],
  SequenceForm[
  "j: ", 40, "  diffsum:  ", -0.05507296655657967, "  tar:  ", 1., 
   "  tarstar:  ", 1.0039],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.69675801025931*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "41", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.05473336606973689`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.004`"}],
  SequenceForm[
  "j: ", 41, "  diffsum:  ", -0.05473336606973689, "  tar:  ", 1., 
   "  tarstar:  ", 1.004],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580102653103`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "42", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.05439487844491886`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0041`"}],
  SequenceForm[
  "j: ", 42, "  diffsum:  ", -0.05439487844491886, "  tar:  ", 1., 
   "  tarstar:  ", 1.0041],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758010276311*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "43", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.05405750308296042`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0042`"}],
  SequenceForm[
  "j: ", 43, "  diffsum:  ", -0.05405750308296042, "  tar:  ", 1., 
   "  tarstar:  ", 1.0042],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758010283312*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "44", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.053721239385229325`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0043`"}],
  SequenceForm[
  "j: ", 44, "  diffsum:  ", -0.053721239385229325`, "  tar:  ", 1., 
   "  tarstar:  ", 1.0043],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758010294313*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "45", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.05338608675313772`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0044`"}],
  SequenceForm[
  "j: ", 45, "  diffsum:  ", -0.05338608675313772, "  tar:  ", 1., 
   "  tarstar:  ", 1.0044],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758010300314*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "46", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.05305204458805335`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0045`"}],
  SequenceForm[
  "j: ", 46, "  diffsum:  ", -0.05305204458805335, "  tar:  ", 1., 
   "  tarstar:  ", 1.0045],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758010312315*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "47", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.05271911229209891`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0046`"}],
  SequenceForm[
  "j: ", 47, "  diffsum:  ", -0.05271911229209891, "  tar:  ", 1., 
   "  tarstar:  ", 1.0046],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758010323316*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "48", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.052387289267885606`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0047`"}],
  SequenceForm[
  "j: ", 48, "  diffsum:  ", -0.052387289267885606`, "  tar:  ", 1., 
   "  tarstar:  ", 1.0047],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758010331317*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "49", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.05205657491775817`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0048`"}],
  SequenceForm[
  "j: ", 49, "  diffsum:  ", -0.05205657491775817, "  tar:  ", 1., 
   "  tarstar:  ", 1.0048],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580103413177`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "50", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.05172696864379489`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0049`"}],
  SequenceForm[
  "j: ", 50, "  diffsum:  ", -0.05172696864379489, "  tar:  ", 1., 
   "  tarstar:  ", 1.0049],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758010348318*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.05139846984998364`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.005`"}],
  SequenceForm[
  "j: ", 51, "  diffsum:  ", -0.05139846984998364, "  tar:  ", 1., 
   "  tarstar:  ", 1.005],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580103583193`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "52", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.05107107793951293`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0051`"}],
  SequenceForm[
  "j: ", 52, "  diffsum:  ", -0.05107107793951293, "  tar:  ", 1., 
   "  tarstar:  ", 1.0051],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580103693204`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "53", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.05074479231579332`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0052`"}],
  SequenceForm[
  "j: ", 53, "  diffsum:  ", -0.05074479231579332, "  tar:  ", 1., 
   "  tarstar:  ", 1.0052],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758010374321*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "54", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.050419612383079127`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0053`"}],
  SequenceForm[
  "j: ", 54, "  diffsum:  ", -0.050419612383079127`, "  tar:  ", 1., 
   "  tarstar:  ", 1.0053],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758010381322*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "55", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.050095537545402635`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0054`"}],
  SequenceForm[
  "j: ", 55, "  diffsum:  ", -0.050095537545402635`, "  tar:  ", 1., 
   "  tarstar:  ", 1.0054],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580103923225`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "56", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.04977256720772871`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0055`"}],
  SequenceForm[
  "j: ", 56, "  diffsum:  ", -0.04977256720772871, "  tar:  ", 1., 
   "  tarstar:  ", 1.0055],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580104013233`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "57", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.049450700774267276`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0056`"}],
  SequenceForm[
  "j: ", 57, "  diffsum:  ", -0.049450700774267276`, "  tar:  ", 1., 
   "  tarstar:  ", 1.0056],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758010412325*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "58", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.04880752639753183`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0057`"}],
  SequenceForm[
  "j: ", 58, "  diffsum:  ", -0.04880752639753183, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0057],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758010422326*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "59", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.04848892657332016`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0058`"}],
  SequenceForm[
  "j: ", 59, "  diffsum:  ", -0.04848892657332016, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0058],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580104303265`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "60", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.048171428503840374`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0059`"}],
  SequenceForm[
  "j: ", 60, "  diffsum:  ", -0.048171428503840374`, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0059],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580104383273`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "61", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.04785503159534521`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.006`"}],
  SequenceForm[
  "j: ", 61, "  diffsum:  ", -0.04785503159534521, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.006],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758010443328*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "62", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.04753973525399857`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0061`"}],
  SequenceForm[
  "j: ", 62, "  diffsum:  ", -0.04753973525399857, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0061],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580104493284`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "63", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.04722553888631964`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0062`"}],
  SequenceForm[
  "j: ", 63, "  diffsum:  ", -0.04722553888631964, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0062],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580104563293`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "64", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.04691244189949373`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0063`"}],
  SequenceForm[
  "j: ", 64, "  diffsum:  ", -0.04691244189949373, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0063],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580104633303`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "65", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.04660044370075056`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0064`"}],
  SequenceForm[
  "j: ", 65, "  diffsum:  ", -0.04660044370075056, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0064],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580104733305`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "66", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.046289543697408675`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0065`"}],
  SequenceForm[
  "j: ", 66, "  diffsum:  ", -0.046289543697408675`, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0065],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580104903326`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "67", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.04597974129687543`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0066`"}],
  SequenceForm[
  "j: ", 67, "  diffsum:  ", -0.04597974129687543, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0066],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758010505334*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "68", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.04567103590771282`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0067`"}],
  SequenceForm[
  "j: ", 68, "  diffsum:  ", -0.04567103590771282, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0067],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580105193357`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "69", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.04536342693772788`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0068`"}],
  SequenceForm[
  "j: ", 69, "  diffsum:  ", -0.04536342693772788, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0068],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758010527336*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "70", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.04505691379641519`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0069`"}],
  SequenceForm[
  "j: ", 70, "  diffsum:  ", -0.04505691379641519, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0069],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580105413375`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "71", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.04475149589140415`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.007`"}],
  SequenceForm[
  "j: ", 71, "  diffsum:  ", -0.04475149589140415, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.007],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758010557339*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "72", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.044447172632589016`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0071`"}],
  SequenceForm[
  "j: ", 72, "  diffsum:  ", -0.044447172632589016`, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0071],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580105713406`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "73", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.044143943429375554`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0072`"}],
  SequenceForm[
  "j: ", 73, "  diffsum:  ", -0.044143943429375554`, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0072],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758010583342*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "74", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.04384180769148038`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0073`"}],
  SequenceForm[
  "j: ", 74, "  diffsum:  ", -0.04384180769148038, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0073],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580105993433`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "75", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.04354076482875335`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0074`"}],
  SequenceForm[
  "j: ", 75, "  diffsum:  ", -0.04354076482875335, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0074],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580106073446`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "76", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.04324081425157722`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0075`"}],
  SequenceForm[
  "j: ", 76, "  diffsum:  ", -0.04324081425157722, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0075],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580106233463`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "77", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.0429419553706456`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0076`"}],
  SequenceForm[
  "j: ", 77, "  diffsum:  ", -0.0429419553706456, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0076],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580106403475`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "78", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.04264418759643007`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0077`"}],
  SequenceForm[
  "j: ", 78, "  diffsum:  ", -0.04264418759643007, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0077],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580106473484`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "79", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.04234751034033479`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0078`"}],
  SequenceForm[
  "j: ", 79, "  diffsum:  ", -0.04234751034033479, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0078],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580106593494`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "80", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.04205192301389715`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0079`"}],
  SequenceForm[
  "j: ", 80, "  diffsum:  ", -0.04205192301389715, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0079],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580106743507`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "81", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.04175742502856572`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.008`"}],
  SequenceForm[
  "j: ", 81, "  diffsum:  ", -0.04175742502856572, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.008],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580106933527`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "82", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.04146401579636638`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0081`"}],
  SequenceForm[
  "j: ", 82, "  diffsum:  ", -0.04146401579636638, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0081],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580107093544`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "83", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.04117169472954707`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0082`"}],
  SequenceForm[
  "j: ", 83, "  diffsum:  ", -0.04117169472954707, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0082],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580107263565`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "84", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.04088046124062217`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0083`"}],
  SequenceForm[
  "j: ", 84, "  diffsum:  ", -0.04088046124062217, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0083],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758010739358*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "85", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.04059031474263897`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0084`"}],
  SequenceForm[
  "j: ", 85, "  diffsum:  ", -0.04059031474263897, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0084],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580107543592`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "86", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.04030125464842271`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0085`"}],
  SequenceForm[
  "j: ", 86, "  diffsum:  ", -0.04030125464842271, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0085],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758010770361*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "87", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.04001328037168683`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0086`"}],
  SequenceForm[
  "j: ", 87, "  diffsum:  ", -0.04001328037168683, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0086],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758010782362*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "88", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.039726391325523025`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0087`"}],
  SequenceForm[
  "j: ", 88, "  diffsum:  ", -0.039726391325523025`, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0087],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758010796363*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "89", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.03944058692399999`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0088`"}],
  SequenceForm[
  "j: ", 89, "  diffsum:  ", -0.03944058692399999, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0088],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580108163652`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "90", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.039155866582030185`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0089`"}],
  SequenceForm[
  "j: ", 90, "  diffsum:  ", -0.039155866582030185`, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0089],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580108293667`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "91", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.038872229713282636`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.009`"}],
  SequenceForm[
  "j: ", 91, "  diffsum:  ", -0.038872229713282636`, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.009],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758010844368*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "92", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.03858967573289185`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0091`"}],
  SequenceForm[
  "j: ", 92, "  diffsum:  ", -0.03858967573289185, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0091],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580108573694`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "93", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.03830820405612556`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0092`"}],
  SequenceForm[
  "j: ", 93, "  diffsum:  ", -0.03830820405612556, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0092],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580108723707`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "94", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.038027814097718604`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0093`"}],
  SequenceForm[
  "j: ", 94, "  diffsum:  ", -0.038027814097718604`, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0093],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758010885372*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "95", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.03774850527369367`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0094`"}],
  SequenceForm[
  "j: ", 95, "  diffsum:  ", -0.03774850527369367, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0094],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580108983736`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "96", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.03747027699994021`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0095`"}],
  SequenceForm[
  "j: ", 96, "  diffsum:  ", -0.03747027699994021, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0095],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758010909374*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "97", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.03719312869265856`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0096`"}],
  SequenceForm[
  "j: ", 97, "  diffsum:  ", -0.03719312869265856, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0096],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758010925376*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "98", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.03691705976804904`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0097`"}],
  SequenceForm[
  "j: ", 98, "  diffsum:  ", -0.03691705976804904, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0097],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758010937377*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "99", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.036642069642933706`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0098`"}],
  SequenceForm[
  "j: ", 99, "  diffsum:  ", -0.036642069642933706`, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0098],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580109493785`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "100", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.036368157734711914`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", 
   "1.0099`"}],
  SequenceForm[
  "j: ", 100, "  diffsum:  ", -0.036368157734711914`, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.0099],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.6967580109613795`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"j: \"\>", "\[InvisibleSpace]", "101", 
   "\[InvisibleSpace]", "\<\"  diffsum:  \"\>", "\[InvisibleSpace]", 
   RowBox[{"-", "0.03609532346016131`"}], 
   "\[InvisibleSpace]", "\<\"  tar:  \"\>", "\[InvisibleSpace]", "1.0001`", 
   "\[InvisibleSpace]", "\<\"  tarstar:  \"\>", "\[InvisibleSpace]", "1.01`"}],
  SequenceForm[
  "j: ", 101, "  diffsum:  ", -0.03609532346016131, "  tar:  ", 1.0001, 
   "  tarstar:  ", 1.01],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.67385677024419*^9, 3.6738568808491898`*^9, 3.67385696896019*^9, 
   3.6738571419031897`*^9, 3.674367267864229*^9, 3.6743673573482294`*^9, 
   3.674367468247229*^9, 3.6743742285191264`*^9, 3.674374265545829*^9, 
   3.6743794140546513`*^9, 3.6743813123704643`*^9, 3.674383622737478*^9, 
   3.674383727077911*^9, 3.6743911178931484`*^9, 3.6744033276115036`*^9, {
   3.6744033587685003`*^9, 3.674403380695148*^9}, 3.674403674131591*^9, 
   3.67440556040889*^9, 3.6744084823254695`*^9, 3.6744108260722017`*^9, 
   3.6744112093000984`*^9, 3.6744122923943925`*^9, 3.674413775624571*^9, 
   3.67441381904014*^9, 3.67441390753614*^9, 3.6745623471593328`*^9, 
   3.6745625656890745`*^9, 3.674966654548173*^9, 3.6835305042535954`*^9, 
   3.6835306171478405`*^9, 3.6835307423553486`*^9, 3.6835368960024605`*^9, 
   3.683536941370803*^9, 3.696758010975381*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["save result", "Subsubsection",
 CellChangeTimes->{{3.4475766687268753`*^9, 3.4475766712893753`*^9}, {
  3.45189577934375*^9, 3.45189578046875*^9}, {3.673762362042098*^9, 
  3.673762364104598*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Mat", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"AppendTo", "[", 
    RowBox[{"Mat", ",", "ivec"}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "tauvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "tarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "fxvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "fevec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Mvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Xvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Rvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "VPDvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "VPXvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Yvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Bvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "YDvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "YXvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Mevec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Wvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "LEMPvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"AppendTo", "[", 
    RowBox[{"Mat", ",", "PSIvec"}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "taustarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "tarstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "fxstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "festarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Mstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Xstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Rstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "VPDstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "VPXstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Ystarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Bstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "YDstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "YXstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Mestarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Wstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "LEMPstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"AppendTo", "[", 
    RowBox[{"Mat", ",", "PSIstarvec"}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Qvec"}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.621537280947799*^9, 3.6215373138086786`*^9}, {
   3.62153753289421*^9, 3.6215375346923127`*^9}, 3.6215375907055163`*^9, {
   3.6215780728885794`*^9, 3.621578089618537*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Mat", "=", 
   RowBox[{"Transpose", "[", "Mat", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4513823994362497`*^9, 3.4513824081237497`*^9}, {
  3.452074511703125*^9, 3.45207451434375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "[", "Mat", "]"}]], "Input",
 CellChangeTimes->{{3.6215376770564556`*^9, 3.6215376796626043`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"i\"\>", "\<\"icebergSS\"\>", "\<\"tarr\"\>", "\<\"fxSS\"\>", \
"\<\"feSS\"\>", "\<\"MSS\"\>", "\<\"XSS\"\>", "\<\"RSS\"\>", "\<\"VPDSS\"\>", \
"\<\"VPXSS\"\>", "\<\"YSS\"\>", "\<\"BSS\"\>", "\<\"YDSS\"\>", \
"\<\"YXSS\"\>", "\<\"MeSS\"\>", "\<\"wageSS\"\>", "\<\"employmentSS\"\>", "\<\
\"psiSS\"\>", "\<\"icebergstarSS\"\>", "\<\"tarstar\"\>", "\<\"fxstarSS\"\>", \
"\<\"festarSS\"\>", "\<\"MstarSS\"\>", "\<\"XstarSS\"\>", "\<\"RstarSS\"\>", \
"\<\"VPDstarSS\"\>", "\<\"VPXstarSS\"\>", "\<\"YstarSS\"\>", \
"\<\"BstarSS\"\>", "\<\"YDstarSS\"\>", "\<\"YXstarSS\"\>", \
"\<\"MestarSS\"\>", "\<\"wagestarSS\"\>", "\<\"employmentstarSS\"\>", \
"\<\"psistarSS\"\>", "\<\"QSS\"\>"},
     {"1", "1.6453674496705013`", "1.014`", "0.004671410665004113`", "1", 
      "7.682160612686263`", "0.20999999999999938`", "3.2540635231994757`", 
      "2.1970263567164574`", "2.3227586660532413`", "3.2540635231994757`", 
      "2.9403082433498176`", "0.16347525071465244`", "0.13245358151108858`", 
      "0.1969784772483659`", "3.0078439228422824`", "1.`", 
      "1.5825129268165026`", "1.6453674496705013`", "1.02`", 
      "0.004671410665004113`", "1", "7.682895086497973`", 
      "0.20929897035265768`", "3.257461147523833`", "2.197348619205303`", 
      "2.3215199579134365`", "3.257461147523833`", "2.9432013904175087`", 
      "0.16355475578763998`", "0.13258391059880265`", "0.19699730991020462`", 
      "3.0082851170344553`", "1.`", "1.5840700569725523`", 
      "1.003106361933458`"},
     {"2", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.6676386059975865`", "0.2238883281623982`", "3.2554163761743715`", 
      "2.2028721269103766`", "2.3339146474127284`", "3.2554163761743715`", 
      "2.8854450948844637`", "0.1619001496494912`", "0.12998213297379785`", 
      "0.1966061181025024`", "3.0158470878013`", "1.`", "1.5529848520479326`",
       "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.6676386059975865`", "0.22388832816239823`", "3.255416376174371`", 
      "2.2028721269103766`", "2.3339146474127284`", "3.255416376174371`", 
      "2.8854450948844637`", "0.1619001496494912`", "0.12998213297379785`", 
      "0.1966061181025024`", "3.0158470878013`", "1.`", "1.5529848520479326`",
       "1.`"},
     {"3", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.667690508135924`", "0.22383859713906107`", "3.2554487375181016`", 
      "2.2028576949563266`", "2.3338691360483255`", "3.2554487375181016`", 
      "2.8856336300065806`", "0.1619057897371186`", "0.1299906260126558`", 
      "0.19660744892656234`", "3.015827329701835`", "1.`", 
      "1.5530863241533095`", "1.6453674496705013`", "1.`", 
      "0.004671410665004113`", "1", "7.667677262179325`", 
      "0.22385128894092474`", "3.25538784955599`", "2.2028520062716064`", 
      "2.3338908655612833`", "3.25538784955599`", "2.885585509006046`", 
      "0.16190435033632075`", "0.1299884582811327`", "0.19660710928664954`", 
      "3.015819541595101`", "1.`", "1.5530604247920536`", 
      "0.9999476122133202`"},
     {"4", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.667677262179333`", "0.2238512889409243`", "3.2553878495559907`", 
      "2.2028520062716073`", "2.3338908655612833`", "3.2553878495559907`", 
      "2.885585509006048`", "0.16190435033632056`", "0.12998845828113276`", 
      "0.19660710928664973`", "3.0158195415951017`", "1.`", 
      "1.5530604247920545`", "1.6453674496705013`", "1.0001`", 
      "0.004671410665004113`", "1", "7.667690508135923`", 
      "0.223838597139061`", "3.2554487375181007`", "2.2028576949563266`", 
      "2.3338691360483255`", "3.2554487375181007`", "2.885633630006581`", 
      "0.1619057897371186`", "0.12999062601265582`", "0.19660744892656232`", 
      "3.015827329701835`", "1.`", "1.5530863241533097`", 
      "1.000052390531304`"},
     {"5", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.667729157842876`", "0.2238015646228741`", "3.255420205491701`", 
      "2.202837576783517`", "2.333845352465368`", "3.255420205491701`", 
      "2.885774059075028`", "0.16190998966348844`", "0.12999695199330974`", 
      "0.19660843994468932`", "3.0157997868716646`", "1.`", 
      "1.5531619049420315`", "1.6453674496705013`", "1.0001`", 
      "0.004671410665004113`", "1", "7.667729157842876`", 
      "0.2238015646228741`", "3.255420205491701`", "2.202837576783517`", 
      "2.333845352465368`", "3.255420205491701`", "2.885774059075028`", 
      "0.16190998966348844`", "0.12999695199330974`", "0.19660843994468932`", 
      "3.0157997868716646`", "1.`", "1.5531619049420315`", "1.`"},
     {"6", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.667715910165768`", "0.22381425794528462`", "3.2553593303211144`", 
      "2.2028318908172895`", "2.3338670820479486`", "3.2553593303211144`", 
      "2.8857259220038154`", "0.16190855009024321`", "0.12999478353784255`", 
      "0.19660810026066092`", "3.0157920024866884`", "1.`", 
      "1.5531359969313239`", "1.6453674496705013`", "1.0002`", 
      "0.004671410665004113`", "1", "7.667742395901279`", 
      "0.22378888056046875`", "3.2554810801137832`", "2.2028432662699076`", 
      "2.3338236296602264`", "3.2554810801137832`", "2.8858221645588307`", 
      "0.16191142818653967`", "0.1299991190258426`", "0.1966087793820843`", 
      "3.0158075760759275`", "1.`", "1.5531877959519758`", 
      "1.0001047796522446`"},
     {"7", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.667767799355232`", "0.22376454033157073`", "3.2553916808500696`", 
      "2.202817463794605`", "2.333821567221349`", "3.2553916808500696`", 
      "2.8859144870187325`", "0.1619141886570603`", "0.13000327792329683`", 
      "0.19660943075269843`", "3.0157722511385203`", "1.`", 
      "1.5532374851254023`", "1.6453674496705013`", "1.0002`", 
      "0.004671410665004113`", "1", "7.667781039134459`", 
      "0.22375185474823112`", "3.255452542681811`", "2.202823150562496`", 
      "2.333799844346303`", "3.255452542681811`", "2.885962608573439`", 
      "0.16191562735260304`", "0.13000544567978398`", "0.19660977023421708`", 
      "3.015780036621015`", "1.`", "1.5532633847849207`", 
      "1.0000523863763429`"},
     {"8", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.667754549958795`", "0.22377723517341172`", "3.255330818467387`", 
      "2.20281178054578`", "2.3338432968744707`", "3.255330818467387`", 
      "2.885866333876987`", "0.16191274891149376`", "0.13000110874389204`", 
      "0.19660909102458468`", "3.0157644704738105`", "1.`", 
      "1.55321156846532`", "1.6453674496705013`", "1.0003`", 
      "0.004671410665004113`", "1", "7.667794269298183`", 
      "0.223739178421638`", "3.255513403969872`", "2.2028288408499686`", 
      "2.3337781282475514`", "3.255513403969872`", "2.8860106985404954`", 
      "0.16191706499832195`", "0.130007612013326`", "0.19661010946918434`", 
      "3.0157878269220015`", "1.`", "1.5532892674435461`", 
      "1.0001571673628888`"},
     {"9", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.6678064326749675`", "0.2237275242630811`", "3.255363163590855`", 
      "2.202797355987954`", "2.3337977803180148`", "3.255363163590855`", 
      "2.8860549138369223`", "0.1619183867180668`", "0.13000960380258228`", 
      "0.19661042135064039`", "3.015744722500162`", "1.`", 
      "1.553313064703006`", "1.6453674496705013`", "1.0003`", 
      "0.004671410665004113`", "1", "7.667832906058707`", 
      "0.223702159312009`", "3.255484861134782`", "2.2028087276074033`", 
      "2.3337543412032065`", "3.255484861134782`", "2.8861511575005783`", 
      "0.16192126340422944`", "0.13001393934052385`", "0.19661110015535166`", 
      "3.0157602908415932`", "1.`", "1.5533648643203433`", 
      "1.0001047713424138`"},
     {"10", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.667793181560378`", "0.2237402206232364`", "3.2553023139924595`", 
      "2.202791675455441`", "2.3338195100425967`", "3.2553023139924595`", 
      "2.8860067446247872`", "0.16191694680030505`", "0.13000743389924635`", 
      "0.19661008157847137`", "3.0157369455542256`", "1.`", 
      "1.5532871393936267`", "1.6453674496705013`", "1.0004`", 
      "0.004671410665004113`", "1", "7.667846128331289`", 
      "0.2236894907175831`", "3.2555457090948225`", "2.2028144186953735`", 
      "2.3337326318094194`", "3.2555457090948225`", "2.8861992319508785`", 
      "0.1619227001730293`", "0.13001610497507454`", "0.19661143918798196`", 
      "3.015768082238502`", "1.`", "1.5533907386276449`", 
      "1.0002095536633013`"},
     {"11", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.667845057803923`", "0.2236905164153405`", "3.255334653711703`", 
      "2.202777253361915`", "2.333773991757113`", "3.255334653711703`", 
      "2.8861953395288076`", "0.16192258384674396`", "0.1300159296311305`", 
      "0.1966114117385623`", "3.015717200954333`", "1.`", 
      "1.5533886436744175`", "1.6453674496705013`", "1.0004`", 
      "0.004671410665004113`", "1", "7.667884758620201`", 
      "0.22365247830922472`", "3.2555171608590623`", "2.202794307917095`", 
      "2.333708843035197`", "3.2555171608590623`", "2.8863397058557427`", 
      "0.16192689781893335`", "0.13002243297549768`", "0.19661242970821047`", 
      "3.015740549531831`", "1.`", "1.553466343547922`", "1.00015715489828`"},
     {"12", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.6678318049723515`", "0.22370321429269444`", "3.2552738168939763`", 
      "2.2027715755446233`", "2.333795721554073`", "3.2552738168939763`", 
      "2.886147154246427`", "0.16192114375691322`", "0.13001375900386997`", 
      "0.19661107192236815`", "3.0157094277256764`", "1.`", 
      "1.553362709715819`", "1.6453674496705013`", "1.0005`", 
      "0.004671410665004113`", "1", "7.667897973005191`", 
      "0.22363981744332165`", "3.2555779954970876`", "2.2027999998049794`", 
      "2.333687140344949`", "3.2555779954970876`", "2.8863877647892755`", 
      "0.1619283337112271`", "0.13002459791105656`", "0.19661276853859483`", 
      "3.015748342023864`", "1.`", "1.5534922095038932`", 
      "1.0002619385535472`"},
     {"13", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.667883674744103`", "0.22365351678627873`", "3.255306151210264`", 
      "2.2027571559148558`", "2.3337502015403877`", "3.255306151210264`", 
      "2.8863357640936216`", "0.1619267800433236`", "0.13002225540890697`", 
      "0.19661240191651566`", "3.015689686498797`", "1.`", 
      "1.5534642220392243`", "1.6453674496705013`", "1.0005`", 
      "0.004671410665004113`", "1", "7.667936596823594`", 
      "0.2236028117348944`", "3.2555494418631064`", "2.2027798914904353`", 
      "2.3336633498413937`", "3.2555494418631064`", "2.886528253638229`", 
      "0.1619325305972785`", "0.13003092658467377`", "0.19661375889291285`", 
      "3.0157208126901742`", "1.`", "1.553567822467277`", 
      "1.0002095370440052`"},
     {"14", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.667870420196662`", "0.22366621617971882`", "3.2552453271695874`", 
      "2.2027514808116897`", "2.333771931410646`", "3.2552453271695874`", 
      "2.8862875627411286`", "0.1619253397815514`", "0.1300200840577278`", 
      "0.19661206205632484`", "3.0156819169859204`", "1.`", 
      "1.5534382794314783`", "1.6453674496705013`", "1.0006`", 
      "0.004671410665004113`", "1", "7.667949803324523`", 
      "0.22359015859387255`", "3.255610263185116`", "2.202785584177649`", 
      "2.3336416538532583`", "3.255610263185116`", "2.886576297054986`", 
      "0.16193396561347934`", "0.13003309082124048`", "0.19661409752114178`", 
      "3.0157286062765323`", "1.`", "1.5535936800719141`", 
      "1.000314322033692`"},
     {"15", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.667922283497322`", "0.22361652537383322`", "3.2552776560841825`", 
      "2.202737063645125`", "2.3337264096695853`", "3.2552776560841825`", 
      "2.8864761875305693`", "0.16193097530804224`", "0.13002858113587587`", 
      "0.1966133918845469`", "3.0156621791312954`", "1.`", 
      "1.5535397997969989`", "1.6453674496705013`", "1.0006`", 
      "0.004671410665004113`", "1", "7.667988420673429`", 
      "0.22355315958403993`", "3.2555817041553587`", "2.202765478326277`", 
      "2.3336178616209167`", "3.2555817041553587`", "2.886716800847327`", 
      "0.1619381617398313`", "0.13003942016802017`", "0.19661508770957525`", 
      "3.0157010803150537`", "1.`", "1.5536693010780276`", 
      "1.000261917779655`"},
     {"16", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.667909027235169`", "0.22362922628224535`", "3.2552168448169403`", 
      "2.202731391254994`", "2.333748139614059`", "3.2552168448169403`", 
      "2.8864279701081075`", "0.161929534874455`", "0.13002640906078455`", 
      "0.19661305198038914`", "3.0156544133327055`", "1.`", 
      "1.553513848540182`", "1.6453674496705013`", "1.0007`", 
      "0.004671410665004113`", "1", "7.6680016192938805`", 
      "0.2235405141642576`", "3.255642512167348`", "2.2027711718122425`", 
      "2.3335961723334675`", "3.255642512167348`", "2.886764828747306`", 
      "0.16193959588035062`", "0.13004158370559454`", "0.1966154261357407`", 
      "3.015708874994943`", "1.`", "1.5536951503313283`", 
      "1.0003667041038011`"},
     {"17", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.667960884065463`", "0.22357954217593942`", "3.2552491683311064`", 
      "2.20271697655108`", "2.3337026161464514`", "3.2552491683311064`", 
      "2.8866166098388675`", "0.16193516964113464`", "0.13003490681200192`", 
      "0.19661438164270437`", "3.015634678849578`", "1.`", 
      "1.5536153769473189`", "1.6453674496705013`", "1.0007`", 
      "0.004671410665004113`", "1", "7.668040230174348`", 
      "0.2235035218516818`", "3.2556139477442634`", "2.202751068423486`", 
      "2.333572378372884`", "3.2556139477442634`", "2.88690534748234`", 
      "0.16194379124715513`", "0.13004791372550545`", "0.19661641615831682`", 
      "3.015681352404914`", "1.`", "1.5537707793797975`", 
      "1.0003142971052947`"},
     {"18", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.667947626089831`", "0.22359224459820706`", "3.2551883698336868`", 
      "2.2027113068729016`", "2.3337243461660537`", "3.2551883698336868`", 
      "2.8865683763465904`", "0.16193372903585662`", "0.1300327340130053`", 
      "0.19661404169461125`", "3.0156269167637926`", "1.`", 
      "1.5535894170415143`", "1.6453674496705013`", "1.0008`", 
      "0.004671410665004113`", "1", "7.668053420917769`", 
      "0.22349088414950358`", "3.255674742452221`", "2.20275676270761`", 
      "2.3335506957846994`", "3.255674742452221`", "2.8869533598655193`", 
      "0.1619452245124078`", "0.13005007656408654`", "0.1966167543825071`", 
      "3.0156891481775245`", "1.`", "1.553796620281751`", 
      "1.0004190847639403`"},
     {"19", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.667999476450513`", "0.22354256719052887`", "3.2552206879486882`", 
      "2.2026968946310883`", "2.3336788209727253`", "3.2552206879486882`", 
      "2.88675703101775`", "0.16193936304283288`", "0.13004123243725058`", 
      "0.19661537119103897`", "3.0156071856514095`", "1.`", 
      "1.5536909534897725`", "1.6453674496705013`", "1.0008`", 
      "0.004671410665004113`", "1", "7.6680920253309015`", 
      "0.22345389853284525`", "3.255646172638257`", "2.2027366617809165`", 
      "2.3335269000964174`", "3.255646172638257`", "2.887093893542557`", 
      "0.16194941911981572`", "0.13005640725709758`", "0.19661774423925404`", 
      "3.0156616289581883`", "1.`", "1.5538722573722048`", 
      "1.00036667502099`"},
     {"20", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.6679862167624995`", "0.22355527112554138`", "3.255159902217479`", 
      "2.202691227663767`", "2.3337005510683744`", "3.255159902217479`", 
      "2.8867087814557895`", "0.161937922265992`", "0.13003905891435466`", 
      "0.19661503119903861`", "3.0155994272769293`", "1.`", 
      "1.5536649849350512`", "1.6453674496705013`", "1.0009`", 
      "0.004671410665004113`", "1", "7.668105208200903`", 
      "0.22344126854463187`", "3.255706954048175`", "2.2027423568626245`", 
      "2.3335052242060708`", "3.255706954048175`", "2.8871418904089388`", 
      "0.16195085151021196`", "0.1300585693966855`", "0.1966180822615618`", 
      "3.015669425822733`", "1.`", "1.5538980899228116`", 
      "1.0004714640141745`"},
     {"21", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.668038060654328`", "0.2235056004155389`", "3.2551922149345787`", 
      "2.202676817883506`", "2.3336550241501506`", "3.2551922149345787`", 
      "2.886897451066428`", "0.16194355551337214`", "0.13004755801158638`", 
      "0.19661636052959833`", "3.01557969953454`", "1.`", 
      "1.5537665294239353`", "1.6453674496705013`", "1.0009`", 
      "0.004671410665004113`", "1", "7.668143806147743`", 
      "0.223404289622554`", "3.2556783788457753`", "2.2027222583974364`", 
      "2.3334814267906347`", "3.2556783788457753`", "2.8872824390272838`", 
      "0.16195504535837563`", "0.13006490076276533`", "0.1966190719525064`", 
      "3.015641909973326`", "1.`", "1.5539737350548757`", 
      "1.0004190515268065`"},
     {"22", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.668024799255102`", "0.22351830586218294`", "3.2551314419659656`", 
      "2.2026711536259533`", "2.3336767543227612`", "3.2551314419659656`", 
      "2.886849185434931`", "0.16194211456509425`", "0.13004538376479774`", 
      "0.19661602049372073`", "3.015571944869875`", "1.`", 
      "1.553740552220376`", "1.6453674496705013`", "1.001`", 
      "0.004671410665004113`", "1", "7.668156981147798`", 
      "0.22339166734467217`", "3.2557391469636405`", "2.2027279542761398`", 
      "2.3334597575967027`", "3.2557391469636405`", "2.887330420376852`", 
      "0.16195647687432926`", "0.13006706220335937`", "0.19661940977302067`", 
      "3.015649707929`", "1.`", "1.5539995592541276`", "1.000523841854569`"},
     {"23", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.668076636678803`", "0.2234686418489055`", "3.255163749286428`", 
      "2.202656746306692`", "2.3336312256804685`", "3.255163749286428`", 
      "2.8870378699841237`", "0.1619477470529868`", "0.13005388353497419`", 
      "0.19661734965843103`", "3.0155522204967236`", "1.`", 
      "1.5538421047493882`", "1.6453674496705013`", "1.001`", 
      "0.004671410665004113`", "1", "7.668195572629464`", 
      "0.2233546951158352`", "3.255710566375253`", "2.2027078582719066`", 
      "2.3334359584546553`", "3.255710566375253`", "2.887470983935818`", 
      "0.161960669963399`", "0.13007339424247705`", "0.19662039929819156`", 
      "3.0156221954487687`", "1.`", "1.5540752124274322`", 
      "1.0004714266228083`"},
     {"24", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.668063373569523`", "0.2234813488060688`", "3.2551029890768013`", 
      "2.20265108475782`", "2.3336529559309547`", "3.2551029890768013`", 
      "2.8869895882832335`", "0.16194630593339798`", "0.13005170856429932`", 
      "0.19661700957870587`", "3.0155444695403824`", "1.`", 
      "1.553816118897068`", "1.6453674496705013`", "1.0011`", 
      "0.004671410665004113`", "1", "7.668208739763068`", 
      "0.2233420805446533`", "3.2557713212070443`", "2.20271355494702`", 
      "2.333414295955716`", "3.2557713212070443`", "2.887518949768558`", 
      "0.16196210060532287`", "0.1300755549840765`", "0.1966207369170019`", 
      "3.0156299944947698`", "1.`", "1.554101028275321`", 
      "1.000576218285189`"},
     {"25", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.668115204525892`", "0.22343169148856315`", "3.25513529100189`", 
      "2.2026366798990136`", "2.3336074255654173`", "3.25513529100189`", 
      "2.8871782877700647`", "0.16195193766190955`", "0.13006020900737925`", 
      "0.19661833857758715`", "3.0155247485357224`", "1.`", 
      "1.5539176794657155`", "1.6453674496705013`", "1.0011`", 
      "0.004671410665004113`", "1", "7.668247324780594`", 
      "0.22330511500772074`", "3.255742735235112`", "2.2026934614031832`", 
      "2.333390495087602`", "3.255742735235112`", "2.887659528267449`", 
      "0.16196629293545117`", "0.13008188769620072`", "0.19662172627642566`", 
      "3.0156024853829497`", "1.`", "1.5541766894894915`", 
      "1.0005238003090624`"},
     {"26", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.668101939707666`", "0.22344439995513585`", "3.2550745435476394`", 
      "2.202631021057728`", "2.3336291558946947`", "3.2550745435476394`", 
      "2.8871299899999165`", "0.16195049637113712`", "0.13005803331282423`", 
      "0.1966179984540429`", "3.01551700128621`", "1.`", 
      "1.5538916849647078`", "1.6453674496705013`", "1.0012`", 
      "0.004671410665004113`", "1", "7.668260484051345`", 
      "0.22329250813960466`", "3.2558034767868147`", "2.202699158874132`", 
      "2.3333688392822296`", "3.2558034767868147`", "2.887707478583363`", 
      "0.16196772270375526`", "0.13008404773880566`", "0.19662206369362442`", 
      "3.0156102855184908`", "1.`", "1.5542024969860184`", 
      "1.0006285933060999`"},
     {"27", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.668153764197426`", "0.2233947493324514`", "3.2551068400786156`", 
      "2.202616618658825`", "2.3335836238067382`", "3.2551068400786156`", 
      "2.887318704423462`", "0.1619561273403761`", "0.13006653442876603`", 
      "0.19661932728711365`", "3.0154972836492853`", "1.`", 
      "1.553993253572493`", "1.6453674496705013`", "1.0012`", 
      "0.004671410665004113`", "1", "7.668299062605761`", 
      "0.22325554929324068`", "3.2557748854337807`", "2.2026790677901333`", 
      "2.3333450366885935`", "3.2557748854337807`", "2.8878480720214785`", 
      "0.1619719142750948`", "0.13009038112390484`", "0.19662305288732737`", 
      "3.015582779774317`", "1.`", "1.5542781662406782`", 
      "1.0005761725856324`"},
     {"28", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.668140497671445`", "0.22340745930732067`", "3.2550461053761333`", 
      "2.2026109625240413`", "2.3336053542157185`", "3.2550461053761333`", 
      "2.8872703905842063`", "0.16195468587854522`", "0.1300643580103377`", 
      "0.19661898711978082`", "3.0154895401051154`", "1.`", 
      "1.553967250422878`", "1.6453674496705013`", "1.0013`", 
      "0.004671410665004113`", "1", "7.668312214017212`", 
      "0.2232429501245592`", "3.2558356137113704`", "2.2026847660563385`", 
      "2.333323387575364`", "3.2558356137113704`", "2.8878960068205632`", 
      "0.1619733431701899`", "0.1300925404675152`", "0.19662339010300564`", 
      "3.0155905809986057`", "1.`", "1.5543039653858415`", 
      "1.0006809669173664`"},
     {"29", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.668192315695327`", "0.22335781537850646`", "3.2550783965142602`", 
      "2.2025965625844903`", "2.333559820406168`", "3.2550783965142602`", 
      "2.8874591199435415`", "0.1619603160886199`", "0.13007285979909972`", 
      "0.19662031578705982`", "3.015469825835172`", "1.`", 
      "1.554068827069304`", "1.6453674496705013`", "1.0013`", 
      "0.004671410665004113`", "1", "7.668350786109592`", 
      "0.22320599796742657`", "3.2558070169796776`", "2.2026646774316228`", 
      "2.33329958325675`", "3.2558070169796776`", "2.888036615197211`", 
      "0.16197753398289216`", "0.13009887452555813`", "0.19662437913101535`", 
      "3.01556307862132`", "1.`", "1.5543796426806176`", 
      "1.0006285434525841`"},
     {"30", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.668179047462745`", "0.2233705268605618`", "3.2550176745599386`", 
      "2.2025909091551217`", "2.333581550895763`", "3.2550176745599386`", 
      "2.887410790035322`", "0.16195887445585658`", "0.1300706826568044`", 
      "0.19661997557596803`", "3.0154620859948578`", "1.`", 
      "1.5540428152711592`", "1.6453674496705013`", "1.0014`", 
      "0.004671410665004113`", "1", "7.668363929665184`", 
      "0.22319340649455505`", "3.255867731989128`", "2.202670376492495`", 
      "2.3332779408342432`", "3.255867731989128`", "2.8880845344794457`", 
      "0.16197896200519196`", "0.13010103317017294`", "0.1966247161452613`", 
      "3.015570880933549`", "1.`", "1.5544054334744064`", 
      "1.0007333391190545`"},
     {"31", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.668230859021482`", "0.22332088962466706`", "3.255049960306477`", 
      "2.2025765116743714`", "2.333536015365445`", "3.255049960306477`", 
      "2.887599534329523`", "0.1619645039068751`", "0.13007918511834507`", 
      "0.19662130407747408`", "3.0154423750911414`", "1.`", 
      "1.554144399955728`", "1.6453674496705013`", "1.0014`", 
      "0.004671410665004113`", "1", "7.668402495296647`", 
      "0.22315646102531472`", "3.25583912988122`", "2.2026502903265137`", 
      "2.3332541347911913`", "3.25583912988122`", "2.8882251577939413`", 
      "0.16198315205940714`", "0.1301073679011288`", "0.19662570500760654`", 
      "3.015543381922399`", "1.`", "1.55448111880893`", "1.0006809129099827`"},
     {"32", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.668217589083509`", "0.22333360261279592`", "3.2549892510967133`", 
      "2.2025708609493364`", "2.333557745936564`", "3.2549892510967133`", 
      "2.8875511883524916`", "0.16196306210330383`", "0.1300770072521897`", 
      "0.1966209638226543`", "3.0154346389531996`", "1.`", 
      "1.5541183795091353`", "1.6453674496705013`", "1.0015`", 
      "0.004671410665004113`", "1", "7.668415630999891`", 
      "0.22314387724462714`", "3.2558998316284993`", "2.202655990181471`", 
      "2.3332324990579862`", "3.2558998316284993`", "2.8882730615593175`", 
      "0.16198457920932313`", "0.13010952584674768`", "0.1966260418205102`", 
      "3.0155511853217725`", "1.`", "1.55450690125134`", 
      "1.0007857099112294`"},
     {"33", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.6682693941778375`", "0.22328397206886944`", "3.255021531452925`", 
      "2.2025564659268366`", "2.3335122086863027`", "3.255021531452925`", 
      "2.887739947580636`", "0.1619686907953744`", "0.1300855103864674`", 
      "0.19662229215840626`", "3.015414931414957`", "1.`", 
      "1.554219972231351`", "1.6453674496705013`", "1.0015`", 
      "0.004671410665004113`", "1", "7.6684541901714995`", 
      "0.2231069384619424`", "3.255871224146819`", "2.2026359064736694`", 
      "2.3332086912910404`", "3.255871224146819`", "2.888413699810967`", 
      "0.16198876850520294`", "0.13011586125058522`", "0.1966270305172181`", 
      "3.015523689675998`", "1.`", "1.554582594625238`", 
      "1.0007332809578933`"},
     {"34", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.668256122535586`", "0.22329668656196314`", "3.254960834984113`", 
      "2.2025508179050437`", "2.3335339393398584`", "3.254960834984113`", 
      "2.8876915855349323`", "0.1619672488211222`", "0.13008333179645828`", 
      "0.19662195185988698`", "3.015407198977896`", "1.`", 
      "1.5541939431363856`", "1.6453674496705013`", "1.0016`", 
      "0.004671410665004113`", "1", "7.668467318025976`", 
      "0.22309436236981153`", "3.255931912637899`", "2.202641607122137`", 
      "2.3331870622457123`", "3.255931912637899`", "2.888461588059487`", 
      "0.1619901947831446`", "0.1301180184972083`", "0.19662736712887138`", 
      "3.0155314941617286`", "1.`", "1.55460836871627`", 
      "1.0008380792939555`"},
     {"35", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.668307921166254`", "0.2232470627090535`", "3.2549931099512577`", 
      "2.2025364253402455`", "2.3334884003704772`", "3.2549931099512577`", 
      "2.8878803596961`", "0.16197287675435257`", "0.13009183560343157`", 
      "0.19662328002990412`", "3.015387494804375`", "1.`", 
      "1.5542955438957522`", "1.6453674496705013`", "1.0016`", 
      "0.004671410665004113`", "1", "7.668505870738777`", 
      "0.22305743027234667`", "3.2559032997848862`", "2.202621525871958`", 
      "2.333163252755416`", "3.2559032997848862`", "2.8886022412475936`", 
      "0.16199438332084123`", "0.13012435457389612`", "0.1966283556599688`", 
      "3.015504001880569`", "1.`", "1.5546840701291678`", 
      "1.0007856475963812`"},
     {"36", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.668294647820882`", "0.22325977870600291`", "3.254932426219794`", 
      "2.2025307800206098`", "2.3335101311073796`", "3.254932426219794`", 
      "2.8878319815818676`", "0.1619714346095451`", "0.13008965628957517`", 
      "0.1966229396877151`", "3.0153797660667077`", "1.`", 
      "1.5542695061524916`", "1.6453674496705013`", "1.0017`", 
      "0.004671410665004113`", "1", "7.668518990747956`", 
      "0.2230448618651518`", "3.2559639750257285`", "2.202627227313352`", 
      "2.3331416303965455`", "3.2559639750257285`", "2.888650113979242`", 
      "0.1619958087272206`", "0.13012651112152265`", "0.1966286920704606`", 
      "3.0155118074518565`", "1.`", "1.5547098358688134`", 
      "1.0008904472672981`"},
     {"37", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.668346439988658`", "0.2232101615431578`", "3.2549646957991345`", 
      "2.202516389912965`", "2.3334645904197027`", "3.2549646957991345`", 
      "2.8880207706751393`", "0.16197706178404261`", "0.13009816076920264`", 
      "0.19662426769201705`", "3.015360065257159`", "1.`", 
      "1.554371114948515`", "1.6453674496705013`", "1.0017`", 
      "0.004671410665004113`", "1", "7.668557537003006`", 
      "0.22300793645157055`", "3.2559353568038243`", "2.2026071485202414`", 
      "2.333117819183442`", "3.2559353568038243`", "2.888790782103113`", 
      "0.1619999965068859`", "0.13013284787102958`", "0.1966296804359747`", 
      "3.015484318534552`", "1.`", "1.5547855453203379`", 
      "1.0008380128255117`"},
     {"38", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.668333164941295`", "0.22322287904285457`", "3.254904024801415`", 
      "2.2025107472943986`", "2.3334863212408616`", "3.254904024801415`", 
      "2.887972376492521`", "0.16197561946880623`", "0.13009598073150536`", 
      "0.19662392730618725`", "3.0153523402173965`", "1.`", 
      "1.554345068557036`", "1.6453674496705013`", "1.0018`", 
      "0.004671410665004113`", "1", "7.668570649170407`", 
      "0.22299537572569017`", "3.255996018800391`", "2.202612850753981`", 
      "2.3330962035096063`", "3.255996018800391`", "2.8888386393178846`", 
      "0.16200142104211365`", "0.13013500371965936`", "0.19663001664539526`", 
      "3.0154921251906024`", "1.`", "1.5548113027085941`", 
      "1.0009428138313232`"},
     {"39", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.668384950646893`", "0.2231732685691238`", "3.2549362889942097`", 
      "2.202496359643356`", "2.3334407788357128`", "3.2549362889942097`", 
      "2.8881611805169722`", "0.16198124588467952`", "0.1301044858837454`", 
      "0.19662525514479232`", "3.015332642771064`", "1.`", 
      "1.554446685389218`", "1.6453674496705013`", "1.0018`", 
      "0.004671410665004113`", "1", "7.668609188968778`", 
      "0.22295845699465616`", "3.255967395212035`", "2.2025927744173854`", 
      "2.333072390574238`", "3.255967395212035`", "2.888979322376827`", 
      "0.16200560806389896`", "0.1301413411419541`", "0.19663100484535348`", 
      "3.015464639636395`", "1.`", "1.5548870201983722`", 
      "1.0008903766453492`"},
     {"40", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.66837167389872`", "0.22318598757045824`", "3.254875630726637`", 
      "2.2024907197247754`", "2.3334625097420365`", "3.254875630726637`", 
      "2.8881127702661185`", "0.16197980339913942`", "0.13010230512221405`", 
      "0.196624914715352`", "3.015324921427724`", "1.`", "1.554420630349601`",
       "1.6453674496705013`", "1.0019`", "0.004671410665004113`", "1", 
      "7.6686222932979815`", "0.22294590394646835`", "3.256028043970289`", 
      "2.2025984774428977`", "2.333050781584016`", "3.256028043970289`", 
      "2.8890271640747236`", "0.1620070317283839`", "0.13014349629158725`", 
      "0.19663134085379458`", "3.015472447376424`", "1.`", 
      "1.5549127692352405`", "1.0009951789860945`"},
     {"41", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.668423453142944`", "0.22313638378488823`", "3.254907889534148`", 
      "2.2024763345297917`", "2.3334169656202377`", "3.254907889534148`", 
      "2.888301589220836`", "0.16198542905649488`", "0.13011081094702545`", 
      "0.1966262423882808`", "3.0153052273438647`", "1.`", 
      "1.5545222552174511`", "1.6453674496705013`", "1.0019`", 
      "0.004671410665004113`", "1", "7.668660826640752`", 
      "0.22290899189664484`", "3.25599941501792`", "2.202578403562265`", 
      "2.3330269669269246`", "3.25599941501792`", "2.889167862068047`", 
      "0.1620112179924405`", "0.1301498343866388`", "0.19663232888822463`", 
      "3.015444965184558`", "1.`", "1.554988494762901`", 
      "1.0009427390559595`"},
     {"42", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.668410174695118`", "0.22314910428675222`", "3.2548472439931206`", 
      "2.2024706973101136`", "2.333438696612633`", "3.2548472439931206`", 
      "2.888253162901892`", "0.1619839864007765`", "0.13010862946166657`", 
      "0.1966259019152596`", "3.0152975096954626`", "1.`", 
      "1.5544961915297748`", "1.6453674496705013`", "1.002`", 
      "0.004671410665004113`", "1", "7.668673923135174`", 
      "0.22289644652253543`", "3.2560600505438106`", "2.2025841073789616`", 
      "2.3330053646188973`", "3.2560600505438106`", "2.889215688249049`", 
      "0.16201264078659539`", "0.13015198883727438`", "0.19663266469577387`", 
      "3.015452774007759`", "1.`", "1.5550142354483705`", 
      "1.0010475427316785`"},
     {"43", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.668461947478678`", "0.22309950718839291`", "3.254879497416606`", 
      "2.2024563145706364`", "2.3333931507750085`", "3.254879497416606`", 
      "2.8884419967859496`", "0.16198961129972292`", "0.13011713595900767`", 
      "0.19662722942253041`", "3.0152778189733196`", "1.`", 
      "1.5545978244327938`", "1.6453674496705013`", "1.002`", 
      "0.004671410665004113`", "1", "7.668712450023417`", 
      "0.22285954115258647`", "3.256031416229869`", "2.202564035953738`", 
      "2.332981548240625`", "3.256031416229869`", "2.8893564011760624`", 
      "0.16201682629307457`", "0.13015832760505153`", "0.1966336525647032`", 
      "3.015425295177477`", "1.`", "1.555089969013541`", "1.000995100057408`"},
     {"44", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.668448667332282`", "0.2231122291896814`", "3.254818864598523`", 
      "2.202450680048768`", "2.3334148818543863`", "3.254818864598523`", 
      "2.888393554399052`", "0.16198816847395373`", "0.13011495374982737`", 
      "0.19662688890595612`", "3.015270105018361`", "1.`", 
      "1.5545717520971314`", "1.6453674496705013`", "1.0021`", 
      "0.004671410665004113`", "1", "7.6687255386866555`", 
      "0.22284700344893618`", "3.2560920385293546`", "2.202569740561049`", 
      "2.33295995261337`", "3.2560920385293546`", "2.8894042118401755`", 
      "0.16201824821730737`", "0.1301604813566898`", "0.1966339881714529`", 
      "3.0154331050830705`", "1.`", "1.555115701347615`", 
      "1.001099905068139`"},
     {"45", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.668500433655948`", "0.2230626387775807`", "3.254851112639244`", 
      "2.2024362997642513`", "2.3333693343017576`", "3.254851112639244`", 
      "2.888582403211532`", "0.16199379261459834`", "0.13012346091965682`", 
      "0.19662821624758858`", "3.0152504176571866`", "1.`", 
      "1.5546733930348253`", "1.6453674496705013`", "1.0021`", 
      "0.004671410665004113`", "1", "7.668764059121361`", 
      "0.22281010475752902`", "3.2560633988562726`", "2.2025496715906745`", 
      "2.332936134514462`", "3.2560633988562726`", "2.8895449397001736`", 
      "0.16202243296636262`", "0.13016682079716083`", "0.1966349758749069`", 
      "3.015405629613605`", "1.`", "1.555191442949916`", 
      "1.0010474596497587`"},
     {"46", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.668487151812199`", "0.22307536227718391`", "3.254790492540512`", 
      "2.2024306679391166`", "2.333391065469021`", "3.254790492540512`", 
      "2.8885339447568374`", "0.16199234961890221`", "0.13012127798666218`", 
      "0.19662787568749246`", "3.015242707394197`", "1.`", 
      "1.5546473120512614`", "1.6453674496705013`", "1.0022`", 
      "0.004671410665004113`", "1", "7.668777139956903`", 
      "0.22279757472072412`", "3.2561240079353015`", "2.2025553769880184`", 
      "2.3329145455665605`", "3.2561240079353015`", "2.8895927348473895`", 
      "0.1620238540210837`", "0.13016897384980144`", "0.19663531128094644`", 
      "3.0154134406007955`", "1.`", "1.55521716693259`", "1.001152265995542`"},
     {"47", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.668538911676625`", "0.22302577855039396`", "3.2548227351997223`", 
      "2.2024162901090016`", "2.3333455162022143`", "3.2548227351997223`", 
      "2.888722808496806`", "0.1619979730013554`", "0.1301297858289379`", 
      "0.19662920286350336`", "3.015223023393228`", "1.`", 
      "1.5547489610231278`", "1.6453674496705013`", "1.0022`", 
      "0.004671410665004113`", "1", "7.668815653939246`", 
      "0.222760682706519`", "3.256095362905522`", "2.202535310471951`", 
      "2.332890725747553`", "3.256095362905522`", "2.8897334776396972`", 
      "0.16202803801286372`", "0.1301753139629359`", "0.1966362988189552`", 
      "3.015385968491405`", "1.`", "1.5552929165716585`", 
      "1.0010998178330768`"},
     {"48", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.6685256281367495`", "0.22303850354720234`", "3.254762127816746`", 
      "2.2024106609795244`", "2.333367247458267`", "3.254762127816746`", 
      "2.8886743339744716`", "0.16199652983585577`", "0.130127602172136`", 
      "0.19662886225991685`", "3.0152153168207345`", "1.`", 
      "1.554722871391747`", "1.6453674496705013`", "1.0023`", 
      "0.004671410665004113`", "1", "7.66882872695053`", 
      "0.2227481603329496`", "3.2561559587700373`", "2.2025410166587434`", 
      "2.3328691434775886`", "3.2561559587700373`", "2.8897812572699997`", 
      "0.16202945819848474`", "0.13017746631657814`", "0.19663663402437276`", 
      "3.015393780559391`", "1.`", "1.5553186322029235`", 
      "1.0012046255139526`"},
     {"49", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.668577381542738`", "0.22298892650476942`", "3.254794365095707`", 
      "2.202396285603269`", "2.3333216964781025`", "3.254794365095707`", 
      "2.8888632126410156`", "0.16200215246022384`", "0.1301361106868169`", 
      "0.1966301892703268`", "3.0151956361792265`", "1.`", 
      "1.5548245283972948`", "1.6453674496705013`", "1.0023`", 
      "0.004671410665004113`", "1", "7.6688672344815405`", 
      "0.22271127499461235`", "3.2561273083859947`", "2.2025209525964264`", 
      "2.3328453219390255`", "3.2561273083859947`", "2.8899220149939193`", 
      "0.16203364143314186`", "0.13018380710234462`", "0.19663762139696275`", 
      "3.015366311809313`", "1.`", "1.5553943898783835`", 
      "1.0011521746074281`"},
     {"50", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.668564096307748`", "0.2230016529976822`", "3.254733770424887`", 
      "2.202390659168352`", "2.3333434278238547`", "3.254733770424887`", 
      "2.8888147220511686`", "0.16200070912504996`", "0.13013392630621345`", 
      "0.1966298486232758`", "3.015187933295727`", "1.`", 
      "1.554798430118165`", "1.6453674496705013`", "1.0024`", 
      "0.004671410665004113`", "1", "7.668880299672156`", 
      "0.2226987602806647`", "3.2561878910419444`", "2.202526659572097`", 
      "2.332823746345575`", "3.2561878910419444`", "2.889969779107314`", 
      "0.16203506075007018`", "0.13018595875698868`", "0.19663795640185036`", 
      "3.0153741249573147`", "1.`", "1.555420097158243`", 
      "1.0012569836234342`"},
     {"51", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.668615843256079`", "0.22295208263865385`", "3.2547660023248595`", 
      "2.2023762862454106`", "2.3332978751311524`", "3.2547660023248595`", 
      "2.8890036156433743`", "0.16200633099144`", "0.1301424354932583`", 
      "0.19663117546810477`", "3.015168256012935`", "1.`", 
      "1.5549000951569016`", "1.6453674496705013`", "1.0024`", 
      "0.004671410665004113`", "1", "7.668918800752882`", 
      "0.2226618816168609`", "3.256159235306073`", "2.202506597962976`", 
      "2.3327999230879994`", "3.256159235306073`", "2.89011055176215`", 
      "0.16203924322775634`", "0.13019230021535588`", "0.19663894360904846`", 
      "3.01534665956579`", "1.`", "1.5554958628697206`", "1.001204529972877`"},
     {"52", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.668602556327182`", "0.22296481062656293`", "3.254705420362602`", 
      "2.202370662503978`", "2.333319606567506`", "3.254705420362602`", 
      "2.8889551089861687`", "0.1620048874867157`", "0.1301402503888603`", 
      "0.19663083477762022`", "3.0151605568169555`", "1.`", 
      "1.5548739882301064`", "1.6453674496705013`", "1.0025`", 
      "0.004671410665004113`", "1", "7.668931858126255`", 
      "0.2226493745589284`", "3.256219804759393`", "2.2025123057269402`", 
      "2.3327783541696463`", "3.256219804759393`", "2.890158300358622`", 
      "0.16204066167640335`", "0.13019445117100112`", "0.1966392784134939`", 
      "3.0153544737930065`", "1.`", "1.5555215617981661`", 
      "1.0013093403240536`"},
     {"53", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.668654296818602`", "0.2229152469499873`", "3.2547376468848435`", 
      "2.2023562920338025`", "2.3332740521630884`", "3.2547376468848435`", 
      "2.8891440175031162`", "0.16201050859523553`", "0.1301487602482277`", 
      "0.19663216145688742`", "3.015140882892128`", "1.`", 
      "1.5549756613015375`", "1.6453674496705013`", "1.0025`", 
      "0.004671410665004113`", "1", "7.668970352757794`", 
      "0.22261250256832144`", "3.2561911436741307`", "2.202492246570466`", 
      "2.332754529193598`", "3.2561911436741307`", "2.890299087943688`", 
      "0.1620448433972692`", "0.1302007933019381`", "0.19664026545532826`", 
      "3.015327011759284`", "1.`", "1.555597335545292`", 
      "1.0012568839294886`"},
     {"54", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.668641008196916`", "0.22292797643178872`", "3.254677077627557`", 
      "2.2023506709847678`", "2.333295783690949`", "3.254677077627557`", 
      "2.8890954947786955`", "0.16200906492108702`", "0.13014657442004157`", 
      "0.19663182072299804`", "3.0151331873821827`", "1.`", 
      "1.5549495457271538`", "1.6453674496705013`", "1.0026`", 
      "0.004671410665004113`", "1", "7.668983402317522`", 
      "0.22260000316279324`", "3.2562516999307642`", "2.2024979551221557`", 
      "2.332732966948922`", "3.2562516999307642`", "2.8903468210232446`", 
      "0.16204626097804167`", "0.13020294355858483`", "0.1966406000594238`", 
      "3.015334827064938`", "1.`", "1.5556230261223276`", 
      "1.0013616956158744`"},
     {"55", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.668692742232141`", "0.22287841943671588`", "3.2547092987733213`", 
      "2.202336302966807`", "2.333250227575638`", "3.2547092987733213`", 
      "2.889284418219459`", "0.16201468527184534`", "0.1301550849516898`", 
      "0.19663314723672176`", "3.0151135168145657`", "1.`", 
      "1.5550512268307808`", "1.6453674496705013`", "1.0026`", 
      "0.004671410665004113`", "1", "7.669021890500882`", 
      "0.22256313784405057`", "3.2562230334985407`", "2.2024778984177704`", 
      "2.3327091402549427`", "3.2562230334985407`", "2.890487623537841`", 
      "0.1620504419422401`", "0.13020928636206006`", "0.19664158693592024`", 
      "3.015307368388253`", "1.`", "1.5556988079047245`", 
      "1.0013092364773277`"},
     {"56", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.668679451918864`", "0.2228911504113027`", "3.254648742217417`", 
      "2.202330684609094`", "2.333271959195906`", "3.254648742217417`", 
      "2.8892358794279787`", "0.16201324142839674`", "0.13015289839972252`", 
      "0.19663280645945824`", "3.0151058249891802`", "1.`", 
      "1.5550251026088922`", "1.6453674496705013`", "1.0027`", 
      "0.004671410665004113`", "1", "7.669034932250426`", 
      "0.22255064608732225`", "3.256283576564419`", "2.202483607756605`", 
      "2.332687584682527`", "3.256283576564419`", "2.8905353411004717`", 
      "0.1620518586555479`", "0.13021143591970785`", "0.1966419213397547`", 
      "3.01531518477155`", "1.`", "1.5557244901303449`", 
      "1.0014140494989627`"},
     {"57", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.668731179498651`", "0.22284160009678125`", "3.2546809579879645`", 
      "2.2023163190428017`", "2.3332264013705233`", "3.2546809579879645`", 
      "2.8894248177916397`", "0.16201886102150106`", "0.13016140960361022`", 
      "0.1966341328076579`", "3.015086157778025`", "1.`", 
      "1.5551267917442206`", "1.6453674496705013`", "1.0027`", 
      "0.004671410665004113`", "1", "7.669073413986742`", 
      "0.222513787439107`", "3.2562549047876743`", "2.2024635535037635`", 
      "2.3326637562711574`", "3.2562549047876743`", "2.8906761585439145`", 
      "0.16205603886322859`", "0.13021777939569049`", "0.19664290805094228`", 
      "3.0152877294511566`", "1.`", "1.555800279947645`", 
      "1.0013615876164592`"},
     {"58", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.668717887494921`", "0.22285433256304937`", "3.25462041412985`", 
      "2.2023107033753284`", "2.3332481330841017`", "3.25462041412985`", 
      "2.8893762629332462`", "0.16201741700887787`", "0.13015922232786845`", 
      "0.19663379198704944`", "3.0150784696357182`", "1.`", 
      "1.5551006588749063`", "1.6453674496705013`", "1.0028`", 
      "0.004671410665004113`", "1", "7.669086447929611`", 
      "0.22250130332757415`", "3.2563154346687284`", "2.202469263629167`", 
      "2.332642207369583`", "3.2563154346687284`", "2.890723860589617`", 
      "0.16205745470948035`", "0.13021992825433923`", "0.1966432422546056`", 
      "3.015295546911307`", "1.`", "1.5558259538218484`", 
      "1.0014664019733832`"},
     {"59", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.668769608619952`", "0.22280478892813046`", "3.254652624526432`", 
      "2.202296340260149`", "2.3332025735494697`", "3.254652624526432`", 
      "2.8895652162188745`", "0.1620230358444378`", "0.13016773420395367`", 
      "0.19663511816974255`", "3.015058805780265`", "1.`", 
      "1.5552023560414354`", "1.6453674496705013`", "1.0028`", 
      "0.004671410665004113`", "1", "7.669124923219875`", 
      "0.22246445134855425`", "3.25628675754989`", "2.202449211827311`", 
      "2.332618377241365`", "3.25628675754989`", "2.8908646929612045`", 
      "0.16206163416079644`", "0.1302262724027977`", "0.1966442288005098`", 
      "3.0152680949464403`", "1.`", "1.5559017516736744`", 
      "1.001413937346948`"},
     {"60", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.668756314926923`", "0.22281752288497567`", "3.2545920933625196`", 
      "2.2022907272818344`", "2.33322430535726`", "3.2545920933625196`", 
      "2.889516645293718`", "0.16202159166276514`", "0.13016554620444415`", 
      "0.19663477730581871`", "3.0150511213195568`", "1.`", 
      "1.5551762145247758`", "1.6453674496705013`", "1.0029`", 
      "0.004671410665004113`", "1", "7.669137949359567`", 
      "0.22245197487861434`", "3.25634727425205`", "2.2024549227387076`", 
      "2.332596835009215`", "3.25634727425205`", "2.890912379489974`", 
      "0.16206304914040076`", "0.13022842056244716`", "0.19664456280409165`", 
      "3.0152759134826566`", "1.`", "1.5559274171964586`", 
      "1.0015187530391998`"},
     {"61", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.668808029598033`", "0.22276798592870412`", "3.2546242983863984`", 
      "2.2022763666172303`", "2.3331787441141962`", "3.2546242983863984`", 
      "2.889705613500409`", "0.16202720974088633`", "0.13017405875268617`", 
      "0.19663610332302667`", "3.015031460819069`", "1.`", 
      "1.5552779197220192`", "1.6453674496705013`", "1.0029`", 
      "0.004671410665004113`", "1", "7.669176418204915`", 
      "0.22241512956745269`", "3.256318591793554`", "2.202434873387291`", 
      "2.3325730031646876`", "3.256318591793554`", "2.8910532267890257`", 
      "0.16206722783550193`", "0.1302347653833508`", "0.1966455491847416`", 
      "3.015248464872571`", "1.`", "1.5560032230824437`", 
      "1.0014662856688592`"},
     {"62", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.66879473421681`", "0.2227807213750248`", "3.2545637799130973`", 
      "2.20227075632699`", "2.3332004760171006`", "3.2545637799130973`", 
      "2.88965702650863`", "0.16202576539029034`", "0.13017187002941524`", 
      "0.19663576241581582`", "3.015023780038476`", "1.`", 
      "1.5552517695580903`", "1.6453674496705013`", "1.003`", 
      "0.004671410665004113`", "1", "7.669189436544913`", 
      "0.22240266073550588`", "3.256379095322743`", "2.2024405850841036`", 
      "2.332551467600546`", "3.256379095322743`", "2.8911008978008548`", 
      "0.16206864194886755`", "0.13023691284400066`", "0.1966458829883313`", 
      "3.0152562844840625`", "1.`", "1.5560288802538047`", 
      "1.001571102696478`"},
     {"63", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.668846442434729`", "0.22273119109645034`", "3.254595979565528`", 
      "2.2022563981124113`", "2.3331549130664264`", "3.254595979565528`", 
      "2.8898460096354595`", "0.16203138271108103`", "0.13018038324977244`", 
      "0.19663708826755733`", "3.015004122892201`", "1.`", 
      "1.5553534827855502`", "1.6453674496705013`", "1.003`", 
      "0.004671410665004113`", "1", "7.669227898946397`", 
      "0.22236582209086908`", "3.256350407527021`", "2.2024205381825745`", 
      "2.33252763404025`", "3.256350407527021`", "2.891241760026676`", 
      "0.16207281988790542`", "0.1302432583373182`", "0.19664686920375393`", 
      "3.015228839228`", "1.`", "1.5561046941735757`", "1.0015186325822574`"},
     {"64", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.668833145366509`", "0.22274392803114124`", "3.2545354737792533`", 
      "2.2022507905091704`", "2.3331766450653437`", "3.2545354737792533`", 
      "2.889797406577216`", "0.16202993819168565`", "0.13017819380274717`", 
      "0.19663674731709016`", "3.0149964457902496`", "1.`", 
      "1.5553273239744367`", "1.6453674496705013`", "1.0031`", 
      "0.004671410665004113`", "1", "7.669240909490195`", 
      "0.2223533608933159`", "3.2564108978891615`", "2.202426250664228`", 
      "2.3325061051426994`", "3.2564108978891615`", "2.8912894155215634`", 
      "0.1620742331354406`", "0.13024540509896837`", "0.19664720280744108`", 
      "3.0152366599139797`", "1.`", "1.5561303429935123`", 
      "1.0016234509452828`"},
     {"65", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.668884847131961`", "0.22269440442931324`", "3.2545676680614894`", 
      "2.202236434744067`", "2.333131080407879`", "3.2545676680614894`", 
      "2.8899864046232624`", "0.16203555475525436`", "0.130186707695178`", 
      "0.1966380730033838`", "3.0149767919974346`", "1.`", 
      "1.5554290452316168`", "1.6453674496705013`", "1.0031`", 
      "0.004671410665004113`", "1", "7.669279365448877`", 
      "0.22231652891386997`", "3.256382204758643`", "2.202406206212035`", 
      "2.3324822698671746`", "3.256382204758643`", "2.8914302926734625`", 
      "0.1620784103185666`", "0.1302517512646686`", "0.1966481888576637`", 
      "3.0152092180111865`", "1.`", "1.5562061649466963`", 
      "1.0015709780872077`"},
     {"66", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.668871548377869`", "0.22270714285127305`", "3.2545071749586567`", 
      "2.2022308298267443`", "2.3331528125037098`", "3.2545071749586567`", 
      "2.8899377854986983`", "0.1620341100671852`", "0.13018451752440494`", 
      "0.19663773200968912`", "3.0149691185726453`", "1.`", 
      "1.5554028777733966`", "1.6453674496705013`", "1.0032`", 
      "0.004671410665004113`", "1", "7.669292368199952`", 
      "0.22230407534711424`", "3.2564426819596552`", "2.2024119194779517`", 
      "2.3324607476348`", "3.2564426819596552`", "2.8914779326513997`", 
      "0.1620798227006798`", "0.13025389732731874`", "0.1966485222615374`", 
      "3.0152170397708637`", "1.`", "1.556231805415205`", 
      "1.001675797785679`"},
     {"67", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.6689232436916015`", "0.2226576259252402`", "3.2545393638719533`", 
      "2.202216476510569`", "2.333107246140274`", "3.2545393638719533`", 
      "2.8901267984630423`", "0.1620397258736397`", "0.13019303208886804`", 
      "0.19663905753055408`", "3.0149494681325417`", "1.`", 
      "1.5555046070598026`", "1.6453674496705013`", "1.0032`", 
      "0.004671410665004113`", "1", "7.669330817716868`", 
      "0.22226725003152653`", "3.2564139834967687`", "2.2023918774745406`", 
      "2.332436910644588`", "3.2564139834967687`", "2.891618824728681`", 
      "0.16208399912804594`", "0.13026024416537038`", "0.19664950814658652`", 
      "3.0151896012205817`", "1.`", "1.5563076354014276`", 
      "1.001623322183775`"},
     {"68", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.668909943252786`", "0.22267036583336633`", "3.254478883448978`", 
      "2.202210874278085`", "2.3331289783339164`", "3.254478883448978`", 
      "2.890078163272309`", "0.1620382810170218`", "0.13019084119435395`", 
      "0.19663871649366135`", "3.014941798383438`", "1.`", 
      "1.5554784309545568`", "1.6453674496705013`", "1.0033`", 
      "0.004671410665004113`", "1", "7.669343812678789`", 
      "0.22225480409196952`", "3.256474447542571`", "2.2023975915241545`", 
      "2.3324153950759707`", "3.256474447542571`", "2.8916664491896773`", 
      "0.1620854106451429`", "0.13026238952902086`", "0.19664984135073835`", 
      "3.015197424053181`", "1.`", "1.5563332675185126`", 
      "1.001728143217731`"},
     {"69", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.668961632115555`", "0.22262085558217698`", "3.2545110669945907`", 
      "2.2021965234102923`", "2.33308341026533`", "3.2545110669945907`", 
      "2.8902671911540323`", "0.16204389606646974`", "0.13019935643080793`", 
      "0.19664004184911696`", "3.0149221512952966`", "1.`", 
      "1.5555801682696946`", "1.6453674496705013`", "1.0033`", 
      "0.004671410665004113`", "1", "7.6693822557550435`", 
      "0.2222179854389049`", "3.2564457437497487`", "2.2023775519689788`", 
      "2.33239155637161`", "3.2564457437497487`", "2.8918073561916553`", 
      "0.16208958631689954`", "0.130268737039393`", "0.19665082707064233`", 
      "3.01516998885466`", "1.`", "1.5564091055374052`", 
      "1.0016756648720233`"},
     {"70", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.66894832999316`", "0.22263359697536794`", "3.254450599247888`", 
      "2.2021909238615685`", "2.3331051425576828`", "3.254450599247888`", 
      "2.890218539897279`", "0.162042451041428`", "0.13019716481255955`", 
      "0.1966397007690556`", "3.0149144852204`", "1.`", "1.5555539835175034`",
       "1.6453674496705013`", "1.0034`", "0.004671410665004113`", "1", 
      "7.669395242931265`", "0.22220554712295393`", "3.2565061946462532`", 
      "2.202383266801711`", "2.332370047465335`", "3.2565061946462532`", 
      "2.8918549651357024`", "0.16209099696938895`", "0.1302708817040435`", 
      "0.19665116007516084`", "3.0151778127593905`", "1.`", 
      "1.556434729303062`", "1.0017804872415035`"},
     {"71", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.669000012405685`", "0.22258409339807203`", "3.2544827774270706`", 
      "2.202176575441608`", "2.333059572784765`", "3.2544827774270706`", 
      "2.8904075826954587`", "0.162048065333978`", "0.1302056807209628`", 
      "0.1966410259591203`", "3.0148948414834695`", "1.`", 
      "1.5556557288608757`", "1.6453674496705013`", "1.0034`", 
      "0.004671410665004113`", "1", "7.669433679567884`", 
      "0.22216873513108049`", "3.2564774855259224`", "2.202363229694216`", 
      "2.3323462070473666`", "3.2564774855259224`", "2.8919958870616793`", 
      "0.1620951718856883`", "0.1302772298867047`", "0.19665214562994593`", 
      "3.0151503809118725`", "1.`", "1.5565105753542487`", 
      "1.001728006152018`"},
     {"72", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.668986708600897`", "0.22259683627522509`", "3.2544223223530615`", 
      "2.20217097857557`", "2.3330813051767234`", "3.2544223223530615`", 
      "2.8903589153728406`", "0.1620466201406363`", "0.13020348837898715`", 
      "0.19664068483592062`", "3.0148871790813105`", "1.`", 
      "1.555629535461823`", "1.6453674496705013`", "1.0035`", 
      "0.004671410665004113`", "1", "7.66944665896185`", 
      "0.22215630443514536`", "3.256537923279037`", "2.202368945309489`", 
      "2.3323247048020206`", "3.256537923279037`", "2.892043480488768`", 
      "0.1620965816739787`", "0.13027937385235472`", "0.19665247843491943`", 
      "3.0151582058879414`", "1.`", "1.5565361907684727`", 
      "1.0018328298570625`"},
     {"73", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.669038384563937`", "0.22254733937087082`", "3.2544544951670695`", 
      "2.202156632602896`", "2.3330357337002927`", "3.2544544951670695`", 
      "2.8905479730865586`", "0.162052233676396`", "0.13021200495929836`", 
      "0.19664200986061395`", "3.0148675386948436`", "1.`", 
      "1.5557312888329362`", "1.6453674496705013`", "1.0035`", 
      "0.004671410665004113`", "1", "7.6694850891599415`", 
      "0.22211949910312828`", "3.2565092088336276`", "2.2023489106491283`", 
      "2.332300862670983`", "3.2565092088336276`", "2.8921844173380586`", 
      "0.1621007558349709`", "0.13028572270727418`", "0.19665346382461404`", 
      "3.0151307773906777`", "1.`", "1.5566120448515852`", 
      "1.0017803460238242`"},
     {"74", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.669025079077877`", "0.2225600837308859`", "3.2543940527621724`", 
      "2.202151038418464`", "2.3330574661927552`", "3.2543940527621724`", 
      "2.8904992896982242`", "0.1620507883148799`", "0.1302098118936021`", 
      "0.19664166869430472`", "3.014859879963943`", "1.`", 
      "1.5557050867871016`", "1.6453674496705013`", "1.0036`", 
      "0.004671410665004113`", "1", "7.669498060775208`", 
      "0.22210707602361554`", "3.256569633449264`", "2.202354627046375`", 
      "2.332279367085149`", "3.256569633449264`", "2.892231995248196`", 
      "0.16210216475946784`", "0.1302878659739241`", "0.19665379643013373`", 
      "3.0151386034373098`", "1.`", "1.55663765191438`", 
      "1.0018851710644712`"},
     {"75", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.669076748592221`", "0.22251059349852007`", "3.254426220212259`", 
      "2.2021366948925336`", "2.3330118930136288`", "3.254426220212259`", 
      "2.890688362326569`", "0.16205640109395594`", "0.13021832914578022`", 
      "0.19664299355364687`", "3.0148402429271957`", "1.`", 
      "1.555806848185465`", "1.6453674496705013`", "1.0036`", 
      "0.004671410665004113`", "1", "7.6695364845358185`", 
      "0.22207027735012203`", "3.256540913681202`", "2.202334594832597`", 
      "2.3322555232415825`", "3.256540913681202`", "2.8923729470201085`", 
      "0.1621063381653047`", "0.13029421550107056`", "0.19665478165476477`", 
      "3.015111178289546`", "1.`", "1.5567135140290453`", 
      "1.0018326844875063`"},
     {"76", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.669063441425941`", "0.2225233393403008`", "3.2543657904728898`", 
      "2.2021311033886213`", "2.3330336256074937`", "3.2543657904728898`", 
      "2.8906396628726543`", "0.16205495556439253`", "0.13021613535636944`", 
      "0.1966426523442551`", "3.014832587866067`", "1.`", 
      "1.5557806374929215`", "1.6453674496705013`", "1.0037`", 
      "0.004671410665004113`", "1", "7.6695494483758475`", 
      "0.2220578618834441`", "3.2566013251652604`", "2.2023403120112417`", 
      "2.3322340343138452`", "3.2566013251652604`", "2.892420509413289`", 
      "0.16210774622641566`", "0.13029635806872017`", "0.19665511406091934`", 
      "3.0151190054059525`", "1.`", "1.556739112740408`", 
      "1.001937510863795`"},
     {"77", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.669115104492335`", "0.22247385577897244`", "3.254397952560308`", 
      "2.2021167623088878`", "2.332988050726491`", "3.254397952560308`", 
      "2.8908287504147063`", "0.16206056758689286`", "0.13022465328037303`", 
      "0.1966439770382652`", "3.014812954178291`", "1.`", 
      "1.5558824069180404`", "1.6453674496705013`", "1.0037`", 
      "0.004671410665004113`", "1", "7.66958786570004`", 
      "0.22202106986714149`", "3.256572600076975`", "2.2023202822434955`", 
      "2.3322101887582884`", "3.256572600076975`", "2.8925614761071303`", 
      "0.16211191887724846`", "0.13030270826806245`", "0.19665609912051402`", 
      "3.015091583606935`", "1.`", "1.5568149828862539`", 
      "1.001885021543128`"},
     {"78", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.669101795647098`", "0.22248660310141422`", "3.254337535482896`", 
      "2.20211117348443`", "2.333009783422649`", "3.254337535482896`", 
      "2.89078003489538`", "0.162059121889404`", "0.13022245876725536`", 
      "0.1966436357858232`", "3.0148053027854753`", "1.`", 
      "1.555856187578879`", "1.6453674496705013`", "1.0038`", 
      "0.004671410665004113`", "1", "7.669600821768281`", 
      "0.22200866200971245`", "3.256632998435357`", "2.202326000202962`", 
      "2.3321887064872366`", "3.256632998435357`", "2.892609022983346`", 
      "0.16211332607538134`", "0.13030485013671134`", "0.196656431327392`", 
      "3.0150994117923267`", "1.`", "1.5568405732461803`", 
      "1.0019898492550987`"},
     {"79", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.669153452266182`", "0.2224371262101762`", "3.2543696922088974`", 
      "2.202096834850336`", "2.3329642068405905`", "3.2543696922088974`", 
      "2.890969137350205`", "0.1620647331554393`", "0.13023097736304232`", 
      "0.19664496031451767`", "3.014785672445908`", "1.`", 
      "1.5559579650302502`", "1.6453674496705013`", "1.0038`", 
      "0.004671410665004113`", "1", "7.669639232657127`", 
      "0.22197187664926799`", "3.256604268029272`", "2.2023059728806995`", 
      "2.332164859220229`", "3.256604268029272`", "2.8927500045984265`", 
      "0.162117497971361`", "0.13031120100821836`", "0.19665741622197783`", 
      "3.015071993341304`", "1.`", "1.5569164514228349`", 
      "1.0019373571907555`"},
     {"80", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.669140141743167`", "0.22244987501217808`", "3.2543092877898636`", 
      "2.2020912487042597`", "2.3329859396399373`", "3.2543092877898636`", 
      "2.890920405765623`", "0.16206328729014863`", "0.1302287821262248`", 
      "0.19664461901905575`", "3.014778024719937`", "1.`", 
      "1.5559317370445551`", "1.6453674496705013`", "1.0039`", 
      "0.004671410665004113`", "1", "7.669652180957151`", 
      "0.22195947639749866`", "3.256664653267879`", "2.202311691620423`", 
      "2.3321433836044454`", "3.256664653267879`", "2.892797535957691`", 
      "0.16211890430692028`", "0.13031334217786714`", "0.1966577482296707`", 
      "3.0150798225949096`", "1.`", "1.5569420334313318`", 
      "1.0020421862384468`"},
     {"81", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.669191791915783`", "0.22240040479007567`", "3.2543414391557017`", 
      "2.2020769125152686`", "2.3329403613576383`", "3.2543414391557017`", 
      "2.8911095231323163`", "0.1620688977998243`", "0.13023730139375436`", 
      "0.19664594338245617`", "3.0147583977278427`", "1.`", 
      "1.5560335225216917`", "1.6453674496705013`", "1.0039`", 
      "0.004671410665004113`", "1", "7.669690585411732`", 
      "0.22192269769157905`", "3.2566359175464226`", "2.202291666743096`", 
      "2.3321195346265244`", "3.2566359175464226`", "2.8929385324933223`", 
      "0.16212307544819754`", "0.13031969372150792`", "0.19665873295927533`", 
      "3.0150524074911305`", "1.`", "1.557017919638425`", 
      "1.001989691430453`"},
     {"82", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.669178479716002`", "0.2224131550705441`", "3.2542810473914665`", 
      "2.202071329046485`", "2.33296209426107`", "3.2542810473914665`", 
      "2.89106077548261`", "0.1620674517668599`", "0.13023510543324293`", 
      "0.19664560204400022`", "3.0147507536672244`", "1.`", 
      "1.5560072858895337`", "1.6453674496705013`", "1.004`", 
      "0.004671410665004113`", "1", "7.669703525946904`", 
      "0.2219103050418907`", "3.2566962896711447`", "2.202297386262494`", 
      "2.332098065664599`", "3.2566962896711447`", "2.8929860483356142`", 
      "0.16212448092159254`", "0.13032183419215562`", "0.19665906476786948`", 
      "3.015060237812151`", "1.`", "1.5570434932954813`", 
      "1.002094521813904`"},
     {"83", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.669230123442897`", "0.222363691516626`", "3.2543131933983953`", 
      "2.20205699530205`", "2.332916514279348`", "3.2543131933983953`", 
      "2.8912499077602534`", "0.16207306152028386`", "0.13024362537247375`", 
      "0.19664692624212574`", "3.0147311300218558`", "1.`", 
      "1.5561090793919412`", "1.6453674496705013`", "1.004`", 
      "0.004671410665004113`", "1", "7.6697419239683295`", 
      "0.2218735329891617`", "3.256667548636742`", "2.2022773638295576`", 
      "2.332074214976303`", "3.256667548636742`", "2.8931270597911123`", 
      "0.16212865130831744`", "0.13032818640789937`", "0.19666004933252149`", 
      "3.0150328260548704`", "1.`", "1.5571193875326452`", 
      "1.0020420242622843`"},
     {"84", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.669216809567557`", "0.22237644327445974`", "3.2542528142853864`", 
      "2.20205141450949`", "2.332938247287756`", "3.2542528142853864`", 
      "2.891201144045585`", "0.1620716153197687`", "0.1302414286882757`", 
      "0.19664658486070674`", "3.014723489625128`", "1.`", 
      "1.5560828341134076`", "1.6453674496705013`", "1.0041`", 
      "0.004671410665004113`", "1", "7.669754856742156`", 
      "0.22186114793797107`", "3.256727907653473`", "2.20228308412806`", 
      "2.3320527526668213`", "3.256727907653473`", "2.8931745601164356`", 
      "0.16213005591995389`", "0.13033032617954615`", "0.19666038094210672`", 
      "3.0150406574425257`", "1.`", "1.5571449528382628`", 
      "1.0021468559815347`"},
     {"85", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.669268446849498`", "0.22232698638777354`", "3.254284954934658`", 
      "2.2020370832090665`", "2.332892665607427`", "3.254284954934658`", 
      "2.8913902912332645`", "0.16207722431704832`", "0.13024994929916658`", 
      "0.19664790889357703`", "3.014703869325739`", "1.`", 
      "1.5561846356405946`", "1.6453674496705013`", "1.0041`", 
      "0.004671410665004113`", "1", "7.66979324833142`", "0.221824382537103`",
       "3.2566991613085463`", "2.2022630641389576`", "2.3320289002686914`", 
      "3.2566991613085463`", "2.8933155864911`", "0.16213422555227952`", 
      "0.13033667906736127`", "0.19666136534183148`", "3.015013249030982`", 
      "1.`", "1.55722085510512`", "1.0020943556863158`"},
     {"86", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.669255131299741`", "0.22233973962187503`", "3.254224588469301`", 
      "2.2020315050916546`", "2.332914398721705`", "3.254224588469301`", 
      "2.891341511453785`", "0.16207577794910694`", "0.13024775189128868`", 
      "0.1966475674692243`", "3.0146962325914295`", "1.`", 
      "1.5561583817157663`", "1.6453674496705013`", "1.0042`", 
      "0.004671410665004113`", "1", "7.669806173347454`", 
      "0.22181200508082702`", "3.256759507223178`", "2.202268785216001`", 
      "2.3320074446102383`", "3.256759507223178`", "2.893363071299464`", 
      "0.16213562930256142`", "0.1303388181400076`", "0.196661696752499`", 
      "3.0150210814844995`", "1.`", "1.5572464120593041`", 
      "1.0021991887414043`"},
     {"87", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.669306762137375`", "0.2222902894014738`", "3.2542567237621634`", 
      "2.2020171762346874`", "2.3328688153435895`", "3.2542567237621634`", 
      "2.8915306735505655`", "0.1620813861903526`", "0.13025627317379757`", 
      "0.19664889133685595`", "3.014676615637259`", "1.`", 
      "1.5562601912672294`", "1.6453674496705013`", "1.0042`", 
      "0.004671410665004113`", "1", "7.6698445585056065`", 
      "0.2217752463304887`", "3.2567307555701497`", "2.2022487676701825`", 
      "2.331983590502812`", "3.2567307555701497`", "2.8935041125926015`", 
      "0.1621397981806392`", "0.13034517169986287`", "0.1966626809873234`", 
      "3.0149936764179395`", "1.`", "1.5573223223554815`", 
      "1.0021466857026105`"},
     {"88", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.66929344491436`", "0.22230304411074417`", "3.2541963699408885`", 
      "2.2020116007913515`", "2.332890548564628`", "3.2541963699408885`", 
      "2.891481877706432`", "0.16207993965510908`", "0.13025407504224693`", 
      "0.19664854986959915`", "3.0146689825638986`", "1.`", 
      "1.5562339286961908`", "1.6453674496705013`", "1.0043`", 
      "0.004671410665004113`", "1", "7.669857475767315`", 
      "0.22176287646554865`", "3.256791088388568`", "2.202254489525194`", 
      "2.3319621414939764`", "3.256791088388568`", "2.8935515818840045`", 
      "0.16214120106997285`", "0.1303473100735087`", "0.1966630121991621`", 
      "3.0150015099365373`", "1.`", "1.5573478709582318`", 
      "1.002251520093576`"},
     {"89", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.669345069308469`", "0.22225360055567553`", "3.2542284998785926`", 
      "2.2019972743772973`", "2.3328449634895416`", "3.2542284998785926`", 
      "2.8916710547114004`", "0.16208554714042786`", "0.13026259699633258`", 
      "0.19664987357201222`", "3.0146493689542044`", "1.`", 
      "1.5563357462714384`", "1.6453674496705013`", "1.0043`", 
      "0.004671410665004113`", "1", "7.669895854495465`", 
      "0.22172612436440664`", "3.2567623314298624`", "2.202234474422115`", 
      "2.331938285677791`", "3.2567623314298624`", "2.893692638094931`", 
      "0.16214536919395264`", "0.13035366430537323`", "0.19666399626911465`", 
      "3.014974108214215`", "1.`", "1.5574237892833607`", 
      "1.0021990143112331`"},
     {"90", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.669331750413322`", "0.22226635673901865`", "3.2541681586978273`", 
      "2.201991701606961`", "2.3328666968182326`", "3.2541681586978273`", 
      "2.8916222428027614`", "0.16208410043800708`", "0.1302603981411159`", 
      "0.19664953206188024`", "3.01464173954032`", "1.`", 
      "1.5563094750542699`", "1.6453674496705013`", "1.0044`", 
      "0.004671410665004113`", "1", "7.669908764006282`", 
      "0.22171376208722743`", "3.25682265115795`", "2.2022401970545205`", 
      "2.3319168433171606`", "3.25682265115795`", "2.8937400918693656`", 
      "0.16214677122274487`", "0.1303558019800182`", "0.19666432728221253`", 
      "3.014981942797105`", "1.`", "1.5574493295346725`", 
      "1.0023038500381154`"},
     {"91", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.6693833683647545`", "0.22221691984832703`", "3.2542002832816292`", 
      "2.2019773776352842`", "2.3328211100469884`", "3.2542002832816292`", 
      "2.891811434715017`", "0.1620897071675042`", "0.13026892076673785`", 
      "0.19665085559909648`", "3.0146221292743682`", "1.`", 
      "1.5564113006528175`", "1.6453674496705013`", "1.0044`", 
      "0.004671410665004113`", "1", "7.669947136305507`", 
      "0.2216770166339491`", "3.2567938888959893`", "2.2022201843936338`", 
      "2.3318929857927544`", "3.2567938888959893`", "2.8938811629973933`", 
      "0.16215093859277754`", "0.13036215688386113`", "0.19666531118732086`", 
      "3.014954544418271`", "1.`", "1.5575252558883839`", 
      "1.0022513415122491`"},
     {"92", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.669370047798611`", "0.22222967750464623`", "3.254139954737802`", 
      "2.2019718075368733`", "2.3328428434842223`", "3.254139954737802`", 
      "2.8917626067420255`", "0.1620882602980307`", "0.13026672118786198`", 
      "0.1966505140461184`", "3.01461450351849`", "1.`", "1.556385020789601`",
       "1.6453674496705013`", "1.0045`", "0.004671410665004113`", "1", 
      "7.669960038068962`", "0.22166466194095316`", "3.256854195539626`", 
      "2.202225907802868`", "2.3318715500789167`", "3.256854195539626`", 
      "2.893928601254869`", "0.16215233976143226`", "0.1303642938595056`", 
      "0.19666564200176845`", "3.0149623800646803`", "1.`", 
      "1.5575507877882622`", "1.0023561785750872`"},
     {"93", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.669421659308011`", "0.22218024727738495`", "3.2541720739689484`", 
      "2.201957486007018`", "2.33279725501764`", "3.2541720739689484`", 
      "2.891951813560633`", "0.16209386627181668`", "0.13027524448497801`", 
      "0.1966518374181543`", "3.014594896595519`", "1.`", 
      "1.556486854410945`", "1.6453674496705013`", "1.0045`", 
      "0.004671410665004113`", "1", "7.669998403940279`", 
      "0.22162792313420931`", "3.2568254279768314`", "2.20220589758362`", 
      "2.3318476908468284`", "3.2568254279768314`", "2.894069687299299`", 
      "0.1621565063776701`", "0.1303706494352954`", "0.19666662574205862`", 
      "3.0149349850285785`", "1.`", "1.5576267221701792`", 
      "1.0023036673057222`"},
     {"94", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.669408337072028`", "0.22219300640558373`", "3.254111758058493`", 
      "2.2019519185794616`", "2.3328189885643065`", "3.254111758058493`", 
      "2.8919029695234433`", "0.16209241923541431`", "0.1302730441824499`", 
      "0.19665149582235986`", "3.0145872744961797`", "1.`", 
      "1.5564605659017638`", "1.6453674496705013`", "1.0046`", 
      "0.004671410665004113`", "1", "7.6700112979597765`", 
      "0.2216155760218258`", "3.2568857215418947`", "2.202211621769106`", 
      "2.3318262617783736`", "3.2568857215418947`", "2.894117110039805`", 
      "0.16215790668659452`", "0.13037278571193894`", "0.19666695635794315`", 
      "3.014942821737717`", "1.`", "1.5576522457186184`", 
      "1.0024085057045555`"},
     {"95", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.669459942140161`", "0.22214358284080044`", "3.254143871938234`", 
      "2.2019375994908836`", "2.3327733984032`", "3.254143871938234`", 
      "2.892092191247489`", "0.16209802445359658`", "0.13028156815101893`", 
      "0.19665281902923507`", "3.014567670915446`", "1.`", 
      "1.5565624075454128`", "1.6453674496705013`", "1.0046`", 
      "0.004671410665004113`", "1", "7.670049657404266`", 
      "0.22157884386028417`", "3.256856948680685`", "2.2021916139909505`", 
      "2.3318024008391407`", "3.256856948680685`", "2.8942582109999506`", 
      "0.16216207254918813`", "0.1303791419596447`", "0.19666793993344286`", 
      "3.0149154300435983`", "1.`", "1.5577281881283715`", 
      "1.002355991691718`"},
     {"96", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.669446618235481`", "0.22215634343978272`", "3.254083568657582`", 
      "2.201932034733108`", "2.3327951320601876`", "3.254083568657582`", 
      "2.892043331146255`", "0.16209657725038965`", "0.13027936712484556`", 
      "0.19665247739065356`", "3.014560052471176`", "1.`", 
      "1.55653611039035`", "1.6453674496705013`", "1.0047`", 
      "0.004671410665004113`", "1", "7.670062543683311`", 
      "0.22156650432493968`", "3.2569172291730477`", "2.202197338952122`", 
      "2.3317809784146566`", "3.2569172291730477`", "2.894305618223492`", 
      "0.16216347199878642`", "0.13038127753728754`", "0.19666827035085432`", 
      "3.014923267814691`", "1.`", "1.5577537033253746`", 
      "1.002460831426585`"},
     {"97", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.669498216863079`", "0.2221069265365273`", "3.2541156771871664`", 
      "2.201917718085261`", "2.3327495402053753`", "3.2541156771871664`", 
      "2.8922325677748186`", "0.16210218171307655`", "0.13028789176482608`", 
      "0.19665380043238684`", "3.0145404522319295`", "1.`", 
      "1.556637960055808`", "1.6453674496705013`", "1.0047`", 
      "0.004671410665004113`", "1", "7.670100896702079`", 
      "0.22152977880726768`", "3.256888451015848`", "2.202177333614516`", 
      "2.331757115768815`", "3.256888451015848`", "2.8944467340986697`", 
      "0.16216763710788576`", "0.13038763445687837`", "0.19666925376159197`", 
      "3.014895879461811`", "1.`", "1.5578296537625955`", 
      "1.0024083146702993`"},
     {"98", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.669484891290836`", "0.22211968860519785`", "3.2540553865327495`", 
      "2.201912155996194`", "2.3327712739735715`", "3.2540553865327495`", 
      "2.8921836916096946`", "0.1621007343431894`", "0.13028569001501436`", 
      "0.19665345875104726`", "3.0145328374412617`", "1.`", 
      "1.5566116542549464`", "1.6453674496705013`", "1.0048`", 
      "0.004671410665004113`", "1", "7.670113775244143`", 
      "0.22151744684539185`", "3.2569487184413815`", "2.2021830593508036`", 
      "2.3317356999868903`", "3.2569487184413815`", "2.894494125805248`", 
      "0.16216903569856292`", "0.1303897693355206`", "0.19666958398061923`", 
      "3.014903718294078`", "1.`", "1.557855160608163`", "1.00251315574124`"},
     {"99", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.669536483478727`", "0.22207027836251564`", "3.254087489713432`", 
      "2.2018978417885395`", "2.3327256804258654`", "3.254087489713432`", 
      "2.892372943141871`", "0.16210633805048674`", "0.13029421532636562`", 
      "0.19665478162765984`", "3.0145132405427666`", "1.`", 
      "1.5567135119417268`", "1.6453674496705013`", "1.0048`", 
      "0.004671410665004113`", "1", "7.670152121838254`", 
      "0.2214807279702583`", "3.256919934990609`", "2.2021630564531978`", 
      "2.331711835634978`", "3.256919934990609`", "2.8946352565947673`", 
      "0.162173200054319`", "0.13039612692696548`", "0.19667056722662207`", 
      "3.0148763332816872`", "1.`", "1.557931119072481`", 
      "1.0024606362415323`"},
     {"100", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.669523156240037`", "0.22208304189978095`", "3.254027211681686`", 
      "2.2018922823671065`", "2.3327474143061604`", "3.254027211681686`", 
      "2.892324050913006`", "0.1621048905140442`", "0.13029201285292227`", 
      "0.19665443990359088`", "3.014505629404229`", "1.`", 
      "1.5566871974951462`", "1.6453674496705013`", "1.0049`", 
      "0.004671410665004113`", "1", "7.670164992646814`", 
      "0.22146840357828254`", "3.2569801893551844`", "2.202168782964034`", 
      "2.331690426494203`", "3.2569801893551844`", "2.8946826327843826`", 
      "0.1621745977864795`", "0.13039826110660707`", "0.19667089724735437`", 
      "3.014884173174351`", "1.`", "1.5579566175666133`", 
      "1.0025654786485845`"},
     {"101", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.669574741988865`", "0.22203363831672493`", "3.2540593095147092`", 
      "2.20187797059909`", "2.332701819066378`", "3.2540593095147092`", 
      "2.892513317347863`", "0.16211049346606246`", "0.13030053883560228`", 
      "0.19665576261509926`", "3.0144860358457253`", "1.`", 
      "1.5567890632027472`", "1.6453674496705013`", "1.0049`", 
      "0.004671410665004113`", "1", "7.670203332817315`", 
      "0.2214316913443573`", "3.256951400613258`", "2.2021487825058803`", 
      "2.331666560436757`", "3.256951400613258`", "2.8948237784875515`", 
      "0.1621787613890438`", "0.13040461936987485`", "0.19667188032864927`", 
      "3.014856791501698`", "1.`", "1.5580325840576554`", 
      "1.0025129564054798`"},
     {"102", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.669561413084909`", "0.22204640332148876`", "3.2539990441020725`", 
      "2.201872413844224`", "2.3327235530596564`", "3.2539990441020725`", 
      "2.892464409055418`", "0.1621090457631875`", "0.13029833563853455`", 
      "0.1966554208483312`", "3.0144784283578576`", "1.`", 
      "1.5567627401105346`", "1.6453674496705013`", "1.005`", 
      "0.004671410665004113`", "1", "7.670216195895817`", 
      "0.2214193745187155`", "3.257011641922736`", "2.202154509790694`", 
      "2.331645157935722`", "3.257011641922736`", "2.8948711391602036`", 
      "0.16218015826309265`", "0.13040675285051576`", "0.19667221015117498`", 
      "3.014864632453977`", "1.`", "1.5580580742003516`", 
      "1.002617800148684`"},
     {"103", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.669612992395516`", "0.22199700639710435`", "3.254031136588689`", 
      "2.2018581045153094`", "2.33267795612861`", "3.254031136588689`", 
      "2.8926536903920512`", "0.16211464796003217`", "0.13030686229250255`", 
      "0.19665674339475697`", "3.0144588381386117`", "1.`", 
      "1.5568646138384692`", "1.6453674496705013`", "1.005`", 
      "0.004671410665004113`", "1", "7.670254529643749`", 
      "0.22138266892466896`", "3.2569828478920733`", "2.2021345117714426`", 
      "2.3316212901732802`", "3.2569828478920733`", "2.8950122997763286`", 
      "0.1621843211126167`", "0.13041311178557516`", "0.19667319306778863`", 
      "3.0148372541203083`", "1.`", "1.5581340487177446`", 
      "1.0025652751622078`"},
     {"104", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.669599661827391`", "0.22200977286827406`", "3.253970883791595`", 
      "2.2018525504259348`", "2.3326996902357595`", "3.253970883791595`", 
      "2.892604766036176`", "0.16211320009085006`", "0.13030465837181718`", 
      "0.19665640158531789`", "3.014451234299941`", "1.`", 
      "1.5568382821007052`", "1.6453674496705013`", "1.0051`", 
      "0.004671410665004113`", "1", "7.670267384995667`", 
      "0.2213703596617949`", "3.2570430761523186`", "2.2021402398296654`", 
      "2.331599894310574`", "3.2570430761523186`", "2.8950596449320205`", 
      "0.16218571712895816`", "0.1304152445672156`", "0.1966735226921968`", 
      "3.0148450961314266`", "1.`", "1.5581595305090075`", 
      "1.0026701202416024`"},
     {"105", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.669651234700444`", "0.22196038260161313`", "3.2540029709330507`", 
      "2.201838243535569`", "2.3326540916142657`", "3.2540029709330507`", 
      "2.8927940622736563`", "0.16211880153263106`", "0.13031318569703132`", 
      "0.19665772396667824`", "3.0144316474191966`", "1.`", 
      "1.5569401638484741`", "1.6453674496705013`", "1.0051`", 
      "0.004671410665004113`", "1", "7.6703057123221035`", 
      "0.22133366070629643`", "3.2570142768353354`", "2.20212024424877`", 
      "2.331576024843673`", "3.2570142768353354`", "2.8952008204604125`", 
      "0.1621898792255927`", "0.1304216041740356`", "0.19667450544415668`", 
      "3.014817721135994`", "1.`", "1.5582355130523806`", 
      "1.0026175925117802`"},
     {"106", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.66963790246933`", "0.2219731505380939`", "3.253942730747941`", 
      "2.2018326921106195`", "2.3326758258361715`", "3.253942730747941`", 
      "2.8927451218545106`", "0.16211735349726475`", "0.13031098105273556`", 
      "0.19665738211459838`", "3.0144240472282626`", "1.`", 
      "1.5569138234652447`", "1.6453674496705013`", "1.0052`", 
      "0.004671410665004113`", "1", "7.67031855995097`", 
      "0.22132135900262467`", "3.2570744920522094`", "2.202125973079842`", 
      "2.3315546356178856`", "3.2570744920522094`", "2.895248150099155`", 
      "0.16219127438462907`", "0.13042373625667597`", "0.19667483487053788`", 
      "3.0148255642051827`", "1.`", "1.5582609864922148`", 
      "1.002722438927404`"},
     {"107", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.669689468905626`", "0.22192376692820373`", "3.253974812545485`", 
      "2.201818387658262`", "2.3326302255250435`", "3.253974812545485`", 
      "2.8929344329919293`", "0.16212295418408867`", "0.1303195090491549`", 
      "0.19665870433091365`", "3.0144044636852794`", "1.`", 
      "1.5570157132323574`", "1.6453674496705013`", "1.0052`", 
      "0.004671410665004113`", "1", "7.670356880856992`", 
      "0.22128466668434338`", "3.257045687451325`", "2.2021059799367575`", 
      "2.331530764447062`", "3.257045687451325`", "2.8953893405391264`", 
      "0.16219543572852455`", "0.13043009653522555`", "0.19667581745787174`", 
      "3.0147981925472402`", "1.`", "1.558336977061198`", 
      "1.0026699084542607`"},
     {"108", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.669676135012642`", "0.22193653632890314`", "3.253914584968797`", 
      "2.201812838896666`", "2.33265195986259`", "3.253914584968797`", 
      "2.8928854765096648`", "0.16212150598266256`", "0.13031730368125555`", 
      "0.19665836243622176`", "3.0143968671406154`", "1.`", 
      "1.5569893642037447`", "1.6453674496705013`", "1.0053`", 
      "0.004671410665004113`", "1", "7.670369720766179`", 
      "0.22127237253631502`", "3.257105889630681`", "2.2021117095401017`", 
      "2.331509381856786`", "3.257105889630681`", "2.8954366546609096`", 
      "0.1621968300306622`", "0.13043222791886547`", "0.1966761466863125`", 
      "3.0148060366737104`", "1.`", "1.5583624421495987`", 
      "1.0027747562061535`"},
     {"109", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.669727695012902`", "0.2218871593748332`", "3.2539466614236763`", 
      "2.2017985368817703`", "2.3326063578626424`", "3.2539466614236763`", 
      "2.8930748025461015`", "0.16212710591463803`", "0.1303258323488386`", 
      "0.1966596844875105`", "3.0143772869346446`", "1.`", 
      "1.557091261989707`", "1.6453674496705013`", "1.0053`", 
      "0.004671410665004113`", "1", "7.6704080352528585`", 
      "0.22123568685392017`", "3.257077079748311`", "2.2020917188342817`", 
      "2.3314855089825754`", "3.257077079748311`", "2.895577860011773`", 
      "0.1622009906219694`", "0.13043858886911372`", "0.19667712910904783`", 
      "3.014778668352511`", "1.`", "1.558438440743822`", 
      "1.0027222229897146`"},
     {"110", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.669714359459195`", "0.22189993023865842`", "3.2538864464518524`", 
      "2.201792990782458`", "2.3326280923167135`", "3.2538864464518524`", 
      "2.893025830000876`", "0.1621256575472759`", "0.1303236262573428`", 
      "0.19665934255023593`", "3.014369694034787`", "1.`", 
      "1.5570649043157954`", "1.6453674496705013`", "1.0054`", 
      "0.004671410665004113`", "1", "7.670420867445857`", 
      "0.22122340025797438`", "3.257137268896002`", "2.202097449209334`", 
      "2.331464133026402`", "3.257137268896002`", "2.8956251586166006`", 
      "0.16220238406761137`", "0.13044071955375333`", "0.19667745813963755`", 
      "3.0147865135354897`", "1.`", "1.5584638974807914`", 
      "1.0028270720779149`"},
     {"111", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.669765913024223`", "0.2218505599394557`", "3.2539185175653156`", 
      "2.2017786912044848`", "2.3325824886287583`", "3.2539185175653156`", 
      "2.893215170935422`", "0.16213125672450934`", "0.13033215559604866`", 
      "0.19666066443651872`", "3.01435011716509`", "1.`", 
      "1.5571668101201177`", "1.6453674496705013`", "1.0054`", 
      "0.004671410665004113`", "1", "7.670459175514243`", 
      "0.22118672121013677`", "3.2571084537345607`", "2.202077460940231`", 
      "2.3314402584493417`", "3.2571084537345607`", "2.8957663788776653`", 
      "0.16220654390648148`", "0.1304470811756691`", "0.19667844039780127`", 
      "3.0147591485502825`", "1.`", "1.5585399040998829`", 
      "1.0027745361182059`"},
     {"112", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.669752575810885`", "0.22186333226531652`", "3.2538583151947957`", 
      "2.2017731477663838`", "2.3326042232002386`", "3.2538583151947957`", 
      "2.8931661823273838`", "0.16212980819133604`", "0.13032994878096302`", 
      "0.19666032245668955`", "3.0143425279085694`", "1.`", 
      "1.5571404438009868`", "1.6453674496705013`", "1.0055`", 
      "0.004671410665004113`", "1", "7.6704719999944535`", 
      "0.22117444216271717`", "3.2571686298564355`", "2.2020831920864183`", 
      "2.331418889125864`", "3.2571686298564355`", "2.8958136619655326`", 
      "0.1622079364960328`", "0.1304492111613082`", "0.1966787692306272`", 
      "3.0147669947889857`", "1.`", "1.558565352485418`", 
      "1.0028793865427534`"},
     {"113", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.669804122941401`", "0.22181396862003058`", "3.253890380968089`", 
      "2.201758850624785`", "2.3325586178250903`", "3.253890380968089`", 
      "2.893355538159119`", "0.16213540661393605`", "0.13033847879075028`", 
      "0.19666164417798485`", "3.014322954374397`", "1.`", 
      "1.5572423576231742`", "1.6453674496705013`", "1.0055`", 
      "0.004671410665004113`", "1", "7.670510301645683`", 
      "0.22113776974810403`", "3.257139809418341`", "2.2020632062534924`", 
      "2.331395012846487`", "3.257139809418341`", "2.89595489713612`", 
      "0.162212095582615`", "0.13045557345486095`", "0.19667975132424845`", 
      "3.014739633139033`", "1.`", "1.5586413671290125`", 
      "1.0028268478397993`"},
     {"114", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.66979078406957`", "0.22182674240683517`", "3.2538301911953154`", 
      "2.201753309846826`", "2.3325803525148636`", "3.2538301911953154`", 
      "2.893306533488424`", "0.16213395791507548`", "0.13033627125208186`", 
      "0.1966613021556302`", "3.014315368759749`", "1.`", 
      "1.5572159826589085`", "1.6453674496705013`", "1.0056`", 
      "0.004671410665004113`", "1", "7.670523118416658`", 
      "0.2211254982456504`", "3.2571999725202505`", "2.2020689381702585`", 
      "2.3313736501542937`", "3.2571999725202505`", "2.896002164707042`", 
      "0.1622134873164766`", "0.1304577027415002`", "0.19668007995940165`", 
      "3.014747480432698`", "1.`", "1.5586668071631218`", 
      "1.002931699600732`"},
     {"115", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.669842324766293`", "0.22177738541451686`", "3.253862251629684`", 
      "2.2017390151410554`", "2.332534745453336`", "3.253862251629684`", 
      "2.8934959042164254`", "0.1621395555831507`", "0.1303448019329089`", 
      "0.19666262371195642`", "3.0142957985603522`", "1.`", 
      "1.5573179044984642`", "1.6453674496705013`", "1.0056`", 
      "0.004671410665004113`", "1", "7.670561413651699`", 
      "0.22108883246293634`", "3.257171146807913`", "2.202048954772955`", 
      "2.3313497721731404`", "3.257171146807913`", "2.8961434147864464`", 
      "0.16221764565092406`", "0.13046406570665806`", "0.1966810618885053`", 
      "3.0147201221172395`", "1.`", "1.5587428298308394`", 
      "1.002879158154558`"},
     {"116", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.669828984237191`", "0.2217901606611702`", "3.2538020744511056`", 
      "2.201733477022178`", "2.3325564802622814`", "3.2538020744511056`", 
      "2.8934468834832456`", "0.16213810671872447`", "0.13034259367066542`", 
      "0.19666228164710764`", "3.014288216586127`", "1.`", 
      "1.5572915208891556`", "1.6453674496705013`", "1.0057`", 
      "0.004671410665004113`", "1", "7.670574222716897`", 
      "0.2210765685018929`", "3.2572312968957013`", "2.2020546874597327`", 
      "2.3313284161108236`", "3.2572312968957013`", "2.896190666840429`", 
      "0.1622190365294992`", "0.13046619429429776`", "0.19668139032607446`", 
      "3.014727970465091`", "1.`", "1.558768261513526`", 
      "1.0029840112519157`"},
     {"117", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.669880518500905`", "0.22174081032086637`", "3.253834129547797`", 
      "2.2017191847516946`", "2.3325108715151854`", "3.253834129547797`", 
      "2.893636269106605`", "0.1621437036323818`", "0.13035112502249133`", 
      "0.19666360303848493`", "3.0142686497207656`", "1.`", 
      "1.5573934507455904`", "1.6453674496705013`", "1.0057`", 
      "0.004671410665004113`", "1", "7.670612511536856`", 
      "0.22103990934974635`", "3.2572024659115364`", "2.2020347064975088`", 
      "2.3313045364284277`", "3.2572024659115364`", "2.8963319318279708`", 
      "0.1622231941119618`", "0.13047255793103021`", "0.19668237209068878`", 
      "3.014700615483384`", "1.`", "1.5588442922050012`", 
      "1.0029314670625473`"},
     {"118", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.6698671763155835`", "0.22175358702628142`", "3.253773964959855`", 
      "2.2017136492908236`", "2.332532606444187`", "3.253773964959855`", 
      "2.893587232311081`", "0.16214225460251575`", "0.13034891603667917`", 
      "0.19666326093116898`", "3.01426107138549`", "1.`", 
      "1.5573670584913153`", "1.6453674496705013`", "1.0058`", 
      "0.004671410665004113`", "1", "7.670625312899642`", 
      "0.22102765292656348`", "3.257262602991042`", "2.2020404399537243`", 
      "2.3312831869945834`", "3.257262602991042`", "2.896379168365001`", 
      "0.16222458413565582`", "0.13047468581966978`", "0.19668270033076024`", 
      "3.0147084648846363`", "1.`", "1.558869715536258`", 
      "1.003036321496369`"},
     {"119", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.669918704147009`", "0.22170424333704236`", "3.2538060147201127`", 
      "2.20169935945508`", "2.332486996012337`", "3.2538060147201127`", 
      "2.893776632828877`", "0.16214785076186386`", "0.13035744805946245`", 
      "0.1966645821576158`", "3.014241507853414`", "1.`", 
      "1.557468996364134`", "1.6453674496705013`", "1.0058`", 
      "0.004671410665004113`", "1", "7.6706635953056495`", 
      "0.22099100040365302`", "3.2572337667374627`", "2.202020461426042`", 
      "2.331259305611478`", "3.2572337667374627`", "2.8965204482599987`", 
      "0.16222874096628248`", "0.13048105012794606`", "0.1966836819309143`", 
      "3.0146811132359432`", "1.`", "1.5589457542511238`", 
      "1.0029837745638313`"},
     {"120", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.669905360306662`", "0.22171702150012657`", "3.2537458627192573`", 
      "2.201693826651153`", "2.332508731062273`", "3.2537458627192573`", 
      "2.8937275799711757`", "0.1621464015666801`", "0.13035523835008908`", 
      "0.1966642400078633`", "3.014233933155634`", "1.`", 
      "1.5574425954649813`", "1.6453674496705013`", "1.0059`", 
      "0.004671410665004113`", "1", "7.670676388969504`", 
      "0.22097875151477794`", "3.257293890814524`", "2.202026195651132`", 
      "2.3312379628046984`", "3.257293890814524`", "2.8965676692800857`", 
      "0.1622301301354975`", "0.13048317731758585`", "0.19668400997357718`", 
      "3.0146889636898244`", "1.`", "1.5589711692309558`", 
      "1.003088630334156`"},
     {"121", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.669956881706543`", "0.22166768446100163`", "3.253777907144329`", 
      "2.2016795392496054`", "2.3324631189464813`", "3.253777907144329`", 
      "2.893916995382491`", "0.16215199697182692`", "0.13036377104378838`", 
      "0.19666556106939873`", "3.0142143729560997`", "1.`", 
      "1.5575445413536897`", "1.6453674496705013`", "1.0059`", 
      "0.004671410665004113`", "1", "7.67071466496253`", 
      "0.22094210561977823`", "3.2572650492939412`", "2.2020062195574357`", 
      "2.3312140797214225`", "3.2572650492939412`", "2.896708964081837`", 
      "0.16223428621444155`", "0.13048954229737436`", "0.19668499140929582`", 
      "3.0146616153733867`", "1.`", "1.5590472159688342`", 
      "1.0030360806584744`"},
     {"122", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.669943536212308`", "0.2216804640806645`", "3.253717767727006`", 
      "2.2016740091015556`", "2.3324848541182326`", "3.253717767727006`", 
      "2.8938679264627707`", "0.16215054761144904`", "0.13036156061086102`", 
      "0.19666521887723884`", "3.014206801894354`", "1.`", 
      "1.5575181318097455`", "1.6453674496705013`", "1.006`", 
      "0.004671410665004113`", "1", "7.670727450930996`", 
      "0.220929864261657`", "3.257325160374397`", "2.2020119545508443`", 
      "2.331192743540298`", "3.257325160374397`", "2.896756169584997`", 
      "0.16223567452957782`", "0.13049166878801516`", "0.19668531925464108`", 
      "3.014669466879136`", "1.`", "1.5590726225972502`", 
      "1.0031409377653406`"},
     {"123", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.669995051181387`", "0.22163113369070286`", "3.2537498068181336`", 
      "2.2016597241336595`", "2.332439240319311`", "3.2537498068181336`", 
      "2.8940573567666887`", "0.16215614226250252`", "0.1303700939754351`", 
      "0.1966665397738819`", "3.0141872450266165`", "1.`", 
      "1.5576200857138502`", "1.6453674496705013`", "1.006`", 
      "0.004671410665004113`", "1", "7.670765720512105`", 
      "0.2208932249932392`", "3.2572963135892214`", "2.2019919808905892`", 
      "2.3311688587573864`", "3.2572963135892214`", "2.8968974792928126`", 
      "0.16223982985699`", "0.13049803443928482`", "0.19668630052595162`", 
      "3.0146421218942057`", "1.`", "1.5591486773577703`", 
      "1.0030883853465402`"},
     {"124", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.6699817040343845`", "0.2216439147658558`", "3.253689679980794`", 
      "2.201654196640419`", "2.3324609756137566`", "3.253689679980794`", 
      "2.8940082717851046`", "0.16215469273705455`", "0.13036788281896058`", 
      "0.19666619753934336`", "3.014179677599443`", "1.`", 
      "1.5575936675251976`", "1.6453674496705013`", "1.0061`", 
      "0.004671410665004113`", "1", "7.6707784987885566`", 
      "0.22088099116232643`", "3.257356411678901`", "2.2019977166517437`", 
      "2.331147529200513`", "3.257356411678901`", "2.8969446692790393`", 
      "0.162241217318452`", "0.13050016023092637`", "0.19668662817406574`", 
      "3.01464997445104`", "1.`", "1.559174075634767`", "1.0031932437899878`"},
     {"125", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.6700332125734505`", "0.22159459102410448`", "3.2537217137392247`", 
      "2.2016399141056344`", "2.332415360132516`", "3.2537217137392247`", 
      "2.8941977169807163`", "0.16216028663412158`", "0.13037641685436846`", 
      "0.1966675182711143`", "3.0141601240627627`", "1.`", 
      "1.5576956294442097`", "1.6453674496705013`", "1.0061`", 
      "0.004671410665004113`", "1", "7.6708167619588465`", 
      "0.22084435851916026`", "3.257327559631544`", "2.201977745424388`", 
      "2.3311236427185`", "3.257327559631544`", "2.897085993892236`", 
      "0.16224537189448232`", "0.1305065265536464`", "0.19668760928099624`", 
      "3.0146226327968755`", "1.`", "1.559250138417561`", 
      "1.0031406886280942`"},
     {"126", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.670019863774768`", "0.22160737355366067`", "3.253661599478316`", 
      "2.201634389266133`", "2.332437095550537`", "3.253661599478316`", 
      "2.894148615937417`", "0.16215883694372807`", "0.13037420497435365`", 
      "0.196667175994225`", "3.0141525602686965`", "1.`", 
      "1.5576692026109287`", "1.6453674496705013`", "1.0062`", 
      "0.004671410665004113`", "1", "7.670829532546735`", 
      "0.2208321322119095`", "3.2573876447362773`", "2.201983481952724`", 
      "2.331102319784472`", "3.2573876447362773`", "2.897133168361532`", 
      "0.16224675850267217`", "0.13050865164628872`", "0.19668793673196774`", 
      "3.014630486404022`", "1.`", "1.5592755283431394`", 
      "1.0032455484081613`"},
     {"127", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.670071365884567`", "0.22155805645916898`", "3.253693627905294`", 
      "2.201620109163916`", "2.332391478387789`", "3.253693627905294`", 
      "2.8943380760238067`", "0.16216443008691664`", "0.13038273968055408`", 
      "0.1966684965611429`", "3.014133010062328`", "1.`", 
      "1.5577711725443553`", "1.6453674496705013`", "1.0062`", 
      "0.004671410665004113`", "1", "7.670867789307348`", 
      "0.22079550619266358`", "3.257358787429151`", "2.2019635131577306`", 
      "2.33107843160389`", "3.257358787429151`", "2.8972745078794335`", 
      "0.16225091232746916`", "0.13051501864042866`", "0.19668891767454758`", 
      "3.0146031480798894`", "1.`", "1.5593515991478433`", 
      "1.003192990503199`"},
     {"128", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.670058015435367`", "0.22157084044203848`", "3.253633526217267`", 
      "2.20161458697709`", "2.332413213930261`", "3.253633526217267`", 
      "2.894288958918956`", "0.16216298023170037`", "0.13038052707700626`", 
      "0.19666815424193265`", "3.0141254498999137`", "1.`", 
      "1.5577447370665343`", "1.6453674496705013`", "1.0063`", 
      "0.004671410665004113`", "1", "7.670880552210108`", 
      "0.22078328740552977`", "3.257418859554764`", "2.201969250452684`", 
      "2.331057115291301`", "3.257418859554764`", "2.897321666831803`", 
      "0.16225229808278932`", "0.13051714303407203`", "0.1966892449284645`", 
      "3.0146110027365736`", "1.`", "1.559376980722006`", 
      "1.003297851619925`"},
     {"129", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.670109511116616`", "0.2215215299938565`", "3.253665549314036`", 
      "2.2016003093068934`", "2.3323675950868172`", "3.253665549314036`", 
      "2.894478433895204`", "0.1621685726211191`", "0.13038906245395784`", 
      "0.19666947464401596`", "3.014105903023109`", "1.`", 
      "1.5578467150138802`", "1.6453674496705013`", "1.0063`", 
      "0.004671410665004113`", "1", "7.670918802562035`", 
      "0.2207466680088786`", "3.2573899969902778`", "2.2019492840895003`", 
      "2.3310332254126878`", "3.2573899969902778`", "2.8974630212537082`", 
      "0.16225645115650575`", "0.13052351069960033`", "0.19669022570671904`", 
      "3.014583667741716`", "1.`", "1.5594530595482425`", 
      "1.0032452909719196`"},
     {"130", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.6700961590180325`", "0.22153431542895113`", "3.253605460195345`", 
      "2.2015947897716783`", "2.3323893307546193`", "3.253605460195345`", 
      "2.8944293007289597`", "0.1621671226012035`", "0.1303868491268841`", 
      "0.19666913228251381`", "3.0140983464908877`", "1.`", 
      "1.557820270891604`", "1.6453674496705013`", "1.0064`", 
      "0.004671410665004113`", "1", "7.670931557783152`", 
      "0.22073445673831693`", "3.257450056142595`", "2.20195502215051`", 
      "2.331011915720132`", "3.257450056142595`", "2.897510164689161`", 
      "0.16225783605935712`", "0.13052563439424514`", "0.19669055276367073`", 
      "3.014591523447172`", "1.`", "1.5594784327709947`", 
      "1.003350153425343`"},
     {"131", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.670147648271536`", "0.2214850116261259`", "3.2536374779631485`", 
      "2.2015805145329654`", "2.3323437102312887`", "3.2536374779631485`", 
      "2.894618790594158`", "0.16217271423695878`", "0.1303953851745459`", 
      "0.19667045251978318`", "3.0140788029429118`", "1.`", 
      "1.5579222568523803`", "1.6453674496705013`", "1.0064`", 
      "0.004671410665004113`", "1", "7.670969801727426`", 
      "0.22069784396293352`", "3.2574211883231525`", "2.2019350582185893`", 
      "2.330988024144022`", "3.2574211883231525`", "2.8976515340143782`", 
      "0.16226198838214428`", "0.13053200273113064`", "0.19669153337762652`", 
      "3.01456419178084`", "1.`", "1.5595545196183918`", 
      "1.0032975900343206`"},
     {"132", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.67013429452473`", "0.22149779851235715`", "3.2535774014102485`", 
      "2.2015749976482986`", "2.332365446025295`", "3.2535774014102485`", 
      "2.8945696413666835`", "0.16217126405246646`", "0.13039317112395368`", 
      "0.1966701101160189`", "3.01407125003943`", "1.`", 
      "1.5578958040857367`", "1.6453674496705013`", "1.0065`", 
      "0.004671410665004113`", "1", "7.6709825492703425`", 
      "0.22068564020540257`", "3.2574812345079946`", "2.201940797045092`", 
      "2.3309667210700953`", "3.2574812345079946`", "2.8976986619329184`", 
      "0.16226337243292857`", "0.13053412572677706`", "0.19669186023770124`", 
      "3.0145720485342955`", "1.`", "1.5595798844897353`", 
      "1.003402453824481`"},
     {"133", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.670185777351149`", "0.22144850135394137`", "3.2536094138503278`", 
      "2.2015607248405176`", "2.332319823822892`", "3.2536094138503278`", 
      "2.894759146119902`", "0.16217685493466846`", "0.1304017078422838`", 
      "0.19667143018849118`", "3.014051709819525`", "1.`", 
      "1.5579977980594433`", "1.6453674496705013`", "1.0065`", 
      "0.004671410665004113`", "1", "7.671020786808038`", 
      "0.22064903404995873`", "3.2574523614360067`", "2.201920835543891`", 
      "2.3309428277970228`", "3.2574523614360067`", "2.89784004616076`", 
      "0.16226752400493705`", "0.13054049473498874`", "0.19669284068738577`", 
      "3.014544720195746`", "1.`", "1.5596559793579226`", 
      "1.0033498876904656`"},
     {"134", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.670172421957243`", "0.2214612896902222`", "3.253549349859673`", 
      "2.2015552106053335`", "2.3323415597439796`", "3.253549349859673`", 
      "2.8947099808313554`", "0.16217540458572297`", "0.1303994930681802`", 
      "0.1966710877424936`", "3.014044160543324`", "1.`", 
      "1.5579713366485175`", "1.6453674496705013`", "1.0066`", 
      "0.004671410665004113`", "1", "7.671033526676198`", 
      "0.22063683780191806`", "3.257512394659191`", "2.201926575135324`", 
      "2.3309215313403198`", "3.257512394659191`", "2.8978871585623933`", 
      "0.16226890720405565`", "0.13054261703163708`", "0.1966931673506719`", 
      "3.0145525779964313`", "1.`", "1.5596813358778612`", 
      "1.0034547528174012`"},
     {"135", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.670223898357399`", "0.2214119991752616`", "3.2535813569732737`", 
      "2.2015409402279476`", "2.3322959358633115`", "3.2535813569732737`", 
      "2.8948995004716926`", "0.16218099471447775`", "0.13040803045713797`", 
      "0.19667240765018992`", "3.014024623650758`", "1.`", 
      "1.558073338634669`", "1.6453674496705013`", "1.0066`", 
      "0.004671410665004113`", "1", "7.6710717578084315`", 
      "0.22060023826508376`", "3.257483516337066`", "2.2019066160643033`", 
      "2.330897636370818`", "3.257483516337066`", "2.8980285576921796`", 
      "0.16227305802543474`", "0.13054898671114437`", "0.19669414763611381`", 
      "3.0145252529849262`", "1.`", "1.5597574387664725`", 
      "1.0034021839404186`"},
     {"136", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.670210541317476`", "0.22142478896050738`", "3.2535213055413177`", 
      "2.2015354286411783`", "2.3323176719123575`", "3.2535213055413177`", 
      "2.8948503191222246`", "0.16217954420120356`", "0.13040581495952977`", 
      "0.19667206516198676`", "3.014017078000375`", "1.`", 
      "1.558046868579542`", "1.6453674496705013`", "1.0067`", 
      "0.004671410665004113`", "1", "7.67108449000528`", 
      "0.22058804952299496`", "3.257543536604409`", "2.201912356420104`", 
      "2.3308763465299336`", "3.257543536604409`", "2.8980756545769117`", 
      "0.162274440373289`", "0.13055110830879482`", "0.1966944741026997`", 
      "3.0145331118320704`", "1.`", "1.5597827869350092`", 
      "1.0035070504041685`"},
     {"137", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.670262011292091`", "0.22137550508805207`", "3.25355330732968`", 
      "2.201521160693642`", "2.332272046354235`", "3.25355330732968`", 
      "2.8950398536487607`", "0.1621851335766196`", "0.13041435301907386`", 
      "0.1966733849049256`", "3.0139975444343996`", "1.`", 
      "1.5581488785776436`", "1.6453674496705013`", "1.0067`", 
      "0.004671410665004113`", "1", "7.671122714733088`", 
      "0.22055145660344347`", "3.2575146530345513`", "2.201892399778717`", 
      "2.3308524498645373`", "3.2575146530345513`", "2.8982170686079507`", 
      "0.16227859044419`", "0.13055747865956654`", "0.19669545422392554`", 
      "3.0145057901468615`", "1.`", "1.5598588978436727`", 
      "1.0034544787842434`"},
     {"138", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.670248652607352`", "0.22138829632117413`", "3.2534932684528837`", 
      "2.2015156517542303`", "2.332293782532111`", "3.2534932684528837`", 
      "2.8949906562385395`", "0.16218368289913818`", "0.13041213679796862`", 
      "0.1966730423745477`", "3.013990002408388`", "1.`", 
      "1.558122399878406`", "1.6453674496705013`", "1.0068`", 
      "0.004671410665004113`", "1", "7.671135439262001`", 
      "0.22053927536377263`", "3.2575746603518585`", "2.201898140898317`", 
      "2.3308311666380708`", "3.2575746603518585`", "2.898264149975777`", 
      "0.1622799719411826`", "0.13055959955821897`", "0.19669578049389763`", 
      "3.014513650039686`", "1.`", "1.5598842376608044`", 
      "1.0035593465848474`"},
     {"139", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.670300116157189`", "0.22133901909027287`", "3.2535252649172515`", 
      "2.2015013862360022`", "2.332248155297344`", "3.2535252649172515`", 
      "2.895180205650362`", "0.162189271521323`", "0.13042067552805786`", 
      "0.1966743619527486`", "3.0139704721682627`", "1.`", 
      "1.558224417887966`", "1.6453674496705013`", "1.0068`", 
      "0.004671410665004113`", "1", "7.671173657586504`", 
      "0.22050268906017456`", "3.25754577153668`", "2.2018781866860264`", 
      "2.330807268277312`", "3.25754577153668`", "2.8984055789073886`", 
      "0.16228412126175465`", "0.13056597058022446`", "0.19669676045093618`", 
      "3.0144863316800365`", "1.`", "1.559960356589154`", 
      "1.0035067722220052`"},
     {"140", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.670286755828731`", "0.221351811770186`", "3.2534652385920726`", 
      "2.2014958799428817`", "2.332269891604925`", "3.2534652385920726`", 
      "2.895130992179545`", "0.16218782067975848`", "0.13041845858346268`", 
      "0.19667401938022405`", "3.013962933765162`", "1.`", 
      "1.5581979305447031`", "1.6453674496705013`", "1.0069`", 
      "0.004671410665004113`", "1", "7.671186374450964`", 
      "0.2204905153193842`", "3.2576057659097626`", "2.201883928568867`", 
      "2.3307859916638582`", "3.2576057659097626`", "2.898452644758323`", 
      "0.1622855019082855`", "0.13056809077987944`", "0.19669708652438386`", 
      "3.0144941926177786`", "1.`", "1.5599856880548886`", 
      "1.0036116413595018`"},
     {"141", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.670338212954488`", "0.22130254117989004`", "3.2534972297336844`", 
      "2.2014816168534144`", "2.332224262694324`", "3.2534972297336844`", 
      "2.8953205564757303`", "0.1621934085488212`", "0.13042699798405552`", 
      "0.196675338793705`", "3.0139434068501365`", "1.`", 
      "1.5582999565652247`", "1.6453674496705013`", "1.0069`", 
      "0.004671410665004113`", "1", "7.67122458637314`", 
      "0.22045393563041596`", "3.25757687185166`", "2.2018639767851207`", 
      "2.330762091608273`", "3.25757687185166`", "2.8985940885898054`", 
      "0.16228965047868132`", "0.13057446247308707`", "0.19669806631726017`", 
      "3.0144668775829326`", "1.`", "1.5600618150025465`", 
      "1.0035590642537675`"},
     {"142", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.670324850983474`", "0.2213153353055082`", "3.2534372159565823`", 
      "2.2014761132055254`", "2.3322459991324833`", "3.2534372159565823`", 
      "2.895271326944481`", "0.16219195754329568`", "0.13042478031597773`", 
      "0.19667499617906362`", "3.0139358720684966`", "1.`", 
      "1.5582734605780235`", "1.6453674496705013`", "1.007`", 
      "0.004671410665004113`", "1", "7.671237295576644`", 
      "0.22044176938497084`", "3.2576368532863285`", "2.2018697194306474`", 
      "2.3307408216064265`", "3.2576368532863285`", "2.8986411389238618`", 
      "0.1622910302751496`", "0.13057658197374525`", "0.1966983921942731`", 
      "3.0144747395648315`", "1.`", "1.5600871381168913`", 
      "1.0036639347281948`"},
     {"143", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.670376301685941`", "0.22126607135486448`", "3.253469201776681`", 
      "2.2014618525442797`", "2.3322003685468573`", "3.253469201776681`", 
      "2.895460906124122`", "0.1621975446593432`", "0.13043332038703329`", 
      "0.19667631542784483`", "3.013916348477834`", "1.`", 
      "1.5583754946090185`", "1.6453674496705013`", "1.007`", 
      "0.004671410665004113`", "1", "7.67127550109763`", 
      "0.2204051963093019`", "3.2576079539877134`", "2.201849770074909`", 
      "2.3307169198565463`", "3.2576079539877134`", "2.8987825976545403`", 
      "0.16229517809551808`", "0.13058295433812464`", "0.1966993718230163`", 
      "3.0144474278540554`", "1.`", "1.560163273083494`", 
      "1.0036113548795937`"},
     {"144", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.6703629380734855`", "0.22127886692510304`", "3.253409200544116`", 
      "2.2014563515405587`", "2.3322221051164664`", "3.253409200544116`", 
      "2.8954116605325986`", "0.1621960934899802`", "0.13043110199548008`", 
      "0.19667597277111523`", "3.013908817316198`", "1.`", 
      "1.558348989977965`", "1.6453674496705013`", "1.0071`", 
      "0.004671410665004113`", "1", "7.671288202643511`", 
      "0.2203930375556739`", "3.257667922489764`", "2.2018555134825495`", 
      "2.3306956564649073`", "3.257667922489764`", "2.898829632471711`", 
      "0.1622965570423269`", "0.13058507313978568`", "0.19669969750367994`", 
      "3.014455290879328`", "1.`", "1.560188587846445`", 
      "1.0037162266909916`"},
     {"145", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.670414382353446`", "0.22122960961316018`", "3.2534411810439465`", 
      "2.2014420933069965`", "2.3321764728566228`", "3.2534411810439465`", 
      "2.895601254594784`", "0.16220167985311945`", "0.13043964273695724`", 
      "0.19667729185521673`", "3.01388929704916`", "1.`", 
      "1.5584510320189429`", "1.6453674496705013`", "1.0071`", 
      "0.004671410665004113`", "1", "7.671326401764308`", 
      "0.22035647109198042`", "3.257639017953036`", "2.2018355665542697`", 
      "2.330671753021268`", "3.257639017953036`", "2.898971106100885`", 
      "0.16230070411282008`", "0.1305914461753053`", "0.19670067696831575`", 
      "3.014427982491869`", "1.`", "1.5602647308316162`", 
      "1.0036636440995494`"},
     {"146", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.6704010171005885`", "0.22124240662693842`", "3.2533811923523768`", 
      "2.201436594946373`", "2.3321982095585567`", "3.2533811923523768`", 
      "2.8955519929431337`", "0.1622002285200443`", "0.1304374236219352`", 
      "0.1966769491564255`", "3.0138817695060625`", "1.`", 
      "1.5584245187441153`", "1.6453674496705013`", "1.0072`", 
      "0.004671410665004113`", "1", "7.671339095656089`", 
      "0.2203443198266366`", "3.2576989735282726`", "2.2018413107234722`", 
      "2.3306504962384316`", "3.2576989735282726`", "2.8990181254011884`", 
      "0.1623020822103675`", "0.13059356427797`", "0.1967010024527204`", 
      "3.014435846559761`", "1.`", "1.560290037243183`", 
      "1.0037685172479553`"},
     {"147", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.670452454958768`", "0.22119315595274547`", "3.2534131675331768`", 
      "2.2014223391399486`", "2.3321525756253045`", "3.2534131675331768`", 
      "2.895741601886948`", "0.1622058141303838`", "0.1304459650337928`", 
      "0.196678268075866`", "3.013862252561904`", "1.`", 
      "1.5585265687945837`", "1.6453674496705013`", "1.0072`", 
      "0.004671410665004113`", "1", "7.6713772883778315`", 
      "0.22030775997358834`", "3.257670063755838`", "2.2018213662221156`", 
      "2.330626591101564`", "3.257670063755838`", "2.8991596139281843`", 
      "0.1623062285311342`", "0.1305999379845995`", "0.1967019817532779`", 
      "3.0144085414948862`", "1.`", "1.5603661882465596`", 
      "1.0037159319136968`"},
     {"148", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.67043908806675`", "0.22120595440897486`", "3.25335319137907`", 
      "2.201416843421372`", "2.3321743124604315`", "3.25335319137907`", 
      "2.8956923241753474`", "0.16220436263371646`", "0.1304437451953099`", 
      "0.19667792533504505`", "3.013854728635907`", "1.`", 
      "1.558500046876078`", "1.6453674496705013`", "1.0073`", 
      "0.004671410665004113`", "1", "7.671389974618892`", 
      "0.22029561619300186`", "3.2577300064100543`", "2.201827111152314`", 
      "2.3306053409261285`", "3.2577300064100543`", "2.899206617711621`", 
      "0.1623076057798219`", "0.1306020553882679`", "0.19670230704151023`", 
      "3.014416406604621`", "1.`", "1.5603914863067425`", 
      "1.0038208063991507`"},
     {"149", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.670490519503918`", "0.22115671037158063`", "3.25338516124208`", 
      "2.2014025900415453`", "2.3321286768545786`", "3.25338516124208`", 
      "2.8958819479998783`", "0.16220994749136355`", "0.13045228727750682`", 
      "0.19667924408984422`", "3.013835215013888`", "1.`", 
      "1.5586021049355456`", "1.6453674496705013`", "1.0073`", 
      "0.004671410665004113`", "1", "7.6714281609426`", 
      "0.22025906294927433`", "3.257701091404314`", "2.201807169077333`", 
      "2.3305814340965667`", "3.257701091404314`", "2.8993481211357435`", 
      "0.16231175135101367`", "0.13060842976597592`", "0.19670328617801558`", 
      "3.0143891048615825`", "1.`", "1.5604676453279505`", 
      "1.0037682183221008`"},
     {"150", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.670477150973823`", "0.22116951026917975`", "3.2533251976219018`", 
      "2.2013970969639507`", "2.33215041382377`", "3.2533251976219018`", 
      "2.895832654228481`", "0.1622084958312283`", "0.13045006671557`", 
      "0.19667890130702126`", "3.0138276947035325`", "1.`", 
      "1.5585755743734442`", "1.6453674496705013`", "1.0074`", 
      "0.004671410665004113`", "1", "7.671440839536386`", 
      "0.2202469266499184`", "3.2577610211433043`", "2.201812914767969`", 
      "2.330560190527132`", "3.2577610211433043`", "2.89939510940232`", 
      "0.1623131277512411`", "0.13061054647064835`", "0.1967036112701639`", 
      "3.014396971012395`", "1.`", "1.5604929350367538`", 
      "1.0038730941446417`"},
     {"151", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.67052857599069`", "0.22112027286763497`", "3.25335716216836`", 
      "2.2013828460101763`", "2.3321047765461262`", "3.25335716216836`", 
      "2.896022292932809`", "0.1622140799362917`", "0.13045860946806478`", 
      "0.19668021989719733`", "3.0138081844029054`", "1.`", 
      "1.5586776404414158`", "1.6453674496705013`", "1.0074`", 
      "0.004671410665004113`", "1", "7.6714790194631215`", 
      "0.22021038001418552`", "3.257732100906661`", "2.201792975118821`", 
      "2.3305362820054087`", "3.257732100906661`", "2.8995366277228807`", 
      "0.16231727257300854`", "0.1306169215194039`", "0.19670459024264433`", 
      "3.014369672590449`", "1.`", "1.5605691020754224`", 
      "1.0038205033248255`"},
     {"152", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.670515205823632`", "0.221133074205521`", "3.253297211078572`", 
      "2.201377355572501`", "2.3321265136502527`", "3.253297211078572`", 
      "2.895972983101776`", "0.16221262811281154`", "0.13045638818268127`", 
      "0.196679877072401`", "3.013800667706738`", "1.`", "1.558651101235805`",
       "1.6453674496705013`", "1.0075`", "0.004671410665004113`", "1", 
      "7.671491690413066`", "0.22019825119253447`", "3.257792017736219`", 
      "2.2017987215693346`", "2.3305150450405714`", "3.257792017736219`", 
      "2.8995836004726065`", "0.16231864812517552`", "0.13061903752508075`", 
      "0.19670491513879676`", "3.014377539781574`", "1.`", 
      "1.5605943834328508`", "1.0039253804844914`"},
     {"153", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.67056662442097`", "0.22108384343887375`", "3.2533291703097205`", 
      "2.201363107044239`", "2.332080874701625`", "3.2533291703097205`", 
      "2.89616263668499`", "0.1622182114653987`", "0.1304649316054329`", 
      "0.19668119549797378`", "3.013781160726764`", "1.`", 
      "1.5587531753117907`", "1.6453674496705013`", "1.0075`", 
      "0.004671410665004113`", "1", "7.671529863943929`", 
      "0.22016171116346853`", "3.2577630922710723`", "2.201778784345482`", 
      "2.330491134827219`", "3.2577630922710723`", "2.899725133688924`", 
      "0.16232279219766815`", "0.13062541324485313`", "0.1967058939472804`", 
      "3.014350244679983`", "1.`", "1.5606705584886134`", 
      "1.0038727869219344`"},
     {"154", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.67055325261814`", "0.22109664621596134`", "3.253269231746792`", 
      "2.20135761924543`", "2.3321026119415533`", "3.253269231746792`", 
      "2.8961133107944916`", "0.162216759478695`", "0.13046270959661035`", 
      "0.19668085263123455`", "3.013773647643342`", "1.`", 
      "1.558726627462763`", "1.6453674496705013`", "1.0076`", 
      "0.004671410665004113`", "1", "7.671542527253504`", 
      "0.2201495898159971`", "3.2578229961969845`", "2.2017845315553175`", 
      "2.330469904465577`", "3.2578229961969845`", "2.8997720909218145`", 
      "0.16232416690217316`", "0.1306275285515351`", "0.1967062186475259`", 
      "3.01435811291066`", "1.`", "1.5606958314946748`", 
      "1.0039776654187644`"},
     {"155", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.67060466479667`", "0.22104742208326206`", "3.253301185663867`", 
      "2.2013433731421355`", "2.33205697132275`", "3.253301185663867`", 
      "2.896302979255674`", "0.16222234207891434`", "0.1304712536895775`", 
      "0.19668217089222245`", "3.013754143983276`", "1.`", 
      "1.5588287095462685`", "1.6453674496705013`", "1.0076`", 
      "0.004671410665004113`", "1", "7.671580694389509`", 
      "0.22011305639227388`", "3.257794065505735`", "2.2017645967562123`", 
      "2.3304459925611285`", "3.257794065505735`", "2.8999136390331945`", 
      "0.16232831022554267`", "0.13063390494229304`", "0.1967071972920389`", 
      "3.014330821128675`", "1.`", "1.5607720145671578`", 
      "1.0039250691134918`"},
     {"156", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.67059129135915`", "0.2210602262984713`", "3.2532412596242666`", 
      "2.2013378879811283`", "2.33207870869935`", "3.2532412596242666`", 
      "2.8962536373058643`", "0.16222088992911093`", "0.1304690309573229`", 
      "0.1966818279835681`", "3.0137466345111426`", "1.`", 
      "1.558802153053906`", "1.6453674496705013`", "1.0077`", 
      "0.004671410665004113`", "1", "7.671593350062059`", 
      "0.22010094251546422`", "3.257853956533785`", "2.201770344724803`", 
      "2.3304247688012842`", "3.257853956533785`", "2.899960580749243`", 
      "0.1623296840827872`", "0.13063601954997983`", "0.19670752179646322`", 
      "3.0143386903981275`", "1.`", "1.5607972792218487`", 
      "1.004029948947525`"},
     {"157", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.670642697119649`", "0.2210110087987677`", "3.2532732082285083`", 
      "2.201323644302262`", "2.332033066411178`", "3.2532732082285083`", 
      "2.896443320644106`", "0.16222647177706973`", "0.13047757572046462`", 
      "0.19668314607999118`", "3.0137271341702454`", "1.`", 
      "1.5589042431444426`", "1.6453674496705013`", "1.0077`", 
      "0.004671410665004113`", "1", "7.671631510804361`", 
      "0.22006441569575408`", "3.257825020618836`", "2.2017504123499125`", 
      "2.3304008552062694`", "3.257825020618836`", "2.9001021437550123`", 
      "0.16233382665718174`", "0.130642396611693`", "0.1967085002770351`", 
      "3.01431140193502`", "1.`", "1.5608734703106897`", "1.003977349899561`"},
     {"158", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.670629322048581`", "0.22102381445101624`", "3.2532132947087025`", 
      "2.201318161777999`", "2.3320548039253164`", "3.2532132947087025`", 
      "2.8963939626351496`", "0.16222501946428883`", "0.13047535226478535`", 
      "0.19668280312945097`", "3.0137196283079533`", "1.`", 
      "1.558877678008834`", "1.6453674496705013`", "1.0078`", 
      "0.004671410665004113`", "1", "7.671644158843309`", 
      "0.2200523092860858`", "3.2578848987548037`", "2.201756161076699`", 
      "2.330379638046822`", "3.2578848987548037`", "2.9001490699542267`", 
      "0.16233519966756504`", "0.13064451052038498`", "0.19670882458572606`", 
      "3.014319272242482`", "1.`", "1.5608987266140146`", 
      "1.0040822310708366`"},
     {"159", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.670680721391778`", "0.22097460358335874`", "3.2532452380013517`", 
      "2.201303920523018`", "2.3320091599685835`", "3.2532452380013517`", 
      "2.8965836608495326`", "0.16223060056009556`", "0.13048389769806026`", 
      "0.19668412106132782`", "3.0137001312854816`", "1.`", 
      "1.5589797761059077`", "1.6453674496705013`", "1.0078`", 
      "0.004671410665004113`", "1", "7.671682313192931`", 
      "0.22001578906906516`", "3.2578559576185535`", "2.2017362311254782`", 
      "2.3303557227617744`", "3.2578559576185535`", "2.900290647853691`", 
      "0.16233934149313609`", "0.1306508882530221`", "0.19670980290238305`", 
      "3.014291987097504`", "1.`", "1.5609749257188403`", 
      "1.004029629280207`"},
     {"160", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.670667344688274`", "0.22098741067156535`", "3.2531853369978108`", 
      "2.201298440634439`", "2.332030897621129`", "3.2531853369978108`", 
      "2.896534286781591`", "0.1622291480844602`", "0.13048167351896361`", 
      "0.19668377806893028`", "3.013692629031578`", "1.`", 
      "1.5589532023271402`", "1.6453674496705013`", "1.0079`", 
      "0.004671410665004113`", "1", "7.671694953601802`", 
      "0.22000369012301577`", "3.2579158228682235`", "2.201741980609912`", 
      "2.33033451220132`", "3.2579158228682235`", "2.900337558536097`", 
      "0.16234071365705466`", "0.13065300146272038`", "0.196710127015431`", 
      "3.0142998584422247`", "1.`", "1.5610001736708128`", 
      "1.0041345117887626`"},
     {"161", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.670718737614953`", "0.2209382064350018`", "3.2532172749801034`", 
      "2.201284201802805`", "2.3319852519966395`", "3.2532172749801034`", 
      "2.8967239998712073`", "0.16223472842822173`", "0.13049021962233082`", 
      "0.19668509583628102`", "3.013673135326795`", "1.`", 
      "1.5590553084302614`", "1.6453674496705013`", "1.0079`", 
      "0.004671410665004113`", "1", "7.6717331015597345`", 
      "0.21996717650736175`", "3.257886876513066`", "2.2017220530818116`", 
      "2.330310595226775`", "3.257886876513066`", "2.900479151328559`", 
      "0.16234485473395446`", "0.13065937986625006`", "0.1967111051681985`", 
      "3.0142725766146254`", "1.`", "1.561076380791247`", 
      "1.0040819072554925`"},
     {"162", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.670705359280187`", "0.22095101495808422`", "3.2531573864893026`", 
      "2.2012787245488563`", "2.3320069897884563`", "3.2531573864893026`", 
      "2.896674609744449`", "0.16223327578985342`", "0.1304879947198244`", 
      "0.19668475280205625`", "3.0136656366798387`", "1.`", 
      "1.559028726008426`", "1.6453674496705013`", "1.008`", 
      "0.004671410665004113`", "1", "7.671745734341874`", 
      "0.21995508502141756`", "3.2579467288822106`", "2.2017278033233265`", 
      "2.3302893912639164`", "3.2579467288822106`", "2.9005260464941514`", 
      "0.16234622605180915`", "0.13066149237695446`", "0.19671142908568923`", 
      "3.01428044899583`", "1.`", "1.5611016203918648`", "1.004186791101368`"},
     {"163", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.670756745791057`", "0.2209018173516652`", "3.2531893191624746`", 
      "2.2012644881400236`", "2.33196134249702`", "3.2531893191624746`", 
      "2.8968643377083803`", "0.16223885538167854`", "0.13049654149324252`", 
      "0.1966860704048991`", "3.0136461462919972`", "1.`", 
      "1.5591308401171007`", "1.6453674496705013`", "1.008`", 
      "0.004671410665004113`", "1", "7.671783875909283`", 
      "0.21991857800580092`", "3.2579177773105483`", "2.2017078782178157`", 
      "2.3302654726004013`", "3.2579177773105483`", "2.9006676541789393`", 
      "0.1623503663801854`", "0.13066787145134645`", "0.1967124070745972`", 
      "3.0142531704848827`", "1.`", "1.5611778355275467`", 
      "1.0041341838254823`"},
     {"164", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.6707433658260795`", "0.22091462730854597`", "3.253129443180882`", 
      "2.201259013519641`", "2.331983080428976`", "3.253129443180882`", 
      "2.8968149315229574`", "0.16223740258070168`", "0.13049431586733312`", 
      "0.19668572732887402`", "3.013638651250529`", "1.`", 
      "1.5591042490522784`", "1.6453674496705013`", "1.0081`", 
      "0.004671410665004113`", "1", "7.6717965010681075`", 
      "0.21990649397644726`", "3.2579776168049412`", "2.2017136292158543`", 
      "2.33024427523374`", "3.2579776168049412`", "2.9007145338277263`", 
      "0.16235173685237497`", "0.1306699832630573`", "0.19671273079661833`", 
      "3.014261043901807`", "1.`", "1.561203066776814`", 
      "1.0042390690087155`"},
     {"165", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.670794745921932`", "0.220865436331319`", "3.253161370546174`", 
      "2.2012447795330723`", "2.3319374314713963`", "3.253161370546174`", 
      "2.8970046743602955`", "0.16224298142069726`", "0.13050286331076133`", 
      "0.19668704476722923`", "3.0136191641788943`", "1.`", 
      "1.5592063711660187`", "1.6453674496705013`", "1.0081`", 
      "0.004671410665004113`", "1", "7.671834636246053`", 
      "0.21986999355954295`", "3.2579486600191707`", "2.2016937065323914`", 
      "2.3302203548817864`", "3.2579486600191707`", "2.9008561564041537`", 
      "0.16235587643237817`", "0.13067636300828062`", "0.19671370862169385`", 
      "3.0142337687067697`", "1.`", "1.5612792899273737`", 
      "1.0041864589902392`"},
     {"166", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.670781364327944`", "0.22087824772091505`", "3.2531015070702667`", 
      "2.2012393075452046`", "2.3319591695443544`", "3.2531015070702667`", 
      "2.8969552521163826`", "0.1622415284572324`", "0.13050063696145683`", 
      "0.19668670164943464`", "3.0136116727414777`", "1.`", 
      "1.5591797714583038`", "1.6453674496705013`", "1.0082`", 
      "0.004671410665004113`", "1", "7.671847253784968`", 
      "0.2198579169832664`", "3.258008486644581`", "2.201699458286394`", 
      "2.3301991641099233`", "3.258008486644581`", "2.900903020536144`", 
      "0.16235724605930144`", "0.13067847412099834`", "0.1967140321483327`", 
      "3.014241643158649`", "1.`", "1.561304512825295`", "1.00429134551087`"},
     {"167", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.670832738009492`", "0.22082906337193112`", "3.2531334291289133`", 
      "2.2012250759803558`", "2.3319135189214393`", "3.2531334291289133`", 
      "2.8971450098262097`", "0.16224710654550728`", "0.13050918507485373`", 
      "0.19668801892332047`", "3.013592188985303`", "1.`", 
      "1.559281901576615`", "1.6453674496705013`", "1.0082`", 
      "0.004671410665004113`", "1", "7.671885382574506`", 
      "0.21982142316374992`", "3.2579795246470997`", "2.2016795380244374`", 
      "2.3301752420700637`", "3.2579795246470997`", "2.9010446580035216`", 
      "0.16236138489108218`", "0.13068485453702197`", "0.1967150098096029`", 
      "3.014214371278781`", "1.`", "1.561380743990362`", "1.004238732749828`"},
     {"168", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.670819354787554`", "0.22084187619316548`", "3.2530735781551643`", 
      "2.2012196066239396`", "2.331935257136266`", "3.2530735781551643`", 
      "2.8970955715239604`", "0.16224565341967856`", "0.13050695800216106`", 
      "0.1966876757637836`", "3.0135847011504815`", "1.`", 
      "1.5592552932260904`", "1.6453674496705013`", "1.0083`", 
      "0.004671410665004113`", "1", "7.671897992496988`", 
      "0.2198093540370368`", "3.2580393384092967`", "2.201685290533853`", 
      "2.3301540578915976`", "3.2580393384092967`", "2.9010915066187324`", 
      "0.16236275367313585`", "0.1306869649507473`", "0.1967153331409486`", 
      "3.0142222467648603`", "1.`", "1.5614059585369464`", 
      "1.004343620607894`"},
     {"169", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.670870722055593`", "0.22079269847147218`", "3.253105494908405`", 
      "2.2012053774802744`", "2.3318896048488194`", "3.253105494908405`", 
      "2.897285344105369`", "0.16225123075633932`", "0.13051550678548576`", 
      "0.1966889928732205`", "3.0135652207090335`", "1.`", 
      "1.5593574313484841`", "1.6453674496705013`", "1.0083`", 
      "0.004671410665004113`", "1", "7.671936114899143`", 
      "0.21977286681358496`", "3.2580103712024973`", "2.2016653726928586`", 
      "2.3301301341643645`", "3.2580103712024973`", "2.901233158976368`", 
      "0.16236689175684532`", "0.1306933460375401`", "0.19671631063843975`", 
      "3.0141949781994155`", "1.`", "1.561482197716148`", 
      "1.004291005104312`"},
     {"170", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.670857337206847`", "0.2208055127232649`", "3.25304565643329`", 
      "2.2011999107542555`", "2.3319113432063774`", "3.25304565643329`", 
      "2.897235889744951`", "0.1622497774682686`", "0.13051327898941248`", 
      "0.1966886496719706`", "3.0135577364753634`", "1.`", 
      "1.5593308143552398`", "1.6453674496705013`", "1.0084`", 
      "0.004671410665004113`", "1", "7.671948717208596`", 
      "0.21976080513292548`", "3.258070172107244`", "2.201671125957129`", 
      "2.3301089565778987`", "3.258070172107244`", "2.9012799920748065`", 
      "0.16236825969442792`", "0.1306954557522734`", "0.1967166337745796`", 
      "3.01420285471893`", "1.`", "1.5615074039113996`", 
      "1.0043958942998525`"},
     {"171", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.670908698062112`", "0.22075634162791177`", "3.2530775678823587`", 
      "2.2011856840312305`", "2.331865689255205`", "3.2530775678823587`", 
      "2.8974256771970275`", "0.1622553540534236`", "0.1305218284426238`", 
      "0.1966899666169774`", "3.0135382593478988`", "1.`", 
      "1.5594329604812245`", "1.6453674496705013`", "1.0084`", 
      "0.004671410665004113`", "1", "7.671986833224453`", 
      "0.21972432450421245`", "3.2580411996935235`", "2.2016512105365584`", 
      "2.3300850311638217`", "3.2580411996935235`", "2.901421659322019`", 
      "0.162372397030216`", "0.1307018375098046`", "0.19671761110831948`", 
      "3.0141755894671722`", "1.`", "1.5615836511043688`", 
      "1.004343276053755`"},
     {"172", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.67089531158771`", "0.22076915730918356`", "3.253017741902357`", 
      "2.201180219934556`", "2.3318874277563566`", "3.253017741902357`", 
      "2.897376206778607`", "0.16225390060323253`", "0.13051959992317744`", 
      "0.19668962337404403`", "3.013530778713938`", "1.`", 
      "1.5594063348453502`", "1.6453674496705013`", "1.0085`", 
      "0.004671410665004113`", "1", "7.671999427924277`", 
      "0.2197122702660987`", "3.258100987746581`", "2.2016569645551254`", 
      "2.3300638601679573`", "3.258100987746581`", "2.901468476903693`", 
      "0.16237376412372573`", "0.13070394652554623`", "0.1967179340493406`", 
      "3.014183467019358`", "1.`", "1.561608848948292`", "1.004448166586809`"},
     {"173", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.670946666030938`", "0.2207199928392203`", "3.2530496480484894`", 
      "2.2011659956316296`", "2.331841772142264`", "3.2530496480484894`", 
      "2.897566009100437`", "0.1622594764369899`", "0.13052815004623422`", 
      "0.1966909401546396`", "3.013511304899715`", "1.`", 
      "1.5595084889744335`", "1.6453674496705013`", "1.0085`", 
      "0.004671410665004113`", "1", "7.672037537554924`", 
      "0.2196757962307995`", "3.258072010128335`", "2.2016370515544406`", 
      "2.330039933067568`", "3.258072010128335`", "2.901610159039797`", 
      "0.16237790071174202`", "0.13071032895378504`", "0.19671891121935722`", 
      "3.01415620508055`", "1.`", "1.5616851041546604`", "1.004395545598221`"},
     {"174", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.670933277931974`", "0.22073280994889413`", "3.2529898345600783`", 
      "2.20116053416324`", "2.3318635107878727`", "3.2529898345600783`", 
      "2.8975165226241746`", "0.1622580228248015`", "0.13052592080342196`", 
      "0.1966905968700508`", "3.0135038278640143`", "1.`", 
      "1.5594818546960156`", "1.6453674496705013`", "1.0086`", 
      "0.004671410665004113`", "1", "7.6720501246484885`", 
      "0.21966374943172642`", "3.258131785335461`", "2.201642806326744`", 
      "2.330018768660909`", "3.258131785335461`", "2.901656961104711`", 
      "0.16237926696157784`", "0.1307124372705351`", "0.19671923396534605`", 
      "3.0141640836646406`", "1.`", "1.5617102936472569`", 
      "1.004500437468827`"},
     {"175", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.670984625963909`", "0.2206836521033706`", "3.253021735404511`", 
      "2.201146312279872`", "2.3318178535116654`", "3.253021735404511`", 
      "2.8977063398148437`", "0.16226359790726924`", "0.13053447159628298`", 
      "0.19669191348625426`", "3.0134843573622927`", "1.`", 
      "1.5595840168277055`", "1.6453674496705013`", "1.0086`", 
      "0.004671410665004113`", "1", "7.672088227894961`", 
      "0.21962728198851778`", "3.2581028025150807`", "2.2016228957454027`", 
      "2.329994839874738`", "3.2581028025150807`", "2.901798658129017`", 
      "0.16238340280197325`", "0.13071882036945043`", "0.19672021097166587`", 
      "3.0141368250380407`", "1.`", "1.5617865568666534`", 
      "1.0044478137377737`"},
     {"176", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.670971236241555`", "0.2206964706403667`", "3.252961934404172`", 
      "2.201140853438717`", "2.3318395923025914`", "3.252961934404172`", 
      "2.8976568372809113`", "0.1622621441332045`", "0.1305322416301126`", 
      "0.19669157016004005`", "3.013476883923414`", "1.`", 
      "1.5595573739068362`", "1.6453674496705013`", "1.0087`", 
      "0.004671410665004113`", "1", "7.672100807385784`", 
      "0.2196152426249761`", "3.258162564882036`", "2.201628651270897`", 
      "2.329973682055884`", "3.258162564882036`", "2.9018454446771957`", 
      "0.16238476820852993`", "0.1307209279872102`", "0.1967205335227126`", 
      "3.014144704653289`", "1.`", "1.5618117380079375`", 
      "1.0045527069459699`"},
     {"177", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.671022577862921`", "0.2206473194183329`", "3.2529938299481382`", 
      "2.201126633974363`", "2.3317939333650735`", "3.2529938299481382`", 
      "2.897846669339504`", "0.16226771846449115`", "0.13054079309273667`", 
      "0.19669288661186995`", "3.0134574167334494`", "1.`", 
      "1.5596595440406402`", "1.6453674496705013`", "1.0087`", 
      "0.004671410665004113`", "1", "7.672138904249164`", 
      "0.2195787817725332`", "3.258133576861915`", "2.2016087431083604`", 
      "2.3299497515844614`", "3.258133576861915`", "2.90198715658902`", 
      "0.16238890330145428`", "0.13072731175677121`", "0.19672151036536337`", 
      "3.0141174493381593`", "1.`", "1.561888009239994`", 
      "1.0045000804724762`"},
     {"178", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.67100918651827`", "0.22066013938157547`", "3.25293404143235`", 
      "2.2011211777593855`", "2.3318156723021786`", "3.25293404143235`", 
      "2.8977971507480618`", "0.16226626452867304`", "0.13053856240321532`", 
      "0.19669254324405838`", "3.013449946889944`", "1.`", 
      "1.5596328924774059`", "1.6453674496705013`", "1.0088`", 
      "0.004671410665004113`", "1", "7.6721514761405745`", 
      "0.21956674984102265`", "3.2581933263944465`", "2.2016144993864826`", 
      "2.329928600352018`", "3.2581933263944465`", "2.902033927620463`", 
      "0.16239026786513122`", "0.13072941867554055`", "0.19672183272155339`", 
      "3.014125329983794`", "1.`", "1.5619131820299645`", 
      "1.0046049750183017`"},
     {"179", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.671060521729907`", "0.2206109947820774`", "3.252965931677089`", 
      "2.2011069607135147`", "2.3317700117041533`", "3.252965931677089`", 
      "2.8979869976736783`", "0.1622718381088841`", "0.1305471145355619`", 
      "0.19669385953153626`", "3.0134304830110086`", "1.`", 
      "1.5597350706128394`", "1.6453674496705013`", "1.0088`", 
      "0.004671410665004113`", "1", "7.672189566621942`", 
      "0.21953029557802095`", "3.2581643331769796`", "2.201594593642213`", 
      "2.329904668195874`", "3.2581643331769796`", "2.9021756544191226`", 
      "0.16239440221073434`", "0.13073580311571653`", "0.19672280940056278`", 
      "3.014098077979398`", "1.`", "1.5619894612743135`", 
      "1.004552345802393`"},
     {"180", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.67104712876404`", "0.22062381617049084`", "3.2529061556423318`", 
      "2.201101507123656`", "2.331791750788298`", "3.2529061556423318`", 
      "2.897937463024886`", "0.1622703840114358`", "0.13054488312269683`", 
      "0.19669351612215505`", "3.013423016761428`", "1.`", 
      "1.5597084104073264`", "1.6453674496705013`", "1.0089`", 
      "0.004671410665004113`", "1", "7.672202130917386`", 
      "0.2195182710750381`", "3.258224069880838`", "2.2016003506724107`", 
      "2.329883523548443`", "3.258224069880838`", "2.902222409933845`", 
      "0.16239576593192778`", "0.13073790933549617`", "0.19672313156198443`", 
      "3.0141059596546644`", "1.`", "1.5620146257129792`", 
      "1.0046572416858863`"},
     {"181", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.671098457566631`", "0.22057467819258084`", "3.252938040589075`", 
      "2.201087292495721`", "2.3317460885305707`", "3.252938040589075`", 
      "2.898127324816604`", "0.16227595684068088`", "0.13055343592472432`", 
      "0.19669483224529838`", "3.013403556192775`", "1.`", 
      "1.5598105965438926`", "1.6453674496705013`", "1.0089`", 
      "0.004671410665004113`", "1", "7.672240215017734`", 
      "0.21948182340015698`", "3.258195071468413`", "2.2015804473458624`", 
      "2.3298595897081102`", "3.258195071468413`", "2.9023641516186434`", 
      "0.16239989953036155`", "0.13074429444625568`", "0.19672410807737797`", 
      "3.0140787109602547`", "1.`", "1.562090912969245`", 
      "1.0046046097275876`"},
     {"182", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.671085062980726`", "0.22058750100508692`", "3.2528782770318356`", 
      "2.201081841529933`", "2.3317678277626146`", "3.2528782770318356`", 
      "2.8980777741106336`", "0.16227450258172307`", "0.13055120378852328`", 
      "0.1966944887943778`", "3.013396093535684`", "1.`", 
      "1.5597839276961936`", "1.6453674496705013`", "1.009`", 
      "0.004671410665004113`", "1", "7.672252771720601`", 
      "0.2194698063222022`", "3.258254795349346`", "2.2015862051275796`", 
      "2.329838451644296`", "3.258254795349346`", "2.902410891616654`", 
      "0.16240126240946895`", "0.13074639996704604`", "0.1967244300441182`", 
      "3.01408659366439`", "1.`", "1.5621160690566107`", 
      "1.0047095069487877`"},
     {"183", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.671136385375036`", "0.22053836964781318`", "3.2529101566818164`", 
      "2.2010676293193954`", "2.3317221638459884`", "3.2529101566818164`", 
      "2.8982676507675444`", "0.16228007466010963`", "0.13055975726019076`", 
      "0.1966958047532062`", "3.0133766362765733`", "1.`", 
      "1.5598861218334041`", "1.6453674496705013`", "1.009`", 
      "0.004671410665004113`", "1", "7.672290849441106`", 
      "0.2194333652341134`", "3.2582257917443593`", "2.201566304218224`", 
      "2.3298145161203005`", "3.2582257917443593`", "2.9025526481869224`", 
      "0.16240539526088077`", "0.130752785748359`", "0.196725406395926`", 
      "3.014059348279244`", "1.`", "1.5621923643244344`", 
      "1.0046568722481233`"},
     {"184", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.671122989170192`", "0.2205511938833363`", "3.252850405598578`", 
      "2.201062180976622`", "2.3317439032267893`", "3.252850405598578`", 
      "2.8982180840045624`", "0.1622786202397649`", "0.13055752440066123`", 
      "0.19669546126077433`", "3.013369177210526`", "1.`", 
      "1.5598594443436076`", "1.6453674496705013`", "1.0091`", 
      "0.004671410665004113`", "1", "7.6723033985547895`", 
      "0.21942135557768846`", "3.2582855028081084`", "2.2015720627509046`", 
      "2.329793384638707`", "3.2582855028081084`", "2.9025993726682313`", 
      "0.16240675729829923`", "0.13075489057016046`", "0.1967257281680717`", 
      "3.0140672320114876`", "1.`", "1.5622175120605053`", 
      "1.0047617708070684`"},
     {"185", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.671174305157`", "0.22050206914574755`", "3.252882279953033`", 
      "2.201047971182945`", "2.331698237652067`", "3.252882279953033`", 
      "2.8984079755257564`", "0.16228419156739998`", "0.13056607854192778`", 
      "0.1966967770553079`", "3.0133497232602244`", "1.`", 
      "1.559961646480973`", "1.6453674496705013`", "1.0091`", 
      "0.004671410665004113`", "1", "7.672341469896434`", 
      "0.21938492107507201`", "3.258256494012947`", "2.2015521642581946`", 
      "2.3297694474315827`", "3.258256494012947`", "2.9027411441232704`", 
      "0.1624108894028413`", "0.13076127702199536`", "0.19672670435631898`", 
      "3.0140399899348562`", "1.`", "1.5622938153395103`", 
      "1.0047091333640639`"},
     {"186", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.671160907334347`", "0.22051489480321257`", "3.2528225413402785`", 
      "2.2010425254621335`", "2.331719977182484`", "3.2528225413402785`", 
      "2.8983583927059264`", "0.16228273698579007`", "0.13056384495907714`", 
      "0.19669643352139368`", "3.013342267783781`", "1.`", 
      "1.5599349603491677`", "1.6453674496705013`", "1.0092`", 
      "0.004671410665004113`", "1", "7.672354011424367`", 
      "0.21937291883667928`", "3.2583161922652533`", "2.2015579235412877`", 
      "2.329748322530813`", "3.2583161922652533`", "2.902787853087893`", 
      "0.1624122505989666`", "0.1307633811448087`", "0.1967270259339583`", 
      "3.0140478746944526`", "1.`", "1.5623189547242946`", 
      "1.0048140332607933`"},
     {"187", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.671212216914321`", "0.22046577668436124`", "3.2528544104004373`", 
      "2.201028318084769`", "2.331674309950472`", "3.2528544104004373`", 
      "2.8985482990904803`", "0.1622883075627837`", "0.1305723997699011`", 
      "0.19669774915164942`", "3.013322817141537`", "1.`", 
      "1.5600371704861904`", "1.6453674496705013`", "1.0092`", 
      "0.004671410665004113`", "1", "7.672392076388278`", 
      "0.21933649091820964`", "3.25828717828231`", "2.201538027464691`", 
      "2.329724383641086`", "3.25828717828231`", "2.902929639427027`", 
      "0.16241638195678737`", "0.1307697682671351`", "0.196728001958674`", 
      "3.014020635925607`", "1.`", "1.5623952660141167`", 
      "1.004761393075473`"},
     {"188", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.671198817475007`", "0.22047860376269174`", "3.252794684254659`", 
      "2.2010228749848704`", "2.3316960496313617`", "3.252794684254659`", 
      "2.8984987002139735`", "0.16228685282002986`", "0.1305701654637371`", 
      "0.1966974055762824`", "3.01331536525326`", "1.`", "1.560010475712469`",
       "1.6453674496705013`", "1.0093`", "0.004671410665004113`", "1", 
      "7.672404610333857`", "0.21932449609435392`", "3.2583468637289137`", 
      "2.201543787497642`", "2.329703265319746`", "3.2583468637289137`", 
      "2.902976332874975`", "0.16241774231201622`", "0.13077187169096074`", 
      "0.19672832334189394`", "3.014028521711799`", "1.`", 
      "1.5624203970476205`", "1.004866294310025`"},
     {"189", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.671250120649013`", "0.22042949226162245`", "3.252826548021759`", 
      "2.20100867002329`", "2.331650380742858`", "3.252826548021759`", 
      "2.8986886214609946`", "0.16229242264648688`", "0.13057872094407827`", 
      "0.19669872104228253`", "3.0132959179183505`", "1.`", 
      "1.560112693848669`", "1.6453674496705013`", "1.0093`", 
      "0.004671410665004113`", "1", "7.672442668921033`", 
      "0.21928807475871023`", "3.2583178445605725`", "2.2015238938366135`", 
      "2.329679324747949`", "3.2583178445605725`", "2.903118134097509`", 
      "0.1624218729232675`", "0.13077825948374736`", "0.19672929920310359`", 
      "3.0140012862499916`", "1.`", "1.5624967163478867`", 
      "1.004813651382415`"},
     {"190", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.671236719594066`", "0.22044232075974787`", "3.252766834339437`", 
      "2.2010032295432422`", "2.3316721205750808`", "3.252766834339437`", 
      "2.898639006527963`", "0.16229096774271334`", "0.1305764859146077`", 
      "0.19669837742548904`", "3.013288469616787`", "1.`", 
      "1.5600859904331126`", "1.6453674496705013`", "1.0094`", 
      "0.004671410665004113`", "1", "7.672455195287688`", 
      "0.21927608734589715`", "3.2583775172072094`", "2.201529654618872`", 
      "2.329658213004642`", "3.2583775172072094`", "2.9031648120287965`", 
      "0.16242323243799534`", "0.13078036220858597`", "0.19672962039199218`", 
      "3.0140091730620244`", "1.`", "1.5625218390301177`", 
      "1.0049185539548273`"},
     {"191", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.671288016362793`", "0.22039321587551294`", "3.252798692814709`", 
      "2.2009890269969006`", "2.331626450030891`", "3.252798692814709`", 
      "2.898828942636528`", "0.1622965368187432`", "0.1305850420644245`", 
      "0.19669969272725127`", "3.013269025588465`", "1.`", 
      "1.5601882165679923`", "1.6453674496705013`", "1.0094`", 
      "0.004671410665004113`", "1", "7.6724932474992436`", 
      "0.21923967259175503`", "3.2583484928558626`", "2.2015097633728784`", 
      "2.3296342707513027`", "3.2583484928558626`", "2.903306628134053`", 
      "0.1624273623028259`", "0.13078675067180226`", "0.1967305960897244`", 
      "3.0139819409065267`", "1.`", "1.5625981663404622`", 
      "1.0048659082849516`"},
     {"192", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.671274613693412`", "0.22040604579235565`", "3.252738991592338`", 
      "2.2009835891356606`", "2.3316481900152985`", "3.252738991592338`", 
      "2.8987793116471514`", "0.1622950817540697`", "0.13058280631165547`", 
      "0.19669934906906203`", "3.0132615808721854`", "1.`", 
      "1.5601615045106982`", "1.6453674496705013`", "1.0095`", 
      "0.004671410665004113`", "1", "7.672505766290288`", 
      "0.21922769258649558`", "3.2584081527082587`", "2.2015155249038822`", 
      "2.3296131655846377`", "3.2584081527082587`", "2.90335329054868`", 
      "0.16242872097745092`", "0.1307888526976539`", "0.19673091708436657`", 
      "3.0139898287436306`", "1.`", "1.562623280671421`", 
      "1.0049708121952643`"},
     {"193", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.671325904057649`", "0.22035694752400248`", "3.252770844777015`", 
      "2.200969389004021`", "2.3316025178162243`", "3.252770844777015`", 
      "2.898969262616357`", "0.16230065007977929`", "0.13059136313090722`", 
      "0.19670066420660656`", "3.013242140149718`", "1.`", 
      "1.560263738643772`", "1.6453674496705013`", "1.0095`", 
      "0.004671410665004113`", "1", "7.6725438121272855`", 
      "0.2191912844125319`", "3.258379123176294`", "2.201495636072385`", 
      "2.3295892216502843`", "3.258379123176294`", "2.9034951215359746`", 
      "0.16243285009601097`", "0.13079524183126903`", "0.19673189261864857`", 
      "3.0139625998937047`", "1.`", "1.562699615991476`", 
      "1.0049181637831484`"},
     {"194", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.671312499774934`", "0.2203697788584901`", "3.252711156011084`", 
      "2.200963953760535`", "2.3316242579536746`", "3.252711156011084`", 
      "2.8989196155707972`", "0.1622991948543282`", "0.13058912665484707`", 
      "0.19670032050704975`", "3.0132346990172807`", "1.`", 
      "1.560237017944827`", "1.6453674496705013`", "1.0096`", 
      "0.004671410665004113`", "1", "7.672556323346176`", 
      "0.2191793118113339`", "3.2584387702401827`", "2.201501398351587`", 
      "2.329568123058865`", "3.2584387702401827`", "2.903541768433962`", 
      "0.1624342079309276`", "0.13079734315813463`", "0.1967322134191329`", 
      "3.013970488755132`", "1.`", "1.5627247219711733`", 
      "1.0050230690313993`"},
     {"195", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.671363783735356`", "0.22032068720507128`", "3.2527430039063954`", 
      "2.2009497560430518`", "2.3315785841005194`", "3.2527430039063954`", 
      "2.8991095813997196`", "0.1623047624298272`", "0.13059768414349213`", 
      "0.1967016354803939`", "3.013215261599919`", "1.`", 
      "1.5603392600755979`", "1.6453674496705013`", "1.0096`", 
      "0.004671410665004113`", "1", "7.672594362809682`", 
      "0.21914291021622667`", "3.2584097355299866`", "2.2014815119340496`", 
      "2.329544177444027`", "3.2584097355299866`", "2.903683614302608`", 
      "0.16243833630336696`", "0.13080373296211764`", "0.19673318878999205`", 
      "3.013943263210042`", "1.`", "1.562801065300569`", 
      "1.0049704178770678`"},
     {"196", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.67135037784045`", "0.22033351995612904`", "3.2526833275933957`", 
      "2.2009443234162713`", "2.3316003243918666`", "3.2526833275933957`", 
      "2.8990599182981507`", "0.1623033070437196`", "0.1305954469441486`", 
      "0.1967012917394989`", "3.0132078240498887`", "1.`", 
      "1.5603125307350956`", "1.6453674496705013`", "1.0097`", 
      "0.004671410665004113`", "1", "7.672606866459833`", 
      "0.21913094501560032`", "3.258469369811096`", "2.2014872749608996`", 
      "2.329523085426458`", "3.258469369811096`", "2.903730245683973`", 
      "0.16243969329897048`", "0.13080583358999795`", "0.19673350939640613`", 
      "3.0139511530950385`", "1.`", "1.5628261629290143`", 
      "1.0050753244632957`"},
     {"197", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.671401655397871`", "0.2202844349166918`", "3.252715170200576`", 
      "2.200930128112411`", "2.3315546488854304`", "3.252715170200576`", 
      "2.8992498989858877`", "0.1623088738691143`", "0.13060400510214637`", 
      "0.19670260654866353`", "3.0131883899369027`", "1.`", 
      "1.5604147808630775`", "1.6453674496705013`", "1.0097`", 
      "0.004671410665004113`", "1", "7.672644899550858`", 
      "0.21909454999802916`", "3.258440329925052`", "2.2014673909567777`", 
      "2.329499138131667`", "3.258440329925052`", "2.903872106433277`", 
      "0.1624438209254406`", "0.13081222406431767`", "0.19673448460386833`", 
      "3.013923930854041`", "1.`", "1.562902514267378`", 
      "1.0050226705667737`"},
     {"198", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.671388247891843`", "0.22029726908324926`", "3.252655506336998`", 
      "2.200924698101281`", "2.3315763893315293`", "3.252655506336998`", 
      "2.8992002198284683`", "0.16230741832247303`", "0.13060176717952668`", 
      "0.19670226276645772`", "3.0131809559678344`", "1.`", 
      "1.5603880428811032`", "1.6453674496705013`", "1.0098`", 
      "0.004671410665004113`", "1", "7.672657395635641`", 
      "0.21908259219448872`", "3.258499951429101`", "2.201473154730721`", 
      "2.3294780526865564`", "3.258499951429101`", "2.903918722298027`", 
      "0.16244517708212694`", "0.13081432399321294`", "0.19673480501629867`", 
      "3.013931821761847`", "1.`", "1.562927603544575`", "1.005127578491017`"},
     {"199", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.6714395190470395`", "0.2202481906568419`", "3.252687343657278`", 
      "2.2009105052105067`", "2.3315307121726137`", "3.252687343657278`", 
      "2.899390215374113`", "0.16231298439787056`", "0.13061032600683625`", 
      "0.19670357741146272`", "3.0131615251584893`", "1.`", 
      "1.5604903010058084`", "1.6453674496705013`", "1.0098`", 
      "0.004671410665004113`", "1", "7.672695422355361`", 
      "0.2190462037531272`", "3.258470906369601`", "2.2014532731394882`", 
      "2.3294541037123366`", "3.258470906369601`", "2.904060597927322`", 
      "0.162449303962775`", "0.1308207151378393`", "0.19673578006039405`", 
      "3.013904602824222`", "1.`", "1.563003962891547`", 
      "1.0050749218523294`"},
     {"200", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.671426109931029`", "0.22026102623782548`", "3.2526276922396185`", 
      "2.2009050778139794`", "2.3315524527743174`", "3.2526276922396185`", 
      "2.8993405201610156`", "0.16231152869081691`", "0.13060808736094817`", 
      "0.19670323358797526`", "3.0131540947689484`", "1.`", 
      "1.5604635543824552`", "1.6453674496705013`", "1.0099`", 
      "0.004671410665004113`", "1", "7.6727079108782`", 
      "0.21903425334318577`", "3.2585305151023127`", "2.2014590376599763`", 
      "2.329433024838289`", "3.2585305151023127`", "2.9041071982754763`", 
      "0.1624506592809388`", "0.13082281436775053`", "0.1967361002789284`", 
      "3.013912494754086`", "1.`", "1.563029043817506`", 
      "1.0051798311146267`"},
     {"201", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.6714773746846845`", "0.22021195442350044`", "3.252659524274227`", 
      "2.200890887335746`", "2.331506773963725`", "3.252659524274227`", 
      "2.899530530563646`", "0.1623170940163268`", "0.13061664685752802`", 
      "0.19670454806883825`", "3.013134667262498`", "1.`", 
      "1.5605658205033872`", "1.6453674496705013`", "1.0099`", 
      "0.004671410665004113`", "1", "7.672745931227534`", 
      "0.21899787147671762`", "3.2585014648717343`", "2.2014391584810813`", 
      "2.329409074185174`", "3.2585014648717343`", "2.904249088784055`", 
      "0.16245478541591837`", "0.13082920618265162`", "0.19673707515968056`", 
      "3.013885279119077`", "1.`", "1.5631054111727065`", 
      "1.0051271717337984`"},
     {"202", "1.6453674496705013`", "1.`", "0.004671410665004113`", "1", 
      "7.671463963959824`", "0.2202247914178381`", "3.2525998852989795`", 
      "2.200885462552773`", "2.331528514721887`", "3.2525998852989795`", 
      "2.899480819295039`", "0.16231563814898176`", "0.13061440748837913`", 
      "0.19670420420409826`", "3.0131272404510496`", "1.`", 
      "1.5605390652387456`", "1.6453674496705013`", "1.01`", 
      "0.004671410665004113`", "1", "7.672758412191823`", 
      "0.21898592845689185`", "3.2585610608388267`", "2.201444923747563`", 
      "2.3293880018807975`", "3.2585610608388267`", "2.904295673615626`", 
      "0.16245613989595467`", "0.13083130471357934`", "0.1967373951844059`", 
      "3.0138931720702455`", "1.`", "1.5631304837474342`", 
      "1.0052320823341885`"},
     {"203", "1.6453674496705013`", "1.0001`", "0.004671410665004113`", "1", 
      "7.671515222312746`", "0.22017572621464235`", "3.25263171204915`", 
      "2.2008712744865466`", "2.3314828342604166`", "3.25263171204915`", 
      "2.8996708445537545`", "0.16232120272471046`", "0.13062296765418877`", 
      "0.19670551852083984`", "3.0131078162467637`", "1.`", 
      "1.56064133935542`", "1.6453674496705013`", "1.01`", 
      "0.004671410665004113`", "1", "7.672796426171901`", 
      "0.21894955316399267`", "3.258532005439557`", "2.201425046980475`", 
      "2.329364049549313`", "3.258532005439557`", "2.9044375790028134`", 
      "0.16246026528541405`", "0.13083769719872482`", "0.19673836990184382`", 
      "3.0138659597371267`", "1.`", "1.5632068591104995`", 
      "1.0051794202112447`"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.621537680825671*^9, 3.621542458536781*^9, 3.621545217721597*^9, 
   3.6215475199222755`*^9, 3.621576453692967*^9, 3.6215775321186495`*^9, 
   3.621578092659711*^9, 3.6215794860464077`*^9, 3.6215796412672863`*^9, 
   3.621582968020565*^9, {3.621583122644409*^9, 3.6215831498909674`*^9}, 
   3.621583870673194*^9, 3.6215843032719374`*^9, 3.6215855693843546`*^9, 
   3.6215861442802367`*^9, 3.6215866852821803`*^9, 3.621587506088128*^9, 
   3.6216036848999104`*^9, 3.6216170108974376`*^9, 3.6216188654186945`*^9, 
   3.621670840036039*^9, 3.621680813809506*^9, 3.621681455394202*^9, 
   3.62176092213122*^9, 3.621833554773526*^9, 3.621927647852975*^9, 
   3.6219663847126937`*^9, 3.622438075835374*^9, 3.6224434873258934`*^9, {
   3.622456844572884*^9, 3.622456864113002*^9}, 3.6224761975456367`*^9, 
   3.6224857325640087`*^9, 3.624880993367742*^9, 3.6249566561408315`*^9, 
   3.624965451478752*^9, 3.673760428070097*^9, 3.67376128131851*^9, 
   3.6737617883510175`*^9, 3.6737619896590304`*^9, 3.6737621588300695`*^9, 
   3.6737623667370977`*^9, 3.6737625268246202`*^9, 3.6737782900115595`*^9, 
   3.673778674244979*^9, 3.673782684744012*^9, 3.673797390088397*^9, 
   3.6737974530233793`*^9, 3.6737995884167967`*^9, 3.6737998719275002`*^9, 
   3.674367384189229*^9, 3.674367474733229*^9, 3.6743742360108757`*^9, 
   3.674374269516226*^9, 3.6743794215353994`*^9, 3.674381320673294*^9, 
   3.674383630547259*^9, 3.674383735625766*^9, 3.674391121639946*^9, {
   3.6744033368318353`*^9, 3.67440338405091*^9}, 3.6744036785889435`*^9, 
   3.6744055647167344`*^9, 3.674408486880652*^9, 3.674410829279202*^9, 
   3.674411213076476*^9, 3.674412303811534*^9, 3.67441382654314*^9, 
   3.67441392388514*^9, 3.6745623532470765`*^9, 3.6745625763770027`*^9, 
   3.6749666618609037`*^9, 3.683530510296276*^9, 3.6835306234530926`*^9, 
   3.683530748220583*^9, 3.6835369064969077`*^9, 3.683536956544922*^9, 
   3.6967580112254057`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<calib_GM_monetary_coop_graph.csv\>\"", ",", "Mat"}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.461567546609375*^9, 3.461567547671875*^9}, {
   3.462104923833125*^9, 3.46210492878625*^9}, {3.462164642615625*^9, 
   3.46216464856875*^9}, 3.462164681225*^9, 3.462164850115625*^9, {
   3.4621659521625*^9, 3.462165954709375*^9}, 3.462601654785625*^9, 
   3.4626017250825*^9, {3.4639817865931253`*^9, 3.4639817915775003`*^9}, 
   3.4640615180375*^9, 3.46406289881875*^9, {3.478601922988125*^9, 
   3.478601924863125*^9}, {3.621531723740425*^9, 3.621531727259626*^9}, {
   3.621542422597725*^9, 3.6215424264459457`*^9}, {3.621544381659777*^9, 
   3.62154438328087*^9}, {3.621544441923224*^9, 3.6215444439433393`*^9}, {
   3.6215764673037453`*^9, 3.62157646843581*^9}, {3.673760236441653*^9, 
   3.673760237951676*^9}, {3.673778299263484*^9, 3.6737783008686447`*^9}, {
   3.6737783834349003`*^9, 3.6737783857901363`*^9}, {3.673782912992834*^9, 
   3.6737829141389494`*^9}, {3.674367905152834*^9, 3.674367906248944*^9}, 
   3.6835305147964115`*^9, 3.696757862057491*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"tarlength", "=", 
   RowBox[{"IntegerPart", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"tarmax", "-", "tarmin"}], ")"}], "/", "tarstep"}], "+", "1"}],
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarstarlength", "=", 
   RowBox[{"IntegerPart", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"tarstarmax", "-", "tarstarmin"}], ")"}], "/", "tarstarstep"}],
      "+", "1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lengthmat", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\"\<tarlength\>\"", ",", "\"\<tarstarlength\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"tarlength", ",", "tarstarlength"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "[", "lengthmat", "]"}]}], "Input",
 CellChangeTimes->{{3.6223551989612193`*^9, 3.6223552316276765`*^9}, {
  3.622355495892141*^9, 3.622355499495747*^9}, {3.622356426975005*^9, 
  3.6223564568547144`*^9}, {3.622356523183508*^9, 3.62235652373554*^9}, {
  3.67437485841811*^9, 3.6743748590811763`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"tarlength\"\>", "\<\"tarstarlength\"\>"},
     {"1", "101"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.6223555577774496`*^9, 3.6223559422649255`*^9, 3.6223559883630066`*^9, {
   3.622356443914974*^9, 3.6223564575057516`*^9}, 3.6223565130979314`*^9, 
   3.622356611169541*^9, 3.6223569241484423`*^9, 3.6223586211765065`*^9, 
   3.6223872799810376`*^9, 3.622397117000683*^9, 3.622397418754942*^9, 
   3.622437710178459*^9, 3.622476276089129*^9, 3.6224859067829733`*^9, 
   3.6248575798576612`*^9, 3.6249462201439266`*^9, 3.6249501521838264`*^9, 
   3.624965337645352*^9, 3.673771555157127*^9, 3.6737749411630983`*^9, 
   3.67377824431499*^9, 3.6737788595825105`*^9, 3.6738717076821833`*^9, 
   3.6743650014304447`*^9, 3.674367548108229*^9, 3.6743742748267565`*^9, 
   3.6743748608603544`*^9, 3.674379482012447*^9, 3.6743813285540824`*^9, 
   3.6743836328384876`*^9, 3.674383737540957*^9, 3.674391123778472*^9, 
   3.674403345223243*^9, 3.674403386740528*^9, 3.674403681948592*^9, 
   3.6744055665093775`*^9, 3.6744082696619635`*^9, 3.6744084904182935`*^9, 
   3.6744108311712017`*^9, 3.6744112165718255`*^9, 3.6744123063707895`*^9, 
   3.67441383082414*^9, 3.67441392724314*^9, 3.6745625879449654`*^9, {
   3.674966665705288*^9, 3.6749666793396516`*^9}, 3.6835305253392277`*^9, 
   3.6835306270382357`*^9, 3.6835307534957943`*^9, 3.6835369931833887`*^9, 
   3.69675801176546*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "tarvec", "]"}]], "Input",
 CellChangeTimes->{{3.674966684703188*^9, 3.6749667349092083`*^9}}],

Cell[BoxData["204"], "Output",
 CellChangeTimes->{{3.674966723249042*^9, 3.6749667357472916`*^9}, 
   3.683530532366949*^9, 3.6835306379486723`*^9, 3.683530755295866*^9, 
   3.6835369971760483`*^9, 3.696758011791463*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["i"], "Input",
 CellChangeTimes->{3.674966771144831*^9}],

Cell[BoxData["204"], "Output",
 CellChangeTimes->{3.67496677153187*^9, 3.6835305363871098`*^9, 
  3.6835306435788975`*^9, 3.6835307588160067`*^9, 3.6835370033712964`*^9, 
  3.696758011808464*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<ass_length.csv\>\"", ",", "lengthmat"}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6223550744406004`*^9, 3.6223550813202124`*^9}, {
   3.6223551128010674`*^9, 3.622355135296307*^9}, 3.622355329720649*^9, {
   3.673771284252039*^9, 3.6737712875553694`*^9}, {3.674364995221445*^9, 
   3.674364996957445*^9}, 3.683530545912491*^9, 3.6967578761859035`*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"tarlength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarstarlength", "=", "101"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lengthmat", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\"\<tarlength\>\"", ",", "\"\<tarstarlength\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"tarlength", ",", "tarstarlength"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "[", "lengthmat", "]"}]}], "Input",
 CellChangeTimes->{{3.6223551989612193`*^9, 3.6223552316276765`*^9}, {
  3.622355495892141*^9, 3.622355499495747*^9}, {3.622356426975005*^9, 
  3.6223564568547144`*^9}, {3.622356523183508*^9, 3.62235652373554*^9}, {
  3.67437485841811*^9, 3.6743748590811763`*^9}, {3.674412333254478*^9, 
  3.6744123392130737`*^9}, {3.674966788207537*^9, 3.6749667910638227`*^9}, {
  3.6835370115791245`*^9, 3.683537012414158*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"tarlength\"\>", "\<\"tarstarlength\"\>"},
     {"2", "101"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.67441234157731*^9, 3.674966791822899*^9, 
  3.674966834909207*^9, 3.6835370155017815`*^9, 3.69675801186847*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1348, 678},
WindowMargins->{{1, Automatic}, {Automatic, 1}},
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (September 21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 100, 1, 49, "Subsection"],
Cell[682, 25, 2532, 83, 468, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[3251, 113, 158, 2, 41, "Subsection"],
Cell[3412, 117, 155, 3, 30, "Text"],
Cell[3570, 122, 1053, 25, 145, "Input"],
Cell[4626, 149, 925, 24, 164, "Input"],
Cell[5554, 175, 490, 12, 107, "Input"],
Cell[CellGroupData[{
Cell[6069, 191, 7160, 196, 335, "Input"],
Cell[13232, 389, 3544, 84, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16813, 478, 1458, 40, 47, "Input"],
Cell[18274, 520, 2155, 35, 70, "Output"]
}, Open  ]],
Cell[20444, 558, 1798, 50, 316, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[22279, 613, 238, 3, 41, "Subsection"],
Cell[22520, 618, 1506, 32, 183, "Input"],
Cell[24029, 652, 1254, 33, 240, "Input"],
Cell[25286, 687, 365, 7, 126, "Input"],
Cell[25654, 696, 13186, 377, 734, "Input"],
Cell[CellGroupData[{
Cell[38865, 1077, 2615, 71, 87, "Input"],
Cell[41483, 1150, 1959, 34, 70, "Output"]
}, Open  ]],
Cell[43457, 1187, 1580, 47, 316, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[45074, 1239, 103, 1, 41, "Subsection"],
Cell[CellGroupData[{
Cell[45202, 1244, 263, 3, 39, "Subsubsection"],
Cell[45468, 1249, 298, 7, 69, "Input"],
Cell[45769, 1258, 908, 19, 240, "Input"],
Cell[46680, 1279, 1243, 22, 107, "Input"],
Cell[CellGroupData[{
Cell[47948, 1305, 36937, 829, 4129, "Input"],
Cell[84888, 2136, 2831, 50, 70, "Print"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[87768, 2192, 245, 3, 33, "Subsubsection"],
Cell[88016, 2197, 2661, 42, 126, "Input"],
Cell[CellGroupData[{
Cell[90702, 2243, 35527, 768, 3668, "Input"],
Cell[CellGroupData[{
Cell[126254, 3015, 1360, 23, 22, "Print"],
Cell[127617, 3040, 1370, 24, 22, "Print"],
Cell[128990, 3066, 1372, 24, 22, "Print"],
Cell[130365, 3092, 1372, 24, 22, "Print"],
Cell[131740, 3118, 1372, 24, 22, "Print"],
Cell[133115, 3144, 1370, 24, 22, "Print"],
Cell[134488, 3170, 1370, 24, 22, "Print"],
Cell[135861, 3196, 1372, 24, 22, "Print"],
Cell[137236, 3222, 1372, 24, 22, "Print"],
Cell[138611, 3248, 1372, 24, 22, "Print"],
Cell[139986, 3274, 1370, 24, 22, "Print"],
Cell[141359, 3300, 1372, 24, 22, "Print"],
Cell[142734, 3326, 1372, 24, 22, "Print"],
Cell[144109, 3352, 1371, 24, 22, "Print"],
Cell[145483, 3378, 1374, 24, 22, "Print"],
Cell[146860, 3404, 1374, 24, 22, "Print"],
Cell[148237, 3430, 1372, 24, 22, "Print"],
Cell[149612, 3456, 1372, 24, 22, "Print"],
Cell[150987, 3482, 1372, 24, 22, "Print"],
Cell[152362, 3508, 1372, 24, 22, "Print"],
Cell[153737, 3534, 1369, 24, 22, "Print"],
Cell[155109, 3560, 1375, 24, 22, "Print"],
Cell[156487, 3586, 1372, 24, 22, "Print"],
Cell[157862, 3612, 1374, 24, 22, "Print"],
Cell[159239, 3638, 1377, 24, 22, "Print"],
Cell[160619, 3664, 1374, 24, 22, "Print"],
Cell[161996, 3690, 1372, 24, 22, "Print"],
Cell[163371, 3716, 1377, 24, 22, "Print"],
Cell[164751, 3742, 1374, 24, 22, "Print"],
Cell[166128, 3768, 1374, 24, 22, "Print"],
Cell[167505, 3794, 1370, 24, 22, "Print"],
Cell[168878, 3820, 1370, 24, 22, "Print"],
Cell[170251, 3846, 1377, 24, 22, "Print"],
Cell[171631, 3872, 1374, 24, 22, "Print"],
Cell[173008, 3898, 1374, 24, 22, "Print"],
Cell[174385, 3924, 1375, 24, 22, "Print"],
Cell[175763, 3950, 1374, 24, 22, "Print"],
Cell[177140, 3976, 1374, 24, 22, "Print"],
Cell[178517, 4002, 1374, 24, 22, "Print"],
Cell[179894, 4028, 1371, 24, 22, "Print"],
Cell[181268, 4054, 1372, 24, 22, "Print"],
Cell[182643, 4080, 1372, 24, 22, "Print"],
Cell[184018, 4106, 1372, 24, 22, "Print"],
Cell[185393, 4132, 1375, 24, 22, "Print"],
Cell[186771, 4158, 1372, 24, 22, "Print"],
Cell[188146, 4184, 1372, 24, 22, "Print"],
Cell[189521, 4210, 1372, 24, 22, "Print"],
Cell[190896, 4236, 1375, 24, 22, "Print"],
Cell[192274, 4262, 1374, 24, 22, "Print"],
Cell[193651, 4288, 1372, 24, 22, "Print"],
Cell[195026, 4314, 1372, 24, 22, "Print"],
Cell[196401, 4340, 1374, 24, 22, "Print"],
Cell[197778, 4366, 1372, 24, 22, "Print"],
Cell[199153, 4392, 1375, 24, 22, "Print"],
Cell[200531, 4418, 1377, 24, 22, "Print"],
Cell[201911, 4444, 1374, 24, 22, "Print"],
Cell[203288, 4470, 1375, 24, 22, "Print"],
Cell[204666, 4496, 1380, 24, 22, "Print"],
Cell[206049, 4522, 1382, 24, 22, "Print"],
Cell[207434, 4548, 1385, 24, 22, "Print"],
Cell[208822, 4574, 1378, 24, 22, "Print"],
Cell[210203, 4600, 1382, 24, 22, "Print"],
Cell[211588, 4626, 1382, 24, 22, "Print"],
Cell[212973, 4652, 1382, 24, 22, "Print"],
Cell[214358, 4678, 1382, 24, 22, "Print"],
Cell[215743, 4704, 1385, 24, 22, "Print"],
Cell[217131, 4730, 1380, 24, 22, "Print"],
Cell[218514, 4756, 1382, 24, 22, "Print"],
Cell[219899, 4782, 1380, 24, 22, "Print"],
Cell[221282, 4808, 1382, 24, 22, "Print"],
Cell[222667, 4834, 1378, 24, 22, "Print"],
Cell[224048, 4860, 1385, 24, 22, "Print"],
Cell[225436, 4886, 1383, 24, 22, "Print"],
Cell[226822, 4912, 1382, 24, 22, "Print"],
Cell[228207, 4938, 1382, 24, 22, "Print"],
Cell[229592, 4964, 1382, 24, 22, "Print"],
Cell[230977, 4990, 1380, 24, 22, "Print"],
Cell[232360, 5016, 1382, 24, 22, "Print"],
Cell[233745, 5042, 1382, 24, 22, "Print"],
Cell[235130, 5068, 1382, 24, 22, "Print"],
Cell[236515, 5094, 1380, 24, 22, "Print"],
Cell[237898, 5120, 1382, 24, 22, "Print"],
Cell[239283, 5146, 1382, 24, 22, "Print"],
Cell[240668, 5172, 1380, 24, 22, "Print"],
Cell[242051, 5198, 1382, 24, 22, "Print"],
Cell[243436, 5224, 1380, 24, 22, "Print"],
Cell[244819, 5250, 1380, 24, 22, "Print"],
Cell[246202, 5276, 1383, 24, 22, "Print"],
Cell[247588, 5302, 1382, 24, 22, "Print"],
Cell[248973, 5328, 1385, 24, 22, "Print"],
Cell[250361, 5354, 1381, 24, 22, "Print"],
Cell[251745, 5380, 1382, 24, 22, "Print"],
Cell[253130, 5406, 1382, 24, 22, "Print"],
Cell[254515, 5432, 1383, 24, 22, "Print"],
Cell[255901, 5458, 1382, 24, 22, "Print"],
Cell[257286, 5484, 1380, 24, 22, "Print"],
Cell[258669, 5510, 1380, 24, 22, "Print"],
Cell[260052, 5536, 1380, 24, 22, "Print"],
Cell[261435, 5562, 1385, 24, 22, "Print"],
Cell[262823, 5588, 1387, 24, 22, "Print"],
Cell[264213, 5614, 1374, 23, 22, "Print"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[265648, 5644, 202, 3, 39, "Subsubsection"],
Cell[265853, 5649, 4436, 120, 1418, "Input"],
Cell[270292, 5771, 226, 5, 47, "Input"],
Cell[CellGroupData[{
Cell[270543, 5780, 135, 2, 47, "Input"],
Cell[270681, 5784, 165781, 2465, 3494, "Output"]
}, Open  ]],
Cell[436477, 8252, 1135, 18, 47, "Input"],
Cell[CellGroupData[{
Cell[437637, 8274, 1129, 30, 140, "Input"],
Cell[438769, 8306, 1922, 36, 60, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[440728, 8347, 132, 2, 47, "Input"],
Cell[440863, 8351, 220, 3, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[441120, 8359, 69, 1, 30, "Input"],
Cell[441192, 8362, 195, 3, 30, "Output"]
}, Open  ]],
Cell[441402, 8368, 425, 8, 47, "Input"],
Cell[CellGroupData[{
Cell[441852, 8380, 936, 20, 104, "Input"],
Cell[442791, 8402, 756, 19, 60, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

