(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    257116,       5642]
NotebookOptionsPosition[    252323,       5509]
NotebookOutlinePosition[    252670,       5524]
CellTagsIndexPosition[    252627,       5521]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["parameters", "Subsection",
 CellChangeTimes->{{3.619197530463784*^9, 3.6191975338801904`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"delta", "=", "0.025"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"sigma", "=", "2"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"beta", "=", ".99"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"eta", "=", "0.0025"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"newphi", "=", "1"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"kappa", "=", "0.3278"}], ";"}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"theta", "=", "3.8"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"phi", "=", "theta"}], ";"}], "\n", "\n", 
  RowBox[{"(*", 
   RowBox[{"fixed", " ", "costs"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fe", "=", "1"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"fx", "=", 
   RowBox[{".235", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"beta", 
        RowBox[{"(", 
         RowBox[{"1", "-", "delta"}], ")"}]}]}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{"beta", 
       RowBox[{"(", 
        RowBox[{"1", "-", "delta"}], ")"}]}], ")"}]}], " ", "fe"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"fx", "=", 
    RowBox[{".109", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"beta", 
         RowBox[{"(", 
          RowBox[{"1", "-", "delta"}], ")"}]}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"beta", 
        RowBox[{"(", 
         RowBox[{"1", "-", "delta"}], ")"}]}], ")"}]}], " ", "fe"}]}], ";"}], 
  "\n", "\n", 
  RowBox[{"(*", " ", 
   RowBox[{"Pareto", "-", "Distribution", "-", "Parameters"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"k", "=", "1"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"kp", "=", "3.4"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"gamma", "=", 
   RowBox[{"kp", "-", "theta", "+", "1"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"A", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"kp", "/", "gamma"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"1", "/", 
        RowBox[{"(", 
         RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}], "*", "k"}]}], ";"}], 
  "\n", "\n", 
  RowBox[{"(*", " ", 
   RowBox[{"Trade", " ", "Costs"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tau", "=", "1.3"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"taustar", "=", "1.3"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6191973033509865`*^9, 3.6191973817099237`*^9}, 
   3.619197421240393*^9, {3.6191974663320723`*^9, 3.6191975456426115`*^9}, {
   3.619238081964215*^9, 3.6192380907637177`*^9}, {3.6215439937315893`*^9, 
   3.621544030483691*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Steady state symmetric", "Subsection",
 CellChangeTimes->{{3.619197552803024*^9, 3.619197557093031*^9}, {
  3.67367925829217*^9, 3.673679259579299*^9}}],

Cell["\<\
NEW calibrate tau and fx and choose tar in accordance with data\
\>", "Text",
 CellChangeTimes->{{3.673605035730955*^9, 3.6736050754209237`*^9}}],

Cell[BoxData[{
 RowBox[{"tau", "=."}], "\[IndentingNewLine]", 
 RowBox[{"taustar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"fx", "=."}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tar", "=", "1.02"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarstar", "=", "tar"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tradeshare", "=", "0.3"}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"http", ":"}], "//", 
    RowBox[{
     RowBox[{
      RowBox[{"data", ".", "worldbank", ".", "org"}], "/", "indicator"}], "/", 
     RowBox[{"NE", ".", "TRD", ".", "GNFS", ".", "ZS"}]}]}], " ", "*)"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Xshare", "=", "0.21"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6736050796513467`*^9, 3.673605089965378*^9}, {
  3.6736051589452753`*^9, 3.6736051611364946`*^9}, {3.673605498842304*^9, 
  3.673605502224966*^9}, {3.673605600586129*^9, 3.6736056008101068`*^9}, {
  3.6736056402351637`*^9, 3.6736056428669004`*^9}, {3.6736063851318955`*^9, 
  3.6736064046918516`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"MUD", "=", 
   RowBox[{"phi", "/", 
    RowBox[{"(", 
     RowBox[{"phi", "-", "1"}], ")"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"MUX", "=", 
   RowBox[{"phi", "/", 
    RowBox[{"(", 
     RowBox[{"phi", "-", "1"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAI", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAID", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAIX", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Z", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Q", "=", "1"}], ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.6191968580590043`*^9, 3.6191969578043795`*^9}, {
  3.6191970052128625`*^9, 3.6191970085512686`*^9}, {3.61919787517759*^9, 
  3.6191978772367935`*^9}, {3.621529256141286*^9, 3.621529262010622*^9}, {
  3.6736054818140078`*^9, 3.6736054820919795`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Xstar", ":=", "X"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Mstar", ":=", "M"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPXstar", ":=", "VPX"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ystar", ":=", "Y"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YXstar", ":=", "YX"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6191977478657665`*^9, 3.6191978056326675`*^9}, {
  3.67360562217397*^9, 3.673605630667121*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"eqns", "=", 
  RowBox[{"{", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"1", "==", 
     RowBox[{
      RowBox[{
       RowBox[{"M", "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", "phi"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
       RowBox[{"VPD", "^", 
        RowBox[{"(", 
         RowBox[{"1", "-", "phi"}], ")"}]}]}], "+", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Xstar", "*", "Mstar"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", "phi"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
       RowBox[{"VPXstar", "^", 
        RowBox[{"(", 
         RowBox[{"1", "-", "phi"}], ")"}]}]}]}]}], ",", "\n", 
    RowBox[{
     RowBox[{
      RowBox[{"VPX", "^", 
       RowBox[{"(", 
        RowBox[{"-", "phi"}], ")"}]}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"X", "*", "M"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"theta", "-", "phi"}], ")"}], "/", 
         RowBox[{"(", 
          RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Ystar"}], 
     "\[Equal]", 
     RowBox[{
      RowBox[{"1", "/", "tau"}], 
      RowBox[{"(", 
       RowBox[{"theta", "-", "1"}], ")"}], "*", 
      RowBox[{"kp", "/", "gamma"}], "*", "B", "*", "fx"}]}], ",", "\n", 
    RowBox[{"LEMP", "==", 
     RowBox[{
      RowBox[{"M", "*", 
       RowBox[{"YD", "/", 
        RowBox[{"(", 
         RowBox[{"Z", "*", "A"}], ")"}]}]}], "+", 
      RowBox[{"M", "*", "X", "*", 
       RowBox[{"YX", "/", 
        RowBox[{"(", 
         RowBox[{"Z", "*", "B"}], ")"}]}], "*", "tau"}], "+", 
      RowBox[{"Me", "*", 
       RowBox[{"fe", "/", "Z"}]}], "+", 
      RowBox[{"M", "*", "X", "*", 
       RowBox[{"fx", "/", "Z"}]}]}]}], ",", "\n", 
    RowBox[{"1", "==", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "delta"}], ")"}], "beta", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"X", "*", 
           RowBox[{"fx", "/", "fe"}]}]}], ")"}], "+", 
        RowBox[{
         RowBox[{"1", "/", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"theta", "-", "1"}], ")"}], "*", "fe", "  ", "A"}], 
           ")"}]}], "*", 
         RowBox[{"(", 
          RowBox[{"YD", "+", 
           RowBox[{"X", "*", "Q", "*", 
            RowBox[{"VPX", "/", "VPD"}], " ", "*", 
            RowBox[{"1", "/", "tar"}], "*", 
            RowBox[{"MUD", "/", "MUX"}], "*", "YX"}]}], ")"}]}]}], ")"}]}]}], 
    ",", "\n", 
    RowBox[{"LEMP", "\[Equal]", "1"}], ",", "\n", 
    RowBox[{"M", "\[Equal]", 
     RowBox[{
      RowBox[{"M", "*", 
       RowBox[{"(", 
        RowBox[{"1", "-", "delta"}], ")"}]}], "+", 
      RowBox[{"Me", "*", 
       RowBox[{"(", 
        RowBox[{"1", "-", "delta"}], ")"}]}]}]}], ",", "\n", 
    RowBox[{"B", "==", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"kp", "/", "gamma"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"1", "/", 
         RowBox[{"(", 
          RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}], "*", "PSI"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"X", "==", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"k", "/", "PSI"}], ")"}], "^", "kp"}]}], ",", "\n", 
    RowBox[{"VPD", "==", 
     RowBox[{"MUD", "*", 
      RowBox[{
       RowBox[{"W", "/", "A"}], "/", "Z"}]}]}], ",", "\n", 
    RowBox[{"VPX", "==", 
     RowBox[{"MUX", "*", "tau", "*", 
      RowBox[{"tar", "/", "Q"}], "*", 
      RowBox[{
       RowBox[{"W", "/", "B"}], "/", "Z"}]}]}], ",", "\n", 
    RowBox[{"YD", "==", 
     RowBox[{
      RowBox[{"VPD", "^", 
       RowBox[{"(", 
        RowBox[{"-", "phi"}], ")"}]}], "*", 
      RowBox[{"M", "^", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"theta", "-", "phi"}], ")"}], "/", 
         RowBox[{"(", 
          RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Y"}]}], ",", 
    "\n", 
    RowBox[{"YX", "==", 
     RowBox[{
      RowBox[{"VPX", "^", 
       RowBox[{"(", 
        RowBox[{"-", "phi"}], ")"}]}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"M", "*", "X"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"theta", "-", "phi"}], ")"}], "/", 
         RowBox[{"(", 
          RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Ystar"}]}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"Y", "==", 
     RowBox[{"R", "+", 
      RowBox[{
       RowBox[{"nu", "/", "2"}], "*", 
       RowBox[{"PAID", "^", "2"}], "*", "YD", "*", 
       RowBox[{"M", "^", 
        RowBox[{"(", 
         RowBox[{"theta", "/", 
          RowBox[{"(", 
           RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}], "+", 
      RowBox[{
       RowBox[{"nu", "/", "2"}], "*", 
       RowBox[{"PAIX", "^", "2"}], "*", "YX", "*", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"M", "*", "X"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"theta", "/", 
          RowBox[{"(", 
           RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}]}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"X", "\[Equal]", "Xshare"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"Q", "*", "M", "*", "X", "*", "VPX", "*", 
       RowBox[{"YX", "/", "tarstar"}]}], "+", 
      RowBox[{"Mstar", "*", "Xstar", "*", "VPXstar", "*", 
       RowBox[{"YXstar", "/", "tar"}]}]}], "\[Equal]", 
     RowBox[{"tradeshare", " ", "R"}]}]}], " ", "\[IndentingNewLine]", 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.6191965168288054`*^9, 3.6191965621312847`*^9}, {
   3.6191966415930243`*^9, 3.6191967832256727`*^9}, {3.619196835454565*^9, 
   3.6191968622242117`*^9}, {3.6191969648243914`*^9, 
   3.6191970844286013`*^9}, {3.6191971810711713`*^9, 3.6191972373784704`*^9}, 
   3.619197487033308*^9, 3.6191975694950533`*^9, {3.6191976202419424`*^9, 
   3.619197622800347*^9}, {3.619197668102826*^9, 3.6191976845140553`*^9}, {
   3.6191981985973577`*^9, 3.61919820537097*^9}, {3.619198339297205*^9, 
   3.619198359670841*^9}, 3.619198797953611*^9, {3.620542289594885*^9, 
   3.620542294201148*^9}, 3.620543078229992*^9, 3.620546844721423*^9, 
   3.620548211634606*^9, 3.620548783694326*^9, {3.6205488231705837`*^9, 
   3.6205488233055916`*^9}, 3.620551333617173*^9, {3.620552204713997*^9, 
   3.62055220494501*^9}, {3.620552834447016*^9, 3.6205528355760803`*^9}, {
   3.6215068584817333`*^9, 3.621506859914815*^9}, {3.6215074006937456`*^9, 
   3.621507400750749*^9}, {3.6215074622992697`*^9, 3.6215074723048415`*^9}, {
   3.621507619504261*^9, 3.6215076199332857`*^9}, {3.6736051814995303`*^9, 
   3.6736051891322937`*^9}, {3.673605223229703*^9, 3.6736052363570156`*^9}, {
   3.6736052666790476`*^9, 3.673605302097589*^9}, 3.6736053896982203`*^9, {
   3.6736056046037273`*^9, 3.673605635047683*^9}, {3.6736063723496175`*^9, 
   3.6736064115435367`*^9}, {3.6737592461394405`*^9, 3.673759247139456*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"1", "\[Equal]", 
    RowBox[{
     FractionBox[
      SuperscriptBox["M", "1.`"], 
      SuperscriptBox["VPD", "2.8`"]], "+", 
     FractionBox[
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"M", " ", "X"}], ")"}], "1.`"], 
      SuperscriptBox["VPX", "2.8`"]]}]}], ",", 
   RowBox[{
    FractionBox[
     RowBox[{"1.`", " ", "Y"}], 
     SuperscriptBox["VPX", "3.8`"]], "\[Equal]", 
    FractionBox[
     RowBox[{"15.866666666666664`", " ", "B", " ", "fx"}], "tau"]}], ",", 
   RowBox[{"LEMP", "\[Equal]", 
    RowBox[{"Me", "+", 
     RowBox[{"fx", " ", "M", " ", "X"}], "+", 
     RowBox[{"0.5382132742020225`", " ", "M", " ", "YD"}], "+", 
     FractionBox[
      RowBox[{"M", " ", "tau", " ", "X", " ", "YX"}], "B"]}]}], ",", 
   RowBox[{"1", "\[Equal]", 
    RowBox[{"0.9652499999999999`", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"fx", " ", "X"}], "+", 
       RowBox[{"0.1922190265007223`", " ", 
        RowBox[{"(", 
         RowBox[{"YD", "+", 
          FractionBox[
           RowBox[{"0.9803921568627451`", " ", "VPX", " ", "X", " ", "YX"}], 
           "VPD"]}], ")"}]}]}], ")"}]}]}], ",", 
   RowBox[{"LEMP", "\[Equal]", "1"}], ",", 
   RowBox[{"M", "\[Equal]", 
    RowBox[{
     RowBox[{"0.975`", " ", "M"}], "+", 
     RowBox[{"0.975`", " ", "Me"}]}]}], ",", 
   RowBox[{"B", "\[Equal]", 
    RowBox[{"1.8579995104777782`", " ", "PSI"}]}], ",", 
   RowBox[{"X", "\[Equal]", 
    SuperscriptBox[
     RowBox[{"(", 
      FractionBox["1", "PSI"], ")"}], "3.4`"]}], ",", 
   RowBox[{"VPD", "\[Equal]", 
    RowBox[{"0.7304323007027448`", " ", "W"}]}], ",", 
   RowBox[{"VPX", "\[Equal]", 
    FractionBox[
     RowBox[{"1.3842857142857143`", " ", "tau", " ", "W"}], "B"]}], ",", 
   RowBox[{"YD", "\[Equal]", 
    FractionBox[
     RowBox[{"1.`", " ", "Y"}], 
     SuperscriptBox["VPD", "3.8`"]]}], ",", 
   RowBox[{"YX", "\[Equal]", 
    FractionBox[
     RowBox[{"1.`", " ", "Y"}], 
     SuperscriptBox["VPX", "3.8`"]]}], ",", 
   RowBox[{"Y", "\[Equal]", "R"}], ",", 
   RowBox[{"X", "\[Equal]", "0.21`"}], ",", 
   RowBox[{
    RowBox[{
    "1.9607843137254901`", " ", "M", " ", "VPX", " ", "X", " ", "YX"}], 
    "\[Equal]", 
    RowBox[{"0.3`", " ", "R"}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.6191975635202427`*^9, {3.619197677806043*^9, 3.6191976869788594`*^9}, 
   3.619197758941786*^9, 3.6191978082534723`*^9, {3.6191978799823985`*^9, 
   3.61919788640961*^9}, 3.619198209052576*^9, 3.6191983713864613`*^9, 
   3.6191985007106886`*^9, {3.619198761886348*^9, 3.619198768469559*^9}, 
   3.619198798936413*^9, 3.619200046699803*^9, 3.619238115258119*^9, 
   3.6202322550836535`*^9, 3.6202343107122283`*^9, 3.6202345638997097`*^9, 
   3.62057748157673*^9, 3.621529219339181*^9, 3.621529265134801*^9, 
   3.621530372108116*^9, 3.6215368922605677`*^9, 3.621545206490955*^9, 
   3.6215474956708884`*^9, 3.6736054305701323`*^9, {3.673605487179471*^9, 
   3.673605505024686*^9}, 3.6736056527412863`*^9, 3.673605738487286*^9, 
   3.6736064178581676`*^9, 3.6736069745028267`*^9, 3.6736702928876867`*^9, 
   3.673671197068095*^9, 3.6736763493360133`*^9, 3.673680775681894*^9, 
   3.6737105669706173`*^9, 3.6737592706148167`*^9, 3.674560685635872*^9, 
   3.6745610322257366`*^9, 3.68360313658819*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sol", "=", 
  RowBox[{"FindRoot", "[", 
   RowBox[{"eqns", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"M", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"X", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"R", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"VPD", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"VPX", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Y", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"B", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"YD", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"YX", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Me", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"W", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"LEMP", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"PSI", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"fx", ",", "0.004"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"tau", ",", "1.5"}], "}"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6191978141034827`*^9, 3.619197843166334*^9}, {
  3.619197917921665*^9, 3.6191979245204763`*^9}, {3.619198817406845*^9, 
  3.6191988188264475`*^9}, {3.6736053942927604`*^9, 3.673605424486741*^9}, {
  3.6736057408782864`*^9, 3.673605750862286*^9}, {3.673606420118394*^9, 
  3.673606422941676*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"M", "\[Rule]", "7.681956608076942`"}], ",", 
   RowBox[{"X", "\[Rule]", "0.21`"}], ",", 
   RowBox[{"R", "\[Rule]", "3.2581992918539107`"}], ",", 
   RowBox[{"VPD", "\[Rule]", "2.1978389780404926`"}], ",", 
   RowBox[{"VPX", "\[Rule]", "2.3193006012612543`"}], ",", 
   RowBox[{"Y", "\[Rule]", "3.2581992918539107`"}], ",", 
   RowBox[{"B", "\[Rule]", "2.940308243349815`"}], ",", 
   RowBox[{"YD", "\[Rule]", "0.16345316499482904`"}], ",", 
   RowBox[{"YX", "\[Rule]", "0.1332357867506875`"}], ",", 
   RowBox[{"Me", "\[Rule]", "0.19697324636094743`"}], ",", 
   RowBox[{"W", "\[Rule]", "3.008956443911317`"}], ",", 
   RowBox[{"LEMP", "\[Rule]", "1.`"}], ",", 
   RowBox[{"PSI", "\[Rule]", "1.582512926816501`"}], ",", 
   RowBox[{"fx", "\[Rule]", "0.00467574259925312`"}], ",", 
   RowBox[{"tau", "\[Rule]", "1.6372246089877627`"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.619197695418474*^9, {3.6191978151018844`*^9, 3.6191978439931355`*^9}, {
   3.6191978822756023`*^9, 3.6191978880632124`*^9}, 3.6191979279836826`*^9, 
   3.6191982107685795`*^9, 3.6191983733676653`*^9, 3.619198806798826*^9, 
   3.6191990570544662`*^9, 3.619200047791805*^9, 3.619238116368182*^9, 
   3.62023225555168*^9, 3.62023431074223*^9, 3.620234563925711*^9, 
   3.620577481902748*^9, 3.621529219808208*^9, 3.621529266540881*^9, 
   3.621530372143118*^9, 3.621536892289569*^9, 3.621545206508956*^9, 
   3.6215474956888895`*^9, {3.6736054259885907`*^9, 3.6736054322679625`*^9}, {
   3.67360548928726*^9, 3.6736055069844904`*^9}, 3.673605656325286*^9, {
   3.673605745973286*^9, 3.6736057514452863`*^9}, 3.6736064236607485`*^9, 
   3.673606974519829*^9, 3.6736702929276905`*^9, 3.6736711970900974`*^9, 
   3.6736763493610134`*^9, 3.673680775697895*^9, 3.6737105669955616`*^9, 
   3.6737592706248164`*^9, 3.674560685653373*^9, 3.674561032243237*^9, 
   3.6836031366221895`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Msol", "=", 
   RowBox[{"M", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Xsol", "=", 
   RowBox[{"X", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rsol", "=", 
   RowBox[{"R", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPDsol", "=", 
   RowBox[{"VPD", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPXsol", "=", 
   RowBox[{"VPX", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ysol", "=", 
   RowBox[{"Y", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Bsol", "=", 
   RowBox[{"B", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YDsol", "=", 
   RowBox[{"YD", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YXsol", "=", 
   RowBox[{"YX", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Mesol", "=", 
   RowBox[{"Me", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Wsol", "=", 
   RowBox[{"W", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LEMPsol", "=", 
   RowBox[{"LEMP", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PSIsol", "=", 
   RowBox[{"PSI", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fxsol", "=", 
   RowBox[{"fx", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tausol", "=", 
   RowBox[{"tau", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"taustarsol", "=", "tau"}], ";"}]}], "Input",
 CellChangeTimes->{{3.619198874284545*^9, 3.619199047226449*^9}, {
  3.619199543739721*^9, 3.619199546734926*^9}, {3.6736064476141434`*^9, 
  3.6736064612945113`*^9}, {3.6736763315450134`*^9, 3.6736763390320134`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Steady state, asymmetric", "Subsection",
 CellChangeTimes->{{3.619197552803024*^9, 3.619197557093031*^9}, {
   3.673670296993097*^9, 3.6736703046628637`*^9}, 3.674557723101718*^9, {
   3.6967579302913136`*^9, 3.6967579304833326`*^9}}],

Cell[BoxData[{
 RowBox[{"tau", "=."}], "\[IndentingNewLine]", 
 RowBox[{"taustar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"fx", "=."}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tar", "=", "1.014"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarstar", "=", "1.02"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tradeshare", "=", "0.3"}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"http", ":"}], "//", 
    RowBox[{
     RowBox[{
      RowBox[{"data", ".", "worldbank", ".", "org"}], "/", "indicator"}], "/", 
     RowBox[{"NE", ".", "TRD", ".", "GNFS", ".", "ZS"}]}]}], " ", "*)"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tradeshareEU", "=", "tradeshare"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Xshare", "=", "0.21"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"XshareEU", "=", "0.18"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6736050796513467`*^9, 3.673605089965378*^9}, {
  3.6736051589452753`*^9, 3.6736051611364946`*^9}, {3.673605498842304*^9, 
  3.673605502224966*^9}, {3.673605600586129*^9, 3.6736056008101068`*^9}, {
  3.6736056402351637`*^9, 3.6736056428669004`*^9}, {3.6736063851318955`*^9, 
  3.6736064046918516`*^9}, {3.673670320876485*^9, 3.6736703289592934`*^9}, {
  3.6736703626246595`*^9, 3.6736703872491217`*^9}, {3.67367052255165*^9, 
  3.6736705236077557`*^9}, {3.673671126530042*^9, 3.6736711290582952`*^9}, {
  3.674558029718429*^9, 3.674558051396262*^9}, {3.683603145121941*^9, 
  3.6836031469329023`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"MUD", "=", 
   RowBox[{"phi", "/", 
    RowBox[{"(", 
     RowBox[{"phi", "-", "1"}], ")"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"MUX", "=", 
   RowBox[{"phi", "/", 
    RowBox[{"(", 
     RowBox[{"phi", "-", "1"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAI", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAID", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAIX", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Z", "=", "1"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MUDstar", "=", "MUD"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MUXstar", "=", "MUX"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAIDstar", "=", "PAID"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAIXstar", "=", "PAIX"}], ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.6191968580590043`*^9, 3.6191969578043795`*^9}, {
  3.6191970052128625`*^9, 3.6191970085512686`*^9}, {3.61919787517759*^9, 
  3.6191978772367935`*^9}, {3.621529256141286*^9, 3.621529262010622*^9}, {
  3.6736054818140078`*^9, 3.6736054820919795`*^9}, {3.673670806284021*^9, 
  3.673670808996292*^9}}],

Cell[BoxData[{
 RowBox[{"Q", "=."}], "\[IndentingNewLine]", 
 RowBox[{"Xstar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"Mstar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"VPXstar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"Ystar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"YXstar", "=."}]}], "Input",
 CellChangeTimes->{{3.67367069095949*^9, 3.673670723288722*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqnsas", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"1", "==", 
      RowBox[{
       RowBox[{
        RowBox[{"M", "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "phi"}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
        RowBox[{"VPD", "^", 
         RowBox[{"(", 
          RowBox[{"1", "-", "phi"}], ")"}]}]}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Xstar", "*", "Mstar"}], ")"}], "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "phi"}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
        RowBox[{"VPXstar", "^", 
         RowBox[{"(", 
          RowBox[{"1", "-", "phi"}], ")"}]}]}]}]}], ",", "\n", 
     RowBox[{
      RowBox[{
       RowBox[{"VPX", "^", 
        RowBox[{"(", 
         RowBox[{"-", "phi"}], ")"}]}], "*", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"X", "*", "M"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"theta", "-", "phi"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Ystar"}], "==", 
      RowBox[{
       RowBox[{"1", "/", "taustar"}], 
       RowBox[{"(", 
        RowBox[{"theta", "-", "1"}], ")"}], "*", 
       RowBox[{"kp", "/", "gamma"}], "*", "B", "*", "fx"}]}], ",", "\n", 
     RowBox[{"LEMP", "==", 
      RowBox[{
       RowBox[{"M", "*", 
        RowBox[{"YD", "/", 
         RowBox[{"(", 
          RowBox[{"Z", "*", "A"}], ")"}]}]}], "+", 
       RowBox[{"M", "*", "X", "*", 
        RowBox[{"YX", "/", 
         RowBox[{"(", 
          RowBox[{"Z", "*", "B"}], ")"}]}], "*", "taustar"}], "+", 
       RowBox[{"Me", "*", 
        RowBox[{"fe", "/", "Z"}]}], "+", 
       RowBox[{"M", "*", "X", "*", 
        RowBox[{"fx", "/", "Z"}]}]}]}], ",", "\n", 
     RowBox[{"1", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "delta"}], ")"}], "beta", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"X", "*", 
            RowBox[{"fx", "/", "fe"}]}]}], ")"}], "+", 
         RowBox[{
          RowBox[{"1", "/", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"theta", "-", "1"}], ")"}], "*", "fe", "  ", "A"}], 
            ")"}]}], "*", 
          RowBox[{"(", 
           RowBox[{"YD", "+", 
            RowBox[{"X", "*", "Q", "*", 
             RowBox[{"VPX", "/", "VPD"}], " ", "*", 
             RowBox[{"1", "/", "tarstar"}], "*", 
             RowBox[{"MUD", "/", "MUX"}], "*", "YX"}]}], ")"}]}]}], ")"}]}]}],
      ",", "\n", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
        RowBox[{"LEMP", "^", "newphi"}], "==", 
        RowBox[{
         RowBox[{"R", "^", 
          RowBox[{"(", 
           RowBox[{"-", "sigma"}], ")"}]}], "*", "W"}]}], ","}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"LEMP", "\[Equal]", "1"}], ",", "\n", 
     RowBox[{"M", "\[Equal]", 
      RowBox[{
       RowBox[{"M", "*", 
        RowBox[{"(", 
         RowBox[{"1", "-", "delta"}], ")"}]}], "+", 
       RowBox[{"Me", "*", 
        RowBox[{"(", 
         RowBox[{"1", "-", "delta"}], ")"}]}]}]}], ",", "\n", 
     RowBox[{"B", "==", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"kp", "/", "gamma"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"1", "/", 
          RowBox[{"(", 
           RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}], "*", "PSI"}]}], ",",
      "\[IndentingNewLine]", 
     RowBox[{"X", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", "/", "PSI"}], ")"}], "^", "kp"}]}], ",", "\n", 
     RowBox[{"VPD", "==", 
      RowBox[{"MUD", "*", 
       RowBox[{
        RowBox[{"W", "/", "A"}], "/", "Z"}]}]}], ",", "\n", 
     RowBox[{"VPX", "==", 
      RowBox[{"MUX", "*", "taustar", " ", 
       RowBox[{"tarstar", "/", "Q"}], "*", 
       RowBox[{
        RowBox[{"W", "/", "B"}], "/", "Z"}]}]}], ",", "\n", 
     RowBox[{"YD", "==", 
      RowBox[{
       RowBox[{"VPD", "^", 
        RowBox[{"(", 
         RowBox[{"-", "phi"}], ")"}]}], "*", 
       RowBox[{"M", "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"theta", "-", "phi"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Y"}]}], ",", 
     "\n", 
     RowBox[{"YX", "==", 
      RowBox[{
       RowBox[{"VPX", "^", 
        RowBox[{"(", 
         RowBox[{"-", "phi"}], ")"}]}], "*", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"M", "*", "X"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"theta", "-", "phi"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Ystar"}]}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"Y", "==", 
      RowBox[{"R", "+", 
       RowBox[{
        RowBox[{"nu", "/", "2"}], "*", 
        RowBox[{"PAID", "^", "2"}], "*", "YD", "*", 
        RowBox[{"M", "^", 
         RowBox[{"(", 
          RowBox[{"theta", "/", 
           RowBox[{"(", 
            RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}], "+", 
       RowBox[{
        RowBox[{"nu", "/", "2"}], "*", 
        RowBox[{"PAIX", "^", "2"}], "*", "YX", "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"M", "*", "X"}], ")"}], "^", 
         RowBox[{"(", 
          RowBox[{"theta", "/", 
           RowBox[{"(", 
            RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}]}]}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"1", "==", 
      RowBox[{
       RowBox[{
        RowBox[{"Mstar", "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "phi"}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
        RowBox[{"VPDstar", "^", 
         RowBox[{"(", 
          RowBox[{"1", "-", "phi"}], ")"}]}]}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"X", "*", "M"}], ")"}], "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "phi"}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
        RowBox[{"VPX", "^", 
         RowBox[{"(", 
          RowBox[{"1", "-", "phi"}], ")"}]}]}]}]}], ",", "\n", 
     RowBox[{
      RowBox[{
       RowBox[{"VPXstar", "^", 
        RowBox[{"(", 
         RowBox[{"-", "phi"}], ")"}]}], "*", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Xstar", "*", "Mstar"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"theta", "-", "phi"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Y"}], "==", 
      RowBox[{
       RowBox[{"1", "/", "tau"}], 
       RowBox[{"(", 
        RowBox[{"theta", "-", "1"}], ")"}], 
       RowBox[{"kp", "/", "gamma"}], "*", "Bstar", "*", "fxstar"}]}], ",", 
     "\n", 
     RowBox[{"LEMPstar", "==", 
      RowBox[{
       RowBox[{"Mstar", "*", 
        RowBox[{"YDstar", "/", 
         RowBox[{"(", 
          RowBox[{"Z", "*", "A"}], ")"}]}]}], "+", 
       RowBox[{"Mstar", "*", "Xstar", "*", 
        RowBox[{"YXstar", "/", 
         RowBox[{"(", 
          RowBox[{"Z", "*", "Bstar"}], ")"}]}], "*", "tau"}], "+", 
       RowBox[{"Mestar", "*", 
        RowBox[{"fe", "/", "Z"}]}], "+", 
       RowBox[{"Mstar", "*", "Xstar", "*", 
        RowBox[{"fxstar", "/", "Z"}]}]}]}], ",", "\n", 
     RowBox[{"1", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "delta"}], ")"}], "beta", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"Xstar", "*", 
            RowBox[{"fxstar", "/", "fe"}]}]}], ")"}], "+", 
         RowBox[{
          RowBox[{"1", "/", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"theta", "-", "1"}], ")"}], "*", "fe", " ", "A"}], 
            ")"}]}], "*", 
          RowBox[{"(", 
           RowBox[{"YDstar", "+", 
            RowBox[{
             RowBox[{"Xstar", "/", "Q"}], "*", 
             RowBox[{"VPXstar", "/", "VPDstar"}], " ", "*", 
             RowBox[{"1", "/", "tar"}], "*", 
             RowBox[{"MUDstar", "/", "MUXstar"}], "*", "YXstar"}]}], 
           ")"}]}]}], ")"}]}]}], ",", "\n", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
        RowBox[{"LEMPstar", "^", "newphi"}], "==", 
        RowBox[{
         RowBox[{"Rstar", "^", 
          RowBox[{"(", 
           RowBox[{"-", "sigma"}], ")"}]}], "*", "Wstar"}]}], ","}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"LEMPstar", "\[Equal]", "1"}], ",", "\n", 
     RowBox[{"Mstar", "==", 
      RowBox[{
       RowBox[{"Mstar", "*", 
        RowBox[{"(", 
         RowBox[{"1", "-", "delta"}], ")"}]}], "+", 
       RowBox[{"Mestar", "*", 
        RowBox[{"(", 
         RowBox[{"1", "-", "delta"}], ")"}]}]}]}], ",", "\n", 
     RowBox[{"Bstar", "==", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"kp", "/", "gamma"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"1", "/", 
          RowBox[{"(", 
           RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}], "*", "PSIstar"}]}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"Xstar", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", "/", "PSIstar"}], ")"}], "^", "kp"}]}], ",", "\n", 
     RowBox[{"VPDstar", "==", 
      RowBox[{"MUD", "*", 
       RowBox[{
        RowBox[{"Wstar", "/", "A"}], "/", "Z"}]}]}], ",", "\n", 
     RowBox[{"VPXstar", "==", 
      RowBox[{"MUX", "*", "tau", "*", "tar", "*", "Q", "*", 
       RowBox[{
        RowBox[{"Wstar", "/", "Bstar"}], "/", "Z"}]}]}], ",", "\n", 
     RowBox[{"YDstar", "==", 
      RowBox[{
       RowBox[{"VPDstar", "^", 
        RowBox[{"(", 
         RowBox[{"-", "phi"}], ")"}]}], "*", 
       RowBox[{"Mstar", "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"theta", "-", "phi"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Ystar"}]}], 
     ",", "\n", 
     RowBox[{"YXstar", "==", 
      RowBox[{
       RowBox[{"VPXstar", "^", 
        RowBox[{"(", 
         RowBox[{"-", "phi"}], ")"}]}], "*", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Mstar", "*", "Xstar"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"theta", "-", "phi"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Y"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Ystar", "==", 
      RowBox[{"Rstar", "+", 
       RowBox[{
        RowBox[{"nu", "/", "2"}], "*", 
        RowBox[{"PAIDstar", "^", "2"}], "*", "YDstar", "*", 
        RowBox[{"Mstar", "^", 
         RowBox[{"(", 
          RowBox[{"theta", "/", 
           RowBox[{"(", 
            RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}], "+", 
       RowBox[{
        RowBox[{"nu", "/", "2"}], "*", 
        RowBox[{"PAIXstar", "^", "2"}], "*", "YXstar", "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Mstar", "*", "Xstar"}], ")"}], "^", 
         RowBox[{"(", 
          RowBox[{"theta", "/", 
           RowBox[{"(", 
            RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}]}]}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"-", "Q"}], "*", "M", "*", "X", "*", "VPX", "*", 
        RowBox[{"YX", "/", "tarstar"}]}], "+", 
       RowBox[{"Mstar", "*", "Xstar", "*", "VPXstar", "*", 
        RowBox[{"YXstar", "/", "tar"}]}]}], "\[Equal]", "0"}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"X", "\[Equal]", "Xshare"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"Q", "*", "M", "*", "X", "*", "VPX", "*", 
        RowBox[{"YX", "/", "tarstar"}]}], "+", 
       RowBox[{"Mstar", "*", "Xstar", "*", "VPXstar", "*", 
        RowBox[{"YXstar", "/", "tar"}]}]}], "\[Equal]", 
      RowBox[{"tradeshare", " ", "R"}]}], " ", ",", "\[IndentingNewLine]", 
     RowBox[{"fxstar", "\[Equal]", "fx"}], ",", "\[IndentingNewLine]", 
     RowBox[{"taustar", "\[Equal]", "tau"}]}], "\[IndentingNewLine]", "}"}]}],
   ";"}]], "Input",
 CellChangeTimes->{{3.673670439061302*^9, 3.673670439619358*^9}, {
   3.6736705413925343`*^9, 3.6736706227716713`*^9}, 3.6736708689632883`*^9, {
   3.6736710632967196`*^9, 3.6736710634727373`*^9}, 3.6736711655759463`*^9, {
   3.6736724100493546`*^9, 3.6736724244702377`*^9}, {3.673672928422223*^9, 
   3.67367293239462*^9}, {3.673672969025283*^9, 3.6736729989552755`*^9}, {
   3.674558105787098*^9, 3.67455810854214*^9}, {3.6745581920209217`*^9, 
   3.6745581984835215`*^9}, {3.674558232859049*^9, 3.674558234799079*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sol", "=", 
  RowBox[{"FindRoot", "[", 
   RowBox[{"eqnsas", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"M", ",", "Msol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"X", ",", "Xsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"R", ",", "Rsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"VPD", ",", "VPDsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"VPX", ",", "VPXsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Y", ",", "Ysol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"B", ",", "Bsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"YD", ",", "YDsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"YX", ",", "YXsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Me", ",", "Mesol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"W", ",", "Wsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"LEMP", ",", "LEMPsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"PSI", ",", "PSIsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Mstar", ",", "Msol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Xstar", ",", "Xsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Rstar", ",", "Rsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"VPDstar", ",", "VPDsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"VPXstar", ",", "VPXsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Ystar", ",", "Ysol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Bstar", ",", "Bsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"YDstar", ",", "YDsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"YXstar", ",", "YXsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Mestar", ",", "Mesol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Wstar", ",", "Wsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"LEMPstar", ",", "LEMPsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"PSIstar", ",", "PSIsol"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Q", ",", ".91"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"fx", ",", "0.005"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"tau", ",", "1.5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"fxstar", ",", "0.006"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"taustar", ",", "1.5"}], "}"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6736710789202814`*^9, 3.6736711052179112`*^9}, 
   3.6736712768109503`*^9, {3.6736721646618595`*^9, 3.673672204663859*^9}, {
   3.673672235418435*^9, 3.6736723318957267`*^9}, {3.674558876088245*^9, 
   3.674558877635002*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"M", "\[Rule]", "7.682160612686277`"}], ",", 
   RowBox[{"X", "\[Rule]", "0.21`"}], ",", 
   RowBox[{"R", "\[Rule]", "3.254063523199477`"}], ",", 
   RowBox[{"VPD", "\[Rule]", "2.197026356716459`"}], ",", 
   RowBox[{"VPX", "\[Rule]", "2.322758666053245`"}], ",", 
   RowBox[{"Y", "\[Rule]", "3.254063523199477`"}], ",", 
   RowBox[{"B", "\[Rule]", "2.940308243349815`"}], ",", 
   RowBox[{"YD", "\[Rule]", "0.16347525071465208`"}], ",", 
   RowBox[{"YX", "\[Rule]", "0.13245358151108774`"}], ",", 
   RowBox[{"Me", "\[Rule]", "0.19697847724836626`"}], ",", 
   RowBox[{"W", "\[Rule]", "3.007843922842284`"}], ",", 
   RowBox[{"LEMP", "\[Rule]", "1.`"}], ",", 
   RowBox[{"PSI", "\[Rule]", "1.582512926816501`"}], ",", 
   RowBox[{"Mstar", "\[Rule]", "7.682895086497947`"}], ",", 
   RowBox[{"Xstar", "\[Rule]", "0.20929897035265962`"}], ",", 
   RowBox[{"Rstar", "\[Rule]", "3.2574611475238315`"}], ",", 
   RowBox[{"VPDstar", "\[Rule]", "2.1973486192053007`"}], ",", 
   RowBox[{"VPXstar", "\[Rule]", "2.3215199579134413`"}], ",", 
   RowBox[{"Ystar", "\[Rule]", "3.2574611475238315`"}], ",", 
   RowBox[{"Bstar", "\[Rule]", "2.9432013904175003`"}], ",", 
   RowBox[{"YDstar", "\[Rule]", "0.16355475578764067`"}], ",", 
   RowBox[{"YXstar", "\[Rule]", "0.1325839105988016`"}], ",", 
   RowBox[{"Mestar", "\[Rule]", "0.19699730991020392`"}], ",", 
   RowBox[{"Wstar", "\[Rule]", "3.008285117034452`"}], ",", 
   RowBox[{"LEMPstar", "\[Rule]", "1.`"}], ",", 
   RowBox[{"PSIstar", "\[Rule]", "1.5840700569725479`"}], ",", 
   RowBox[{"Q", "\[Rule]", "1.003106361933458`"}], ",", 
   RowBox[{"fx", "\[Rule]", "0.004671410665004089`"}], ",", 
   RowBox[{"tau", "\[Rule]", "1.6453674496705017`"}], ",", 
   RowBox[{"fxstar", "\[Rule]", "0.004671410665004089`"}], ",", 
   RowBox[{"taustar", "\[Rule]", "1.6453674496705017`"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.673671277052951*^9, 3.6736713753339505`*^9, {3.6736714123279505`*^9, 
   3.6736714487659507`*^9}, {3.6736721654399366`*^9, 3.67367233216178*^9}, {
   3.6736724664726367`*^9, 3.67367248689472*^9}, 3.6736729028116617`*^9, 
   3.6736729340587864`*^9, 3.673673001128493*^9, 3.67367467455122*^9, 
   3.6745580761041417`*^9, 3.6745581103396673`*^9, 3.6745582050911226`*^9, 
   3.6745582363991036`*^9, 3.674558821326152*^9, 3.674558884444232*^9, 
   3.674560688213475*^9, 3.6745609631079717`*^9, 3.6745610353183603`*^9, 
   3.683603157241584*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Msol", "=", 
   RowBox[{"M", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Xsol", "=", 
   RowBox[{"X", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rsol", "=", 
   RowBox[{"R", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPDsol", "=", 
   RowBox[{"VPD", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPXsol", "=", 
   RowBox[{"VPX", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ysol", "=", 
   RowBox[{"Y", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Bsol", "=", 
   RowBox[{"B", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YDsol", "=", 
   RowBox[{"YD", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YXsol", "=", 
   RowBox[{"YX", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Mesol", "=", 
   RowBox[{"Me", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Wsol", "=", 
   RowBox[{"W", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LEMPsol", "=", 
   RowBox[{"LEMP", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PSIsol", "=", 
   RowBox[{"PSI", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fxsol", "=", 
   RowBox[{"fx", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tausol", "=", 
   RowBox[{"tau", "/.", "sol"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"taustarsol", "=", "tau"}], ";"}]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Calibration", "Subsection",
 CellChangeTimes->{{3.6191994410179405`*^9, 3.6191994423439426`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"tau", "=", "tausol"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"taustar", "=", "tausol"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fx", "=", "fxsol"}], ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{"Q", "=."}], "\[IndentingNewLine]", 
 RowBox[{"Xstar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"Mstar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"VPXstar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"Ystar", "=."}], "\[IndentingNewLine]", 
 RowBox[{"YXstar", "=."}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tar", "=."}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MUDstar", "=", "MUD"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MUXstar", "=", "MUX"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAIDstar", "=", "PAID"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PAIXstar", "=", "PAIX"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6202337306140485`*^9, 3.620233773423497*^9}, {
  3.621529281428733*^9, 3.6215292829778214`*^9}, {3.6736808860899334`*^9, 
  3.673680891715496*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"tarmin", "=", "1.15"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarstarmin", "=", "1.02"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarmax", "=", "1.32"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarstarmax", "=", "1.02"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tarstep", "=", "0.0025"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"i", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"j", "=", "1"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ivec", "=", 
    RowBox[{"{", "\"\<i\>\"", "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tauvec", "=", 
   RowBox[{"{", "\"\<icebergSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarvec", "=", 
   RowBox[{"{", "\"\<tarr\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fxvec", "=", 
   RowBox[{"{", "\"\<fxSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fevec", "=", 
   RowBox[{"{", "\"\<feSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Mvec", "=", 
   RowBox[{"{", "\"\<MSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Xvec", "=", 
   RowBox[{"{", "\"\<XSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rvec", "=", 
   RowBox[{"{", "\"\<RSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPDvec", "=", 
   RowBox[{"{", "\"\<VPDSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPXvec", "=", 
   RowBox[{"{", "\"\<VPXSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Yvec", "=", 
   RowBox[{"{", "\"\<YSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Bvec", "=", 
   RowBox[{"{", "\"\<BSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YDvec", "=", 
   RowBox[{"{", "\"\<YDSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YXvec", "=", 
   RowBox[{"{", "\"\<YXSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Mevec", "=", 
   RowBox[{"{", "\"\<MeSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Wvec", "=", 
   RowBox[{"{", "\"\<wageSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LEMPvec", "=", 
   RowBox[{"{", "\"\<employmentSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PSIvec", "=", 
    RowBox[{"{", "\"\<psiSS\>\"", "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"taustarvec", "=", 
   RowBox[{"{", "\"\<icebergstarSS\>\"", "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tarstarvec", "=", 
   RowBox[{"{", "\"\<tarstar\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fxstarvec", "=", 
   RowBox[{"{", "\"\<fxstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"festarvec", "=", 
   RowBox[{"{", "\"\<festarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Mstarvec", "=", 
   RowBox[{"{", "\"\<MstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Xstarvec", "=", 
   RowBox[{"{", "\"\<XstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rstarvec", "=", 
   RowBox[{"{", "\"\<RstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPDstarvec", "=", 
   RowBox[{"{", "\"\<VPDstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VPXstarvec", "=", 
   RowBox[{"{", "\"\<VPXstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ystarvec", "=", 
   RowBox[{"{", "\"\<YstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Bstarvec", "=", 
   RowBox[{"{", "\"\<BstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YDstarvec", "=", 
   RowBox[{"{", "\"\<YDstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YXstarvec", "=", 
   RowBox[{"{", "\"\<YXstarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Mestarvec", "=", 
   RowBox[{"{", "\"\<MestarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Wstarvec", "=", 
   RowBox[{"{", "\"\<wagestarSS\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LEMPstarvec", "=", 
   RowBox[{"{", "\"\<employmentstarSS\>\"", "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PSIstarvec", "=", 
    RowBox[{"{", "\"\<psistarSS\>\"", "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Qvec", " ", "=", 
    RowBox[{"{", "\"\<QSS\>\"", "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"payoffmat", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"payoffstarmat", "=", 
    RowBox[{"{", "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"payoffvec", "=", 
     RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"payoffstarvec", "=", 
     RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Do", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"eqnsloop", "=", 
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"1", "==", 
            RowBox[{
             RowBox[{
              RowBox[{"M", "^", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "-", "phi"}], ")"}], "/", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
              RowBox[{"VPD", "^", 
               RowBox[{"(", 
                RowBox[{"1", "-", "phi"}], ")"}]}]}], "+", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"Xstar", "*", "Mstar"}], ")"}], "^", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "-", "phi"}], ")"}], "/", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
              RowBox[{"VPXstar", "^", 
               RowBox[{"(", 
                RowBox[{"1", "-", "phi"}], ")"}]}]}]}]}], ",", "\n", 
           RowBox[{
            RowBox[{
             RowBox[{"VPX", "^", 
              RowBox[{"(", 
               RowBox[{"-", "phi"}], ")"}]}], "*", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"X", "*", "M"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"theta", "-", "phi"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
             "Ystar"}], "==", 
            RowBox[{
             RowBox[{"1", "/", "taustar"}], 
             RowBox[{"(", 
              RowBox[{"theta", "-", "1"}], ")"}], "*", 
             RowBox[{"kp", "/", "gamma"}], "*", "B", "*", "fx"}]}], ",", "\n", 
           RowBox[{"LEMP", "==", 
            RowBox[{
             RowBox[{"M", "*", 
              RowBox[{"YD", "/", 
               RowBox[{"(", 
                RowBox[{"Z", "*", "A"}], ")"}]}]}], "+", 
             RowBox[{"M", "*", "X", "*", 
              RowBox[{"YX", "/", 
               RowBox[{"(", 
                RowBox[{"Z", "*", "B"}], ")"}]}], "*", "taustar"}], "+", 
             RowBox[{"Me", "*", 
              RowBox[{"fe", "/", "Z"}]}], "+", 
             RowBox[{"M", "*", "X", "*", 
              RowBox[{"fx", "/", "Z"}]}]}]}], ",", "\n", 
           RowBox[{"1", "==", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "-", "delta"}], ")"}], "beta", "*", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "-", 
                 RowBox[{"X", "*", 
                  RowBox[{"fx", "/", "fe"}]}]}], ")"}], "+", 
               RowBox[{
                RowBox[{"1", "/", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"theta", "-", "1"}], ")"}], "*", "fe", "  ", 
                   "A"}], ")"}]}], "*", 
                RowBox[{"(", 
                 RowBox[{"YD", "+", 
                  RowBox[{"X", "*", "Q", "*", 
                   RowBox[{"VPX", "/", "VPD"}], " ", "*", 
                   RowBox[{"1", "/", "tarstar"}], "*", 
                   RowBox[{"MUD", "/", "MUX"}], "*", "YX"}]}], ")"}]}]}], 
              ")"}]}]}], ",", "\n", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{
              RowBox[{"LEMP", "^", "newphi"}], "==", 
              RowBox[{
               RowBox[{"R", "^", 
                RowBox[{"(", 
                 RowBox[{"-", "sigma"}], ")"}]}], "*", "W"}]}], ","}], "*)"}],
            "\[IndentingNewLine]", 
           RowBox[{"LEMP", "\[Equal]", "1"}], ",", "\n", 
           RowBox[{"M", "\[Equal]", 
            RowBox[{
             RowBox[{"M", "*", 
              RowBox[{"(", 
               RowBox[{"1", "-", "delta"}], ")"}]}], "+", 
             RowBox[{"Me", "*", 
              RowBox[{"(", 
               RowBox[{"1", "-", "delta"}], ")"}]}]}]}], ",", "\n", 
           RowBox[{"B", "==", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"kp", "/", "gamma"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{"1", "/", 
                RowBox[{"(", 
                 RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}], "*", 
             "PSI"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"X", "==", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"k", "/", "PSI"}], ")"}], "^", "kp"}]}], ",", "\n", 
           RowBox[{"VPD", "==", 
            RowBox[{"MUD", "*", 
             RowBox[{
              RowBox[{"W", "/", "A"}], "/", "Z"}]}]}], ",", "\n", 
           RowBox[{"VPX", "==", 
            RowBox[{"MUX", "*", "taustar", " ", 
             RowBox[{"tarstar", "/", "Q"}], "*", 
             RowBox[{
              RowBox[{"W", "/", "B"}], "/", "Z"}]}]}], ",", "\n", 
           RowBox[{"YD", "==", 
            RowBox[{
             RowBox[{"VPD", "^", 
              RowBox[{"(", 
               RowBox[{"-", "phi"}], ")"}]}], "*", 
             RowBox[{"M", "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"theta", "-", "phi"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Y"}]}], 
           ",", "\n", 
           RowBox[{"YX", "==", 
            RowBox[{
             RowBox[{"VPX", "^", 
              RowBox[{"(", 
               RowBox[{"-", "phi"}], ")"}]}], "*", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"M", "*", "X"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"theta", "-", "phi"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
             "Ystar"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"Y", "==", 
            RowBox[{"R", "+", 
             RowBox[{
              RowBox[{"nu", "/", "2"}], "*", 
              RowBox[{"PAID", "^", "2"}], "*", "YD", "*", 
              RowBox[{"M", "^", 
               RowBox[{"(", 
                RowBox[{"theta", "/", 
                 RowBox[{"(", 
                  RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}], "+", 
             RowBox[{
              RowBox[{"nu", "/", "2"}], "*", 
              RowBox[{"PAIX", "^", "2"}], "*", "YX", "*", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"M", "*", "X"}], ")"}], "^", 
               RowBox[{"(", 
                RowBox[{"theta", "/", 
                 RowBox[{"(", 
                  RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}]}]}], ",", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"1", "==", 
            RowBox[{
             RowBox[{
              RowBox[{"Mstar", "^", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "-", "phi"}], ")"}], "/", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
              RowBox[{"VPDstar", "^", 
               RowBox[{"(", 
                RowBox[{"1", "-", "phi"}], ")"}]}]}], "+", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"X", "*", "M"}], ")"}], "^", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "-", "phi"}], ")"}], "/", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
              RowBox[{"VPX", "^", 
               RowBox[{"(", 
                RowBox[{"1", "-", "phi"}], ")"}]}]}]}]}], ",", "\n", 
           RowBox[{
            RowBox[{
             RowBox[{"VPXstar", "^", 
              RowBox[{"(", 
               RowBox[{"-", "phi"}], ")"}]}], "*", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"Xstar", "*", "Mstar"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"theta", "-", "phi"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Y"}], "==", 
            RowBox[{
             RowBox[{"1", "/", "tau"}], 
             RowBox[{"(", 
              RowBox[{"theta", "-", "1"}], ")"}], 
             RowBox[{"kp", "/", "gamma"}], "*", "Bstar", "*", "fx"}]}], ",", 
           "\n", 
           RowBox[{"LEMPstar", "==", 
            RowBox[{
             RowBox[{"Mstar", "*", 
              RowBox[{"YDstar", "/", 
               RowBox[{"(", 
                RowBox[{"Z", "*", "A"}], ")"}]}]}], "+", 
             RowBox[{"Mstar", "*", "Xstar", "*", 
              RowBox[{"YXstar", "/", 
               RowBox[{"(", 
                RowBox[{"Z", "*", "Bstar"}], ")"}]}], "*", "tau"}], "+", 
             RowBox[{"Mestar", "*", 
              RowBox[{"fe", "/", "Z"}]}], "+", 
             RowBox[{"Mstar", "*", "Xstar", "*", 
              RowBox[{"fx", "/", "Z"}]}]}]}], ",", "\n", 
           RowBox[{"1", "==", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "-", "delta"}], ")"}], "beta", "*", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "-", 
                 RowBox[{"Xstar", "*", 
                  RowBox[{"fx", "/", "fe"}]}]}], ")"}], "+", 
               RowBox[{
                RowBox[{"1", "/", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"theta", "-", "1"}], ")"}], "*", "fe", " ", "A"}],
                   ")"}]}], "*", 
                RowBox[{"(", 
                 RowBox[{"YDstar", "+", 
                  RowBox[{
                   RowBox[{"Xstar", "/", "Q"}], "*", 
                   RowBox[{"VPXstar", "/", "VPDstar"}], " ", "*", 
                   RowBox[{"1", "/", "tar"}], "*", 
                   RowBox[{"MUDstar", "/", "MUXstar"}], "*", "YXstar"}]}], 
                 ")"}]}]}], ")"}]}]}], ",", "\n", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{
              RowBox[{"LEMPstar", "^", "newphi"}], "==", 
              RowBox[{
               RowBox[{"Rstar", "^", 
                RowBox[{"(", 
                 RowBox[{"-", "sigma"}], ")"}]}], "*", "Wstar"}]}], ","}], 
            "*)"}], "\[IndentingNewLine]", 
           RowBox[{"LEMPstar", "\[Equal]", "1"}], ",", "\n", 
           RowBox[{"Mstar", "==", 
            RowBox[{
             RowBox[{"Mstar", "*", 
              RowBox[{"(", 
               RowBox[{"1", "-", "delta"}], ")"}]}], "+", 
             RowBox[{"Mestar", "*", 
              RowBox[{"(", 
               RowBox[{"1", "-", "delta"}], ")"}]}]}]}], ",", "\n", 
           RowBox[{"Bstar", "==", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"kp", "/", "gamma"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{"1", "/", 
                RowBox[{"(", 
                 RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}], "*", 
             "PSIstar"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"Xstar", "==", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"k", "/", "PSIstar"}], ")"}], "^", "kp"}]}], ",", "\n", 
           RowBox[{"VPDstar", "==", 
            RowBox[{"MUD", "*", 
             RowBox[{
              RowBox[{"Wstar", "/", "A"}], "/", "Z"}]}]}], ",", "\n", 
           RowBox[{"VPXstar", "==", 
            RowBox[{"MUX", "*", "tau", "*", "tar", "*", "Q", "*", 
             RowBox[{
              RowBox[{"Wstar", "/", "Bstar"}], "/", "Z"}]}]}], ",", "\n", 
           RowBox[{"YDstar", "==", 
            RowBox[{
             RowBox[{"VPDstar", "^", 
              RowBox[{"(", 
               RowBox[{"-", "phi"}], ")"}]}], "*", 
             RowBox[{"Mstar", "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"theta", "-", "phi"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", 
             "Ystar"}]}], ",", "\n", 
           RowBox[{"YXstar", "==", 
            RowBox[{
             RowBox[{"VPXstar", "^", 
              RowBox[{"(", 
               RowBox[{"-", "phi"}], ")"}]}], "*", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"Mstar", "*", "Xstar"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"theta", "-", "phi"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"1", "-", "theta"}], ")"}]}], ")"}]}], "*", "Y"}]}], 
           ",", "\[IndentingNewLine]", 
           RowBox[{"Ystar", "==", 
            RowBox[{"Rstar", "+", 
             RowBox[{
              RowBox[{"nu", "/", "2"}], "*", 
              RowBox[{"PAIDstar", "^", "2"}], "*", "YDstar", "*", 
              RowBox[{"Mstar", "^", 
               RowBox[{"(", 
                RowBox[{"theta", "/", 
                 RowBox[{"(", 
                  RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}], "+", 
             RowBox[{
              RowBox[{"nu", "/", "2"}], "*", 
              RowBox[{"PAIXstar", "^", "2"}], "*", "YXstar", "*", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"Mstar", "*", "Xstar"}], ")"}], "^", 
               RowBox[{"(", 
                RowBox[{"theta", "/", 
                 RowBox[{"(", 
                  RowBox[{"theta", "-", "1"}], ")"}]}], ")"}]}]}]}]}], ",", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Q", "*", "M", "*", "X", "*", "VPX", "*", 
             RowBox[{"YX", "/", "tarstar"}]}], "==", 
            RowBox[{"Mstar", "*", "Xstar", "*", "VPXstar", "*", 
             RowBox[{"YXstar", "/", "tar"}]}]}]}], "\[IndentingNewLine]", 
          "}"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"solloop", "=", 
         RowBox[{"FindRoot", "[", 
          RowBox[{"eqnsloop", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"M", ",", "Msol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"X", ",", "Xsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"R", ",", "Rsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"VPD", ",", "VPDsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"VPX", ",", "VPXsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Y", ",", "Ysol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"B", ",", "Bsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"YD", ",", "YDsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"YX", ",", "YXsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Me", ",", "Mesol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"W", ",", "Wsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"LEMP", ",", "LEMPsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"PSI", ",", "PSIsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Mstar", ",", "Msol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Xstar", ",", "Xsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Rstar", ",", "Rsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"VPDstar", ",", "VPDsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"VPXstar", ",", "VPXsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Ystar", ",", "Ysol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Bstar", ",", "Bsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"YDstar", ",", "YDsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"YXstar", ",", "YXsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Mestar", ",", "Mesol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Wstar", ",", "Wsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"LEMPstar", ",", "LEMPsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"PSIstar", ",", "PSIsol"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Q", ",", "1"}], "}"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"Msol", "=", 
         RowBox[{"M", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Xsol", "=", 
         RowBox[{"X", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Rsol", "=", 
         RowBox[{"R", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"VPDsol", "=", 
         RowBox[{"VPD", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"VPXsol", "=", 
         RowBox[{"VPX", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Ysol", "=", 
         RowBox[{"Y", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Bsol", "=", 
         RowBox[{"B", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"YDsol", "=", 
         RowBox[{"YD", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"YXsol", "=", 
         RowBox[{"YX", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Mesol", "=", 
         RowBox[{"Me", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Wsol", "=", 
         RowBox[{"W", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"LEMPsol", "=", 
         RowBox[{"LEMP", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"PSIsol", "=", 
         RowBox[{"PSI", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"Mstarsol", "=", 
         RowBox[{"Mstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Xstarsol", "=", 
         RowBox[{"Xstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Rstarsol", "=", 
         RowBox[{"Rstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"VPDstarsol", "=", 
         RowBox[{"VPDstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"VPXstarsol", "=", 
         RowBox[{"VPXstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Ystarsol", "=", 
         RowBox[{"Ystar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Bstarsol", "=", 
         RowBox[{"Bstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"YDstarsol", "=", 
         RowBox[{"YDstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"YXstarsol", "=", 
         RowBox[{"YXstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Mestarsol", "=", 
         RowBox[{"Mestar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Wstarsol", "=", 
         RowBox[{"Wstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"LEMPstarsol", "=", 
         RowBox[{"LEMPstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"PSIstarsol", "=", 
         RowBox[{"PSIstar", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"Qsol", "=", 
         RowBox[{"Q", "/.", "solloop"}]}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"ivec", ",", "i"}], "]"}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"tauvec", ",", "tau"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"tarvec", ",", "tar"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"fxvec", ",", "fx"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"fevec", ",", "fe"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Mvec", ",", "Msol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Xvec", ",", "Xsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Rvec", ",", "Rsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"VPDvec", ",", "VPDsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"VPXvec", ",", "VPXsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Yvec", ",", "Ysol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Bvec", ",", "Bsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"YDvec", ",", "YDsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"YXvec", ",", "YXsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Mevec", ",", "Mesol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Wvec", ",", "Wsol"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"LEMPvec", ",", "LEMPsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"PSIvec", ",", "PSIsol"}], "]"}], ";", "\[IndentingNewLine]",
         "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"taustarvec", ",", "taustar"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"tarstarvec", ",", "tarstar"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"fxstarvec", ",", "fx"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"festarvec", ",", "fe"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Mstarvec", ",", "Mstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Xstarvec", ",", "Xstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Rstarvec", ",", "Rstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"VPDstarvec", ",", "VPDstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"VPXstarvec", ",", "VPXstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Ystarvec", ",", "Ystarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Bstarvec", ",", "Bstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"YDstarvec", ",", "YDstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"YXstarvec", ",", "YXstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Mestarvec", ",", "Mestarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Wstarvec", ",", "Wstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"LEMPstarvec", ",", "LEMPstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"PSIstarvec", ",", "PSIstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"Qvec", ",", "Qsol"}], "]"}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"payoffvec", ",", "Rsol"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"payoffstarvec", ",", "Rstarsol"}], "]"}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"Print", "[", 
         RowBox[{
         "\"\<i:  \>\"", ",", "i", ",", "\"\<   tar:  \>\"", ",", "tar", ",", 
          "\"\<   tarstar:  \>\"", ",", "tarstar", ",", " ", 
          "\"\<   R:  \>\"", ",", "Rsol", ",", "\"\<   Bstar:  \>\"", ",", 
          "Bstarsol", ",", "\"\<   Xstar:  \>\"", ",", "Xstarsol", ",", 
          "\"\<   check:  \>\"", ",", 
          RowBox[{
           RowBox[{"k", "^", "c"}], " ", 
           RowBox[{"Bstarsol", "^", 
            RowBox[{"(", 
             RowBox[{"-", "c"}], ")"}]}], 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"c", "/", "gamma"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"c", "/", 
              RowBox[{"(", 
               RowBox[{"epselonstar", "-", "1"}], ")"}]}], ")"}]}]}]}], "]"}],
         ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"i", "=", 
         RowBox[{"i", "+", "1"}]}], ";"}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"tar", ",", "tarmin", ",", "tarmax", ",", "tarstep"}], 
        "}"}]}], "]"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"payoffmat", ",", "payoffvec"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"AppendTo", "[", 
     RowBox[{"payoffstarmat", ",", "payoffstarvec"}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"j", "=", 
     RowBox[{"j", "+", "1"}]}], ";"}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"tarstar", ",", "tarstarmin", ",", "tarstarmax", ",", "tarstep"}],
     "}"}]}], "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.6191965168288054`*^9, 3.6191965621312847`*^9}, {
   3.6191966415930243`*^9, 3.6191967832256727`*^9}, {3.619196835454565*^9, 
   3.6191968622242117`*^9}, {3.6191969648243914`*^9, 
   3.6191970844286013`*^9}, {3.6191971810711713`*^9, 3.6191972373784704`*^9}, 
   3.619197487033308*^9, 3.6191975694950533`*^9, {3.6191976202419424`*^9, 
   3.619197622800347*^9}, {3.619197668102826*^9, 3.6191976845140553`*^9}, {
   3.6191981985973577`*^9, 3.61919820537097*^9}, {3.619198339297205*^9, 
   3.619198359670841*^9}, 3.619198797953611*^9, {3.619199455089165*^9, 
   3.6191995288460946`*^9}, {3.619199573356172*^9, 3.6191996258734636`*^9}, {
   3.6191996735315475`*^9, 3.619199730705648*^9}, {3.619199761125701*^9, 
   3.6191999114631653`*^9}, {3.619199971492071*^9, 3.619200042269395*^9}, {
   3.6192381211584563`*^9, 3.619238174356499*^9}, {3.6192383350676913`*^9, 
   3.6192383819023705`*^9}, {3.6192410255115757`*^9, 3.619241031738932*^9}, {
   3.6202319594957466`*^9, 3.620231961003833*^9}, {3.6202320622996264`*^9, 
   3.6202320635536985`*^9}, {3.6202321085952744`*^9, 
   3.6202321388450046`*^9}, {3.620232221274719*^9, 3.620232227722088*^9}, {
   3.6202325980302687`*^9, 3.62023265487952*^9}, {3.620232767578966*^9, 
   3.620232831315612*^9}, {3.620232942812989*^9, 3.6202330186483264`*^9}, {
   3.620233118865059*^9, 3.620233236137766*^9}, {3.6202332681025944`*^9, 
   3.62023342432753*^9}, {3.6202336756179028`*^9, 3.6202336776830215`*^9}, {
   3.6202337670981355`*^9, 3.6202337781637683`*^9}, 3.6202340392176995`*^9, 
   3.620234094767877*^9, {3.620234505106347*^9, 3.620234508500541*^9}, {
   3.6202345526540666`*^9, 3.6202345543971663`*^9}, {3.6202345897901907`*^9, 
   3.6202346547879086`*^9}, {3.6202347013805733`*^9, 
   3.6202347055138097`*^9}, {3.620234759399892*^9, 3.6202347641651645`*^9}, {
   3.6202348031523943`*^9, 3.620234806209569*^9}, {3.620234837786375*^9, 
   3.620234965735694*^9}, {3.6202349981695485`*^9, 3.620235001282727*^9}, {
   3.620235033262556*^9, 3.620235058825018*^9}, {3.620235169738362*^9, 
   3.6202351955418377`*^9}, {3.620235353596878*^9, 3.620235356383037*^9}, {
   3.6202354139023275`*^9, 3.6202354203206944`*^9}, {3.6202356597233877`*^9, 
   3.620235676172328*^9}, {3.620235720801881*^9, 3.620235720889886*^9}, {
   3.620542305383788*^9, 3.6205423104110756`*^9}, {3.6205423712545557`*^9, 
   3.6205423780079412`*^9}, 3.6205430887035913`*^9, {3.6205431552073946`*^9, 
   3.6205431695762167`*^9}, {3.6205468280554695`*^9, 3.620546836154933*^9}, {
   3.620548217195924*^9, 3.620548220143093*^9}, {3.6205485683590097`*^9, 
   3.620548593578452*^9}, {3.6205486525518255`*^9, 3.620548672782982*^9}, {
   3.620548831708072*^9, 3.620548839484517*^9}, {3.6205511884338694`*^9, 
   3.6205511892259145`*^9}, {3.620551235085538*^9, 3.6205513130859985`*^9}, {
   3.6205521933383465`*^9, 3.620552196829546*^9}, {3.620552843395528*^9, 
   3.62055285391813*^9}, {3.6205772954610844`*^9, 3.6205772993913093`*^9}, {
   3.620577377503777*^9, 3.620577381496005*^9}, {3.620577424325455*^9, 
   3.6205774669748945`*^9}, {3.620578426939171*^9, 3.620578429665327*^9}, {
   3.620578541178705*^9, 3.620578578222824*^9}, {3.620578681344722*^9, 
   3.620578707136197*^9}, 3.621506873651601*^9, {3.6215070174848275`*^9, 
   3.621507023980199*^9}, {3.6215070583341637`*^9, 3.621507067121667*^9}, {
   3.6215195075519557`*^9, 3.6215195158654313`*^9}, {3.6215303441155148`*^9, 
   3.621530353929076*^9}, {3.621530407725153*^9, 3.6215304133084726`*^9}, 
   3.621536801544379*^9, {3.6215368571675606`*^9, 3.621536864060955*^9}, {
   3.621537024513132*^9, 3.6215370287583747`*^9}, {3.62153707342793*^9, 
   3.62153709318906*^9}, {3.6215374457192235`*^9, 3.621537448222367*^9}, {
   3.6215374901527653`*^9, 3.6215374908368044`*^9}, {3.62153756157285*^9, 
   3.621537582923071*^9}, {3.6215475027332926`*^9, 3.621547509739693*^9}, {
   3.6215763985688143`*^9, 3.621576439029128*^9}, 3.621577523791173*^9, {
   3.6215780129901533`*^9, 3.6215780575677032`*^9}, {3.621579477401913*^9, 
   3.62157947996706*^9}, {3.621579606477296*^9, 3.621579629670623*^9}, {
   3.6215829479054146`*^9, 3.621582951807638*^9}, {3.6215831128448486`*^9, 
   3.6215831444686575`*^9}, {3.621583862142706*^9, 3.621583862476725*^9}, {
   3.6215842970495815`*^9, 3.621584297094584*^9}, {3.6215855504982743`*^9, 
   3.6215855634920177`*^9}, {3.621586136710804*^9, 3.621586139668973*^9}, {
   3.621586655954503*^9, 3.6215866804409037`*^9}, {3.6215874892591653`*^9, 
   3.621587490074212*^9}, {3.6216035157982388`*^9, 3.621603517814354*^9}, {
   3.6216036041272907`*^9, 3.621603606820444*^9}, {3.621616881666811*^9, 
   3.6216168855824175`*^9}, {3.621616927936492*^9, 3.6216169494645295`*^9}, {
   3.6216169960774117`*^9, 3.6216170028790236`*^9}, 3.6216188484302645`*^9, {
   3.621670817363742*^9, 3.6216708193998585`*^9}, {3.6216807967345295`*^9, 
   3.6216808029928875`*^9}, {3.621680849790564*^9, 3.6216808660254927`*^9}, {
   3.6216810122978587`*^9, 3.6216810128518906`*^9}, {3.621742414648652*^9, 
   3.621742415218685*^9}, 3.621742461411327*^9, {3.621833525976879*^9, 
   3.621833528596029*^9}, {3.6219275306952734`*^9, 3.6219275349855194`*^9}, {
   3.621927607487666*^9, 3.621927610337829*^9}, 3.6224378418199887`*^9, {
   3.622437964156986*^9, 3.62243797330851*^9}, 3.622438061666563*^9, 
   3.622443411054531*^9, {3.6224568139981356`*^9, 3.6224568150951977`*^9}, {
   3.6224568573336143`*^9, 3.6224568578636446`*^9}, 3.622485427170541*^9, 
   3.6224855055110216`*^9, {3.622485547143403*^9, 3.6224855472274075`*^9}, {
   3.622485706947543*^9, 3.622485707222559*^9}, {3.6224859898007216`*^9, 
   3.62248599047676*^9}, 3.624880962492976*^9, {3.6249565699689026`*^9, 
   3.624956571376983*^9}, {3.624956649528453*^9, 3.624956649959478*^9}, {
   3.624965363432197*^9, 3.6249653647425995`*^9}, {3.6736835725435658`*^9, 
   3.6736835844737587`*^9}, 3.673689302769268*^9, 3.673710584748206*^9, {
   3.6737109984026995`*^9, 3.6737110128075113`*^9}, {3.6737116125487423`*^9, 
   3.6737116312425027`*^9}, 3.6737116642209063`*^9, {3.6737120785528617`*^9, 
   3.6737120815125065`*^9}, {3.673712294342964*^9, 3.6737123113334255`*^9}, {
   3.6745610571167316`*^9, 3.674561059009308*^9}, {3.674561226451005*^9, 
   3.6745612926236515`*^9}, {3.6745616581082706`*^9, 
   3.6745616696562324`*^9}, {3.6745617580447683`*^9, 3.674561761537408*^9}, {
   3.674561817394642*^9, 3.674561819277217*^9}, {3.6836031724911385`*^9, 
   3.6836031748420935`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.15`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.280257037801995`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.1364062552799106`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.16861071313084997`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.1364062552799106`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 1, "   tar:  ", 1.15, "   tarstar:  ", 1.02, "   R:  ", 
   3.280257037801995, "   Bstar:  ", 3.1364062552799106`, "   Xstar:  ", 
   0.16861071313084997`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.1364062552799106`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031807908926`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1524999999999999`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.02`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2805410459466695`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.1399250252355198`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.16796913203450176`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.1399250252355198`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 2, "   tar:  ", 1.1524999999999999`, "   tarstar:  ", 1.02, 
   "   R:  ", 3.2805410459466695`, "   Bstar:  ", 3.1399250252355198`, 
   "   Xstar:  ", 0.16796913203450176`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.1399250252355198`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603180791893*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1549999999999998`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.02`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2808193726668677`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.1434424982980906`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.16733094143353067`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.1434424982980906`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 3, "   tar:  ", 1.1549999999999998`, "   tarstar:  ", 1.02, 
   "   R:  ", 3.2808193726668677`, "   Bstar:  ", 3.1434424982980906`, 
   "   Xstar:  ", 0.16733094143353067`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.1434424982980906`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603180791893*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1575`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2810920829897463`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.146958669733372`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.16669611969503936`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.146958669733372`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 4, "   tar:  ", 1.1575, "   tarstar:  ", 1.02, "   R:  ", 
   3.2810920829897463`, "   Bstar:  ", 3.146958669733372, "   Xstar:  ", 
   0.16669611969503936`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.146958669733372^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603180794893*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "5", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.16`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2813592412145085`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.150473534884381`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.16606464533427553`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.150473534884381`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 5, "   tar:  ", 1.16, "   tarstar:  ", 1.02, "   R:  ", 
   3.2813592412145085`, "   Bstar:  ", 3.150473534884381, "   Xstar:  ", 
   0.16606464533427553`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.150473534884381^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603180800893*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "6", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1624999999999999`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.02`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.281620910920696`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.153987089170398`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.16543649701376392`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.153987089170398`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 6, "   tar:  ", 1.1624999999999999`, "   tarstar:  ", 1.02, 
   "   R:  ", 3.281620910920696, "   Bstar:  ", 3.153987089170398, 
   "   Xstar:  ", 0.16543649701376392`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.153987089170398^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031808048925`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "7", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1649999999999998`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.02`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.281877154976398`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.1574993280861072`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1648116535424146`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.1574993280861072`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 7, "   tar:  ", 1.1649999999999998`, "   tarstar:  ", 1.02, 
   "   R:  ", 3.281877154976398, "   Bstar:  ", 3.1574993280861072`, 
   "   Xstar:  ", 0.1648116535424146, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.1574993280861072`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031808088927`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "8", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1675`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.282128035546362`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.1610102472006596`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.16419009387464736`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.1610102472006596`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 8, "   tar:  ", 1.1675, "   tarstar:  ", 1.02, "   R:  ", 
   3.282128035546362, "   Bstar:  ", 3.1610102472006596`, "   Xstar:  ", 
   0.16419009387464736`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.1610102472006596`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603180829891*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "9", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.17`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2823736141000155`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.164519842156808`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.16357179710950578`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.164519842156808`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 9, "   tar:  ", 1.17, "   tarstar:  ", 1.02, "   R:  ", 
   3.2823736141000155`, "   Bstar:  ", 3.164519842156808, "   Xstar:  ", 
   0.16357179710950578`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.164519842156808^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603180829891*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "10", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1724999999999999`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.02`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2826139514193895`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.1680281086700233`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.16295674248977648`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.1680281086700233`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 10, "   tar:  ", 1.1724999999999999`, "   tarstar:  ", 1.02, 
   "   R:  ", 3.2826139514193895`, "   Bstar:  ", 3.1680281086700233`, 
   "   Xstar:  ", 0.16295674248977648`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.1680281086700233`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031808348913`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "11", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1749999999999998`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.02`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2828491076069652`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.171535042527605`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1623449094011123`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.171535042527605`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 11, "   tar:  ", 1.1749999999999998`, "   tarstar:  ", 1.02, 
   "   R:  ", 3.2828491076069652`, "   Bstar:  ", 3.171535042527605, 
   "   Xstar:  ", 0.1623449094011123, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.171535042527605^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603180838891*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "12", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1775`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.283079142093433`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.1750406395878334`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.16173627737115082`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.1750406395878334`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 12, "   tar:  ", 1.1775, "   tarstar:  ", 1.02, "   R:  ", 
   3.283079142093433, "   Bstar:  ", 3.1750406395878334`, "   Xstar:  ", 
   0.16173627737115082`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.1750406395878334`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603180847891*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "13", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.18`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2833041136453427`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.178544895779134`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.161130826068634`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.178544895779134`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 13, "   tar:  ", 1.18, "   tarstar:  ", 1.02, "   R:  ", 
   3.2833041136453427`, "   Bstar:  ", 3.178544895779134, "   Xstar:  ", 
   0.161130826068634, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.178544895779134^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031808538914`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "14", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1824999999999999`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.02`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2835240803726937`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.1820478070992255`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.16052853530253253`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.1820478070992255`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 14, "   tar:  ", 1.1824999999999999`, "   tarstar:  ", 1.02, 
   "   R:  ", 3.2835240803726937`, "   Bstar:  ", 3.1820478070992255`, 
   "   Xstar:  ", 0.16052853530253253`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.1820478070992255`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603180857891*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "15", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1849999999999998`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.02`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.283739099736421`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.1855493696142787`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1599293850211725`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.1855493696142787`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 15, "   tar:  ", 1.1849999999999998`, "   tarstar:  ", 1.02, 
   "   R:  ", 3.283739099736421, "   Bstar:  ", 3.1855493696142787`, 
   "   Xstar:  ", 0.1599293850211725, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.1855493696142787`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031808618913`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "16", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1875`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2839492285558083`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.1890495794581324`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.15933335531135429`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.1890495794581324`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 16, "   tar:  ", 1.1875, "   tarstar:  ", 1.02, "   R:  ", 
   3.2839492285558083`, "   Bstar:  ", 3.1890495794581324`, "   Xstar:  ", 
   0.15933335531135429`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.1890495794581324`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031808728905`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "17", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.19`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.284154523015803`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.192548432831449`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1587404263974859`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.192548432831449`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 17, "   tar:  ", 1.19, "   tarstar:  ", 1.02, "   R:  ", 
   3.284154523015803, "   Bstar:  ", 3.192548432831449, "   Xstar:  ", 
   0.1587404263974859, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.192548432831449^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031808728905`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "18", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.284355038674268`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.1960459260009326`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.15815057864070808`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.1960459260009326`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 18, "   tar:  ", 1.1925, "   tarstar:  ", 1.02, "   R:  ", 
   3.284355038674268, "   Bstar:  ", 3.1960459260009326`, "   Xstar:  ", 
   0.15815057864070808`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.1960459260009326`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031808768907`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "19", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.1949999999999998`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.02`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2845508304691284`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.1995420552985543`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.15756379253802336`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.1995420552985543`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 19, "   tar:  ", 1.1949999999999998`, "   tarstar:  ", 1.02, 
   "   R:  ", 3.2845508304691284`, "   Bstar:  ", 3.1995420552985543`, 
   "   Xstar:  ", 0.15756379253802336`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.1995420552985543`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603180880891*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "20", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.1975`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2847419527254553`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.2030368171207195`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.15698004872143498`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.2030368171207195`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 20, "   tar:  ", 1.1975, "   tarstar:  ", 1.02, "   R:  ", 
   3.2847419527254553`, "   Bstar:  ", 3.2030368171207195`, "   Xstar:  ", 
   0.15698004872143498`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.2030368171207195`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031808858905`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "21", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.284928459162461`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.2065302079275715`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.15639932795707054`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.2065302079275715`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 21, "   tar:  ", 1.2, "   tarstar:  ", 1.02, "   R:  ", 
   3.284928459162461, "   Bstar:  ", 3.2065302079275715`, "   Xstar:  ", 
   0.15639932795707054`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.2065302079275715`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031808938904`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "22", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2025`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.285110402900404`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.210022224242162`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.15582161114432902`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.210022224242162`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 22, "   tar:  ", 1.2025, "   tarstar:  ", 1.02, "   R:  ", 
   3.285110402900404, "   Bstar:  ", 3.210022224242162, "   Xstar:  ", 
   0.15582161114432902`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.210022224242162^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603180899891*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "23", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2049999999999998`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.02`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2852878364674485`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.213512862649747`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.15524687931501088`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.213512862649747`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 23, "   tar:  ", 1.2049999999999998`, "   tarstar:  ", 1.02, 
   "   R:  ", 3.2852878364674485`, "   Bstar:  ", 3.213512862649747, 
   "   Xstar:  ", 0.15524687931501088`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.213512862649747^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031809048905`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "24", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2075`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2854608118063977`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.2170021197970162`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1546751136324637`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.2170021197970162`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 24, "   tar:  ", 1.2075, "   tarstar:  ", 1.02, "   R:  ", 
   3.2854608118063977`, "   Bstar:  ", 3.2170021197970162`, "   Xstar:  ", 
   0.1546751136324637, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.2170021197970162`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031809108906`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "25", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.21`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.285629380281395`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.220489992391358`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1541062953907256`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.220489992391358`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 25, "   tar:  ", 1.21, "   tarstar:  ", 1.02, "   R:  ", 
   3.285629380281395, "   Bstar:  ", 3.220489992391358, "   Xstar:  ", 
   0.1541062953907256, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.220489992391358^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603180918891*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "26", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2125`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.285793592684513`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.2239764772001527`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.15354040601366745`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.2239764772001527`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 26, "   tar:  ", 1.2125, "   tarstar:  ", 1.02, "   R:  ", 
   3.285793592684513, "   Bstar:  ", 3.2239764772001527`, "   Xstar:  ", 
   0.15354040601366745`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.2239764772001527`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031809228907`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "27", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2149999999999999`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.02`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.285953499242299`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.2274615710500405`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.15297742705414386`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.2274615710500405`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 27, "   tar:  ", 1.2149999999999999`, "   tarstar:  ", 1.02, 
   "   R:  ", 3.285953499242299, "   Bstar:  ", 3.2274615710500405`, 
   "   Xstar:  ", 0.15297742705414386`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.2274615710500405`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.68360318093589*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "28", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2174999999999998`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.02`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.286109149622217`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.2309452708262154`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1524173401931441`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.2309452708262154`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 28, "   tar:  ", 1.2174999999999998`, "   tarstar:  ", 1.02, 
   "   R:  ", 3.286109149622217, "   Bstar:  ", 3.2309452708262154`, 
   "   Xstar:  ", 0.1524173401931441, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.2309452708262154`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031809458895`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "29", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.22`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.286260592939034`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.234427573471738`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.15186012723894277`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.234427573471738`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 29, "   tar:  ", 1.22, "   tarstar:  ", 1.02, "   R:  ", 
   3.286260592939034, "   Bstar:  ", 3.234427573471738, "   Xstar:  ", 
   0.15186012723894277`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.234427573471738^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031809558887`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "30", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2225`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.286407877761124`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.2379084759867998`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.15130577012626426`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.2379084759867998`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 30, "   tar:  ", 1.2225, "   tarstar:  ", 1.02, "   R:  ", 
   3.286407877761124, "   Bstar:  ", 3.2379084759867998`, "   Xstar:  ", 
   0.15130577012626426`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.2379084759867998`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031809558887`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "31", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2249999999999999`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.02`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2865510521167023`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.2413879754281076`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1507542509154312`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.2413879754281076`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 31, "   tar:  ", 1.2249999999999999`, "   tarstar:  ", 1.02, 
   "   R:  ", 3.2865510521167023`, "   Bstar:  ", 3.2413879754281076`, 
   "   Xstar:  ", 0.1507542509154312, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.2413879754281076`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603180956888*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "32", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2274999999999998`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.02`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.286690163499991`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.2448660689081517`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.15020555179153555`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.2448660689081517`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 32, "   tar:  ", 1.2274999999999998`, "   tarstar:  ", 1.02, 
   "   R:  ", 3.286690163499991, "   Bstar:  ", 3.2448660689081517`, 
   "   Xstar:  ", 0.15020555179153555`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.2448660689081517`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603180956888*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "33", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.23`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2868252588773093`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.248342753594575`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1496596550635988`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.248342753594575`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 33, "   tar:  ", 1.23, "   tarstar:  ", 1.02, "   R:  ", 
   3.2868252588773093`, "   Bstar:  ", 3.248342753594575, "   Xstar:  ", 
   0.1496596550635988, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.248342753594575^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603180978887*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "34", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2325`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2869563846930996`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.251818026709469`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.14911654316374703`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.251818026709469`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 34, "   tar:  ", 1.2325, "   tarstar:  ", 1.02, "   R:  ", 
   3.2869563846930996`, "   Bstar:  ", 3.251818026709469, "   Xstar:  ", 
   0.14911654316374703`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.251818026709469^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603180978887*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "35", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2349999999999999`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.02`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.287083586875864`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.255291885528778`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1485761986463744`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.255291885528778`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 35, "   tar:  ", 1.2349999999999999`, "   tarstar:  ", 1.02, 
   "   R:  ", 3.287083586875864, "   Bstar:  ", 3.255291885528778, 
   "   Xstar:  ", 0.1485761986463744, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.255291885528778^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031809888864`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "36", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2374999999999998`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.02`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2872069108440685`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.2587643273816163`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.14803860418732426`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.2587643273816163`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 36, "   tar:  ", 1.2374999999999998`, "   tarstar:  ", 1.02, 
   "   R:  ", 3.2872069108440685`, "   Bstar:  ", 3.2587643273816163`, 
   "   Xstar:  ", 0.14803860418732426`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.2587643273816163`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031809888864`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "37", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.24`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2873264015119505`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.262235349649637`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.14750374258306645`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.262235349649637`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 37, "   tar:  ", 1.24, "   tarstar:  ", 1.02, "   R:  ", 
   3.2873264015119505`, "   Bstar:  ", 3.262235349649637, "   Xstar:  ", 
   0.14750374258306645`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.262235349649637^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031809898863`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "38", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2425`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2874421032952563`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.265704949766418`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.14697159674987684`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.265704949766418`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 38, "   tar:  ", 1.2425, "   tarstar:  ", 1.02, "   R:  ", 
   3.2874421032952563`, "   Bstar:  ", 3.265704949766418, "   Xstar:  ", 
   0.14697159674987684`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.265704949766418^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031809898863`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "39", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2449999999999999`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.02`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.287554060116943`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.2691731252168346`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1464421497230236`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.2691731252168346`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 39, "   tar:  ", 1.2449999999999999`, "   tarstar:  ", 1.02, 
   "   R:  ", 3.287554060116943, "   Bstar:  ", 3.2691731252168346`, 
   "   Xstar:  ", 0.1464421497230236, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.2691731252168346`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031809948864`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "40", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2474999999999998`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.02`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2876623154127795`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.272639873536432`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.14591538465595785`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.272639873536432`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 40, "   tar:  ", 1.2474999999999998`, "   tarstar:  ", 1.02, 
   "   R:  ", 3.2876623154127795`, "   Bstar:  ", 3.272639873536432, 
   "   Xstar:  ", 0.14591538465595785`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.272639873536432^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031810018864`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "41", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.25`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.287766912136905`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.2761051923108377`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.14539128481950225`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.2761051923108377`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 41, "   tar:  ", 1.25, "   tarstar:  ", 1.02, "   R:  ", 
   3.287766912136905, "   Bstar:  ", 3.2761051923108377`, "   Xstar:  ", 
   0.14539128481950225`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.2761051923108377`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603181005886*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "42", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2525`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2878678927673137`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.2795690791751513`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.14486983360105005`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.2795690791751513`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 42, "   tar:  ", 1.2525, "   tarstar:  ", 1.02, "   R:  ", 
   3.2878678927673137`, "   Bstar:  ", 3.2795690791751513`, "   Xstar:  ", 
   0.14486983360105005`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.2795690791751513`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603181012886*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "43", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.255`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.287965299311282`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.283031531813347`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1443510145037619`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.283031531813347`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 43, "   tar:  ", 1.255, "   tarstar:  ", 1.02, "   R:  ", 
   3.287965299311282, "   Bstar:  ", 3.283031531813347, "   Xstar:  ", 
   0.1443510145037619, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.283031531813347^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031810208864`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "44", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2574999999999998`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.02`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2880591733107196`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.286492547957709`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.14383481114576932`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.286492547957709`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 44, "   tar:  ", 1.2574999999999998`, "   tarstar:  ", 1.02, 
   "   R:  ", 3.2880591733107196`, "   Bstar:  ", 3.286492547957709, 
   "   Xstar:  ", 0.14383481114576932`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.286492547957709^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603181024886*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "45", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.26`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.288149555847483`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.2899521253882287`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.14332120725938297`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.2899521253882287`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 45, "   tar:  ", 1.26, "   tarstar:  ", 1.02, "   R:  ", 
   3.288149555847483, "   Bstar:  ", 3.2899521253882287`, "   Xstar:  ", 
   0.14332120725938297`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.2899521253882287`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603181045885*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "46", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2625`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2882364875486028`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.293410261932062`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1428101866902991`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.293410261932062`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 46, "   tar:  ", 1.2625, "   tarstar:  ", 1.02, "   R:  ", 
   3.2882364875486028`, "   Bstar:  ", 3.293410261932062, "   Xstar:  ", 
   0.1428101866902991, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.293410261932062^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603181045885*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "47", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.265`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.28832000859146`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.296866955462917`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.14230173339682062`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.296866955462917`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 47, "   tar:  ", 1.265, "   tarstar:  ", 1.02, "   R:  ", 
   3.28832000859146, "   Bstar:  ", 3.296866955462917, "   Xstar:  ", 
   0.14230173339682062`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.296866955462917^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031810558844`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "48", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2674999999999998`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.02`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2884001587089027`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.3003222039005444`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.14179583144906815`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.3003222039005444`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 48, "   tar:  ", 1.2674999999999998`, "   tarstar:  ", 1.02, 
   "   R:  ", 3.2884001587089027`, "   Bstar:  ", 3.3003222039005444`, 
   "   Xstar:  ", 0.14179583144906815`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.3003222039005444`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031810568843`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "49", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.27`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.288476977194313`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.3037760052101692`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.14129246502820403`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.3037760052101692`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 49, "   tar:  ", 1.27, "   tarstar:  ", 1.02, "   R:  ", 
   3.288476977194313, "   Bstar:  ", 3.3037760052101692`, "   Xstar:  ", 
   0.14129246502820403`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.3037760052101692`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031810568843`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "50", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2725`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.288550502906594`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.307228357401936`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.14079161842565938`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.307228357401936`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 50, "   tar:  ", 1.2725, "   tarstar:  ", 1.02, "   R:  ", 
   3.288550502906594, "   Bstar:  ", 3.307228357401936, "   Xstar:  ", 
   0.14079161842565938`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.307228357401936^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603181059884*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "51", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.275`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.288620774275108`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.310679258530383`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.140293276042362`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.310679258530383`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 51, "   tar:  ", 1.275, "   tarstar:  ", 1.02, "   R:  ", 
   3.288620774275108, "   Bstar:  ", 3.310679258530383, "   Xstar:  ", 
   0.140293276042362, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.310679258530383^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031810658846`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "52", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2774999999999999`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.02`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2886878293045787`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.3141287066938907`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.13979742238797227`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.3141287066938907`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 52, "   tar:  ", 1.2774999999999999`, "   tarstar:  ", 1.02, 
   "   R:  ", 3.2886878293045787`, "   Bstar:  ", 3.3141287066938907`, 
   "   Xstar:  ", 0.13979742238797227`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.3141287066938907`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031810708847`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "53", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2799999999999998`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.02`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2887517055798914`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.3175767000341856`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.13930404208011662`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.3175767000341856`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 53, "   tar:  ", 1.2799999999999998`, "   tarstar:  ", 1.02, 
   "   R:  ", 3.2887517055798914`, "   Bstar:  ", 3.3175767000341856`, 
   "   Xstar:  ", 0.13930404208011662`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.3175767000341856`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031810778847`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "54", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2825`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.288812440270883`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.3210232367357895`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1388131198436332`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.3210232367357895`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 54, "   tar:  ", 1.2825, "   tarstar:  ", 1.02, "   R:  ", 
   3.288812440270883, "   Bstar:  ", 3.3210232367357895`, "   Xstar:  ", 
   0.1388131198436332, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.3210232367357895`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603181085884*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "55", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.285`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2888700701370457`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.3244683150255354`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.13832464050981275`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.3244683150255354`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 55, "   tar:  ", 1.285, "   tarstar:  ", 1.02, "   R:  ", 
   3.2888700701370457`, "   Bstar:  ", 3.3244683150255354`, "   Xstar:  ", 
   0.13832464050981275`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.3244683150255354`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031810888844`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "56", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2874999999999999`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.02`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2889246315321934`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.327911933172033`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.13783858901565266`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.327911933172033`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 56, "   tar:  ", 1.2874999999999999`, "   tarstar:  ", 1.02, 
   "   R:  ", 3.2889246315321934`, "   Bstar:  ", 3.327911933172033, 
   "   Xstar:  ", 0.13783858901565266`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.327911933172033^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603181092884*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "57", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.29`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.288976160409063`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.33135408948518`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.13735495040310733`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.33135408948518`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 57, "   tar:  ", 1.29, "   tarstar:  ", 1.02, "   R:  ", 
   3.288976160409063, "   Bstar:  ", 3.33135408948518, "   Xstar:  ", 
   0.13735495040310733`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.33135408948518^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603181115883*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "58", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.2925`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2890246923238666`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.3347947823156723`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1368737098183461`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.3347947823156723`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 58, "   tar:  ", 1.2925, "   tarstar:  ", 1.02, "   R:  ", 
   3.2890246923238666`, "   Bstar:  ", 3.3347947823156723`, "   Xstar:  ", 
   0.1368737098183461, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.3347947823156723`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603181115883*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "59", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.295`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.289070262440798`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.338234010054489`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.13639485251101757`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.338234010054489`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 59, "   tar:  ", 1.295, "   tarstar:  ", 1.02, "   R:  ", 
   3.289070262440798, "   Bstar:  ", 3.338234010054489, "   Xstar:  ", 
   0.13639485251101757`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.338234010054489^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603181125882*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "60", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2974999999999999`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.02`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.289112905536467`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.3416717711324377`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.13591836383351139`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.3416717711324377`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 60, "   tar:  ", 1.2974999999999999`, "   tarstar:  ", 1.02, 
   "   R:  ", 3.289112905536467, "   Bstar:  ", 3.3416717711324377`, 
   "   Xstar:  ", 0.13591836383351139`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.3416717711324377`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603181125882*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "61", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.2999999999999998`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.02`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2891526560043025`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.345108064019674`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.13544422924022811`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.345108064019674`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 61, "   tar:  ", 1.2999999999999998`, "   tarstar:  ", 1.02, 
   "   R:  ", 3.2891526560043025`, "   Bstar:  ", 3.345108064019674, 
   "   Xstar:  ", 0.13544422924022811`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.345108064019674^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031811268826`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "62", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3025`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2891895478588915`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.3485428872251948`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1349724342868583`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.3485428872251948`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 62, "   tar:  ", 1.3025, "   tarstar:  ", 1.02, "   R:  ", 
   3.2891895478588915`, "   Bstar:  ", 3.3485428872251948`, "   Xstar:  ", 
   0.1349724342868583, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.3485428872251948`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031811338825`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "63", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.305`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.289223614740281`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.351976239296399`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.1345029646296559`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.351976239296399`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 63, "   tar:  ", 1.305, "   tarstar:  ", 1.02, "   R:  ", 
   3.289223614740281, "   Bstar:  ", 3.351976239296399, "   Xstar:  ", 
   0.1345029646296559, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.351976239296399^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603181138882*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "64", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.3074999999999999`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.02`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2892548899182126`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.3554081188186364`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.1340358060247196`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.3554081188186364`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 64, "   tar:  ", 1.3074999999999999`, "   tarstar:  ", 1.02, 
   "   R:  ", 3.2892548899182126`, "   Bstar:  ", 3.3554081188186364`, 
   "   Xstar:  ", 0.1340358060247196, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.3554081188186364`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603181146882*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "65", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.3099999999999998`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.02`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.289283406296318`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.3588385244147148`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.13357094432728378`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.3588385244147148`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 65, "   tar:  ", 1.3099999999999998`, "   tarstar:  ", 1.02, 
   "   R:  ", 3.289283406296318, "   Bstar:  ", 3.3588385244147148`, 
   "   Xstar:  ", 0.13357094432728378`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.3588385244147148`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603181153882*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "66", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3125`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.2893091964162666`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.3622674547444915`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.13310836549100338`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.3622674547444915`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 66, "   tar:  ", 1.3125, "   tarstar:  ", 1.02, "   R:  ", 
   3.2893091964162666`, "   Bstar:  ", 3.3622674547444915`, "   Xstar:  ", 
   0.13310836549100338`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.3622674547444915`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031811568823`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "67", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.315`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.289332292461858`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.365694908504376`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.13264805556725495`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.365694908504376`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 67, "   tar:  ", 1.315, "   tarstar:  ", 1.02, "   R:  ", 
   3.289332292461858, "   Bstar:  ", 3.365694908504376, "   Xstar:  ", 
   0.13264805556725495`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.365694908504376^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603181160882*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "68", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", "1.3175`", 
   "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", "\[InvisibleSpace]", "1.02`",
    "\[InvisibleSpace]", "\<\"   R:  \"\>", "\[InvisibleSpace]", 
   "3.289352726263076`", "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", 
   "\[InvisibleSpace]", "3.36912088442694`", 
   "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", "\[InvisibleSpace]", 
   "0.13219000070442985`", "\[InvisibleSpace]", "\<\"   check:  \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.36912088442694`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 68, "   tar:  ", 1.3175, "   tarstar:  ", 1.02, "   R:  ", 
   3.289352726263076, "   Bstar:  ", 3.36912088442694, "   Xstar:  ", 
   0.13219000070442985`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.36912088442694^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.6836031811668825`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"i:  \"\>", "\[InvisibleSpace]", "69", 
   "\[InvisibleSpace]", "\<\"   tar:  \"\>", "\[InvisibleSpace]", 
   "1.3199999999999998`", "\[InvisibleSpace]", "\<\"   tarstar:  \"\>", 
   "\[InvisibleSpace]", "1.02`", "\[InvisibleSpace]", "\<\"   R:  \"\>", 
   "\[InvisibleSpace]", "3.2893705293000868`", 
   "\[InvisibleSpace]", "\<\"   Bstar:  \"\>", "\[InvisibleSpace]", 
   "3.3725453812804624`", "\[InvisibleSpace]", "\<\"   Xstar:  \"\>", 
   "\[InvisibleSpace]", "0.13173418714723836`", 
   "\[InvisibleSpace]", "\<\"   check:  \"\>", "\[InvisibleSpace]", 
   RowBox[{
    SuperscriptBox["1.6666666666666665`", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]], " ", 
    SuperscriptBox["3.3725453812804624`", 
     RowBox[{"-", "c"}]], " ", 
    SuperscriptBox["c", 
     FractionBox["c", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "epselonstar"}]]]}]}],
  SequenceForm[
  "i:  ", 69, "   tar:  ", 1.3199999999999998`, "   tarstar:  ", 1.02, 
   "   R:  ", 3.2893705293000868`, "   Bstar:  ", 3.3725453812804624`, 
   "   Xstar:  ", 0.13173418714723836`, 
   "   check:  ", (
    1.6666666666666665`^($CellContext`c/(-1 + $CellContext`epselonstar)) 
    3.3725453812804624`^(-$CellContext`c)) $CellContext`c^($CellContext`c/(-1 + \
$CellContext`epselonstar))],
  Editable->False]], "Print",
 CellChangeTimes->{3.6745613013415003`*^9, 3.674561671526307*^9, 
  3.6745617629849653`*^9, 3.674561820252256*^9, 3.683603181170882*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["save result", "Subsection",
 CellChangeTimes->{{3.4475766687268753`*^9, 3.4475766712893753`*^9}, {
  3.45189577934375*^9, 3.45189578046875*^9}, {3.674561239114012*^9, 
  3.6745612401565533`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Mat", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"AppendTo", "[", 
    RowBox[{"Mat", ",", "ivec"}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "tauvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "tarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "fxvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "fevec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Mvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Xvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Rvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "VPDvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "VPXvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Yvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Bvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "YDvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "YXvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Mevec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Wvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "LEMPvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"AppendTo", "[", 
    RowBox[{"Mat", ",", "PSIvec"}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "taustarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "tarstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "fxstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "festarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Mstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Xstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Rstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "VPDstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "VPXstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Ystarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Bstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "YDstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "YXstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Mestarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Wstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "LEMPstarvec"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"AppendTo", "[", 
    RowBox[{"Mat", ",", "PSIstarvec"}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"Mat", ",", "Qvec"}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.621537280947799*^9, 3.6215373138086786`*^9}, {
   3.62153753289421*^9, 3.6215375346923127`*^9}, 3.6215375907055163`*^9, {
   3.6215780728885794`*^9, 3.621578089618537*^9}, {3.6737123160453596`*^9, 
   3.6737123220371404`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Mat", "=", 
   RowBox[{"Transpose", "[", "Mat", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4513823994362497`*^9, 3.4513824081237497`*^9}, {
  3.452074511703125*^9, 3.45207451434375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "[", "Mat", "]"}]], "Input",
 CellChangeTimes->{{3.6215376770564556`*^9, 3.6215376796626043`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"i\"\>", "\<\"icebergSS\"\>", "\<\"tarr\"\>", "\<\"fxSS\"\>", \
"\<\"feSS\"\>", "\<\"MSS\"\>", "\<\"XSS\"\>", "\<\"RSS\"\>", "\<\"VPDSS\"\>", \
"\<\"VPXSS\"\>", "\<\"YSS\"\>", "\<\"BSS\"\>", "\<\"YDSS\"\>", \
"\<\"YXSS\"\>", "\<\"MeSS\"\>", "\<\"wageSS\"\>", "\<\"employmentSS\"\>", "\<\
\"psiSS\"\>", "\<\"icebergstarSS\"\>", "\<\"tarstar\"\>", "\<\"fxstarSS\"\>", \
"\<\"festarSS\"\>", "\<\"MstarSS\"\>", "\<\"XstarSS\"\>", "\<\"RstarSS\"\>", \
"\<\"VPDstarSS\"\>", "\<\"VPXstarSS\"\>", "\<\"YstarSS\"\>", \
"\<\"BstarSS\"\>", "\<\"YDstarSS\"\>", "\<\"YXstarSS\"\>", \
"\<\"MestarSS\"\>", "\<\"wagestarSS\"\>", "\<\"employmentstarSS\"\>", \
"\<\"psistarSS\"\>", "\<\"QSS\"\>"},
     {"1", "1.6453674496705017`", "1.15`", "0.004671410665004089`", "1", 
      "7.737507666518109`", "0.15754602700813986`", "3.280257037801995`", 
      "2.181054215533088`", "2.2656023112856203`", "3.280257037801995`", 
      "3.19964816676881`", "0.1694241531142318`", "0.14413620076141592`", 
      "0.1983976324748235`", "2.9859772266844`", "1.`", "1.7220931161311401`",
       "1.6453674496705017`", "1.02`", "0.004671410665004089`", "1", 
      "7.725766441527703`", "0.16861071313084997`", "3.2245643697666213`", 
      "2.1754997841109414`", "2.2878223310789436`", "3.2245643697666213`", 
      "3.1364062552799106`", "0.1681692865317475`", "0.14128730976597093`", 
      "0.19809657542378745`", "2.978372919732472`", "1.`", 
      "1.688055479881905`", "0.9381865976289235`"},
     {"2", "1.6453674496705017`", "1.1524999999999999`", 
      "0.004671410665004089`", "1", "7.7383493358061415`", 
      "0.15675414511610256`", "3.2805410459466695`", "2.1807997559725543`", 
      "2.264624769232983`", "3.2805410459466695`", "3.204393775006262`", 
      "0.16951396190885598`", "0.1443499786226047`", "0.1984192137386192`", 
      "2.985628858245205`", "1.`", "1.7246472654786993`", 
      "1.6453674496705017`", "1.02`", "0.004671410665004089`", "1", 
      "7.7264462781687335`", "0.16796913203450176`", "3.2240553241813785`", 
      "2.1751617718693517`", "2.287199462802989`", "3.2240553241813785`", 
      "3.1399250252355198`", "0.16824204943426813`", "0.14144582161049887`", 
      "0.1981140071325318`", "2.97791016330554`", "1.`", "1.689949328580877`",
       "0.9370922061127638`"},
     {"3", "1.6453674496705017`", "1.1549999999999998`", 
      "0.004671410665004089`", "1", "7.739185563115411`", 
      "0.15596755386670624`", "3.2808193726668677`", "2.180546519247156`", 
      "2.2636496570795304`", "3.2808193726668677`", "3.209138491826429`", 
      "0.16960317068188352`", "0.1445637163276594`", "0.19844065546449788`", 
      "2.9852821639312292`", "1.`", "1.7272009350536428`", 
      "1.6453674496705017`", "1.02`", "0.004671410665004089`", "1", 
      "7.72712264085891`", "0.16733094143353067`", "3.223549260125905`", 
      "2.1748257417788133`", "2.286576721523704`", "3.223549260125905`", 
      "3.1434424982980906`", "0.16831442781441536`", "0.1416042750332174`", 
      "0.19813134976561325`", "2.977450120547005`", "1.`", 
      "1.6918424792748008`", "0.9360010859192692`"},
     {"4", "1.6453674496705017`", "1.1575`", "0.004671410665004089`", "1", 
      "7.740016390614457`", "0.15518621023329815`", "3.2810920829897463`", 
      "2.1802944966914386`", "2.262676964510061`", "3.2810920829897463`", 
      "3.213882312508429`", "0.169691784313046`", "0.14477741366391603`", 
      "0.1984619587337042`", "2.9849371318790117`", "1.`", 
      "1.7297541223151292`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.727795550674795`", 
      "0.16669611969503936`", "3.2230461555349517`", "2.174491679148225`", 
      "2.285954117800212`", "3.2230461555349517`", "3.146958669733372`", 
      "0.16838642412562035`", "0.14176266982086028`", "0.19814860386345645`", 
      "2.976992771343982`", "1.`", "1.6937349294156394`", 
      "0.9349132223336731`"},
     {"5", "1.6453674496705017`", "1.16`", "0.004671410665004089`", "1", 
      "7.740841860106641`", "0.1544100715901501`", "3.2813592412145085`", 
      "2.180043679725929`", "2.261706681265566`", "3.2813592412145085`", 
      "3.2186252323966733`", "0.16977980763660452`", "0.14499107042165185`", 
      "0.1984831246181192`", "2.9845937503428055`", "1.`", 
      "1.732306824757459`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.728465028561068`", 
      "0.16606464533427553`", "3.222545988533861`", "2.174159569413637`", 
      "2.2853316620282222`", "3.222545988533861`", "3.150473534884381`", 
      "0.16845804080450527`", "0.141921005763642`", "0.19816576996310448`", 
      "2.9765380957576637`", "1.`", "1.6956266764969423`", 
      "0.9338286007273114`"},
     {"6", "1.6453674496705017`", "1.1624999999999999`", 
      "0.004671410665004089`", "1", "7.741662013033258`", 
      "0.15363909570841155`", "3.281620910920696`", "2.179794059855988`", 
      "2.2607387971429262`", "3.281620910920696`", "3.223367246900075`", 
      "0.16986724544181353`", "0.1452046863940499`", "0.19850415418034015`", 
      "2.984252007693007`", "1.`", "1.7348590399096484`", 
      "1.6453674496705017`", "1.02`", "0.004671410665004089`", "1", 
      "7.729131095330698`", "0.16543649701376392`", "3.222048737436758`", 
      "2.173829398137014`", "2.284709364442274`", "3.222048737436758`", 
      "3.153987089170398`", "0.1685292802709947`", "0.14207928265521252`", 
      "0.1981828485982232`", "2.976086074021624`", "1.`", 
      "1.6975177180533063`", "0.9327472065569702`"},
     {"7", "1.6453674496705017`", "1.1649999999999998`", 
      "0.004671410665004089`", "1", "7.742476890477006`", 
      "0.15287324075209138`", "3.281877154976398`", "2.179545628670717`", 
      "2.259773301994605`", "3.281877154976398`", "3.228108351491332`", 
      "0.16995410247336967`", "0.14541826137716635`", "0.19852504847376956`", 
      "2.9839118924146537`", "1.`", "1.737410765335043`", 
      "1.6453674496705017`", "1.02`", "0.004671410665004089`", "1", 
      "7.729793771665859`", "0.1648116535424146`", "3.2215543807447924`", 
      "2.173501151005075`", "2.284087235117927`", "3.2215543807447924`", 
      "3.1574993280861072`", "0.16860014492840805`", "0.14223750029261856`", 
      "0.19819984029912477`", "2.9756366865402333`", "1.`", 
      "1.6994080516599097`", "0.9316690253642373`"},
     {"8", "1.6453674496705017`", "1.1675`", "0.004671410665004089`", "1", 
      "7.743286533165068`", "0.15211246527409117`", "3.282128035546362`", 
      "2.179298377841846`", "2.2588101857283447`", "3.282128035546362`", 
      "3.232848541706159`", "0.1700403834318656`", "0.14563179516989636`", 
      "0.1985458085426942`", "2.983573393105912`", "1.`", 
      "1.7399619986309058`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.730453078118325`", 
      "0.16419009387464736`", "3.2210628971443644`", "2.173174813828097`", 
      "2.2834652839739378`", "3.2210628971443644`", "3.1610102472006596`", 
      "0.1686706371635655`", "0.14239565847626137`", "0.19821674559277772`", 
      "2.9751899138870193`", "1.`", "1.7012976749320115`", 
      "0.9305940427748663`"},
     {"9", "1.6453674496705017`", "1.17`", "0.004671410665004089`", "1", 
      "7.744090981472429`", "0.15135672821227336`", "3.2823736141000155`", 
      "2.1790522991226697`", "2.2578494383068644`", "3.2823736141000155`", 
      "3.2375878131425697`", "0.1701260929742327`", "0.14584528757394122`", 
      "0.19856643542237015`", "2.983236498476608`", "1.`", 
      "1.742512737428028`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.73110903511029`", 
      "0.16357179710950578`", "3.2205742655054017`", "2.172850372538771`", 
      "2.2828435207743962`", "3.2205742655054017`", "3.164519842156808`", 
      "0.16874075934688246`", "0.1425537570098578`", "0.1982335650028281`", 
      "2.974745736803101`", "1.`", "1.703186585524483`", 
      "0.9295222444981409`"},
     {"10", "1.6453674496705017`", "1.1724999999999999`", 
      "0.004671410665004089`", "1", "7.744890275424851`", 
      "0.1506059888855748`", "3.2826139514193895`", "2.178807384346962`", 
      "2.2568910497475585`", "3.2826139514193895`", "3.242326161460122`", 
      "0.17021123571418714`", "0.14605873839377492`", "0.19858693013909892`", 
      "2.982901197346755`", "1.`", "1.7450629793903276`", 
      "1.6453674496705017`", "1.02`", "0.004671410665004089`", "1", 
      "7.731761662934912`", "0.16295674248977648`", "3.2200884648796206`", 
      "2.17252781319104`", "2.2822219551308356`", "3.2200884648796206`", 
      "3.1680281086700233`", "0.168810513832472`", "0.14271179570040046`", 
      "0.1982502990496133`", "2.9743041361955966`", "1.`", 
      "1.705074781131334`", "0.9284536163262505`"},
     {"11", "1.6453674496705017`", "1.1749999999999998`", 
      "0.004671410665004089`", "1", "7.745684454702132`", 
      "0.14986020699015595`", "3.2828491076069652`", "2.17856362542795`", 
      "2.255935010122194`", "3.2828491076069652`", "3.247063582379218`", 
      "0.17029581622266335`", "0.1462721474366122`", "0.19860729371031127`", 
      "2.982567478645134`", "1.`", "1.7476127222144675`", 
      "1.6453674496705017`", "1.02`", "0.004671410665004089`", "1", 
      "7.73241098175689`", "0.1623449094011123`", "3.2196054744988247`", 
      "2.1722071219589507`", "2.281600596504318`", "3.2196054744988247`", 
      "3.171535042527605`", "0.16887990295824598`", "0.14286977435811762`", 
      "0.19826694825017682`", "2.9738650931360544`", "1.`", 
      "1.706962259485233`", "0.9273881441336703`"},
     {"12", "1.6453674496705017`", "1.1775`", "0.004671410665004089`", "1", 
      "7.746473558641335`", "0.1491193425955871`", "3.283079142093433`", 
      "2.1783210143572904`", "2.254981309556605`", "3.283079142093433`", 
      "3.2518000716804134`", "0.1703798390282432`", "0.14648551451237754`", 
      "0.19862752714464982`", "2.982235331407907`", "1.`", 
      "1.7501619636294867`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.733057011613122`", 
      "0.16173627737115082`", "3.219125273773204`", "2.171888285135525`", 
      "2.2809794542074893`", "3.219125273773204`", "3.1750406395878334`", 
      "0.16894892904601397`", "0.14302769279643518`", "0.19828351311828538`", 
      "2.973428588858904`", "1.`", "1.7088490183570515`", 
      "0.9263258138765521`"},
     {"13", "1.6453674496705017`", "1.18`", "0.004671410665004089`", "1", 
      "7.747257626239624`", "0.14838335614108392`", "3.2833041136453427`", 
      "2.1780795432040403`", "2.2540299382303988`", "3.2833041136453427`", 
      "3.2565356252036772`", "0.17046330861759038`", "0.1466988394336719`", 
      "0.1986476314420418`", "2.9819047447771987`", "1.`", 
      "1.7527107013964014`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.733699772413423`", 
      "0.161130826068634`", "3.2186478422896703`", "2.1715712891316468`", 
      "2.2803585374065984`", "3.2186478422896703`", "3.178544895779134`", 
      "0.16901759440158085`", "0.14318555083193876`", "0.19829999416444694`", 
      "2.9729946047599354`", "1.`", "1.7107350555554142`", 
      "0.9252666115921162`"},
     {"14", "1.6453674496705017`", "1.1824999999999999`", 
      "0.004671410665004089`", "1", "7.748036696157549`", 
      "0.1476522084317701`", "3.2835240803726937`", "2.177839204113679`", 
      "2.253080886376648`", "3.2835240803726937`", "3.261270238847737`", 
      "0.1705462294358679`", "0.14691212201574314`", "0.1986676075937835`", 
      "2.981575707999759`", "1.`", "1.7552589333078523`", 
      "1.6453674496705017`", "1.02`", "0.004671410665004089`", "1", 
      "7.734339283941096`", "0.16052853530253253`", "3.218173159810186`", 
      "2.1712561204749448`", "2.279737855123501`", "3.218173159810186`", 
      "3.1820478070992255`", "0.16908590131484785`", "0.14334334828433554`", 
      "0.19831639189592573`", "2.9725631223947677`", "1.`", 
      "1.7126203689262398`", "0.924210523398052`"},
     {"15", "1.6453674496705017`", "1.1849999999999998`", 
      "0.004671410665004089`", "1", "7.7488108067219965`", 
      "0.14692586063498617`", "3.283739099736421`", "2.177599989307125`", 
      "2.2521341442815954`", "3.283739099736421`", "3.2660039085693806`", 
      "0.17062860588715917`", "0.1471253620764546`", "0.19868745658261547`", 
      "2.9812482104256186`", "1.`", "1.757806657187729`", 
      "1.6453674496705017`", "1.02`", "0.004671410665004089`", "1", 
      "7.734975565853483`", "0.1599293850211725`", "3.217701206270119`", 
      "2.1709427658086837`", "2.279117416237628`", "3.217701206270119`", 
      "3.1855493696142787`", "0.16915385205991462`", "0.14350108497641628`", 
      "0.19833270681675613`", "2.9721341234773324`", "1.`", 
      "1.7145049563522898`", "0.9231575354919277`"},
     {"16", "1.6453674496705017`", "1.1875`", "0.004671410665004089`", "1", 
      "7.74957999592917`", "0.14620427427663432`", "3.2839492285558083`", 
      "2.1773618910797667`", "2.2511897022843534`", "3.2839492285558083`", 
      "3.2707366303827787`", "0.17071044233488383`", "0.14733855943625457`", 
      "0.19870717938279944`", "2.980922241506761`", "1.`", 
      "1.7603538708908055`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.735608637682814`", 
      "0.15933335531135429`", "3.217231961776618`", "2.1706312118906936`", 
      "2.27849722948793`", "3.217231961776618`", "3.1890495794581324`", 
      "0.16922144889517243`", "0.14365876073402006`", "0.19834893942776463`", 
      "2.9717075898784073`", "1.`", "1.7163888157527443`", 
      "0.9221076341506022`"},
     {"17", "1.6453674496705017`", "1.19`", "0.004671410665004089`", "1", 
      "7.750344301447634`", "0.14548741123756065`", "3.284154523015803`", 
      "2.1771249018005214`", "2.2502475507766078`", "3.284154523015803`", 
      "3.275468400358823`", "0.1707917431022063`", "0.14755171391814645`", 
      "0.19872677696019592`", "2.9805977907958368`", "1.`", 
      "1.7629005723023832`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.736238518836665`", 
      "0.1587404263974859`", "3.216765406606993`", "2.170321445592276`", 
      "2.277877303474794`", "3.216765406606993`", "3.192548432831449`", 
      "0.16928869406340852`", "0.14381637538599612`", "0.19836509022658133`", 
      "2.9712835036241163`", "1.`", "1.7182719450827497`", 
      "0.921060805729644`"},
     {"18", "1.6453674496705017`", "1.1925`", "0.004671410665004089`", "1", 
      "7.751103760621345`", "0.1447752337499721`", "3.284355038674268`", 
      "2.1768890139109103`", "2.2493076802023126`", "3.284355038674268`", 
      "3.280199214624488`", "0.17087251247244`", "0.14776482534766008`", 
      "0.19874625027234236`", "2.980274847944892`", "1.`", 
      "1.7654467593379484`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.736865228598681`", 
      "0.15815057864070808`", "3.216301521207119`", "2.170013453897137`", 
      "2.2772576466619343`", "3.216301521207119`", "3.1960459260009326`", 
      "0.16935558979190266`", "0.14397392876416878`", "0.19838115970765868`", 
      "2.9708618468944756`", "1.`", "1.720154342332997`", 
      "0.9200170366627587`"},
     {"19", "1.6453674496705017`", "1.1949999999999998`", 
      "0.004671410665004089`", "1", "7.751858410472391`", 
      "0.1440677043938985`", "3.2845508304691284`", "2.17665421992412`", 
      "2.2483700810574057`", "3.2845508304691284`", "3.284929069362142`", 
      "0.17095275468945503`", "0.1479778935528207`", "0.19876560026852302`", 
      "2.979953402704088`", "1.`", "1.767992429942801`", 
      "1.6453674496705017`", "1.02`", "0.004671410665004089`", "1", 
      "7.737488786129285`", "0.15756379253802336`", "3.2158402861898527`", 
      "2.1697072239003403`", "2.2766382673782557`", "3.2158402861898527`", 
      "3.1995420552985543`", "0.16942213829252434`", "0.14413142070330243`", 
      "0.19839714836228953`", "2.9704426020219494`", "1.`", 
      "1.7220360055293031`", "0.9189763134612191`"},
     {"20", "1.6453674496705017`", "1.1975`", "0.004671410665004089`", "1", 
      "7.752608287704075`", "0.14336478609368303`", "3.2847419527254553`", 
      "2.176420512424116`", "2.247434743889501`", "3.2847419527254553`", 
      "3.2896579608089342`", "0.17103247395807067`", "0.14819091836412115`", 
      "0.19878482788984825`", "2.9796334449204864`", "1.`", 
      "1.770537582091725`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.7381092104661064`", 
      "0.15698004872143498`", "3.215381682333454`", "2.169402742807232`", 
      "2.2760191738197024`", "3.215381682333454`", "3.2030368171207195`", 
      "0.1694883417618366`", "0.14428885104106412`", "0.1984130566786183`", 
      "2.97002575148999`", "1.`", "1.723916932732167`", "0.9179386227133035`"},
     {"21", "1.6453674496705017`", "1.2`", "0.004671410665004089`", "1", 
      "7.753353428703846`", "0.14266644211450927`", "3.284928459162461`", 
      "2.176187884064759`", "2.246501659297597`", "3.284928459162461`", 
      "3.294385885256175`", "0.17111167444444833`", "0.14840389961449424`", 
      "0.19880393406932959`", "2.9793149645368375`", "1.`", 
      "1.7730822137886544`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.738726520524948`", 
      "0.15639932795707054`", "3.214925690580048`", "2.1690999979324346`", 
      "2.2754003740510584`", "3.214925690580048`", "3.2065302079275715`", 
      "0.16955420238118657`", "0.14444621961799203`", "0.1984288851416655`", 
      "2.969611277931652`", "1.`", "1.7257971220363901`", 
      "0.9169039510837387`"},
     {"22", "1.6453674496705017`", "1.2025`", "0.004671410665004089`", "1", 
      "7.754093869545891`", "0.14197263605897661`", "3.285110402900404`", 
      "2.1759563275689016`", "2.2455708179317897`", "3.285110402900404`", 
      "3.2991128390486524`", "0.171190360276488`", "0.14861683713928167`", 
      "0.19882291973194607`", "2.9789979515903475`", "1.`", 
      "1.7756263230663052`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.739340735100152`", 
      "0.15582161114432902`", "3.214472292034068`", "2.1687989766987914`", 
      "2.274781876007749`", "3.214472292034068`", "3.210022224242162`", 
      "0.16961972231680986`", "0.14460352627745837`", "0.19844463423333739`", 
      "2.9691991641281508`", "1.`", "1.7276765715706328`", 
      "0.9158722853131481`"},
     {"23", "1.6453674496705017`", "1.2049999999999998`", 
      "0.004671410665004089`", "1", "7.754829645994387`", 
      "0.1412833318636887`", "3.2852878364674485`", "2.1757258357275697`", 
      "2.244642210492964`", "3.2852878364674485`", "3.303838818584099`", 
      "0.17126853554420315`", "0.1488297307762103`", "0.19884178579472805`", 
      "2.9786823962115534`", "1.`", "1.7781699079858897`", 
      "1.6453674496705017`", "1.02`", "0.004671410665004089`", "1", 
      "7.739951872865435`", "0.15524687931501088`", "3.2140214679607446`", 
      "2.168499666636364`", "2.2741636874976012`", "3.2140214679607446`", 
      "3.213512862649747`", "0.16968490371992462`", "0.14476077086563735`", 
      "0.19846030443244722`", "2.968789393007487`", "1.`", 
      "1.7295552794970344`", "0.9148436122175079`"},
     {"24", "1.6453674496705017`", "1.2075`", "0.004671410665004089`", "1", 
      "7.755560793505907`", "0.1405984937959033`", "3.2854608118063977`", 
      "2.1754964013990725`", "2.243715827732518`", "3.2854608118063977`", 
      "3.3085638203124987`", "0.1713462043001124`", "0.14904258036536075`", 
      "0.19886053316681832`", "2.978368288623107`", "1.`", 
      "1.780712966636742`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.740559952374467`", 
      "0.1546751136324637`", "3.2135731997845904`", "2.168202055381416`", 
      "2.273545816202585`", "3.2135731997845904`", "3.2170021197970162`", 
      "0.16974974872683007`", "0.1449179532314707`", "0.1984758962147301`", 
      "2.9683819476430617`", "1.`", "1.731433244010799`", 
      "0.9138179186876035`"},
     {"25", "1.6453674496705017`", "1.21`", "0.004671410665004089`", "1", 
      "7.756287347232535`", "0.13991808645019577`", "3.285629380281395`", 
      "2.1752680175082006`", "2.242791660452058`", "3.285629380281395`", 
      "3.3132878407355424`", "0.1714233705596091`", "0.14925538574914282`", 
      "0.19887916274955236`", "2.9780556191386767`", "1.`", 
      "1.7832554971360255`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.741164992061483`", 
      "0.1541062953907256`", "3.2131274690879015`", "2.167906130675409`", 
      "2.2729282696805355`", "3.2131274690879015`", "3.220489992391358`", 
      "0.16981425945900516`", "0.14507507322663438`", "0.19849141005285872`", 
      "2.967976811252294`", "1.`", "1.7333104633397993`", 
      "0.9127951916884994`"},
     {"26", "1.6453674496705017`", "1.2125`", "0.004671410665004089`", "1", 
      "7.7570093420243476`", "0.13924207474517153`", "3.285793592684513`", 
      "2.1750406770453763`", "2.241869699503117`", "3.285793592684513`", 
      "3.31801087640599`", "0.17150003830134194`", "0.14946814677226697`", 
      "0.1988976754365219`", "2.977744378161784`", "1.`", 
      "1.7857974976283901`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.741767010242032`", 
      "0.15354040601366745`", "3.212684257609279`", "2.167611880364024`", 
      "2.2723110553668406`", "3.212684257609279`", "3.2239764772001527`", 
      "0.16987843802320288`", "0.145232130705507`", "0.19850684641646255`", 
      "2.9675739671952854`", "1.`", "1.7351869357441962`", 
      "0.9117754182590051`"},
     {"27", "1.6453674496705017`", "1.2149999999999999`", 
      "0.004671410665004089`", "1", "7.757726812432495`", 
      "0.1385704239202006`", "3.285953499242299`", "2.1748143730658773`", 
      "2.2409499357868574`", "3.285953499242299`", "3.322732923927132`", 
      "0.17157621146757587`", "0.14968086328171978`", "0.19891607211365392`", 
      "2.977434556184743`", "1.`", "1.7883389662856812`", 
      "1.6453674496705017`", "1.02`", "0.004671410665004089`", "1", 
      "7.742366025113591`", "0.15297742705414386`", "3.212243547242163`", 
      "2.167319292396173`", "2.2716941805761173`", "3.212243547242163`", 
      "3.2274615710500405`", "0.16994228651154783`", "0.14538912552513653`", 
      "0.19852220577214355`", "2.9671733989734674`", "1.`", 
      "1.7370626595160459`", "0.910758585511155`"},
     {"28", "1.6453674496705017`", "1.2174999999999998`", 
      "0.004671410665004089`", "1", "7.7584397927116004`", 
      "0.13790309953220029`", "3.286109149622217`", "2.174589098689011`", 
      "2.2400323602537897`", "3.286109149622217`", "3.3274539799521556`", 
      "0.17165189396456632`", "0.14989353512673576`", "0.198934353659272`", 
      "2.9771261437875225`", "1.`", "1.7908799013066004`", 
      "1.6453674496705017`", "1.02`", "0.004671410665004089`", "1", 
      "7.742962054756177`", "0.1524173401931441`", "3.211805320033376`", 
      "2.1670283548230294`", "2.2710776525038576`", "3.211805320033376`", 
      "3.2309452708262154`", "0.17000580700163373`", "0.14554605754520866`", 
      "0.1985374885834919`", "2.9667750902282712`", "1.`", 
      "1.7389376329789177`", "0.909744680629685`"},
     {"29", "1.6453674496705017`", "1.22`", "0.004671410665004089`", "1", 
      "7.759148316822691`", "0.1372400674524372`", "3.286260592939034`", 
      "2.17436484709735`", "2.2391169639034794`", "3.286260592939034`", 
      "3.332174041183614`", "0.17172708966291497`", "0.1501061621587731`", 
      "0.19895252094417176`", "2.976819131636711`", "1.`", 
      "1.793420300916418`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.74355511713314`", 
      "0.15186012723894277`", "3.211369558181692`", "2.1667390557970747`", 
      "2.2704614782280546`", "3.211369558181692`", "3.234427573471738`", 
      "0.17006900155661567`", "0.14570292662801598`", "0.19855269531110636`", 
      "2.9663790247398247`", "1.`", "1.7408118544875266`", 
      "0.9087336908715226`"},
     {"30", "1.6453674496705017`", "1.2225`", "0.004671410665004089`", "1", 
      "7.759852418435694`", "0.1365812938633756`", "3.286407877761124`", 
      "2.1741416115359464`", "2.2382037377842634`", "3.286407877761124`", 
      "3.336893104372823`", "0.17180180239793258`", "0.15031874423148656`", 
      "0.19897057483168465`", "2.976513510484431`", "1.`", 
      "1.7959601633666484`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.744145230091525`", 
      "0.15130577012626426`", "3.2109362440363953`", "2.1664513835711205`", 
      "2.2698456647108105`", "3.2109362440363953`", "3.2379084759867998`", 
      "0.17013187222531384`", "0.14585973263842447`", "0.19856782641260337`", 
      "2.965985186425614`", "1.`", "1.7426853224273364`", 
      "0.907725603565275`"},
     {"31", "1.6453674496705017`", "1.2249999999999999`", 
      "0.004671410665004089`", "1", "7.7605521309322425`", 
      "0.135926745255547`", "3.2865510521167023`", "2.173919385311585`", 
      "2.237292672992963`", "3.2865510521167023`", "3.3416111663193355`", 
      "0.17187603596998904`", "0.15053128120070405`", "0.19898851617775`", 
      "2.9762092711673196`", "1.`", "1.7984994869347688`", 
      "1.6453674496705017`", "1.02`", "0.004671410665004089`", "1", 
      "7.744732411363123`", "0.1507542509154312`", "3.2105053600958904`", 
      "2.166165326497404`", "2.2692302187999105`", "3.2105053600958904`", 
      "3.2413879754281076`", "0.17019442104229776`", "0.14601647544384613`", 
      "0.19858288234264437`", "2.965593559339242`", "1.`", 
      "1.7445580352142265`", "0.9067204061107258`"},
     {"32", "1.6453674496705017`", "1.2274999999999998`", 
      "0.004671410665004089`", "1", "7.761247487408171`", 
      "0.13527638842446232`", "3.286690163499991`", "2.1736981617920215`", 
      "2.236383760674603`", "3.286690163499991`", "3.3463282238703593`", 
      "0.1719497941448682`", "0.15074377292440005`", "0.1990063458309789`", 
      "2.97590640460549`", "1.`", "1.8010382699239047`", 
      "1.6453674496705017`", "1.02`", "0.004671410665004089`", "1", 
      "7.745316678564819`", "0.15020555179153555`", "3.2100768890062854`", 
      "2.1658808730266235`", "2.26861514723039`", "3.2100768890062854`", 
      "3.2448660689081517`", "0.17025665002799004`", "0.14617315491420577`", 
      "0.19859786355294426`", "2.9652041276691103`", "1.`", 
      "1.746429991294102`", "0.9057180859783361`"},
     {"33", "1.6453674496705017`", "1.23`", "0.004671410665004089`", "1", 
      "7.761938520676213`", "0.1346301904675495`", "3.2868252588773093`", 
      "2.173477934405257`", "2.2354769920221216`", "3.2868252588773093`", 
      "3.3510442739202295`", "0.17202308065411168`", "0.15095621926267214`", 
      "0.1990240646327236`", "2.97560490180153`", "1.`", 
      "1.8035765106625459`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.745898049199428`", 
      "0.1496596550635988`", "3.2096508135600197`", "2.1655980117070306`", 
      "2.2680004566260696`", "3.2096508135600197`", "3.248342753594575`", 
      "0.1703185611887556`", "0.1463297709219128`", "0.1986127704922932`", 
      "2.964816875737178`", "1.`", "1.7483011891425497`", 
      "0.9047186307087488`"},
     {"34", "1.6453674496705017`", "1.2325`", "0.004671410665004089`", "1", 
      "7.762625263268634`", "0.13398811878112513`", "3.2869563846930996`", 
      "2.173258696638814`", "2.2345723582760924`", "3.2869563846930996`", 
      "3.355759313409875`", "0.17209589919536117`", "0.1511686200777167`", 
      "0.19904167341714463`", "2.975304753839519`", "1.`", 
      "1.8061142075042598`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.746476540656128`", 
      "0.14911654316374703`", "3.209227116694485`", "2.1653167311834944`", 
      "2.2673861535010804`", "3.209227116694485`", "3.251818026709469`", 
      "0.17038015651700256`", "0.14648632334182934`", "0.1986276036065676`", 
      "2.9644317879976763`", "1.`", "1.7501716272644632`", 
      "0.9037220279123009`"},
     {"35", "1.6453674496705017`", "1.2349999999999999`", 
      "0.004671410665004089`", "1", "7.7633077474394865`", 
      "0.1333501410574046`", "3.287083586875864`", "2.1730404420389946`", 
      "2.233669850724449`", "3.287083586875864`", "3.3604733393262385`", 
      "0.17216825343270664`", "0.15138097523380303`", "0.19905917301126905`", 
      "2.975005951884007`", "1.`", "1.808651358827379`", 
      "1.6453674496705017`", "1.02`", "0.004671410665004089`", "1", 
      "7.7470521702114175`", "0.1485761986463744`", "3.208805781490677`", 
      "2.1650370201966225`", "2.266772244261351`", "3.208805781490677`", 
      "3.255291885528778`", "0.1704414379912675`", "0.14664281205124338`", 
      "0.19864236333875449`", "2.9640488490359105`", "1.`", 
      "1.7520413041937188`", "0.9027282652685342`"},
     {"36", "1.6453674496705017`", "1.2374999999999998`", 
      "0.004671410665004089`", "1", "7.763986005167598`", 
      "0.13271622528152807`", "3.2872069108440685`", "2.1728231642102194`", 
      "2.232769460702193`", "3.2872069108440685`", "3.3651863487018208`", 
      "0.17224014699700968`", "0.15159328459725263`", "0.19907656423506678`", 
      "2.974708487179111`", "1.`", "1.811187963034756`", 
      "1.6453674496705017`", "1.02`", "0.004671410665004089`", "1", 
      "7.747624955029536`", "0.14803860418732426`", "3.2083867911718413`", 
      "2.1647588675818423`", "2.266158735206093`", "3.2083867911718413`", 
      "3.2587643273816163`", "0.1705024075763154`", "0.14679923692983823`", 
      "0.19865705012896262`", "2.963668043566995`", "1.`", 
      "1.753910218492811`", "0.9017373305257196`"},
     {"37", "1.6453674496705017`", "1.24`", "0.004671410665004089`", "1", 
      "7.764660068158749`", "0.1320863397286344`", "3.2873264015119505`", 
      "2.1726068568143027`", "2.231871179591124`", "3.2873264015119505`", 
      "3.369898338614106`", "0.17231158348624603`", "0.1518055480364134`", 
      "0.19909384790150655`", "2.9744123510475236`", "1.`", 
      "1.813724018553454`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.748194912163172`", 
      "0.14750374258306645`", "3.2079701291021476`", "2.164482262268515`", 
      "2.265545632529256`", "3.2079701291021476`", "3.262235349649637`", 
      "0.17056306722323142`", "0.14695559785966383`", "0.1986716644144405`", 
      "2.9632893564346467`", "1.`", "1.7557783687525106`", 
      "0.9007492115003771`"},
     {"38", "1.6453674496705017`", "1.2425`", "0.004671410665004089`", "1", 
      "7.765329967848233`", "0.13146045296095674`", "3.2874421032952563`", 
      "2.172391513569773`", "2.230974998819562`", "3.2874421032952563`", 
      "3.374609306185061`", "0.17238256646583242`", "0.15201776542163717`", 
      "0.19911102481662155`", "2.974117534889582`", "1.`", 
      "1.8162595238344768`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.748762058554179`", 
      "0.14697159674987684`", "3.2075557787853732`", "2.1642071932790623`", 
      "2.2649329423209634`", "3.2075557787853732`", "3.265704949766418`", 
      "0.1706234188695119`", "0.14711189472510927`", "0.19868620662959452`", 
      "2.9629127726099878`", "1.`", "1.757645753591535`", 
      "0.8997638960768051`"},
     {"39", "1.6453674496705017`", "1.2449999999999999`", 
      "0.004671410665004089`", "1", "7.765995735403431`", 
      "0.13083853382494817`", "3.287554060116943`", "2.1721771282512146`", 
      "2.230080909862066`", "3.287554060116943`", "3.3793192485806394`", 
      "0.17245309946894968`", "0.15222993662525716`", "0.1991280957795753`", 
      "2.9738240301823664`", "1.`", "1.818794477352504`", 
      "1.6453674496705017`", "1.02`", "0.004671410665004089`", "1", 
      "7.749326411034195`", "0.1464421497230236`", "3.207143723863593`", 
      "2.16393364972809`", "2.264320670568931`", "3.207143723863593`", 
      "3.2691731252168346`", "0.17068346443915774`", "0.14726812741287443`", 
      "0.19870067720600518`", "2.962538277190346`", "1.`", 
      "1.7595123716562109`", "0.8987813722066136`"},
     {"40", "1.6453674496705017`", "1.2474999999999998`", 
      "0.004671410665004089`", "1", "7.766657401726159`", 
      "0.13022055144844177`", "3.2876623154127795`", "2.1719636946885923`", 
      "2.2291889042391637`", "3.2876623154127795`", "3.384028163010271`", 
      "0.17252318599686747`", "0.15244206152156511`", "0.19914506158272222`", 
      "2.973531828478776`", "1.`", "1.8213288776056133`", 
      "1.6453674496705017`", "1.02`", "0.004671410665004089`", "1", 
      "7.749887986325214`", "0.14591538465595785`", "3.206733948115887`", 
      "2.163661620821519`", "2.263708823159868`", "3.206733948115887`", 
      "3.272639873536432`", "0.17074320584276848`", "0.14742429581194166`", 
      "0.19871507657244153`", "2.96216585539806`", "1.`", 
      "1.7613782216201357`", "0.8978016279082608`"},
     {"41", "1.6453674496705017`", "1.25`", "0.004671410665004089`", "1", 
      "7.767314997455134`", "0.12960647523783808`", "3.287766912136905`", 
      "2.171751206766603`", "2.228298973517074`", "3.287766912136905`", 
      "3.3887360467263647`", "0.17259282951926255`", "0.15265413998678884`", 
      "0.1991619230116703`", "2.9732409214066426`", "1.`", 
      "1.8238627231150146`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.750446801040363`", 
      "0.14539128481950225`", "3.206326435457061`", "2.1633910958557405`", 
      "2.263097405880852`", "3.206326435457061`", "3.2761051923108377`", 
      "0.17080264497763017`", "0.1475803998135496`", "0.1987294051548813`", 
      "2.9617954925793315`", "1.`", "1.7632433021838625`", 
      "0.8968246512665932`"},
     {"42", "1.6453674496705017`", "1.2525`", "0.004671410665004089`", "1", 
      "7.767968552968304`", "0.12899627487532384`", "3.2878678927673137`", 
      "2.171539658424027`", "2.2274111093074405`", "3.2878678927673137`", 
      "3.393442897023811`", "0.17266203347453588`", "0.15286617189906995`", 
      "0.1991786808453413`", "2.972951300667839`", "1.`", 
      "1.826396012424782`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.751002871684449`", 
      "0.14486983360105005`", "3.205921169936384`", "2.1631220642167612`", 
      "2.262486424420695`", "3.205921169936384`", "3.2795690791751513`", 
      "0.17086178372781005`", "0.14773643931116529`", "0.19874366337652452`", 
      "2.961427174203049`", "1.`", "1.7651076120745701`", 
      "0.8958504304323925`"},
     {"43", "1.6453674496705017`", "1.255`", "0.004671410665004089`", "1", 
      "7.768618098385438`", "0.1283899203161135`", "3.287965299311282`", 
      "2.1713290436531136`", "2.2265253032670485`", "3.287965299311282`", 
      "3.3981487112395317`", "0.1727308012701195`", "0.15307815713844328`", 
      "0.19919533585603705`", "2.9726629580374397`", "1.`", 
      "1.8289287441016113`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.751556214654644`", 
      "0.1443510145037619`", "3.2055181357363205`", "2.162854515379366`", 
      "2.2618758843712827`", "3.2055181357363205`", "3.283031531813347`", 
      "0.17092062396424557`", "0.1478924142004575`", "0.19875785165781157`", 
      "2.9610608858596423`", "1.`", "1.7669711500457426`", 
      "0.8948789536219236`"},
     {"44", "1.6453674496705017`", "1.2574999999999998`", 
      "0.004671410665004089`", "1", "7.769263663570158`", 
      "0.1277873817857331`", "3.2880591733107196`", "2.171119356498924`", 
      "2.2256415470975686`", "3.2880591733107196`", "3.402853486751948`", 
      "0.17279913628279428`", "0.15329009558681334`", "0.19921188880949142`", 
      "2.972375885362822`", "1.`", "1.8314609167345344`", 
      "1.6453674496705017`", "1.02`", "0.004671410665004089`", "1", 
      "7.752106846241174`", "0.14383481114576932`", "3.2051173171713043`", 
      "2.1625884389062953`", "2.2612657912288974`", "3.2051173171713043`", 
      "3.286492547957709`", "0.17097916754483403`", "0.14804832437927132`", 
      "0.19877197041644054`", "2.9606966132599575`", "1.`", 
      "1.7688339148768657`", "0.8939102091164877`"},
     {"45", "1.6453674496705017`", "1.26`", "0.004671410665004089`", "1", 
      "7.769905278132591`", "0.12718862977731724`", "3.288149555847483`", 
      "2.1709105910587487`", "2.2247598325452786`", "3.288149555847483`", 
      "3.407557220980556`", "0.1728670418589873`", "0.15350198712793475`", 
      "0.19922834046493842`", "2.972090074562869`", "1.`", 
      "1.8339925289346897`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.752654782627865`", 
      "0.14332120725938297`", "3.2047186986864893`", "2.1623238244474106`", 
      "2.260656150395528`", "3.2047186986864893`", "3.2899521253882287`", 
      "0.17103741631452515`", "0.14820416974760087`", "0.19878602006738133`", 
      "2.960334342234114`", "1.`", "1.7706959053731013`", 
      "0.8929441852619826`"},
     {"46", "1.6453674496705017`", "1.2625`", "0.004671410665004089`", "1", 
      "7.7705429714315155`", "0.12659363504894566`", "3.2882364875486028`", 
      "2.1707027414814815`", "2.223880151400799`", "3.2882364875486028`", 
      "3.412259911385436`", "0.17293452131507892`", "0.1537138316473905`", 
      "0.19924469157516725`", "2.9718055176271108`", "1.`", 
      "1.8365235793350587`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.753200039892943`", 
      "0.1428101866902991`", "3.2043222648565495`", "2.162060661738897`", 
      "2.2600469671801546`", "3.2043222648565495`", "3.293410261932062`", 
      "0.1710953721054063`", "0.14835995020756493`", "0.19880000102289613`", 
      "2.959974058730413`", "1.`", "1.7725571203649955`", 
      "0.8919808704684605`"},
     {"47", "1.6453674496705017`", "1.265`", "0.004671410665004089`", "1", 
      "7.771176772576708`", "0.12600236862100275`", "3.28832000859146`", 
      "2.1704958019670317`", "2.2230024954988252`", "3.28832000859146`", 
      "3.4169615554667985`", "0.1730015779377005`", "0.1539256290325712`", 
      "0.19926094288658244`", "2.9715222066149187`", "1.`", 
      "1.839054066590221`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.753742634009414`", 
      "0.14230173339682062`", "3.203928000384452`", "2.161798940602432`", 
      "2.259438246800025`", "3.203928000384452`", "3.296866955462917`", 
      "0.17115303673679866`", "0.14851566566337931`", "0.19881391369254925`", 
      "2.959615748814199`", "1.`", "1.77441755870815`", "0.891020253209696`"},
     {"48", "1.6453674496705017`", "1.2674999999999998`", 
      "0.004671410665004089`", "1", "7.771806710431092`", 
      "0.12541480177356903`", "3.2884001587089027`", "2.1702897667657197`", 
      "2.222126856717867`", "3.2884001587089027`", "3.4216621507645018`", 
      "0.17306821498403444`", "0.1541373791726537`", "0.19927709513925893`", 
      "2.9712401336546814`", "1.`", "1.8415839893760968`", 
      "1.6453674496705017`", "1.02`", "0.004671410665004089`", "1", 
      "7.754282580845963`", "0.14179583144906815`", "3.2035358901002784`", 
      "2.161538650944412`", "2.2588299943819026`", "3.2035358901002784`", 
      "3.3003222039005444`", "0.17121041201533918`", "0.14867131602133396`", 
      "0.19882775848323`", "2.9592593986668008`", "1.`", "1.776277219282947`",
       "0.8900623220227529`"},
     {"49", "1.6453674496705017`", "1.27`", "0.004671410665004089`", "1", 
      "7.772432813613308`", "0.12483090604383029`", "3.288476977194313`", 
      "2.170084630177729`", "2.2212532269799774`", "3.288476977194313`", 
      "3.426361694857663`", "0.17313443568209844`", "0.15434908195858316`", 
      "0.19929314906700807`", "2.9709592909430516`", "1.`", 
      "1.844113346389734`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.754819896167518`", 
      "0.14129246502820403`", "3.2031459189600353`", "2.1612797827551544`", 
      "2.258222214963305`", "3.2031459189600353`", "3.3037760052101692`", 
      "0.1712674997350705`", "0.14882690118976724`", "0.19884153579916733`", 
      "2.9589049945844397`", "1.`", "1.7781361009942434`", 
      "0.88910706550756`"},
     {"50", "1.6453674496705017`", "1.2725`", "0.004671410665004089`", "1", 
      "7.773055110499648`", "0.12425065322352766`", "3.288550502906594`", 
      "2.1698803865525043`", "2.220381598250494`", "3.288550502906594`", 
      "3.431060185364157`", "0.17320024323104358`", "0.15456073728305078`", 
      "0.19930910539742705`", "2.970679670744126`", "1.`", 
      "1.8466421363490413`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.755354595635818`", 
      "0.14079161842565938`", "3.2027580720444786`", "2.16102232610811`", 
      "2.2576149134937262`", "3.2027580720444786`", "3.307228357401936`", 
      "0.17132430167753077`", "0.14898242107904125`", "0.19885524604194424`", 
      "2.95855252297715`", "1.`", "1.7799942027710727`", 
      "0.8881544723264859`"},
     {"51", "1.6453674496705017`", "1.275`", "0.004671410665004089`", "1", 
      "7.773673629226312`", "0.12367401535642651`", "3.288620774275108`", 
      "2.169677030288195`", "2.2195119625377826`", "3.288620774275108`", 
      "3.435757619940183`", "0.17326564080144025`", "0.1547723450404741`", 
      "0.19932496485195692`", "2.9704012653886767`", "1.`", 
      "1.8491703579925538`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.755886694810112`", 
      "0.140293276042362`", "3.202372334557963`", "2.160766271159092`", 
      "2.2570080948358373`", "3.202372334557963`", "3.310679258530383`", 
      "0.17138081961183946`", "0.14913787560151767`", "0.19886888961051588`", 
      "2.958201970367727`", "1.`", "1.7818515235663615`", 
      "0.8872045312039187`"},
     {"52", "1.6453674496705017`", "1.2774999999999999`", 
      "0.004671410665004089`", "1", "7.774288397691806`", 
      "0.12310096473580961`", "3.2886878293045787`", "2.169474555831118`", 
      "2.218644311892966`", "3.2886878293045787`", "3.4404539962798646`", 
      "0.17333063153555633`", "0.15498390512697924`", "0.19934072814594392`", 
      "2.9701240672734204`", "1.`", "1.8516980100792189`", 
      "1.6453674496705017`", "1.02`", "0.004671410665004089`", "1", 
      "7.756416209147731`", "0.13979742238797227`", "3.2019886918272804`", 
      "2.160511608145505`", "2.2564017637666787`", "3.2019886918272804`", 
      "3.3141287066938907`", "0.17143705529478562`", "0.1492932646715333`", 
      "0.19888246690122405`", "2.9578533233906676`", "1.`", 
      "1.783708062356633`", "0.8862572309258528`"},
     {"53", "1.6453674496705017`", "1.2799999999999998`", 
      "0.004671410665004089`", "1", "7.774899443558843`", 
      "0.12253147390200524`", "3.2887517055798914`", "2.1692729576751835`", 
      "2.2177786384096767`", "3.2887517055798914`", "3.4451493121147814`", 
      "0.17339521854764545`", "0.1551954174403794`", "0.19935639598868848`", 
      "2.969848068860233`", "1.`", "1.854225091388142`", 
      "1.6453674496705017`", "1.02`", "0.004671410665004089`", "1", 
      "7.756943154004811`", "0.13930404208011662`", "3.2016071293005326`", 
      "2.1602583273855953`", "2.2557959249788233`", "3.2016071293005326`", 
      "3.3175767000341856`", "0.1714930104709121`", "0.14944858820537754`", 
      "0.19889597830781586`", "2.957506568791143`", "1.`", 
      "1.7855638181417401`", "0.8853125603394737`"},
     {"54", "1.6453674496705017`", "1.2825`", "0.004671410665004089`", "1", 
      "7.77550679425667`", "0.121965515639934`", "3.288812440270883`", 
      "2.1690722303613743`", "2.216914934223794`", "3.288812440270883`", 
      "3.4498435652135617`", "0.1734594049242205`", "0.1554068818801568`", 
      "0.19937196908350457`", "2.969573262675435`", "1.`", 
      "1.8567516007183695`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.757467544636817`", 
      "0.1388131198436332`", "3.201227632545999`", "2.1600064192776833`", 
      "2.25519058308154`", "3.201227632545999`", "3.3210232367357895`", 
      "0.17154868687260444`", "0.1496038461212676`", "0.19890942422145702`", 
      "2.957161693423954`", "1.`", "1.7874187899445677`", 
      "0.8843705083527511`"},
     {"55", "1.6453674496705017`", "1.285`", "0.004671410665004089`", "1", 
      "7.776110476983188`", "0.12140306297668328`", "3.2888700701370457`", 
      "2.1688723684772104`", "2.216053191513187`", "3.2888700701370457`", 
      "3.454536753381471`", "0.17352319372432867`", "0.15561829834744423`", 
      "0.19938744812777426`", "2.9692996413090587`", "1.`", 
      "1.8592775368886663`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.757989396199308`", 
      "0.13832464050981275`", "3.2008501872510267`", "2.159755874299439`", 
      "2.254585742601927`", "3.2008501872510267`", "3.3244683150255354`", 
      "0.17160408622017267`", "0.14975903833932672`", "0.1989228050307517`", 
      "2.9568186842525312`", "1.`", "1.7892729768107742`", 
      "0.8834310639340327`"},
     {"56", "1.6453674496705017`", "1.2874999999999999`", 
      "0.004671410665004089`", "1", "7.776710518707006`", 
      "0.1208440891791104`", "3.2889246315321934`", "2.168673366656223`", 
      "2.215193402497465`", "3.2889246315321934`", "3.4592288744599813`", 
      "0.17358658797982543`", "0.15582966674500526`", "0.1994028338130003`", 
      "2.9690271974141265`", "1.`", "1.8618028987372834`", 
      "1.6453674496705017`", "1.02`", "0.004671410665004089`", "1", 
      "7.758508723748407`", "0.13783858901565266`", "3.2004747792209214`", 
      "2.159506683007125`", "2.25398140798604`", "3.2004747792209214`", 
      "3.327911933172033`", "0.17165921022194067`", "0.14991416478156003`", 
      "0.1989361211217542`", "2.956477528347906`", "1.`", 
      "1.7911263778085018`", "0.8824942161116427`"},
     {"57", "1.6453674496705017`", "1.29`", "0.004671410665004089`", "1", 
      "7.777306946169545`", "0.12028856775146765`", "3.288976160409063`", 
      "2.168475219577434`", "2.21433555943772`", "3.288976160409063`", 
      "3.463919926326362`", "0.17364959069564345`", "0.15604098697721622`", 
      "0.19941812682486032`", "2.9687559237059427`", "1.`", 
      "1.8643276851217399`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.759025542241534`", 
      "0.13735495040310733`", "3.200101394377854`", "2.1592588360348777`", 
      "2.2533775836000016`", "3.200101394377854`", "3.33135408948518`", 
      "0.17171406057432767`", "0.15006922537183268`", "0.19894937287798822`", 
      "2.9561382128877205`", "1.`", "1.792978992028116`", 
      "0.881559953973483`"},
     {"58", "1.6453674496705017`", "1.2925`", "0.004671410665004089`", "1", 
      "7.777899785887159`", "0.11973647243305247`", "3.2890246923238666`", 
      "2.1682779219648554`", "2.2134796546362763`", "3.2890246923238666`", 
      "3.4686099068932923`", "0.17371220485005778`", "0.1562522589500484`", 
      "0.19943332784326065`", "2.968485812961403`", "1.`", 
      "1.8668518949186113`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.759539866537999`", 
      "0.1368737098183461`", "3.199730018759781`", "2.1590123240939834`", 
      "2.2527742737310903`", "3.199730018759781`", "3.3347947823156723`", 
      "0.17176863896193367`", "0.1502242200358476`", "0.1989625606804617`", 
      "2.95580072515524`", "1.`", "1.7948308185819388`", 
      "0.8806282666666393`"},
     {"59", "1.6453674496705017`", "1.295`", "0.004671410665004089`", "1", 
      "7.778489064153214`", "0.11918777719588362`", "3.289070262440798`", 
      "2.168081468586987`", "2.2126256804364384`", "3.289070262440798`", 
      "3.4732988141084515`", "0.17377443339494872`", "0.15646348257104994`", 
      "0.19944843754239025`", "2.96821685801831`", "1.`", 
      "1.8693755270233117`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.760051711399538`", 
      "0.13639485251101757`", "3.199360638519367`", "2.1587671379721525`", 
      "2.25217148258883`", "3.199360638519367`", "3.338234010054489`", 
      "0.17182294705762488`", "0.15037914870112237`", "0.19897568490768064`", 
      "2.9554650525383592`", "1.`", "1.796681856603974`", 
      "0.879699143396989`"},
     {"60", "1.6453674496705017`", "1.2974999999999999`", 
      "0.004671410665004089`", "1", "7.779074807040025`", 
      "0.11864245624240256`", "3.289112905536467`", "2.1678858542563115`", 
      "2.2117736292222436`", "3.289112905536467`", "3.477986645954119`", 
      "0.17383627925606557`", "0.1566746577493275`", "0.19946345659077006`", 
      "2.9679490517746827`", "1.`", "1.8718985803498767`", 
      "1.6453674496705017`", "1.02`", "0.004671410665004089`", "1", 
      "7.760561091491063`", "0.13591836383351139`", "3.19899323992293`", 
      "2.1585232685328246`", "2.2515692143060435`", "3.19899323992293`", 
      "3.3416717711324377`", "0.17187698652261402`", "0.15053401129696872`", 
      "0.19898874593566845`", "2.95513118252865`", "1.`", 
      "1.7985321052496608`", "0.8787725734288112`"},
     {"61", "1.6453674496705017`", "1.2999999999999998`", 
      "0.004671410665004089`", "1", "7.779657040400945`", 
      "0.11810048400319743`", "3.2891526560043025`", "2.1676910738288155`", 
      "2.210923493418215`", "3.2891526560043025`", "3.482673400446785`", 
      "0.1738977453332825`", "0.15688578439552892`", "0.19947838565130646`", 
      "2.9676823871880966`", "1.`", "1.8744210538307557`", 
      "1.6453674496705017`", "1.02`", "0.004671410665004089`", "1", 
      "7.7610680213812895`", "0.13544422924022811`", "3.198627809349388`", 
      "2.158280706714469`", "2.2509674729399065`", "3.198627809349388`", 
      "3.345108064019674`", "0.17193075900654206`", "0.1506888077544711`", 
      "0.19900174413798197`", "2.954799102720402`", "1.`", 
      "1.8003815636956175`", "0.8778485460844038`"},
     {"62", "1.6453674496705017`", "1.3025`", "0.004671410665004089`", "1", 
      "7.780235789872262`", "0.11756183513475348`", "3.2891895478588915`", 
      "2.167497122203496`", "2.210075265489114`", "3.2891895478588915`", 
      "3.4873590756367547`", "0.173958834500857`", "0.15709686242182525`", 
      "0.19949322538134023`", "2.9674168572750137`", "1.`", 
      "1.876942946416596`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.761572515543142`", 
      "0.1349724342868583`", "3.198264333289213`", "2.158039443529868`", 
      "2.25036626247299`", "3.198264333289213`", "3.3485428872251948`", 
      "0.17198426614756682`", "0.1508435380064634`", "0.19901467988572177`", 
      "2.9544688008096442`", "1.`", "1.8022302311393659`", 
      "0.8769270507437003`"},
     {"63", "1.6453674496705017`", "1.305`", "0.004671410665004089`", "1", 
      "7.780811080875421`", "0.11702648451722052`", "3.289223614740281`", 
      "2.167303994321912`", "2.209228937939692`", "3.289223614740281`", 
      "3.4920436696077997`", "0.17401954960767574`", "0.1573078917418952`", 
      "0.1995079764327033`", "2.9671524551101602`", "1.`", 
      "1.8794642570760596`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.762074588354536`", 
      "0.1345029646296559`", "3.197902798343405`", "2.157799470065447`", 
      "2.2497655868142763`", "3.197902798343405`", "3.351976239296399`", 
      "0.17203750957243985`", "0.15099820198750963`", "0.1990275535475524`", 
      "2.9541402645932284`", "1.`", "1.804078106799097`", 
      "0.8760080768438925`"},
     {"64", "1.6453674496705017`", "1.3074999999999999`", 
      "0.004671410665004089`", "1", "7.781382938618754`", 
      "0.1164944072522133`", "3.2892548899182126`", "2.167111685167689`", 
      "2.20838450331445`", "3.2892548899182126`", "3.4967271804767526`", 
      "0.17407989347751093`", "0.15751887227090672`", "0.1995226394517631`", 
      "2.9668891738258605`", "1.`", "1.8819849847955994`", 
      "1.6453674496705017`", "1.02`", "0.004671410665004089`", "1", 
      "7.762574254099026`", "0.1340358060247196`", "3.197543191222476`", 
      "2.157560777480597`", "2.249165449800167`", "3.197543191222476`", 
      "3.3554081188186364`", "0.17209049089658682`", "0.15115279963388328`", 
      "0.1990403654897188`", "2.953813481967898`", "1.`", 
      "1.8059251899134272`", "0.8750916138790523`"},
     {"65", "1.6453674496705017`", "1.3099999999999998`", 
      "0.004671410665004089`", "1", "7.781951388099489`", 
      "0.11596557866062945`", "3.289283406296318`", "2.1669201897660706`", 
      "2.2075419541973957`", "3.289283406296318`", "3.501409606393133`", 
      "0.17413986890926614`", "0.1577298039255003`", "0.19953721507947425`", 
      "2.9666270066114118`", "1.`", "1.8845051285792627`", 
      "1.6453674496705017`", "1.02`", "0.004671410665004089`", "1", 
      "7.763071526966238`", "0.13357094432728378`", "3.19718549874543`", 
      "2.157323357006983`", "2.248565855195482`", "3.19718549874543`", 
      "3.3588385244147148`", "0.17214321172419314`", "0.15130733088354525`", 
      "0.19905311607605758`", "2.9534884409293434`", "1.`", 
      "1.8077714797411335`", "0.8741776513997629`"},
     {"66", "1.6453674496705017`", "1.3125`", "0.004671410665004089`", "1", 
      "7.782516454105745`", "0.1154399742804899`", "3.2893091964162666`", 
      "2.1667295031834644`", "2.206701283211802`", "3.2893091964162666`", 
      "3.506090945538801`", "0.1741994786772188`", "0.15794068662377325`", 
      "0.19955170395142954`", "2.966365946712469`", "1.`", 
      "1.887024687448503`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.763566421052662`", 
      "0.13310836549100338`", "3.1968297078387713`", "2.157087199947895`", 
      "2.247966806694436`", "3.1968297078387713`", "3.3622674547444915`", 
      "0.17219567364827942`", "0.15146179567612547`", "0.19906580566801718`", 
      "2.953165129571315`", "1.`", "1.809616975560933`", 
      "0.8732661790127453`"},
     {"67", "1.6453674496705017`", "1.315`", "0.004671410665004089`", "1", 
      "7.783078161218346`", "0.1149175698648063`", "3.289332292461858`", 
      "2.1665396205269887`", "2.205862483019965`", "3.289332292461858`", 
      "3.5107711961275663`", "0.17425872553126517`", "0.1581515202852621`", 
      "0.19956610669790648`", "2.9661059874304208`", "1.`", 
      "1.8895436604419682`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.764058950362059`", 
      "0.13264805556725495`", "3.196475805535508`", "2.1568522976775686`", 
      "2.247368307921615`", "3.196475805535508`", "3.365694908504376`", 
      "0.17224787825078644`", "0.1516161939529004`", "0.19907843462466834`", 
      "2.95284353608469`", "1.`", "1.8114616766712168`", 
      "0.8723571863804952`"},
     {"68", "1.6453674496705017`", "1.3175`", "0.004671410665004089`", "1", 
      "7.783636533812744`", "0.11439834137946665`", "3.289352726263076`", 
      "2.1663505369440297`", "2.2050255463229713`", "3.289352726263076`", 
      "3.515450356404844`", "0.17431761219715927`", "0.1583623048309272`", 
      "0.1995804239439167`", "2.965847122121785`", "1.`", 
      "1.8920620466153177`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.7645491288062205`", 
      "0.13219000070442985`", "3.1961237789741745`", "2.156618641640546`", 
      "2.2467703624329203`", "3.1961237789741745`", "3.36912088442694`", 
      "0.17229982710265038`", "0.15177052565677554`", "0.1990910033027238`", 
      "2.9525236487566002`", "1.`", "1.8133055823898372`", 
      "0.8714506632209182`"},
     {"69", "1.6453674496705017`", "1.3199999999999998`", 
      "0.004671410665004089`", "1", "7.78419159606097`", "0.113882265001144`",
       "3.2893705293000868`", "2.1661622476218136`", "2.204190465860453`", 
      "3.2893705293000868`", "3.5201284246473037`", "0.17437614137674726`", 
      "0.1585730401831368`", "0.1995946563092558`", "2.9655893441976224`", 
      "1.`", "1.894579845041033`", "1.6453674496705017`", "1.02`", 
      "0.004671410665004089`", "1", "7.76503697020556`", 
      "0.13173418714723836`", "3.1957736153978615`", "2.156386223351027`", 
      "2.2461729737165186`", "3.1957736153978615`", "3.3725453812804624`", 
      "0.17235152176388224`", "0.15192479073226497`", "0.199103512056553`", 
      "2.95220545596954`", "1.`", "1.8151486920538658`", "0.870546599306969`"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.621537680825671*^9, 3.621542458536781*^9, 3.621545217721597*^9, 
   3.6215475199222755`*^9, 3.621576453692967*^9, 3.6215775321186495`*^9, 
   3.621578092659711*^9, 3.6215794860464077`*^9, 3.6215796412672863`*^9, 
   3.621582968020565*^9, {3.621583122644409*^9, 3.6215831498909674`*^9}, 
   3.621583870673194*^9, 3.6215843032719374`*^9, 3.6215855693843546`*^9, 
   3.6215861442802367`*^9, 3.6215866852821803`*^9, 3.621587506088128*^9, 
   3.6216036848999104`*^9, 3.6216170108974376`*^9, 3.6216188654186945`*^9, 
   3.621670840036039*^9, 3.621680813809506*^9, 3.621681455394202*^9, 
   3.62176092213122*^9, 3.621833554773526*^9, 3.621927647852975*^9, 
   3.6219663847126937`*^9, 3.622438075835374*^9, 3.6224434873258934`*^9, {
   3.622456844572884*^9, 3.622456864113002*^9}, 3.6224761975456367`*^9, 
   3.6224857325640087`*^9, 3.624880993367742*^9, 3.6249566561408315`*^9, 
   3.624965451478752*^9, 3.673683678571168*^9, 3.6736893084101396`*^9, 
   3.6737105898093443`*^9, 3.673711018937113*^9, 3.6737116424277654`*^9, 
   3.6737123255867147`*^9, 3.6737592845900307`*^9, 3.6745611125989513`*^9, 
   3.674561305509167*^9, 3.6745616772865376`*^9, 3.6745617680601683`*^9, 
   3.674561824899942*^9, 3.683603184603791*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<calib_GM_monetary_unilateral.csv\>\"", ",", "Mat"}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.461567546609375*^9, 3.461567547671875*^9}, {
   3.462104923833125*^9, 3.46210492878625*^9}, {3.462164642615625*^9, 
   3.46216464856875*^9}, 3.462164681225*^9, 3.462164850115625*^9, {
   3.4621659521625*^9, 3.462165954709375*^9}, 3.462601654785625*^9, 
   3.4626017250825*^9, {3.4639817865931253`*^9, 3.4639817915775003`*^9}, 
   3.4640615180375*^9, 3.46406289881875*^9, {3.478601922988125*^9, 
   3.478601924863125*^9}, {3.621531723740425*^9, 3.621531727259626*^9}, {
   3.621542422597725*^9, 3.6215424264459457`*^9}, {3.621544381659777*^9, 
   3.62154438328087*^9}, {3.621544441923224*^9, 3.6215444439433393`*^9}, {
   3.6736047532957144`*^9, 3.673604754785863*^9}, {3.673682154218882*^9, 
   3.6736821597238817`*^9}, {3.673682707312052*^9, 3.673682710064327*^9}, 
   3.69675797506279*^9}]
}, Open  ]]
},
WindowSize->{1424, 828},
WindowMargins->{{-8, Automatic}, {Automatic, 0}},
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (September 21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 100, 1, 49, "Subsection"],
Cell[682, 25, 2532, 83, 468, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[3251, 113, 158, 2, 41, "Subsection"],
Cell[3412, 117, 155, 3, 30, "Text"],
Cell[3570, 122, 1053, 25, 145, "Input"],
Cell[4626, 149, 925, 24, 164, "Input"],
Cell[5554, 175, 490, 12, 107, "Input"],
Cell[CellGroupData[{
Cell[6069, 191, 7160, 196, 335, "Input"],
Cell[13232, 389, 3311, 81, 81, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16580, 475, 1458, 40, 47, "Input"],
Cell[18041, 517, 1909, 32, 50, "Output"]
}, Open  ]],
Cell[19965, 552, 1798, 50, 316, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[21800, 607, 240, 3, 41, "Subsection"],
Cell[22043, 612, 1506, 32, 183, "Input"],
Cell[23552, 646, 1254, 33, 240, "Input"],
Cell[24809, 681, 365, 7, 126, "Input"],
Cell[25177, 690, 13186, 377, 734, "Input"],
Cell[CellGroupData[{
Cell[38388, 1071, 2615, 71, 87, "Input"],
Cell[41006, 1144, 2458, 42, 69, "Output"]
}, Open  ]],
Cell[43479, 1189, 1580, 47, 316, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[45096, 1241, 103, 1, 41, "Subsection"],
Cell[45202, 1244, 228, 6, 69, "Input"],
Cell[45433, 1252, 862, 19, 240, "Input"],
Cell[CellGroupData[{
Cell[46320, 1275, 37910, 849, 4243, "Input"],
Cell[CellGroupData[{
Cell[84255, 2128, 1491, 32, 29, "Print"],
Cell[85749, 2162, 1521, 32, 29, "Print"],
Cell[87273, 2196, 1521, 32, 29, "Print"],
Cell[88797, 2230, 1490, 32, 29, "Print"],
Cell[90290, 2264, 1486, 32, 29, "Print"],
Cell[91779, 2298, 1514, 32, 29, "Print"],
Cell[93296, 2332, 1517, 32, 29, "Print"],
Cell[94816, 2366, 1493, 32, 29, "Print"],
Cell[96312, 2400, 1486, 32, 29, "Print"],
Cell[97801, 2434, 1525, 32, 29, "Print"],
Cell[99329, 2468, 1514, 32, 29, "Print"],
Cell[100846, 2502, 1495, 32, 29, "Print"],
Cell[102344, 2536, 1485, 32, 29, "Print"],
Cell[103832, 2570, 1523, 32, 29, "Print"],
Cell[105358, 2604, 1519, 32, 29, "Print"],
Cell[106880, 2638, 1500, 32, 29, "Print"],
Cell[108383, 2672, 1484, 32, 29, "Print"],
Cell[109870, 2706, 1497, 32, 29, "Print"],
Cell[111370, 2740, 1523, 32, 29, "Print"],
Cell[112896, 2774, 1500, 32, 29, "Print"],
Cell[114399, 2808, 1491, 32, 29, "Print"],
Cell[115893, 2842, 1489, 32, 29, "Print"],
Cell[117385, 2876, 1519, 32, 29, "Print"],
Cell[118907, 2910, 1497, 32, 29, "Print"],
Cell[120407, 2944, 1482, 32, 29, "Print"],
Cell[121892, 2978, 1497, 32, 29, "Print"],
Cell[123392, 3012, 1519, 32, 29, "Print"],
Cell[124914, 3046, 1519, 32, 29, "Print"],
Cell[126436, 3080, 1487, 32, 29, "Print"],
Cell[127926, 3114, 1497, 32, 29, "Print"],
Cell[129426, 3148, 1520, 32, 29, "Print"],
Cell[130949, 3182, 1520, 32, 29, "Print"],
Cell[132472, 3216, 1485, 32, 29, "Print"],
Cell[133960, 3250, 1492, 32, 29, "Print"],
Cell[135455, 3284, 1513, 32, 29, "Print"],
Cell[136971, 3318, 1525, 32, 29, "Print"],
Cell[138499, 3352, 1490, 32, 29, "Print"],
Cell[139992, 3386, 1494, 32, 29, "Print"],
Cell[141489, 3420, 1519, 32, 29, "Print"],
Cell[143011, 3454, 1519, 32, 29, "Print"],
Cell[144533, 3488, 1491, 32, 29, "Print"],
Cell[146027, 3522, 1498, 32, 29, "Print"],
Cell[147528, 3556, 1486, 32, 29, "Print"],
Cell[149017, 3590, 1517, 32, 29, "Print"],
Cell[150537, 3624, 1491, 32, 29, "Print"],
Cell[152031, 3658, 1489, 32, 29, "Print"],
Cell[153523, 3692, 1487, 32, 29, "Print"],
Cell[155013, 3726, 1525, 32, 29, "Print"],
Cell[156541, 3760, 1493, 32, 29, "Print"],
Cell[158037, 3794, 1489, 32, 29, "Print"],
Cell[159529, 3828, 1484, 32, 29, "Print"],
Cell[161016, 3862, 1525, 32, 29, "Print"],
Cell[162544, 3896, 1525, 32, 29, "Print"],
Cell[164072, 3930, 1492, 32, 29, "Print"],
Cell[165567, 3964, 1498, 32, 29, "Print"],
Cell[167068, 3998, 1517, 32, 29, "Print"],
Cell[168588, 4032, 1481, 32, 29, "Print"],
Cell[170072, 4066, 1495, 32, 29, "Print"],
Cell[171570, 4100, 1487, 32, 29, "Print"],
Cell[173060, 4134, 1520, 32, 29, "Print"],
Cell[174583, 4168, 1519, 32, 29, "Print"],
Cell[176105, 4202, 1497, 32, 29, "Print"],
Cell[177605, 4236, 1484, 32, 29, "Print"],
Cell[179092, 4270, 1520, 32, 29, "Print"],
Cell[180615, 4304, 1520, 32, 29, "Print"],
Cell[182138, 4338, 1500, 32, 29, "Print"],
Cell[183641, 4372, 1487, 32, 29, "Print"],
Cell[185131, 4406, 1487, 32, 29, "Print"],
Cell[186621, 4440, 1523, 32, 29, "Print"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[188205, 4479, 201, 3, 49, "Subsection"],
Cell[188409, 4484, 4490, 121, 1418, "Input"],
Cell[192902, 4607, 226, 5, 47, "Input"],
Cell[CellGroupData[{
Cell[193153, 4616, 135, 2, 47, "Input"],
Cell[193291, 4620, 58042, 867, 1202, "Output"]
}, Open  ]],
Cell[251348, 5490, 959, 16, 47, "Input"]
}, Open  ]]
}
]
*)

